/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2018 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak CSV_IRQHandler
  .thumb_set CSV_IRQHandler,Dummy_Handler

  .weak SWDT_IRQHandler
  .thumb_set SWDT_IRQHandler,Dummy_Handler

  .weak LVD_IRQHandler
  .thumb_set LVD_IRQHandler,Dummy_Handler

  .weak EXINT0_IRQHandler
  .thumb_set EXINT0_IRQHandler,Dummy_Handler

  .weak EXINT1_IRQHandler
  .thumb_set EXINT1_IRQHandler,Dummy_Handler

  .weak EXINT2_IRQHandler
  .thumb_set EXINT2_IRQHandler,Dummy_Handler

  .weak EXINT3_IRQHandler
  .thumb_set EXINT3_IRQHandler,Dummy_Handler

  .weak EXINT4_IRQHandler
  .thumb_set EXINT4_IRQHandler,Dummy_Handler

  .weak EXINT5_IRQHandler
  .thumb_set EXINT5_IRQHandler,Dummy_Handler

  .weak EXINT6_IRQHandler
  .thumb_set EXINT6_IRQHandler,Dummy_Handler

  .weak EXINT7_IRQHandler
  .thumb_set EXINT7_IRQHandler,Dummy_Handler

  .weak QPRC0_IRQHandler
  .thumb_set QPRC0_IRQHandler,Dummy_Handler

  .weak QPRC1_IRQHandler
  .thumb_set QPRC1_IRQHandler,Dummy_Handler

  .weak WFG0_DTIF0_IRQHandler
  .thumb_set WFG0_DTIF0_IRQHandler,Dummy_Handler

  .weak WFG1_DTIF1_IRQHandler
  .thumb_set WFG1_DTIF1_IRQHandler,Dummy_Handler

  .weak WFG2_DTIF2_IRQHandler
  .thumb_set WFG2_DTIF2_IRQHandler,Dummy_Handler

  .weak FRT0_PEAK_IRQHandler
  .thumb_set FRT0_PEAK_IRQHandler,Dummy_Handler

  .weak FRT0_ZERO_IRQHandler
  .thumb_set FRT0_ZERO_IRQHandler,Dummy_Handler

  .weak ICU0_IRQHandler
  .thumb_set ICU0_IRQHandler,Dummy_Handler

  .weak OCU0_IRQHandler
  .thumb_set OCU0_IRQHandler,Dummy_Handler

  .weak FRT1_PEAK_IRQHandler
  .thumb_set FRT1_PEAK_IRQHandler,Dummy_Handler

  .weak FRT1_ZERO_IRQHandler
  .thumb_set FRT1_ZERO_IRQHandler,Dummy_Handler

  .weak ICU1_IRQHandler
  .thumb_set ICU1_IRQHandler,Dummy_Handler

  .weak OCU1_IRQHandler
  .thumb_set OCU1_IRQHandler,Dummy_Handler

  .weak FRT2_PEAK_IRQHandler
  .thumb_set FRT2_PEAK_IRQHandler,Dummy_Handler

  .weak FRT2_ZERO_IRQHandler
  .thumb_set FRT2_ZERO_IRQHandler,Dummy_Handler

  .weak ICU2_IRQHandler
  .thumb_set ICU2_IRQHandler,Dummy_Handler

  .weak OCU2_IRQHandler
  .thumb_set OCU2_IRQHandler,Dummy_Handler

  .weak PPG00_02_04_IRQHandler
  .thumb_set PPG00_02_04_IRQHandler,Dummy_Handler

  .weak PPG08_10_12_IRQHandler
  .thumb_set PPG08_10_12_IRQHandler,Dummy_Handler

  .weak PPG16_18_20_IRQHandler
  .thumb_set PPG16_18_20_IRQHandler,Dummy_Handler

  .weak BT0_IRQHandler
  .thumb_set BT0_IRQHandler,Dummy_Handler

  .weak BT1_IRQHandler
  .thumb_set BT1_IRQHandler,Dummy_Handler

  .weak BT2_IRQHandler
  .thumb_set BT2_IRQHandler,Dummy_Handler

  .weak BT3_IRQHandler
  .thumb_set BT3_IRQHandler,Dummy_Handler

  .weak BT4_IRQHandler
  .thumb_set BT4_IRQHandler,Dummy_Handler

  .weak BT5_IRQHandler
  .thumb_set BT5_IRQHandler,Dummy_Handler

  .weak BT6_IRQHandler
  .thumb_set BT6_IRQHandler,Dummy_Handler

  .weak BT7_IRQHandler
  .thumb_set BT7_IRQHandler,Dummy_Handler

  .weak DT1_2_IRQHandler
  .thumb_set DT1_2_IRQHandler,Dummy_Handler

  .weak WC_IRQHandler
  .thumb_set WC_IRQHandler,Dummy_Handler

  .weak EXTBUS_ERR_IRQHandler
  .thumb_set EXTBUS_ERR_IRQHandler,Dummy_Handler

  .weak RTC_IRQHandler
  .thumb_set RTC_IRQHandler,Dummy_Handler

  .weak EXINT8_IRQHandler
  .thumb_set EXINT8_IRQHandler,Dummy_Handler

  .weak EXINT9_IRQHandler
  .thumb_set EXINT9_IRQHandler,Dummy_Handler

  .weak EXINT10_IRQHandler
  .thumb_set EXINT10_IRQHandler,Dummy_Handler

  .weak EXINT11_IRQHandler
  .thumb_set EXINT11_IRQHandler,Dummy_Handler

  .weak EXINT12_IRQHandler
  .thumb_set EXINT12_IRQHandler,Dummy_Handler

  .weak EXINT13_IRQHandler
  .thumb_set EXINT13_IRQHandler,Dummy_Handler

  .weak EXINT14_IRQHandler
  .thumb_set EXINT14_IRQHandler,Dummy_Handler

  .weak EXINT15_IRQHandler
  .thumb_set EXINT15_IRQHandler,Dummy_Handler

  .weak TIM_IRQHandler
  .thumb_set TIM_IRQHandler,Dummy_Handler

  .weak MFS0_RX_IRQHandler
  .thumb_set MFS0_RX_IRQHandler,Dummy_Handler

  .weak MFS0_TX_IRQHandler
  .thumb_set MFS0_TX_IRQHandler,Dummy_Handler

  .weak MFS1_RX_IRQHandler
  .thumb_set MFS1_RX_IRQHandler,Dummy_Handler

  .weak MFS1_TX_IRQHandler
  .thumb_set MFS1_TX_IRQHandler,Dummy_Handler

  .weak MFS2_RX_IRQHandler
  .thumb_set MFS2_RX_IRQHandler,Dummy_Handler

  .weak MFS2_TX_IRQHandler
  .thumb_set MFS2_TX_IRQHandler,Dummy_Handler

  .weak MFS3_RX_IRQHandler
  .thumb_set MFS3_RX_IRQHandler,Dummy_Handler

  .weak MFS3_TX_IRQHandler
  .thumb_set MFS3_TX_IRQHandler,Dummy_Handler

  .weak MFS4_RX_IRQHandler
  .thumb_set MFS4_RX_IRQHandler,Dummy_Handler

  .weak MFS4_TX_IRQHandler
  .thumb_set MFS4_TX_IRQHandler,Dummy_Handler

  .weak MFS5_RX_IRQHandler
  .thumb_set MFS5_RX_IRQHandler,Dummy_Handler

  .weak MFS5_TX_IRQHandler
  .thumb_set MFS5_TX_IRQHandler,Dummy_Handler

  .weak MFS6_RX_IRQHandler
  .thumb_set MFS6_RX_IRQHandler,Dummy_Handler

  .weak MFS6_TX_IRQHandler
  .thumb_set MFS6_TX_IRQHandler,Dummy_Handler

  .weak MFS7_RX_IRQHandler
  .thumb_set MFS7_RX_IRQHandler,Dummy_Handler

  .weak MFS7_TX_IRQHandler
  .thumb_set MFS7_TX_IRQHandler,Dummy_Handler

  .weak ADC0_IRQHandler
  .thumb_set ADC0_IRQHandler,Dummy_Handler

  .weak ADC1_IRQHandler
  .thumb_set ADC1_IRQHandler,Dummy_Handler

  .weak USB0_IRQHandler
  .thumb_set USB0_IRQHandler,Dummy_Handler

  .weak USB0_HOST_IRQHandler
  .thumb_set USB0_HOST_IRQHandler,Dummy_Handler

  .weak CAN0_IRQHandler
  .thumb_set CAN0_IRQHandler,Dummy_Handler

  .weak CAN1_IRQHandler
  .thumb_set CAN1_IRQHandler,Dummy_Handler

  .weak ETHER0_IRQHandler
  .thumb_set ETHER0_IRQHandler,Dummy_Handler

  .weak DMAC0_IRQHandler
  .thumb_set DMAC0_IRQHandler,Dummy_Handler

  .weak DMAC1_IRQHandler
  .thumb_set DMAC1_IRQHandler,Dummy_Handler

  .weak DMAC2_IRQHandler
  .thumb_set DMAC2_IRQHandler,Dummy_Handler

  .weak DMAC3_IRQHandler
  .thumb_set DMAC3_IRQHandler,Dummy_Handler

  .weak DMAC4_IRQHandler
  .thumb_set DMAC4_IRQHandler,Dummy_Handler

  .weak DMAC5_IRQHandler
  .thumb_set DMAC5_IRQHandler,Dummy_Handler

  .weak DMAC6_IRQHandler
  .thumb_set DMAC6_IRQHandler,Dummy_Handler

  .weak DMAC7_IRQHandler
  .thumb_set DMAC7_IRQHandler,Dummy_Handler

  .weak DSTC_IRQHandler
  .thumb_set DSTC_IRQHandler,Dummy_Handler

  .weak EXINT16_17_18_19_IRQHandler
  .thumb_set EXINT16_17_18_19_IRQHandler,Dummy_Handler

  .weak EXINT20_21_22_23_IRQHandler
  .thumb_set EXINT20_21_22_23_IRQHandler,Dummy_Handler

  .weak EXINT24_25_26_27_IRQHandler
  .thumb_set EXINT24_25_26_27_IRQHandler,Dummy_Handler

  .weak EXINT28_29_30_31_IRQHandler
  .thumb_set EXINT28_29_30_31_IRQHandler,Dummy_Handler

  .weak QPRC2_IRQHandler
  .thumb_set QPRC2_IRQHandler,Dummy_Handler

  .weak QPRC3_IRQHandler
  .thumb_set QPRC3_IRQHandler,Dummy_Handler

  .weak BT8_IRQHandler
  .thumb_set BT8_IRQHandler,Dummy_Handler

  .weak BT9_IRQHandler
  .thumb_set BT9_IRQHandler,Dummy_Handler

  .weak BT10_IRQHandler
  .thumb_set BT10_IRQHandler,Dummy_Handler

  .weak BT11_IRQHandler
  .thumb_set BT11_IRQHandler,Dummy_Handler

  .weak BT12_13_14_15_IRQHandler
  .thumb_set BT12_13_14_15_IRQHandler,Dummy_Handler

  .weak MFS8_RX_IRQHandler
  .thumb_set MFS8_RX_IRQHandler,Dummy_Handler

  .weak MFS8_TX_IRQHandler
  .thumb_set MFS8_TX_IRQHandler,Dummy_Handler

  .weak MFS9_RX_IRQHandler
  .thumb_set MFS9_RX_IRQHandler,Dummy_Handler

  .weak MFS9_TX_IRQHandler
  .thumb_set MFS9_TX_IRQHandler,Dummy_Handler

  .weak MFS10_RX_IRQHandler
  .thumb_set MFS10_RX_IRQHandler,Dummy_Handler

  .weak MFS10_TX_IRQHandler
  .thumb_set MFS10_TX_IRQHandler,Dummy_Handler

  .weak MFS11_RX_IRQHandler
  .thumb_set MFS11_RX_IRQHandler,Dummy_Handler

  .weak MFS11_TX_IRQHandler
  .thumb_set MFS11_TX_IRQHandler,Dummy_Handler

  .weak ADC2_IRQHandler
  .thumb_set ADC2_IRQHandler,Dummy_Handler

  .weak USB1_HDMICEC0_IRQHandler
  .thumb_set USB1_HDMICEC0_IRQHandler,Dummy_Handler

  .weak USB1_HOST_HDMICEC1_IRQHandler
  .thumb_set USB1_HOST_HDMICEC1_IRQHandler,Dummy_Handler

  .weak HSSPI_IRQHandler
  .thumb_set HSSPI_IRQHandler,Dummy_Handler

  .weak PRGCRC_I2S_IRQHandler
  .thumb_set PRGCRC_I2S_IRQHandler,Dummy_Handler

  .weak SD_IRQHandler
  .thumb_set SD_IRQHandler,Dummy_Handler

  .weak FLASH_IRQHandler
  .thumb_set FLASH_IRQHandler,Dummy_Handler

  .weak MFS12_RX_IRQHandler
  .thumb_set MFS12_RX_IRQHandler,Dummy_Handler

  .weak MFS12_TX_IRQHandler
  .thumb_set MFS12_TX_IRQHandler,Dummy_Handler

  .weak MFS13_RX_IRQHandler
  .thumb_set MFS13_RX_IRQHandler,Dummy_Handler

  .weak MFS13_TX_IRQHandler
  .thumb_set MFS13_TX_IRQHandler,Dummy_Handler

  .weak MFS14_RX_IRQHandler
  .thumb_set MFS14_RX_IRQHandler,Dummy_Handler

  .weak MFS14_TX_IRQHandler
  .thumb_set MFS14_TX_IRQHandler,Dummy_Handler

  .weak MFS15_RX_IRQHandler
  .thumb_set MFS15_RX_IRQHandler,Dummy_Handler

  .weak MFS15_TX_IRQHandler
  .thumb_set MFS15_TX_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak CSV_IRQHandler
CSV_IRQHandler:
  b .

  .thumb_func
  .weak SWDT_IRQHandler
SWDT_IRQHandler:
  b .

  .thumb_func
  .weak LVD_IRQHandler
LVD_IRQHandler:
  b .

  .thumb_func
  .weak EXINT0_IRQHandler
EXINT0_IRQHandler:
  b .

  .thumb_func
  .weak EXINT1_IRQHandler
EXINT1_IRQHandler:
  b .

  .thumb_func
  .weak EXINT2_IRQHandler
EXINT2_IRQHandler:
  b .

  .thumb_func
  .weak EXINT3_IRQHandler
EXINT3_IRQHandler:
  b .

  .thumb_func
  .weak EXINT4_IRQHandler
EXINT4_IRQHandler:
  b .

  .thumb_func
  .weak EXINT5_IRQHandler
EXINT5_IRQHandler:
  b .

  .thumb_func
  .weak EXINT6_IRQHandler
EXINT6_IRQHandler:
  b .

  .thumb_func
  .weak EXINT7_IRQHandler
EXINT7_IRQHandler:
  b .

  .thumb_func
  .weak QPRC0_IRQHandler
QPRC0_IRQHandler:
  b .

  .thumb_func
  .weak QPRC1_IRQHandler
QPRC1_IRQHandler:
  b .

  .thumb_func
  .weak WFG0_DTIF0_IRQHandler
WFG0_DTIF0_IRQHandler:
  b .

  .thumb_func
  .weak WFG1_DTIF1_IRQHandler
WFG1_DTIF1_IRQHandler:
  b .

  .thumb_func
  .weak WFG2_DTIF2_IRQHandler
WFG2_DTIF2_IRQHandler:
  b .

  .thumb_func
  .weak FRT0_PEAK_IRQHandler
FRT0_PEAK_IRQHandler:
  b .

  .thumb_func
  .weak FRT0_ZERO_IRQHandler
FRT0_ZERO_IRQHandler:
  b .

  .thumb_func
  .weak ICU0_IRQHandler
ICU0_IRQHandler:
  b .

  .thumb_func
  .weak OCU0_IRQHandler
OCU0_IRQHandler:
  b .

  .thumb_func
  .weak FRT1_PEAK_IRQHandler
FRT1_PEAK_IRQHandler:
  b .

  .thumb_func
  .weak FRT1_ZERO_IRQHandler
FRT1_ZERO_IRQHandler:
  b .

  .thumb_func
  .weak ICU1_IRQHandler
ICU1_IRQHandler:
  b .

  .thumb_func
  .weak OCU1_IRQHandler
OCU1_IRQHandler:
  b .

  .thumb_func
  .weak FRT2_PEAK_IRQHandler
FRT2_PEAK_IRQHandler:
  b .

  .thumb_func
  .weak FRT2_ZERO_IRQHandler
FRT2_ZERO_IRQHandler:
  b .

  .thumb_func
  .weak ICU2_IRQHandler
ICU2_IRQHandler:
  b .

  .thumb_func
  .weak OCU2_IRQHandler
OCU2_IRQHandler:
  b .

  .thumb_func
  .weak PPG00_02_04_IRQHandler
PPG00_02_04_IRQHandler:
  b .

  .thumb_func
  .weak PPG08_10_12_IRQHandler
PPG08_10_12_IRQHandler:
  b .

  .thumb_func
  .weak PPG16_18_20_IRQHandler
PPG16_18_20_IRQHandler:
  b .

  .thumb_func
  .weak BT0_IRQHandler
BT0_IRQHandler:
  b .

  .thumb_func
  .weak BT1_IRQHandler
BT1_IRQHandler:
  b .

  .thumb_func
  .weak BT2_IRQHandler
BT2_IRQHandler:
  b .

  .thumb_func
  .weak BT3_IRQHandler
BT3_IRQHandler:
  b .

  .thumb_func
  .weak BT4_IRQHandler
BT4_IRQHandler:
  b .

  .thumb_func
  .weak BT5_IRQHandler
BT5_IRQHandler:
  b .

  .thumb_func
  .weak BT6_IRQHandler
BT6_IRQHandler:
  b .

  .thumb_func
  .weak BT7_IRQHandler
BT7_IRQHandler:
  b .

  .thumb_func
  .weak DT1_2_IRQHandler
DT1_2_IRQHandler:
  b .

  .thumb_func
  .weak WC_IRQHandler
WC_IRQHandler:
  b .

  .thumb_func
  .weak EXTBUS_ERR_IRQHandler
EXTBUS_ERR_IRQHandler:
  b .

  .thumb_func
  .weak RTC_IRQHandler
RTC_IRQHandler:
  b .

  .thumb_func
  .weak EXINT8_IRQHandler
EXINT8_IRQHandler:
  b .

  .thumb_func
  .weak EXINT9_IRQHandler
EXINT9_IRQHandler:
  b .

  .thumb_func
  .weak EXINT10_IRQHandler
EXINT10_IRQHandler:
  b .

  .thumb_func
  .weak EXINT11_IRQHandler
EXINT11_IRQHandler:
  b .

  .thumb_func
  .weak EXINT12_IRQHandler
EXINT12_IRQHandler:
  b .

  .thumb_func
  .weak EXINT13_IRQHandler
EXINT13_IRQHandler:
  b .

  .thumb_func
  .weak EXINT14_IRQHandler
EXINT14_IRQHandler:
  b .

  .thumb_func
  .weak EXINT15_IRQHandler
EXINT15_IRQHandler:
  b .

  .thumb_func
  .weak TIM_IRQHandler
TIM_IRQHandler:
  b .

  .thumb_func
  .weak MFS0_RX_IRQHandler
MFS0_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS0_TX_IRQHandler
MFS0_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS1_RX_IRQHandler
MFS1_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS1_TX_IRQHandler
MFS1_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS2_RX_IRQHandler
MFS2_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS2_TX_IRQHandler
MFS2_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS3_RX_IRQHandler
MFS3_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS3_TX_IRQHandler
MFS3_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS4_RX_IRQHandler
MFS4_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS4_TX_IRQHandler
MFS4_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS5_RX_IRQHandler
MFS5_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS5_TX_IRQHandler
MFS5_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS6_RX_IRQHandler
MFS6_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS6_TX_IRQHandler
MFS6_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS7_RX_IRQHandler
MFS7_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS7_TX_IRQHandler
MFS7_TX_IRQHandler:
  b .

  .thumb_func
  .weak ADC0_IRQHandler
ADC0_IRQHandler:
  b .

  .thumb_func
  .weak ADC1_IRQHandler
ADC1_IRQHandler:
  b .

  .thumb_func
  .weak USB0_IRQHandler
USB0_IRQHandler:
  b .

  .thumb_func
  .weak USB0_HOST_IRQHandler
USB0_HOST_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_IRQHandler
CAN0_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_IRQHandler
CAN1_IRQHandler:
  b .

  .thumb_func
  .weak ETHER0_IRQHandler
ETHER0_IRQHandler:
  b .

  .thumb_func
  .weak DMAC0_IRQHandler
DMAC0_IRQHandler:
  b .

  .thumb_func
  .weak DMAC1_IRQHandler
DMAC1_IRQHandler:
  b .

  .thumb_func
  .weak DMAC2_IRQHandler
DMAC2_IRQHandler:
  b .

  .thumb_func
  .weak DMAC3_IRQHandler
DMAC3_IRQHandler:
  b .

  .thumb_func
  .weak DMAC4_IRQHandler
DMAC4_IRQHandler:
  b .

  .thumb_func
  .weak DMAC5_IRQHandler
DMAC5_IRQHandler:
  b .

  .thumb_func
  .weak DMAC6_IRQHandler
DMAC6_IRQHandler:
  b .

  .thumb_func
  .weak DMAC7_IRQHandler
DMAC7_IRQHandler:
  b .

  .thumb_func
  .weak DSTC_IRQHandler
DSTC_IRQHandler:
  b .

  .thumb_func
  .weak EXINT16_17_18_19_IRQHandler
EXINT16_17_18_19_IRQHandler:
  b .

  .thumb_func
  .weak EXINT20_21_22_23_IRQHandler
EXINT20_21_22_23_IRQHandler:
  b .

  .thumb_func
  .weak EXINT24_25_26_27_IRQHandler
EXINT24_25_26_27_IRQHandler:
  b .

  .thumb_func
  .weak EXINT28_29_30_31_IRQHandler
EXINT28_29_30_31_IRQHandler:
  b .

  .thumb_func
  .weak QPRC2_IRQHandler
QPRC2_IRQHandler:
  b .

  .thumb_func
  .weak QPRC3_IRQHandler
QPRC3_IRQHandler:
  b .

  .thumb_func
  .weak BT8_IRQHandler
BT8_IRQHandler:
  b .

  .thumb_func
  .weak BT9_IRQHandler
BT9_IRQHandler:
  b .

  .thumb_func
  .weak BT10_IRQHandler
BT10_IRQHandler:
  b .

  .thumb_func
  .weak BT11_IRQHandler
BT11_IRQHandler:
  b .

  .thumb_func
  .weak BT12_13_14_15_IRQHandler
BT12_13_14_15_IRQHandler:
  b .

  .thumb_func
  .weak MFS8_RX_IRQHandler
MFS8_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS8_TX_IRQHandler
MFS8_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS9_RX_IRQHandler
MFS9_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS9_TX_IRQHandler
MFS9_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS10_RX_IRQHandler
MFS10_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS10_TX_IRQHandler
MFS10_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS11_RX_IRQHandler
MFS11_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS11_TX_IRQHandler
MFS11_TX_IRQHandler:
  b .

  .thumb_func
  .weak ADC2_IRQHandler
ADC2_IRQHandler:
  b .

  .thumb_func
  .weak USB1_HDMICEC0_IRQHandler
USB1_HDMICEC0_IRQHandler:
  b .

  .thumb_func
  .weak USB1_HOST_HDMICEC1_IRQHandler
USB1_HOST_HDMICEC1_IRQHandler:
  b .

  .thumb_func
  .weak HSSPI_IRQHandler
HSSPI_IRQHandler:
  b .

  .thumb_func
  .weak PRGCRC_I2S_IRQHandler
PRGCRC_I2S_IRQHandler:
  b .

  .thumb_func
  .weak SD_IRQHandler
SD_IRQHandler:
  b .

  .thumb_func
  .weak FLASH_IRQHandler
FLASH_IRQHandler:
  b .

  .thumb_func
  .weak MFS12_RX_IRQHandler
MFS12_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS12_TX_IRQHandler
MFS12_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS13_RX_IRQHandler
MFS13_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS13_TX_IRQHandler
MFS13_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS14_RX_IRQHandler
MFS14_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS14_TX_IRQHandler
MFS14_TX_IRQHandler:
  b .

  .thumb_func
  .weak MFS15_RX_IRQHandler
MFS15_RX_IRQHandler:
  b .

  .thumb_func
  .weak MFS15_TX_IRQHandler
MFS15_TX_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word CSV_IRQHandler
  .word SWDT_IRQHandler
  .word LVD_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word EXINT0_IRQHandler
  .word EXINT1_IRQHandler
  .word EXINT2_IRQHandler
  .word EXINT3_IRQHandler
  .word EXINT4_IRQHandler
  .word EXINT5_IRQHandler
  .word EXINT6_IRQHandler
  .word EXINT7_IRQHandler
  .word QPRC0_IRQHandler
  .word QPRC1_IRQHandler
  .word WFG0_DTIF0_IRQHandler
  .word WFG1_DTIF1_IRQHandler
  .word WFG2_DTIF2_IRQHandler
  .word FRT0_PEAK_IRQHandler
  .word FRT0_ZERO_IRQHandler
  .word ICU0_IRQHandler
  .word OCU0_IRQHandler
  .word FRT1_PEAK_IRQHandler
  .word FRT1_ZERO_IRQHandler
  .word ICU1_IRQHandler
  .word OCU1_IRQHandler
  .word FRT2_PEAK_IRQHandler
  .word FRT2_ZERO_IRQHandler
  .word ICU2_IRQHandler
  .word OCU2_IRQHandler
  .word PPG00_02_04_IRQHandler
  .word PPG08_10_12_IRQHandler
  .word PPG16_18_20_IRQHandler
  .word BT0_IRQHandler
  .word BT1_IRQHandler
  .word BT2_IRQHandler
  .word BT3_IRQHandler
  .word BT4_IRQHandler
  .word BT5_IRQHandler
  .word BT6_IRQHandler
  .word BT7_IRQHandler
  .word DT1_2_IRQHandler
  .word WC_IRQHandler
  .word EXTBUS_ERR_IRQHandler
  .word RTC_IRQHandler
  .word EXINT8_IRQHandler
  .word EXINT9_IRQHandler
  .word EXINT10_IRQHandler
  .word EXINT11_IRQHandler
  .word EXINT12_IRQHandler
  .word EXINT13_IRQHandler
  .word EXINT14_IRQHandler
  .word EXINT15_IRQHandler
  .word TIM_IRQHandler
  .word MFS0_RX_IRQHandler
  .word MFS0_TX_IRQHandler
  .word MFS1_RX_IRQHandler
  .word MFS1_TX_IRQHandler
  .word MFS2_RX_IRQHandler
  .word MFS2_TX_IRQHandler
  .word MFS3_RX_IRQHandler
  .word MFS3_TX_IRQHandler
  .word MFS4_RX_IRQHandler
  .word MFS4_TX_IRQHandler
  .word MFS5_RX_IRQHandler
  .word MFS5_TX_IRQHandler
  .word MFS6_RX_IRQHandler
  .word MFS6_TX_IRQHandler
  .word MFS7_RX_IRQHandler
  .word MFS7_TX_IRQHandler
  .word ADC0_IRQHandler
  .word ADC1_IRQHandler
  .word USB0_IRQHandler
  .word USB0_HOST_IRQHandler
  .word CAN0_IRQHandler
  .word CAN1_IRQHandler
  .word ETHER0_IRQHandler
  .word DMAC0_IRQHandler
  .word DMAC1_IRQHandler
  .word DMAC2_IRQHandler
  .word DMAC3_IRQHandler
  .word DMAC4_IRQHandler
  .word DMAC5_IRQHandler
  .word DMAC6_IRQHandler
  .word DMAC7_IRQHandler
  .word DSTC_IRQHandler
  .word EXINT16_17_18_19_IRQHandler
  .word EXINT20_21_22_23_IRQHandler
  .word EXINT24_25_26_27_IRQHandler
  .word EXINT28_29_30_31_IRQHandler
  .word QPRC2_IRQHandler
  .word QPRC3_IRQHandler
  .word BT8_IRQHandler
  .word BT9_IRQHandler
  .word BT10_IRQHandler
  .word BT11_IRQHandler
  .word BT12_13_14_15_IRQHandler
  .word MFS8_RX_IRQHandler
  .word MFS8_TX_IRQHandler
  .word MFS9_RX_IRQHandler
  .word MFS9_TX_IRQHandler
  .word MFS10_RX_IRQHandler
  .word MFS10_TX_IRQHandler
  .word MFS11_RX_IRQHandler
  .word MFS11_TX_IRQHandler
  .word ADC2_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word USB1_HDMICEC0_IRQHandler
  .word USB1_HOST_HDMICEC1_IRQHandler
  .word HSSPI_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word PRGCRC_I2S_IRQHandler
  .word SD_IRQHandler
  .word FLASH_IRQHandler
  .word MFS12_RX_IRQHandler
  .word MFS12_TX_IRQHandler
  .word MFS13_RX_IRQHandler
  .word MFS13_TX_IRQHandler
  .word MFS14_RX_IRQHandler
  .word MFS14_TX_IRQHandler
  .word MFS15_RX_IRQHandler
  .word MFS15_TX_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
