
/****************************************************************************************************//**
 * @file     GPIO_0.h
 *
 *
 * @brief    CMSIS Cortex-M0 Core Peripheral Access Layer Header File for
 *           default ZMDCM0 Device Series
 *
 * @version  V0.1
 * @date     18. May 2012
 *
 * @note     Generated with SVDConv V2.6 Build 5c  on Friday, 18.05.2012 10:41:33
 *
 *           from CMSIS SVD File 'ZMDCM0.xml' Version 0.1,
 *           created on Thursday, 05.04.2012 12:33:42, last modified on Friday, 18.05.2012 07:38:52
 *
 *******************************************************************************************************/


#ifndef __GPIO_0_H__
#define __GPIO_0_H__


// ------------------------------------------------------------------------------------------------
// -----                                        GPIO_0                                        -----
// ------------------------------------------------------------------------------------------------


/**
  * @brief GPIO_0 module (GPIO_0)
  */

typedef struct {                            /*!< GPIO_0 Structure                      */
  __IO uint32_t  GPIO_DIR;                  /*!< GPIO direction register. Value 1 of corresponding bit means output, value 0 is input */
  
  union {
    __I  uint32_t  GPIO_IN;                 /*!< GPIO synchronized input value         */
    
    struct {
      uint32_t  b0        :  1;             /*!< Bit 0                                 */
      uint32_t  b1        :  1;             /*!< Bit 1                                 */
      uint32_t  b2        :  1;             /*!< Bit 2                                 */
      uint32_t  b3        :  1;             /*!< Bit 3                                 */
      uint32_t  b4        :  1;             /*!< Bit 4                                 */
      uint32_t  b5        :  1;             /*!< Bit 5                                 */
      uint32_t  b6        :  1;             /*!< Bit 6                                 */
      uint32_t  b7        :  1;             /*!< Bit 7                                 */
      uint32_t  b8        :  1;             /*!< Bit 8                                 */
      uint32_t  b9        :  1;             /*!< Bit 9                                 */
      uint32_t  b10       :  1;             /*!< Bit 10                                */
      uint32_t  b11       :  1;             /*!< Bit 11                                */
      uint32_t  b12       :  1;             /*!< Bit 12                                */
      uint32_t  b13       :  1;             /*!< Bit 13                                */
      uint32_t  b14       :  1;             /*!< Bit 14                                */
      uint32_t  b15       :  1;             /*!< Bit 15                                */
    } GPIO_IN_b;                            /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_OUT;                /*!< GPIO value to be driven out of each GPIO; can be selected individually */
    
    struct {
      uint32_t  b0        :  1;             /*!< Bit 0                                 */
      uint32_t  b1        :  1;             /*!< Bit 1                                 */
      uint32_t  b2        :  1;             /*!< Bit 2                                 */
      uint32_t  b3        :  1;             /*!< Bit 3                                 */
      uint32_t  b4        :  1;             /*!< Bit 4                                 */
      uint32_t  b5        :  1;             /*!< Bit 5                                 */
      uint32_t  b6        :  1;             /*!< Bit 6                                 */
      uint32_t  b7        :  1;             /*!< Bit 7                                 */
      uint32_t  b8        :  1;             /*!< Bit 8                                 */
      uint32_t  b9        :  1;             /*!< Bit 9                                 */
      uint32_t  b10       :  1;             /*!< Bit 10                                */
      uint32_t  b11       :  1;             /*!< Bit 11                                */
      uint32_t  b12       :  1;             /*!< Bit 12                                */
      uint32_t  b13       :  1;             /*!< Bit 13                                */
      uint32_t  b14       :  1;             /*!< Bit 14                                */
      uint32_t  b15       :  1;             /*!< Bit 15                                */
    } GPIO_OUT_b;                           /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_SETCLR;             /*!< GPIO SETCLR register                  */
    
    struct {
      uint32_t  setOut    : 16;             /*!< There is one set bit per GPIO; value driven out of GPIO is set to 1 when 1 is written to the corresponding bit (lower priority than clear); always read as 0 */
      uint32_t  setClr    : 16;             /*!< there is one set bit per GPIO; value driven out of GPIO is set to 0 when 1 is written to the corresponding bit (higher priority than set); always read as 0 */
    } GPIO_SETCLR_b;                        /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_IRQSTAT;            /*!< this register reflects the interrupt status of each GPIO which is enabled as interrupt */
    
    struct {
      uint32_t  irqStat   : 16;             /*!< this register reflects the interrupt status of each GPIO which is enabled as interrupt */
    } GPIO_IRQSTAT_b;                       /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_IRQEN;              /*!< Interrupt enable register. When a bit is set to 1 the corresponding pin is allowed to drive interrupt. */
    
    struct {
      uint32_t  irqEn     : 16;             /*!< When a bit is set to 1 the corresponding pin is allowed to drive interrupt. */
    } GPIO_IRQEN_b;                         /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_IRQEDGE;            /*!< 0: a rising edge on the corresponding GPIO triggers the irq line 1: a falling edge on the corresponding GPIO triggers the irq line */
    
    struct {
      uint32_t  irqEdge   : 16;             /*!< 0: a rising edge on the corresponding GPIO triggers the irq line1: a falling edge on the corresponding GPIO triggers the irq line */
    } GPIO_IRQEDGE_b;                       /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  GPIO_TRIGEN;             /*!< when set to 1, the corresponding GPIO drives its trigger line */
    
    struct {
      uint32_t  trigEn    : 16;             /*!< when set to 1, the corresponding GPIO drives its trigger line */
    } GPIO_TRIGEN_b;                        /*!< BitSize                               */
  };
} GPIO_0_Type;


// ------------------------------------------------------------------------------------------------
// -----                                 Peripheral memory map                                -----
// ------------------------------------------------------------------------------------------------

#define GPIO_0_BASE               0x40001400


// ------------------------------------------------------------------------------------------------
// -----                                Peripheral declaration                                -----
// ------------------------------------------------------------------------------------------------

#define GPIO_0                    ((GPIO_0_Type             *) GPIO_0_BASE)

#endif
