
/****************************************************************************************************//**
 * @file     Timer32.h
 *
 *
 * @brief    CMSIS Cortex-M0 Core Peripheral Access Layer Header File for
 *           default ZMDCM0 Device Series
 *
 * @version  V0.1
 * @date     18. May 2012
 *
 * @note     Generated with SVDConv V2.6 Build 5c  on Friday, 18.05.2012 10:41:33
 *
 *           from CMSIS SVD File 'ZMDCM0.xml' Version 0.1,
 *           created on Thursday, 05.04.2012 12:33:42, last modified on Friday, 18.05.2012 07:38:52
 *
 *******************************************************************************************************/


#ifndef __Timer32_H__
#define __Timer32_H__


// ------------------------------------------------------------------------------------------------
// -----                                        Timer32                                       -----
// ------------------------------------------------------------------------------------------------


/**
  * @brief General purpose 32bit timer module (Timer32)
  */

typedef struct {                            /*!< Timer32 Structure                     */
  
  union {
    __IO uint32_t  T32_CTRL;                /*!< Timer Control Register                */
    
    struct {
      uint32_t  en        :  1;             /*!< Enable Bit activates the timer.       */
      uint32_t  modeTC    :  1;             /*!< Selects timer mode. Timer mode or counter mode */
      uint32_t  modeSR    :  1;             /*!< select between reload and single shot mode 0: reload mode; at overflow, reload value is copied into counter register and counter continues 1: single shot mode; at overflow, reload value is copied into counter register and counter stops */
      uint32_t  modeLE    :  1;             /*!< select between level or edge sensitive trigger; counter mode only 0: trigger is used level sensitive 1: trigger is used edge sensitive  */
      uint32_t  modePN    :  1;             /*!< selects between rising or falling edge active trigger (modeLE == 1) or high or low level (modeLE == 0); counter mode only 0: trigger on falling edge / low level 1: trigger on rising edge / high level  */
      uint32_t  overflow  :  1;             /*!< overflow flag (strobe); set for a single cycle when counter overflows; this bit also drives the interrupt line  */
    } T32_CTRL_b;                           /*!< BitSize                               */
  };
  
  union {
    __IO uint32_t  T32_TRIGSEL;             /*!< Trigger signal selection              */
    
    struct {
      uint32_t  trigSel   :  5;             /*!< Select signal for the trigger source0x00: no trigger source0x01: GPIO00 is used as trigger source0x02: GPIO01 is used as trigger source...0x10: GPIO15 is used as trigger source0x11 - 0x1F: no trigger source */
    } T32_TRIGSEL_b;                        /*!< BitSize                               */
  };
  __IO uint32_t  T32_CNT;                   /*!< Timer value; this register can be written directly no matter if timer is enabled or not. It is set to the reload value when reload value is written  */
  __IO uint32_t  T32_REL;                   /*!< timer reload value; when timer (counter) overflows, the reload value is copied into counter register. In reload mode, the timer continues while it stops when reload mode is not enabled  */
} Timer32_Type;


// ------------------------------------------------------------------------------------------------
// -----                                 Peripheral memory map                                -----
// ------------------------------------------------------------------------------------------------

#define Timer32_BASE              0x40001000


// ------------------------------------------------------------------------------------------------
// -----                                Peripheral declaration                                -----
// ------------------------------------------------------------------------------------------------

#define Timer32                   ((Timer32_Type            *) Timer32_BASE)

#endif
