
/****************************************************************************************************//**
 * @file     ZAMC4100.h
 *
 * @status   EXPERIMENTAL
 *
 * @brief    CMSIS Cortex-M0 Core Peripheral Access Layer Header File for
 *           default ZMDCM0 Device Series
 *
 * @version  V0.1
 * @date     5. December 2013
 *
 * @note     Generated with SFDGen V2.6 Build 4  on Thursday, 05.12.2013 16:26:57
 *
 *           from CMSIS SVD File 'ZMDCM0.xml' Version 0.1,
 *           created on Thursday, 22.03.2012 07:10:08, last modified on Thursday, 05.12.2013 14:25:39
 *
 *******************************************************************************************************/



/** @addtogroup (null)
  * @{
  */

/** @addtogroup ZMDCM0
  * @{
  */

#ifndef __ZAMC4100_H__
#define __ZAMC4100_H__

#ifdef __cplusplus
extern "C" {
#endif 


#if defined ( __CC_ARM   )
  #pragma anon_unions
#endif

 /* Interrupt Number Definition */

typedef enum {
// -------------------------  Cortex-M0 Processor Exceptions Numbers  -----------------------------
  Reset_IRQn                        = -15,  /*!<   1  Reset Vector, invoked on Power up and warm reset */
  NonMaskableInt_IRQn               = -14,  /*!<   2  Non maskable Interrupt, cannot be stopped or preempted */
  HardFault_IRQn                    = -13,  /*!<   3  Hard Fault, all classes of Fault */
  SVCall_IRQn                       = -5,   /*!<  11  System Service Call via SVC instruction */
  DebugMonitor_IRQn                 = -4,   /*!<  12  Debug Monitor                    */
  PendSV_IRQn                       = -2,   /*!<  14  Pendable request for system service */
  SysTick_IRQn                      = -1,   /*!<  15  System Tick Timer                */
// ----------------------------  ZMDCM0 Specific Interrupt Numbers  -------------------------------
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */

/* Processor and Core Peripheral Section */ /* Configuration of the Cortex-M0 Processor and Core Peripherals */

#define __CM3_REV              0x0000       /*!< Cortex-M3 Core Revision               */
#define __MPU_PRESENT             0         /*!< MPU present or not                    */
#define __NVIC_PRIO_BITS          0         /*!< Number of Bits used for Priority Levels */
#define __Vendor_SysTickConfig    0         /*!< Set to 1 if different SysTick Config is used */
/** @} */ /* End of group Configuration_of_CMSIS */

#include <core_cm0.h>                       /*!< Cortex-M0 processor and core peripherals */
#include "system_ZMDCM0.h"                  /*!< ZMDCM0 System                         */

/** @addtogroup Device_Peripheral_Registers
  * @{
  */


// ------------------------------------------------------------------------------------------------
// -----                                     Include List                                     -----
// ------------------------------------------------------------------------------------------------


#include "FLASH.h" 
#include "ZSYSTEM.h" 
#include "SMU.h" 
#include "GPIO_0.h" 
//#include "SysTick.h" 
#include "Timer32.h" 



#if defined ( __CC_ARM   )
  #pragma no_anon_unions
#endif


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group (null) */
/** @} */ /* End of group ZMDCM0 */

#ifdef __cplusplus
}
#endif 


#endif  // __ZAMC4100_H__
