
/****************************************************************************************************//**
 * @file     ZMDCM0.h
 *
 *
 * @brief    CMSIS Cortex-M0 Core Peripheral Access Layer Header File for
 *           default ZMDCM0 Device Series
 *
 * @version  V0.1
 * @date     18. May 2012
 *
 * @note     Generated with SVDConv V2.6 Build 5c  on Friday, 18.05.2012 10:41:33
 *
 *           from CMSIS SVD File 'ZMDCM0.xml' Version 0.1,
 *           created on Thursday, 05.04.2012 12:33:42, last modified on Friday, 18.05.2012 07:38:52
 *
 *******************************************************************************************************/


/*!
* \defgroup DRV Low layer drivers
*/

/** @addtogroup ZMDI Cortex-M0 based core
  * @{
  */

/** @addtogroup ZMDCM0
  * @{
  */

#ifndef __ZMDCM0_H__
#define __ZMDCM0_H__

#ifdef __cplusplus
extern "C" {
#endif 



/********************************************
** Start of section using anonymous unions **
*********************************************/

#if defined(__ARMCC_VERSION)
  //#pragma push
  #pragma anon_unions
#elif defined(__CWCC__)
  #pragma push
  #pragma cpp_extensions on
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__IAR_SYSTEMS_ICC__)
  #pragma push
  #pragma language=extended
#else
  #error Not supported compiler type
#endif


 /* Interrupt Number Definition */

typedef enum {
// -------------------------  Cortex-M0 Processor Exceptions Numbers  -----------------------------
  Reset_IRQn                        = -15,  /*!<   1  Reset Vector, invoked on Power up and warm reset */
  NonMaskableInt_IRQn               = -14,  /*!<   2  Non maskable Interrupt, cannot be stopped or preempted */
  HardFault_IRQn                    = -13,  /*!<   3  Hard Fault, all classes of Fault */
  SVCall_IRQn                       =  -5,  /*!<  11  System Service Call via SVC instruction */
  DebugMonitor_IRQn                 =  -4,  /*!<  12  Debug Monitor                    */
  PendSV_IRQn                       =  -2,  /*!<  14  Pendable request for system service */
  SysTick_IRQn                      =  -1,  /*!<  15  System Tick Timer                */
// ----------------------------  ZMDCM0 Specific Interrupt Numbers  -------------------------------
  Flash_IRQn                        =   0,  /*!<   0  Flash                            */
  External_IRQn                     =   1,  /*!<   1  External                         */
  SW_LIN_IRQn                       =   2,  /*!<   2  SW_LIN                           */
  SPI1_IRQn                         =   3,  /*!<   3  SPI1                             */
  Timer32IRQ_IRQn                   =   4,  /*!<   4  Timer32IRQ                       */
  GPIO_IRQ_IRQn                     =   5,  /*!<   5  GPIO_IRQ                         */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */

/* Processor and Core Peripheral Section */ /* Configuration of the Cortex-M0 Processor and Core Peripherals */

#define __CM0_REV              0x0000       /*!< Cortex-M3 Core Revision               */
#define __MPU_PRESENT             0         /*!< MPU present or not                    */
#define __NVIC_PRIO_BITS          2         /*!< Number of Bits used for Priority Levels */
#define __Vendor_SysTickConfig    0         /*!< Set to 1 if different SysTick Config is used */
/** @} */ /* End of group Configuration_of_CMSIS */

#include <core_cm0.h>                       /*!< Cortex-M0 processor and core peripherals */
#include "system_ZMDCM0.h"                  /*!< ZMDCM0 System                         */

/** @addtogroup Device_Peripheral_Registers
  * @{
  */


// ------------------------------------------------------------------------------------------------
// -----                                     Include List                                     -----
// ------------------------------------------------------------------------------------------------


#include "FLASH.h" 
#include "ZSYSTEM.h" 
#include "SMU.h" 
#include "GPIO_0.h" 
#include "Timer32.h" 




/********************************************
** End of section using anonymous unions   **
*********************************************/

#if defined(__ARMCC_VERSION)
  //#pragma pop
#elif defined(__CWCC__)
  #pragma pop
#elif defined(__GNUC__)
  /* leave anonymous unions enabled */
#elif defined(__IAR_SYSTEMS_ICC__)
  #pragma pop
#else
  #error Not supported compiler type
#endif




/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group ZMDCM0 */
/** @} */ /* End of group (null) */

#ifdef __cplusplus
}
#endif 


#endif  // __ZMDCM0_H__

