/*****************************************************************************
 * Copyright (c) 2014 Rowley Associates Limited.                             *
 *                                                                           *
 * This file may be distributed under the terms of the License Agreement     *
 * provided with this software.                                              *
 *                                                                           *
 * THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE   *
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. *
 *****************************************************************************/

.macro ISR_HANDLER name=
  .section .vectors, "ax"
  .word \name
  .section .init, "ax"
  .thumb_func
  .weak \name
\name:
1: b 1b /* endless loop */
.endm

.macro ISR_RESERVED
  .section .vectors, "ax"
  .word 0
.endm

  .syntax unified
  .global Reset_Handler

  .section .vectors, "ax"
  .align 0
  .code 16
  .global _vectors

.macro DEFAULT_ISR_HANDLER name=
  .thumb_func
  .weak \name
\name:
1: b 1b /* endless loop */
.endm

_vectors:
  .word __stack_end__
  .word Reset_Handler
ISR_HANDLER NMI_Handler
ISR_HANDLER HardFault_Handler
ISR_RESERVED // Populate if using MemManage (MPU)
ISR_RESERVED // Populate if using Bus fault
ISR_RESERVED // Populate if using Usage fault
ISR_RESERVED
ISR_RESERVED
ISR_RESERVED
ISR_RESERVED
ISR_HANDLER SVC_Handler
ISR_RESERVED // Populate if using a debug monitor
ISR_RESERVED
ISR_HANDLER PendSV_Handler
ISR_HANDLER SysTick_Handler
   // External Interrupts
ISR_RESERVED                    // Flash
ISR_HANDLER __SBCExtIrqHandler  // 1
ISR_HANDLER __LINIrqHandler     // 2 (18)
ISR_HANDLER __SPIIrqHandler     // 3
ISR_HANDLER __TimerIrqHandler   // 4 Timer Interrupt
ISR_RESERVED                    // 5
ISR_RESERVED                    // 6,  /*!<   Reserved   */
ISR_RESERVED                    // 7,  /*!<   Reserved  */
ISR_RESERVED                    // 8,  /*!<    Reserved */


  .section .vectors, "ax"
_vectors_end:

  .section .init, "ax"
  .thumb_func

  .weak SVC_Handler
  b .

  .weak NMI_Handler
  b .

  .weak HardFault_Handler
  b .

  .weak PendSV_Handler
  b .

  .weak SysTick_Handler
  b .

  .weak __SBCExtIrqHandler
  b .

  .weak __LINIrqHandler
  b .

  .weak __SPIIrqHandler
  b .

  .weak __TimerIrqHandler
  b .


  Reset_Handler:

#ifndef __NO_SYSTEM_INIT
  ldr r0, =__stack_end__
  mov sp, r0
  bl SystemInit
  .pushsection .init_array, "aw", %init_array
  .align 2
  .word SystemCoreClockUpdate
  .popsection
#endif

  ldr r0, =_start
  blx r0

#ifndef __NO_SYSTEM_INIT
  .thumb_func
  .weak SystemInit
SystemInit:
  bx lr
#endif
