/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*            (c) 2014 - 2019 SEGGER Microcontroller GmbH             *
*                                                                    *
*           www.segger.com     Support: support@segger.com           *
*                                                                    *
**********************************************************************
*                                                                    *
* All rights reserved.                                               *
*                                                                    *
* Redistribution and use in source and binary forms, with or         *
* without modification, are permitted provided that the following    *
* conditions are met:                                                *
*                                                                    *
* - Redistributions of source code must retain the above copyright   *
*   notice, this list of conditions and the following disclaimer.    *
*                                                                    *
* - Neither the name of SEGGER Microcontroller GmbH                  *
*   nor the names of its contributors may be used to endorse or      *
*   promote products derived from this software without specific     *
*   prior written permission.                                        *
*                                                                    *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND             *
* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,        *
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF           *
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE           *
* DISCLAIMED.                                                        *
* IN NO EVENT SHALL SEGGER Microcontroller GmbH BE LIABLE FOR        *
* ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR           *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT  *
* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;    *
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF      *
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE  *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH   *
* DAMAGE.                                                            *
*                                                                    *
*********************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak SCU_0_IRQHandler
  .thumb_set SCU_0_IRQHandler,Dummy_Handler

  .weak ERU0_0_IRQHandler
  .thumb_set ERU0_0_IRQHandler,Dummy_Handler

  .weak ERU0_1_IRQHandler
  .thumb_set ERU0_1_IRQHandler,Dummy_Handler

  .weak ERU0_2_IRQHandler
  .thumb_set ERU0_2_IRQHandler,Dummy_Handler

  .weak ERU0_3_IRQHandler
  .thumb_set ERU0_3_IRQHandler,Dummy_Handler

  .weak ERU1_0_IRQHandler
  .thumb_set ERU1_0_IRQHandler,Dummy_Handler

  .weak ERU1_1_IRQHandler
  .thumb_set ERU1_1_IRQHandler,Dummy_Handler

  .weak ERU1_2_IRQHandler
  .thumb_set ERU1_2_IRQHandler,Dummy_Handler

  .weak ERU1_3_IRQHandler
  .thumb_set ERU1_3_IRQHandler,Dummy_Handler

  .weak PMU0_0_IRQHandler
  .thumb_set PMU0_0_IRQHandler,Dummy_Handler

  .weak VADC0_C0_0_IRQHandler
  .thumb_set VADC0_C0_0_IRQHandler,Dummy_Handler

  .weak VADC0_C0_1_IRQHandler
  .thumb_set VADC0_C0_1_IRQHandler,Dummy_Handler

  .weak VADC0_C0_2_IRQHandler
  .thumb_set VADC0_C0_2_IRQHandler,Dummy_Handler

  .weak VADC0_C0_3_IRQHandler
  .thumb_set VADC0_C0_3_IRQHandler,Dummy_Handler

  .weak VADC0_G0_0_IRQHandler
  .thumb_set VADC0_G0_0_IRQHandler,Dummy_Handler

  .weak VADC0_G0_1_IRQHandler
  .thumb_set VADC0_G0_1_IRQHandler,Dummy_Handler

  .weak VADC0_G0_2_IRQHandler
  .thumb_set VADC0_G0_2_IRQHandler,Dummy_Handler

  .weak VADC0_G0_3_IRQHandler
  .thumb_set VADC0_G0_3_IRQHandler,Dummy_Handler

  .weak VADC0_G1_0_IRQHandler
  .thumb_set VADC0_G1_0_IRQHandler,Dummy_Handler

  .weak VADC0_G1_1_IRQHandler
  .thumb_set VADC0_G1_1_IRQHandler,Dummy_Handler

  .weak VADC0_G1_2_IRQHandler
  .thumb_set VADC0_G1_2_IRQHandler,Dummy_Handler

  .weak VADC0_G1_3_IRQHandler
  .thumb_set VADC0_G1_3_IRQHandler,Dummy_Handler

  .weak VADC0_G2_0_IRQHandler
  .thumb_set VADC0_G2_0_IRQHandler,Dummy_Handler

  .weak VADC0_G2_1_IRQHandler
  .thumb_set VADC0_G2_1_IRQHandler,Dummy_Handler

  .weak VADC0_G2_2_IRQHandler
  .thumb_set VADC0_G2_2_IRQHandler,Dummy_Handler

  .weak VADC0_G2_3_IRQHandler
  .thumb_set VADC0_G2_3_IRQHandler,Dummy_Handler

  .weak VADC0_G3_0_IRQHandler
  .thumb_set VADC0_G3_0_IRQHandler,Dummy_Handler

  .weak VADC0_G3_1_IRQHandler
  .thumb_set VADC0_G3_1_IRQHandler,Dummy_Handler

  .weak VADC0_G3_2_IRQHandler
  .thumb_set VADC0_G3_2_IRQHandler,Dummy_Handler

  .weak VADC0_G3_3_IRQHandler
  .thumb_set VADC0_G3_3_IRQHandler,Dummy_Handler

  .weak DSD0_0_IRQHandler
  .thumb_set DSD0_0_IRQHandler,Dummy_Handler

  .weak DSD0_1_IRQHandler
  .thumb_set DSD0_1_IRQHandler,Dummy_Handler

  .weak DSD0_2_IRQHandler
  .thumb_set DSD0_2_IRQHandler,Dummy_Handler

  .weak DSD0_3_IRQHandler
  .thumb_set DSD0_3_IRQHandler,Dummy_Handler

  .weak DSD0_4_IRQHandler
  .thumb_set DSD0_4_IRQHandler,Dummy_Handler

  .weak DSD0_5_IRQHandler
  .thumb_set DSD0_5_IRQHandler,Dummy_Handler

  .weak DSD0_6_IRQHandler
  .thumb_set DSD0_6_IRQHandler,Dummy_Handler

  .weak DSD0_7_IRQHandler
  .thumb_set DSD0_7_IRQHandler,Dummy_Handler

  .weak DAC0_0_IRQHandler
  .thumb_set DAC0_0_IRQHandler,Dummy_Handler

  .weak DAC0_1_IRQHandler
  .thumb_set DAC0_1_IRQHandler,Dummy_Handler

  .weak CCU40_0_IRQHandler
  .thumb_set CCU40_0_IRQHandler,Dummy_Handler

  .weak CCU40_1_IRQHandler
  .thumb_set CCU40_1_IRQHandler,Dummy_Handler

  .weak CCU40_2_IRQHandler
  .thumb_set CCU40_2_IRQHandler,Dummy_Handler

  .weak CCU40_3_IRQHandler
  .thumb_set CCU40_3_IRQHandler,Dummy_Handler

  .weak CCU41_0_IRQHandler
  .thumb_set CCU41_0_IRQHandler,Dummy_Handler

  .weak CCU41_1_IRQHandler
  .thumb_set CCU41_1_IRQHandler,Dummy_Handler

  .weak CCU41_2_IRQHandler
  .thumb_set CCU41_2_IRQHandler,Dummy_Handler

  .weak CCU41_3_IRQHandler
  .thumb_set CCU41_3_IRQHandler,Dummy_Handler

  .weak CCU42_0_IRQHandler
  .thumb_set CCU42_0_IRQHandler,Dummy_Handler

  .weak CCU42_1_IRQHandler
  .thumb_set CCU42_1_IRQHandler,Dummy_Handler

  .weak CCU42_2_IRQHandler
  .thumb_set CCU42_2_IRQHandler,Dummy_Handler

  .weak CCU42_3_IRQHandler
  .thumb_set CCU42_3_IRQHandler,Dummy_Handler

  .weak CCU43_0_IRQHandler
  .thumb_set CCU43_0_IRQHandler,Dummy_Handler

  .weak CCU43_1_IRQHandler
  .thumb_set CCU43_1_IRQHandler,Dummy_Handler

  .weak CCU43_2_IRQHandler
  .thumb_set CCU43_2_IRQHandler,Dummy_Handler

  .weak CCU43_3_IRQHandler
  .thumb_set CCU43_3_IRQHandler,Dummy_Handler

  .weak CCU80_0_IRQHandler
  .thumb_set CCU80_0_IRQHandler,Dummy_Handler

  .weak CCU80_1_IRQHandler
  .thumb_set CCU80_1_IRQHandler,Dummy_Handler

  .weak CCU80_2_IRQHandler
  .thumb_set CCU80_2_IRQHandler,Dummy_Handler

  .weak CCU80_3_IRQHandler
  .thumb_set CCU80_3_IRQHandler,Dummy_Handler

  .weak CCU81_0_IRQHandler
  .thumb_set CCU81_0_IRQHandler,Dummy_Handler

  .weak CCU81_1_IRQHandler
  .thumb_set CCU81_1_IRQHandler,Dummy_Handler

  .weak CCU81_2_IRQHandler
  .thumb_set CCU81_2_IRQHandler,Dummy_Handler

  .weak CCU81_3_IRQHandler
  .thumb_set CCU81_3_IRQHandler,Dummy_Handler

  .weak POSIF0_0_IRQHandler
  .thumb_set POSIF0_0_IRQHandler,Dummy_Handler

  .weak POSIF0_1_IRQHandler
  .thumb_set POSIF0_1_IRQHandler,Dummy_Handler

  .weak POSIF1_0_IRQHandler
  .thumb_set POSIF1_0_IRQHandler,Dummy_Handler

  .weak POSIF1_1_IRQHandler
  .thumb_set POSIF1_1_IRQHandler,Dummy_Handler

  .weak CAN0_0_IRQHandler
  .thumb_set CAN0_0_IRQHandler,Dummy_Handler

  .weak CAN0_1_IRQHandler
  .thumb_set CAN0_1_IRQHandler,Dummy_Handler

  .weak CAN0_2_IRQHandler
  .thumb_set CAN0_2_IRQHandler,Dummy_Handler

  .weak CAN0_3_IRQHandler
  .thumb_set CAN0_3_IRQHandler,Dummy_Handler

  .weak CAN0_4_IRQHandler
  .thumb_set CAN0_4_IRQHandler,Dummy_Handler

  .weak CAN0_5_IRQHandler
  .thumb_set CAN0_5_IRQHandler,Dummy_Handler

  .weak CAN0_6_IRQHandler
  .thumb_set CAN0_6_IRQHandler,Dummy_Handler

  .weak CAN0_7_IRQHandler
  .thumb_set CAN0_7_IRQHandler,Dummy_Handler

  .weak USIC0_0_IRQHandler
  .thumb_set USIC0_0_IRQHandler,Dummy_Handler

  .weak USIC0_1_IRQHandler
  .thumb_set USIC0_1_IRQHandler,Dummy_Handler

  .weak USIC0_2_IRQHandler
  .thumb_set USIC0_2_IRQHandler,Dummy_Handler

  .weak USIC0_3_IRQHandler
  .thumb_set USIC0_3_IRQHandler,Dummy_Handler

  .weak USIC0_4_IRQHandler
  .thumb_set USIC0_4_IRQHandler,Dummy_Handler

  .weak USIC0_5_IRQHandler
  .thumb_set USIC0_5_IRQHandler,Dummy_Handler

  .weak USIC1_0_IRQHandler
  .thumb_set USIC1_0_IRQHandler,Dummy_Handler

  .weak USIC1_1_IRQHandler
  .thumb_set USIC1_1_IRQHandler,Dummy_Handler

  .weak USIC1_2_IRQHandler
  .thumb_set USIC1_2_IRQHandler,Dummy_Handler

  .weak USIC1_3_IRQHandler
  .thumb_set USIC1_3_IRQHandler,Dummy_Handler

  .weak USIC1_4_IRQHandler
  .thumb_set USIC1_4_IRQHandler,Dummy_Handler

  .weak USIC1_5_IRQHandler
  .thumb_set USIC1_5_IRQHandler,Dummy_Handler

  .weak USIC2_0_IRQHandler
  .thumb_set USIC2_0_IRQHandler,Dummy_Handler

  .weak USIC2_1_IRQHandler
  .thumb_set USIC2_1_IRQHandler,Dummy_Handler

  .weak USIC2_2_IRQHandler
  .thumb_set USIC2_2_IRQHandler,Dummy_Handler

  .weak USIC2_3_IRQHandler
  .thumb_set USIC2_3_IRQHandler,Dummy_Handler

  .weak USIC2_4_IRQHandler
  .thumb_set USIC2_4_IRQHandler,Dummy_Handler

  .weak USIC2_5_IRQHandler
  .thumb_set USIC2_5_IRQHandler,Dummy_Handler

  .weak LEDTS0_0_IRQHandler
  .thumb_set LEDTS0_0_IRQHandler,Dummy_Handler

  .weak FCE0_0_IRQHandler
  .thumb_set FCE0_0_IRQHandler,Dummy_Handler

  .weak GPDMA0_0_IRQHandler
  .thumb_set GPDMA0_0_IRQHandler,Dummy_Handler

  .weak SDMMC0_0_IRQHandler
  .thumb_set SDMMC0_0_IRQHandler,Dummy_Handler

  .weak USB0_0_IRQHandler
  .thumb_set USB0_0_IRQHandler,Dummy_Handler

  .weak ETH0_0_IRQHandler
  .thumb_set ETH0_0_IRQHandler,Dummy_Handler

  .weak ECAT0_0_IRQHandler
  .thumb_set ECAT0_0_IRQHandler,Dummy_Handler
  
  .weak GPDMA1_0_IRQHandler
  .thumb_set GPDMA1_0_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak SCU_0_IRQHandler
SCU_0_IRQHandler:
  b .

  .thumb_func
  .weak ERU0_0_IRQHandler
ERU0_0_IRQHandler:
  b .

  .thumb_func
  .weak ERU0_1_IRQHandler
ERU0_1_IRQHandler:
  b .

  .thumb_func
  .weak ERU0_2_IRQHandler
ERU0_2_IRQHandler:
  b .

  .thumb_func
  .weak ERU0_3_IRQHandler
ERU0_3_IRQHandler:
  b .

  .thumb_func
  .weak ERU1_0_IRQHandler
ERU1_0_IRQHandler:
  b .

  .thumb_func
  .weak ERU1_1_IRQHandler
ERU1_1_IRQHandler:
  b .

  .thumb_func
  .weak ERU1_2_IRQHandler
ERU1_2_IRQHandler:
  b .

  .thumb_func
  .weak ERU1_3_IRQHandler
ERU1_3_IRQHandler:
  b .

  .thumb_func
  .weak PMU0_0_IRQHandler
PMU0_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_C0_0_IRQHandler
VADC0_C0_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_C0_1_IRQHandler
VADC0_C0_1_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_C0_2_IRQHandler
VADC0_C0_2_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_C0_3_IRQHandler
VADC0_C0_3_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G0_0_IRQHandler
VADC0_G0_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G0_1_IRQHandler
VADC0_G0_1_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G0_2_IRQHandler
VADC0_G0_2_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G0_3_IRQHandler
VADC0_G0_3_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G1_0_IRQHandler
VADC0_G1_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G1_1_IRQHandler
VADC0_G1_1_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G1_2_IRQHandler
VADC0_G1_2_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G1_3_IRQHandler
VADC0_G1_3_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G2_0_IRQHandler
VADC0_G2_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G2_1_IRQHandler
VADC0_G2_1_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G2_2_IRQHandler
VADC0_G2_2_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G2_3_IRQHandler
VADC0_G2_3_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G3_0_IRQHandler
VADC0_G3_0_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G3_1_IRQHandler
VADC0_G3_1_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G3_2_IRQHandler
VADC0_G3_2_IRQHandler:
  b .

  .thumb_func
  .weak VADC0_G3_3_IRQHandler
VADC0_G3_3_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_0_IRQHandler
DSD0_0_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_1_IRQHandler
DSD0_1_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_2_IRQHandler
DSD0_2_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_3_IRQHandler
DSD0_3_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_4_IRQHandler
DSD0_4_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_5_IRQHandler
DSD0_5_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_6_IRQHandler
DSD0_6_IRQHandler:
  b .

  .thumb_func
  .weak DSD0_7_IRQHandler
DSD0_7_IRQHandler:
  b .

  .thumb_func
  .weak DAC0_0_IRQHandler
DAC0_0_IRQHandler:
  b .

  .thumb_func
  .weak DAC0_1_IRQHandler
DAC0_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU40_0_IRQHandler
CCU40_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU40_1_IRQHandler
CCU40_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU40_2_IRQHandler
CCU40_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU40_3_IRQHandler
CCU40_3_IRQHandler:
  b .

  .thumb_func
  .weak CCU41_0_IRQHandler
CCU41_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU41_1_IRQHandler
CCU41_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU41_2_IRQHandler
CCU41_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU41_3_IRQHandler
CCU41_3_IRQHandler:
  b .

  .thumb_func
  .weak CCU42_0_IRQHandler
CCU42_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU42_1_IRQHandler
CCU42_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU42_2_IRQHandler
CCU42_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU42_3_IRQHandler
CCU42_3_IRQHandler:
  b .

  .thumb_func
  .weak CCU43_0_IRQHandler
CCU43_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU43_1_IRQHandler
CCU43_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU43_2_IRQHandler
CCU43_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU43_3_IRQHandler
CCU43_3_IRQHandler:
  b .

  .thumb_func
  .weak CCU80_0_IRQHandler
CCU80_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU80_1_IRQHandler
CCU80_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU80_2_IRQHandler
CCU80_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU80_3_IRQHandler
CCU80_3_IRQHandler:
  b .

  .thumb_func
  .weak CCU81_0_IRQHandler
CCU81_0_IRQHandler:
  b .

  .thumb_func
  .weak CCU81_1_IRQHandler
CCU81_1_IRQHandler:
  b .

  .thumb_func
  .weak CCU81_2_IRQHandler
CCU81_2_IRQHandler:
  b .

  .thumb_func
  .weak CCU81_3_IRQHandler
CCU81_3_IRQHandler:
  b .

  .thumb_func
  .weak POSIF0_0_IRQHandler
POSIF0_0_IRQHandler:
  b .

  .thumb_func
  .weak POSIF0_1_IRQHandler
POSIF0_1_IRQHandler:
  b .

  .thumb_func
  .weak POSIF1_0_IRQHandler
POSIF1_0_IRQHandler:
  b .

  .thumb_func
  .weak POSIF1_1_IRQHandler
POSIF1_1_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_0_IRQHandler
CAN0_0_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_1_IRQHandler
CAN0_1_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_2_IRQHandler
CAN0_2_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_3_IRQHandler
CAN0_3_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_4_IRQHandler
CAN0_4_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_5_IRQHandler
CAN0_5_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_6_IRQHandler
CAN0_6_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_7_IRQHandler
CAN0_7_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_0_IRQHandler
USIC0_0_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_1_IRQHandler
USIC0_1_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_2_IRQHandler
USIC0_2_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_3_IRQHandler
USIC0_3_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_4_IRQHandler
USIC0_4_IRQHandler:
  b .

  .thumb_func
  .weak USIC0_5_IRQHandler
USIC0_5_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_0_IRQHandler
USIC1_0_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_1_IRQHandler
USIC1_1_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_2_IRQHandler
USIC1_2_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_3_IRQHandler
USIC1_3_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_4_IRQHandler
USIC1_4_IRQHandler:
  b .

  .thumb_func
  .weak USIC1_5_IRQHandler
USIC1_5_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_0_IRQHandler
USIC2_0_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_1_IRQHandler
USIC2_1_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_2_IRQHandler
USIC2_2_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_3_IRQHandler
USIC2_3_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_4_IRQHandler
USIC2_4_IRQHandler:
  b .

  .thumb_func
  .weak USIC2_5_IRQHandler
USIC2_5_IRQHandler:
  b .

  .thumb_func
  .weak LEDTS0_0_IRQHandler
LEDTS0_0_IRQHandler:
  b .

  .thumb_func
  .weak FCE0_0_IRQHandler
FCE0_0_IRQHandler:
  b .

  .thumb_func
  .weak GPDMA0_0_IRQHandler
GPDMA0_0_IRQHandler:
  b .

  .thumb_func
  .weak SDMMC0_0_IRQHandler
SDMMC0_0_IRQHandler:
  b .

  .thumb_func
  .weak USB0_0_IRQHandler
USB0_0_IRQHandler:
  b .

  .thumb_func
  .weak ETH0_0_IRQHandler
ETH0_0_IRQHandler:
  b .

  .thumb_func
  .weak ECAT0_0_IRQHandler
ECAT0_0_IRQHandler:
  b .
  
  .thumb_func
  .weak GPDMA1_0_IRQHandler
GPDMA1_0_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word SCU_0_IRQHandler
  .word ERU0_0_IRQHandler
  .word ERU0_1_IRQHandler
  .word ERU0_2_IRQHandler
  .word ERU0_3_IRQHandler
  .word ERU1_0_IRQHandler
  .word ERU1_1_IRQHandler
  .word ERU1_2_IRQHandler
  .word ERU1_3_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word PMU0_0_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word VADC0_C0_0_IRQHandler
  .word VADC0_C0_1_IRQHandler
  .word VADC0_C0_2_IRQHandler
  .word VADC0_C0_3_IRQHandler
  .word VADC0_G0_0_IRQHandler
  .word VADC0_G0_1_IRQHandler
  .word VADC0_G0_2_IRQHandler
  .word VADC0_G0_3_IRQHandler
  .word VADC0_G1_0_IRQHandler
  .word VADC0_G1_1_IRQHandler
  .word VADC0_G1_2_IRQHandler
  .word VADC0_G1_3_IRQHandler
  .word VADC0_G2_0_IRQHandler
  .word VADC0_G2_1_IRQHandler
  .word VADC0_G2_2_IRQHandler
  .word VADC0_G2_3_IRQHandler
  .word VADC0_G3_0_IRQHandler
  .word VADC0_G3_1_IRQHandler
  .word VADC0_G3_2_IRQHandler
  .word VADC0_G3_3_IRQHandler
  .word DSD0_0_IRQHandler
  .word DSD0_1_IRQHandler
  .word DSD0_2_IRQHandler
  .word DSD0_3_IRQHandler
  .word DSD0_4_IRQHandler
  .word DSD0_5_IRQHandler
  .word DSD0_6_IRQHandler
  .word DSD0_7_IRQHandler
  .word DAC0_0_IRQHandler
  .word DAC0_1_IRQHandler
  .word CCU40_0_IRQHandler
  .word CCU40_1_IRQHandler
  .word CCU40_2_IRQHandler
  .word CCU40_3_IRQHandler
  .word CCU41_0_IRQHandler
  .word CCU41_1_IRQHandler
  .word CCU41_2_IRQHandler
  .word CCU41_3_IRQHandler
  .word CCU42_0_IRQHandler
  .word CCU42_1_IRQHandler
  .word CCU42_2_IRQHandler
  .word CCU42_3_IRQHandler
  .word CCU43_0_IRQHandler
  .word CCU43_1_IRQHandler
  .word CCU43_2_IRQHandler
  .word CCU43_3_IRQHandler
  .word CCU80_0_IRQHandler
  .word CCU80_1_IRQHandler
  .word CCU80_2_IRQHandler
  .word CCU80_3_IRQHandler
  .word CCU81_0_IRQHandler
  .word CCU81_1_IRQHandler
  .word CCU81_2_IRQHandler
  .word CCU81_3_IRQHandler
  .word POSIF0_0_IRQHandler
  .word POSIF0_1_IRQHandler
  .word POSIF1_0_IRQHandler
  .word POSIF1_1_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word CAN0_0_IRQHandler
  .word CAN0_1_IRQHandler
  .word CAN0_2_IRQHandler
  .word CAN0_3_IRQHandler
  .word CAN0_4_IRQHandler
  .word CAN0_5_IRQHandler
  .word CAN0_6_IRQHandler
  .word CAN0_7_IRQHandler
  .word USIC0_0_IRQHandler
  .word USIC0_1_IRQHandler
  .word USIC0_2_IRQHandler
  .word USIC0_3_IRQHandler
  .word USIC0_4_IRQHandler
  .word USIC0_5_IRQHandler
  .word USIC1_0_IRQHandler
  .word USIC1_1_IRQHandler
  .word USIC1_2_IRQHandler
  .word USIC1_3_IRQHandler
  .word USIC1_4_IRQHandler
  .word USIC1_5_IRQHandler
  .word USIC2_0_IRQHandler
  .word USIC2_1_IRQHandler
  .word USIC2_2_IRQHandler
  .word USIC2_3_IRQHandler
  .word USIC2_4_IRQHandler
  .word USIC2_5_IRQHandler
  .word LEDTS0_0_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word FCE0_0_IRQHandler
  .word GPDMA0_0_IRQHandler
  .word SDMMC0_0_IRQHandler
  .word USB0_0_IRQHandler
  .word ETH0_0_IRQHandler
  .word ECAT0_0_IRQHandler
  .word GPDMA1_0_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
