/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2018 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak CLKMAN_IRQHandler
  .thumb_set CLKMAN_IRQHandler,Dummy_Handler

  .weak PowerManager_IRQHandler
  .thumb_set PowerManager_IRQHandler,Dummy_Handler

  .weak FLC_IRQHandler
  .thumb_set FLC_IRQHandler,Dummy_Handler

  .weak RTC_COMP0_IRQHandler
  .thumb_set RTC_COMP0_IRQHandler,Dummy_Handler

  .weak RTC_COMP1_IRQHandler
  .thumb_set RTC_COMP1_IRQHandler,Dummy_Handler

  .weak RTC_PRESCALE_COMP_IRQHandler
  .thumb_set RTC_PRESCALE_COMP_IRQHandler,Dummy_Handler

  .weak RTC_OVERFLOW_IRQHandler
  .thumb_set RTC_OVERFLOW_IRQHandler,Dummy_Handler

  .weak PMU_IRQHandler
  .thumb_set PMU_IRQHandler,Dummy_Handler

  .weak USB_IRQHandler
  .thumb_set USB_IRQHandler,Dummy_Handler

  .weak AES_IRQHandler
  .thumb_set AES_IRQHandler,Dummy_Handler

  .weak MAA_IRQHandler
  .thumb_set MAA_IRQHandler,Dummy_Handler

  .weak WDT0_IRQHandler
  .thumb_set WDT0_IRQHandler,Dummy_Handler

  .weak WDT0_PRE_WIN_IRQHandler
  .thumb_set WDT0_PRE_WIN_IRQHandler,Dummy_Handler

  .weak WDT1_IRQHandler
  .thumb_set WDT1_IRQHandler,Dummy_Handler

  .weak WDT1_PRE_WIN_IRQHandler
  .thumb_set WDT1_PRE_WIN_IRQHandler,Dummy_Handler

  .weak GPIO0_IRQHandler
  .thumb_set GPIO0_IRQHandler,Dummy_Handler

  .weak GPIO1_IRQHandler
  .thumb_set GPIO1_IRQHandler,Dummy_Handler

  .weak GPIO2_IRQHandler
  .thumb_set GPIO2_IRQHandler,Dummy_Handler

  .weak GPIO3_IRQHandler
  .thumb_set GPIO3_IRQHandler,Dummy_Handler

  .weak GPIO4_IRQHandler
  .thumb_set GPIO4_IRQHandler,Dummy_Handler

  .weak GPIO5_IRQHandler
  .thumb_set GPIO5_IRQHandler,Dummy_Handler

  .weak GPIO6_IRQHandler
  .thumb_set GPIO6_IRQHandler,Dummy_Handler

  .weak TMR0_IRQHandler
  .thumb_set TMR0_IRQHandler,Dummy_Handler

  .weak TMR16_0_IRQHandler
  .thumb_set TMR16_0_IRQHandler,Dummy_Handler

  .weak TMR1_IRQHandler
  .thumb_set TMR1_IRQHandler,Dummy_Handler

  .weak TMR16_1_IRQHandler
  .thumb_set TMR16_1_IRQHandler,Dummy_Handler

  .weak TMR2_IRQHandler
  .thumb_set TMR2_IRQHandler,Dummy_Handler

  .weak TMR16_2_IRQHandler
  .thumb_set TMR16_2_IRQHandler,Dummy_Handler

  .weak TMR3_IRQHandler
  .thumb_set TMR3_IRQHandler,Dummy_Handler

  .weak TMR16_3_IRQHandler
  .thumb_set TMR16_3_IRQHandler,Dummy_Handler

  .weak TMR4_IRQHandler
  .thumb_set TMR4_IRQHandler,Dummy_Handler

  .weak TMR16_4_IRQHandler
  .thumb_set TMR16_4_IRQHandler,Dummy_Handler

  .weak TMR5_IRQHandler
  .thumb_set TMR5_IRQHandler,Dummy_Handler

  .weak TMR16_5_IRQHandler
  .thumb_set TMR16_5_IRQHandler,Dummy_Handler

  .weak UART0_IRQHandler
  .thumb_set UART0_IRQHandler,Dummy_Handler

  .weak UART1_IRQHandler
  .thumb_set UART1_IRQHandler,Dummy_Handler

  .weak UART2_IRQHandler
  .thumb_set UART2_IRQHandler,Dummy_Handler

  .weak UART3_IRQHandler
  .thumb_set UART3_IRQHandler,Dummy_Handler

  .weak PT_IRQHandler
  .thumb_set PT_IRQHandler,Dummy_Handler

  .weak I2CM0_IRQHandler
  .thumb_set I2CM0_IRQHandler,Dummy_Handler

  .weak I2CM1_IRQHandler
  .thumb_set I2CM1_IRQHandler,Dummy_Handler

  .weak I2CM2_IRQHandler
  .thumb_set I2CM2_IRQHandler,Dummy_Handler

  .weak I2CS_IRQHandler
  .thumb_set I2CS_IRQHandler,Dummy_Handler

  .weak SPIM0_IRQHandler
  .thumb_set SPIM0_IRQHandler,Dummy_Handler

  .weak SPIM1_IRQHandler
  .thumb_set SPIM1_IRQHandler,Dummy_Handler

  .weak SPIM2_IRQHandler
  .thumb_set SPIM2_IRQHandler,Dummy_Handler

  .weak OWM_IRQHandler
  .thumb_set OWM_IRQHandler,Dummy_Handler

  .weak ADC_IRQHandler
  .thumb_set ADC_IRQHandler,Dummy_Handler

  .weak SPIS_IRQHandler
  .thumb_set SPIS_IRQHandler,Dummy_Handler

  .weak GPIO7_IRQHandler
  .thumb_set GPIO7_IRQHandler,Dummy_Handler

  .weak GPIO8_IRQHandler
  .thumb_set GPIO8_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak CLKMAN_IRQHandler
CLKMAN_IRQHandler:
  b .

  .thumb_func
  .weak PowerManager_IRQHandler
PowerManager_IRQHandler:
  b .

  .thumb_func
  .weak FLC_IRQHandler
FLC_IRQHandler:
  b .

  .thumb_func
  .weak RTC_COMP0_IRQHandler
RTC_COMP0_IRQHandler:
  b .

  .thumb_func
  .weak RTC_COMP1_IRQHandler
RTC_COMP1_IRQHandler:
  b .

  .thumb_func
  .weak RTC_PRESCALE_COMP_IRQHandler
RTC_PRESCALE_COMP_IRQHandler:
  b .

  .thumb_func
  .weak RTC_OVERFLOW_IRQHandler
RTC_OVERFLOW_IRQHandler:
  b .

  .thumb_func
  .weak PMU_IRQHandler
PMU_IRQHandler:
  b .

  .thumb_func
  .weak USB_IRQHandler
USB_IRQHandler:
  b .

  .thumb_func
  .weak AES_IRQHandler
AES_IRQHandler:
  b .

  .thumb_func
  .weak MAA_IRQHandler
MAA_IRQHandler:
  b .

  .thumb_func
  .weak WDT0_IRQHandler
WDT0_IRQHandler:
  b .

  .thumb_func
  .weak WDT0_PRE_WIN_IRQHandler
WDT0_PRE_WIN_IRQHandler:
  b .

  .thumb_func
  .weak WDT1_IRQHandler
WDT1_IRQHandler:
  b .

  .thumb_func
  .weak WDT1_PRE_WIN_IRQHandler
WDT1_PRE_WIN_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_IRQHandler
GPIO0_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_IRQHandler
GPIO1_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_IRQHandler
GPIO2_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_IRQHandler
GPIO3_IRQHandler:
  b .

  .thumb_func
  .weak GPIO4_IRQHandler
GPIO4_IRQHandler:
  b .

  .thumb_func
  .weak GPIO5_IRQHandler
GPIO5_IRQHandler:
  b .

  .thumb_func
  .weak GPIO6_IRQHandler
GPIO6_IRQHandler:
  b .

  .thumb_func
  .weak TMR0_IRQHandler
TMR0_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_0_IRQHandler
TMR16_0_IRQHandler:
  b .

  .thumb_func
  .weak TMR1_IRQHandler
TMR1_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_1_IRQHandler
TMR16_1_IRQHandler:
  b .

  .thumb_func
  .weak TMR2_IRQHandler
TMR2_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_2_IRQHandler
TMR16_2_IRQHandler:
  b .

  .thumb_func
  .weak TMR3_IRQHandler
TMR3_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_3_IRQHandler
TMR16_3_IRQHandler:
  b .

  .thumb_func
  .weak TMR4_IRQHandler
TMR4_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_4_IRQHandler
TMR16_4_IRQHandler:
  b .

  .thumb_func
  .weak TMR5_IRQHandler
TMR5_IRQHandler:
  b .

  .thumb_func
  .weak TMR16_5_IRQHandler
TMR16_5_IRQHandler:
  b .

  .thumb_func
  .weak UART0_IRQHandler
UART0_IRQHandler:
  b .

  .thumb_func
  .weak UART1_IRQHandler
UART1_IRQHandler:
  b .

  .thumb_func
  .weak UART2_IRQHandler
UART2_IRQHandler:
  b .

  .thumb_func
  .weak UART3_IRQHandler
UART3_IRQHandler:
  b .

  .thumb_func
  .weak PT_IRQHandler
PT_IRQHandler:
  b .

  .thumb_func
  .weak I2CM0_IRQHandler
I2CM0_IRQHandler:
  b .

  .thumb_func
  .weak I2CM1_IRQHandler
I2CM1_IRQHandler:
  b .

  .thumb_func
  .weak I2CM2_IRQHandler
I2CM2_IRQHandler:
  b .

  .thumb_func
  .weak I2CS_IRQHandler
I2CS_IRQHandler:
  b .

  .thumb_func
  .weak SPIM0_IRQHandler
SPIM0_IRQHandler:
  b .

  .thumb_func
  .weak SPIM1_IRQHandler
SPIM1_IRQHandler:
  b .

  .thumb_func
  .weak SPIM2_IRQHandler
SPIM2_IRQHandler:
  b .

  .thumb_func
  .weak OWM_IRQHandler
OWM_IRQHandler:
  b .

  .thumb_func
  .weak ADC_IRQHandler
ADC_IRQHandler:
  b .

  .thumb_func
  .weak SPIS_IRQHandler
SPIS_IRQHandler:
  b .

  .thumb_func
  .weak GPIO7_IRQHandler
GPIO7_IRQHandler:
  b .

  .thumb_func
  .weak GPIO8_IRQHandler
GPIO8_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word CLKMAN_IRQHandler
  .word PowerManager_IRQHandler
  .word FLC_IRQHandler
  .word RTC_COMP0_IRQHandler
  .word RTC_COMP1_IRQHandler
  .word RTC_PRESCALE_COMP_IRQHandler
  .word RTC_OVERFLOW_IRQHandler
  .word PMU_IRQHandler
  .word USB_IRQHandler
  .word AES_IRQHandler
  .word MAA_IRQHandler
  .word WDT0_IRQHandler
  .word WDT0_PRE_WIN_IRQHandler
  .word WDT1_IRQHandler
  .word WDT1_PRE_WIN_IRQHandler
  .word GPIO0_IRQHandler
  .word GPIO1_IRQHandler
  .word GPIO2_IRQHandler
  .word GPIO3_IRQHandler
  .word GPIO4_IRQHandler
  .word GPIO5_IRQHandler
  .word GPIO6_IRQHandler
  .word TMR0_IRQHandler
  .word TMR16_0_IRQHandler
  .word TMR1_IRQHandler
  .word TMR16_1_IRQHandler
  .word TMR2_IRQHandler
  .word TMR16_2_IRQHandler
  .word TMR3_IRQHandler
  .word TMR16_3_IRQHandler
  .word TMR4_IRQHandler
  .word TMR16_4_IRQHandler
  .word TMR5_IRQHandler
  .word TMR16_5_IRQHandler
  .word UART0_IRQHandler
  .word UART1_IRQHandler
  .word UART2_IRQHandler
  .word UART3_IRQHandler
  .word PT_IRQHandler
  .word I2CM0_IRQHandler
  .word I2CM1_IRQHandler
  .word I2CM2_IRQHandler
  .word I2CS_IRQHandler
  .word SPIM0_IRQHandler
  .word SPIM1_IRQHandler
  .word SPIM2_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word OWM_IRQHandler
  .word ADC_IRQHandler
  .word SPIS_IRQHandler
  .word GPIO7_IRQHandler
  .word GPIO8_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
