/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2018 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak WDT_BOD_IRQHandler
  .thumb_set WDT_BOD_IRQHandler,Dummy_Handler

  .weak DMA0_IRQHandler
  .thumb_set DMA0_IRQHandler,Dummy_Handler

  .weak GINT0_IRQHandler
  .thumb_set GINT0_IRQHandler,Dummy_Handler

  .weak GINT1_IRQHandler
  .thumb_set GINT1_IRQHandler,Dummy_Handler

  .weak PIN_INT0_IRQHandler
  .thumb_set PIN_INT0_IRQHandler,Dummy_Handler

  .weak PIN_INT1_IRQHandler
  .thumb_set PIN_INT1_IRQHandler,Dummy_Handler

  .weak PIN_INT2_IRQHandler
  .thumb_set PIN_INT2_IRQHandler,Dummy_Handler

  .weak PIN_INT3_IRQHandler
  .thumb_set PIN_INT3_IRQHandler,Dummy_Handler

  .weak UTICK0_IRQHandler
  .thumb_set UTICK0_IRQHandler,Dummy_Handler

  .weak MRT0_IRQHandler
  .thumb_set MRT0_IRQHandler,Dummy_Handler

  .weak CTIMER0_IRQHandler
  .thumb_set CTIMER0_IRQHandler,Dummy_Handler

  .weak CTIMER1_IRQHandler
  .thumb_set CTIMER1_IRQHandler,Dummy_Handler

  .weak SCT0_IRQHandler
  .thumb_set SCT0_IRQHandler,Dummy_Handler

  .weak CTIMER3_IRQHandler
  .thumb_set CTIMER3_IRQHandler,Dummy_Handler

  .weak FLEXCOMM0_IRQHandler
  .thumb_set FLEXCOMM0_IRQHandler,Dummy_Handler

  .weak FLEXCOMM1_IRQHandler
  .thumb_set FLEXCOMM1_IRQHandler,Dummy_Handler

  .weak FLEXCOMM2_IRQHandler
  .thumb_set FLEXCOMM2_IRQHandler,Dummy_Handler

  .weak FLEXCOMM3_IRQHandler
  .thumb_set FLEXCOMM3_IRQHandler,Dummy_Handler

  .weak FLEXCOMM4_IRQHandler
  .thumb_set FLEXCOMM4_IRQHandler,Dummy_Handler

  .weak FLEXCOMM5_IRQHandler
  .thumb_set FLEXCOMM5_IRQHandler,Dummy_Handler

  .weak FLEXCOMM6_IRQHandler
  .thumb_set FLEXCOMM6_IRQHandler,Dummy_Handler

  .weak FLEXCOMM7_IRQHandler
  .thumb_set FLEXCOMM7_IRQHandler,Dummy_Handler

  .weak ADC0_IRQHandler
  .thumb_set ADC0_IRQHandler,Dummy_Handler

  .weak Reserved39_IRQHandler
  .thumb_set Reserved39_IRQHandler,Dummy_Handler

  .weak ACMP_CAPT0_IRQHandler
  .thumb_set ACMP_CAPT0_IRQHandler,Dummy_Handler

  .weak Reserved41_IRQHandler
  .thumb_set Reserved41_IRQHandler,Dummy_Handler

  .weak Reserved42_IRQHandler
  .thumb_set Reserved42_IRQHandler,Dummy_Handler

  .weak USB0_NEEDCLK_IRQHandler
  .thumb_set USB0_NEEDCLK_IRQHandler,Dummy_Handler

  .weak USB0_IRQHandler
  .thumb_set USB0_IRQHandler,Dummy_Handler

  .weak RTC_IRQHandler
  .thumb_set RTC_IRQHandler,Dummy_Handler

  .weak EZH_ARCH_B0_IRQHandler
  .thumb_set EZH_ARCH_B0_IRQHandler,Dummy_Handler

  .weak MAILBOX_IRQHandler
  .thumb_set MAILBOX_IRQHandler,Dummy_Handler

  .weak PIN_INT4_IRQHandler
  .thumb_set PIN_INT4_IRQHandler,Dummy_Handler

  .weak PIN_INT5_IRQHandler
  .thumb_set PIN_INT5_IRQHandler,Dummy_Handler

  .weak PIN_INT6_IRQHandler
  .thumb_set PIN_INT6_IRQHandler,Dummy_Handler

  .weak PIN_INT7_IRQHandler
  .thumb_set PIN_INT7_IRQHandler,Dummy_Handler

  .weak CTIMER2_IRQHandler
  .thumb_set CTIMER2_IRQHandler,Dummy_Handler

  .weak CTIMER4_IRQHandler
  .thumb_set CTIMER4_IRQHandler,Dummy_Handler

  .weak OS_EVENT_IRQHandler
  .thumb_set OS_EVENT_IRQHandler,Dummy_Handler

  .weak Reserved55_IRQHandler
  .thumb_set Reserved55_IRQHandler,Dummy_Handler

  .weak Reserved56_IRQHandler
  .thumb_set Reserved56_IRQHandler,Dummy_Handler

  .weak Reserved57_IRQHandler
  .thumb_set Reserved57_IRQHandler,Dummy_Handler

  .weak SDIO_IRQHandler
  .thumb_set SDIO_IRQHandler,Dummy_Handler

  .weak Reserved59_IRQHandler
  .thumb_set Reserved59_IRQHandler,Dummy_Handler

  .weak Reserved60_IRQHandler
  .thumb_set Reserved60_IRQHandler,Dummy_Handler

  .weak Reserved61_IRQHandler
  .thumb_set Reserved61_IRQHandler,Dummy_Handler

  .weak USB1_UTMI_IRQHandler
  .thumb_set USB1_UTMI_IRQHandler,Dummy_Handler

  .weak USB1_IRQHandler
  .thumb_set USB1_IRQHandler,Dummy_Handler

  .weak USB1_NEEDCLK_IRQHandler
  .thumb_set USB1_NEEDCLK_IRQHandler,Dummy_Handler

  .weak SEC_HYPERVISOR_CALL_IRQHandler
  .thumb_set SEC_HYPERVISOR_CALL_IRQHandler,Dummy_Handler

  .weak SEC_GPIO_INT0_IRQ0_IRQHandler
  .thumb_set SEC_GPIO_INT0_IRQ0_IRQHandler,Dummy_Handler

  .weak SEC_GPIO_INT0_IRQ1_IRQHandler
  .thumb_set SEC_GPIO_INT0_IRQ1_IRQHandler,Dummy_Handler

  .weak PLU_IRQHandler
  .thumb_set PLU_IRQHandler,Dummy_Handler

  .weak SEC_VIO_IRQHandler
  .thumb_set SEC_VIO_IRQHandler,Dummy_Handler

  .weak HASHCRYPT_IRQHandler
  .thumb_set HASHCRYPT_IRQHandler,Dummy_Handler

  .weak CASER_IRQHandler
  .thumb_set CASER_IRQHandler,Dummy_Handler

  .weak PUF_IRQHandler
  .thumb_set PUF_IRQHandler,Dummy_Handler

  .weak PQ_IRQHandler
  .thumb_set PQ_IRQHandler,Dummy_Handler

  .weak DMA1_IRQHandler
  .thumb_set DMA1_IRQHandler,Dummy_Handler

  .weak LSPI_HS_IRQHandler
  .thumb_set LSPI_HS_IRQHandler,Dummy_Handler

  .weak PVTVF0_AMBER_IRQHandler
  .thumb_set PVTVF0_AMBER_IRQHandler,Dummy_Handler

  .weak PVTVF0_RED_IRQHandler
  .thumb_set PVTVF0_RED_IRQHandler,Dummy_Handler

  .weak PVTVF1_AMBER_IRQHandler
  .thumb_set PVTVF1_AMBER_IRQHandler,Dummy_Handler

  .weak PVTVF1_RED_IRQHandler
  .thumb_set PVTVF1_RED_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak WDT_BOD_IRQHandler
WDT_BOD_IRQHandler:
  b .

  .thumb_func
  .weak DMA0_IRQHandler
DMA0_IRQHandler:
  b .

  .thumb_func
  .weak GINT0_IRQHandler
GINT0_IRQHandler:
  b .

  .thumb_func
  .weak GINT1_IRQHandler
GINT1_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT0_IRQHandler
PIN_INT0_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT1_IRQHandler
PIN_INT1_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT2_IRQHandler
PIN_INT2_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT3_IRQHandler
PIN_INT3_IRQHandler:
  b .

  .thumb_func
  .weak UTICK0_IRQHandler
UTICK0_IRQHandler:
  b .

  .thumb_func
  .weak MRT0_IRQHandler
MRT0_IRQHandler:
  b .

  .thumb_func
  .weak CTIMER0_IRQHandler
CTIMER0_IRQHandler:
  b .

  .thumb_func
  .weak CTIMER1_IRQHandler
CTIMER1_IRQHandler:
  b .

  .thumb_func
  .weak SCT0_IRQHandler
SCT0_IRQHandler:
  b .

  .thumb_func
  .weak CTIMER3_IRQHandler
CTIMER3_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM0_IRQHandler
FLEXCOMM0_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM1_IRQHandler
FLEXCOMM1_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM2_IRQHandler
FLEXCOMM2_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM3_IRQHandler
FLEXCOMM3_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM4_IRQHandler
FLEXCOMM4_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM5_IRQHandler
FLEXCOMM5_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM6_IRQHandler
FLEXCOMM6_IRQHandler:
  b .

  .thumb_func
  .weak FLEXCOMM7_IRQHandler
FLEXCOMM7_IRQHandler:
  b .

  .thumb_func
  .weak ADC0_IRQHandler
ADC0_IRQHandler:
  b .

  .thumb_func
  .weak Reserved39_IRQHandler
Reserved39_IRQHandler:
  b .

  .thumb_func
  .weak ACMP_CAPT0_IRQHandler
ACMP_CAPT0_IRQHandler:
  b .

  .thumb_func
  .weak Reserved41_IRQHandler
Reserved41_IRQHandler:
  b .

  .thumb_func
  .weak Reserved42_IRQHandler
Reserved42_IRQHandler:
  b .

  .thumb_func
  .weak USB0_NEEDCLK_IRQHandler
USB0_NEEDCLK_IRQHandler:
  b .

  .thumb_func
  .weak USB0_IRQHandler
USB0_IRQHandler:
  b .

  .thumb_func
  .weak RTC_IRQHandler
RTC_IRQHandler:
  b .

  .thumb_func
  .weak EZH_ARCH_B0_IRQHandler
EZH_ARCH_B0_IRQHandler:
  b .

  .thumb_func
  .weak MAILBOX_IRQHandler
MAILBOX_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT4_IRQHandler
PIN_INT4_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT5_IRQHandler
PIN_INT5_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT6_IRQHandler
PIN_INT6_IRQHandler:
  b .

  .thumb_func
  .weak PIN_INT7_IRQHandler
PIN_INT7_IRQHandler:
  b .

  .thumb_func
  .weak CTIMER2_IRQHandler
CTIMER2_IRQHandler:
  b .

  .thumb_func
  .weak CTIMER4_IRQHandler
CTIMER4_IRQHandler:
  b .

  .thumb_func
  .weak OS_EVENT_IRQHandler
OS_EVENT_IRQHandler:
  b .

  .thumb_func
  .weak Reserved55_IRQHandler
Reserved55_IRQHandler:
  b .

  .thumb_func
  .weak Reserved56_IRQHandler
Reserved56_IRQHandler:
  b .

  .thumb_func
  .weak Reserved57_IRQHandler
Reserved57_IRQHandler:
  b .

  .thumb_func
  .weak SDIO_IRQHandler
SDIO_IRQHandler:
  b .

  .thumb_func
  .weak Reserved59_IRQHandler
Reserved59_IRQHandler:
  b .

  .thumb_func
  .weak Reserved60_IRQHandler
Reserved60_IRQHandler:
  b .

  .thumb_func
  .weak Reserved61_IRQHandler
Reserved61_IRQHandler:
  b .

  .thumb_func
  .weak USB1_UTMI_IRQHandler
USB1_UTMI_IRQHandler:
  b .

  .thumb_func
  .weak USB1_IRQHandler
USB1_IRQHandler:
  b .

  .thumb_func
  .weak USB1_NEEDCLK_IRQHandler
USB1_NEEDCLK_IRQHandler:
  b .

  .thumb_func
  .weak SEC_HYPERVISOR_CALL_IRQHandler
SEC_HYPERVISOR_CALL_IRQHandler:
  b .

  .thumb_func
  .weak SEC_GPIO_INT0_IRQ0_IRQHandler
SEC_GPIO_INT0_IRQ0_IRQHandler:
  b .

  .thumb_func
  .weak SEC_GPIO_INT0_IRQ1_IRQHandler
SEC_GPIO_INT0_IRQ1_IRQHandler:
  b .

  .thumb_func
  .weak PLU_IRQHandler
PLU_IRQHandler:
  b .

  .thumb_func
  .weak SEC_VIO_IRQHandler
SEC_VIO_IRQHandler:
  b .

  .thumb_func
  .weak HASHCRYPT_IRQHandler
HASHCRYPT_IRQHandler:
  b .

  .thumb_func
  .weak CASER_IRQHandler
CASER_IRQHandler:
  b .

  .thumb_func
  .weak PUF_IRQHandler
PUF_IRQHandler:
  b .

  .thumb_func
  .weak PQ_IRQHandler
PQ_IRQHandler:
  b .

  .thumb_func
  .weak DMA1_IRQHandler
DMA1_IRQHandler:
  b .

  .thumb_func
  .weak LSPI_HS_IRQHandler
LSPI_HS_IRQHandler:
  b .

  .thumb_func
  .weak PVTVF0_AMBER_IRQHandler
PVTVF0_AMBER_IRQHandler:
  b .

  .thumb_func
  .weak PVTVF0_RED_IRQHandler
PVTVF0_RED_IRQHandler:
  b .

  .thumb_func
  .weak PVTVF1_AMBER_IRQHandler
PVTVF1_AMBER_IRQHandler:
  b .

  .thumb_func
  .weak PVTVF1_RED_IRQHandler
PVTVF1_RED_IRQHandler:
  b .


#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word WDT_BOD_IRQHandler  /* Windowed watchdog timer, Brownout detect, Flash interrupt */
  .word DMA0_IRQHandler  /* DMA0 controller */
  .word GINT0_IRQHandler  /* GPIO group 0 */
  .word GINT1_IRQHandler  /* GPIO group 1 */
  .word PIN_INT0_IRQHandler  /* Pin interrupt 0 or pattern match engine slice 0 */
  .word PIN_INT1_IRQHandler  /* Pin interrupt 1or pattern match engine slice 1 */
  .word PIN_INT2_IRQHandler  /* Pin interrupt 2 or pattern match engine slice 2 */
  .word PIN_INT3_IRQHandler  /* Pin interrupt 3 or pattern match engine slice 3 */
  .word UTICK0_IRQHandler  /* Micro-tick Timer */
  .word MRT0_IRQHandler  /* Multi-rate timer */
  .word CTIMER0_IRQHandler  /* Standard counter/timer CTIMER0 */
  .word CTIMER1_IRQHandler  /* Standard counter/timer CTIMER1 */
  .word SCT0_IRQHandler  /* SCTimer/PWM */
  .word CTIMER3_IRQHandler  /* Standard counter/timer CTIMER3 */
  .word FLEXCOMM0_IRQHandler  /* Flexcomm Interface 0 (USART, SPI, I2C, FLEXCOMM) */
  .word FLEXCOMM1_IRQHandler  /* Flexcomm Interface 1 (USART, SPI, I2C, FLEXCOMM) */
  .word FLEXCOMM2_IRQHandler  /* Flexcomm Interface 2 (USART, SPI, I2C, FLEXCOMM) */
  .word FLEXCOMM3_IRQHandler  /* Flexcomm Interface 3 (USART, SPI, I2C, FLEXCOMM) */
  .word FLEXCOMM4_IRQHandler  /* Flexcomm Interface 4 (USART, SPI, I2C, FLEXCOMM) */
  .word FLEXCOMM5_IRQHandler  /* Flexcomm Interface 5 (USART, SPI, I2C,, FLEXCOMM) */
  .word FLEXCOMM6_IRQHandler  /* Flexcomm Interface 6 (USART, SPI, I2C, I2S,, FLEXCOMM) */
  .word FLEXCOMM7_IRQHandler  /* Flexcomm Interface 7 (USART, SPI, I2C, I2S,, FLEXCOMM) */
  .word ADC0_IRQHandler  /* ADC0  */
  .word Reserved39_IRQHandler  /* Reserved interrupt */
  .word ACMP_CAPT0_IRQHandler  /* ACMP and CAPT0 interrupts */
  .word Reserved41_IRQHandler  /* Reserved interrupt */
  .word Reserved42_IRQHandler  /* Reserved interrupt */
  .word USB0_NEEDCLK_IRQHandler  /* USB Activity Wake-up Interrupt */
  .word USB0_IRQHandler  /* USB device */
  .word RTC_IRQHandler  /* RTC alarm and wake-up interrupts */
  .word EZH_ARCH_B0_IRQHandler  /* EZH_ARCH_B0 */
  .word MAILBOX_IRQHandler  /* WAKEUP,Mailbox interrupt (present on selected devices) */
  .word PIN_INT4_IRQHandler  /* Pin interrupt 4 or pattern match engine slice 4 int */
  .word PIN_INT5_IRQHandler  /* Pin interrupt 5 or pattern match engine slice 5 int */
  .word PIN_INT6_IRQHandler  /* Pin interrupt 6 or pattern match engine slice 6 int */
  .word PIN_INT7_IRQHandler  /* Pin interrupt 7 or pattern match engine slice 7 int */
  .word CTIMER2_IRQHandler  /* Standard counter/timer CTIMER2 */
  .word CTIMER4_IRQHandler  /* Standard counter/timer CTIMER4 */
  .word OS_EVENT_IRQHandler  /* OS_EVENT_TIMER and OS_EVENT_WAKEUP interrupts */
  .word Reserved55_IRQHandler  /* Reserved interrupt */
  .word Reserved56_IRQHandler  /* Reserved interrupt */
  .word Reserved57_IRQHandler  /* Reserved interrupt */
  .word SDIO_IRQHandler  /* SD/MMC  */
  .word Reserved59_IRQHandler  /* Reserved interrupt */
  .word Reserved60_IRQHandler  /* Reserved interrupt */
  .word Reserved61_IRQHandler  /* Reserved interrupt */
  .word USB1_UTMI_IRQHandler  /* USB1_UTMI */
  .word USB1_IRQHandler  /* USB1 interrupt */
  .word USB1_NEEDCLK_IRQHandler  /* USB1 activity */
  .word SEC_HYPERVISOR_CALL_IRQHandler  /* SEC_HYPERVISOR_CALL interrupt */
  .word SEC_GPIO_INT0_IRQ0_IRQHandler  /* SEC_GPIO_INT0_IRQ0 interrupt */
  .word SEC_GPIO_INT0_IRQ1_IRQHandler  /* SEC_GPIO_INT0_IRQ1 interrupt */
  .word PLU_IRQHandler  /* PLU interrupt */
  .word SEC_VIO_IRQHandler  /* SEC_VIO interrupt */
  .word HASHCRYPT_IRQHandler  /* HASHCRYPT interrupt */
  .word CASER_IRQHandler  /* CASPER interrupt */
  .word PUF_IRQHandler  /* PUF interrupt */
  .word PQ_IRQHandler  /* PQ interrupt */
  .word DMA1_IRQHandler  /* DMA1 interrupt */
  .word LSPI_HS_IRQHandler  /* LSPI_HS interrupt */
  .word PVTVF0_AMBER_IRQHandler  /* PVT interrupts */
  .word PVTVF0_RED_IRQHandler  /* PVT interrupts */
  .word PVTVF1_AMBER_IRQHandler  /* PVT interrupts */
  .word PVTVF1_RED_IRQHandler  /* PVT interrupts */
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
