/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2017 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak DMA0_IRQHandler
  .thumb_set DMA0_IRQHandler,Dummy_Handler

  .weak DMA1_IRQHandler
  .thumb_set DMA1_IRQHandler,Dummy_Handler

  .weak DMA2_IRQHandler
  .thumb_set DMA2_IRQHandler,Dummy_Handler

  .weak DMA3_IRQHandler
  .thumb_set DMA3_IRQHandler,Dummy_Handler

  .weak DMA4_IRQHandler
  .thumb_set DMA4_IRQHandler,Dummy_Handler

  .weak DMA5_IRQHandler
  .thumb_set DMA5_IRQHandler,Dummy_Handler

  .weak DMA6_IRQHandler
  .thumb_set DMA6_IRQHandler,Dummy_Handler

  .weak DMA7_IRQHandler
  .thumb_set DMA7_IRQHandler,Dummy_Handler

  .weak DMA8_IRQHandler
  .thumb_set DMA8_IRQHandler,Dummy_Handler

  .weak DMA9_IRQHandler
  .thumb_set DMA9_IRQHandler,Dummy_Handler

  .weak DMA10_IRQHandler
  .thumb_set DMA10_IRQHandler,Dummy_Handler

  .weak DMA11_IRQHandler
  .thumb_set DMA11_IRQHandler,Dummy_Handler

  .weak DMA12_IRQHandler
  .thumb_set DMA12_IRQHandler,Dummy_Handler

  .weak DMA13_IRQHandler
  .thumb_set DMA13_IRQHandler,Dummy_Handler

  .weak DMA14_IRQHandler
  .thumb_set DMA14_IRQHandler,Dummy_Handler

  .weak DMA15_IRQHandler
  .thumb_set DMA15_IRQHandler,Dummy_Handler

  .weak DMA_Error_IRQHandler
  .thumb_set DMA_Error_IRQHandler,Dummy_Handler

  .weak MCM_IRQHandler
  .thumb_set MCM_IRQHandler,Dummy_Handler

  .weak FTFC_IRQHandler
  .thumb_set FTFC_IRQHandler,Dummy_Handler

  .weak Read_Collision_IRQHandler
  .thumb_set Read_Collision_IRQHandler,Dummy_Handler

  .weak LVD_LVW_IRQHandler
  .thumb_set LVD_LVW_IRQHandler,Dummy_Handler

  .weak FTFC_Fault_IRQHandler
  .thumb_set FTFC_Fault_IRQHandler,Dummy_Handler

  .weak WDOG_EWM_IRQHandler
  .thumb_set WDOG_EWM_IRQHandler,Dummy_Handler

  .weak RCM_IRQHandler
  .thumb_set RCM_IRQHandler,Dummy_Handler

  .weak LPI2C0_Master_IRQHandler
  .thumb_set LPI2C0_Master_IRQHandler,Dummy_Handler

  .weak LPI2C0_Slave_IRQHandler
  .thumb_set LPI2C0_Slave_IRQHandler,Dummy_Handler

  .weak LPSPI0_IRQHandler
  .thumb_set LPSPI0_IRQHandler,Dummy_Handler

  .weak LPSPI1_IRQHandler
  .thumb_set LPSPI1_IRQHandler,Dummy_Handler

  .weak LPSPI2_IRQHandler
  .thumb_set LPSPI2_IRQHandler,Dummy_Handler

  .weak LPUART0_RxTx_IRQHandler
  .thumb_set LPUART0_RxTx_IRQHandler,Dummy_Handler

  .weak LPUART1_RxTx_IRQHandler
  .thumb_set LPUART1_RxTx_IRQHandler,Dummy_Handler

  .weak LPUART2_RxTx_IRQHandler
  .thumb_set LPUART2_RxTx_IRQHandler,Dummy_Handler

  .weak ADC0_IRQHandler
  .thumb_set ADC0_IRQHandler,Dummy_Handler

  .weak ADC1_IRQHandler
  .thumb_set ADC1_IRQHandler,Dummy_Handler

  .weak CMP0_IRQHandler
  .thumb_set CMP0_IRQHandler,Dummy_Handler

  .weak ERM_single_fault_IRQHandler
  .thumb_set ERM_single_fault_IRQHandler,Dummy_Handler

  .weak ERM_double_fault_IRQHandler
  .thumb_set ERM_double_fault_IRQHandler,Dummy_Handler

  .weak RTC_IRQHandler
  .thumb_set RTC_IRQHandler,Dummy_Handler

  .weak RTC_Seconds_IRQHandler
  .thumb_set RTC_Seconds_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch0_IRQHandler
  .thumb_set LPIT0_Ch0_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch1_IRQHandler
  .thumb_set LPIT0_Ch1_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch2_IRQHandler
  .thumb_set LPIT0_Ch2_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch3_IRQHandler
  .thumb_set LPIT0_Ch3_IRQHandler,Dummy_Handler

  .weak PDB0_IRQHandler
  .thumb_set PDB0_IRQHandler,Dummy_Handler

  .weak SCG_IRQHandler
  .thumb_set SCG_IRQHandler,Dummy_Handler

  .weak LPTMR0_IRQHandler
  .thumb_set LPTMR0_IRQHandler,Dummy_Handler

  .weak PORTA_IRQHandler
  .thumb_set PORTA_IRQHandler,Dummy_Handler

  .weak PORTB_IRQHandler
  .thumb_set PORTB_IRQHandler,Dummy_Handler

  .weak PORTC_IRQHandler
  .thumb_set PORTC_IRQHandler,Dummy_Handler

  .weak PORTD_IRQHandler
  .thumb_set PORTD_IRQHandler,Dummy_Handler

  .weak PORTE_IRQHandler
  .thumb_set PORTE_IRQHandler,Dummy_Handler

  .weak SWI_IRQHandler
  .thumb_set SWI_IRQHandler,Dummy_Handler

  .weak PDB1_IRQHandler
  .thumb_set PDB1_IRQHandler,Dummy_Handler

  .weak FLEXIO_IRQHandler
  .thumb_set FLEXIO_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_IRQHandler
  .thumb_set CAN0_ORed_IRQHandler,Dummy_Handler

  .weak CAN0_Error_IRQHandler
  .thumb_set CAN0_Error_IRQHandler,Dummy_Handler

  .weak CAN0_Wake_Up_IRQHandler
  .thumb_set CAN0_Wake_Up_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_0_15_MB_IRQHandler
  .thumb_set CAN0_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_16_31_MB_IRQHandler
  .thumb_set CAN0_ORed_16_31_MB_IRQHandler,Dummy_Handler

  .weak CAN1_ORed_IRQHandler
  .thumb_set CAN1_ORed_IRQHandler,Dummy_Handler

  .weak CAN1_Error_IRQHandler
  .thumb_set CAN1_Error_IRQHandler,Dummy_Handler

  .weak CAN1_ORed_0_15_MB_IRQHandler
  .thumb_set CAN1_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak CAN2_ORed_IRQHandler
  .thumb_set CAN2_ORed_IRQHandler,Dummy_Handler

  .weak CAN2_Error_IRQHandler
  .thumb_set CAN2_Error_IRQHandler,Dummy_Handler

  .weak CAN2_ORed_0_15_MB_IRQHandler
  .thumb_set CAN2_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak FTM0_Ch0_Ch1_IRQHandler
  .thumb_set FTM0_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM0_Ch2_Ch3_IRQHandler
  .thumb_set FTM0_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM0_Ch4_Ch5_IRQHandler
  .thumb_set FTM0_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM0_Ch6_Ch7_IRQHandler
  .thumb_set FTM0_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM0_Fault_IRQHandler
  .thumb_set FTM0_Fault_IRQHandler,Dummy_Handler

  .weak FTM0_Ovf_Reload_IRQHandler
  .thumb_set FTM0_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM1_Ch0_Ch1_IRQHandler
  .thumb_set FTM1_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM1_Ch2_Ch3_IRQHandler
  .thumb_set FTM1_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM1_Ch4_Ch5_IRQHandler
  .thumb_set FTM1_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM1_Ch6_Ch7_IRQHandler
  .thumb_set FTM1_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM1_Fault_IRQHandler
  .thumb_set FTM1_Fault_IRQHandler,Dummy_Handler

  .weak FTM1_Ovf_Reload_IRQHandler
  .thumb_set FTM1_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM2_Ch0_Ch1_IRQHandler
  .thumb_set FTM2_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM2_Ch2_Ch3_IRQHandler
  .thumb_set FTM2_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM2_Ch4_Ch5_IRQHandler
  .thumb_set FTM2_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM2_Ch6_Ch7_IRQHandler
  .thumb_set FTM2_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM2_Fault_IRQHandler
  .thumb_set FTM2_Fault_IRQHandler,Dummy_Handler

  .weak FTM2_Ovf_Reload_IRQHandler
  .thumb_set FTM2_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM3_Ch0_Ch1_IRQHandler
  .thumb_set FTM3_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM3_Ch2_Ch3_IRQHandler
  .thumb_set FTM3_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM3_Ch4_Ch5_IRQHandler
  .thumb_set FTM3_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM3_Ch6_Ch7_IRQHandler
  .thumb_set FTM3_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM3_Fault_IRQHandler
  .thumb_set FTM3_Fault_IRQHandler,Dummy_Handler

  .weak FTM3_Ovf_Reload_IRQHandler
  .thumb_set FTM3_Ovf_Reload_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak DMA0_IRQHandler
DMA0_IRQHandler:
  b .

  .thumb_func
  .weak DMA1_IRQHandler
DMA1_IRQHandler:
  b .

  .thumb_func
  .weak DMA2_IRQHandler
DMA2_IRQHandler:
  b .

  .thumb_func
  .weak DMA3_IRQHandler
DMA3_IRQHandler:
  b .

  .thumb_func
  .weak DMA4_IRQHandler
DMA4_IRQHandler:
  b .

  .thumb_func
  .weak DMA5_IRQHandler
DMA5_IRQHandler:
  b .

  .thumb_func
  .weak DMA6_IRQHandler
DMA6_IRQHandler:
  b .

  .thumb_func
  .weak DMA7_IRQHandler
DMA7_IRQHandler:
  b .

  .thumb_func
  .weak DMA8_IRQHandler
DMA8_IRQHandler:
  b .

  .thumb_func
  .weak DMA9_IRQHandler
DMA9_IRQHandler:
  b .

  .thumb_func
  .weak DMA10_IRQHandler
DMA10_IRQHandler:
  b .

  .thumb_func
  .weak DMA11_IRQHandler
DMA11_IRQHandler:
  b .

  .thumb_func
  .weak DMA12_IRQHandler
DMA12_IRQHandler:
  b .

  .thumb_func
  .weak DMA13_IRQHandler
DMA13_IRQHandler:
  b .

  .thumb_func
  .weak DMA14_IRQHandler
DMA14_IRQHandler:
  b .

  .thumb_func
  .weak DMA15_IRQHandler
DMA15_IRQHandler:
  b .

  .thumb_func
  .weak DMA_Error_IRQHandler
DMA_Error_IRQHandler:
  b .

  .thumb_func
  .weak MCM_IRQHandler
MCM_IRQHandler:
  b .

  .thumb_func
  .weak FTFC_IRQHandler
FTFC_IRQHandler:
  b .

  .thumb_func
  .weak Read_Collision_IRQHandler
Read_Collision_IRQHandler:
  b .

  .thumb_func
  .weak LVD_LVW_IRQHandler
LVD_LVW_IRQHandler:
  b .

  .thumb_func
  .weak FTFC_Fault_IRQHandler
FTFC_Fault_IRQHandler:
  b .

  .thumb_func
  .weak WDOG_EWM_IRQHandler
WDOG_EWM_IRQHandler:
  b .

  .thumb_func
  .weak RCM_IRQHandler
RCM_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C0_Master_IRQHandler
LPI2C0_Master_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C0_Slave_IRQHandler
LPI2C0_Slave_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI0_IRQHandler
LPSPI0_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI1_IRQHandler
LPSPI1_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI2_IRQHandler
LPSPI2_IRQHandler:
  b .

  .thumb_func
  .weak LPUART0_RxTx_IRQHandler
LPUART0_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak LPUART1_RxTx_IRQHandler
LPUART1_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak LPUART2_RxTx_IRQHandler
LPUART2_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak ADC0_IRQHandler
ADC0_IRQHandler:
  b .

  .thumb_func
  .weak ADC1_IRQHandler
ADC1_IRQHandler:
  b .

  .thumb_func
  .weak CMP0_IRQHandler
CMP0_IRQHandler:
  b .

  .thumb_func
  .weak ERM_single_fault_IRQHandler
ERM_single_fault_IRQHandler:
  b .

  .thumb_func
  .weak ERM_double_fault_IRQHandler
ERM_double_fault_IRQHandler:
  b .

  .thumb_func
  .weak RTC_IRQHandler
RTC_IRQHandler:
  b .

  .thumb_func
  .weak RTC_Seconds_IRQHandler
RTC_Seconds_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch0_IRQHandler
LPIT0_Ch0_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch1_IRQHandler
LPIT0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch2_IRQHandler
LPIT0_Ch2_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch3_IRQHandler
LPIT0_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak PDB0_IRQHandler
PDB0_IRQHandler:
  b .

  .thumb_func
  .weak SCG_IRQHandler
SCG_IRQHandler:
  b .

  .thumb_func
  .weak LPTMR0_IRQHandler
LPTMR0_IRQHandler:
  b .

  .thumb_func
  .weak PORTA_IRQHandler
PORTA_IRQHandler:
  b .

  .thumb_func
  .weak PORTB_IRQHandler
PORTB_IRQHandler:
  b .

  .thumb_func
  .weak PORTC_IRQHandler
PORTC_IRQHandler:
  b .

  .thumb_func
  .weak PORTD_IRQHandler
PORTD_IRQHandler:
  b .

  .thumb_func
  .weak PORTE_IRQHandler
PORTE_IRQHandler:
  b .

  .thumb_func
  .weak SWI_IRQHandler
SWI_IRQHandler:
  b .

  .thumb_func
  .weak PDB1_IRQHandler
PDB1_IRQHandler:
  b .

  .thumb_func
  .weak FLEXIO_IRQHandler
FLEXIO_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_IRQHandler
CAN0_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_Error_IRQHandler
CAN0_Error_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_Wake_Up_IRQHandler
CAN0_Wake_Up_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_0_15_MB_IRQHandler
CAN0_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_16_31_MB_IRQHandler
CAN0_ORed_16_31_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_ORed_IRQHandler
CAN1_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_Error_IRQHandler
CAN1_Error_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_ORed_0_15_MB_IRQHandler
CAN1_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_ORed_IRQHandler
CAN2_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_Error_IRQHandler
CAN2_Error_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_ORed_0_15_MB_IRQHandler
CAN2_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch0_Ch1_IRQHandler
FTM0_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch2_Ch3_IRQHandler
FTM0_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch4_Ch5_IRQHandler
FTM0_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch6_Ch7_IRQHandler
FTM0_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Fault_IRQHandler
FTM0_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ovf_Reload_IRQHandler
FTM0_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch0_Ch1_IRQHandler
FTM1_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch2_Ch3_IRQHandler
FTM1_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch4_Ch5_IRQHandler
FTM1_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch6_Ch7_IRQHandler
FTM1_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Fault_IRQHandler
FTM1_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ovf_Reload_IRQHandler
FTM1_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch0_Ch1_IRQHandler
FTM2_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch2_Ch3_IRQHandler
FTM2_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch4_Ch5_IRQHandler
FTM2_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch6_Ch7_IRQHandler
FTM2_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Fault_IRQHandler
FTM2_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ovf_Reload_IRQHandler
FTM2_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch0_Ch1_IRQHandler
FTM3_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch2_Ch3_IRQHandler
FTM3_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch4_Ch5_IRQHandler
FTM3_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch6_Ch7_IRQHandler
FTM3_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Fault_IRQHandler
FTM3_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ovf_Reload_IRQHandler
FTM3_Ovf_Reload_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word DMA0_IRQHandler
  .word DMA1_IRQHandler
  .word DMA2_IRQHandler
  .word DMA3_IRQHandler
  .word DMA4_IRQHandler
  .word DMA5_IRQHandler
  .word DMA6_IRQHandler
  .word DMA7_IRQHandler
  .word DMA8_IRQHandler
  .word DMA9_IRQHandler
  .word DMA10_IRQHandler
  .word DMA11_IRQHandler
  .word DMA12_IRQHandler
  .word DMA13_IRQHandler
  .word DMA14_IRQHandler
  .word DMA15_IRQHandler
  .word DMA_Error_IRQHandler
  .word MCM_IRQHandler
  .word FTFC_IRQHandler
  .word Read_Collision_IRQHandler
  .word LVD_LVW_IRQHandler
  .word FTFC_Fault_IRQHandler
  .word WDOG_EWM_IRQHandler
  .word RCM_IRQHandler
  .word LPI2C0_Master_IRQHandler
  .word LPI2C0_Slave_IRQHandler
  .word LPSPI0_IRQHandler
  .word LPSPI1_IRQHandler
  .word LPSPI2_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word LPUART0_RxTx_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word LPUART1_RxTx_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word LPUART2_RxTx_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word ADC0_IRQHandler
  .word ADC1_IRQHandler
  .word CMP0_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word ERM_single_fault_IRQHandler
  .word ERM_double_fault_IRQHandler
  .word RTC_IRQHandler
  .word RTC_Seconds_IRQHandler
  .word LPIT0_Ch0_IRQHandler
  .word LPIT0_Ch1_IRQHandler
  .word LPIT0_Ch2_IRQHandler
  .word LPIT0_Ch3_IRQHandler
  .word PDB0_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word SCG_IRQHandler
  .word LPTMR0_IRQHandler
  .word PORTA_IRQHandler
  .word PORTB_IRQHandler
  .word PORTC_IRQHandler
  .word PORTD_IRQHandler
  .word PORTE_IRQHandler
  .word SWI_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word PDB1_IRQHandler
  .word FLEXIO_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word CAN0_ORed_IRQHandler
  .word CAN0_Error_IRQHandler
  .word CAN0_Wake_Up_IRQHandler
  .word CAN0_ORed_0_15_MB_IRQHandler
  .word CAN0_ORed_16_31_MB_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word CAN1_ORed_IRQHandler
  .word CAN1_Error_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word CAN1_ORed_0_15_MB_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word CAN2_ORed_IRQHandler
  .word CAN2_Error_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word CAN2_ORed_0_15_MB_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word FTM0_Ch0_Ch1_IRQHandler
  .word FTM0_Ch2_Ch3_IRQHandler
  .word FTM0_Ch4_Ch5_IRQHandler
  .word FTM0_Ch6_Ch7_IRQHandler
  .word FTM0_Fault_IRQHandler
  .word FTM0_Ovf_Reload_IRQHandler
  .word FTM1_Ch0_Ch1_IRQHandler
  .word FTM1_Ch2_Ch3_IRQHandler
  .word FTM1_Ch4_Ch5_IRQHandler
  .word FTM1_Ch6_Ch7_IRQHandler
  .word FTM1_Fault_IRQHandler
  .word FTM1_Ovf_Reload_IRQHandler
  .word FTM2_Ch0_Ch1_IRQHandler
  .word FTM2_Ch2_Ch3_IRQHandler
  .word FTM2_Ch4_Ch5_IRQHandler
  .word FTM2_Ch6_Ch7_IRQHandler
  .word FTM2_Fault_IRQHandler
  .word FTM2_Ovf_Reload_IRQHandler
  .word FTM3_Ch0_Ch1_IRQHandler
  .word FTM3_Ch2_Ch3_IRQHandler
  .word FTM3_Ch4_Ch5_IRQHandler
  .word FTM3_Ch6_Ch7_IRQHandler
  .word FTM3_Fault_IRQHandler
  .word FTM3_Ovf_Reload_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
