/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2015 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak MemManage_Handler
MemManage_Handler:
  b .
  
  .thumb_func
  .weak BusFault_Handler
BusFault_Handler:
  b .
  
  .thumb_func
  .weak UsageFault_Handler
UsageFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak DebugMon_Handler
DebugMon_Handler:
  b .
  
  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak DMA0_IRQHandler
  .thumb_set DMA0_IRQHandler,Dummy_Handler

  .weak DMA1_IRQHandler
  .thumb_set DMA1_IRQHandler,Dummy_Handler

  .weak DMA2_IRQHandler
  .thumb_set DMA2_IRQHandler,Dummy_Handler

  .weak DMA3_IRQHandler
  .thumb_set DMA3_IRQHandler,Dummy_Handler

  .weak DMA4_IRQHandler
  .thumb_set DMA4_IRQHandler,Dummy_Handler

  .weak DMA5_IRQHandler
  .thumb_set DMA5_IRQHandler,Dummy_Handler

  .weak DMA6_IRQHandler
  .thumb_set DMA6_IRQHandler,Dummy_Handler

  .weak DMA7_IRQHandler
  .thumb_set DMA7_IRQHandler,Dummy_Handler

  .weak DMA8_IRQHandler
  .thumb_set DMA8_IRQHandler,Dummy_Handler

  .weak DMA9_IRQHandler
  .thumb_set DMA9_IRQHandler,Dummy_Handler

  .weak DMA10_IRQHandler
  .thumb_set DMA10_IRQHandler,Dummy_Handler

  .weak DMA11_IRQHandler
  .thumb_set DMA11_IRQHandler,Dummy_Handler

  .weak DMA12_IRQHandler
  .thumb_set DMA12_IRQHandler,Dummy_Handler

  .weak DMA13_IRQHandler
  .thumb_set DMA13_IRQHandler,Dummy_Handler

  .weak DMA14_IRQHandler
  .thumb_set DMA14_IRQHandler,Dummy_Handler

  .weak DMA15_IRQHandler
  .thumb_set DMA15_IRQHandler,Dummy_Handler

  .weak DMA_Error_IRQHandler
  .thumb_set DMA_Error_IRQHandler,Dummy_Handler

  .weak MCM_IRQHandler
  .thumb_set MCM_IRQHandler,Dummy_Handler

  .weak FTFC_IRQHandler
  .thumb_set FTFC_IRQHandler,Dummy_Handler

  .weak Read_Collision_IRQHandler
  .thumb_set Read_Collision_IRQHandler,Dummy_Handler

  .weak LVD_LVW_IRQHandler
  .thumb_set LVD_LVW_IRQHandler,Dummy_Handler

  .weak FTFC_Fault_IRQHandler
  .thumb_set FTFC_Fault_IRQHandler,Dummy_Handler

  .weak WDOG_EWM_IRQHandler
  .thumb_set WDOG_EWM_IRQHandler,Dummy_Handler

  .weak RCM_IRQHandler
  .thumb_set RCM_IRQHandler,Dummy_Handler

  .weak LPI2C0_Master_IRQHandler
  .thumb_set LPI2C0_Master_IRQHandler,Dummy_Handler

  .weak LPI2C0_Slave_IRQHandler
  .thumb_set LPI2C0_Slave_IRQHandler,Dummy_Handler

  .weak LPSPI0_IRQHandler
  .thumb_set LPSPI0_IRQHandler,Dummy_Handler

  .weak LPSPI1_IRQHandler
  .thumb_set LPSPI1_IRQHandler,Dummy_Handler

  .weak LPSPI2_IRQHandler
  .thumb_set LPSPI2_IRQHandler,Dummy_Handler

  .weak LPI2C1_Master_IRQHandler
  .thumb_set LPI2C1_Master_IRQHandler,Dummy_Handler

  .weak LPI2C1_Slave_IRQHandler
  .thumb_set LPI2C1_Slave_IRQHandler,Dummy_Handler

  .weak LPUART0_RxTx_IRQHandler
  .thumb_set LPUART0_RxTx_IRQHandler,Dummy_Handler

  .weak Reserved48_IRQHandler
  .thumb_set Reserved48_IRQHandler,Dummy_Handler

  .weak LPUART1_RxTx_IRQHandler
  .thumb_set LPUART1_RxTx_IRQHandler,Dummy_Handler

  .weak Reserved50_IRQHandler
  .thumb_set Reserved50_IRQHandler,Dummy_Handler

  .weak LPUART2_RxTx_IRQHandler
  .thumb_set LPUART2_RxTx_IRQHandler,Dummy_Handler

  .weak Reserved52_IRQHandler
  .thumb_set Reserved52_IRQHandler,Dummy_Handler

  .weak Reserved53_IRQHandler
  .thumb_set Reserved53_IRQHandler,Dummy_Handler

  .weak Reserved54_IRQHandler
  .thumb_set Reserved54_IRQHandler,Dummy_Handler

  .weak ADC0_IRQHandler
  .thumb_set ADC0_IRQHandler,Dummy_Handler

  .weak ADC1_IRQHandler
  .thumb_set ADC1_IRQHandler,Dummy_Handler

  .weak CMP0_IRQHandler
  .thumb_set CMP0_IRQHandler,Dummy_Handler

  .weak Reserved58_IRQHandler
  .thumb_set Reserved58_IRQHandler,Dummy_Handler

  .weak Reserved59_IRQHandler
  .thumb_set Reserved59_IRQHandler,Dummy_Handler

  .weak ERM_single_fault_IRQHandler
  .thumb_set ERM_single_fault_IRQHandler,Dummy_Handler

  .weak ERM_double_fault_IRQHandler
  .thumb_set ERM_double_fault_IRQHandler,Dummy_Handler

  .weak RTC_IRQHandler
  .thumb_set RTC_IRQHandler,Dummy_Handler

  .weak RTC_Seconds_IRQHandler
  .thumb_set RTC_Seconds_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch0_IRQHandler
  .thumb_set LPIT0_Ch0_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch1_IRQHandler
  .thumb_set LPIT0_Ch1_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch2_IRQHandler
  .thumb_set LPIT0_Ch2_IRQHandler,Dummy_Handler

  .weak LPIT0_Ch3_IRQHandler
  .thumb_set LPIT0_Ch3_IRQHandler,Dummy_Handler

  .weak PDB0_IRQHandler
  .thumb_set PDB0_IRQHandler,Dummy_Handler

  .weak Reserved69_IRQHandler
  .thumb_set Reserved69_IRQHandler,Dummy_Handler

  .weak Reserved70_IRQHandler
  .thumb_set Reserved70_IRQHandler,Dummy_Handler

  .weak SAI1_Tx_IRQHandler
  .thumb_set SAI1_Tx_IRQHandler,Dummy_Handler

  .weak SAI1_Rx_IRQHandler
  .thumb_set SAI1_Rx_IRQHandler,Dummy_Handler

  .weak SCG_IRQHandler
  .thumb_set SCG_IRQHandler,Dummy_Handler

  .weak LPTMR0_IRQHandler
  .thumb_set LPTMR0_IRQHandler,Dummy_Handler

  .weak PORTA_IRQHandler
  .thumb_set PORTA_IRQHandler,Dummy_Handler

  .weak PORTB_IRQHandler
  .thumb_set PORTB_IRQHandler,Dummy_Handler

  .weak PORTC_IRQHandler
  .thumb_set PORTC_IRQHandler,Dummy_Handler

  .weak PORTD_IRQHandler
  .thumb_set PORTD_IRQHandler,Dummy_Handler

  .weak PORTE_IRQHandler
  .thumb_set PORTE_IRQHandler,Dummy_Handler

  .weak SWI_IRQHandler
  .thumb_set SWI_IRQHandler,Dummy_Handler

  .weak QSPI_IRQHandler
  .thumb_set QSPI_IRQHandler,Dummy_Handler

  .weak Reserved82_IRQHandler
  .thumb_set Reserved82_IRQHandler,Dummy_Handler

  .weak Reserved83_IRQHandler
  .thumb_set Reserved83_IRQHandler,Dummy_Handler

  .weak PDB1_IRQHandler
  .thumb_set PDB1_IRQHandler,Dummy_Handler

  .weak FLEXIO_IRQHandler
  .thumb_set FLEXIO_IRQHandler,Dummy_Handler

  .weak SAI0_Tx_IRQHandler
  .thumb_set SAI0_Tx_IRQHandler,Dummy_Handler

  .weak SAI0_Rx_IRQHandler
  .thumb_set SAI0_Rx_IRQHandler,Dummy_Handler

  .weak ENET_TIMER_IRQHandler
  .thumb_set ENET_TIMER_IRQHandler,Dummy_Handler

  .weak ENET_TX_IRQHandler
  .thumb_set ENET_TX_IRQHandler,Dummy_Handler

  .weak ENET_RX_IRQHandler
  .thumb_set ENET_RX_IRQHandler,Dummy_Handler

  .weak ENET_ERR_IRQHandler
  .thumb_set ENET_ERR_IRQHandler,Dummy_Handler

  .weak ENET_STOP_IRQHandler
  .thumb_set ENET_STOP_IRQHandler,Dummy_Handler

  .weak ENET_WAKE_IRQHandler
  .thumb_set ENET_WAKE_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_IRQHandler
  .thumb_set CAN0_ORed_IRQHandler,Dummy_Handler

  .weak CAN0_Error_IRQHandler
  .thumb_set CAN0_Error_IRQHandler,Dummy_Handler

  .weak CAN0_Wake_Up_IRQHandler
  .thumb_set CAN0_Wake_Up_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_0_15_MB_IRQHandler
  .thumb_set CAN0_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak CAN0_ORed_16_31_MB_IRQHandler
  .thumb_set CAN0_ORed_16_31_MB_IRQHandler,Dummy_Handler

  .weak Reserved99_IRQHandler
  .thumb_set Reserved99_IRQHandler,Dummy_Handler

  .weak Reserved100_IRQHandler
  .thumb_set Reserved100_IRQHandler,Dummy_Handler

  .weak CAN1_ORed_IRQHandler
  .thumb_set CAN1_ORed_IRQHandler,Dummy_Handler

  .weak CAN1_Error_IRQHandler
  .thumb_set CAN1_Error_IRQHandler,Dummy_Handler

  .weak Reserved103_IRQHandler
  .thumb_set Reserved103_IRQHandler,Dummy_Handler

  .weak CAN1_ORed_0_15_MB_IRQHandler
  .thumb_set CAN1_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak CAN1_ORed_16_31_MB_IRQHandler
  .thumb_set CAN1_ORed_16_31_MB_IRQHandler,Dummy_Handler

  .weak Reserved106_IRQHandler
  .thumb_set Reserved106_IRQHandler,Dummy_Handler

  .weak Reserved107_IRQHandler
  .thumb_set Reserved107_IRQHandler,Dummy_Handler

  .weak CAN2_ORed_IRQHandler
  .thumb_set CAN2_ORed_IRQHandler,Dummy_Handler

  .weak CAN2_Error_IRQHandler
  .thumb_set CAN2_Error_IRQHandler,Dummy_Handler

  .weak Reserved110_IRQHandler
  .thumb_set Reserved110_IRQHandler,Dummy_Handler

  .weak CAN2_ORed_0_15_MB_IRQHandler
  .thumb_set CAN2_ORed_0_15_MB_IRQHandler,Dummy_Handler

  .weak CAN2_ORed_16_31_MB_IRQHandler
  .thumb_set CAN2_ORed_16_31_MB_IRQHandler,Dummy_Handler

  .weak Reserved113_IRQHandler
  .thumb_set Reserved113_IRQHandler,Dummy_Handler

  .weak Reserved114_IRQHandler
  .thumb_set Reserved114_IRQHandler,Dummy_Handler

  .weak FTM0_Ch0_Ch1_IRQHandler
  .thumb_set FTM0_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM0_Ch2_Ch3_IRQHandler
  .thumb_set FTM0_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM0_Ch4_Ch5_IRQHandler
  .thumb_set FTM0_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM0_Ch6_Ch7_IRQHandler
  .thumb_set FTM0_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM0_Fault_IRQHandler
  .thumb_set FTM0_Fault_IRQHandler,Dummy_Handler

  .weak FTM0_Ovf_Reload_IRQHandler
  .thumb_set FTM0_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM1_Ch0_Ch1_IRQHandler
  .thumb_set FTM1_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM1_Ch2_Ch3_IRQHandler
  .thumb_set FTM1_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM1_Ch4_Ch5_IRQHandler
  .thumb_set FTM1_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM1_Ch6_Ch7_IRQHandler
  .thumb_set FTM1_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM1_Fault_IRQHandler
  .thumb_set FTM1_Fault_IRQHandler,Dummy_Handler

  .weak FTM1_Ovf_Reload_IRQHandler
  .thumb_set FTM1_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM2_Ch0_Ch1_IRQHandler
  .thumb_set FTM2_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM2_Ch2_Ch3_IRQHandler
  .thumb_set FTM2_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM2_Ch4_Ch5_IRQHandler
  .thumb_set FTM2_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM2_Ch6_Ch7_IRQHandler
  .thumb_set FTM2_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM2_Fault_IRQHandler
  .thumb_set FTM2_Fault_IRQHandler,Dummy_Handler

  .weak FTM2_Ovf_Reload_IRQHandler
  .thumb_set FTM2_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM3_Ch0_Ch1_IRQHandler
  .thumb_set FTM3_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM3_Ch2_Ch3_IRQHandler
  .thumb_set FTM3_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM3_Ch4_Ch5_IRQHandler
  .thumb_set FTM3_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM3_Ch6_Ch7_IRQHandler
  .thumb_set FTM3_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM3_Fault_IRQHandler
  .thumb_set FTM3_Fault_IRQHandler,Dummy_Handler

  .weak FTM3_Ovf_Reload_IRQHandler
  .thumb_set FTM3_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM4_Ch0_Ch1_IRQHandler
  .thumb_set FTM4_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM4_Ch2_Ch3_IRQHandler
  .thumb_set FTM4_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM4_Ch4_Ch5_IRQHandler
  .thumb_set FTM4_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM4_Ch6_Ch7_IRQHandler
  .thumb_set FTM4_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM4_Fault_IRQHandler
  .thumb_set FTM4_Fault_IRQHandler,Dummy_Handler

  .weak FTM4_Ovf_Reload_IRQHandler
  .thumb_set FTM4_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM5_Ch0_Ch1_IRQHandler
  .thumb_set FTM5_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM5_Ch2_Ch3_IRQHandler
  .thumb_set FTM5_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM5_Ch4_Ch5_IRQHandler
  .thumb_set FTM5_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM5_Ch6_Ch7_IRQHandler
  .thumb_set FTM5_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM5_Fault_IRQHandler
  .thumb_set FTM5_Fault_IRQHandler,Dummy_Handler

  .weak FTM5_Ovf_Reload_IRQHandler
  .thumb_set FTM5_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM6_Ch0_Ch1_IRQHandler
  .thumb_set FTM6_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM6_Ch2_Ch3_IRQHandler
  .thumb_set FTM6_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM6_Ch4_Ch5_IRQHandler
  .thumb_set FTM6_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM6_Ch6_Ch7_IRQHandler
  .thumb_set FTM6_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM6_Fault_IRQHandler
  .thumb_set FTM6_Fault_IRQHandler,Dummy_Handler

  .weak FTM6_Ovf_Reload_IRQHandler
  .thumb_set FTM6_Ovf_Reload_IRQHandler,Dummy_Handler

  .weak FTM7_Ch0_Ch1_IRQHandler
  .thumb_set FTM7_Ch0_Ch1_IRQHandler,Dummy_Handler

  .weak FTM7_Ch2_Ch3_IRQHandler
  .thumb_set FTM7_Ch2_Ch3_IRQHandler,Dummy_Handler

  .weak FTM7_Ch4_Ch5_IRQHandler
  .thumb_set FTM7_Ch4_Ch5_IRQHandler,Dummy_Handler

  .weak FTM7_Ch6_Ch7_IRQHandler
  .thumb_set FTM7_Ch6_Ch7_IRQHandler,Dummy_Handler

  .weak FTM7_Fault_IRQHandler
  .thumb_set FTM7_Fault_IRQHandler,Dummy_Handler

  .weak FTM7_Ovf_Reload_IRQHandler
  .thumb_set FTM7_Ovf_Reload_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak DMA0_IRQHandler
DMA0_IRQHandler:
  b .
  
  .thumb_func
  .weak DMA1_IRQHandler
DMA1_IRQHandler:
  b .

  .thumb_func
  .weak DMA2_IRQHandler
DMA2_IRQHandler:
  b .

  .thumb_func
  .weak DMA3_IRQHandler
DMA3_IRQHandler:
  b .

  .thumb_func
  .weak DMA4_IRQHandler
DMA4_IRQHandler:
  b .

  .thumb_func
  .weak DMA5_IRQHandler
DMA5_IRQHandler:
  b .

  .thumb_func
  .weak DMA6_IRQHandler
DMA6_IRQHandler:
  b .

  .thumb_func
  .weak DMA7_IRQHandler
DMA7_IRQHandler:
  b .

  .thumb_func
  .weak DMA8_IRQHandler
DMA8_IRQHandler:
  b .

  .thumb_func
  .weak DMA9_IRQHandler
DMA9_IRQHandler:
  b .

  .thumb_func
  .weak DMA10_IRQHandler
DMA10_IRQHandler:
  b .

  .thumb_func
  .weak DMA11_IRQHandler
DMA11_IRQHandler:
  b .

  .thumb_func
  .weak DMA12_IRQHandler
DMA12_IRQHandler:
  b .

  .thumb_func
  .weak DMA13_IRQHandler
DMA13_IRQHandler:
  b .

  .thumb_func
  .weak DMA14_IRQHandler
DMA14_IRQHandler:
  b .

  .thumb_func
  .weak DMA15_IRQHandler
DMA15_IRQHandler:
  b .

  .thumb_func
  .weak DMA_Error_IRQHandler
DMA_Error_IRQHandler:
  b .

  .thumb_func
  .weak MCM_IRQHandler
MCM_IRQHandler:
  b .

  .thumb_func
  .weak FTFC_IRQHandler
FTFC_IRQHandler:
  b .

  .thumb_func
  .weak Read_Collision_IRQHandler
Read_Collision_IRQHandler:
  b .

  .thumb_func
  .weak LVD_LVW_IRQHandler
LVD_LVW_IRQHandler:
  b .

  .thumb_func
  .weak FTFC_Fault_IRQHandler
FTFC_Fault_IRQHandler:
  b .

  .thumb_func
  .weak WDOG_EWM_IRQHandler
WDOG_EWM_IRQHandler:
  b .

  .thumb_func
  .weak RCM_IRQHandler
RCM_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C0_Master_IRQHandler
LPI2C0_Master_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C0_Slave_IRQHandler
LPI2C0_Slave_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI0_IRQHandler
LPSPI0_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI1_IRQHandler
LPSPI1_IRQHandler:
  b .

  .thumb_func
  .weak LPSPI2_IRQHandler
LPSPI2_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C1_Master_IRQHandler
LPI2C1_Master_IRQHandler:
  b .

  .thumb_func
  .weak LPI2C1_Slave_IRQHandler
LPI2C1_Slave_IRQHandler:
  b .

  .thumb_func
  .weak LPUART0_RxTx_IRQHandler
LPUART0_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak Reserved48_IRQHandler
Reserved48_IRQHandler:
  b .

  .thumb_func
  .weak LPUART1_RxTx_IRQHandler
LPUART1_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak Reserved50_IRQHandler
Reserved50_IRQHandler:
  b .

  .thumb_func
  .weak LPUART2_RxTx_IRQHandler
LPUART2_RxTx_IRQHandler:
  b .

  .thumb_func
  .weak Reserved52_IRQHandler
Reserved52_IRQHandler:
  b .

  .thumb_func
  .weak Reserved53_IRQHandler
Reserved53_IRQHandler:
  b .

  .thumb_func
  .weak Reserved54_IRQHandler
Reserved54_IRQHandler:
  b .

  .thumb_func
  .weak ADC0_IRQHandler
ADC0_IRQHandler:
  b .

  .thumb_func
  .weak ADC1_IRQHandler
ADC1_IRQHandler:
  b .

  .thumb_func
  .weak CMP0_IRQHandler
CMP0_IRQHandler:
  b .

  .thumb_func
  .weak Reserved58_IRQHandler
Reserved58_IRQHandler:
  b .

  .thumb_func
  .weak Reserved59_IRQHandler
Reserved59_IRQHandler:
  b .

  .thumb_func
  .weak ERM_single_fault_IRQHandler
ERM_single_fault_IRQHandler:
  b .

  .thumb_func
  .weak ERM_double_fault_IRQHandler
ERM_double_fault_IRQHandler:
  b .

  .thumb_func
  .weak RTC_IRQHandler
RTC_IRQHandler:
  b .

  .thumb_func
  .weak RTC_Seconds_IRQHandler
RTC_Seconds_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch0_IRQHandler
LPIT0_Ch0_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch1_IRQHandler
LPIT0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch2_IRQHandler
LPIT0_Ch2_IRQHandler:
  b .

  .thumb_func
  .weak LPIT0_Ch3_IRQHandler
LPIT0_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak PDB0_IRQHandler
PDB0_IRQHandler:
  b .

  .thumb_func
  .weak Reserved69_IRQHandler
Reserved69_IRQHandler:
  b .

  .thumb_func
  .weak Reserved70_IRQHandler
Reserved70_IRQHandler:
  b .

  .thumb_func
  .weak SAI1_Tx_IRQHandler
SAI1_Tx_IRQHandler:
  b .

  .thumb_func
  .weak SAI1_Rx_IRQHandler
SAI1_Rx_IRQHandler:
  b .

  .thumb_func
  .weak SCG_IRQHandler
SCG_IRQHandler:
  b .

  .thumb_func
  .weak LPTMR0_IRQHandler
LPTMR0_IRQHandler:
  b .

  .thumb_func
  .weak PORTA_IRQHandler
PORTA_IRQHandler:
  b .

  .thumb_func
  .weak PORTB_IRQHandler
PORTB_IRQHandler:
  b .

  .thumb_func
  .weak PORTC_IRQHandler
PORTC_IRQHandler:
  b .

  .thumb_func
  .weak PORTD_IRQHandler
PORTD_IRQHandler:
  b .

  .thumb_func
  .weak PORTE_IRQHandler
PORTE_IRQHandler:
  b .

  .thumb_func
  .weak SWI_IRQHandler
SWI_IRQHandler:
  b .

  .thumb_func
  .weak QSPI_IRQHandler
QSPI_IRQHandler:
  b .

  .thumb_func
  .weak Reserved82_IRQHandler
Reserved82_IRQHandler:
  b .

  .thumb_func
  .weak Reserved83_IRQHandler
Reserved83_IRQHandler:
  b .

  .thumb_func
  .weak PDB1_IRQHandler
PDB1_IRQHandler:
  b .

  .thumb_func
  .weak FLEXIO_IRQHandler
FLEXIO_IRQHandler:
  b .

  .thumb_func
  .weak SAI0_Tx_IRQHandler
SAI0_Tx_IRQHandler:
  b .

  .thumb_func
  .weak SAI0_Rx_IRQHandler
SAI0_Rx_IRQHandler:
  b .

  .thumb_func
  .weak ENET_TIMER_IRQHandler
ENET_TIMER_IRQHandler:
  b .

  .thumb_func
  .weak ENET_TX_IRQHandler
ENET_TX_IRQHandler:
  b .

  .thumb_func
  .weak ENET_RX_IRQHandler
ENET_RX_IRQHandler:
  b .

  .thumb_func
  .weak ENET_ERR_IRQHandler
ENET_ERR_IRQHandler:
  b .

  .thumb_func
  .weak ENET_STOP_IRQHandler
ENET_STOP_IRQHandler:
  b .

  .thumb_func
  .weak ENET_WAKE_IRQHandler
ENET_WAKE_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_IRQHandler
CAN0_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_Error_IRQHandler
CAN0_Error_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_Wake_Up_IRQHandler
CAN0_Wake_Up_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_0_15_MB_IRQHandler
CAN0_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_ORed_16_31_MB_IRQHandler
CAN0_ORed_16_31_MB_IRQHandler:
  b .

  .thumb_func
  .weak Reserved99_IRQHandler
Reserved99_IRQHandler:
  b .

  .thumb_func
  .weak Reserved100_IRQHandler
Reserved100_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_ORed_IRQHandler
CAN1_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_Error_IRQHandler
CAN1_Error_IRQHandler:
  b .

  .thumb_func
  .weak Reserved103_IRQHandler
Reserved103_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_ORed_0_15_MB_IRQHandler
CAN1_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_ORed_16_31_MB_IRQHandler
CAN1_ORed_16_31_MB_IRQHandler:
  b .

  .thumb_func
  .weak Reserved106_IRQHandler
Reserved106_IRQHandler:
  b .

  .thumb_func
  .weak Reserved107_IRQHandler
Reserved107_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_ORed_IRQHandler
CAN2_ORed_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_Error_IRQHandler
CAN2_Error_IRQHandler:
  b .

  .thumb_func
  .weak Reserved110_IRQHandler
Reserved110_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_ORed_0_15_MB_IRQHandler
CAN2_ORed_0_15_MB_IRQHandler:
  b .

  .thumb_func
  .weak CAN2_ORed_16_31_MB_IRQHandler
CAN2_ORed_16_31_MB_IRQHandler:
  b .

  .thumb_func
  .weak Reserved113_IRQHandler
Reserved113_IRQHandler:
  b .

  .thumb_func
  .weak Reserved114_IRQHandler
Reserved114_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch0_Ch1_IRQHandler
FTM0_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch2_Ch3_IRQHandler
FTM0_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch4_Ch5_IRQHandler
FTM0_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ch6_Ch7_IRQHandler
FTM0_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Fault_IRQHandler
FTM0_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM0_Ovf_Reload_IRQHandler
FTM0_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch0_Ch1_IRQHandler
FTM1_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch2_Ch3_IRQHandler
FTM1_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch4_Ch5_IRQHandler
FTM1_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ch6_Ch7_IRQHandler
FTM1_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Fault_IRQHandler
FTM1_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM1_Ovf_Reload_IRQHandler
FTM1_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch0_Ch1_IRQHandler
FTM2_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch2_Ch3_IRQHandler
FTM2_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch4_Ch5_IRQHandler
FTM2_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ch6_Ch7_IRQHandler
FTM2_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Fault_IRQHandler
FTM2_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM2_Ovf_Reload_IRQHandler
FTM2_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch0_Ch1_IRQHandler
FTM3_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch2_Ch3_IRQHandler
FTM3_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch4_Ch5_IRQHandler
FTM3_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ch6_Ch7_IRQHandler
FTM3_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Fault_IRQHandler
FTM3_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM3_Ovf_Reload_IRQHandler
FTM3_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Ch0_Ch1_IRQHandler
FTM4_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Ch2_Ch3_IRQHandler
FTM4_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Ch4_Ch5_IRQHandler
FTM4_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Ch6_Ch7_IRQHandler
FTM4_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Fault_IRQHandler
FTM4_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM4_Ovf_Reload_IRQHandler
FTM4_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Ch0_Ch1_IRQHandler
FTM5_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Ch2_Ch3_IRQHandler
FTM5_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Ch4_Ch5_IRQHandler
FTM5_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Ch6_Ch7_IRQHandler
FTM5_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Fault_IRQHandler
FTM5_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM5_Ovf_Reload_IRQHandler
FTM5_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Ch0_Ch1_IRQHandler
FTM6_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Ch2_Ch3_IRQHandler
FTM6_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Ch4_Ch5_IRQHandler
FTM6_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Ch6_Ch7_IRQHandler
FTM6_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Fault_IRQHandler
FTM6_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM6_Ovf_Reload_IRQHandler
FTM6_Ovf_Reload_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Ch0_Ch1_IRQHandler
FTM7_Ch0_Ch1_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Ch2_Ch3_IRQHandler
FTM7_Ch2_Ch3_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Ch4_Ch5_IRQHandler
FTM7_Ch4_Ch5_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Ch6_Ch7_IRQHandler
FTM7_Ch6_Ch7_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Fault_IRQHandler
FTM7_Fault_IRQHandler:
  b .

  .thumb_func
  .weak FTM7_Ovf_Reload_IRQHandler
FTM7_Ovf_Reload_IRQHandler:
  b .
#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word MemManage_Handler
  .word BusFault_Handler               
  .word UsageFault_Handler             
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word DebugMon_Handler
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler

  .word DMA0_IRQHandler                                 /* DMA channel 0 transfer complete*/
  .word DMA1_IRQHandler                                 /* DMA channel 1 transfer complete*/
  .word DMA2_IRQHandler                                 /* DMA channel 2 transfer complete*/
  .word DMA3_IRQHandler                                 /* DMA channel 3 transfer complete*/
  .word DMA4_IRQHandler                                 /* DMA channel 4 transfer complete*/
  .word DMA5_IRQHandler                                 /* DMA channel 5 transfer complete*/
  .word DMA6_IRQHandler                                 /* DMA channel 6 transfer complete*/
  .word DMA7_IRQHandler                                 /* DMA channel 7 transfer complete*/
  .word DMA8_IRQHandler                                 /* DMA channel 8 transfer complete*/
  .word DMA9_IRQHandler                                 /* DMA channel 9 transfer complete*/
  .word DMA10_IRQHandler                                /* DMA channel 10 transfer complete*/
  .word DMA11_IRQHandler                                /* DMA channel 11 transfer complete*/
  .word DMA12_IRQHandler                                /* DMA channel 12 transfer complete*/
  .word DMA13_IRQHandler                                /* DMA channel 13 transfer complete*/
  .word DMA14_IRQHandler                                /* DMA channel 14 transfer complete*/
  .word DMA15_IRQHandler                                /* DMA channel 15 transfer complete*/
  .word DMA_Error_IRQHandler                            /* DMA error interrupt channels 0-15*/
  .word MCM_IRQHandler                                  /* FPU sources*/
  .word FTFC_IRQHandler                                 /* FTFC Command complete*/
  .word Read_Collision_IRQHandler                       /* FTFC Read collision*/
  .word LVD_LVW_IRQHandler                              /* PMC Low voltage detect interrupt*/
  .word FTFC_Fault_IRQHandler                           /* FTFC Double bit fault detect*/
  .word WDOG_EWM_IRQHandler                             /* Single interrupt vector for WDOG and EWM*/
  .word RCM_IRQHandler                                  /* RCM Asynchronous Interrupt*/
  .word LPI2C0_Master_IRQHandler                        /* LPI2C0 Master Interrupt*/
  .word LPI2C0_Slave_IRQHandler                         /* LPI2C0 Slave Interrupt*/
  .word LPSPI0_IRQHandler                               /* LPSPI0 Interrupt*/
  .word LPSPI1_IRQHandler                               /* LPSPI1 Interrupt*/
  .word LPSPI2_IRQHandler                               /* LPSPI2 Interrupt*/
  .word LPI2C1_Master_IRQHandler                        /* LPI2C1 Master Interrupt*/
  .word LPI2C1_Slave_IRQHandler                         /* LPI2C1 Slave Interrupt*/
  .word LPUART0_RxTx_IRQHandler                         /* LPUART0 Transmit / Receive Interrupt*/
  .word Reserved48_IRQHandler                           /* Reserved Interrupt 48*/
  .word LPUART1_RxTx_IRQHandler                         /* LPUART1 Transmit / Receive  Interrupt*/
  .word Reserved50_IRQHandler                           /* Reserved Interrupt 50*/
  .word LPUART2_RxTx_IRQHandler                         /* LPUART2 Transmit / Receive  Interrupt*/
  .word Reserved52_IRQHandler                           /* Reserved Interrupt 52*/
  .word Reserved53_IRQHandler                           /* Reserved Interrupt 53*/
  .word Reserved54_IRQHandler                           /* Reserved Interrupt 54*/
  .word ADC0_IRQHandler                                 /* ADC0 interrupt request.*/
  .word ADC1_IRQHandler                                 /* ADC1 interrupt request.*/
  .word CMP0_IRQHandler                                 /* CMP0 interrupt request*/
  .word Reserved58_IRQHandler                           /* Reserved Interrupt 58*/
  .word Reserved59_IRQHandler                           /* Reserved Interrupt 59*/
  .word ERM_single_fault_IRQHandler                     /* ERM single bit error correction*/
  .word ERM_double_fault_IRQHandler                     /* ERM double bit error non-correctable*/
  .word RTC_IRQHandler                                  /* RTC alarm interrupt*/
  .word RTC_Seconds_IRQHandler                          /* RTC seconds interrupt*/
  .word LPIT0_Ch0_IRQHandler                            /* LPIT0 channel 0 overflow interrupt*/
  .word LPIT0_Ch1_IRQHandler                            /* LPIT0 channel 1 overflow interrupt*/
  .word LPIT0_Ch2_IRQHandler                            /* LPIT0 channel 2 overflow interrupt*/
  .word LPIT0_Ch3_IRQHandler                            /* LPIT0 channel 3 overflow interrupt*/
  .word PDB0_IRQHandler                                 /* PDB0 interrupt*/
  .word Reserved69_IRQHandler                           /* Reserved Interrupt 69*/
  .word Reserved70_IRQHandler                           /* Reserved Interrupt 70*/
  .word SAI1_Tx_IRQHandler                              /* SAI1 Transmit Synchronous interrupt (for interrupt controller)*/
  .word SAI1_Rx_IRQHandler                              /* SAI1 Receive Synchronous interrupt (for interrupt controller)*/
  .word SCG_IRQHandler                                  /* SCG bus interrupt request*/
  .word LPTMR0_IRQHandler                               /* LPTIMER interrupt request*/
  .word PORTA_IRQHandler                                /* Port A pin detect interrupt*/
  .word PORTB_IRQHandler                                /* Port B pin detect interrupt*/
  .word PORTC_IRQHandler                                /* Port C pin detect interrupt*/
  .word PORTD_IRQHandler                                /* Port D pin detect interrupt*/
  .word PORTE_IRQHandler                                /* Port E pin detect interrupt*/
  .word SWI_IRQHandler                                  /* Software interrupt*/
  .word QSPI_IRQHandler                                 /* QSPI All interrupts ORed output*/
  .word Reserved82_IRQHandler                           /* Reserved Interrupt 82*/
  .word Reserved83_IRQHandler                           /* Reserved Interrupt 83*/
  .word PDB1_IRQHandler                                 /* PDB1 interrupt*/
  .word FLEXIO_IRQHandler                               /* FlexIO Interrupt*/
  .word SAI0_Tx_IRQHandler                              /* SAI0 Transmit Synchronous interrupt (for interrupt controller)*/
  .word SAI0_Rx_IRQHandler                              /* SAI0 Receive Synchronous interrupt (for interrupt controller)*/
  .word ENET_TIMER_IRQHandler                           /* ENET 1588 Timer Interrupt - synchronous*/
  .word ENET_TX_IRQHandler                              /* ENET Data transfer done*/
  .word ENET_RX_IRQHandler                              /* ENET Receive Buffer Done for Ring/Queue 0*/
  .word ENET_ERR_IRQHandler                             /* ENET Payload receive error.*/
  .word ENET_STOP_IRQHandler                            /* ENET Graceful stop*/
  .word ENET_WAKE_IRQHandler                            /* ENET Wake from sleep.*/
  .word CAN0_ORed_IRQHandler                            /* CAN0 OR'ed [Bus Off OR Transmit Warning OR Receive Warning]*/
  .word CAN0_Error_IRQHandler                           /* CAN0 Interrupt indicating that errors were detected on the CAN bus*/
  .word CAN0_Wake_Up_IRQHandler                         /* CAN0 Interrupt asserted when Pretended Networking operation is enabled, and a valid message matches the selected filter criteria during Low Power mode*/
  .word CAN0_ORed_0_15_MB_IRQHandler                    /* CAN0 OR'ed Message buffer (0-15)*/
  .word CAN0_ORed_16_31_MB_IRQHandler                   /* CAN0 OR'ed Message buffer (16-31)*/
  .word Reserved99_IRQHandler                           /* Reserved Interrupt 99*/
  .word Reserved100_IRQHandler                          /* Reserved Interrupt 100*/
  .word CAN1_ORed_IRQHandler                            /* CAN1 OR'ed [Bus Off OR Transmit Warning OR Receive Warning]*/
  .word CAN1_Error_IRQHandler                           /* CAN1 Interrupt indicating that errors were detected on the CAN bus*/
  .word Reserved103_IRQHandler                          /* Reserved Interrupt 103*/
  .word CAN1_ORed_0_15_MB_IRQHandler                    /* CAN1 OR'ed Interrupt for Message buffer (0-15)*/
  .word CAN1_ORed_16_31_MB_IRQHandler                   /* CAN1 OR'ed Interrupt for Message buffer (16-31)*/
  .word Reserved106_IRQHandler                          /* Reserved Interrupt 106*/
  .word Reserved107_IRQHandler                          /* Reserved Interrupt 107*/
  .word CAN2_ORed_IRQHandler                            /* CAN2 OR'ed [Bus Off OR Transmit Warning OR Receive Warning]*/
  .word CAN2_Error_IRQHandler                           /* CAN2 Interrupt indicating that errors were detected on the CAN bus*/
  .word Reserved110_IRQHandler                          /* Reserved Interrupt 110*/
  .word CAN2_ORed_0_15_MB_IRQHandler                    /* CAN2 OR'ed Message buffer (0-15)*/
  .word CAN2_ORed_16_31_MB_IRQHandler                   /* CAN2 OR'ed Message buffer (16-31)*/
  .word Reserved113_IRQHandler                          /* Reserved Interrupt 113*/
  .word Reserved114_IRQHandler                          /* Reserved Interrupt 114*/
  .word FTM0_Ch0_Ch1_IRQHandler                         /* FTM0 Channel 0 and 1 interrupt*/
  .word FTM0_Ch2_Ch3_IRQHandler                         /* FTM0 Channel 2 and 3 interrupt*/
  .word FTM0_Ch4_Ch5_IRQHandler                         /* FTM0 Channel 4 and 5 interrupt*/
  .word FTM0_Ch6_Ch7_IRQHandler                         /* FTM0 Channel 6 and 7 interrupt*/
  .word FTM0_Fault_IRQHandler                           /* FTM0 Fault interrupt*/
  .word FTM0_Ovf_Reload_IRQHandler                      /* FTM0 Counter overflow and Reload interrupt*/
  .word FTM1_Ch0_Ch1_IRQHandler                         /* FTM1 Channel 0 and 1 interrupt*/
  .word FTM1_Ch2_Ch3_IRQHandler                         /* FTM1 Channel 2 and 3 interrupt*/
  .word FTM1_Ch4_Ch5_IRQHandler                         /* FTM1 Channel 4 and 5 interrupt*/
  .word FTM1_Ch6_Ch7_IRQHandler                         /* FTM1 Channel 6 and 7 interrupt*/
  .word FTM1_Fault_IRQHandler                           /* FTM1 Fault interrupt*/
  .word FTM1_Ovf_Reload_IRQHandler                      /* FTM1 Counter overflow and Reload interrupt*/
  .word FTM2_Ch0_Ch1_IRQHandler                         /* FTM2 Channel 0 and 1 interrupt*/
  .word FTM2_Ch2_Ch3_IRQHandler                         /* FTM2 Channel 2 and 3 interrupt*/
  .word FTM2_Ch4_Ch5_IRQHandler                         /* FTM2 Channel 4 and 5 interrupt*/
  .word FTM2_Ch6_Ch7_IRQHandler                         /* FTM2 Channel 6 and 7 interrupt*/
  .word FTM2_Fault_IRQHandler                           /* FTM2 Fault interrupt*/
  .word FTM2_Ovf_Reload_IRQHandler                      /* FTM2 Counter overflow and Reload interrupt*/
  .word FTM3_Ch0_Ch1_IRQHandler                         /* FTM3 Channel 0 and 1 interrupt*/
  .word FTM3_Ch2_Ch3_IRQHandler                         /* FTM3 Channel 2 and 3 interrupt*/
  .word FTM3_Ch4_Ch5_IRQHandler                         /* FTM3 Channel 4 and 5 interrupt*/
  .word FTM3_Ch6_Ch7_IRQHandler                         /* FTM3 Channel 6 and 7 interrupt*/
  .word FTM3_Fault_IRQHandler                           /* FTM3 Fault interrupt*/
  .word FTM3_Ovf_Reload_IRQHandler                      /* FTM3 Counter overflow and Reload interrupt*/
  .word FTM4_Ch0_Ch1_IRQHandler                         /* FTM4 Channel 0 and 1 interrupt*/
  .word FTM4_Ch2_Ch3_IRQHandler                         /* FTM4 Channel 2 and 3 interrupt*/
  .word FTM4_Ch4_Ch5_IRQHandler                         /* FTM4 Channel 4 and 5 interrupt*/
  .word FTM4_Ch6_Ch7_IRQHandler                         /* FTM4 Channel 6 and 7 interrupt*/
  .word FTM4_Fault_IRQHandler                           /* FTM4 Fault interrupt*/
  .word FTM4_Ovf_Reload_IRQHandler                      /* FTM4 Counter overflow and Reload interrupt*/
  .word FTM5_Ch0_Ch1_IRQHandler                         /* FTM5 Channel 0 and 1 interrupt*/
  .word FTM5_Ch2_Ch3_IRQHandler                         /* FTM5 Channel 2 and 3 interrupt*/
  .word FTM5_Ch4_Ch5_IRQHandler                         /* FTM5 Channel 4 and 5 interrupt*/
  .word FTM5_Ch6_Ch7_IRQHandler                         /* FTM5 Channel 6 and 7 interrupt*/
  .word FTM5_Fault_IRQHandler                           /* FTM5 Fault interrupt*/
  .word FTM5_Ovf_Reload_IRQHandler                      /* FTM5 Counter overflow and Reload interrupt*/
  .word FTM6_Ch0_Ch1_IRQHandler                         /* FTM6 Channel 0 and 1 interrupt*/
  .word FTM6_Ch2_Ch3_IRQHandler                         /* FTM6 Channel 2 and 3 interrupt*/
  .word FTM6_Ch4_Ch5_IRQHandler                         /* FTM6 Channel 4 and 5 interrupt*/
  .word FTM6_Ch6_Ch7_IRQHandler                         /* FTM6 Channel 6 and 7 interrupt*/
  .word FTM6_Fault_IRQHandler                           /* FTM6 Fault interrupt*/
  .word FTM6_Ovf_Reload_IRQHandler                      /* FTM6 Counter overflow and Reload interrupt*/
  .word FTM7_Ch0_Ch1_IRQHandler                         /* FTM7 Channel 0 and 1 interrupt*/
  .word FTM7_Ch2_Ch3_IRQHandler                         /* FTM7 Channel 2 and 3 interrupt*/
  .word FTM7_Ch4_Ch5_IRQHandler                         /* FTM7 Channel 4 and 5 interrupt*/
  .word FTM7_Ch6_Ch7_IRQHandler                         /* FTM7 Channel 6 and 7 interrupt*/
  .word FTM7_Fault_IRQHandler                           /* FTM7 Fault interrupt*/
  .word FTM7_Ovf_Reload_IRQHandler                      /* FTM7 Counter overflow and Reload interrupt*/
  .word Dummy_Handler                                   /* 163*/
  .word Dummy_Handler                                   /* 164*/
  .word Dummy_Handler                                   /* 165*/
  .word Dummy_Handler                                   /* 166*/
  .word Dummy_Handler                                   /* 167*/
  .word Dummy_Handler                                   /* 168*/
  .word Dummy_Handler                                   /* 169*/
  .word Dummy_Handler                                   /* 170*/
  .word Dummy_Handler                                   /* 171*/
  .word Dummy_Handler                                   /* 172*/
  .word Dummy_Handler                                   /* 173*/
  .word Dummy_Handler                                   /* 174*/
  .word Dummy_Handler                                   /* 175*/
  .word Dummy_Handler                                   /* 176*/
  .word Dummy_Handler                                   /* 177*/
  .word Dummy_Handler                                   /* 178*/
  .word Dummy_Handler                                   /* 179*/
  .word Dummy_Handler                                   /* 180*/
  .word Dummy_Handler                                   /* 181*/
  .word Dummy_Handler                                   /* 182*/
  .word Dummy_Handler                                   /* 183*/
  .word Dummy_Handler                                   /* 184*/
  .word Dummy_Handler                                   /* 185*/
  .word Dummy_Handler                                   /* 186*/
  .word Dummy_Handler                                   /* 187*/
  .word Dummy_Handler                                   /* 188*/
  .word Dummy_Handler                                   /* 189*/
  .word Dummy_Handler                                   /* 190*/
  .word Dummy_Handler                                   /* 191*/
  .word Dummy_Handler                                   /* 192*/
  .word Dummy_Handler                                   /* 193*/
  .word Dummy_Handler                                   /* 194*/
  .word Dummy_Handler                                   /* 195*/
  .word Dummy_Handler                                   /* 196*/
  .word Dummy_Handler                                   /* 197*/
  .word Dummy_Handler                                   /* 198*/
  .word Dummy_Handler                                   /* 199*/
  .word Dummy_Handler                                   /* 200*/
  .word Dummy_Handler                                   /* 201*/
  .word Dummy_Handler                                   /* 202*/
  .word Dummy_Handler                                   /* 203*/
  .word Dummy_Handler                                   /* 204*/
  .word Dummy_Handler                                   /* 205*/
  .word Dummy_Handler                                   /* 206*/
  .word Dummy_Handler                                   /* 207*/
  .word Dummy_Handler                                   /* 208*/
  .word Dummy_Handler                                   /* 209*/
  .word Dummy_Handler                                   /* 210*/
  .word Dummy_Handler                                   /* 211*/
  .word Dummy_Handler                                   /* 212*/
  .word Dummy_Handler                                   /* 213*/
  .word Dummy_Handler                                   /* 214*/
  .word Dummy_Handler                                   /* 215*/
  .word Dummy_Handler                                   /* 216*/
  .word Dummy_Handler                                   /* 217*/
  .word Dummy_Handler                                   /* 218*/
  .word Dummy_Handler                                   /* 219*/
  .word Dummy_Handler                                   /* 220*/
  .word Dummy_Handler                                   /* 221*/
  .word Dummy_Handler                                   /* 222*/
  .word Dummy_Handler                                   /* 223*/
  .word Dummy_Handler                                   /* 224*/
  .word Dummy_Handler                                   /* 225*/
  .word Dummy_Handler                                   /* 226*/
  .word Dummy_Handler                                   /* 227*/
  .word Dummy_Handler                                   /* 228*/
  .word Dummy_Handler                                   /* 229*/
  .word Dummy_Handler                                   /* 230*/
  .word Dummy_Handler                                   /* 231*/
  .word Dummy_Handler                                   /* 232*/
  .word Dummy_Handler                                   /* 233*/
  .word Dummy_Handler                                   /* 234*/
  .word Dummy_Handler                                   /* 235*/
  .word Dummy_Handler                                   /* 236*/
  .word Dummy_Handler                                   /* 237*/
  .word Dummy_Handler                                   /* 238*/
  .word Dummy_Handler                                   /* 239*/
  .word Dummy_Handler                                   /* 240*/
  .word Dummy_Handler                                   /* 241*/
  .word Dummy_Handler                                   /* 242*/
  .word Dummy_Handler                                   /* 243*/
  .word Dummy_Handler                                   /* 244*/
  .word Dummy_Handler                                   /* 245*/
  .word Dummy_Handler                                   /* 246*/
  .word Dummy_Handler                                   /* 247*/
  .word Dummy_Handler                                   /* 248*/
  .word Dummy_Handler                                   /* 249*/
  .word Dummy_Handler                                   /* 250*/
  .word Dummy_Handler                                   /* 251*/
  .word Dummy_Handler                                   /* 252*/
  .word Dummy_Handler                                   /* 253*/
  .word Dummy_Handler                                   /* 254*/
  .word 0xFFFFFFFF                                      /*  Reserved for user TRIM value*/
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
