/*****************************************************************************
 * Copyright (c) 2013 Rowley Associates Limited.                             *
 *                                                                           *
 * This file may be distributed under the terms of the License Agreement     *
 * provided with this software.                                              *
 *                                                                           *
 * THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE   *
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. *
 *****************************************************************************/
 /*****************************************************************************
 *                           Preprocessor Definitions
 *                           ------------------------
 *
 *
 * VECTORS_IN_RAM
 *
 *   If defined the vector table is copied to RAM.
 *
 * NO_CACHE_ENABLE
 *
 *   If not defined, the caches are enabled.
 *
 * __NO_FPU
 *
 *   If defined then the VFP coprocessor is NOT enabled.
 *
 * __NO_RUNFAST_MODE
 *
 *   If defined do NOT turn on flush-to-zero and default NaN modes.
 *
 * __NO_SYSTEM_INIT
 *
 *   Do not call the SystemInit function.
 *
 *
 *****************************************************************************/
.macro ISR_HANDLER name=
  .section .vectors, "ax"
  .word \name
  .section .init, "ax"
  .thumb_func
  .weak \name
\name:
1: b 1b /* endless loop */
.endm

.macro ISR_RESERVED
  .section .vectors, "ax"
  .word 0
.endm

  .syntax unified
  .global Reset_Handler

  .section .vectors, "ax"
  .align 0
  .code 16
  .global _vectors

  .extern PendSV_Handler
_vectors:
  .word __stack_end__
  .word Reset_Handler
ISR_HANDLER NMI_Handler
ISR_HANDLER HardFault_Handler
ISR_HANDLER MemManage_Handler
ISR_HANDLER BusFault_Handler
ISR_HANDLER UsageFault_Handler
ISR_RESERVED
ISR_RESERVED
ISR_RESERVED
ISR_RESERVED
ISR_HANDLER SVC_Handler
ISR_HANDLER DebugMon_Handler
ISR_RESERVED
ISR_HANDLER PendSV_Handler
ISR_HANDLER SysTick_Handler
  // External interrupts start here
ISR_HANDLER VECTOR_016
ISR_HANDLER VECTOR_017
ISR_HANDLER VECTOR_018
ISR_HANDLER VECTOR_019
ISR_HANDLER VECTOR_020
ISR_HANDLER VECTOR_021
ISR_HANDLER VECTOR_022
ISR_HANDLER VECTOR_023
ISR_HANDLER VECTOR_024
ISR_HANDLER VECTOR_025
ISR_HANDLER VECTOR_026
ISR_HANDLER VECTOR_027
ISR_HANDLER VECTOR_028
ISR_HANDLER VECTOR_029
ISR_HANDLER VECTOR_030
ISR_HANDLER VECTOR_031
ISR_HANDLER VECTOR_032
ISR_HANDLER VECTOR_033
ISR_HANDLER VECTOR_034
ISR_HANDLER VECTOR_035
ISR_HANDLER VECTOR_036
ISR_HANDLER VECTOR_037
ISR_HANDLER VECTOR_038
ISR_HANDLER VECTOR_039
ISR_HANDLER VECTOR_040
ISR_HANDLER VECTOR_041
ISR_HANDLER VECTOR_042
ISR_HANDLER VECTOR_043
ISR_HANDLER VECTOR_044
ISR_HANDLER VECTOR_045
ISR_HANDLER VECTOR_046
ISR_HANDLER VECTOR_047
ISR_HANDLER VECTOR_048
ISR_HANDLER VECTOR_049
ISR_HANDLER VECTOR_050
ISR_HANDLER VECTOR_051
ISR_HANDLER VECTOR_052
ISR_HANDLER VECTOR_053
ISR_HANDLER VECTOR_054
ISR_HANDLER VECTOR_055
ISR_HANDLER VECTOR_056
ISR_HANDLER VECTOR_057
ISR_HANDLER VECTOR_058
ISR_HANDLER VECTOR_059
ISR_HANDLER VECTOR_060
ISR_HANDLER VECTOR_061
ISR_HANDLER VECTOR_062
ISR_HANDLER VECTOR_063
ISR_HANDLER VECTOR_064
ISR_HANDLER VECTOR_065
ISR_HANDLER VECTOR_066
ISR_HANDLER VECTOR_067
ISR_HANDLER VECTOR_068
ISR_HANDLER VECTOR_069
ISR_HANDLER VECTOR_070
ISR_HANDLER VECTOR_071
ISR_HANDLER VECTOR_072
ISR_HANDLER VECTOR_073
ISR_HANDLER VECTOR_074
ISR_HANDLER VECTOR_075
ISR_HANDLER VECTOR_076
ISR_HANDLER VECTOR_077
ISR_HANDLER VECTOR_078
ISR_HANDLER VECTOR_079
ISR_HANDLER VECTOR_080
ISR_HANDLER VECTOR_081
ISR_HANDLER VECTOR_082
ISR_HANDLER VECTOR_083
ISR_HANDLER VECTOR_084
ISR_HANDLER VECTOR_085
ISR_HANDLER VECTOR_086
ISR_HANDLER VECTOR_087
ISR_HANDLER VECTOR_088
ISR_HANDLER VECTOR_089
ISR_HANDLER VECTOR_090
ISR_HANDLER VECTOR_091
ISR_HANDLER VECTOR_092
ISR_HANDLER VECTOR_093
ISR_HANDLER VECTOR_094
ISR_HANDLER VECTOR_095
ISR_HANDLER VECTOR_096
ISR_HANDLER VECTOR_097
ISR_HANDLER VECTOR_098
ISR_HANDLER VECTOR_099
ISR_HANDLER VECTOR_100
ISR_HANDLER VECTOR_101
ISR_HANDLER VECTOR_102
ISR_HANDLER VECTOR_103
ISR_HANDLER VECTOR_104
ISR_HANDLER VECTOR_105
ISR_HANDLER VECTOR_106
ISR_HANDLER VECTOR_107
ISR_HANDLER VECTOR_108
ISR_HANDLER VECTOR_109
ISR_HANDLER VECTOR_110
ISR_HANDLER VECTOR_111
ISR_HANDLER VECTOR_112
ISR_HANDLER VECTOR_113
ISR_HANDLER VECTOR_114
ISR_HANDLER VECTOR_115
ISR_HANDLER VECTOR_116
ISR_HANDLER VECTOR_117
ISR_HANDLER VECTOR_118
ISR_HANDLER VECTOR_119
ISR_HANDLER VECTOR_120
ISR_HANDLER VECTOR_121
ISR_HANDLER VECTOR_122
ISR_HANDLER VECTOR_123
ISR_HANDLER VECTOR_124
ISR_HANDLER VECTOR_125
ISR_HANDLER VECTOR_126
ISR_HANDLER VECTOR_127

  .section .vectors, "ax"
_vectors_end:

  .section .init, "ax"
  .thumb_func

  Reset_Handler:

#ifndef __NO_SYSTEM_INIT
  ldr sp, =__OCRAM1_segment_end__
  bl SystemInit
  .pushsection .init_array, "aw", %init_array
  .align 2
  .word SystemCoreClockUpdate
  .popsection
#endif

#if !defined(__NO_FPU) && !defined(__SOFTFP__)
  // Enable CP11 and CP10 with CPACR |= (0xf<<20)
  movw r0, 0xED88
  movt r0, 0xE000
  ldr r1, [r0]
  orrs r1, r1, #(0xf << 20)
  str r1, [r0]
#ifndef __NO_RUNFAST_MODE
  nop
  nop
  nop
  vmrs r0, fpscr
  orrs r0, r0, #(0x3 << 24) // FZ and DN
  vmsr fpscr, r0
  // clear the CONTROL.FPCA bit
  mov r0, #0
  msr control, r0
  // FPDSCR similarly
  movw r1, 0xEF3C
  movt r1, 0xE000
  ldr r0, [r1]
  orrs r0, r0, #(0x3 << 24) // FZ and DN
  str r0, [r1]
#endif
#endif

#ifdef VECTORS_IN_RAM
  ldr r0, =_vectors
  ldr r1, =_vectors_end
  ldr r2, =__VECTOR_RAM
l0:
  cmp r0, r1
  beq l1
  ldr r3, [r0]
  str r3, [r2]
  adds r0, r0, #4
  adds r2, r2, #4
  b l0
l1:
#endif

  /* Configure vector table offset register */
  ldr r0, =0xE000ED08
#ifdef VECTORS_IN_RAM
  ldr r1, =__vectors_ram_start__
#else
  ldr r1, =_vectors
#endif
  str r1, [r0]

#ifndef NO_CACHE_ENABLE
  /* Enable Caches */
  ldr r0, =0xE0082000
  ldr r1, =0x85000001
  str r1, [r0]
  ldr r0, =0xE0082800
  ldr r1, =0x85000003
  str r1, [r0]
#endif

  ldr r0, =_start
  blx r0

#ifndef __NO_SYSTEM_INIT
  .thumb_func
  .weak SystemInit
SystemInit:
  bx lr
#endif

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .global __VECTOR_RAM
__VECTOR_RAM:
  .space _vectors_end-_vectors, 0
#endif