/******************************************************************************
  Target Script for Vybrid

  Copyright (c) 2013 Rowley Associates Limited.

  This file may be distributed under the terms of the License Agreement
  provided with this software.

  THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/

function ConnectCA5()
{ 
  TargetInterface.setMaximumJTAGFrequency(8000000);
  if (TargetInterface.implementation() == "j-link")
    {
      TargetInterface.setDeviceTypeProperty("VF6xx_A5");
      TargetInterface.setDebugInterfaceProperty("set_adiv5_APB_ap_num", 1);
    }
}

function PostConnectCA5()
{   
  TargetInterface.pokeWord(0x4006B01C, (1<<26)); // Enable trace  
  TargetInterface.pokeWord(0x40093000, (1<<1));
  if (TargetInterface.implementation() != "j-link")
    {      
      // Cached (and other) memory areas that the AHB AP doesn't work on - there could be more
      //TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x20000000, 0x1000000); // SPI0
      TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x3f000000, 0x80000); // OCRAM
      TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x3f400000, 0x80000); // OCRAM
      TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x40002000, 0x2000); // GIC
      TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x80000000, 0x8000000); // SDRAM
    }
}

function EnableTraceCA5(TraceInterfaceType)
{
  if (TraceInterfaceType == "ETB")
    {
      TargetInterface.pokeWord(0x40093000, TargetInterface.peekWord(0x40093000) | (1<<1)); // Pltf_TCTL - disable CA5 - TPIU
      var CSTF_Ctrl_Reg = ((0x908<<16)|0);
      v = TargetInterface.getICEBreakerRegister(CSTF_Ctrl_Reg);
      TargetInterface.setICEBreakerRegister(CSTF_Ctrl_Reg, v | 0x00000003); // EnS0 | EnS1  
    }
}

function MRC(CPnumber, opcode1, CRn, CRm, opcode2)
{
  return 0xEE100010 | (opcode1 << 21) | (CRn << 16) | (CPnumber << 8) | (opcode2 << 5) | CRm;
}

function MCR(CPnumber, opcode1, CRn, CRm, opcode2)
{
  return 0xEE000010 | (opcode1 << 21) | (CRn << 16) | (CPnumber << 8) | (opcode2 << 5) | CRm;
}

function MDMReset()
{
  MDMStatus();
  TargetInterface.setDebugRegister(0x04000004, (1<<3));
  TargetInterface.setDebugRegister(0x04000004, (1<<18));      
  TargetInterface.waitForDebugState(100);  
  TargetInterface.setDebugRegister(0x04000004, 0);  
  MDMStatus();
  TargetInterface.go();
  TargetInterface.delay(1);
  TargetInterface.stop(400);
  WScript.Echo("Stopped at "+TargetInterface.getRegister("pc")+"\n");
}

function ResetCA5()
{
  TargetInterface.setICEBreakerRegister(7, 0); // Clear VC
  TargetInterface.setDebugRegister(0x04000004, (1<<3)); // Set Reset
  TargetInterface.delay(100);
  TargetInterface.setDebugRegister(0x04000004, 0);   // Clear Reset 
  TargetInterface.delay(100);
  TargetInterface.stop(400);
  TargetInterface.message("CA5 stopped at 0x"+TargetInterface.getRegister("pc").toString(16)+"\n"); 
  TargetInterface.pokeWord(0x4006B08C, 0x15a5a); // Enable other core
  TargetInterface.pokeWord(0x4006B01C, (1<<26)); // Enable trace
}

function DDRResetCA5()
{
  ResetCA5();
  InitClocksAndMemoriesCA5();
}

function QuadSPI0ResetCA5()
{
  ResetCA5();
  TargetInterface.setDebugRegister(0x04000004, (1<<2)); // Stop the CM4  
}

function ConnectCM4()
{
  TargetInterface.setMaximumJTAGFrequency(8000000);
  if (TargetInterface.implementation() == "j-link")
    {
      TargetInterface.setDeviceTypeProperty("VF6xx_M4");
      TargetInterface.setDebugInterfaceProperty("set_adiv5_AHB_ap_num", 3);
    }
}

function PostConnectCM4()
{
  if (TargetInterface.implementation() != "j-link")
    {
      TargetInterface.pokeWord(0x4006B08C, 0x15a5a); // Enable other core
      TargetInterface.pokeWord(0x4006B01C, (1<<26)); // Enable trace
      TargetInterface.setDebugInterfaceProperty("set_adiv5_AHB_ap_num", 3);
    }  
}

function EnableTraceCM4(TraceInterfaceType)
{
  if (TraceInterfaceType == "ETB")
    {
      TargetInterface.pokeWord(0x40093000, TargetInterface.peekWord(0x40093000) | (1<<0)); // Pltf_TCTL - disable CM4 - TPIU
      var CSTF_Ctrl_Reg = ((0x908<<16)|0);
      v = TargetInterface.getICEBreakerRegister(CSTF_Ctrl_Reg);
      TargetInterface.setICEBreakerRegister(CSTF_Ctrl_Reg, v | 0x00000003); // EnS0 | EnS1  
    }
}

function ResetCM4()
{
  TargetInterface.pokeWord(0xE000EDFC, 0x1);
  TargetInterface.pokeWord(0xE000ED0C, 0x05FA0001);
  TargetInterface.waitForDebugState(1000);
  TargetInterface.message("CM4 stopped at 0x"+TargetInterface.getRegister("pc").toString(16)+"\n");
  // Turn off caches
  TargetInterface.pokeWord(0xE0082000, 0);
  TargetInterface.pokeWord(0xE0082800, 0);
}

function DDRResetCM4()
{
  ResetCM4();
  InitClocksAndMemoriesCM4();
}

function QuadSPI0ResetCM4()
{
  ResetCM4();
  TargetInterface.setDebugRegister(0x04000004, (1<<18)); // Stop the CA5  
}

function QuadSPI0DebugBegin()
{
  TargetInterface.setDebugRegister(0x04000004, 0);
}

function MDMStatus()
{
  WScript.Echo("MDM Status\n");
  var status = TargetInterface.getDebugRegister(0x04000000);   
  if (status & (1<<2))
    WScript.Echo("system reset\n");
  if (status & (1<<3))
    WScript.Echo("debug access enable\n");
  if (status & (1<<4))
    WScript.Echo("debug secured access enable\n");
  if (status & (1<<10))
    WScript.Echo("standby mode exit\n");
  if (status & (1<<16))
    WScript.Echo("CM4 Halted\n");
  if (status & (1<<17))
    WScript.Echo("CM4 SLEEPDEEP\n");
  if (status & (1<<18))
    WScript.Echo("CM4 SLEEPING\n");
  if (status & (1<<19))
    WScript.Echo("CA5 Halted\n");
  if (status & (1<<20))
    WScript.Echo("CA5 STANDBYWFI\n");
  if (status & (1<<21))
    WScript.Echo("CA5 STANDBYWFE\n");
  if (status & (1<<22))
    WScript.Echo("CTI trigger out\n");
  if (status & (1<<30))
    WScript.Echo("CM4 debug restarted\n");
  if (status & (1<<31))
    WScript.Echo("CA5 debug restarted\n");
}

function MDMControl()
{
  WScript.Echo("MDM Control\n");
  var status = TargetInterface.getDebugRegister(0x04000004);   
  if (status & (1<<2))
    WScript.Echo("CM4 Debug Request\n");
  if (status & (1<<3))
    WScript.Echo("SYSRESETREQ\n");
  if (status & (1<<5))
    WScript.Echo("STANDBYDBGREQ\n");
  if (status & (1<<6))
    WScript.Echo("STANDBYDBGACK\n");
  if (status & (1<<8))
    WScript.Echo("Timestamp disable\n");
  if (status & (1<<9))
    WScript.Echo("Inhibit Sleep\n");
  if (status & (1<<18))
    WScript.Echo("CA5 Debug Request\n");
  if (status & (1<<24))
    WScript.Echo("CTI trigger input\n");
  if (status & (1<<25))
    WScript.Echo("CTI trigger output ack\n");
  if (status & (1<<30))
    WScript.Echo("CM4 debug restart\n");
  if (status & (1<<31))
    WScript.Echo("CA5 debug restart\n");
}