/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2017 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak BOD_IRQHandler_IRQHandler
  .thumb_set BOD_IRQHandler_IRQHandler,Dummy_Handler

  .weak WDT_IRQHandler_IRQHandler
  .thumb_set WDT_IRQHandler_IRQHandler,Dummy_Handler

  .weak EINT0_IRQHandler_IRQHandler
  .thumb_set EINT0_IRQHandler_IRQHandler,Dummy_Handler

  .weak EINT1_IRQHandler_IRQHandler
  .thumb_set EINT1_IRQHandler_IRQHandler,Dummy_Handler

  .weak GPIOP0P1_IRQHandler_IRQHandler
  .thumb_set GPIOP0P1_IRQHandler_IRQHandler,Dummy_Handler

  .weak GPIOP2P3P4_IRQHandler_IRQHandler
  .thumb_set GPIOP2P3P4_IRQHandler_IRQHandler,Dummy_Handler

  .weak PWMA_IRQHandler_IRQHandler
  .thumb_set PWMA_IRQHandler_IRQHandler,Dummy_Handler

  .weak PWMB_IRQHandler_IRQHandler
  .thumb_set PWMB_IRQHandler_IRQHandler,Dummy_Handler

  .weak TMR0_IRQHandler_IRQHandler
  .thumb_set TMR0_IRQHandler_IRQHandler,Dummy_Handler

  .weak TMR1_IRQHandler_IRQHandler
  .thumb_set TMR1_IRQHandler_IRQHandler,Dummy_Handler

  .weak TMR2_IRQHandler_IRQHandler
  .thumb_set TMR2_IRQHandler_IRQHandler,Dummy_Handler

  .weak TMR3_IRQHandler_IRQHandler
  .thumb_set TMR3_IRQHandler_IRQHandler,Dummy_Handler

  .weak UART0_IRQHandler_IRQHandler
  .thumb_set UART0_IRQHandler_IRQHandler,Dummy_Handler

  .weak UART1_IRQHandler_IRQHandler
  .thumb_set UART1_IRQHandler_IRQHandler,Dummy_Handler

  .weak SPI0_IRQHandler_IRQHandler
  .thumb_set SPI0_IRQHandler_IRQHandler,Dummy_Handler

  .weak SPI1_IRQHandler_IRQHandler
  .thumb_set SPI1_IRQHandler_IRQHandler,Dummy_Handler

  .weak I2C0_IRQHandler_IRQHandler
  .thumb_set I2C0_IRQHandler_IRQHandler,Dummy_Handler

  .weak I2C1_IRQHandler_IRQHandler
  .thumb_set I2C1_IRQHandler_IRQHandler,Dummy_Handler

  .weak ACMP01_IRQHandler_IRQHandler
  .thumb_set ACMP01_IRQHandler_IRQHandler,Dummy_Handler

  .weak ACMP23_IRQHandler_IRQHandler
  .thumb_set ACMP23_IRQHandler_IRQHandler,Dummy_Handler

  .weak PWRWU_IRQHandler_IRQHandler
  .thumb_set PWRWU_IRQHandler_IRQHandler,Dummy_Handler

  .weak ADC_IRQHandler_IRQHandler
  .thumb_set ADC_IRQHandler_IRQHandler,Dummy_Handler

  .weak RTC_IRQHandler_IRQHandler
  .thumb_set RTC_IRQHandler_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak BOD_IRQHandler_IRQHandler
BOD_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak WDT_IRQHandler_IRQHandler
WDT_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak EINT0_IRQHandler_IRQHandler
EINT0_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak EINT1_IRQHandler_IRQHandler
EINT1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak GPIOP0P1_IRQHandler_IRQHandler
GPIOP0P1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak GPIOP2P3P4_IRQHandler_IRQHandler
GPIOP2P3P4_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak PWMA_IRQHandler_IRQHandler
PWMA_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak PWMB_IRQHandler_IRQHandler
PWMB_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak TMR0_IRQHandler_IRQHandler
TMR0_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak TMR1_IRQHandler_IRQHandler
TMR1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak TMR2_IRQHandler_IRQHandler
TMR2_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak TMR3_IRQHandler_IRQHandler
TMR3_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak UART0_IRQHandler_IRQHandler
UART0_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak UART1_IRQHandler_IRQHandler
UART1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak SPI0_IRQHandler_IRQHandler
SPI0_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak SPI1_IRQHandler_IRQHandler
SPI1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak I2C0_IRQHandler_IRQHandler
I2C0_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak I2C1_IRQHandler_IRQHandler
I2C1_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak ACMP01_IRQHandler_IRQHandler
ACMP01_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak ACMP23_IRQHandler_IRQHandler
ACMP23_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak PWRWU_IRQHandler_IRQHandler
PWRWU_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak ADC_IRQHandler_IRQHandler
ADC_IRQHandler_IRQHandler:
  b .

  .thumb_func
  .weak RTC_IRQHandler_IRQHandler
RTC_IRQHandler_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word BOD_IRQHandler_IRQHandler
  .word WDT_IRQHandler_IRQHandler
  .word EINT0_IRQHandler_IRQHandler
  .word EINT1_IRQHandler_IRQHandler
  .word GPIOP0P1_IRQHandler_IRQHandler
  .word GPIOP2P3P4_IRQHandler_IRQHandler
  .word PWMA_IRQHandler_IRQHandler
  .word PWMB_IRQHandler_IRQHandler
  .word TMR0_IRQHandler_IRQHandler
  .word TMR1_IRQHandler_IRQHandler
  .word TMR2_IRQHandler_IRQHandler
  .word TMR3_IRQHandler_IRQHandler
  .word UART0_IRQHandler_IRQHandler
  .word UART1_IRQHandler_IRQHandler
  .word SPI0_IRQHandler_IRQHandler
  .word SPI1_IRQHandler_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word I2C0_IRQHandler_IRQHandler
  .word I2C1_IRQHandler_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word ACMP01_IRQHandler_IRQHandler
  .word ACMP23_IRQHandler_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word PWRWU_IRQHandler_IRQHandler
  .word ADC_IRQHandler_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word RTC_IRQHandler_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
