/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2015 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak GPIOA_IRQHandler
  .thumb_set GPIOA_IRQHandler,Dummy_Handler

  .weak GPIOB_IRQHandler
  .thumb_set GPIOB_IRQHandler,Dummy_Handler

  .weak GPIOC_IRQHandler
  .thumb_set GPIOC_IRQHandler,Dummy_Handler

  .weak GPIOD_IRQHandler
  .thumb_set GPIOD_IRQHandler,Dummy_Handler

  .weak GPIOE_IRQHandler
  .thumb_set GPIOE_IRQHandler,Dummy_Handler

  .weak UART0_IRQHandler
  .thumb_set UART0_IRQHandler,Dummy_Handler

  .weak UART1_IRQHandler
  .thumb_set UART1_IRQHandler,Dummy_Handler

  .weak SSI0_IRQHandler
  .thumb_set SSI0_IRQHandler,Dummy_Handler

  .weak I2C0_IRQHandler
  .thumb_set I2C0_IRQHandler,Dummy_Handler

  .weak PWM0_FAULT_IRQHandler
  .thumb_set PWM0_FAULT_IRQHandler,Dummy_Handler

  .weak PWM0_0_IRQHandler
  .thumb_set PWM0_0_IRQHandler,Dummy_Handler

  .weak PWM0_1_IRQHandler
  .thumb_set PWM0_1_IRQHandler,Dummy_Handler

  .weak PWM0_2_IRQHandler
  .thumb_set PWM0_2_IRQHandler,Dummy_Handler

  .weak QEI0_IRQHandler
  .thumb_set QEI0_IRQHandler,Dummy_Handler

  .weak ADC0SS0_IRQHandler
  .thumb_set ADC0SS0_IRQHandler,Dummy_Handler

  .weak ADC0SS1_IRQHandler
  .thumb_set ADC0SS1_IRQHandler,Dummy_Handler

  .weak ADC0SS2_IRQHandler
  .thumb_set ADC0SS2_IRQHandler,Dummy_Handler

  .weak ADC0SS3_IRQHandler
  .thumb_set ADC0SS3_IRQHandler,Dummy_Handler

  .weak WATCHDOG0_IRQHandler
  .thumb_set WATCHDOG0_IRQHandler,Dummy_Handler

  .weak TIMER0A_IRQHandler
  .thumb_set TIMER0A_IRQHandler,Dummy_Handler

  .weak TIMER0B_IRQHandler
  .thumb_set TIMER0B_IRQHandler,Dummy_Handler

  .weak TIMER1A_IRQHandler
  .thumb_set TIMER1A_IRQHandler,Dummy_Handler

  .weak TIMER1B_IRQHandler
  .thumb_set TIMER1B_IRQHandler,Dummy_Handler

  .weak TIMER2A_IRQHandler
  .thumb_set TIMER2A_IRQHandler,Dummy_Handler

  .weak TIMER2B_IRQHandler
  .thumb_set TIMER2B_IRQHandler,Dummy_Handler

  .weak COMP0_IRQHandler
  .thumb_set COMP0_IRQHandler,Dummy_Handler

  .weak COMP1_IRQHandler
  .thumb_set COMP1_IRQHandler,Dummy_Handler

  .weak SYSCTL_IRQHandler
  .thumb_set SYSCTL_IRQHandler,Dummy_Handler

  .weak FLASH_CTRL_IRQHandler
  .thumb_set FLASH_CTRL_IRQHandler,Dummy_Handler

  .weak GPIOF_IRQHandler
  .thumb_set GPIOF_IRQHandler,Dummy_Handler

  .weak UART2_IRQHandler
  .thumb_set UART2_IRQHandler,Dummy_Handler

  .weak SSI1_IRQHandler
  .thumb_set SSI1_IRQHandler,Dummy_Handler

  .weak TIMER3A_IRQHandler
  .thumb_set TIMER3A_IRQHandler,Dummy_Handler

  .weak TIMER3B_IRQHandler
  .thumb_set TIMER3B_IRQHandler,Dummy_Handler

  .weak I2C1_IRQHandler
  .thumb_set I2C1_IRQHandler,Dummy_Handler

  .weak QEI1_IRQHandler
  .thumb_set QEI1_IRQHandler,Dummy_Handler

  .weak CAN0_IRQHandler
  .thumb_set CAN0_IRQHandler,Dummy_Handler

  .weak CAN1_IRQHandler
  .thumb_set CAN1_IRQHandler,Dummy_Handler

  .weak HIB_IRQHandler
  .thumb_set HIB_IRQHandler,Dummy_Handler

  .weak USB0_IRQHandler
  .thumb_set USB0_IRQHandler,Dummy_Handler

  .weak PWM0_3_IRQHandler
  .thumb_set PWM0_3_IRQHandler,Dummy_Handler

  .weak UDMA_IRQHandler
  .thumb_set UDMA_IRQHandler,Dummy_Handler

  .weak UDMAERR_IRQHandler
  .thumb_set UDMAERR_IRQHandler,Dummy_Handler

  .weak ADC1SS0_IRQHandler
  .thumb_set ADC1SS0_IRQHandler,Dummy_Handler

  .weak ADC1SS1_IRQHandler
  .thumb_set ADC1SS1_IRQHandler,Dummy_Handler

  .weak ADC1SS2_IRQHandler
  .thumb_set ADC1SS2_IRQHandler,Dummy_Handler

  .weak ADC1SS3_IRQHandler
  .thumb_set ADC1SS3_IRQHandler,Dummy_Handler

  .weak SSI2_IRQHandler
  .thumb_set SSI2_IRQHandler,Dummy_Handler

  .weak SSI3_IRQHandler
  .thumb_set SSI3_IRQHandler,Dummy_Handler

  .weak UART3_IRQHandler
  .thumb_set UART3_IRQHandler,Dummy_Handler

  .weak UART4_IRQHandler
  .thumb_set UART4_IRQHandler,Dummy_Handler

  .weak UART5_IRQHandler
  .thumb_set UART5_IRQHandler,Dummy_Handler

  .weak UART6_IRQHandler
  .thumb_set UART6_IRQHandler,Dummy_Handler

  .weak UART7_IRQHandler
  .thumb_set UART7_IRQHandler,Dummy_Handler

  .weak I2C2_IRQHandler
  .thumb_set I2C2_IRQHandler,Dummy_Handler

  .weak I2C3_IRQHandler
  .thumb_set I2C3_IRQHandler,Dummy_Handler

  .weak TIMER4A_IRQHandler
  .thumb_set TIMER4A_IRQHandler,Dummy_Handler

  .weak TIMER4B_IRQHandler
  .thumb_set TIMER4B_IRQHandler,Dummy_Handler

  .weak TIMER5A_IRQHandler
  .thumb_set TIMER5A_IRQHandler,Dummy_Handler

  .weak TIMER5B_IRQHandler
  .thumb_set TIMER5B_IRQHandler,Dummy_Handler

  .weak WTIMER0A_IRQHandler
  .thumb_set WTIMER0A_IRQHandler,Dummy_Handler

  .weak WTIMER0B_IRQHandler
  .thumb_set WTIMER0B_IRQHandler,Dummy_Handler

  .weak WTIMER1A_IRQHandler
  .thumb_set WTIMER1A_IRQHandler,Dummy_Handler

  .weak WTIMER1B_IRQHandler
  .thumb_set WTIMER1B_IRQHandler,Dummy_Handler

  .weak WTIMER2A_IRQHandler
  .thumb_set WTIMER2A_IRQHandler,Dummy_Handler

  .weak WTIMER2B_IRQHandler
  .thumb_set WTIMER2B_IRQHandler,Dummy_Handler

  .weak WTIMER3A_IRQHandler
  .thumb_set WTIMER3A_IRQHandler,Dummy_Handler

  .weak WTIMER3B_IRQHandler
  .thumb_set WTIMER3B_IRQHandler,Dummy_Handler

  .weak WTIMER4A_IRQHandler
  .thumb_set WTIMER4A_IRQHandler,Dummy_Handler

  .weak WTIMER4B_IRQHandler
  .thumb_set WTIMER4B_IRQHandler,Dummy_Handler

  .weak WTIMER5A_IRQHandler
  .thumb_set WTIMER5A_IRQHandler,Dummy_Handler

  .weak WTIMER5B_IRQHandler
  .thumb_set WTIMER5B_IRQHandler,Dummy_Handler

  .weak SYSEXC_IRQHandler
  .thumb_set SYSEXC_IRQHandler,Dummy_Handler

  .weak PWM1_0_IRQHandler
  .thumb_set PWM1_0_IRQHandler,Dummy_Handler

  .weak PWM1_1_IRQHandler
  .thumb_set PWM1_1_IRQHandler,Dummy_Handler

  .weak PWM1_2_IRQHandler
  .thumb_set PWM1_2_IRQHandler,Dummy_Handler

  .weak PWM1_3_IRQHandler
  .thumb_set PWM1_3_IRQHandler,Dummy_Handler

  .weak PWM1_FAULT_IRQHandler
  .thumb_set PWM1_FAULT_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak GPIOA_IRQHandler
GPIOA_IRQHandler:
  b .

  .thumb_func
  .weak GPIOB_IRQHandler
GPIOB_IRQHandler:
  b .

  .thumb_func
  .weak GPIOC_IRQHandler
GPIOC_IRQHandler:
  b .

  .thumb_func
  .weak GPIOD_IRQHandler
GPIOD_IRQHandler:
  b .

  .thumb_func
  .weak GPIOE_IRQHandler
GPIOE_IRQHandler:
  b .

  .thumb_func
  .weak UART0_IRQHandler
UART0_IRQHandler:
  b .

  .thumb_func
  .weak UART1_IRQHandler
UART1_IRQHandler:
  b .

  .thumb_func
  .weak SSI0_IRQHandler
SSI0_IRQHandler:
  b .

  .thumb_func
  .weak I2C0_IRQHandler
I2C0_IRQHandler:
  b .

  .thumb_func
  .weak PWM0_FAULT_IRQHandler
PWM0_FAULT_IRQHandler:
  b .

  .thumb_func
  .weak PWM0_0_IRQHandler
PWM0_0_IRQHandler:
  b .

  .thumb_func
  .weak PWM0_1_IRQHandler
PWM0_1_IRQHandler:
  b .

  .thumb_func
  .weak PWM0_2_IRQHandler
PWM0_2_IRQHandler:
  b .

  .thumb_func
  .weak QEI0_IRQHandler
QEI0_IRQHandler:
  b .

  .thumb_func
  .weak ADC0SS0_IRQHandler
ADC0SS0_IRQHandler:
  b .

  .thumb_func
  .weak ADC0SS1_IRQHandler
ADC0SS1_IRQHandler:
  b .

  .thumb_func
  .weak ADC0SS2_IRQHandler
ADC0SS2_IRQHandler:
  b .

  .thumb_func
  .weak ADC0SS3_IRQHandler
ADC0SS3_IRQHandler:
  b .

  .thumb_func
  .weak WATCHDOG0_IRQHandler
WATCHDOG0_IRQHandler:
  b .

  .thumb_func
  .weak TIMER0A_IRQHandler
TIMER0A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER0B_IRQHandler
TIMER0B_IRQHandler:
  b .

  .thumb_func
  .weak TIMER1A_IRQHandler
TIMER1A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER1B_IRQHandler
TIMER1B_IRQHandler:
  b .

  .thumb_func
  .weak TIMER2A_IRQHandler
TIMER2A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER2B_IRQHandler
TIMER2B_IRQHandler:
  b .

  .thumb_func
  .weak COMP0_IRQHandler
COMP0_IRQHandler:
  b .

  .thumb_func
  .weak COMP1_IRQHandler
COMP1_IRQHandler:
  b .

  .thumb_func
  .weak SYSCTL_IRQHandler
SYSCTL_IRQHandler:
  b .

  .thumb_func
  .weak FLASH_CTRL_IRQHandler
FLASH_CTRL_IRQHandler:
  b .

  .thumb_func
  .weak GPIOF_IRQHandler
GPIOF_IRQHandler:
  b .

  .thumb_func
  .weak UART2_IRQHandler
UART2_IRQHandler:
  b .

  .thumb_func
  .weak SSI1_IRQHandler
SSI1_IRQHandler:
  b .

  .thumb_func
  .weak TIMER3A_IRQHandler
TIMER3A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER3B_IRQHandler
TIMER3B_IRQHandler:
  b .

  .thumb_func
  .weak I2C1_IRQHandler
I2C1_IRQHandler:
  b .

  .thumb_func
  .weak QEI1_IRQHandler
QEI1_IRQHandler:
  b .

  .thumb_func
  .weak CAN0_IRQHandler
CAN0_IRQHandler:
  b .

  .thumb_func
  .weak CAN1_IRQHandler
CAN1_IRQHandler:
  b .

  .thumb_func
  .weak HIB_IRQHandler
HIB_IRQHandler:
  b .

  .thumb_func
  .weak USB0_IRQHandler
USB0_IRQHandler:
  b .

  .thumb_func
  .weak PWM0_3_IRQHandler
PWM0_3_IRQHandler:
  b .

  .thumb_func
  .weak UDMA_IRQHandler
UDMA_IRQHandler:
  b .

  .thumb_func
  .weak UDMAERR_IRQHandler
UDMAERR_IRQHandler:
  b .

  .thumb_func
  .weak ADC1SS0_IRQHandler
ADC1SS0_IRQHandler:
  b .

  .thumb_func
  .weak ADC1SS1_IRQHandler
ADC1SS1_IRQHandler:
  b .

  .thumb_func
  .weak ADC1SS2_IRQHandler
ADC1SS2_IRQHandler:
  b .

  .thumb_func
  .weak ADC1SS3_IRQHandler
ADC1SS3_IRQHandler:
  b .

  .thumb_func
  .weak SSI2_IRQHandler
SSI2_IRQHandler:
  b .

  .thumb_func
  .weak SSI3_IRQHandler
SSI3_IRQHandler:
  b .

  .thumb_func
  .weak UART3_IRQHandler
UART3_IRQHandler:
  b .

  .thumb_func
  .weak UART4_IRQHandler
UART4_IRQHandler:
  b .

  .thumb_func
  .weak UART5_IRQHandler
UART5_IRQHandler:
  b .

  .thumb_func
  .weak UART6_IRQHandler
UART6_IRQHandler:
  b .

  .thumb_func
  .weak UART7_IRQHandler
UART7_IRQHandler:
  b .

  .thumb_func
  .weak I2C2_IRQHandler
I2C2_IRQHandler:
  b .

  .thumb_func
  .weak I2C3_IRQHandler
I2C3_IRQHandler:
  b .

  .thumb_func
  .weak TIMER4A_IRQHandler
TIMER4A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER4B_IRQHandler
TIMER4B_IRQHandler:
  b .

  .thumb_func
  .weak TIMER5A_IRQHandler
TIMER5A_IRQHandler:
  b .

  .thumb_func
  .weak TIMER5B_IRQHandler
TIMER5B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER0A_IRQHandler
WTIMER0A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER0B_IRQHandler
WTIMER0B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER1A_IRQHandler
WTIMER1A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER1B_IRQHandler
WTIMER1B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER2A_IRQHandler
WTIMER2A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER2B_IRQHandler
WTIMER2B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER3A_IRQHandler
WTIMER3A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER3B_IRQHandler
WTIMER3B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER4A_IRQHandler
WTIMER4A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER4B_IRQHandler
WTIMER4B_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER5A_IRQHandler
WTIMER5A_IRQHandler:
  b .

  .thumb_func
  .weak WTIMER5B_IRQHandler
WTIMER5B_IRQHandler:
  b .

  .thumb_func
  .weak SYSEXC_IRQHandler
SYSEXC_IRQHandler:
  b .

  .thumb_func
  .weak PWM1_0_IRQHandler
PWM1_0_IRQHandler:
  b .

  .thumb_func
  .weak PWM1_1_IRQHandler
PWM1_1_IRQHandler:
  b .

  .thumb_func
  .weak PWM1_2_IRQHandler
PWM1_2_IRQHandler:
  b .

  .thumb_func
  .weak PWM1_3_IRQHandler
PWM1_3_IRQHandler:
  b .

  .thumb_func
  .weak PWM1_FAULT_IRQHandler
PWM1_FAULT_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word GPIOA_IRQHandler
  .word GPIOB_IRQHandler
  .word GPIOC_IRQHandler
  .word GPIOD_IRQHandler
  .word GPIOE_IRQHandler
  .word UART0_IRQHandler
  .word UART1_IRQHandler
  .word SSI0_IRQHandler
  .word I2C0_IRQHandler
  .word PWM0_FAULT_IRQHandler
  .word PWM0_0_IRQHandler
  .word PWM0_1_IRQHandler
  .word PWM0_2_IRQHandler
  .word QEI0_IRQHandler
  .word ADC0SS0_IRQHandler
  .word ADC0SS1_IRQHandler
  .word ADC0SS2_IRQHandler
  .word ADC0SS3_IRQHandler
  .word WATCHDOG0_IRQHandler
  .word TIMER0A_IRQHandler
  .word TIMER0B_IRQHandler
  .word TIMER1A_IRQHandler
  .word TIMER1B_IRQHandler
  .word TIMER2A_IRQHandler
  .word TIMER2B_IRQHandler
  .word COMP0_IRQHandler
  .word COMP1_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word SYSCTL_IRQHandler
  .word FLASH_CTRL_IRQHandler
  .word GPIOF_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word UART2_IRQHandler
  .word SSI1_IRQHandler
  .word TIMER3A_IRQHandler
  .word TIMER3B_IRQHandler
  .word I2C1_IRQHandler
  .word QEI1_IRQHandler
  .word CAN0_IRQHandler
  .word CAN1_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word HIB_IRQHandler
  .word USB0_IRQHandler
  .word PWM0_3_IRQHandler
  .word UDMA_IRQHandler
  .word UDMAERR_IRQHandler
  .word ADC1SS0_IRQHandler
  .word ADC1SS1_IRQHandler
  .word ADC1SS2_IRQHandler
  .word ADC1SS3_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word SSI2_IRQHandler
  .word SSI3_IRQHandler
  .word UART3_IRQHandler
  .word UART4_IRQHandler
  .word UART5_IRQHandler
  .word UART6_IRQHandler
  .word UART7_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word I2C2_IRQHandler
  .word I2C3_IRQHandler
  .word TIMER4A_IRQHandler
  .word TIMER4B_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word TIMER5A_IRQHandler
  .word TIMER5B_IRQHandler
  .word WTIMER0A_IRQHandler
  .word WTIMER0B_IRQHandler
  .word WTIMER1A_IRQHandler
  .word WTIMER1B_IRQHandler
  .word WTIMER2A_IRQHandler
  .word WTIMER2B_IRQHandler
  .word WTIMER3A_IRQHandler
  .word WTIMER3B_IRQHandler
  .word WTIMER4A_IRQHandler
  .word WTIMER4B_IRQHandler
  .word WTIMER5A_IRQHandler
  .word WTIMER5B_IRQHandler
  .word SYSEXC_IRQHandler
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word Dummy_Handler /* Reserved */
  .word PWM1_0_IRQHandler
  .word PWM1_1_IRQHandler
  .word PWM1_2_IRQHandler
  .word PWM1_3_IRQHandler
  .word PWM1_FAULT_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
