/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2017 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 0

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak INT0_IRQHandler
  .thumb_set INT0_IRQHandler,Dummy_Handler

  .weak INT1_IRQHandler
  .thumb_set INT1_IRQHandler,Dummy_Handler

  .weak INT2_IRQHandler
  .thumb_set INT2_IRQHandler,Dummy_Handler

  .weak INT3_IRQHandler
  .thumb_set INT3_IRQHandler,Dummy_Handler

  .weak INT4_IRQHandler
  .thumb_set INT4_IRQHandler,Dummy_Handler

  .weak INT5_IRQHandler
  .thumb_set INT5_IRQHandler,Dummy_Handler

  .weak INT6_IRQHandler
  .thumb_set INT6_IRQHandler,Dummy_Handler

  .weak INT7_IRQHandler
  .thumb_set INT7_IRQHandler,Dummy_Handler

  .weak INT8_IRQHandler
  .thumb_set INT8_IRQHandler,Dummy_Handler

  .weak INT9_IRQHandler
  .thumb_set INT9_IRQHandler,Dummy_Handler

  .weak INTA_IRQHandler
  .thumb_set INTA_IRQHandler,Dummy_Handler

  .weak INTB_IRQHandler
  .thumb_set INTB_IRQHandler,Dummy_Handler

  .weak INTC_IRQHandler
  .thumb_set INTC_IRQHandler,Dummy_Handler

  .weak INTD_IRQHandler
  .thumb_set INTD_IRQHandler,Dummy_Handler

  .weak INTE_IRQHandler
  .thumb_set INTE_IRQHandler,Dummy_Handler

  .weak INTF_IRQHandler
  .thumb_set INTF_IRQHandler,Dummy_Handler

  .weak INTRX0_IRQHandler
  .thumb_set INTRX0_IRQHandler,Dummy_Handler

  .weak INTTX0_IRQHandler
  .thumb_set INTTX0_IRQHandler,Dummy_Handler

  .weak INTRX1_IRQHandler
  .thumb_set INTRX1_IRQHandler,Dummy_Handler

  .weak INTTX1_IRQHandler
  .thumb_set INTTX1_IRQHandler,Dummy_Handler

  .weak INTRX2_IRQHandler
  .thumb_set INTRX2_IRQHandler,Dummy_Handler

  .weak INTTX2_IRQHandler
  .thumb_set INTTX2_IRQHandler,Dummy_Handler

  .weak INTRX3_IRQHandler
  .thumb_set INTRX3_IRQHandler,Dummy_Handler

  .weak INTTX3_IRQHandler
  .thumb_set INTTX3_IRQHandler,Dummy_Handler

  .weak INTUART4_IRQHandler
  .thumb_set INTUART4_IRQHandler,Dummy_Handler

  .weak INTUART5_IRQHandler
  .thumb_set INTUART5_IRQHandler,Dummy_Handler

  .weak INTSBI0_IRQHandler
  .thumb_set INTSBI0_IRQHandler,Dummy_Handler

  .weak INTSBI1_IRQHandler
  .thumb_set INTSBI1_IRQHandler,Dummy_Handler

  .weak INTSBI2_IRQHandler
  .thumb_set INTSBI2_IRQHandler,Dummy_Handler

  .weak INTSSP0_IRQHandler
  .thumb_set INTSSP0_IRQHandler,Dummy_Handler

  .weak INTSSP1_IRQHandler
  .thumb_set INTSSP1_IRQHandler,Dummy_Handler

  .weak INTSSP2_IRQHandler
  .thumb_set INTSSP2_IRQHandler,Dummy_Handler

  .weak INTUSBH_IRQHandler
  .thumb_set INTUSBH_IRQHandler,Dummy_Handler

  .weak INTUSBD_IRQHandler
  .thumb_set INTUSBD_IRQHandler,Dummy_Handler

  .weak INTUSBWKUP_IRQHandler
  .thumb_set INTUSBWKUP_IRQHandler,Dummy_Handler

  .weak INTCANRX_IRQHandler
  .thumb_set INTCANRX_IRQHandler,Dummy_Handler

  .weak INTCANTX_IRQHandler
  .thumb_set INTCANTX_IRQHandler,Dummy_Handler

  .weak INTCANGB_IRQHandler
  .thumb_set INTCANGB_IRQHandler,Dummy_Handler

  .weak INTETH_IRQHandler
  .thumb_set INTETH_IRQHandler,Dummy_Handler

  .weak INTETHWK_IRQHandler
  .thumb_set INTETHWK_IRQHandler,Dummy_Handler

  .weak INTADAHP_IRQHandler
  .thumb_set INTADAHP_IRQHandler,Dummy_Handler

  .weak INTADAM0_IRQHandler
  .thumb_set INTADAM0_IRQHandler,Dummy_Handler

  .weak INTADAM1_IRQHandler
  .thumb_set INTADAM1_IRQHandler,Dummy_Handler

  .weak INTADA_IRQHandler
  .thumb_set INTADA_IRQHandler,Dummy_Handler

  .weak INTADBHP_IRQHandler
  .thumb_set INTADBHP_IRQHandler,Dummy_Handler

  .weak INTADBM0_IRQHandler
  .thumb_set INTADBM0_IRQHandler,Dummy_Handler

  .weak INTADBM1_IRQHandler
  .thumb_set INTADBM1_IRQHandler,Dummy_Handler

  .weak INTADB_IRQHandler
  .thumb_set INTADB_IRQHandler,Dummy_Handler

  .weak INTEMG0_IRQHandler
  .thumb_set INTEMG0_IRQHandler,Dummy_Handler

  .weak INTPMD0_IRQHandler
  .thumb_set INTPMD0_IRQHandler,Dummy_Handler

  .weak INTENC0_IRQHandler
  .thumb_set INTENC0_IRQHandler,Dummy_Handler

  .weak INTEMG1_IRQHandler
  .thumb_set INTEMG1_IRQHandler,Dummy_Handler

  .weak INTPMD1_IRQHandler
  .thumb_set INTPMD1_IRQHandler,Dummy_Handler

  .weak INTENC1_IRQHandler
  .thumb_set INTENC1_IRQHandler,Dummy_Handler

  .weak INTMTEMG0_IRQHandler
  .thumb_set INTMTEMG0_IRQHandler,Dummy_Handler

  .weak INTMTPTB00_IRQHandler
  .thumb_set INTMTPTB00_IRQHandler,Dummy_Handler

  .weak INTMTTTB01_IRQHandler
  .thumb_set INTMTTTB01_IRQHandler,Dummy_Handler

  .weak INTMTCAP00_IRQHandler
  .thumb_set INTMTCAP00_IRQHandler,Dummy_Handler

  .weak INTMTCAP01_IRQHandler
  .thumb_set INTMTCAP01_IRQHandler,Dummy_Handler

  .weak INTMTEMG1_IRQHandler
  .thumb_set INTMTEMG1_IRQHandler,Dummy_Handler

  .weak INTMTPTB10_IRQHandler
  .thumb_set INTMTPTB10_IRQHandler,Dummy_Handler

  .weak INTMTTTB11_IRQHandler
  .thumb_set INTMTTTB11_IRQHandler,Dummy_Handler

  .weak INTMTCAP10_IRQHandler
  .thumb_set INTMTCAP10_IRQHandler,Dummy_Handler

  .weak INTMTCAP11_IRQHandler
  .thumb_set INTMTCAP11_IRQHandler,Dummy_Handler

  .weak INTMTEMG2_IRQHandler
  .thumb_set INTMTEMG2_IRQHandler,Dummy_Handler

  .weak INTMTPTB20_IRQHandler
  .thumb_set INTMTPTB20_IRQHandler,Dummy_Handler

  .weak INTMTTTB21_IRQHandler
  .thumb_set INTMTTTB21_IRQHandler,Dummy_Handler

  .weak INTMTCAP20_IRQHandler
  .thumb_set INTMTCAP20_IRQHandler,Dummy_Handler

  .weak INTMTCAP21_IRQHandler
  .thumb_set INTMTCAP21_IRQHandler,Dummy_Handler

  .weak INTMTEMG3_IRQHandler
  .thumb_set INTMTEMG3_IRQHandler,Dummy_Handler

  .weak INTMTPTB30_IRQHandler
  .thumb_set INTMTPTB30_IRQHandler,Dummy_Handler

  .weak INTMTTTB31_IRQHandler
  .thumb_set INTMTTTB31_IRQHandler,Dummy_Handler

  .weak INTMTCAP30_IRQHandler
  .thumb_set INTMTCAP30_IRQHandler,Dummy_Handler

  .weak INTMTCAP31_IRQHandler
  .thumb_set INTMTCAP31_IRQHandler,Dummy_Handler

  .weak INTRMCRX_IRQHandler
  .thumb_set INTRMCRX_IRQHandler,Dummy_Handler

  .weak INTTB0_IRQHandler
  .thumb_set INTTB0_IRQHandler,Dummy_Handler

  .weak INTCAP00_IRQHandler
  .thumb_set INTCAP00_IRQHandler,Dummy_Handler

  .weak INTCAP01_IRQHandler
  .thumb_set INTCAP01_IRQHandler,Dummy_Handler

  .weak INTTB1_IRQHandler
  .thumb_set INTTB1_IRQHandler,Dummy_Handler

  .weak INTCAP10_IRQHandler
  .thumb_set INTCAP10_IRQHandler,Dummy_Handler

  .weak INTCAP11_IRQHandler
  .thumb_set INTCAP11_IRQHandler,Dummy_Handler

  .weak INTTB2_IRQHandler
  .thumb_set INTTB2_IRQHandler,Dummy_Handler

  .weak INTCAP20_IRQHandler
  .thumb_set INTCAP20_IRQHandler,Dummy_Handler

  .weak INTCAP21_IRQHandler
  .thumb_set INTCAP21_IRQHandler,Dummy_Handler

  .weak INTTB3_IRQHandler
  .thumb_set INTTB3_IRQHandler,Dummy_Handler

  .weak INTCAP30_IRQHandler
  .thumb_set INTCAP30_IRQHandler,Dummy_Handler

  .weak INTCAP31_IRQHandler
  .thumb_set INTCAP31_IRQHandler,Dummy_Handler

  .weak INTTB4_IRQHandler
  .thumb_set INTTB4_IRQHandler,Dummy_Handler

  .weak INTCAP40_IRQHandler
  .thumb_set INTCAP40_IRQHandler,Dummy_Handler

  .weak INTCAP41_IRQHandler
  .thumb_set INTCAP41_IRQHandler,Dummy_Handler

  .weak INTTB5_IRQHandler
  .thumb_set INTTB5_IRQHandler,Dummy_Handler

  .weak INTCAP50_IRQHandler
  .thumb_set INTCAP50_IRQHandler,Dummy_Handler

  .weak INTCAP51_IRQHandler
  .thumb_set INTCAP51_IRQHandler,Dummy_Handler

  .weak INTTB6_IRQHandler
  .thumb_set INTTB6_IRQHandler,Dummy_Handler

  .weak INTCAP60_IRQHandler
  .thumb_set INTCAP60_IRQHandler,Dummy_Handler

  .weak INTCAP61_IRQHandler
  .thumb_set INTCAP61_IRQHandler,Dummy_Handler

  .weak INTTB7_IRQHandler
  .thumb_set INTTB7_IRQHandler,Dummy_Handler

  .weak INTCAP70_IRQHandler
  .thumb_set INTCAP70_IRQHandler,Dummy_Handler

  .weak INTCAP71_IRQHandler
  .thumb_set INTCAP71_IRQHandler,Dummy_Handler

  .weak INTRTC_IRQHandler
  .thumb_set INTRTC_IRQHandler,Dummy_Handler

  .weak INTDMAADA_IRQHandler
  .thumb_set INTDMAADA_IRQHandler,Dummy_Handler

  .weak INTDMAADB_IRQHandler
  .thumb_set INTDMAADB_IRQHandler,Dummy_Handler

  .weak INTDMADAA_IRQHandler
  .thumb_set INTDMADAA_IRQHandler,Dummy_Handler

  .weak INTDMADAB_IRQHandler
  .thumb_set INTDMADAB_IRQHandler,Dummy_Handler

  .weak INTDMASPR0_IRQHandler
  .thumb_set INTDMASPR0_IRQHandler,Dummy_Handler

  .weak INTDMASPT0_IRQHandler
  .thumb_set INTDMASPT0_IRQHandler,Dummy_Handler

  .weak INTDMASPR1_IRQHandler
  .thumb_set INTDMASPR1_IRQHandler,Dummy_Handler

  .weak INTDMASPT1_IRQHandler
  .thumb_set INTDMASPT1_IRQHandler,Dummy_Handler

  .weak INTDMASPR2_IRQHandler
  .thumb_set INTDMASPR2_IRQHandler,Dummy_Handler

  .weak INTDMASPT2_IRQHandler
  .thumb_set INTDMASPT2_IRQHandler,Dummy_Handler

  .weak INTDMAUTR4_IRQHandler
  .thumb_set INTDMAUTR4_IRQHandler,Dummy_Handler

  .weak INTDMAUTT4_IRQHandler
  .thumb_set INTDMAUTT4_IRQHandler,Dummy_Handler

  .weak INTDMAUTR5_IRQHandler
  .thumb_set INTDMAUTR5_IRQHandler,Dummy_Handler

  .weak INTDMAUTT5_IRQHandler
  .thumb_set INTDMAUTT5_IRQHandler,Dummy_Handler

  .weak INTDMARX0_IRQHandler
  .thumb_set INTDMARX0_IRQHandler,Dummy_Handler

  .weak INTDMATX0_IRQHandler
  .thumb_set INTDMATX0_IRQHandler,Dummy_Handler

  .weak INTDMARX1_IRQHandler
  .thumb_set INTDMARX1_IRQHandler,Dummy_Handler

  .weak INTDMATX1_IRQHandler
  .thumb_set INTDMATX1_IRQHandler,Dummy_Handler

  .weak INTDMARX2_IRQHandler
  .thumb_set INTDMARX2_IRQHandler,Dummy_Handler

  .weak INTDMATX2_IRQHandler
  .thumb_set INTDMATX2_IRQHandler,Dummy_Handler

  .weak INTDMARX3_IRQHandler
  .thumb_set INTDMARX3_IRQHandler,Dummy_Handler

  .weak INTDMATX3_IRQHandler
  .thumb_set INTDMATX3_IRQHandler,Dummy_Handler

  .weak INTDMASBI1_IRQHandler
  .thumb_set INTDMASBI1_IRQHandler,Dummy_Handler

  .weak INTDMASBI2_IRQHandler
  .thumb_set INTDMASBI2_IRQHandler,Dummy_Handler

  .weak INTDMATB_IRQHandler
  .thumb_set INTDMATB_IRQHandler,Dummy_Handler

  .weak INTDMARQ_IRQHandler
  .thumb_set INTDMARQ_IRQHandler,Dummy_Handler

  .weak INTDMAAERR_IRQHandler
  .thumb_set INTDMAAERR_IRQHandler,Dummy_Handler

  .weak INTDMABERR_IRQHandler
  .thumb_set INTDMABERR_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak INT0_IRQHandler
INT0_IRQHandler:
  b .

  .thumb_func
  .weak INT1_IRQHandler
INT1_IRQHandler:
  b .

  .thumb_func
  .weak INT2_IRQHandler
INT2_IRQHandler:
  b .

  .thumb_func
  .weak INT3_IRQHandler
INT3_IRQHandler:
  b .

  .thumb_func
  .weak INT4_IRQHandler
INT4_IRQHandler:
  b .

  .thumb_func
  .weak INT5_IRQHandler
INT5_IRQHandler:
  b .

  .thumb_func
  .weak INT6_IRQHandler
INT6_IRQHandler:
  b .

  .thumb_func
  .weak INT7_IRQHandler
INT7_IRQHandler:
  b .

  .thumb_func
  .weak INT8_IRQHandler
INT8_IRQHandler:
  b .

  .thumb_func
  .weak INT9_IRQHandler
INT9_IRQHandler:
  b .

  .thumb_func
  .weak INTA_IRQHandler
INTA_IRQHandler:
  b .

  .thumb_func
  .weak INTB_IRQHandler
INTB_IRQHandler:
  b .

  .thumb_func
  .weak INTC_IRQHandler
INTC_IRQHandler:
  b .

  .thumb_func
  .weak INTD_IRQHandler
INTD_IRQHandler:
  b .

  .thumb_func
  .weak INTE_IRQHandler
INTE_IRQHandler:
  b .

  .thumb_func
  .weak INTF_IRQHandler
INTF_IRQHandler:
  b .

  .thumb_func
  .weak INTRX0_IRQHandler
INTRX0_IRQHandler:
  b .

  .thumb_func
  .weak INTTX0_IRQHandler
INTTX0_IRQHandler:
  b .

  .thumb_func
  .weak INTRX1_IRQHandler
INTRX1_IRQHandler:
  b .

  .thumb_func
  .weak INTTX1_IRQHandler
INTTX1_IRQHandler:
  b .

  .thumb_func
  .weak INTRX2_IRQHandler
INTRX2_IRQHandler:
  b .

  .thumb_func
  .weak INTTX2_IRQHandler
INTTX2_IRQHandler:
  b .

  .thumb_func
  .weak INTRX3_IRQHandler
INTRX3_IRQHandler:
  b .

  .thumb_func
  .weak INTTX3_IRQHandler
INTTX3_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4_IRQHandler
INTUART4_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5_IRQHandler
INTUART5_IRQHandler:
  b .

  .thumb_func
  .weak INTSBI0_IRQHandler
INTSBI0_IRQHandler:
  b .

  .thumb_func
  .weak INTSBI1_IRQHandler
INTSBI1_IRQHandler:
  b .

  .thumb_func
  .weak INTSBI2_IRQHandler
INTSBI2_IRQHandler:
  b .

  .thumb_func
  .weak INTSSP0_IRQHandler
INTSSP0_IRQHandler:
  b .

  .thumb_func
  .weak INTSSP1_IRQHandler
INTSSP1_IRQHandler:
  b .

  .thumb_func
  .weak INTSSP2_IRQHandler
INTSSP2_IRQHandler:
  b .

  .thumb_func
  .weak INTUSBH_IRQHandler
INTUSBH_IRQHandler:
  b .

  .thumb_func
  .weak INTUSBD_IRQHandler
INTUSBD_IRQHandler:
  b .

  .thumb_func
  .weak INTUSBWKUP_IRQHandler
INTUSBWKUP_IRQHandler:
  b .

  .thumb_func
  .weak INTCANRX_IRQHandler
INTCANRX_IRQHandler:
  b .

  .thumb_func
  .weak INTCANTX_IRQHandler
INTCANTX_IRQHandler:
  b .

  .thumb_func
  .weak INTCANGB_IRQHandler
INTCANGB_IRQHandler:
  b .

  .thumb_func
  .weak INTETH_IRQHandler
INTETH_IRQHandler:
  b .

  .thumb_func
  .weak INTETHWK_IRQHandler
INTETHWK_IRQHandler:
  b .

  .thumb_func
  .weak INTADAHP_IRQHandler
INTADAHP_IRQHandler:
  b .

  .thumb_func
  .weak INTADAM0_IRQHandler
INTADAM0_IRQHandler:
  b .

  .thumb_func
  .weak INTADAM1_IRQHandler
INTADAM1_IRQHandler:
  b .

  .thumb_func
  .weak INTADA_IRQHandler
INTADA_IRQHandler:
  b .

  .thumb_func
  .weak INTADBHP_IRQHandler
INTADBHP_IRQHandler:
  b .

  .thumb_func
  .weak INTADBM0_IRQHandler
INTADBM0_IRQHandler:
  b .

  .thumb_func
  .weak INTADBM1_IRQHandler
INTADBM1_IRQHandler:
  b .

  .thumb_func
  .weak INTADB_IRQHandler
INTADB_IRQHandler:
  b .

  .thumb_func
  .weak INTEMG0_IRQHandler
INTEMG0_IRQHandler:
  b .

  .thumb_func
  .weak INTPMD0_IRQHandler
INTPMD0_IRQHandler:
  b .

  .thumb_func
  .weak INTENC0_IRQHandler
INTENC0_IRQHandler:
  b .

  .thumb_func
  .weak INTEMG1_IRQHandler
INTEMG1_IRQHandler:
  b .

  .thumb_func
  .weak INTPMD1_IRQHandler
INTPMD1_IRQHandler:
  b .

  .thumb_func
  .weak INTENC1_IRQHandler
INTENC1_IRQHandler:
  b .

  .thumb_func
  .weak INTMTEMG0_IRQHandler
INTMTEMG0_IRQHandler:
  b .

  .thumb_func
  .weak INTMTPTB00_IRQHandler
INTMTPTB00_IRQHandler:
  b .

  .thumb_func
  .weak INTMTTTB01_IRQHandler
INTMTTTB01_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP00_IRQHandler
INTMTCAP00_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP01_IRQHandler
INTMTCAP01_IRQHandler:
  b .

  .thumb_func
  .weak INTMTEMG1_IRQHandler
INTMTEMG1_IRQHandler:
  b .

  .thumb_func
  .weak INTMTPTB10_IRQHandler
INTMTPTB10_IRQHandler:
  b .

  .thumb_func
  .weak INTMTTTB11_IRQHandler
INTMTTTB11_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP10_IRQHandler
INTMTCAP10_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP11_IRQHandler
INTMTCAP11_IRQHandler:
  b .

  .thumb_func
  .weak INTMTEMG2_IRQHandler
INTMTEMG2_IRQHandler:
  b .

  .thumb_func
  .weak INTMTPTB20_IRQHandler
INTMTPTB20_IRQHandler:
  b .

  .thumb_func
  .weak INTMTTTB21_IRQHandler
INTMTTTB21_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP20_IRQHandler
INTMTCAP20_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP21_IRQHandler
INTMTCAP21_IRQHandler:
  b .

  .thumb_func
  .weak INTMTEMG3_IRQHandler
INTMTEMG3_IRQHandler:
  b .

  .thumb_func
  .weak INTMTPTB30_IRQHandler
INTMTPTB30_IRQHandler:
  b .

  .thumb_func
  .weak INTMTTTB31_IRQHandler
INTMTTTB31_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP30_IRQHandler
INTMTCAP30_IRQHandler:
  b .

  .thumb_func
  .weak INTMTCAP31_IRQHandler
INTMTCAP31_IRQHandler:
  b .

  .thumb_func
  .weak INTRMCRX_IRQHandler
INTRMCRX_IRQHandler:
  b .

  .thumb_func
  .weak INTTB0_IRQHandler
INTTB0_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP00_IRQHandler
INTCAP00_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP01_IRQHandler
INTCAP01_IRQHandler:
  b .

  .thumb_func
  .weak INTTB1_IRQHandler
INTTB1_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP10_IRQHandler
INTCAP10_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP11_IRQHandler
INTCAP11_IRQHandler:
  b .

  .thumb_func
  .weak INTTB2_IRQHandler
INTTB2_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP20_IRQHandler
INTCAP20_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP21_IRQHandler
INTCAP21_IRQHandler:
  b .

  .thumb_func
  .weak INTTB3_IRQHandler
INTTB3_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP30_IRQHandler
INTCAP30_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP31_IRQHandler
INTCAP31_IRQHandler:
  b .

  .thumb_func
  .weak INTTB4_IRQHandler
INTTB4_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP40_IRQHandler
INTCAP40_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP41_IRQHandler
INTCAP41_IRQHandler:
  b .

  .thumb_func
  .weak INTTB5_IRQHandler
INTTB5_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP50_IRQHandler
INTCAP50_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP51_IRQHandler
INTCAP51_IRQHandler:
  b .

  .thumb_func
  .weak INTTB6_IRQHandler
INTTB6_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP60_IRQHandler
INTCAP60_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP61_IRQHandler
INTCAP61_IRQHandler:
  b .

  .thumb_func
  .weak INTTB7_IRQHandler
INTTB7_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP70_IRQHandler
INTCAP70_IRQHandler:
  b .

  .thumb_func
  .weak INTCAP71_IRQHandler
INTCAP71_IRQHandler:
  b .

  .thumb_func
  .weak INTRTC_IRQHandler
INTRTC_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAADA_IRQHandler
INTDMAADA_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAADB_IRQHandler
INTDMAADB_IRQHandler:
  b .

  .thumb_func
  .weak INTDMADAA_IRQHandler
INTDMADAA_IRQHandler:
  b .

  .thumb_func
  .weak INTDMADAB_IRQHandler
INTDMADAB_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPR0_IRQHandler
INTDMASPR0_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPT0_IRQHandler
INTDMASPT0_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPR1_IRQHandler
INTDMASPR1_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPT1_IRQHandler
INTDMASPT1_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPR2_IRQHandler
INTDMASPR2_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASPT2_IRQHandler
INTDMASPT2_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAUTR4_IRQHandler
INTDMAUTR4_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAUTT4_IRQHandler
INTDMAUTT4_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAUTR5_IRQHandler
INTDMAUTR5_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAUTT5_IRQHandler
INTDMAUTT5_IRQHandler:
  b .

  .thumb_func
  .weak INTDMARX0_IRQHandler
INTDMARX0_IRQHandler:
  b .

  .thumb_func
  .weak INTDMATX0_IRQHandler
INTDMATX0_IRQHandler:
  b .

  .thumb_func
  .weak INTDMARX1_IRQHandler
INTDMARX1_IRQHandler:
  b .

  .thumb_func
  .weak INTDMATX1_IRQHandler
INTDMATX1_IRQHandler:
  b .

  .thumb_func
  .weak INTDMARX2_IRQHandler
INTDMARX2_IRQHandler:
  b .

  .thumb_func
  .weak INTDMATX2_IRQHandler
INTDMATX2_IRQHandler:
  b .

  .thumb_func
  .weak INTDMARX3_IRQHandler
INTDMARX3_IRQHandler:
  b .

  .thumb_func
  .weak INTDMATX3_IRQHandler
INTDMATX3_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASBI1_IRQHandler
INTDMASBI1_IRQHandler:
  b .

  .thumb_func
  .weak INTDMASBI2_IRQHandler
INTDMASBI2_IRQHandler:
  b .

  .thumb_func
  .weak INTDMATB_IRQHandler
INTDMATB_IRQHandler:
  b .

  .thumb_func
  .weak INTDMARQ_IRQHandler
INTDMARQ_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAAERR_IRQHandler
INTDMAAERR_IRQHandler:
  b .

  .thumb_func
  .weak INTDMABERR_IRQHandler
INTDMABERR_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 0
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word INT0_IRQHandler
  .word INT1_IRQHandler
  .word INT2_IRQHandler
  .word INT3_IRQHandler
  .word INT4_IRQHandler
  .word INT5_IRQHandler
  .word INT6_IRQHandler
  .word INT7_IRQHandler
  .word INT8_IRQHandler
  .word INT9_IRQHandler
  .word INTA_IRQHandler
  .word INTB_IRQHandler
  .word INTC_IRQHandler
  .word INTD_IRQHandler
  .word INTE_IRQHandler
  .word INTF_IRQHandler
  .word INTRX0_IRQHandler
  .word INTTX0_IRQHandler
  .word INTRX1_IRQHandler
  .word INTTX1_IRQHandler
  .word INTRX2_IRQHandler
  .word INTTX2_IRQHandler
  .word INTRX3_IRQHandler
  .word INTTX3_IRQHandler
  .word INTUART4_IRQHandler
  .word INTUART5_IRQHandler
  .word INTSBI0_IRQHandler
  .word INTSBI1_IRQHandler
  .word INTSBI2_IRQHandler
  .word INTSSP0_IRQHandler
  .word INTSSP1_IRQHandler
  .word INTSSP2_IRQHandler
  .word INTUSBH_IRQHandler
  .word INTUSBD_IRQHandler
  .word INTUSBWKUP_IRQHandler
  .word INTCANRX_IRQHandler
  .word INTCANTX_IRQHandler
  .word INTCANGB_IRQHandler
  .word INTETH_IRQHandler
  .word INTETHWK_IRQHandler
  .word INTADAHP_IRQHandler
  .word INTADAM0_IRQHandler
  .word INTADAM1_IRQHandler
  .word INTADA_IRQHandler
  .word INTADBHP_IRQHandler
  .word INTADBM0_IRQHandler
  .word INTADBM1_IRQHandler
  .word INTADB_IRQHandler
  .word INTEMG0_IRQHandler
  .word INTPMD0_IRQHandler
  .word INTENC0_IRQHandler
  .word INTEMG1_IRQHandler
  .word INTPMD1_IRQHandler
  .word INTENC1_IRQHandler
  .word INTMTEMG0_IRQHandler
  .word INTMTPTB00_IRQHandler
  .word INTMTTTB01_IRQHandler
  .word INTMTCAP00_IRQHandler
  .word INTMTCAP01_IRQHandler
  .word INTMTEMG1_IRQHandler
  .word INTMTPTB10_IRQHandler
  .word INTMTTTB11_IRQHandler
  .word INTMTCAP10_IRQHandler
  .word INTMTCAP11_IRQHandler
  .word INTMTEMG2_IRQHandler
  .word INTMTPTB20_IRQHandler
  .word INTMTTTB21_IRQHandler
  .word INTMTCAP20_IRQHandler
  .word INTMTCAP21_IRQHandler
  .word INTMTEMG3_IRQHandler
  .word INTMTPTB30_IRQHandler
  .word INTMTTTB31_IRQHandler
  .word INTMTCAP30_IRQHandler
  .word INTMTCAP31_IRQHandler
  .word INTRMCRX_IRQHandler
  .word INTTB0_IRQHandler
  .word INTCAP00_IRQHandler
  .word INTCAP01_IRQHandler
  .word INTTB1_IRQHandler
  .word INTCAP10_IRQHandler
  .word INTCAP11_IRQHandler
  .word INTTB2_IRQHandler
  .word INTCAP20_IRQHandler
  .word INTCAP21_IRQHandler
  .word INTTB3_IRQHandler
  .word INTCAP30_IRQHandler
  .word INTCAP31_IRQHandler
  .word INTTB4_IRQHandler
  .word INTCAP40_IRQHandler
  .word INTCAP41_IRQHandler
  .word INTTB5_IRQHandler
  .word INTCAP50_IRQHandler
  .word INTCAP51_IRQHandler
  .word INTTB6_IRQHandler
  .word INTCAP60_IRQHandler
  .word INTCAP61_IRQHandler
  .word INTTB7_IRQHandler
  .word INTCAP70_IRQHandler
  .word INTCAP71_IRQHandler
  .word INTRTC_IRQHandler
  .word INTDMAADA_IRQHandler
  .word INTDMAADB_IRQHandler
  .word INTDMADAA_IRQHandler
  .word INTDMADAB_IRQHandler
  .word INTDMASPR0_IRQHandler
  .word INTDMASPT0_IRQHandler
  .word INTDMASPR1_IRQHandler
  .word INTDMASPT1_IRQHandler
  .word INTDMASPR2_IRQHandler
  .word INTDMASPT2_IRQHandler
  .word INTDMAUTR4_IRQHandler
  .word INTDMAUTT4_IRQHandler
  .word INTDMAUTR5_IRQHandler
  .word INTDMAUTT5_IRQHandler
  .word INTDMARX0_IRQHandler
  .word INTDMATX0_IRQHandler
  .word INTDMARX1_IRQHandler
  .word INTDMATX1_IRQHandler
  .word INTDMARX2_IRQHandler
  .word INTDMATX2_IRQHandler
  .word INTDMARX3_IRQHandler
  .word INTDMATX3_IRQHandler
  .word INTDMASBI1_IRQHandler
  .word INTDMASBI2_IRQHandler
  .word INTDMATB_IRQHandler
  .word INTDMARQ_IRQHandler
  .word INTDMAAERR_IRQHandler
  .word INTDMABERR_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 0
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
