/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*            (c) 2014 - 2019 SEGGER Microcontroller GmbH             *
*                                                                    *
*           www.segger.com     Support: support@segger.com           *
*                                                                    *
**********************************************************************
*                                                                    *
* All rights reserved.                                               *
*                                                                    *
* Redistribution and use in source and binary forms, with or         *
* without modification, are permitted provided that the following    *
* conditions are met:                                                *
*                                                                    *
* - Redistributions of source code must retain the above copyright   *
*   notice, this list of conditions and the following disclaimer.    *
*                                                                    *
* - Neither the name of SEGGER Microcontroller GmbH                  *
*   nor the names of its contributors may be used to endorse or      *
*   promote products derived from this software without specific     *
*   prior written permission.                                        *
*                                                                    *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND             *
* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,        *
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF           *
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE           *
* DISCLAIMED.                                                        *
* IN NO EVENT SHALL SEGGER Microcontroller GmbH BE LIABLE FOR        *
* ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR           *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT  *
* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;    *
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF      *
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE  *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH   *
* DAMAGE.                                                            *
*                                                                    *
*********************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 2

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak INT00_IRQHandler
  .thumb_set INT00_IRQHandler,Dummy_Handler

  .weak INT01_IRQHandler
  .thumb_set INT01_IRQHandler,Dummy_Handler

  .weak INT02_IRQHandler
  .thumb_set INT02_IRQHandler,Dummy_Handler

  .weak INT03_IRQHandler
  .thumb_set INT03_IRQHandler,Dummy_Handler

  .weak INT04_IRQHandler
  .thumb_set INT04_IRQHandler,Dummy_Handler

  .weak INT05_IRQHandler
  .thumb_set INT05_IRQHandler,Dummy_Handler

  .weak INT06_IRQHandler
  .thumb_set INT06_IRQHandler,Dummy_Handler

  .weak INT07_IRQHandler
  .thumb_set INT07_IRQHandler,Dummy_Handler

  .weak INT08_IRQHandler
  .thumb_set INT08_IRQHandler,Dummy_Handler

  .weak INT09_IRQHandler
  .thumb_set INT09_IRQHandler,Dummy_Handler

  .weak INT10_IRQHandler
  .thumb_set INT10_IRQHandler,Dummy_Handler

  .weak INT11_IRQHandler
  .thumb_set INT11_IRQHandler,Dummy_Handler

  .weak INT12_IRQHandler
  .thumb_set INT12_IRQHandler,Dummy_Handler

  .weak INT13_IRQHandler
  .thumb_set INT13_IRQHandler,Dummy_Handler

  .weak INT14_IRQHandler
  .thumb_set INT14_IRQHandler,Dummy_Handler

  .weak INT15_IRQHandler
  .thumb_set INT15_IRQHandler,Dummy_Handler

  .weak INT16_IRQHandler
  .thumb_set INT16_IRQHandler,Dummy_Handler

  .weak INT17_18_IRQHandler
  .thumb_set INT17_18_IRQHandler,Dummy_Handler

  .weak INT19_22_IRQHandler
  .thumb_set INT19_22_IRQHandler,Dummy_Handler

  .weak INT23_26_IRQHandler
  .thumb_set INT23_26_IRQHandler,Dummy_Handler

  .weak INT27_28_IRQHandler
  .thumb_set INT27_28_IRQHandler,Dummy_Handler

  .weak INT29_IRQHandler
  .thumb_set INT29_IRQHandler,Dummy_Handler

  .weak INT30_31_IRQHandler
  .thumb_set INT30_31_IRQHandler,Dummy_Handler

  .weak INTEMG0_IRQHandler
  .thumb_set INTEMG0_IRQHandler,Dummy_Handler

  .weak INTOVV0_IRQHandler
  .thumb_set INTOVV0_IRQHandler,Dummy_Handler

  .weak INTPMD0_IRQHandler
  .thumb_set INTPMD0_IRQHandler,Dummy_Handler

  .weak INTENC00_IRQHandler
  .thumb_set INTENC00_IRQHandler,Dummy_Handler

  .weak INTENC01_IRQHandler
  .thumb_set INTENC01_IRQHandler,Dummy_Handler

  .weak INTADAPDA_IRQHandler
  .thumb_set INTADAPDA_IRQHandler,Dummy_Handler

  .weak INTADAPDB_IRQHandler
  .thumb_set INTADAPDB_IRQHandler,Dummy_Handler

  .weak INTADACP0_IRQHandler
  .thumb_set INTADACP0_IRQHandler,Dummy_Handler

  .weak INTADACP1_IRQHandler
  .thumb_set INTADACP1_IRQHandler,Dummy_Handler

  .weak INTADATRG_IRQHandler
  .thumb_set INTADATRG_IRQHandler,Dummy_Handler

  .weak INTADASGL_IRQHandler
  .thumb_set INTADASGL_IRQHandler,Dummy_Handler

  .weak INTADACNT_IRQHandler
  .thumb_set INTADACNT_IRQHandler,Dummy_Handler

  .weak INTT0RX_IRQHandler
  .thumb_set INTT0RX_IRQHandler,Dummy_Handler

  .weak INTT0TX_IRQHandler
  .thumb_set INTT0TX_IRQHandler,Dummy_Handler

  .weak INTT0ERR_IRQHandler
  .thumb_set INTT0ERR_IRQHandler,Dummy_Handler

  .weak INTT1RX_IRQHandler
  .thumb_set INTT1RX_IRQHandler,Dummy_Handler

  .weak INTT1TX_IRQHandler
  .thumb_set INTT1TX_IRQHandler,Dummy_Handler

  .weak INTT1ERR_IRQHandler
  .thumb_set INTT1ERR_IRQHandler,Dummy_Handler

  .weak INTT2RX_IRQHandler
  .thumb_set INTT2RX_IRQHandler,Dummy_Handler

  .weak INTT2TX_IRQHandler
  .thumb_set INTT2TX_IRQHandler,Dummy_Handler

  .weak INTT2ERR_IRQHandler
  .thumb_set INTT2ERR_IRQHandler,Dummy_Handler

  .weak INTT3RX_IRQHandler
  .thumb_set INTT3RX_IRQHandler,Dummy_Handler

  .weak INTT3TX_IRQHandler
  .thumb_set INTT3TX_IRQHandler,Dummy_Handler

  .weak INTT3ERR_IRQHandler
  .thumb_set INTT3ERR_IRQHandler,Dummy_Handler

  .weak INTT4RX_IRQHandler
  .thumb_set INTT4RX_IRQHandler,Dummy_Handler

  .weak INTT4TX_IRQHandler
  .thumb_set INTT4TX_IRQHandler,Dummy_Handler

  .weak INTT4ERR_IRQHandler
  .thumb_set INTT4ERR_IRQHandler,Dummy_Handler

  .weak INTI2CWUP_IRQHandler
  .thumb_set INTI2CWUP_IRQHandler,Dummy_Handler

  .weak INTI2C0_IRQHandler
  .thumb_set INTI2C0_IRQHandler,Dummy_Handler

  .weak INTI2C0AL_IRQHandler
  .thumb_set INTI2C0AL_IRQHandler,Dummy_Handler

  .weak INTI2C0BF_IRQHandler
  .thumb_set INTI2C0BF_IRQHandler,Dummy_Handler

  .weak INTI2C0NA_IRQHandler
  .thumb_set INTI2C0NA_IRQHandler,Dummy_Handler

  .weak INTI2C1_IRQHandler
  .thumb_set INTI2C1_IRQHandler,Dummy_Handler

  .weak INTI2C1AL_IRQHandler
  .thumb_set INTI2C1AL_IRQHandler,Dummy_Handler

  .weak INTI2C1BF_IRQHandler
  .thumb_set INTI2C1BF_IRQHandler,Dummy_Handler

  .weak INTI2C1NA_IRQHandler
  .thumb_set INTI2C1NA_IRQHandler,Dummy_Handler

  .weak INTI2C2_IRQHandler
  .thumb_set INTI2C2_IRQHandler,Dummy_Handler

  .weak INTI2C2AL_IRQHandler
  .thumb_set INTI2C2AL_IRQHandler,Dummy_Handler

  .weak INTI2C2BF_IRQHandler
  .thumb_set INTI2C2BF_IRQHandler,Dummy_Handler

  .weak INTI2C2NA_IRQHandler
  .thumb_set INTI2C2NA_IRQHandler,Dummy_Handler

  .weak INTI2C3_IRQHandler
  .thumb_set INTI2C3_IRQHandler,Dummy_Handler

  .weak INTI2C3AL_IRQHandler
  .thumb_set INTI2C3AL_IRQHandler,Dummy_Handler

  .weak INTI2C3BF_IRQHandler
  .thumb_set INTI2C3BF_IRQHandler,Dummy_Handler

  .weak INTI2C3NA_IRQHandler
  .thumb_set INTI2C3NA_IRQHandler,Dummy_Handler

  .weak INTUART0RX_IRQHandler
  .thumb_set INTUART0RX_IRQHandler,Dummy_Handler

  .weak INTUART0TX_IRQHandler
  .thumb_set INTUART0TX_IRQHandler,Dummy_Handler

  .weak INTUART0ERR_IRQHandler
  .thumb_set INTUART0ERR_IRQHandler,Dummy_Handler

  .weak INTUART1RX_IRQHandler
  .thumb_set INTUART1RX_IRQHandler,Dummy_Handler

  .weak INTUART1TX_IRQHandler
  .thumb_set INTUART1TX_IRQHandler,Dummy_Handler

  .weak INTUART1ERR_IRQHandler
  .thumb_set INTUART1ERR_IRQHandler,Dummy_Handler

  .weak INTUART2RX_IRQHandler
  .thumb_set INTUART2RX_IRQHandler,Dummy_Handler

  .weak INTUART2TX_IRQHandler
  .thumb_set INTUART2TX_IRQHandler,Dummy_Handler

  .weak INTUART2ERR_IRQHandler
  .thumb_set INTUART2ERR_IRQHandler,Dummy_Handler

  .weak INTUART3RX_IRQHandler
  .thumb_set INTUART3RX_IRQHandler,Dummy_Handler

  .weak INTUART3TX_IRQHandler
  .thumb_set INTUART3TX_IRQHandler,Dummy_Handler

  .weak INTUART3ERR_IRQHandler
  .thumb_set INTUART3ERR_IRQHandler,Dummy_Handler

  .weak INTUART4RX_IRQHandler
  .thumb_set INTUART4RX_IRQHandler,Dummy_Handler

  .weak INTUART4TX_IRQHandler
  .thumb_set INTUART4TX_IRQHandler,Dummy_Handler

  .weak INTUART4ERR_IRQHandler
  .thumb_set INTUART4ERR_IRQHandler,Dummy_Handler

  .weak INTUART5RX_IRQHandler
  .thumb_set INTUART5RX_IRQHandler,Dummy_Handler

  .weak INTUART5TX_IRQHandler
  .thumb_set INTUART5TX_IRQHandler,Dummy_Handler

  .weak INTUART5ERR_IRQHandler
  .thumb_set INTUART5ERR_IRQHandler,Dummy_Handler

  .weak INTT32A00A_IRQHandler
  .thumb_set INTT32A00A_IRQHandler,Dummy_Handler

  .weak INTT32A00ACAP0_IRQHandler
  .thumb_set INTT32A00ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A00ACAP1_IRQHandler
  .thumb_set INTT32A00ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A00B_IRQHandler
  .thumb_set INTT32A00B_IRQHandler,Dummy_Handler

  .weak INTT32A00BCAP0_IRQHandler
  .thumb_set INTT32A00BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A00BCAP1_IRQHandler
  .thumb_set INTT32A00BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A00C_IRQHandler
  .thumb_set INTT32A00C_IRQHandler,Dummy_Handler

  .weak INTT32A00CCAP0_IRQHandler
  .thumb_set INTT32A00CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A00CCAP1_IRQHandler
  .thumb_set INTT32A00CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A01A_IRQHandler
  .thumb_set INTT32A01A_IRQHandler,Dummy_Handler

  .weak INTT32A01ACAP0_IRQHandler
  .thumb_set INTT32A01ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A01ACAP1_IRQHandler
  .thumb_set INTT32A01ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A01B_IRQHandler
  .thumb_set INTT32A01B_IRQHandler,Dummy_Handler

  .weak INTT32A01BCAP0_IRQHandler
  .thumb_set INTT32A01BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A01BCAP1_IRQHandler
  .thumb_set INTT32A01BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A01C_IRQHandler
  .thumb_set INTT32A01C_IRQHandler,Dummy_Handler

  .weak INTT32A01CCAP0_IRQHandler
  .thumb_set INTT32A01CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A01CCAP1_IRQHandler
  .thumb_set INTT32A01CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A02A_IRQHandler
  .thumb_set INTT32A02A_IRQHandler,Dummy_Handler

  .weak INTT32A02ACAP0_IRQHandler
  .thumb_set INTT32A02ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A02ACAP1_IRQHandler
  .thumb_set INTT32A02ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A02B_IRQHandler
  .thumb_set INTT32A02B_IRQHandler,Dummy_Handler

  .weak INTT32A02BCAP0_IRQHandler
  .thumb_set INTT32A02BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A02BCAP1_IRQHandler
  .thumb_set INTT32A02BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A02C_IRQHandler
  .thumb_set INTT32A02C_IRQHandler,Dummy_Handler

  .weak INTT32A02CCAP0_IRQHandler
  .thumb_set INTT32A02CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A02CCAP1_IRQHandler
  .thumb_set INTT32A02CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A03A_IRQHandler
  .thumb_set INTT32A03A_IRQHandler,Dummy_Handler

  .weak INTT32A03ACAP0_IRQHandler
  .thumb_set INTT32A03ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A03ACAP1_IRQHandler
  .thumb_set INTT32A03ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A03B_IRQHandler
  .thumb_set INTT32A03B_IRQHandler,Dummy_Handler

  .weak INTT32A03BCAP0_IRQHandler
  .thumb_set INTT32A03BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A03BCAP1_IRQHandler
  .thumb_set INTT32A03BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A03C_IRQHandler
  .thumb_set INTT32A03C_IRQHandler,Dummy_Handler

  .weak INTT32A03CCAP0_IRQHandler
  .thumb_set INTT32A03CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A03CCAP1_IRQHandler
  .thumb_set INTT32A03CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A04A_IRQHandler
  .thumb_set INTT32A04A_IRQHandler,Dummy_Handler

  .weak INTT32A04ACAP0_IRQHandler
  .thumb_set INTT32A04ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A04ACAP1_IRQHandler
  .thumb_set INTT32A04ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A04B_IRQHandler
  .thumb_set INTT32A04B_IRQHandler,Dummy_Handler

  .weak INTT32A04BCAP0_IRQHandler
  .thumb_set INTT32A04BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A04BCAP1_IRQHandler
  .thumb_set INTT32A04BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A04C_IRQHandler
  .thumb_set INTT32A04C_IRQHandler,Dummy_Handler

  .weak INTT32A04CCAP0_IRQHandler
  .thumb_set INTT32A04CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A04CCAP1_IRQHandler
  .thumb_set INTT32A04CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A05A_IRQHandler
  .thumb_set INTT32A05A_IRQHandler,Dummy_Handler

  .weak INTT32A05ACAP0_IRQHandler
  .thumb_set INTT32A05ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A05ACAP1_IRQHandler
  .thumb_set INTT32A05ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A05B_IRQHandler
  .thumb_set INTT32A05B_IRQHandler,Dummy_Handler

  .weak INTT32A05BCAP0_IRQHandler
  .thumb_set INTT32A05BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A05BCAP1_IRQHandler
  .thumb_set INTT32A05BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A05C_IRQHandler
  .thumb_set INTT32A05C_IRQHandler,Dummy_Handler

  .weak INTT32A05CCAP0_IRQHandler
  .thumb_set INTT32A05CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A05CCAP1_IRQHandler
  .thumb_set INTT32A05CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A06A_IRQHandler
  .thumb_set INTT32A06A_IRQHandler,Dummy_Handler

  .weak INTT32A06ACAP0_IRQHandler
  .thumb_set INTT32A06ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A06ACAP1_IRQHandler
  .thumb_set INTT32A06ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A06B_IRQHandler
  .thumb_set INTT32A06B_IRQHandler,Dummy_Handler

  .weak INTT32A06BCAP0_IRQHandler
  .thumb_set INTT32A06BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A06BCAP1_IRQHandler
  .thumb_set INTT32A06BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A06C_IRQHandler
  .thumb_set INTT32A06C_IRQHandler,Dummy_Handler

  .weak INTT32A06CCAP0_IRQHandler
  .thumb_set INTT32A06CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A06CCAP1_IRQHandler
  .thumb_set INTT32A06CCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A07A_IRQHandler
  .thumb_set INTT32A07A_IRQHandler,Dummy_Handler

  .weak INTT32A07ACAP0_IRQHandler
  .thumb_set INTT32A07ACAP0_IRQHandler,Dummy_Handler

  .weak INTT32A07ACAP1_IRQHandler
  .thumb_set INTT32A07ACAP1_IRQHandler,Dummy_Handler

  .weak INTT32A07B_IRQHandler
  .thumb_set INTT32A07B_IRQHandler,Dummy_Handler

  .weak INTT32A07BCAP0_IRQHandler
  .thumb_set INTT32A07BCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A07BCAP1_IRQHandler
  .thumb_set INTT32A07BCAP1_IRQHandler,Dummy_Handler

  .weak INTT32A07C_IRQHandler
  .thumb_set INTT32A07C_IRQHandler,Dummy_Handler

  .weak INTT32A07CCAP0_IRQHandler
  .thumb_set INTT32A07CCAP0_IRQHandler,Dummy_Handler

  .weak INTT32A07CCAP1_IRQHandler
  .thumb_set INTT32A07CCAP1_IRQHandler,Dummy_Handler

  .weak INTPARI_IRQHandler
  .thumb_set INTPARI_IRQHandler,Dummy_Handler

  .weak INTDMAATC_IRQHandler
  .thumb_set INTDMAATC_IRQHandler,Dummy_Handler

  .weak INTDMAAERR_IRQHandler
  .thumb_set INTDMAAERR_IRQHandler,Dummy_Handler

  .weak INTDMABTC_IRQHandler
  .thumb_set INTDMABTC_IRQHandler,Dummy_Handler

  .weak INTDMABERR_IRQHandler
  .thumb_set INTDMABERR_IRQHandler,Dummy_Handler

  .weak INTRTC_IRQHandler
  .thumb_set INTRTC_IRQHandler,Dummy_Handler

  .weak INTRMC0_IRQHandler
  .thumb_set INTRMC0_IRQHandler,Dummy_Handler

  .weak INTFLCRDY_IRQHandler
  .thumb_set INTFLCRDY_IRQHandler,Dummy_Handler

  .weak INTFLDRDY_IRQHandler
  .thumb_set INTFLDRDY_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak INT00_IRQHandler
INT00_IRQHandler:
  b .

  .thumb_func
  .weak INT01_IRQHandler
INT01_IRQHandler:
  b .

  .thumb_func
  .weak INT02_IRQHandler
INT02_IRQHandler:
  b .

  .thumb_func
  .weak INT03_IRQHandler
INT03_IRQHandler:
  b .

  .thumb_func
  .weak INT04_IRQHandler
INT04_IRQHandler:
  b .

  .thumb_func
  .weak INT05_IRQHandler
INT05_IRQHandler:
  b .

  .thumb_func
  .weak INT06_IRQHandler
INT06_IRQHandler:
  b .

  .thumb_func
  .weak INT07_IRQHandler
INT07_IRQHandler:
  b .

  .thumb_func
  .weak INT08_IRQHandler
INT08_IRQHandler:
  b .

  .thumb_func
  .weak INT09_IRQHandler
INT09_IRQHandler:
  b .

  .thumb_func
  .weak INT10_IRQHandler
INT10_IRQHandler:
  b .

  .thumb_func
  .weak INT11_IRQHandler
INT11_IRQHandler:
  b .

  .thumb_func
  .weak INT12_IRQHandler
INT12_IRQHandler:
  b .

  .thumb_func
  .weak INT13_IRQHandler
INT13_IRQHandler:
  b .

  .thumb_func
  .weak INT14_IRQHandler
INT14_IRQHandler:
  b .

  .thumb_func
  .weak INT15_IRQHandler
INT15_IRQHandler:
  b .

  .thumb_func
  .weak INT16_IRQHandler
INT16_IRQHandler:
  b .

  .thumb_func
  .weak INT17_18_IRQHandler
INT17_18_IRQHandler:
  b .

  .thumb_func
  .weak INT19_22_IRQHandler
INT19_22_IRQHandler:
  b .

  .thumb_func
  .weak INT23_26_IRQHandler
INT23_26_IRQHandler:
  b .

  .thumb_func
  .weak INT27_28_IRQHandler
INT27_28_IRQHandler:
  b .

  .thumb_func
  .weak INT29_IRQHandler
INT29_IRQHandler:
  b .

  .thumb_func
  .weak INT30_31_IRQHandler
INT30_31_IRQHandler:
  b .

  .thumb_func
  .weak INTEMG0_IRQHandler
INTEMG0_IRQHandler:
  b .

  .thumb_func
  .weak INTOVV0_IRQHandler
INTOVV0_IRQHandler:
  b .

  .thumb_func
  .weak INTPMD0_IRQHandler
INTPMD0_IRQHandler:
  b .

  .thumb_func
  .weak INTENC00_IRQHandler
INTENC00_IRQHandler:
  b .

  .thumb_func
  .weak INTENC01_IRQHandler
INTENC01_IRQHandler:
  b .

  .thumb_func
  .weak INTADAPDA_IRQHandler
INTADAPDA_IRQHandler:
  b .

  .thumb_func
  .weak INTADAPDB_IRQHandler
INTADAPDB_IRQHandler:
  b .

  .thumb_func
  .weak INTADACP0_IRQHandler
INTADACP0_IRQHandler:
  b .

  .thumb_func
  .weak INTADACP1_IRQHandler
INTADACP1_IRQHandler:
  b .

  .thumb_func
  .weak INTADATRG_IRQHandler
INTADATRG_IRQHandler:
  b .

  .thumb_func
  .weak INTADASGL_IRQHandler
INTADASGL_IRQHandler:
  b .

  .thumb_func
  .weak INTADACNT_IRQHandler
INTADACNT_IRQHandler:
  b .

  .thumb_func
  .weak INTT0RX_IRQHandler
INTT0RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT0TX_IRQHandler
INTT0TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT0ERR_IRQHandler
INTT0ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT1RX_IRQHandler
INTT1RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT1TX_IRQHandler
INTT1TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT1ERR_IRQHandler
INTT1ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT2RX_IRQHandler
INTT2RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT2TX_IRQHandler
INTT2TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT2ERR_IRQHandler
INTT2ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT3RX_IRQHandler
INTT3RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT3TX_IRQHandler
INTT3TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT3ERR_IRQHandler
INTT3ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT4RX_IRQHandler
INTT4RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT4TX_IRQHandler
INTT4TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT4ERR_IRQHandler
INTT4ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTI2CWUP_IRQHandler
INTI2CWUP_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0_IRQHandler
INTI2C0_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0AL_IRQHandler
INTI2C0AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0BF_IRQHandler
INTI2C0BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0NA_IRQHandler
INTI2C0NA_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1_IRQHandler
INTI2C1_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1AL_IRQHandler
INTI2C1AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1BF_IRQHandler
INTI2C1BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1NA_IRQHandler
INTI2C1NA_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2_IRQHandler
INTI2C2_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2AL_IRQHandler
INTI2C2AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2BF_IRQHandler
INTI2C2BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2NA_IRQHandler
INTI2C2NA_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3_IRQHandler
INTI2C3_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3AL_IRQHandler
INTI2C3AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3BF_IRQHandler
INTI2C3BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3NA_IRQHandler
INTI2C3NA_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0RX_IRQHandler
INTUART0RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0TX_IRQHandler
INTUART0TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0ERR_IRQHandler
INTUART0ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1RX_IRQHandler
INTUART1RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1TX_IRQHandler
INTUART1TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1ERR_IRQHandler
INTUART1ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2RX_IRQHandler
INTUART2RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2TX_IRQHandler
INTUART2TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2ERR_IRQHandler
INTUART2ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3RX_IRQHandler
INTUART3RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3TX_IRQHandler
INTUART3TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3ERR_IRQHandler
INTUART3ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4RX_IRQHandler
INTUART4RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4TX_IRQHandler
INTUART4TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4ERR_IRQHandler
INTUART4ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5RX_IRQHandler
INTUART5RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5TX_IRQHandler
INTUART5TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5ERR_IRQHandler
INTUART5ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00A_IRQHandler
INTT32A00A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00ACAP0_IRQHandler
INTT32A00ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00ACAP1_IRQHandler
INTT32A00ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00B_IRQHandler
INTT32A00B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00BCAP0_IRQHandler
INTT32A00BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00BCAP1_IRQHandler
INTT32A00BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00C_IRQHandler
INTT32A00C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00CCAP0_IRQHandler
INTT32A00CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00CCAP1_IRQHandler
INTT32A00CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01A_IRQHandler
INTT32A01A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01ACAP0_IRQHandler
INTT32A01ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01ACAP1_IRQHandler
INTT32A01ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01B_IRQHandler
INTT32A01B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01BCAP0_IRQHandler
INTT32A01BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01BCAP1_IRQHandler
INTT32A01BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01C_IRQHandler
INTT32A01C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01CCAP0_IRQHandler
INTT32A01CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01CCAP1_IRQHandler
INTT32A01CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02A_IRQHandler
INTT32A02A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02ACAP0_IRQHandler
INTT32A02ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02ACAP1_IRQHandler
INTT32A02ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02B_IRQHandler
INTT32A02B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02BCAP0_IRQHandler
INTT32A02BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02BCAP1_IRQHandler
INTT32A02BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02C_IRQHandler
INTT32A02C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02CCAP0_IRQHandler
INTT32A02CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02CCAP1_IRQHandler
INTT32A02CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03A_IRQHandler
INTT32A03A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03ACAP0_IRQHandler
INTT32A03ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03ACAP1_IRQHandler
INTT32A03ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03B_IRQHandler
INTT32A03B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03BCAP0_IRQHandler
INTT32A03BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03BCAP1_IRQHandler
INTT32A03BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03C_IRQHandler
INTT32A03C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03CCAP0_IRQHandler
INTT32A03CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03CCAP1_IRQHandler
INTT32A03CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04A_IRQHandler
INTT32A04A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04ACAP0_IRQHandler
INTT32A04ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04ACAP1_IRQHandler
INTT32A04ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04B_IRQHandler
INTT32A04B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04BCAP0_IRQHandler
INTT32A04BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04BCAP1_IRQHandler
INTT32A04BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04C_IRQHandler
INTT32A04C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04CCAP0_IRQHandler
INTT32A04CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04CCAP1_IRQHandler
INTT32A04CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05A_IRQHandler
INTT32A05A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05ACAP0_IRQHandler
INTT32A05ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05ACAP1_IRQHandler
INTT32A05ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05B_IRQHandler
INTT32A05B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05BCAP0_IRQHandler
INTT32A05BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05BCAP1_IRQHandler
INTT32A05BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05C_IRQHandler
INTT32A05C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05CCAP0_IRQHandler
INTT32A05CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05CCAP1_IRQHandler
INTT32A05CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06A_IRQHandler
INTT32A06A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06ACAP0_IRQHandler
INTT32A06ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06ACAP1_IRQHandler
INTT32A06ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06B_IRQHandler
INTT32A06B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06BCAP0_IRQHandler
INTT32A06BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06BCAP1_IRQHandler
INTT32A06BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06C_IRQHandler
INTT32A06C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06CCAP0_IRQHandler
INTT32A06CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06CCAP1_IRQHandler
INTT32A06CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07A_IRQHandler
INTT32A07A_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07ACAP0_IRQHandler
INTT32A07ACAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07ACAP1_IRQHandler
INTT32A07ACAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07B_IRQHandler
INTT32A07B_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07BCAP0_IRQHandler
INTT32A07BCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07BCAP1_IRQHandler
INTT32A07BCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07C_IRQHandler
INTT32A07C_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07CCAP0_IRQHandler
INTT32A07CCAP0_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07CCAP1_IRQHandler
INTT32A07CCAP1_IRQHandler:
  b .

  .thumb_func
  .weak INTPARI_IRQHandler
INTPARI_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAATC_IRQHandler
INTDMAATC_IRQHandler:
  b .

  .thumb_func
  .weak INTDMAAERR_IRQHandler
INTDMAAERR_IRQHandler:
  b .

  .thumb_func
  .weak INTDMABTC_IRQHandler
INTDMABTC_IRQHandler:
  b .

  .thumb_func
  .weak INTDMABERR_IRQHandler
INTDMABERR_IRQHandler:
  b .

  .thumb_func
  .weak INTRTC_IRQHandler
INTRTC_IRQHandler:
  b .

  .thumb_func
  .weak INTRMC0_IRQHandler
INTRMC0_IRQHandler:
  b .

  .thumb_func
  .weak INTFLCRDY_IRQHandler
INTFLCRDY_IRQHandler:
  b .

  .thumb_func
  .weak INTFLDRDY_IRQHandler
INTFLDRDY_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .balign 1024
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word INT00_IRQHandler
  .word INT01_IRQHandler
  .word INT02_IRQHandler
  .word INT03_IRQHandler
  .word INT04_IRQHandler
  .word INT05_IRQHandler
  .word INT06_IRQHandler
  .word INT07_IRQHandler
  .word INT08_IRQHandler
  .word INT09_IRQHandler
  .word INT10_IRQHandler
  .word INT11_IRQHandler
  .word INT12_IRQHandler
  .word INT13_IRQHandler
  .word INT14_IRQHandler
  .word INT15_IRQHandler
  .word INT16_IRQHandler
  .word INT17_18_IRQHandler
  .word INT19_22_IRQHandler
  .word INT23_26_IRQHandler
  .word INT27_28_IRQHandler
  .word INT29_IRQHandler
  .word INT30_31_IRQHandler
  .word INTEMG0_IRQHandler
  .word INTOVV0_IRQHandler
  .word INTPMD0_IRQHandler
  .word INTENC00_IRQHandler
  .word INTENC01_IRQHandler
  .word INTADAPDA_IRQHandler
  .word INTADAPDB_IRQHandler
  .word INTADACP0_IRQHandler
  .word INTADACP1_IRQHandler
  .word INTADATRG_IRQHandler
  .word INTADASGL_IRQHandler
  .word INTADACNT_IRQHandler
  .word INTT0RX_IRQHandler
  .word INTT0TX_IRQHandler
  .word INTT0ERR_IRQHandler
  .word INTT1RX_IRQHandler
  .word INTT1TX_IRQHandler
  .word INTT1ERR_IRQHandler
  .word INTT2RX_IRQHandler
  .word INTT2TX_IRQHandler
  .word INTT2ERR_IRQHandler
  .word INTT3RX_IRQHandler
  .word INTT3TX_IRQHandler
  .word INTT3ERR_IRQHandler
  .word INTT4RX_IRQHandler
  .word INTT4TX_IRQHandler
  .word INTT4ERR_IRQHandler
  .word INTI2CWUP_IRQHandler
  .word INTI2C0_IRQHandler
  .word INTI2C0AL_IRQHandler
  .word INTI2C0BF_IRQHandler
  .word INTI2C0NA_IRQHandler
  .word INTI2C1_IRQHandler
  .word INTI2C1AL_IRQHandler
  .word INTI2C1BF_IRQHandler
  .word INTI2C1NA_IRQHandler
  .word INTI2C2_IRQHandler
  .word INTI2C2AL_IRQHandler
  .word INTI2C2BF_IRQHandler
  .word INTI2C2NA_IRQHandler
  .word INTI2C3_IRQHandler
  .word INTI2C3AL_IRQHandler
  .word INTI2C3BF_IRQHandler
  .word INTI2C3NA_IRQHandler
  .word INTUART0RX_IRQHandler
  .word INTUART0TX_IRQHandler
  .word INTUART0ERR_IRQHandler
  .word INTUART1RX_IRQHandler
  .word INTUART1TX_IRQHandler
  .word INTUART1ERR_IRQHandler
  .word INTUART2RX_IRQHandler
  .word INTUART2TX_IRQHandler
  .word INTUART2ERR_IRQHandler
  .word INTUART3RX_IRQHandler
  .word INTUART3TX_IRQHandler
  .word INTUART3ERR_IRQHandler
  .word INTUART4RX_IRQHandler
  .word INTUART4TX_IRQHandler
  .word INTUART4ERR_IRQHandler
  .word INTUART5RX_IRQHandler
  .word INTUART5TX_IRQHandler
  .word INTUART5ERR_IRQHandler
  .word INTT32A00A_IRQHandler
  .word INTT32A00ACAP0_IRQHandler
  .word INTT32A00ACAP1_IRQHandler
  .word INTT32A00B_IRQHandler
  .word INTT32A00BCAP0_IRQHandler
  .word INTT32A00BCAP1_IRQHandler
  .word INTT32A00C_IRQHandler
  .word INTT32A00CCAP0_IRQHandler
  .word INTT32A00CCAP1_IRQHandler
  .word INTT32A01A_IRQHandler
  .word INTT32A01ACAP0_IRQHandler
  .word INTT32A01ACAP1_IRQHandler
  .word INTT32A01B_IRQHandler
  .word INTT32A01BCAP0_IRQHandler
  .word INTT32A01BCAP1_IRQHandler
  .word INTT32A01C_IRQHandler
  .word INTT32A01CCAP0_IRQHandler
  .word INTT32A01CCAP1_IRQHandler
  .word INTT32A02A_IRQHandler
  .word INTT32A02ACAP0_IRQHandler
  .word INTT32A02ACAP1_IRQHandler
  .word INTT32A02B_IRQHandler
  .word INTT32A02BCAP0_IRQHandler
  .word INTT32A02BCAP1_IRQHandler
  .word INTT32A02C_IRQHandler
  .word INTT32A02CCAP0_IRQHandler
  .word INTT32A02CCAP1_IRQHandler
  .word INTT32A03A_IRQHandler
  .word INTT32A03ACAP0_IRQHandler
  .word INTT32A03ACAP1_IRQHandler
  .word INTT32A03B_IRQHandler
  .word INTT32A03BCAP0_IRQHandler
  .word INTT32A03BCAP1_IRQHandler
  .word INTT32A03C_IRQHandler
  .word INTT32A03CCAP0_IRQHandler
  .word INTT32A03CCAP1_IRQHandler
  .word INTT32A04A_IRQHandler
  .word INTT32A04ACAP0_IRQHandler
  .word INTT32A04ACAP1_IRQHandler
  .word INTT32A04B_IRQHandler
  .word INTT32A04BCAP0_IRQHandler
  .word INTT32A04BCAP1_IRQHandler
  .word INTT32A04C_IRQHandler
  .word INTT32A04CCAP0_IRQHandler
  .word INTT32A04CCAP1_IRQHandler
  .word INTT32A05A_IRQHandler
  .word INTT32A05ACAP0_IRQHandler
  .word INTT32A05ACAP1_IRQHandler
  .word INTT32A05B_IRQHandler
  .word INTT32A05BCAP0_IRQHandler
  .word INTT32A05BCAP1_IRQHandler
  .word INTT32A05C_IRQHandler
  .word INTT32A05CCAP0_IRQHandler
  .word INTT32A05CCAP1_IRQHandler
  .word INTT32A06A_IRQHandler
  .word INTT32A06ACAP0_IRQHandler
  .word INTT32A06ACAP1_IRQHandler
  .word INTT32A06B_IRQHandler
  .word INTT32A06BCAP0_IRQHandler
  .word INTT32A06BCAP1_IRQHandler
  .word INTT32A06C_IRQHandler
  .word INTT32A06CCAP0_IRQHandler
  .word INTT32A06CCAP1_IRQHandler
  .word INTT32A07A_IRQHandler
  .word INTT32A07ACAP0_IRQHandler
  .word INTT32A07ACAP1_IRQHandler
  .word INTT32A07B_IRQHandler
  .word INTT32A07BCAP0_IRQHandler
  .word INTT32A07BCAP1_IRQHandler
  .word INTT32A07C_IRQHandler
  .word INTT32A07CCAP0_IRQHandler
  .word INTT32A07CCAP1_IRQHandler
  .word INTPARI_IRQHandler
  .word INTDMAATC_IRQHandler
  .word INTDMAAERR_IRQHandler
  .word INTDMABTC_IRQHandler
  .word INTDMABERR_IRQHandler
  .word INTRTC_IRQHandler
  .word INTRMC0_IRQHandler
  .word INTFLCRDY_IRQHandler
  .word INTFLDRDY_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .balign 1024
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
