/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*            (c) 2014 - 2019 SEGGER Microcontroller GmbH             *
*                                                                    *
*           www.segger.com     Support: support@segger.com           *
*                                                                    *
**********************************************************************
*                                                                    *
* All rights reserved.                                               *
*                                                                    *
* Redistribution and use in source and binary forms, with or         *
* without modification, are permitted provided that the following    *
* conditions are met:                                                *
*                                                                    *
* - Redistributions of source code must retain the above copyright   *
*   notice, this list of conditions and the following disclaimer.    *
*                                                                    *
* - Neither the name of SEGGER Microcontroller GmbH                  *
*   nor the names of its contributors may be used to endorse or      *
*   promote products derived from this software without specific     *
*   prior written permission.                                        *
*                                                                    *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND             *
* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,        *
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF           *
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE           *
* DISCLAIMED.                                                        *
* IN NO EVENT SHALL SEGGER Microcontroller GmbH BE LIABLE FOR        *
* ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR           *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT  *
* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;    *
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF      *
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE  *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH   *
* DAMAGE.                                                            *
*                                                                    *
*********************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 2

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak INT00_IRQHandler
  .thumb_set INT00_IRQHandler,Dummy_Handler

  .weak INT01_IRQHandler
  .thumb_set INT01_IRQHandler,Dummy_Handler

  .weak INT02_IRQHandler
  .thumb_set INT02_IRQHandler,Dummy_Handler

  .weak INT03_IRQHandler
  .thumb_set INT03_IRQHandler,Dummy_Handler

  .weak INT04_IRQHandler
  .thumb_set INT04_IRQHandler,Dummy_Handler

  .weak INT05_IRQHandler
  .thumb_set INT05_IRQHandler,Dummy_Handler

  .weak INT06_IRQHandler
  .thumb_set INT06_IRQHandler,Dummy_Handler

  .weak INT07_IRQHandler
  .thumb_set INT07_IRQHandler,Dummy_Handler

  .weak INT08_IRQHandler
  .thumb_set INT08_IRQHandler,Dummy_Handler

  .weak INT09_IRQHandler
  .thumb_set INT09_IRQHandler,Dummy_Handler

  .weak INT10_IRQHandler
  .thumb_set INT10_IRQHandler,Dummy_Handler

  .weak INT11_IRQHandler
  .thumb_set INT11_IRQHandler,Dummy_Handler

  .weak INT12_IRQHandler
  .thumb_set INT12_IRQHandler,Dummy_Handler

  .weak INT13_IRQHandler
  .thumb_set INT13_IRQHandler,Dummy_Handler

  .weak INT14_IRQHandler
  .thumb_set INT14_IRQHandler,Dummy_Handler

  .weak INT15_IRQHandler
  .thumb_set INT15_IRQHandler,Dummy_Handler

  .weak INTRTC_IRQHandler
  .thumb_set INTRTC_IRQHandler,Dummy_Handler

  .weak INTCEC0RX_IRQHandler
  .thumb_set INTCEC0RX_IRQHandler,Dummy_Handler

  .weak INTCEC0TX_IRQHandler
  .thumb_set INTCEC0TX_IRQHandler,Dummy_Handler

  .weak INTISDA_IRQHandler
  .thumb_set INTISDA_IRQHandler,Dummy_Handler

  .weak INTISDB_IRQHandler
  .thumb_set INTISDB_IRQHandler,Dummy_Handler

  .weak INTISDC_IRQHandler
  .thumb_set INTISDC_IRQHandler,Dummy_Handler

  .weak INTRMC0_IRQHandler
  .thumb_set INTRMC0_IRQHandler,Dummy_Handler

  .weak INTRMC1_IRQHandler
  .thumb_set INTRMC1_IRQHandler,Dummy_Handler

  .weak INTLTTMR_IRQHandler
  .thumb_set INTLTTMR_IRQHandler,Dummy_Handler

  .weak INTHDMAATC_IRQHandler
  .thumb_set INTHDMAATC_IRQHandler,Dummy_Handler

  .weak INTHDMAAERR_IRQHandler
  .thumb_set INTHDMAAERR_IRQHandler,Dummy_Handler

  .weak INTHDMABTC_IRQHandler
  .thumb_set INTHDMABTC_IRQHandler,Dummy_Handler

  .weak INTHDMABERR_IRQHandler
  .thumb_set INTHDMABERR_IRQHandler,Dummy_Handler

  .weak INTMDMAATC_IRQHandler
  .thumb_set INTMDMAATC_IRQHandler,Dummy_Handler

  .weak INTT32A00_A_CT_IRQHandler
  .thumb_set INTT32A00_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A00_B_C01_CPC_IRQHandler
  .thumb_set INTT32A00_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A01_A_CT_IRQHandler
  .thumb_set INTT32A01_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A01_B_C01_CPC_IRQHandler
  .thumb_set INTT32A01_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A02_A_CT_IRQHandler
  .thumb_set INTT32A02_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A02_B_C01_CPC_IRQHandler
  .thumb_set INTT32A02_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A03_A_CT_IRQHandler
  .thumb_set INTT32A03_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A03_B_C01_CPC_IRQHandler
  .thumb_set INTT32A03_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A04_A_CT_IRQHandler
  .thumb_set INTT32A04_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A04_B_C01_CPC_IRQHandler
  .thumb_set INTT32A04_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A05_A_CT_IRQHandler
  .thumb_set INTT32A05_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A05_B_C01_CPC_IRQHandler
  .thumb_set INTT32A05_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A06_A_CT_IRQHandler
  .thumb_set INTT32A06_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A06_B_C01_CPC_IRQHandler
  .thumb_set INTT32A06_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A07_A_CT_IRQHandler
  .thumb_set INTT32A07_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A07_B_C01_CPC_IRQHandler
  .thumb_set INTT32A07_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A08_A_CT_IRQHandler
  .thumb_set INTT32A08_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A08_B_C01_CPC_IRQHandler
  .thumb_set INTT32A08_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A09_A_CT_IRQHandler
  .thumb_set INTT32A09_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A09_B_C01_CPC_IRQHandler
  .thumb_set INTT32A09_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A10_A_CT_IRQHandler
  .thumb_set INTT32A10_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A10_B_C01_CPC_IRQHandler
  .thumb_set INTT32A10_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A11_A_CT_IRQHandler
  .thumb_set INTT32A11_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A11_B_C01_CPC_IRQHandler
  .thumb_set INTT32A11_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A12_A_CT_IRQHandler
  .thumb_set INTT32A12_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A12_B_C01_CPC_IRQHandler
  .thumb_set INTT32A12_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTT32A13_A_CT_IRQHandler
  .thumb_set INTT32A13_A_CT_IRQHandler,Dummy_Handler

  .weak INTT32A13_B_C01_CPC_IRQHandler
  .thumb_set INTT32A13_B_C01_CPC_IRQHandler,Dummy_Handler

  .weak INTEMG0_IRQHandler
  .thumb_set INTEMG0_IRQHandler,Dummy_Handler

  .weak INTOVV0_IRQHandler
  .thumb_set INTOVV0_IRQHandler,Dummy_Handler

  .weak INTPWM0_IRQHandler
  .thumb_set INTPWM0_IRQHandler,Dummy_Handler

  .weak INTT0RX_IRQHandler
  .thumb_set INTT0RX_IRQHandler,Dummy_Handler

  .weak INTT0TX_IRQHandler
  .thumb_set INTT0TX_IRQHandler,Dummy_Handler

  .weak INTT0ERR_IRQHandler
  .thumb_set INTT0ERR_IRQHandler,Dummy_Handler

  .weak INTT1RX_IRQHandler
  .thumb_set INTT1RX_IRQHandler,Dummy_Handler

  .weak INTT1TX_IRQHandler
  .thumb_set INTT1TX_IRQHandler,Dummy_Handler

  .weak INTT1ERR_IRQHandler
  .thumb_set INTT1ERR_IRQHandler,Dummy_Handler

  .weak INTT2RX_IRQHandler
  .thumb_set INTT2RX_IRQHandler,Dummy_Handler

  .weak INTT2TX_IRQHandler
  .thumb_set INTT2TX_IRQHandler,Dummy_Handler

  .weak INTT2ERR_IRQHandler
  .thumb_set INTT2ERR_IRQHandler,Dummy_Handler

  .weak INTT3RX_IRQHandler
  .thumb_set INTT3RX_IRQHandler,Dummy_Handler

  .weak INTT3TX_IRQHandler
  .thumb_set INTT3TX_IRQHandler,Dummy_Handler

  .weak INTT3ERR_IRQHandler
  .thumb_set INTT3ERR_IRQHandler,Dummy_Handler

  .weak INTT4RX_IRQHandler
  .thumb_set INTT4RX_IRQHandler,Dummy_Handler

  .weak INTT4TX_IRQHandler
  .thumb_set INTT4TX_IRQHandler,Dummy_Handler

  .weak INTT4ERR_IRQHandler
  .thumb_set INTT4ERR_IRQHandler,Dummy_Handler

  .weak INTT5RX_IRQHandler
  .thumb_set INTT5RX_IRQHandler,Dummy_Handler

  .weak INTT5TX_IRQHandler
  .thumb_set INTT5TX_IRQHandler,Dummy_Handler

  .weak INTT5ERR_IRQHandler
  .thumb_set INTT5ERR_IRQHandler,Dummy_Handler

  .weak INTT6RX_IRQHandler
  .thumb_set INTT6RX_IRQHandler,Dummy_Handler

  .weak INTT6TX_IRQHandler
  .thumb_set INTT6TX_IRQHandler,Dummy_Handler

  .weak INTT6ERR_IRQHandler
  .thumb_set INTT6ERR_IRQHandler,Dummy_Handler

  .weak INTT7RX_IRQHandler
  .thumb_set INTT7RX_IRQHandler,Dummy_Handler

  .weak INTT7TX_IRQHandler
  .thumb_set INTT7TX_IRQHandler,Dummy_Handler

  .weak INTT7ERR_IRQHandler
  .thumb_set INTT7ERR_IRQHandler,Dummy_Handler

  .weak INTT8RX_IRQHandler
  .thumb_set INTT8RX_IRQHandler,Dummy_Handler

  .weak INTT8TX_IRQHandler
  .thumb_set INTT8TX_IRQHandler,Dummy_Handler

  .weak INTT8ERR_IRQHandler
  .thumb_set INTT8ERR_IRQHandler,Dummy_Handler

  .weak INTSMI0_IRQHandler
  .thumb_set INTSMI0_IRQHandler,Dummy_Handler

  .weak INTUART0RX_IRQHandler
  .thumb_set INTUART0RX_IRQHandler,Dummy_Handler

  .weak INTUART0TX_IRQHandler
  .thumb_set INTUART0TX_IRQHandler,Dummy_Handler

  .weak INTUART0ERR_IRQHandler
  .thumb_set INTUART0ERR_IRQHandler,Dummy_Handler

  .weak INTUART1RX_IRQHandler
  .thumb_set INTUART1RX_IRQHandler,Dummy_Handler

  .weak INTUART1TX_IRQHandler
  .thumb_set INTUART1TX_IRQHandler,Dummy_Handler

  .weak INTUART1ERR_IRQHandler
  .thumb_set INTUART1ERR_IRQHandler,Dummy_Handler

  .weak INTUART2RX_IRQHandler
  .thumb_set INTUART2RX_IRQHandler,Dummy_Handler

  .weak INTUART2TX_IRQHandler
  .thumb_set INTUART2TX_IRQHandler,Dummy_Handler

  .weak INTUART2ERR_IRQHandler
  .thumb_set INTUART2ERR_IRQHandler,Dummy_Handler

  .weak INTUART3RX_IRQHandler
  .thumb_set INTUART3RX_IRQHandler,Dummy_Handler

  .weak INTUART3TX_IRQHandler
  .thumb_set INTUART3TX_IRQHandler,Dummy_Handler

  .weak INTUART3ERR_IRQHandler
  .thumb_set INTUART3ERR_IRQHandler,Dummy_Handler

  .weak INTUART4RX_IRQHandler
  .thumb_set INTUART4RX_IRQHandler,Dummy_Handler

  .weak INTUART4TX_IRQHandler
  .thumb_set INTUART4TX_IRQHandler,Dummy_Handler

  .weak INTUART4ERR_IRQHandler
  .thumb_set INTUART4ERR_IRQHandler,Dummy_Handler

  .weak INTUART5RX_IRQHandler
  .thumb_set INTUART5RX_IRQHandler,Dummy_Handler

  .weak INTUART5TX_IRQHandler
  .thumb_set INTUART5TX_IRQHandler,Dummy_Handler

  .weak INTUART5ERR_IRQHandler
  .thumb_set INTUART5ERR_IRQHandler,Dummy_Handler

  .weak INTFUART0_IRQHandler
  .thumb_set INTFUART0_IRQHandler,Dummy_Handler

  .weak INTFUART1_IRQHandler
  .thumb_set INTFUART1_IRQHandler,Dummy_Handler

  .weak INTI2C0_IRQHandler
  .thumb_set INTI2C0_IRQHandler,Dummy_Handler

  .weak INTI2C0AL_IRQHandler
  .thumb_set INTI2C0AL_IRQHandler,Dummy_Handler

  .weak INTI2C0BF_IRQHandler
  .thumb_set INTI2C0BF_IRQHandler,Dummy_Handler

  .weak INTI2C0NACK_IRQHandler
  .thumb_set INTI2C0NACK_IRQHandler,Dummy_Handler

  .weak INTI2C1_IRQHandler
  .thumb_set INTI2C1_IRQHandler,Dummy_Handler

  .weak INTI2C1AL_IRQHandler
  .thumb_set INTI2C1AL_IRQHandler,Dummy_Handler

  .weak INTI2C1BF_IRQHandler
  .thumb_set INTI2C1BF_IRQHandler,Dummy_Handler

  .weak INTI2C1NACK_IRQHandler
  .thumb_set INTI2C1NACK_IRQHandler,Dummy_Handler

  .weak INTI2C2_IRQHandler
  .thumb_set INTI2C2_IRQHandler,Dummy_Handler

  .weak INTI2C2AL_IRQHandler
  .thumb_set INTI2C2AL_IRQHandler,Dummy_Handler

  .weak INTI2C2BF_IRQHandler
  .thumb_set INTI2C2BF_IRQHandler,Dummy_Handler

  .weak INTI2C2NACK_IRQHandler
  .thumb_set INTI2C2NACK_IRQHandler,Dummy_Handler

  .weak INTI2C3_IRQHandler
  .thumb_set INTI2C3_IRQHandler,Dummy_Handler

  .weak INTI2C3AL_IRQHandler
  .thumb_set INTI2C3AL_IRQHandler,Dummy_Handler

  .weak INTI2C3BF_IRQHandler
  .thumb_set INTI2C3BF_IRQHandler,Dummy_Handler

  .weak INTI2C3NACK_IRQHandler
  .thumb_set INTI2C3NACK_IRQHandler,Dummy_Handler

  .weak INTI2C4_IRQHandler
  .thumb_set INTI2C4_IRQHandler,Dummy_Handler

  .weak INTI2C4AL_IRQHandler
  .thumb_set INTI2C4AL_IRQHandler,Dummy_Handler

  .weak INTI2C4BF_IRQHandler
  .thumb_set INTI2C4BF_IRQHandler,Dummy_Handler

  .weak INTI2C4NACK_IRQHandler
  .thumb_set INTI2C4NACK_IRQHandler,Dummy_Handler

  .weak INTADACP0_IRQHandler
  .thumb_set INTADACP0_IRQHandler,Dummy_Handler

  .weak INTADACP1_IRQHandler
  .thumb_set INTADACP1_IRQHandler,Dummy_Handler

  .weak INTADATRG_IRQHandler
  .thumb_set INTADATRG_IRQHandler,Dummy_Handler

  .weak INTADASGL_IRQHandler
  .thumb_set INTADASGL_IRQHandler,Dummy_Handler

  .weak INTADACNT_IRQHandler
  .thumb_set INTADACNT_IRQHandler,Dummy_Handler

  .weak INTADAHP_IRQHandler
  .thumb_set INTADAHP_IRQHandler,Dummy_Handler

  .weak INTFLDRDY_IRQHandler
  .thumb_set INTFLDRDY_IRQHandler,Dummy_Handler

  .weak INTFLCRDY0_IRQHandler
  .thumb_set INTFLCRDY0_IRQHandler,Dummy_Handler

  .weak INTFLCRDY1_IRQHandler
  .thumb_set INTFLCRDY1_IRQHandler,Dummy_Handler

  .weak INTMDMAABERR_IRQHandler
  .thumb_set INTMDMAABERR_IRQHandler,Dummy_Handler

  .weak INTMDMAADERR_IRQHandler
  .thumb_set INTMDMAADERR_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak INT00_IRQHandler
INT00_IRQHandler:
  b .

  .thumb_func
  .weak INT01_IRQHandler
INT01_IRQHandler:
  b .

  .thumb_func
  .weak INT02_IRQHandler
INT02_IRQHandler:
  b .

  .thumb_func
  .weak INT03_IRQHandler
INT03_IRQHandler:
  b .

  .thumb_func
  .weak INT04_IRQHandler
INT04_IRQHandler:
  b .

  .thumb_func
  .weak INT05_IRQHandler
INT05_IRQHandler:
  b .

  .thumb_func
  .weak INT06_IRQHandler
INT06_IRQHandler:
  b .

  .thumb_func
  .weak INT07_IRQHandler
INT07_IRQHandler:
  b .

  .thumb_func
  .weak INT08_IRQHandler
INT08_IRQHandler:
  b .

  .thumb_func
  .weak INT09_IRQHandler
INT09_IRQHandler:
  b .

  .thumb_func
  .weak INT10_IRQHandler
INT10_IRQHandler:
  b .

  .thumb_func
  .weak INT11_IRQHandler
INT11_IRQHandler:
  b .

  .thumb_func
  .weak INT12_IRQHandler
INT12_IRQHandler:
  b .

  .thumb_func
  .weak INT13_IRQHandler
INT13_IRQHandler:
  b .

  .thumb_func
  .weak INT14_IRQHandler
INT14_IRQHandler:
  b .

  .thumb_func
  .weak INT15_IRQHandler
INT15_IRQHandler:
  b .

  .thumb_func
  .weak INTRTC_IRQHandler
INTRTC_IRQHandler:
  b .

  .thumb_func
  .weak INTCEC0RX_IRQHandler
INTCEC0RX_IRQHandler:
  b .

  .thumb_func
  .weak INTCEC0TX_IRQHandler
INTCEC0TX_IRQHandler:
  b .

  .thumb_func
  .weak INTISDA_IRQHandler
INTISDA_IRQHandler:
  b .

  .thumb_func
  .weak INTISDB_IRQHandler
INTISDB_IRQHandler:
  b .

  .thumb_func
  .weak INTISDC_IRQHandler
INTISDC_IRQHandler:
  b .

  .thumb_func
  .weak INTRMC0_IRQHandler
INTRMC0_IRQHandler:
  b .

  .thumb_func
  .weak INTRMC1_IRQHandler
INTRMC1_IRQHandler:
  b .

  .thumb_func
  .weak INTLTTMR_IRQHandler
INTLTTMR_IRQHandler:
  b .

  .thumb_func
  .weak INTHDMAATC_IRQHandler
INTHDMAATC_IRQHandler:
  b .

  .thumb_func
  .weak INTHDMAAERR_IRQHandler
INTHDMAAERR_IRQHandler:
  b .

  .thumb_func
  .weak INTHDMABTC_IRQHandler
INTHDMABTC_IRQHandler:
  b .

  .thumb_func
  .weak INTHDMABERR_IRQHandler
INTHDMABERR_IRQHandler:
  b .

  .thumb_func
  .weak INTMDMAATC_IRQHandler
INTMDMAATC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00_A_CT_IRQHandler
INTT32A00_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A00_B_C01_CPC_IRQHandler
INTT32A00_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01_A_CT_IRQHandler
INTT32A01_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A01_B_C01_CPC_IRQHandler
INTT32A01_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02_A_CT_IRQHandler
INTT32A02_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A02_B_C01_CPC_IRQHandler
INTT32A02_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03_A_CT_IRQHandler
INTT32A03_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A03_B_C01_CPC_IRQHandler
INTT32A03_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04_A_CT_IRQHandler
INTT32A04_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A04_B_C01_CPC_IRQHandler
INTT32A04_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05_A_CT_IRQHandler
INTT32A05_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A05_B_C01_CPC_IRQHandler
INTT32A05_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06_A_CT_IRQHandler
INTT32A06_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A06_B_C01_CPC_IRQHandler
INTT32A06_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07_A_CT_IRQHandler
INTT32A07_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A07_B_C01_CPC_IRQHandler
INTT32A07_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A08_A_CT_IRQHandler
INTT32A08_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A08_B_C01_CPC_IRQHandler
INTT32A08_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A09_A_CT_IRQHandler
INTT32A09_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A09_B_C01_CPC_IRQHandler
INTT32A09_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A10_A_CT_IRQHandler
INTT32A10_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A10_B_C01_CPC_IRQHandler
INTT32A10_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A11_A_CT_IRQHandler
INTT32A11_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A11_B_C01_CPC_IRQHandler
INTT32A11_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A12_A_CT_IRQHandler
INTT32A12_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A12_B_C01_CPC_IRQHandler
INTT32A12_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A13_A_CT_IRQHandler
INTT32A13_A_CT_IRQHandler:
  b .

  .thumb_func
  .weak INTT32A13_B_C01_CPC_IRQHandler
INTT32A13_B_C01_CPC_IRQHandler:
  b .

  .thumb_func
  .weak INTEMG0_IRQHandler
INTEMG0_IRQHandler:
  b .

  .thumb_func
  .weak INTOVV0_IRQHandler
INTOVV0_IRQHandler:
  b .

  .thumb_func
  .weak INTPWM0_IRQHandler
INTPWM0_IRQHandler:
  b .

  .thumb_func
  .weak INTT0RX_IRQHandler
INTT0RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT0TX_IRQHandler
INTT0TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT0ERR_IRQHandler
INTT0ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT1RX_IRQHandler
INTT1RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT1TX_IRQHandler
INTT1TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT1ERR_IRQHandler
INTT1ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT2RX_IRQHandler
INTT2RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT2TX_IRQHandler
INTT2TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT2ERR_IRQHandler
INTT2ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT3RX_IRQHandler
INTT3RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT3TX_IRQHandler
INTT3TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT3ERR_IRQHandler
INTT3ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT4RX_IRQHandler
INTT4RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT4TX_IRQHandler
INTT4TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT4ERR_IRQHandler
INTT4ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT5RX_IRQHandler
INTT5RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT5TX_IRQHandler
INTT5TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT5ERR_IRQHandler
INTT5ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT6RX_IRQHandler
INTT6RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT6TX_IRQHandler
INTT6TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT6ERR_IRQHandler
INTT6ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT7RX_IRQHandler
INTT7RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT7TX_IRQHandler
INTT7TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT7ERR_IRQHandler
INTT7ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTT8RX_IRQHandler
INTT8RX_IRQHandler:
  b .

  .thumb_func
  .weak INTT8TX_IRQHandler
INTT8TX_IRQHandler:
  b .

  .thumb_func
  .weak INTT8ERR_IRQHandler
INTT8ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTSMI0_IRQHandler
INTSMI0_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0RX_IRQHandler
INTUART0RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0TX_IRQHandler
INTUART0TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART0ERR_IRQHandler
INTUART0ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1RX_IRQHandler
INTUART1RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1TX_IRQHandler
INTUART1TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART1ERR_IRQHandler
INTUART1ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2RX_IRQHandler
INTUART2RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2TX_IRQHandler
INTUART2TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART2ERR_IRQHandler
INTUART2ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3RX_IRQHandler
INTUART3RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3TX_IRQHandler
INTUART3TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART3ERR_IRQHandler
INTUART3ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4RX_IRQHandler
INTUART4RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4TX_IRQHandler
INTUART4TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART4ERR_IRQHandler
INTUART4ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5RX_IRQHandler
INTUART5RX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5TX_IRQHandler
INTUART5TX_IRQHandler:
  b .

  .thumb_func
  .weak INTUART5ERR_IRQHandler
INTUART5ERR_IRQHandler:
  b .

  .thumb_func
  .weak INTFUART0_IRQHandler
INTFUART0_IRQHandler:
  b .

  .thumb_func
  .weak INTFUART1_IRQHandler
INTFUART1_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0_IRQHandler
INTI2C0_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0AL_IRQHandler
INTI2C0AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0BF_IRQHandler
INTI2C0BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C0NACK_IRQHandler
INTI2C0NACK_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1_IRQHandler
INTI2C1_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1AL_IRQHandler
INTI2C1AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1BF_IRQHandler
INTI2C1BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C1NACK_IRQHandler
INTI2C1NACK_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2_IRQHandler
INTI2C2_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2AL_IRQHandler
INTI2C2AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2BF_IRQHandler
INTI2C2BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C2NACK_IRQHandler
INTI2C2NACK_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3_IRQHandler
INTI2C3_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3AL_IRQHandler
INTI2C3AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3BF_IRQHandler
INTI2C3BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C3NACK_IRQHandler
INTI2C3NACK_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C4_IRQHandler
INTI2C4_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C4AL_IRQHandler
INTI2C4AL_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C4BF_IRQHandler
INTI2C4BF_IRQHandler:
  b .

  .thumb_func
  .weak INTI2C4NACK_IRQHandler
INTI2C4NACK_IRQHandler:
  b .

  .thumb_func
  .weak INTADACP0_IRQHandler
INTADACP0_IRQHandler:
  b .

  .thumb_func
  .weak INTADACP1_IRQHandler
INTADACP1_IRQHandler:
  b .

  .thumb_func
  .weak INTADATRG_IRQHandler
INTADATRG_IRQHandler:
  b .

  .thumb_func
  .weak INTADASGL_IRQHandler
INTADASGL_IRQHandler:
  b .

  .thumb_func
  .weak INTADACNT_IRQHandler
INTADACNT_IRQHandler:
  b .

  .thumb_func
  .weak INTADAHP_IRQHandler
INTADAHP_IRQHandler:
  b .

  .thumb_func
  .weak INTFLDRDY_IRQHandler
INTFLDRDY_IRQHandler:
  b .

  .thumb_func
  .weak INTFLCRDY0_IRQHandler
INTFLCRDY0_IRQHandler:
  b .

  .thumb_func
  .weak INTFLCRDY1_IRQHandler
INTFLCRDY1_IRQHandler:
  b .

  .thumb_func
  .weak INTMDMAABERR_IRQHandler
INTMDMAABERR_IRQHandler:
  b .

  .thumb_func
  .weak INTMDMAADERR_IRQHandler
INTMDMAADERR_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .balign 1024
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word INT00_IRQHandler
  .word INT01_IRQHandler
  .word INT02_IRQHandler
  .word INT03_IRQHandler
  .word INT04_IRQHandler
  .word INT05_IRQHandler
  .word INT06_IRQHandler
  .word INT07_IRQHandler
  .word INT08_IRQHandler
  .word INT09_IRQHandler
  .word INT10_IRQHandler
  .word INT11_IRQHandler
  .word INT12_IRQHandler
  .word INT13_IRQHandler
  .word INT14_IRQHandler
  .word INT15_IRQHandler
  .word INTRTC_IRQHandler
  .word INTCEC0RX_IRQHandler
  .word INTCEC0TX_IRQHandler
  .word INTISDA_IRQHandler
  .word INTISDB_IRQHandler
  .word INTISDC_IRQHandler
  .word INTRMC0_IRQHandler
  .word INTRMC1_IRQHandler
  .word INTLTTMR_IRQHandler
  .word INTHDMAATC_IRQHandler
  .word INTHDMAAERR_IRQHandler
  .word INTHDMABTC_IRQHandler
  .word INTHDMABERR_IRQHandler
  .word INTMDMAATC_IRQHandler
  .word INTT32A00_A_CT_IRQHandler
  .word INTT32A00_B_C01_CPC_IRQHandler
  .word INTT32A01_A_CT_IRQHandler
  .word INTT32A01_B_C01_CPC_IRQHandler
  .word INTT32A02_A_CT_IRQHandler
  .word INTT32A02_B_C01_CPC_IRQHandler
  .word INTT32A03_A_CT_IRQHandler
  .word INTT32A03_B_C01_CPC_IRQHandler
  .word INTT32A04_A_CT_IRQHandler
  .word INTT32A04_B_C01_CPC_IRQHandler
  .word INTT32A05_A_CT_IRQHandler
  .word INTT32A05_B_C01_CPC_IRQHandler
  .word INTT32A06_A_CT_IRQHandler
  .word INTT32A06_B_C01_CPC_IRQHandler
  .word INTT32A07_A_CT_IRQHandler
  .word INTT32A07_B_C01_CPC_IRQHandler
  .word INTT32A08_A_CT_IRQHandler
  .word INTT32A08_B_C01_CPC_IRQHandler
  .word INTT32A09_A_CT_IRQHandler
  .word INTT32A09_B_C01_CPC_IRQHandler
  .word INTT32A10_A_CT_IRQHandler
  .word INTT32A10_B_C01_CPC_IRQHandler
  .word INTT32A11_A_CT_IRQHandler
  .word INTT32A11_B_C01_CPC_IRQHandler
  .word INTT32A12_A_CT_IRQHandler
  .word INTT32A12_B_C01_CPC_IRQHandler
  .word INTT32A13_A_CT_IRQHandler
  .word INTT32A13_B_C01_CPC_IRQHandler
  .word INTEMG0_IRQHandler
  .word INTOVV0_IRQHandler
  .word INTPWM0_IRQHandler
  .word INTT0RX_IRQHandler
  .word INTT0TX_IRQHandler
  .word INTT0ERR_IRQHandler
  .word INTT1RX_IRQHandler
  .word INTT1TX_IRQHandler
  .word INTT1ERR_IRQHandler
  .word INTT2RX_IRQHandler
  .word INTT2TX_IRQHandler
  .word INTT2ERR_IRQHandler
  .word INTT3RX_IRQHandler
  .word INTT3TX_IRQHandler
  .word INTT3ERR_IRQHandler
  .word INTT4RX_IRQHandler
  .word INTT4TX_IRQHandler
  .word INTT4ERR_IRQHandler
  .word INTT5RX_IRQHandler
  .word INTT5TX_IRQHandler
  .word INTT5ERR_IRQHandler
  .word INTT6RX_IRQHandler
  .word INTT6TX_IRQHandler
  .word INTT6ERR_IRQHandler
  .word INTT7RX_IRQHandler
  .word INTT7TX_IRQHandler
  .word INTT7ERR_IRQHandler
  .word INTT8RX_IRQHandler
  .word INTT8TX_IRQHandler
  .word INTT8ERR_IRQHandler
  .word INTSMI0_IRQHandler
  .word INTUART0RX_IRQHandler
  .word INTUART0TX_IRQHandler
  .word INTUART0ERR_IRQHandler
  .word INTUART1RX_IRQHandler
  .word INTUART1TX_IRQHandler
  .word INTUART1ERR_IRQHandler
  .word INTUART2RX_IRQHandler
  .word INTUART2TX_IRQHandler
  .word INTUART2ERR_IRQHandler
  .word INTUART3RX_IRQHandler
  .word INTUART3TX_IRQHandler
  .word INTUART3ERR_IRQHandler
  .word INTUART4RX_IRQHandler
  .word INTUART4TX_IRQHandler
  .word INTUART4ERR_IRQHandler
  .word INTUART5RX_IRQHandler
  .word INTUART5TX_IRQHandler
  .word INTUART5ERR_IRQHandler
  .word INTFUART0_IRQHandler
  .word INTFUART1_IRQHandler
  .word INTI2C0_IRQHandler
  .word INTI2C0AL_IRQHandler
  .word INTI2C0BF_IRQHandler
  .word INTI2C0NACK_IRQHandler
  .word INTI2C1_IRQHandler
  .word INTI2C1AL_IRQHandler
  .word INTI2C1BF_IRQHandler
  .word INTI2C1NACK_IRQHandler
  .word INTI2C2_IRQHandler
  .word INTI2C2AL_IRQHandler
  .word INTI2C2BF_IRQHandler
  .word INTI2C2NACK_IRQHandler
  .word INTI2C3_IRQHandler
  .word INTI2C3AL_IRQHandler
  .word INTI2C3BF_IRQHandler
  .word INTI2C3NACK_IRQHandler
  .word INTI2C4_IRQHandler
  .word INTI2C4AL_IRQHandler
  .word INTI2C4BF_IRQHandler
  .word INTI2C4NACK_IRQHandler
  .word INTADACP0_IRQHandler
  .word INTADACP1_IRQHandler
  .word INTADATRG_IRQHandler
  .word INTADASGL_IRQHandler
  .word INTADACNT_IRQHandler
  .word INTADAHP_IRQHandler
  .word INTFLDRDY_IRQHandler
  .word INTFLCRDY0_IRQHandler
  .word INTFLCRDY1_IRQHandler
  .word INTMDMAABERR_IRQHandler
  .word INTMDMAADERR_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .balign 1024
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
