/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*            (c) 2014 - 2018 SEGGER Microcontroller GmbH             *
*                                                                    *
*           www.segger.com     Support: support@segger.com           *
*                                                                    *
**********************************************************************
*                                                                    *
* All rights reserved.                                               *
*                                                                    *
* Redistribution and use in source and binary forms, with or         *
* without modification, are permitted provided that the following    *
* conditions are met:                                                *
*                                                                    *
* - Redistributions of source code must retain the above copyright   *
*   notice, this list of conditions and the following disclaimer.    *
*                                                                    *
* - Neither the name of SEGGER Microcontroller GmbH                  *
*   nor the names of its contributors may be used to endorse or      *
*   promote products derived from this software without specific     *
*   prior written permission.                                        *
*                                                                    *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND             *
* CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,        *
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF           *
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE           *
* DISCLAIMED.                                                        *
* IN NO EVENT SHALL SEGGER Microcontroller GmbH BE LIABLE FOR        *
* ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR           *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT  *
* OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;    *
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF      *
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE  *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH   *
* DAMAGE.                                                            *
*                                                                    *
*********************************************************************/

/*****************************************************************************
 *                         Preprocessor Definitions                          *
 *                         ------------------------                          *
 * VECTORS_IN_RAM                                                            *
 *                                                                           *
 *   If defined, an area of RAM will large enough to store the vector table  *
 *   will be reserved.                                                       *
 *                                                                           *
 *****************************************************************************/

  .syntax unified
  .code 16

  .section .init, "ax"
  .align 2

/*****************************************************************************
 * Default Exception Handlers                                                *
 *****************************************************************************/

  .thumb_func
  .weak NMI_Handler
NMI_Handler:
  b .

  .thumb_func
  .weak HardFault_Handler
HardFault_Handler:
  b .

  .thumb_func
  .weak SVC_Handler
SVC_Handler:
  b .

  .thumb_func
  .weak PendSV_Handler
PendSV_Handler:
  b .

  .thumb_func
  .weak SysTick_Handler
SysTick_Handler:
  b .

  .thumb_func
Dummy_Handler:
  b .

#if defined(__OPTIMIZATION_SMALL)

  .weak PMU_WAKEUP_PA00_IRQHandler
  .thumb_set PMU_WAKEUP_PA00_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA01_IRQHandler
  .thumb_set PMU_WAKEUP_PA01_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA02_IRQHandler
  .thumb_set PMU_WAKEUP_PA02_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA03_IRQHandler
  .thumb_set PMU_WAKEUP_PA03_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA04_IRQHandler
  .thumb_set PMU_WAKEUP_PA04_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA05_IRQHandler
  .thumb_set PMU_WAKEUP_PA05_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA06_IRQHandler
  .thumb_set PMU_WAKEUP_PA06_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA07_IRQHandler
  .thumb_set PMU_WAKEUP_PA07_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA08_IRQHandler
  .thumb_set PMU_WAKEUP_PA08_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA09_IRQHandler
  .thumb_set PMU_WAKEUP_PA09_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA10_IRQHandler
  .thumb_set PMU_WAKEUP_PA10_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_PA11_IRQHandler
  .thumb_set PMU_WAKEUP_PA11_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_RTC_ALARM_IRQHandler
  .thumb_set PMU_WAKEUP_RTC_ALARM_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_RTC_PERIOD_IRQHandler
  .thumb_set PMU_WAKEUP_RTC_PERIOD_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_RTC_TMR0_IRQHandler
  .thumb_set PMU_WAKEUP_RTC_TMR0_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_RTC_TMR1_IRQHandler
  .thumb_set PMU_WAKEUP_RTC_TMR1_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_BOR_IRQHandler
  .thumb_set PMU_WAKEUP_BOR_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_TMR_IRQHandler
  .thumb_set PMU_WAKEUP_TMR_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_SPIM_IRQHandler
  .thumb_set PMU_WAKEUP_SPIM_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_UART_IRQHandler
  .thumb_set PMU_WAKEUP_UART_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_I2C_IRQHandler
  .thumb_set PMU_WAKEUP_I2C_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_ADCC12_IRQHandler
  .thumb_set PMU_WAKEUP_ADCC12_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_AFEZ_IRQHandler
  .thumb_set PMU_WAKEUP_AFEZ_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_DACC_IRQHandler
  .thumb_set PMU_WAKEUP_DACC_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_EMMC_IRQHandler
  .thumb_set PMU_WAKEUP_EMMC_IRQHandler,Dummy_Handler

  .weak PMU_WAKEUP_DEBUGIN_IRQHandler
  .thumb_set PMU_WAKEUP_DEBUGIN_IRQHandler,Dummy_Handler

  .weak PMU_CLKSTABLE_IRQHandler
  .thumb_set PMU_CLKSTABLE_IRQHandler,Dummy_Handler

  .weak FPU_IRQHandler
  .thumb_set FPU_IRQHandler,Dummy_Handler

  .weak WDT_IRQHandler
  .thumb_set WDT_IRQHandler,Dummy_Handler

  .weak RTC_ALARM_IRQHandler
  .thumb_set RTC_ALARM_IRQHandler,Dummy_Handler

  .weak RTC_PERIOD_IRQHandler
  .thumb_set RTC_PERIOD_IRQHandler,Dummy_Handler

  .weak RTC_TMR0_IRQHandler
  .thumb_set RTC_TMR0_IRQHandler,Dummy_Handler

  .weak RTC_TMR1_IRQHandler
  .thumb_set RTC_TMR1_IRQHandler,Dummy_Handler

  .weak TMR0_IRQHandler
  .thumb_set TMR0_IRQHandler,Dummy_Handler

  .weak TMR1_IRQHandler
  .thumb_set TMR1_IRQHandler,Dummy_Handler

  .weak SRAM_M2M_IRQHandler
  .thumb_set SRAM_M2M_IRQHandler,Dummy_Handler

  .weak SRAM_ERR_IRQHandler
  .thumb_set SRAM_ERR_IRQHandler,Dummy_Handler

  .weak SDMAC0_IRQHandler
  .thumb_set SDMAC0_IRQHandler,Dummy_Handler

  .weak SDMAC1_IRQHandler
  .thumb_set SDMAC1_IRQHandler,Dummy_Handler

  .weak SDMAC2_IRQHandler
  .thumb_set SDMAC2_IRQHandler,Dummy_Handler

  .weak SDMAC3_IRQHandler
  .thumb_set SDMAC3_IRQHandler,Dummy_Handler

  .weak SDMAC4_IRQHandler
  .thumb_set SDMAC4_IRQHandler,Dummy_Handler

  .weak SDMAC5_IRQHandler
  .thumb_set SDMAC5_IRQHandler,Dummy_Handler

  .weak SDMAC6_IRQHandler
  .thumb_set SDMAC6_IRQHandler,Dummy_Handler

  .weak SDMAC7_IRQHandler
  .thumb_set SDMAC7_IRQHandler,Dummy_Handler

  .weak SDMAC8_IRQHandler
  .thumb_set SDMAC8_IRQHandler,Dummy_Handler

  .weak SDMAC9_IRQHandler
  .thumb_set SDMAC9_IRQHandler,Dummy_Handler

  .weak SDMAC10_IRQHandler
  .thumb_set SDMAC10_IRQHandler,Dummy_Handler

  .weak SDMAC11_IRQHandler
  .thumb_set SDMAC11_IRQHandler,Dummy_Handler

  .weak SDMAC12_IRQHandler
  .thumb_set SDMAC12_IRQHandler,Dummy_Handler

  .weak SDMAC13_IRQHandler
  .thumb_set SDMAC13_IRQHandler,Dummy_Handler

  .weak SDMAC14_IRQHandler
  .thumb_set SDMAC14_IRQHandler,Dummy_Handler

  .weak SDMAC15_IRQHandler
  .thumb_set SDMAC15_IRQHandler,Dummy_Handler

  .weak ADVTMR0_IRQHandler
  .thumb_set ADVTMR0_IRQHandler,Dummy_Handler

  .weak ADVTMR1_IRQHandler
  .thumb_set ADVTMR1_IRQHandler,Dummy_Handler

  .weak ADVTMR2_IRQHandler
  .thumb_set ADVTMR2_IRQHandler,Dummy_Handler

  .weak ADVTMR3_IRQHandler
  .thumb_set ADVTMR3_IRQHandler,Dummy_Handler

  .weak ADVTMR0_CAP_IRQHandler
  .thumb_set ADVTMR0_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR1_CAP_IRQHandler
  .thumb_set ADVTMR1_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR2_CAP_IRQHandler
  .thumb_set ADVTMR2_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR3_CAP_IRQHandler
  .thumb_set ADVTMR3_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR0_CMP_IRQHandler
  .thumb_set ADVTMR0_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR1_CMP_IRQHandler
  .thumb_set ADVTMR1_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR2_CMP_IRQHandler
  .thumb_set ADVTMR2_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR3_CMP_IRQHandler
  .thumb_set ADVTMR3_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR4_IRQHandler
  .thumb_set ADVTMR4_IRQHandler,Dummy_Handler

  .weak ADVTMR5_IRQHandler
  .thumb_set ADVTMR5_IRQHandler,Dummy_Handler

  .weak ADVTMR6_IRQHandler
  .thumb_set ADVTMR6_IRQHandler,Dummy_Handler

  .weak ADVTMR7_IRQHandler
  .thumb_set ADVTMR7_IRQHandler,Dummy_Handler

  .weak ADVTMR4_CAP_IRQHandler
  .thumb_set ADVTMR4_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR5_CAP_IRQHandler
  .thumb_set ADVTMR5_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR6_CAP_IRQHandler
  .thumb_set ADVTMR6_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR7_CAP_IRQHandler
  .thumb_set ADVTMR7_CAP_IRQHandler,Dummy_Handler

  .weak ADVTMR4_CMP_IRQHandler
  .thumb_set ADVTMR4_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR5_CMP_IRQHandler
  .thumb_set ADVTMR5_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR6_CMP_IRQHandler
  .thumb_set ADVTMR6_CMP_IRQHandler,Dummy_Handler

  .weak ADVTMR7_CMP_IRQHandler
  .thumb_set ADVTMR7_CMP_IRQHandler,Dummy_Handler

  .weak SPIM0_IRQHandler
  .thumb_set SPIM0_IRQHandler,Dummy_Handler

  .weak SPIM0_TX_DONE_IRQHandler
  .thumb_set SPIM0_TX_DONE_IRQHandler,Dummy_Handler

  .weak SPIM1_IRQHandler
  .thumb_set SPIM1_IRQHandler,Dummy_Handler

  .weak SPIM1_TX_DONE_IRQHandler
  .thumb_set SPIM1_TX_DONE_IRQHandler,Dummy_Handler

  .weak SPIM2_IRQHandler
  .thumb_set SPIM2_IRQHandler,Dummy_Handler

  .weak SPIM2_TX_DONE_IRQHandler
  .thumb_set SPIM2_TX_DONE_IRQHandler,Dummy_Handler

  .weak SPIM3_IRQHandler
  .thumb_set SPIM3_IRQHandler,Dummy_Handler

  .weak SPIM3_TX_DONE_IRQHandler
  .thumb_set SPIM3_TX_DONE_IRQHandler,Dummy_Handler

  .weak UART0_IRQHandler
  .thumb_set UART0_IRQHandler,Dummy_Handler

  .weak UART1_IRQHandler
  .thumb_set UART1_IRQHandler,Dummy_Handler

  .weak UART2_IRQHandler
  .thumb_set UART2_IRQHandler,Dummy_Handler

  .weak UART3_IRQHandler
  .thumb_set UART3_IRQHandler,Dummy_Handler

  .weak I2C0_IRQHandler
  .thumb_set I2C0_IRQHandler,Dummy_Handler

  .weak I2C1_IRQHandler
  .thumb_set I2C1_IRQHandler,Dummy_Handler

  .weak I2SI0_IRQHandler
  .thumb_set I2SI0_IRQHandler,Dummy_Handler

  .weak I2SI0_ERR_IRQHandler
  .thumb_set I2SI0_ERR_IRQHandler,Dummy_Handler

  .weak I2SO0_IRQHandler
  .thumb_set I2SO0_IRQHandler,Dummy_Handler

  .weak I2SO0_ERR_IRQHandler
  .thumb_set I2SO0_ERR_IRQHandler,Dummy_Handler

  .weak I2SI1_IRQHandler
  .thumb_set I2SI1_IRQHandler,Dummy_Handler

  .weak I2SI1_ERR_IRQHandler
  .thumb_set I2SI1_ERR_IRQHandler,Dummy_Handler

  .weak I2SO1_IRQHandler
  .thumb_set I2SO1_IRQHandler,Dummy_Handler

  .weak I2SO1_ERR_IRQHandler
  .thumb_set I2SO1_ERR_IRQHandler,Dummy_Handler

  .weak I2SI2_IRQHandler
  .thumb_set I2SI2_IRQHandler,Dummy_Handler

  .weak I2SI2_ERR_IRQHandler
  .thumb_set I2SI2_ERR_IRQHandler,Dummy_Handler

  .weak ADCC12_IRQHandler
  .thumb_set ADCC12_IRQHandler,Dummy_Handler

  .weak AFEZ_IRQHandler
  .thumb_set AFEZ_IRQHandler,Dummy_Handler

  .weak DACC_IRQHandler
  .thumb_set DACC_IRQHandler,Dummy_Handler

  .weak USB_IRQHandler
  .thumb_set USB_IRQHandler,Dummy_Handler

  .weak GFX_STS_IRQHandler
  .thumb_set GFX_STS_IRQHandler,Dummy_Handler

  .weak GFX_MEM_IRQHandler
  .thumb_set GFX_MEM_IRQHandler,Dummy_Handler

  .weak DBIBC_IRQHandler
  .thumb_set DBIBC_IRQHandler,Dummy_Handler

  .weak DSI_INIT_IRQHandler
  .thumb_set DSI_INIT_IRQHandler,Dummy_Handler

  .weak DSI_RXTRIG_IRQHandler
  .thumb_set DSI_RXTRIG_IRQHandler,Dummy_Handler

  .weak DSI_RXERR_IRQHandler
  .thumb_set DSI_RXERR_IRQHandler,Dummy_Handler

  .weak DSI_PRTO_IRQHandler
  .thumb_set DSI_PRTO_IRQHandler,Dummy_Handler

  .weak DSI_APP_SIDE_ERR_IRQHandler
  .thumb_set DSI_APP_SIDE_ERR_IRQHandler,Dummy_Handler

  .weak DSI_RX_STATE_IRQHandler
  .thumb_set DSI_RX_STATE_IRQHandler,Dummy_Handler

  .weak DSI_CMD_IRQHandler
  .thumb_set DSI_CMD_IRQHandler,Dummy_Handler

  .weak CRA_IRQHandler
  .thumb_set CRA_IRQHandler,Dummy_Handler

  .weak TZCP_DONE_IRQHandler
  .thumb_set TZCP_DONE_IRQHandler,Dummy_Handler

  .weak TZCP_ENCERR_IRQHandler
  .thumb_set TZCP_ENCERR_IRQHandler,Dummy_Handler

  .weak TZCP_DECERR_IRQHandler
  .thumb_set TZCP_DECERR_IRQHandler,Dummy_Handler

  .weak TZCP_BUSERR_IRQHandler
  .thumb_set TZCP_BUSERR_IRQHandler,Dummy_Handler

  .weak SPINOFC_IRQHandler
  .thumb_set SPINOFC_IRQHandler,Dummy_Handler

  .weak SPIFC_IRQHandler
  .thumb_set SPIFC_IRQHandler,Dummy_Handler

  .weak EMMC0_IRQHandler
  .thumb_set EMMC0_IRQHandler,Dummy_Handler

  .weak EMMC0_WAKEUP_IRQHandler
  .thumb_set EMMC0_WAKEUP_IRQHandler,Dummy_Handler

  .weak EMMC1_IRQHandler
  .thumb_set EMMC1_IRQHandler,Dummy_Handler

  .weak EMMC1_WAKEUP_IRQHandler
  .thumb_set EMMC1_WAKEUP_IRQHandler,Dummy_Handler

  .weak MPIER_ERR_IRQHandler
  .thumb_set MPIER_ERR_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin0_IRQHandler
  .thumb_set GPIO0_Pin0_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin1_IRQHandler
  .thumb_set GPIO0_Pin1_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin2_IRQHandler
  .thumb_set GPIO0_Pin2_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin3_IRQHandler
  .thumb_set GPIO0_Pin3_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin4_IRQHandler
  .thumb_set GPIO0_Pin4_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin5_IRQHandler
  .thumb_set GPIO0_Pin5_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin6_IRQHandler
  .thumb_set GPIO0_Pin6_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin7_IRQHandler
  .thumb_set GPIO0_Pin7_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin8_IRQHandler
  .thumb_set GPIO0_Pin8_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin9_IRQHandler
  .thumb_set GPIO0_Pin9_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin10_IRQHandler
  .thumb_set GPIO0_Pin10_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin11_IRQHandler
  .thumb_set GPIO0_Pin11_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin12_IRQHandler
  .thumb_set GPIO0_Pin12_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin13_IRQHandler
  .thumb_set GPIO0_Pin13_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin14_IRQHandler
  .thumb_set GPIO0_Pin14_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin15_IRQHandler
  .thumb_set GPIO0_Pin15_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin16_IRQHandler
  .thumb_set GPIO0_Pin16_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin17_IRQHandler
  .thumb_set GPIO0_Pin17_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin18_IRQHandler
  .thumb_set GPIO0_Pin18_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin19_IRQHandler
  .thumb_set GPIO0_Pin19_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin20_IRQHandler
  .thumb_set GPIO0_Pin20_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin21_IRQHandler
  .thumb_set GPIO0_Pin21_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin22_IRQHandler
  .thumb_set GPIO0_Pin22_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin23_IRQHandler
  .thumb_set GPIO0_Pin23_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin24_IRQHandler
  .thumb_set GPIO0_Pin24_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin25_IRQHandler
  .thumb_set GPIO0_Pin25_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin26_IRQHandler
  .thumb_set GPIO0_Pin26_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin27_IRQHandler
  .thumb_set GPIO0_Pin27_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin28_IRQHandler
  .thumb_set GPIO0_Pin28_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin29_IRQHandler
  .thumb_set GPIO0_Pin29_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin30_IRQHandler
  .thumb_set GPIO0_Pin30_IRQHandler,Dummy_Handler

  .weak GPIO0_Pin31_IRQHandler
  .thumb_set GPIO0_Pin31_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin0_IRQHandler
  .thumb_set GPIO1_Pin0_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin1_IRQHandler
  .thumb_set GPIO1_Pin1_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin2_IRQHandler
  .thumb_set GPIO1_Pin2_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin3_IRQHandler
  .thumb_set GPIO1_Pin3_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin4_IRQHandler
  .thumb_set GPIO1_Pin4_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin5_IRQHandler
  .thumb_set GPIO1_Pin5_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin6_IRQHandler
  .thumb_set GPIO1_Pin6_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin7_IRQHandler
  .thumb_set GPIO1_Pin7_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin8_IRQHandler
  .thumb_set GPIO1_Pin8_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin9_IRQHandler
  .thumb_set GPIO1_Pin9_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin10_IRQHandler
  .thumb_set GPIO1_Pin10_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin11_IRQHandler
  .thumb_set GPIO1_Pin11_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin12_IRQHandler
  .thumb_set GPIO1_Pin12_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin13_IRQHandler
  .thumb_set GPIO1_Pin13_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin14_IRQHandler
  .thumb_set GPIO1_Pin14_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin15_IRQHandler
  .thumb_set GPIO1_Pin15_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin16_IRQHandler
  .thumb_set GPIO1_Pin16_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin17_IRQHandler
  .thumb_set GPIO1_Pin17_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin18_IRQHandler
  .thumb_set GPIO1_Pin18_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin19_IRQHandler
  .thumb_set GPIO1_Pin19_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin20_IRQHandler
  .thumb_set GPIO1_Pin20_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin21_IRQHandler
  .thumb_set GPIO1_Pin21_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin22_IRQHandler
  .thumb_set GPIO1_Pin22_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin23_IRQHandler
  .thumb_set GPIO1_Pin23_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin24_IRQHandler
  .thumb_set GPIO1_Pin24_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin25_IRQHandler
  .thumb_set GPIO1_Pin25_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin26_IRQHandler
  .thumb_set GPIO1_Pin26_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin27_IRQHandler
  .thumb_set GPIO1_Pin27_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin28_IRQHandler
  .thumb_set GPIO1_Pin28_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin29_IRQHandler
  .thumb_set GPIO1_Pin29_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin30_IRQHandler
  .thumb_set GPIO1_Pin30_IRQHandler,Dummy_Handler

  .weak GPIO1_Pin31_IRQHandler
  .thumb_set GPIO1_Pin31_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin0_IRQHandler
  .thumb_set GPIO2_Pin0_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin1_IRQHandler
  .thumb_set GPIO2_Pin1_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin2_IRQHandler
  .thumb_set GPIO2_Pin2_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin3_IRQHandler
  .thumb_set GPIO2_Pin3_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin4_IRQHandler
  .thumb_set GPIO2_Pin4_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin5_IRQHandler
  .thumb_set GPIO2_Pin5_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin6_IRQHandler
  .thumb_set GPIO2_Pin6_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin7_IRQHandler
  .thumb_set GPIO2_Pin7_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin8_IRQHandler
  .thumb_set GPIO2_Pin8_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin9_IRQHandler
  .thumb_set GPIO2_Pin9_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin10_IRQHandler
  .thumb_set GPIO2_Pin10_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin11_IRQHandler
  .thumb_set GPIO2_Pin11_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin12_IRQHandler
  .thumb_set GPIO2_Pin12_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin13_IRQHandler
  .thumb_set GPIO2_Pin13_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin14_IRQHandler
  .thumb_set GPIO2_Pin14_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin15_IRQHandler
  .thumb_set GPIO2_Pin15_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin16_IRQHandler
  .thumb_set GPIO2_Pin16_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin17_IRQHandler
  .thumb_set GPIO2_Pin17_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin18_IRQHandler
  .thumb_set GPIO2_Pin18_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin19_IRQHandler
  .thumb_set GPIO2_Pin19_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin20_IRQHandler
  .thumb_set GPIO2_Pin20_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin21_IRQHandler
  .thumb_set GPIO2_Pin21_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin22_IRQHandler
  .thumb_set GPIO2_Pin22_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin23_IRQHandler
  .thumb_set GPIO2_Pin23_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin24_IRQHandler
  .thumb_set GPIO2_Pin24_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin25_IRQHandler
  .thumb_set GPIO2_Pin25_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin26_IRQHandler
  .thumb_set GPIO2_Pin26_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin27_IRQHandler
  .thumb_set GPIO2_Pin27_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin28_IRQHandler
  .thumb_set GPIO2_Pin28_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin29_IRQHandler
  .thumb_set GPIO2_Pin29_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin30_IRQHandler
  .thumb_set GPIO2_Pin30_IRQHandler,Dummy_Handler

  .weak GPIO2_Pin31_IRQHandler
  .thumb_set GPIO2_Pin31_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin0_IRQHandler
  .thumb_set GPIO3_Pin0_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin1_IRQHandler
  .thumb_set GPIO3_Pin1_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin2_IRQHandler
  .thumb_set GPIO3_Pin2_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin3_IRQHandler
  .thumb_set GPIO3_Pin3_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin4_IRQHandler
  .thumb_set GPIO3_Pin4_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin5_IRQHandler
  .thumb_set GPIO3_Pin5_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin6_IRQHandler
  .thumb_set GPIO3_Pin6_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin7_IRQHandler
  .thumb_set GPIO3_Pin7_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin8_IRQHandler
  .thumb_set GPIO3_Pin8_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin9_IRQHandler
  .thumb_set GPIO3_Pin9_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin10_IRQHandler
  .thumb_set GPIO3_Pin10_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin11_IRQHandler
  .thumb_set GPIO3_Pin11_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin12_IRQHandler
  .thumb_set GPIO3_Pin12_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin13_IRQHandler
  .thumb_set GPIO3_Pin13_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin14_IRQHandler
  .thumb_set GPIO3_Pin14_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin15_IRQHandler
  .thumb_set GPIO3_Pin15_IRQHandler,Dummy_Handler

  .weak GPIO3_Pin16_IRQHandler
  .thumb_set GPIO3_Pin16_IRQHandler,Dummy_Handler

#else

  .thumb_func
  .weak PMU_WAKEUP_PA00_IRQHandler
PMU_WAKEUP_PA00_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA01_IRQHandler
PMU_WAKEUP_PA01_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA02_IRQHandler
PMU_WAKEUP_PA02_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA03_IRQHandler
PMU_WAKEUP_PA03_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA04_IRQHandler
PMU_WAKEUP_PA04_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA05_IRQHandler
PMU_WAKEUP_PA05_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA06_IRQHandler
PMU_WAKEUP_PA06_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA07_IRQHandler
PMU_WAKEUP_PA07_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA08_IRQHandler
PMU_WAKEUP_PA08_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA09_IRQHandler
PMU_WAKEUP_PA09_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA10_IRQHandler
PMU_WAKEUP_PA10_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_PA11_IRQHandler
PMU_WAKEUP_PA11_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_RTC_ALARM_IRQHandler
PMU_WAKEUP_RTC_ALARM_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_RTC_PERIOD_IRQHandler
PMU_WAKEUP_RTC_PERIOD_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_RTC_TMR0_IRQHandler
PMU_WAKEUP_RTC_TMR0_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_RTC_TMR1_IRQHandler
PMU_WAKEUP_RTC_TMR1_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_BOR_IRQHandler
PMU_WAKEUP_BOR_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_TMR_IRQHandler
PMU_WAKEUP_TMR_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_SPIM_IRQHandler
PMU_WAKEUP_SPIM_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_UART_IRQHandler
PMU_WAKEUP_UART_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_I2C_IRQHandler
PMU_WAKEUP_I2C_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_ADCC12_IRQHandler
PMU_WAKEUP_ADCC12_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_AFEZ_IRQHandler
PMU_WAKEUP_AFEZ_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_DACC_IRQHandler
PMU_WAKEUP_DACC_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_EMMC_IRQHandler
PMU_WAKEUP_EMMC_IRQHandler:
  b .

  .thumb_func
  .weak PMU_WAKEUP_DEBUGIN_IRQHandler
PMU_WAKEUP_DEBUGIN_IRQHandler:
  b .

  .thumb_func
  .weak PMU_CLKSTABLE_IRQHandler
PMU_CLKSTABLE_IRQHandler:
  b .

  .thumb_func
  .weak FPU_IRQHandler
FPU_IRQHandler:
  b .

  .thumb_func
  .weak WDT_IRQHandler
WDT_IRQHandler:
  b .

  .thumb_func
  .weak RTC_ALARM_IRQHandler
RTC_ALARM_IRQHandler:
  b .

  .thumb_func
  .weak RTC_PERIOD_IRQHandler
RTC_PERIOD_IRQHandler:
  b .

  .thumb_func
  .weak RTC_TMR0_IRQHandler
RTC_TMR0_IRQHandler:
  b .

  .thumb_func
  .weak RTC_TMR1_IRQHandler
RTC_TMR1_IRQHandler:
  b .

  .thumb_func
  .weak TMR0_IRQHandler
TMR0_IRQHandler:
  b .

  .thumb_func
  .weak TMR1_IRQHandler
TMR1_IRQHandler:
  b .

  .thumb_func
  .weak SRAM_M2M_IRQHandler
SRAM_M2M_IRQHandler:
  b .

  .thumb_func
  .weak SRAM_ERR_IRQHandler
SRAM_ERR_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC0_IRQHandler
SDMAC0_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC1_IRQHandler
SDMAC1_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC2_IRQHandler
SDMAC2_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC3_IRQHandler
SDMAC3_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC4_IRQHandler
SDMAC4_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC5_IRQHandler
SDMAC5_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC6_IRQHandler
SDMAC6_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC7_IRQHandler
SDMAC7_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC8_IRQHandler
SDMAC8_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC9_IRQHandler
SDMAC9_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC10_IRQHandler
SDMAC10_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC11_IRQHandler
SDMAC11_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC12_IRQHandler
SDMAC12_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC13_IRQHandler
SDMAC13_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC14_IRQHandler
SDMAC14_IRQHandler:
  b .

  .thumb_func
  .weak SDMAC15_IRQHandler
SDMAC15_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR0_IRQHandler
ADVTMR0_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR1_IRQHandler
ADVTMR1_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR2_IRQHandler
ADVTMR2_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR3_IRQHandler
ADVTMR3_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR0_CAP_IRQHandler
ADVTMR0_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR1_CAP_IRQHandler
ADVTMR1_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR2_CAP_IRQHandler
ADVTMR2_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR3_CAP_IRQHandler
ADVTMR3_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR0_CMP_IRQHandler
ADVTMR0_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR1_CMP_IRQHandler
ADVTMR1_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR2_CMP_IRQHandler
ADVTMR2_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR3_CMP_IRQHandler
ADVTMR3_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR4_IRQHandler
ADVTMR4_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR5_IRQHandler
ADVTMR5_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR6_IRQHandler
ADVTMR6_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR7_IRQHandler
ADVTMR7_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR4_CAP_IRQHandler
ADVTMR4_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR5_CAP_IRQHandler
ADVTMR5_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR6_CAP_IRQHandler
ADVTMR6_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR7_CAP_IRQHandler
ADVTMR7_CAP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR4_CMP_IRQHandler
ADVTMR4_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR5_CMP_IRQHandler
ADVTMR5_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR6_CMP_IRQHandler
ADVTMR6_CMP_IRQHandler:
  b .

  .thumb_func
  .weak ADVTMR7_CMP_IRQHandler
ADVTMR7_CMP_IRQHandler:
  b .

  .thumb_func
  .weak SPIM0_IRQHandler
SPIM0_IRQHandler:
  b .

  .thumb_func
  .weak SPIM0_TX_DONE_IRQHandler
SPIM0_TX_DONE_IRQHandler:
  b .

  .thumb_func
  .weak SPIM1_IRQHandler
SPIM1_IRQHandler:
  b .

  .thumb_func
  .weak SPIM1_TX_DONE_IRQHandler
SPIM1_TX_DONE_IRQHandler:
  b .

  .thumb_func
  .weak SPIM2_IRQHandler
SPIM2_IRQHandler:
  b .

  .thumb_func
  .weak SPIM2_TX_DONE_IRQHandler
SPIM2_TX_DONE_IRQHandler:
  b .

  .thumb_func
  .weak SPIM3_IRQHandler
SPIM3_IRQHandler:
  b .

  .thumb_func
  .weak SPIM3_TX_DONE_IRQHandler
SPIM3_TX_DONE_IRQHandler:
  b .

  .thumb_func
  .weak UART0_IRQHandler
UART0_IRQHandler:
  b .

  .thumb_func
  .weak UART1_IRQHandler
UART1_IRQHandler:
  b .

  .thumb_func
  .weak UART2_IRQHandler
UART2_IRQHandler:
  b .

  .thumb_func
  .weak UART3_IRQHandler
UART3_IRQHandler:
  b .

  .thumb_func
  .weak I2C0_IRQHandler
I2C0_IRQHandler:
  b .

  .thumb_func
  .weak I2C1_IRQHandler
I2C1_IRQHandler:
  b .

  .thumb_func
  .weak I2SI0_IRQHandler
I2SI0_IRQHandler:
  b .

  .thumb_func
  .weak I2SI0_ERR_IRQHandler
I2SI0_ERR_IRQHandler:
  b .

  .thumb_func
  .weak I2SO0_IRQHandler
I2SO0_IRQHandler:
  b .

  .thumb_func
  .weak I2SO0_ERR_IRQHandler
I2SO0_ERR_IRQHandler:
  b .

  .thumb_func
  .weak I2SI1_IRQHandler
I2SI1_IRQHandler:
  b .

  .thumb_func
  .weak I2SI1_ERR_IRQHandler
I2SI1_ERR_IRQHandler:
  b .

  .thumb_func
  .weak I2SO1_IRQHandler
I2SO1_IRQHandler:
  b .

  .thumb_func
  .weak I2SO1_ERR_IRQHandler
I2SO1_ERR_IRQHandler:
  b .

  .thumb_func
  .weak I2SI2_IRQHandler
I2SI2_IRQHandler:
  b .

  .thumb_func
  .weak I2SI2_ERR_IRQHandler
I2SI2_ERR_IRQHandler:
  b .

  .thumb_func
  .weak ADCC12_IRQHandler
ADCC12_IRQHandler:
  b .

  .thumb_func
  .weak AFEZ_IRQHandler
AFEZ_IRQHandler:
  b .

  .thumb_func
  .weak DACC_IRQHandler
DACC_IRQHandler:
  b .

  .thumb_func
  .weak USB_IRQHandler
USB_IRQHandler:
  b .

  .thumb_func
  .weak GFX_STS_IRQHandler
GFX_STS_IRQHandler:
  b .

  .thumb_func
  .weak GFX_MEM_IRQHandler
GFX_MEM_IRQHandler:
  b .

  .thumb_func
  .weak DBIBC_IRQHandler
DBIBC_IRQHandler:
  b .

  .thumb_func
  .weak DSI_INIT_IRQHandler
DSI_INIT_IRQHandler:
  b .

  .thumb_func
  .weak DSI_RXTRIG_IRQHandler
DSI_RXTRIG_IRQHandler:
  b .

  .thumb_func
  .weak DSI_RXERR_IRQHandler
DSI_RXERR_IRQHandler:
  b .

  .thumb_func
  .weak DSI_PRTO_IRQHandler
DSI_PRTO_IRQHandler:
  b .

  .thumb_func
  .weak DSI_APP_SIDE_ERR_IRQHandler
DSI_APP_SIDE_ERR_IRQHandler:
  b .

  .thumb_func
  .weak DSI_RX_STATE_IRQHandler
DSI_RX_STATE_IRQHandler:
  b .

  .thumb_func
  .weak DSI_CMD_IRQHandler
DSI_CMD_IRQHandler:
  b .

  .thumb_func
  .weak CRA_IRQHandler
CRA_IRQHandler:
  b .

  .thumb_func
  .weak TZCP_DONE_IRQHandler
TZCP_DONE_IRQHandler:
  b .

  .thumb_func
  .weak TZCP_ENCERR_IRQHandler
TZCP_ENCERR_IRQHandler:
  b .

  .thumb_func
  .weak TZCP_DECERR_IRQHandler
TZCP_DECERR_IRQHandler:
  b .

  .thumb_func
  .weak TZCP_BUSERR_IRQHandler
TZCP_BUSERR_IRQHandler:
  b .

  .thumb_func
  .weak SPINOFC_IRQHandler
SPINOFC_IRQHandler:
  b .

  .thumb_func
  .weak SPIFC_IRQHandler
SPIFC_IRQHandler:
  b .

  .thumb_func
  .weak EMMC0_IRQHandler
EMMC0_IRQHandler:
  b .

  .thumb_func
  .weak EMMC0_WAKEUP_IRQHandler
EMMC0_WAKEUP_IRQHandler:
  b .

  .thumb_func
  .weak EMMC1_IRQHandler
EMMC1_IRQHandler:
  b .

  .thumb_func
  .weak EMMC1_WAKEUP_IRQHandler
EMMC1_WAKEUP_IRQHandler:
  b .

  .thumb_func
  .weak MPIER_ERR_IRQHandler
MPIER_ERR_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin0_IRQHandler
GPIO0_Pin0_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin1_IRQHandler
GPIO0_Pin1_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin2_IRQHandler
GPIO0_Pin2_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin3_IRQHandler
GPIO0_Pin3_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin4_IRQHandler
GPIO0_Pin4_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin5_IRQHandler
GPIO0_Pin5_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin6_IRQHandler
GPIO0_Pin6_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin7_IRQHandler
GPIO0_Pin7_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin8_IRQHandler
GPIO0_Pin8_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin9_IRQHandler
GPIO0_Pin9_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin10_IRQHandler
GPIO0_Pin10_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin11_IRQHandler
GPIO0_Pin11_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin12_IRQHandler
GPIO0_Pin12_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin13_IRQHandler
GPIO0_Pin13_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin14_IRQHandler
GPIO0_Pin14_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin15_IRQHandler
GPIO0_Pin15_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin16_IRQHandler
GPIO0_Pin16_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin17_IRQHandler
GPIO0_Pin17_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin18_IRQHandler
GPIO0_Pin18_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin19_IRQHandler
GPIO0_Pin19_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin20_IRQHandler
GPIO0_Pin20_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin21_IRQHandler
GPIO0_Pin21_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin22_IRQHandler
GPIO0_Pin22_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin23_IRQHandler
GPIO0_Pin23_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin24_IRQHandler
GPIO0_Pin24_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin25_IRQHandler
GPIO0_Pin25_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin26_IRQHandler
GPIO0_Pin26_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin27_IRQHandler
GPIO0_Pin27_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin28_IRQHandler
GPIO0_Pin28_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin29_IRQHandler
GPIO0_Pin29_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin30_IRQHandler
GPIO0_Pin30_IRQHandler:
  b .

  .thumb_func
  .weak GPIO0_Pin31_IRQHandler
GPIO0_Pin31_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin0_IRQHandler
GPIO1_Pin0_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin1_IRQHandler
GPIO1_Pin1_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin2_IRQHandler
GPIO1_Pin2_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin3_IRQHandler
GPIO1_Pin3_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin4_IRQHandler
GPIO1_Pin4_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin5_IRQHandler
GPIO1_Pin5_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin6_IRQHandler
GPIO1_Pin6_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin7_IRQHandler
GPIO1_Pin7_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin8_IRQHandler
GPIO1_Pin8_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin9_IRQHandler
GPIO1_Pin9_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin10_IRQHandler
GPIO1_Pin10_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin11_IRQHandler
GPIO1_Pin11_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin12_IRQHandler
GPIO1_Pin12_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin13_IRQHandler
GPIO1_Pin13_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin14_IRQHandler
GPIO1_Pin14_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin15_IRQHandler
GPIO1_Pin15_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin16_IRQHandler
GPIO1_Pin16_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin17_IRQHandler
GPIO1_Pin17_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin18_IRQHandler
GPIO1_Pin18_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin19_IRQHandler
GPIO1_Pin19_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin20_IRQHandler
GPIO1_Pin20_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin21_IRQHandler
GPIO1_Pin21_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin22_IRQHandler
GPIO1_Pin22_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin23_IRQHandler
GPIO1_Pin23_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin24_IRQHandler
GPIO1_Pin24_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin25_IRQHandler
GPIO1_Pin25_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin26_IRQHandler
GPIO1_Pin26_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin27_IRQHandler
GPIO1_Pin27_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin28_IRQHandler
GPIO1_Pin28_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin29_IRQHandler
GPIO1_Pin29_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin30_IRQHandler
GPIO1_Pin30_IRQHandler:
  b .

  .thumb_func
  .weak GPIO1_Pin31_IRQHandler
GPIO1_Pin31_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin0_IRQHandler
GPIO2_Pin0_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin1_IRQHandler
GPIO2_Pin1_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin2_IRQHandler
GPIO2_Pin2_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin3_IRQHandler
GPIO2_Pin3_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin4_IRQHandler
GPIO2_Pin4_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin5_IRQHandler
GPIO2_Pin5_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin6_IRQHandler
GPIO2_Pin6_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin7_IRQHandler
GPIO2_Pin7_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin8_IRQHandler
GPIO2_Pin8_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin9_IRQHandler
GPIO2_Pin9_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin10_IRQHandler
GPIO2_Pin10_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin11_IRQHandler
GPIO2_Pin11_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin12_IRQHandler
GPIO2_Pin12_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin13_IRQHandler
GPIO2_Pin13_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin14_IRQHandler
GPIO2_Pin14_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin15_IRQHandler
GPIO2_Pin15_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin16_IRQHandler
GPIO2_Pin16_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin17_IRQHandler
GPIO2_Pin17_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin18_IRQHandler
GPIO2_Pin18_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin19_IRQHandler
GPIO2_Pin19_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin20_IRQHandler
GPIO2_Pin20_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin21_IRQHandler
GPIO2_Pin21_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin22_IRQHandler
GPIO2_Pin22_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin23_IRQHandler
GPIO2_Pin23_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin24_IRQHandler
GPIO2_Pin24_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin25_IRQHandler
GPIO2_Pin25_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin26_IRQHandler
GPIO2_Pin26_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin27_IRQHandler
GPIO2_Pin27_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin28_IRQHandler
GPIO2_Pin28_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin29_IRQHandler
GPIO2_Pin29_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin30_IRQHandler
GPIO2_Pin30_IRQHandler:
  b .

  .thumb_func
  .weak GPIO2_Pin31_IRQHandler
GPIO2_Pin31_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin0_IRQHandler
GPIO3_Pin0_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin1_IRQHandler
GPIO3_Pin1_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin2_IRQHandler
GPIO3_Pin2_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin3_IRQHandler
GPIO3_Pin3_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin4_IRQHandler
GPIO3_Pin4_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin5_IRQHandler
GPIO3_Pin5_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin6_IRQHandler
GPIO3_Pin6_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin7_IRQHandler
GPIO3_Pin7_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin8_IRQHandler
GPIO3_Pin8_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin9_IRQHandler
GPIO3_Pin9_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin10_IRQHandler
GPIO3_Pin10_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin11_IRQHandler
GPIO3_Pin11_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin12_IRQHandler
GPIO3_Pin12_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin13_IRQHandler
GPIO3_Pin13_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin14_IRQHandler
GPIO3_Pin14_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin15_IRQHandler
GPIO3_Pin15_IRQHandler:
  b .

  .thumb_func
  .weak GPIO3_Pin16_IRQHandler
GPIO3_Pin16_IRQHandler:
  b .

#endif

/*****************************************************************************
 * Vector Table                                                              *
 *****************************************************************************/

  .section .vectors, "ax"
  .align 2
  .global _vectors
  .extern __stack_end__
  .extern Reset_Handler

_vectors:
  .word __stack_end__
  .word Reset_Handler
  .word NMI_Handler
  .word HardFault_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word SVC_Handler
  .word 0 /* Reserved */
  .word 0 /* Reserved */
  .word PendSV_Handler
  .word SysTick_Handler
  .word PMU_WAKEUP_PA00_IRQHandler
  .word PMU_WAKEUP_PA01_IRQHandler
  .word PMU_WAKEUP_PA02_IRQHandler
  .word PMU_WAKEUP_PA03_IRQHandler
  .word PMU_WAKEUP_PA04_IRQHandler
  .word PMU_WAKEUP_PA05_IRQHandler
  .word PMU_WAKEUP_PA06_IRQHandler
  .word PMU_WAKEUP_PA07_IRQHandler
  .word PMU_WAKEUP_PA08_IRQHandler
  .word PMU_WAKEUP_PA09_IRQHandler
  .word PMU_WAKEUP_PA10_IRQHandler
  .word PMU_WAKEUP_PA11_IRQHandler
  .word PMU_WAKEUP_RTC_ALARM_IRQHandler
  .word PMU_WAKEUP_RTC_PERIOD_IRQHandler
  .word PMU_WAKEUP_RTC_TMR0_IRQHandler
  .word PMU_WAKEUP_RTC_TMR1_IRQHandler
  .word PMU_WAKEUP_BOR_IRQHandler
  .word PMU_WAKEUP_TMR_IRQHandler
  .word PMU_WAKEUP_SPIM_IRQHandler
  .word PMU_WAKEUP_UART_IRQHandler
  .word PMU_WAKEUP_I2C_IRQHandler
  .word PMU_WAKEUP_ADCC12_IRQHandler
  .word PMU_WAKEUP_AFEZ_IRQHandler
  .word PMU_WAKEUP_DACC_IRQHandler
  .word PMU_WAKEUP_EMMC_IRQHandler
  .word PMU_WAKEUP_DEBUGIN_IRQHandler
  .word PMU_CLKSTABLE_IRQHandler
  .word FPU_IRQHandler
  .word WDT_IRQHandler
  .word RTC_ALARM_IRQHandler
  .word RTC_PERIOD_IRQHandler
  .word RTC_TMR0_IRQHandler
  .word RTC_TMR1_IRQHandler
  .word TMR0_IRQHandler
  .word TMR1_IRQHandler
  .word SRAM_M2M_IRQHandler
  .word SRAM_ERR_IRQHandler
  .word SDMAC0_IRQHandler
  .word SDMAC1_IRQHandler
  .word SDMAC2_IRQHandler
  .word SDMAC3_IRQHandler
  .word SDMAC4_IRQHandler
  .word SDMAC5_IRQHandler
  .word SDMAC6_IRQHandler
  .word SDMAC7_IRQHandler
  .word SDMAC8_IRQHandler
  .word SDMAC9_IRQHandler
  .word SDMAC10_IRQHandler
  .word SDMAC11_IRQHandler
  .word SDMAC12_IRQHandler
  .word SDMAC13_IRQHandler
  .word SDMAC14_IRQHandler
  .word SDMAC15_IRQHandler
  .word ADVTMR0_IRQHandler
  .word ADVTMR1_IRQHandler
  .word ADVTMR2_IRQHandler
  .word ADVTMR3_IRQHandler
  .word ADVTMR0_CAP_IRQHandler
  .word ADVTMR1_CAP_IRQHandler
  .word ADVTMR2_CAP_IRQHandler
  .word ADVTMR3_CAP_IRQHandler
  .word ADVTMR0_CMP_IRQHandler
  .word ADVTMR1_CMP_IRQHandler
  .word ADVTMR2_CMP_IRQHandler
  .word ADVTMR3_CMP_IRQHandler
  .word ADVTMR4_IRQHandler
  .word ADVTMR5_IRQHandler
  .word ADVTMR6_IRQHandler
  .word ADVTMR7_IRQHandler
  .word ADVTMR4_CAP_IRQHandler
  .word ADVTMR5_CAP_IRQHandler
  .word ADVTMR6_CAP_IRQHandler
  .word ADVTMR7_CAP_IRQHandler
  .word ADVTMR4_CMP_IRQHandler
  .word ADVTMR5_CMP_IRQHandler
  .word ADVTMR6_CMP_IRQHandler
  .word ADVTMR7_CMP_IRQHandler
  .word SPIM0_IRQHandler
  .word SPIM0_TX_DONE_IRQHandler
  .word SPIM1_IRQHandler
  .word SPIM1_TX_DONE_IRQHandler
  .word SPIM2_IRQHandler
  .word SPIM2_TX_DONE_IRQHandler
  .word SPIM3_IRQHandler
  .word SPIM3_TX_DONE_IRQHandler
  .word UART0_IRQHandler
  .word UART1_IRQHandler
  .word UART2_IRQHandler
  .word UART3_IRQHandler
  .word I2C0_IRQHandler
  .word I2C1_IRQHandler
  .word I2SI0_IRQHandler
  .word I2SI0_ERR_IRQHandler
  .word I2SO0_IRQHandler
  .word I2SO0_ERR_IRQHandler
  .word I2SI1_IRQHandler
  .word I2SI1_ERR_IRQHandler
  .word I2SO1_IRQHandler
  .word I2SO1_ERR_IRQHandler
  .word I2SI2_IRQHandler
  .word I2SI2_ERR_IRQHandler
  .word ADCC12_IRQHandler
  .word AFEZ_IRQHandler
  .word DACC_IRQHandler
  .word USB_IRQHandler
  .word GFX_STS_IRQHandler
  .word GFX_MEM_IRQHandler
  .word DBIBC_IRQHandler
  .word DSI_INIT_IRQHandler
  .word DSI_RXTRIG_IRQHandler
  .word DSI_RXERR_IRQHandler
  .word DSI_PRTO_IRQHandler
  .word DSI_APP_SIDE_ERR_IRQHandler
  .word DSI_RX_STATE_IRQHandler
  .word DSI_CMD_IRQHandler
  .word CRA_IRQHandler
  .word TZCP_DONE_IRQHandler
  .word TZCP_ENCERR_IRQHandler
  .word TZCP_DECERR_IRQHandler
  .word TZCP_BUSERR_IRQHandler
  .word SPINOFC_IRQHandler
  .word SPIFC_IRQHandler
  .word EMMC0_IRQHandler
  .word EMMC0_WAKEUP_IRQHandler
  .word EMMC1_IRQHandler
  .word EMMC1_WAKEUP_IRQHandler
  .word MPIER_ERR_IRQHandler
  .word GPIO0_Pin0_IRQHandler
  .word GPIO0_Pin1_IRQHandler
  .word GPIO0_Pin2_IRQHandler
  .word GPIO0_Pin3_IRQHandler
  .word GPIO0_Pin4_IRQHandler
  .word GPIO0_Pin5_IRQHandler
  .word GPIO0_Pin6_IRQHandler
  .word GPIO0_Pin7_IRQHandler
  .word GPIO0_Pin8_IRQHandler
  .word GPIO0_Pin9_IRQHandler
  .word GPIO0_Pin10_IRQHandler
  .word GPIO0_Pin11_IRQHandler
  .word GPIO0_Pin12_IRQHandler
  .word GPIO0_Pin13_IRQHandler
  .word GPIO0_Pin14_IRQHandler
  .word GPIO0_Pin15_IRQHandler
  .word GPIO0_Pin16_IRQHandler
  .word GPIO0_Pin17_IRQHandler
  .word GPIO0_Pin18_IRQHandler
  .word GPIO0_Pin19_IRQHandler
  .word GPIO0_Pin20_IRQHandler
  .word GPIO0_Pin21_IRQHandler
  .word GPIO0_Pin22_IRQHandler
  .word GPIO0_Pin23_IRQHandler
  .word GPIO0_Pin24_IRQHandler
  .word GPIO0_Pin25_IRQHandler
  .word GPIO0_Pin26_IRQHandler
  .word GPIO0_Pin27_IRQHandler
  .word GPIO0_Pin28_IRQHandler
  .word GPIO0_Pin29_IRQHandler
  .word GPIO0_Pin30_IRQHandler
  .word GPIO0_Pin31_IRQHandler
  .word GPIO1_Pin0_IRQHandler
  .word GPIO1_Pin1_IRQHandler
  .word GPIO1_Pin2_IRQHandler
  .word GPIO1_Pin3_IRQHandler
  .word GPIO1_Pin4_IRQHandler
  .word GPIO1_Pin5_IRQHandler
  .word GPIO1_Pin6_IRQHandler
  .word GPIO1_Pin7_IRQHandler
  .word GPIO1_Pin8_IRQHandler
  .word GPIO1_Pin9_IRQHandler
  .word GPIO1_Pin10_IRQHandler
  .word GPIO1_Pin11_IRQHandler
  .word GPIO1_Pin12_IRQHandler
  .word GPIO1_Pin13_IRQHandler
  .word GPIO1_Pin14_IRQHandler
  .word GPIO1_Pin15_IRQHandler
  .word GPIO1_Pin16_IRQHandler
  .word GPIO1_Pin17_IRQHandler
  .word GPIO1_Pin18_IRQHandler
  .word GPIO1_Pin19_IRQHandler
  .word GPIO1_Pin20_IRQHandler
  .word GPIO1_Pin21_IRQHandler
  .word GPIO1_Pin22_IRQHandler
  .word GPIO1_Pin23_IRQHandler
  .word GPIO1_Pin24_IRQHandler
  .word GPIO1_Pin25_IRQHandler
  .word GPIO1_Pin26_IRQHandler
  .word GPIO1_Pin27_IRQHandler
  .word GPIO1_Pin28_IRQHandler
  .word GPIO1_Pin29_IRQHandler
  .word GPIO1_Pin30_IRQHandler
  .word GPIO1_Pin31_IRQHandler
  .word GPIO2_Pin0_IRQHandler
  .word GPIO2_Pin1_IRQHandler
  .word GPIO2_Pin2_IRQHandler
  .word GPIO2_Pin3_IRQHandler
  .word GPIO2_Pin4_IRQHandler
  .word GPIO2_Pin5_IRQHandler
  .word GPIO2_Pin6_IRQHandler
  .word GPIO2_Pin7_IRQHandler
  .word GPIO2_Pin8_IRQHandler
  .word GPIO2_Pin9_IRQHandler
  .word GPIO2_Pin10_IRQHandler
  .word GPIO2_Pin11_IRQHandler
  .word GPIO2_Pin12_IRQHandler
  .word GPIO2_Pin13_IRQHandler
  .word GPIO2_Pin14_IRQHandler
  .word GPIO2_Pin15_IRQHandler
  .word GPIO2_Pin16_IRQHandler
  .word GPIO2_Pin17_IRQHandler
  .word GPIO2_Pin18_IRQHandler
  .word GPIO2_Pin19_IRQHandler
  .word GPIO2_Pin20_IRQHandler
  .word GPIO2_Pin21_IRQHandler
  .word GPIO2_Pin22_IRQHandler
  .word GPIO2_Pin23_IRQHandler
  .word GPIO2_Pin24_IRQHandler
  .word GPIO2_Pin25_IRQHandler
  .word GPIO2_Pin26_IRQHandler
  .word GPIO2_Pin27_IRQHandler
  .word GPIO2_Pin28_IRQHandler
  .word GPIO2_Pin29_IRQHandler
  .word GPIO2_Pin30_IRQHandler
  .word GPIO2_Pin31_IRQHandler
  .word GPIO3_Pin0_IRQHandler
  .word GPIO3_Pin1_IRQHandler
  .word GPIO3_Pin2_IRQHandler
  .word GPIO3_Pin3_IRQHandler
  .word GPIO3_Pin4_IRQHandler
  .word GPIO3_Pin5_IRQHandler
  .word GPIO3_Pin6_IRQHandler
  .word GPIO3_Pin7_IRQHandler
  .word GPIO3_Pin8_IRQHandler
  .word GPIO3_Pin9_IRQHandler
  .word GPIO3_Pin10_IRQHandler
  .word GPIO3_Pin11_IRQHandler
  .word GPIO3_Pin12_IRQHandler
  .word GPIO3_Pin13_IRQHandler
  .word GPIO3_Pin14_IRQHandler
  .word GPIO3_Pin15_IRQHandler
  .word GPIO3_Pin16_IRQHandler
_vectors_end:

#ifdef VECTORS_IN_RAM
  .section .vectors_ram, "ax"
  .align 2
  .global _vectors_ram

_vectors_ram:
  .space _vectors_end - _vectors, 0
#endif
