
/****************************************************************************************************//**
 * @file     TZ12xx.h
 *
 * @brief    CMSIS Cortex-M4 Peripheral Access Layer Header File for
 *           TZ12xx from .
 *
 * @date     3. August 2016
 *
 * @note     Generated with SVDConv V2.86d 
 *           from CMSIS SVD File 'TZ12xx.svd' Version 0.1,
 *******************************************************************************************************/

/*
 * COPYRIGHT (C) 2015
 * TOSHIBA CORPORATION STORAGE & ELECTRONIC DEVICES SOLUTIONS COMPANY
 * ALL RIGHTS RESERVED
 *
 * THE SOURCE CODE AND ITS RELATED DOCUMENTATION IS PROVIDED "AS IS". TOSHIBA
 * CORPORATION MAKES NO OTHER WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR,
 * STATUTORY AND DISCLAIMS ANY AND ALL IMPLIED WARRANTIES OF MERCHANTABILITY,
 * SATISFACTORY QUALITY, NON INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * THE SOURCE CODE AND DOCUMENTATION MAY INCLUDE ERRORS. TOSHIBA CORPORATION
 * RESERVES THE RIGHT TO INCORPORATE MODIFICATIONS TO THE SOURCE CODE IN LATER
 * REVISIONS OF IT, AND TO MAKE IMPROVEMENTS OR CHANGES IN THE DOCUMENTATION OR
 * THE PRODUCTS OR TECHNOLOGIES DESCRIBED THEREIN AT ANY TIME.
 *
 * TOSHIBA CORPORATION SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT OR
 * CONSEQUENTIAL DAMAGE OR LIABILITY ARISING FROM YOUR USE OF THE SOURCE CODE OR
 * ANY DOCUMENTATION, INCLUDING BUT NOT LIMITED TO, LOST REVENUES, DATA OR
 * PROFITS, DAMAGES OF ANY SPECIAL, INCIDENTAL OR CONSEQUENTIAL NATURE, PUNITIVE
 * DAMAGES, LOSS OF PROPERTY OR LOSS OF PROFITS ARISING OUT OF OR IN CONNECTION
 * WITH THIS AGREEMENT, OR BEING UNUSABLE, EVEN IF ADVISED OF THE POSSIBILITY OR
 * PROBABILITY OF SUCH DAMAGES AND WHETHER A CLAIM FOR SUCH DAMAGE IS BASED UPON
 * WARRANTY, CONTRACT, TORT, NEGLIGENCE OR OTHERWISE.
 */


/** @addtogroup (null)
  * @{
  */

/** @addtogroup TZ12xx
  * @{
  */

#ifndef TZ12XX_H
#define TZ12XX_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M4 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  MemoryManagement_IRQn         = -12,              /*!<   4  Memory Management, MPU mismatch, including Access Violation
                                                         and No Match                                                          */
  BusFault_IRQn                 = -11,              /*!<   5  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                         related Fault                                                         */
  UsageFault_IRQn               = -10,              /*!<   6  Usage Fault, i.e. Undef Instruction, Illegal State Transition    */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ----------------------  TZ12xx Specific Interrupt Numbers  --------------------- */
  PMU_WAKEUP_PA00_IRQn          =   0,              /*!<   0  PMU_WAKEUP_PA00                                                  */
  PMU_WAKEUP_PA01_IRQn          =   1,              /*!<   1  PMU_WAKEUP_PA01                                                  */
  PMU_WAKEUP_PA02_IRQn          =   2,              /*!<   2  PMU_WAKEUP_PA02                                                  */
  PMU_WAKEUP_PA03_IRQn          =   3,              /*!<   3  PMU_WAKEUP_PA03                                                  */
  PMU_WAKEUP_PA04_IRQn          =   4,              /*!<   4  PMU_WAKEUP_PA04                                                  */
  PMU_WAKEUP_PA05_IRQn          =   5,              /*!<   5  PMU_WAKEUP_PA05                                                  */
  PMU_WAKEUP_PA06_IRQn          =   6,              /*!<   6  PMU_WAKEUP_PA06                                                  */
  PMU_WAKEUP_PA07_IRQn          =   7,              /*!<   7  PMU_WAKEUP_PA07                                                  */
  PMU_WAKEUP_PA08_IRQn          =   8,              /*!<   8  PMU_WAKEUP_PA08                                                  */
  PMU_WAKEUP_PA09_IRQn          =   9,              /*!<   9  PMU_WAKEUP_PA09                                                  */
  PMU_WAKEUP_PA10_IRQn          =  10,              /*!<  10  PMU_WAKEUP_PA10                                                  */
  PMU_WAKEUP_PA11_IRQn          =  11,              /*!<  11  PMU_WAKEUP_PA11                                                  */
  PMU_WAKEUP_RTC_ALARM_IRQn     =  12,              /*!<  12  PMU_WAKEUP_RTC_ALARM                                             */
  PMU_WAKEUP_RTC_PERIOD_IRQn    =  13,              /*!<  13  PMU_WAKEUP_RTC_PERIOD                                            */
  PMU_WAKEUP_RTC_TMR0_IRQn      =  14,              /*!<  14  PMU_WAKEUP_RTC_TMR0                                              */
  PMU_WAKEUP_RTC_TMR1_IRQn      =  15,              /*!<  15  PMU_WAKEUP_RTC_TMR1                                              */
  PMU_WAKEUP_BOR_IRQn           =  16,              /*!<  16  PMU_WAKEUP_BOR                                                   */
  PMU_WAKEUP_TMR_IRQn           =  17,              /*!<  17  PMU_WAKEUP_TMR                                                   */
  PMU_WAKEUP_SPIM_IRQn          =  18,              /*!<  18  PMU_WAKEUP_SPIM                                                  */
  PMU_WAKEUP_UART_IRQn          =  19,              /*!<  19  PMU_WAKEUP_UART                                                  */
  PMU_WAKEUP_I2C_IRQn           =  20,              /*!<  20  PMU_WAKEUP_I2C                                                   */
  PMU_WAKEUP_ADCC12_IRQn        =  21,              /*!<  21  PMU_WAKEUP_ADCC12                                                */
  PMU_WAKEUP_AFEZ_IRQn          =  22,              /*!<  22  PMU_WAKEUP_AFEZ                                                  */
  PMU_WAKEUP_DACC_IRQn          =  23,              /*!<  23  PMU_WAKEUP_DACC                                                  */
  PMU_WAKEUP_EMMC_IRQn          =  24,              /*!<  24  PMU_WAKEUP_EMMC                                                  */
  PMU_WAKEUP_DEBUGIN_IRQn       =  25,              /*!<  25  PMU_WAKEUP_DEBUGIN                                               */
  PMU_CLKSTABLE_IRQn            =  26,              /*!<  26  PMU_CLKSTABLE                                                    */
  FPU_IRQn                      =  27,              /*!<  27  FPU                                                              */
  WDT_IRQn                      =  28,              /*!<  28  WDT                                                              */
  RTC_ALARM_IRQn                =  29,              /*!<  29  RTC_ALARM                                                        */
  RTC_PERIOD_IRQn               =  30,              /*!<  30  RTC_PERIOD                                                       */
  RTC_TMR0_IRQn                 =  31,              /*!<  31  RTC_TMR0                                                         */
  RTC_TMR1_IRQn                 =  32,              /*!<  32  RTC_TMR1                                                         */
  TMR0_IRQn                     =  33,              /*!<  33  TMR0                                                             */
  TMR1_IRQn                     =  34,              /*!<  34  TMR1                                                             */
  SRAM_M2M_IRQn                 =  35,              /*!<  35  SRAM_M2M                                                         */
  SRAM_ERR_IRQn                 =  36,              /*!<  36  SRAM_ERR                                                         */
  SDMAC0_IRQn                   =  37,              /*!<  37  SDMAC0                                                           */
  SDMAC1_IRQn                   =  38,              /*!<  38  SDMAC1                                                           */
  SDMAC2_IRQn                   =  39,              /*!<  39  SDMAC2                                                           */
  SDMAC3_IRQn                   =  40,              /*!<  40  SDMAC3                                                           */
  SDMAC4_IRQn                   =  41,              /*!<  41  SDMAC4                                                           */
  SDMAC5_IRQn                   =  42,              /*!<  42  SDMAC5                                                           */
  SDMAC6_IRQn                   =  43,              /*!<  43  SDMAC6                                                           */
  SDMAC7_IRQn                   =  44,              /*!<  44  SDMAC7                                                           */
  SDMAC8_IRQn                   =  45,              /*!<  45  SDMAC8                                                           */
  SDMAC9_IRQn                   =  46,              /*!<  46  SDMAC9                                                           */
  SDMAC10_IRQn                  =  47,              /*!<  47  SDMAC10                                                          */
  SDMAC11_IRQn                  =  48,              /*!<  48  SDMAC11                                                          */
  SDMAC12_IRQn                  =  49,              /*!<  49  SDMAC12                                                          */
  SDMAC13_IRQn                  =  50,              /*!<  50  SDMAC13                                                          */
  SDMAC14_IRQn                  =  51,              /*!<  51  SDMAC14                                                          */
  SDMAC15_IRQn                  =  52,              /*!<  52  SDMAC15                                                          */
  ADVTMR0_IRQn                  =  53,              /*!<  53  ADVTMR0                                                          */
  ADVTMR1_IRQn                  =  54,              /*!<  54  ADVTMR1                                                          */
  ADVTMR2_IRQn                  =  55,              /*!<  55  ADVTMR2                                                          */
  ADVTMR3_IRQn                  =  56,              /*!<  56  ADVTMR3                                                          */
  ADVTMR0_CAP_IRQn              =  57,              /*!<  57  ADVTMR0_CAP                                                      */
  ADVTMR1_CAP_IRQn              =  58,              /*!<  58  ADVTMR1_CAP                                                      */
  ADVTMR2_CAP_IRQn              =  59,              /*!<  59  ADVTMR2_CAP                                                      */
  ADVTMR3_CAP_IRQn              =  60,              /*!<  60  ADVTMR3_CAP                                                      */
  ADVTMR0_CMP_IRQn              =  61,              /*!<  61  ADVTMR0_CMP                                                      */
  ADVTMR1_CMP_IRQn              =  62,              /*!<  62  ADVTMR1_CMP                                                      */
  ADVTMR2_CMP_IRQn              =  63,              /*!<  63  ADVTMR2_CMP                                                      */
  ADVTMR3_CMP_IRQn              =  64,              /*!<  64  ADVTMR3_CMP                                                      */
  ADVTMR4_IRQn                  =  65,              /*!<  65  ADVTMR4                                                          */
  ADVTMR5_IRQn                  =  66,              /*!<  66  ADVTMR5                                                          */
  ADVTMR6_IRQn                  =  67,              /*!<  67  ADVTMR6                                                          */
  ADVTMR7_IRQn                  =  68,              /*!<  68  ADVTMR7                                                          */
  ADVTMR4_CAP_IRQn              =  69,              /*!<  69  ADVTMR4_CAP                                                      */
  ADVTMR5_CAP_IRQn              =  70,              /*!<  70  ADVTMR5_CAP                                                      */
  ADVTMR6_CAP_IRQn              =  71,              /*!<  71  ADVTMR6_CAP                                                      */
  ADVTMR7_CAP_IRQn              =  72,              /*!<  72  ADVTMR7_CAP                                                      */
  ADVTMR4_CMP_IRQn              =  73,              /*!<  73  ADVTMR4_CMP                                                      */
  ADVTMR5_CMP_IRQn              =  74,              /*!<  74  ADVTMR5_CMP                                                      */
  ADVTMR6_CMP_IRQn              =  75,              /*!<  75  ADVTMR6_CMP                                                      */
  ADVTMR7_CMP_IRQn              =  76,              /*!<  76  ADVTMR7_CMP                                                      */
  SPIM0_IRQn                    =  77,              /*!<  77  SPIM0                                                            */
  SPIM0_TX_DONE_IRQn            =  78,              /*!<  78  SPIM0_TX_DONE                                                    */
  SPIM1_IRQn                    =  79,              /*!<  79  SPIM1                                                            */
  SPIM1_TX_DONE_IRQn            =  80,              /*!<  80  SPIM1_TX_DONE                                                    */
  SPIM2_IRQn                    =  81,              /*!<  81  SPIM2                                                            */
  SPIM2_TX_DONE_IRQn            =  82,              /*!<  82  SPIM2_TX_DONE                                                    */
  SPIM3_IRQn                    =  83,              /*!<  83  SPIM3                                                            */
  SPIM3_TX_DONE_IRQn            =  84,              /*!<  84  SPIM3_TX_DONE                                                    */
  UART0_IRQn                    =  85,              /*!<  85  UART0                                                            */
  UART1_IRQn                    =  86,              /*!<  86  UART1                                                            */
  UART2_IRQn                    =  87,              /*!<  87  UART2                                                            */
  UART3_IRQn                    =  88,              /*!<  88  UART3                                                            */
  I2C0_IRQn                     =  89,              /*!<  89  I2C0                                                             */
  I2C1_IRQn                     =  90,              /*!<  90  I2C1                                                             */
  I2SI0_IRQn                    =  91,              /*!<  91  I2SI0                                                            */
  I2SI0_ERR_IRQn                =  92,              /*!<  92  I2SI0_ERR                                                        */
  I2SO0_IRQn                    =  93,              /*!<  93  I2SO0                                                            */
  I2SO0_ERR_IRQn                =  94,              /*!<  94  I2SO0_ERR                                                        */
  I2SI1_IRQn                    =  95,              /*!<  95  I2SI1                                                            */
  I2SI1_ERR_IRQn                =  96,              /*!<  96  I2SI1_ERR                                                        */
  I2SO1_IRQn                    =  97,              /*!<  97  I2SO1                                                            */
  I2SO1_ERR_IRQn                =  98,              /*!<  98  I2SO1_ERR                                                        */
  I2SI2_IRQn                    =  99,              /*!<  99  I2SI2                                                            */
  I2SI2_ERR_IRQn                = 100,              /*!< 100  I2SI2_ERR                                                        */
  ADCC12_IRQn                   = 101,              /*!< 101  ADCC12                                                           */
  AFEZ_IRQn                     = 102,              /*!< 102  AFEZ                                                             */
  DACC_IRQn                     = 103,              /*!< 103  DACC                                                             */
  USB_IRQn                      = 104,              /*!< 104  USB                                                              */
  GFX_STS_IRQn                  = 105,              /*!< 105  GFX_STS                                                          */
  GFX_MEM_IRQn                  = 106,              /*!< 106  GFX_MEM                                                          */
  DBIBC_IRQn                    = 107,              /*!< 107  DBIBC                                                            */
  DSI_INIT_IRQn                 = 108,              /*!< 108  DSI_INIT                                                         */
  DSI_RXTRIG_IRQn               = 109,              /*!< 109  DSI_RXTRIG                                                       */
  DSI_RXERR_IRQn                = 110,              /*!< 110  DSI_RXERR                                                        */
  DSI_PRTO_IRQn                 = 111,              /*!< 111  DSI_PRTO                                                         */
  DSI_APP_SIDE_ERR_IRQn         = 112,              /*!< 112  DSI_APP_SIDE_ERR                                                 */
  DSI_RX_STATE_IRQn             = 113,              /*!< 113  DSI_RX_STATE                                                     */
  DSI_CMD_IRQn                  = 114,              /*!< 114  DSI_CMD                                                          */
  CRA_IRQn                      = 115,              /*!< 115  CRA                                                              */
  TZCP_DONE_IRQn                = 116,              /*!< 116  TZCP_DONE                                                        */
  TZCP_ENCERR_IRQn              = 117,              /*!< 117  TZCP_ENCERR                                                      */
  TZCP_DECERR_IRQn              = 118,              /*!< 118  TZCP_DECERR                                                      */
  TZCP_BUSERR_IRQn              = 119,              /*!< 119  TZCP_BUSERR                                                      */
  SPINOFC_IRQn                  = 120,              /*!< 120  SPINOFC                                                          */
  SPIFC_IRQn                    = 121,              /*!< 121  SPIFC                                                            */
  EMMC0_IRQn                    = 122,              /*!< 122  EMMC0                                                            */
  EMMC0_WAKEUP_IRQn             = 123,              /*!< 123  EMMC0_WAKEUP                                                     */
  EMMC1_IRQn                    = 124,              /*!< 124  EMMC1                                                            */
  EMMC1_WAKEUP_IRQn             = 125,              /*!< 125  EMMC1_WAKEUP                                                     */
  MPIER_ERR_IRQn                = 126,              /*!< 126  MPIER_ERR                                                        */
  GPIO0_Pin0_IRQn               = 127,              /*!< 127  GPIO0_Pin0                                                       */
  GPIO0_Pin1_IRQn               = 128,              /*!< 128  GPIO0_Pin1                                                       */
  GPIO0_Pin2_IRQn               = 129,              /*!< 129  GPIO0_Pin2                                                       */
  GPIO0_Pin3_IRQn               = 130,              /*!< 130  GPIO0_Pin3                                                       */
  GPIO0_Pin4_IRQn               = 131,              /*!< 131  GPIO0_Pin4                                                       */
  GPIO0_Pin5_IRQn               = 132,              /*!< 132  GPIO0_Pin5                                                       */
  GPIO0_Pin6_IRQn               = 133,              /*!< 133  GPIO0_Pin6                                                       */
  GPIO0_Pin7_IRQn               = 134,              /*!< 134  GPIO0_Pin7                                                       */
  GPIO0_Pin8_IRQn               = 135,              /*!< 135  GPIO0_Pin8                                                       */
  GPIO0_Pin9_IRQn               = 136,              /*!< 136  GPIO0_Pin9                                                       */
  GPIO0_Pin10_IRQn              = 137,              /*!< 137  GPIO0_Pin10                                                      */
  GPIO0_Pin11_IRQn              = 138,              /*!< 138  GPIO0_Pin11                                                      */
  GPIO0_Pin12_IRQn              = 139,              /*!< 139  GPIO0_Pin12                                                      */
  GPIO0_Pin13_IRQn              = 140,              /*!< 140  GPIO0_Pin13                                                      */
  GPIO0_Pin14_IRQn              = 141,              /*!< 141  GPIO0_Pin14                                                      */
  GPIO0_Pin15_IRQn              = 142,              /*!< 142  GPIO0_Pin15                                                      */
  GPIO0_Pin16_IRQn              = 143,              /*!< 143  GPIO0_Pin16                                                      */
  GPIO0_Pin17_IRQn              = 144,              /*!< 144  GPIO0_Pin17                                                      */
  GPIO0_Pin18_IRQn              = 145,              /*!< 145  GPIO0_Pin18                                                      */
  GPIO0_Pin19_IRQn              = 146,              /*!< 146  GPIO0_Pin19                                                      */
  GPIO0_Pin20_IRQn              = 147,              /*!< 147  GPIO0_Pin20                                                      */
  GPIO0_Pin21_IRQn              = 148,              /*!< 148  GPIO0_Pin21                                                      */
  GPIO0_Pin22_IRQn              = 149,              /*!< 149  GPIO0_Pin22                                                      */
  GPIO0_Pin23_IRQn              = 150,              /*!< 150  GPIO0_Pin23                                                      */
  GPIO0_Pin24_IRQn              = 151,              /*!< 151  GPIO0_Pin24                                                      */
  GPIO0_Pin25_IRQn              = 152,              /*!< 152  GPIO0_Pin25                                                      */
  GPIO0_Pin26_IRQn              = 153,              /*!< 153  GPIO0_Pin26                                                      */
  GPIO0_Pin27_IRQn              = 154,              /*!< 154  GPIO0_Pin27                                                      */
  GPIO0_Pin28_IRQn              = 155,              /*!< 155  GPIO0_Pin28                                                      */
  GPIO0_Pin29_IRQn              = 156,              /*!< 156  GPIO0_Pin29                                                      */
  GPIO0_Pin30_IRQn              = 157,              /*!< 157  GPIO0_Pin30                                                      */
  GPIO0_Pin31_IRQn              = 158,              /*!< 158  GPIO0_Pin31                                                      */
  GPIO1_Pin0_IRQn               = 159,              /*!< 159  GPIO1_Pin0                                                       */
  GPIO1_Pin1_IRQn               = 160,              /*!< 160  GPIO1_Pin1                                                       */
  GPIO1_Pin2_IRQn               = 161,              /*!< 161  GPIO1_Pin2                                                       */
  GPIO1_Pin3_IRQn               = 162,              /*!< 162  GPIO1_Pin3                                                       */
  GPIO1_Pin4_IRQn               = 163,              /*!< 163  GPIO1_Pin4                                                       */
  GPIO1_Pin5_IRQn               = 164,              /*!< 164  GPIO1_Pin5                                                       */
  GPIO1_Pin6_IRQn               = 165,              /*!< 165  GPIO1_Pin6                                                       */
  GPIO1_Pin7_IRQn               = 166,              /*!< 166  GPIO1_Pin7                                                       */
  GPIO1_Pin8_IRQn               = 167,              /*!< 167  GPIO1_Pin8                                                       */
  GPIO1_Pin9_IRQn               = 168,              /*!< 168  GPIO1_Pin9                                                       */
  GPIO1_Pin10_IRQn              = 169,              /*!< 169  GPIO1_Pin10                                                      */
  GPIO1_Pin11_IRQn              = 170,              /*!< 170  GPIO1_Pin11                                                      */
  GPIO1_Pin12_IRQn              = 171,              /*!< 171  GPIO1_Pin12                                                      */
  GPIO1_Pin13_IRQn              = 172,              /*!< 172  GPIO1_Pin13                                                      */
  GPIO1_Pin14_IRQn              = 173,              /*!< 173  GPIO1_Pin14                                                      */
  GPIO1_Pin15_IRQn              = 174,              /*!< 174  GPIO1_Pin15                                                      */
  GPIO1_Pin16_IRQn              = 175,              /*!< 175  GPIO1_Pin16                                                      */
  GPIO1_Pin17_IRQn              = 176,              /*!< 176  GPIO1_Pin17                                                      */
  GPIO1_Pin18_IRQn              = 177,              /*!< 177  GPIO1_Pin18                                                      */
  GPIO1_Pin19_IRQn              = 178,              /*!< 178  GPIO1_Pin19                                                      */
  GPIO1_Pin20_IRQn              = 179,              /*!< 179  GPIO1_Pin20                                                      */
  GPIO1_Pin21_IRQn              = 180,              /*!< 180  GPIO1_Pin21                                                      */
  GPIO1_Pin22_IRQn              = 181,              /*!< 181  GPIO1_Pin22                                                      */
  GPIO1_Pin23_IRQn              = 182,              /*!< 182  GPIO1_Pin23                                                      */
  GPIO1_Pin24_IRQn              = 183,              /*!< 183  GPIO1_Pin24                                                      */
  GPIO1_Pin25_IRQn              = 184,              /*!< 184  GPIO1_Pin25                                                      */
  GPIO1_Pin26_IRQn              = 185,              /*!< 185  GPIO1_Pin26                                                      */
  GPIO1_Pin27_IRQn              = 186,              /*!< 186  GPIO1_Pin27                                                      */
  GPIO1_Pin28_IRQn              = 187,              /*!< 187  GPIO1_Pin28                                                      */
  GPIO1_Pin29_IRQn              = 188,              /*!< 188  GPIO1_Pin29                                                      */
  GPIO1_Pin30_IRQn              = 189,              /*!< 189  GPIO1_Pin30                                                      */
  GPIO1_Pin31_IRQn              = 190,              /*!< 190  GPIO1_Pin31                                                      */
  GPIO2_Pin0_IRQn               = 191,              /*!< 191  GPIO2_Pin0                                                       */
  GPIO2_Pin1_IRQn               = 192,              /*!< 192  GPIO2_Pin1                                                       */
  GPIO2_Pin2_IRQn               = 193,              /*!< 193  GPIO2_Pin2                                                       */
  GPIO2_Pin3_IRQn               = 194,              /*!< 194  GPIO2_Pin3                                                       */
  GPIO2_Pin4_IRQn               = 195,              /*!< 195  GPIO2_Pin4                                                       */
  GPIO2_Pin5_IRQn               = 196,              /*!< 196  GPIO2_Pin5                                                       */
  GPIO2_Pin6_IRQn               = 197,              /*!< 197  GPIO2_Pin6                                                       */
  GPIO2_Pin7_IRQn               = 198,              /*!< 198  GPIO2_Pin7                                                       */
  GPIO2_Pin8_IRQn               = 199,              /*!< 199  GPIO2_Pin8                                                       */
  GPIO2_Pin9_IRQn               = 200,              /*!< 200  GPIO2_Pin9                                                       */
  GPIO2_Pin10_IRQn              = 201,              /*!< 201  GPIO2_Pin10                                                      */
  GPIO2_Pin11_IRQn              = 202,              /*!< 202  GPIO2_Pin11                                                      */
  GPIO2_Pin12_IRQn              = 203,              /*!< 203  GPIO2_Pin12                                                      */
  GPIO2_Pin13_IRQn              = 204,              /*!< 204  GPIO2_Pin13                                                      */
  GPIO2_Pin14_IRQn              = 205,              /*!< 205  GPIO2_Pin14                                                      */
  GPIO2_Pin15_IRQn              = 206,              /*!< 206  GPIO2_Pin15                                                      */
  GPIO2_Pin16_IRQn              = 207,              /*!< 207  GPIO2_Pin16                                                      */
  GPIO2_Pin17_IRQn              = 208,              /*!< 208  GPIO2_Pin17                                                      */
  GPIO2_Pin18_IRQn              = 209,              /*!< 209  GPIO2_Pin18                                                      */
  GPIO2_Pin19_IRQn              = 210,              /*!< 210  GPIO2_Pin19                                                      */
  GPIO2_Pin20_IRQn              = 211,              /*!< 211  GPIO2_Pin20                                                      */
  GPIO2_Pin21_IRQn              = 212,              /*!< 212  GPIO2_Pin21                                                      */
  GPIO2_Pin22_IRQn              = 213,              /*!< 213  GPIO2_Pin22                                                      */
  GPIO2_Pin23_IRQn              = 214,              /*!< 214  GPIO2_Pin23                                                      */
  GPIO2_Pin24_IRQn              = 215,              /*!< 215  GPIO2_Pin24                                                      */
  GPIO2_Pin25_IRQn              = 216,              /*!< 216  GPIO2_Pin25                                                      */
  GPIO2_Pin26_IRQn              = 217,              /*!< 217  GPIO2_Pin26                                                      */
  GPIO2_Pin27_IRQn              = 218,              /*!< 218  GPIO2_Pin27                                                      */
  GPIO2_Pin28_IRQn              = 219,              /*!< 219  GPIO2_Pin28                                                      */
  GPIO2_Pin29_IRQn              = 220,              /*!< 220  GPIO2_Pin29                                                      */
  GPIO2_Pin30_IRQn              = 221,              /*!< 221  GPIO2_Pin30                                                      */
  GPIO2_Pin31_IRQn              = 222,              /*!< 222  GPIO2_Pin31                                                      */
  GPIO3_Pin0_IRQn               = 223,              /*!< 223  GPIO3_Pin0                                                       */
  GPIO3_Pin1_IRQn               = 224,              /*!< 224  GPIO3_Pin1                                                       */
  GPIO3_Pin2_IRQn               = 225,              /*!< 225  GPIO3_Pin2                                                       */
  GPIO3_Pin3_IRQn               = 226,              /*!< 226  GPIO3_Pin3                                                       */
  GPIO3_Pin4_IRQn               = 227,              /*!< 227  GPIO3_Pin4                                                       */
  GPIO3_Pin5_IRQn               = 228,              /*!< 228  GPIO3_Pin5                                                       */
  GPIO3_Pin6_IRQn               = 229,              /*!< 229  GPIO3_Pin6                                                       */
  GPIO3_Pin7_IRQn               = 230,              /*!< 230  GPIO3_Pin7                                                       */
  GPIO3_Pin8_IRQn               = 231,              /*!< 231  GPIO3_Pin8                                                       */
  GPIO3_Pin9_IRQn               = 232,              /*!< 232  GPIO3_Pin9                                                       */
  GPIO3_Pin10_IRQn              = 233,              /*!< 233  GPIO3_Pin10                                                      */
  GPIO3_Pin11_IRQn              = 234,              /*!< 234  GPIO3_Pin11                                                      */
  GPIO3_Pin12_IRQn              = 235,              /*!< 235  GPIO3_Pin12                                                      */
  GPIO3_Pin13_IRQn              = 236,              /*!< 236  GPIO3_Pin13                                                      */
  GPIO3_Pin14_IRQn              = 237,              /*!< 237  GPIO3_Pin14                                                      */
  GPIO3_Pin15_IRQn              = 238,              /*!< 238  GPIO3_Pin15                                                      */
  GPIO3_Pin16_IRQn              = 239               /*!< 239  GPIO3_Pin16                                                      */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M4 Processor and Core Peripherals---------------- */
#define __CM4_REV                 0x0001            /*!< Cortex-M4 Core Revision                                               */
#define __MPU_PRESENT                  1            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               3            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
#define __FPU_PRESENT                  1            /*!< FPU present or not                                                    */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm4.h"                               /*!< Cortex-M4 processor and core peripherals                              */
#include "system_TZ12xx.h"                          /*!< TZ12xx System                                                         */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                      HPIER                     ================ */
/* ================================================================================ */


/**
  * @brief hpier (HPIER)
  */

typedef struct {                                    /*!< HPIER Structure                                                       */
  
  union {
    __IO uint32_t  ROUTE_SEL_USB2FS;                /*!< Route selection for USB2FS                                            */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from USB2FS
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from USB2FS will be transferred via hpier_I1 inter-bus interface.    */
           uint32_t : 31; // padding
    } ROUTE_SEL_USB2FS_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_SDMAC0;                /*!< Route selection for SDMAC0                                            */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from SDMAC0
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from SDMAC0 will be transferred via hpier_I1 inter-bus interface.    */
           uint32_t : 31; // padding
    } ROUTE_SEL_SDMAC0_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_SDMAC1;                /*!< Route selection for SDMAC1                                            */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from SDMAC1
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from SDMAC1 will be transferred via hpier_I1 inter-bus interface.    */
           uint32_t : 31; // padding
    } ROUTE_SEL_SDMAC1_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_EMMC0;                 /*!< Route selection for EMMC0                                             */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from EMMC0
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from EMMC0 will be transferred via hpier_I1 inter-bus interface.     */
           uint32_t : 31; // padding
    } ROUTE_SEL_EMMC0_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_EMMC1;                 /*!< Route selection for EMMC1                                             */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from EMMC1
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from EMMC1 will be transferred via hpier_I1 inter-bus interface.     */
           uint32_t : 31; // padding
    } ROUTE_SEL_EMMC1_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_TZCP;                  /*!< Route selection for TZCP                                              */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from TZCP
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from TZCP will be transferred via hpier_I1 inter-bus interface.      */
           uint32_t : 31; // padding
    } ROUTE_SEL_TZCP_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ROUTE_SEL_CRA;                   /*!< Route selection for CRA                                               */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Configuration for route selection to MPIER0: request from CRA
                                                         will be transferred via hpier_I0 inter-bus interface.1: request
                                                          from CRA will be transferred via hpier_I1 inter-bus interface.       */
           uint32_t : 31; // padding
    } ROUTE_SEL_CRA_b;                              /*!< BitSize                                                               */
  };
} HPIER_Type;


/* ================================================================================ */
/* ================                       PMU                      ================ */
/* ================================================================================ */


/**
  * @brief pmu (PMU)
  */

typedef struct {                                    /*!< PMU Structure                                                         */
  
  union {
    __IO uint32_t  POWERDOMAIN_CTRL;                /*!< Power Domain Controller Startup Register                              */
    
    struct {
      __IO uint32_t  PMAIN_START:  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSUB_START :  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PNOFC_START:  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PDMAC_START:  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PENC_START :  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PNVM_START :  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PDISP_START:  1;               /*!< Definition is same as PADPLL_START.                                   */
           uint32_t             :  1;
      __IO uint32_t  PTMR_START :  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PADDA_START:  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM0_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM1_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM2_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM3_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM4_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM5_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM6_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM7_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PSRAM8_START:  1;              /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PPLL_START :  1;               /*!< Definition is same as PADPLL_START.                                   */
      __IO uint32_t  PADPLL_START:  1;              /*!< [Contents] Startup power supply domain controller.[Write] 0:
                                                         Invalid 1: Startup[Read] Startup status can be confirmed. 0:
                                                          Startup is not in progress. 1: Startup is in progress                */
           uint32_t : 11; // padding
    } POWERDOMAIN_CTRL_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[13];
  
  union {
    __IO uint32_t  POWERDOMAIN_CTRL_LATI_SETTING;   /*!< IO Retention Control Register (LATI1)                                 */
    
    struct {
      __IO uint32_t  PMAIN      :  1;               /*!< Definition is same as PADDA.Before CPU startup, Releases the
                                                         boot sequencer status in PMU.                                         */
      __IO uint32_t  PSUB       :  1;               /*!< Definition is same as PADDA.Before CPU startup, Releases the
                                                         boot sequencer status in PMU.                                         */
      __IO uint32_t  PNOFC      :  1;               /*!< Definition is same as PADDA.Before CPU startup, Releases the
                                                         boot sequencer status in PMU.                                         */
           uint32_t             :  2;
      __IO uint32_t  PNVM       :  1;               /*!< Definition is same as PADDA.                                          */
      __IO uint32_t  PDISP      :  1;               /*!< Definition is same as PADDA.                                          */
           uint32_t             :  1;
      __IO uint32_t  PTMR       :  1;               /*!< Definition is same as PADDA.During [RESET_CTRL].RMODE=1 setting,
                                                         if reboot occurs because of WDT reset, then the CPU starts up
                                                          from the status when retention is released.                          */
      __IO uint32_t  PADDA      :  1;               /*!< [Contents] Control the output status of IO pin. For details
                                                         refer to section 4.7: IO control.[Write] 0: Release the retention
                                                          status. 1: Changes to retention status and retains output status.[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 22; // padding
    } POWERDOMAIN_CTRL_LATI_SETTING_b;              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[9];
  
  union {
    __IO uint32_t  CG_ON_POWERDOMAIN;               /*!< Clock Gating On Register Control Register (Power domain unit)         */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  CG_PSUB    :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PNOFC   :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PDMAC   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PENC    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PNVM    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PDISP   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PDSI    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PTMR    :  1;               /*!< Definition is same as CG_PSRAM8.During [RESET_CTRL].RMODE=1
                                                         setting, if reboot occurs because of WDT reset, then the CPU
                                                          starts up from the status changed to 0.                              */
      __IO uint32_t  CG_PADDA   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM0  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PSRAM1  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PSRAM2  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PSRAM3  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  CG_PSRAM4  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM5  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM6  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM7  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM8  :  1;               /*!< [Contents] Controls Clock Gating On Register in power supply
                                                         domain in a batch. If 1 is set in this register, the setting
                                                          value of [CG_ON/OFF_PSRAM8] register is changed. And then, all
                                                          clocks are suspended.[Write] 0: Invalid 1: Suspends clock[Read]
                                                          0: Except following 1: All blocks inside the power supply domain
                                                          are suspended                                                        */
           uint32_t : 13; // padding
    } CG_ON_POWERDOMAIN_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_POWERDOMAIN;              /*!< Clock Gating Off Register Control Register (Power domain unit)        */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  CG_PSUB    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PNOFC   :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  CG_PDMAC   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PENC    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PNVM    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PDISP   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PDSI    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PTMR    :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PADDA   :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM0  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  CG_PSRAM1  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  CG_PSRAM2  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  CG_PSRAM3  :  1;               /*!< Definition is same as CG_PSRAM8.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  CG_PSRAM4  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM5  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM6  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM7  :  1;               /*!< Definition is same as CG_PSRAM8.                                      */
      __IO uint32_t  CG_PSRAM8  :  1;               /*!< [Contents] Controls the Clock Gating Off Registers together.
                                                         Registers are of block in power supply domain. If 1 is set,
                                                          then the value of [CG_ON/OFF_PSRAM8] register changes and all
                                                          the clocks are suspended.[Write] 0: Disable 1: Supplies Clock[Read]
                                                          0: Except following 1: All clocks in power supply domain are
                                                          supplying.                                                           */
           uint32_t : 13; // padding
    } CG_OFF_POWERDOMAIN_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[4];
  
  union {
    __IO uint32_t  DCG_POWERDOMAIN;                 /*!< Dynamic Clock Gating Control Register (Power domain unit)             */
    
    struct {
      __IO uint32_t  DCG_PMAIN  :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSUB   :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PNOFC  :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PDMAC  :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PENC   :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PNVM   :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PDISP  :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PDSI   :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PTMR   :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PADDA  :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM0 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM1 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM2 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM3 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM4 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM5 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM6 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM7 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
      __IO uint32_t  DCG_PSRAM8 :  1;               /*!< Definition is same as DCG_PAONLVC.                                    */
           uint32_t             : 12;
      __IO uint32_t  DCG_PAONLVC:  1;               /*!< [Contents] Controls the Dynamic Clock Gating Register in power
                                                         supply domain in a batch. Changes the setting value of [DCG_PAONLVC]
                                                          register If the setting value of this register is changed.[Write]
                                                          0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Returns 0, as the set value cannot be confirmed. Confirm the
                                                          set value by using register [DCG_[PowerDomainName]].                 */
    } DCG_POWERDOMAIN_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[9];
  
  union {
    __IO uint32_t  SRST_ON_POWERDOMAIN;             /*!< Software Reset On Register (Power Domain Unit)                        */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  SRST_PSUB  :  1;               /*!< Definition is same as SRST_PADDA.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  SRST_PNOFC :  1;               /*!< Definition is same as SRST_PADDA.Before CPU startup, the boot
                                                         sequencer in PMU changes to 0.                                        */
      __IO uint32_t  SRST_PDMAC :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PENC  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PNVM  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PDISP :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PDSI  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PTMR  :  1;               /*!< Definition is same as SRST_PADDA.During [RESET_CTRL].RMODE=1
                                                         setting, if reboot occurs because of WDT reset, then the CPU
                                                          starts up from the status changed to 0.                              */
      __IO uint32_t  SRST_PADDA :  1;               /*!< [Contents] Controls all the Software Reset-ON Registers of block
                                                         in power supply domain. If 1 is set, then the value of register
                                                          [SRST_ON/OFF_PADDA] changes and all resets are asserted.[Write]
                                                          0: Disable 1: Asserts reset[Read] 0: Except following 1: All
                                                          resets in power supply domain are currently asserted.                */
           uint32_t : 22; // padding
    } SRST_ON_POWERDOMAIN_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SRST_OFF_POWERDOMAIN;            /*!< Software Reset Off Register (Power domain unit)                       */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  SRST_PSUB  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PNOFC :  1;               /*!< Definition is same as SRST_PADDA.Before CPU startup, the boot
                                                         sequencer in PMU changes to 1.                                        */
      __IO uint32_t  SRST_PDMAC :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PENC  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PNVM  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PDISP :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PDSI  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PTMR  :  1;               /*!< Definition is same as SRST_PADDA.                                     */
      __IO uint32_t  SRST_PADDA :  1;               /*!< [Contents] Controls all the Software Reset-OFF Registers of
                                                         block in power supply domain. If 1 is set, then the value of
                                                          register [SRST_ON/OFF_PADDA] changes and all resets are asserted.[Write]
                                                          0: Disable 1: Deasserts reset[Read] 0: Except following 1: All
                                                          resets in power supply domain are currently deasserted.              */
           uint32_t : 22; // padding
    } SRST_OFF_POWERDOMAIN_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[214];
  
  union {
    __IO uint32_t  POWERDOMAIN_CTRL_WAITTIME0;      /*!< Wait Time Period Setting Register0 for Power Domain Control           */
    
    struct {
      __IO uint32_t  CLK_TIME   :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which Clock
                                                         signal reaches every block.[Write] clk cycles=(CLK_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  RST_TIME   :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which reset
                                                         signal reaches each block.[Write] clk cycles=(RST_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  ISO_TIME   :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which ISO
                                                         signal reaches each block.[Write] clk cycles=(ISO_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  PSW_TIME   :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which PSW
                                                         signal reaches each block.[Write] clk cycles=(PSW_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 16; // padding
    } POWERDOMAIN_CTRL_WAITTIME0_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERDOMAIN_CTRL_WAITTIME1;      /*!< Wait Time Period Setting Register1 for Power Domain Control           */
    
    struct {
      __IO uint32_t  SAVE_TIME  :  4;               /*!< [Contents] Set the time period(in clock cycles) in which SAVE
                                                         signal reaches each block.[Write] clk cycles=(SAVE_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  SAVE_WIDTH :  4;               /*!< [Contents] Sets H width (in clock cycle) of SAVE signal.[Write]
                                                         H width=(SAVE_WIDTH+1)[Read] Set value can be confirmed.              */
      __IO uint32_t  RSTR_TIME  :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which RSTR
                                                         signal reaches every block.[Write] clk cycles=(RSTR_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  RSTR_WIDTH :  4;               /*!< [Contents] Sets the time period(in clock cycles) of H width
                                                         of RSTR signal.[Write] H width=(RSTR_WIDTH+1)[Read] Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  RET_TIME   :  4;               /*!< [Contents] Sets the time period(in clock cycles) in which RET
                                                         signal reaches each block.[Write] clk cycles=(RET_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  4;
      __IO uint32_t  RETS_TIME  :  8;               /*!< [Contents] Sets the time period(in clock cycles) between RET
                                                         signal assert and NBB signal=H.[Write] H width=(RET2S_TIME+1)[Read]
                                                          Set value can be confirmed.                                          */
    } POWERDOMAIN_CTRL_WAITTIME1_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERDOMAIN_CTRL_WAITTIME2;      /*!< Wait Time Period Setting Register2 for Power Domain Control           */
    
    struct {
      __IO uint32_t  PSW_BASE   :  4;               /*!< [Contents] Sets the time period(in clock cycles) between PWEN0
                                                         signal assert to PWEN1 signal assert.[Write] clk cycles=(PSW_BASE+1)
                                                          *Set value of 12 MHz conversion. *1clk=about 83 ns[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PSW_OFFSET0:  4;               /*!< [Contents] Sets the time period(in clock cycles) between PWEN1
                                                         signal assert to PWEN2 signal assert.[Write] clk cycles=(PSW_OFFSET0+1)
                                                          *Set value of 12 MHz conversion. *1clk=about 83 ns[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PSW_OFFSET1:  4;               /*!< [Contents] Sets the time period(in clock cycles) between PWEN2
                                                         signal assert to PWEN3 signal assert.[Write] clk cycles=(PSW_OFFSET1+1)
                                                          *Set value of 12 MHz conversion. *1clk=about 83 ns[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PSW_OFFSET2:  4;               /*!< [Contents] Sets the time period(in clock cycles) between PWEN3
                                                         signal assert to PWEN4 signal assert.[Write] clk cycles=(PSW_OFFSET2+1)
                                                          *Set value of 12 MHz conversion. *1clk=about 83 ns[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PSW_OFFSET3:  4;               /*!< [Contents] Sets the time period(in clock cycles) between PWEN4
                                                         signal assert to PWEN5 signal assert.[Write] clk cycles=(PSW_OFFSET3+1)
                                                          *Set value of 12 MHz conversion. *1clk=about 83 ns[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PSW_OFFSET4:  4;               /*!< [Contents] Sets the time period(in clock cycles) in which PWEN5
                                                         signal becomes stable after being asserted.[Write] clk cycles=(PSW_OFFSET4
                                                         +1) *Set value of 12 MHz conversion. *1clk=about 83 ns[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 8; // padding
    } POWERDOMAIN_CTRL_WAITTIME2_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[781];
  
  union {
    __IO uint32_t  CG_ON_PAONHV_RTC;                /*!< Clock Gating On Register for RTCHV/RTCLV                              */
    
    struct {
      __IO uint32_t  CG_cd_slow_rtchv_rtcclk:  1;   /*!< [Contents] Controls suspension of SlowClock for RTCHV/RTCLV
                                                         block.[Write] 0: Disable 1: Suspends clock[Read] 0: Clock is
                                                          being supplied 1: Clock is being suspended                           */
           uint32_t : 31; // padding
    } CG_ON_PAONHV_RTC_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_ON_PAONHV_CLK32K_OUT;         /*!< Clock Gating On Register for CLK32KOUT Terminal                       */
    
    struct {
      __IO uint32_t  CG_CLK32K_OUT:  1;             /*!< [Contents] Controls suspension of SlowClock for CLK32K_OUT terminal.[Write
                                                         ] 0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                         1: Clock is being suspended                                           */
           uint32_t : 31; // padding
    } CG_ON_PAONHV_CLK32K_OUT_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_ON_PAONHV_ADPLL;              /*!< Clock Gating On Register for Reference Clock of ADPLL                 */
    
    struct {
      __IO uint32_t  CG_adpll_refclk:  1;           /*!< [Contents] Controls suspension of SlowClock for Reference Clock
                                                         of ADPLL[Write] 0: Disable 1: Suspends clock[Read] 0: Clock
                                                          is being supplied 1: Clock is being suspended                        */
           uint32_t : 31; // padding
    } CG_ON_PAONHV_ADPLL_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_ON_PAONHV_PMULVC;             /*!< Clock Gating On Register for Clock Source in PMULVC                   */
    
    struct {
      __IO uint32_t  CG_pmulvc_refclk:  1;          /*!< [Contents] Controls suspension of SlowClock for Clock Source
                                                         in PMULVC.[Write] 0: Disable 1: Suspends clock[Read] 0: Clock
                                                          is being supplied 1: Clock is being suspended                        */
           uint32_t : 31; // padding
    } CG_ON_PAONHV_PMULVC_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_PAONHV_RTC;               /*!< Clock Gating Off Register for RTCHV/RTCLV                             */
    
    struct {
      __IO uint32_t  CG_cd_slow_rtchv_rtcclk:  1;   /*!< [Contents] Controls suspension of SlowClock for RTCHV and RTCLV
                                                         Block.[Write] 0: Disable 1: Supplies clock[Read] 0: Clock is
                                                          being suspended 1: Clock is being supplied                           */
           uint32_t : 31; // padding
    } CG_OFF_PAONHV_RTC_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_PAONHV_CLK32K_OUT;        /*!< Clock Gating Off Register for CLK32KOUT Terminal                      */
    
    struct {
      __IO uint32_t  CG_CLK32K_OUT:  1;             /*!< [Contents] Controls suspension of SlowClock for CLK32K_OUT terminal[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t : 31; // padding
    } CG_OFF_PAONHV_CLK32K_OUT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_PAONHV_ADPLL;             /*!< Clock Gating Off Register for Reference Clock of ADPLL                */
    
    struct {
      __IO uint32_t  CG_adpll_refclk:  1;           /*!< [Contents] Controls suspension of SlowClock for Reference Clock
                                                         of ADPLL[Write] 0: Disable 1: Supplies clock[Read] 0: Clock
                                                          is being suspended 1: Clock is being supplied                        */
           uint32_t : 31; // padding
    } CG_OFF_PAONHV_ADPLL_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_PAONHV_PMULVC;            /*!< Clock Gating Off Register for Clock Source in PMULVC                  */
    
    struct {
      __IO uint32_t  CG_pmulvc_refclk:  1;          /*!< [Contents] Controls suspension of SlowClock for Clock Source
                                                         in PMULVC[Write] 0: Disable 1: Supplies clock[Read] 0: Clock
                                                          is being suspended 1: Clock is being supplied                        */
           uint32_t : 31; // padding
    } CG_OFF_PAONHV_PMULVC_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[8];
  
  union {
    __IO uint32_t  SRST_ON_PAONHV;                  /*!< Software Reset On Register for RTCHV                                  */
    
    struct {
      __IO uint32_t  SRST_cd_slow_rtchv_rtcasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for RTCHV.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is being deasserted
                                                          1: Reset is being asserted                                           */
           uint32_t : 31; // padding
    } SRST_ON_PAONHV_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[3];
  
  union {
    __IO uint32_t  SRST_OFF_PAONHV;                 /*!< Software Reset Off Register for RTCHV                                 */
    
    struct {
      __IO uint32_t  SRST_cd_slow_rtchv_rtcasyncrst_n:  1;/*!< [Contents] Controls deassertion of software for RTCHV[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t : 31; // padding
    } SRST_OFF_PAONHV_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[43];
  
  union {
    __IO uint32_t  CG_ON_PAONLVC;                   /*!< Clock Gating On Register for Internal Block of PAONLVC                */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  CG_cd_dcdc_dcdc_clk:  1;       /*!< [Contents] Controls suspension of Clock for DCDC.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t : 15; // padding
    } CG_ON_PAONLVC_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[3];
  
  union {
    __IO uint32_t  CG_OFF_PAONLVC;                  /*!< Clock Gating Off Register for Internal Block of PAONLVC               */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  CG_cd_dcdc_dcdc_clk:  1;       /*!< [Contents] Controls supply of clock for DCDC.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 15; // padding
    } CG_OFF_PAONLVC_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10[7];
  
  union {
    __IO uint32_t  DCG_PAONLVC;                     /*!< Dynamic Clock Gating Control Register for Internal Block of
                                                         PAONLVC                                                               */
    
    struct {
      __IO uint32_t  DCG_cd_main_gconf_pclk:  1;    /*!< [Contents] Controls dynamic clock gating setting (enable/disable)
                                                         of APB clock for GCONF.[Write] 0: Disable Dynamic Clock Gating
                                                          1: Enable Dynamic Clock Gating[Read] Set value can be confirmed.     */
           uint32_t : 31; // padding
    } DCG_PAONLVC_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[43];
  
  union {
    __IO uint32_t  PMAIN_CTRL_MODE;                 /*!< Status Transition Setting Register for PMAIN Domain                   */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PMAIN_CTRL_MODE_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12;
  
  union {
    __IO uint32_t  PMAIN_CTRL_MODE_FOR_WAIT;        /*!< Status Transition Setting Register for PMAIN Domain (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform during WAIT Mode.[Write] 00: ON Status 01: forbidden
                                                          10: undefined 11: RET Status *If 01 is set to this register,
                                                          operation cant be guaranteed. *If 10 is set to this register,
                                                          status is considered as RET.[Read] Set value can be confirmed.       */
           uint32_t : 30; // padding
    } PMAIN_CTRL_MODE_FOR_WAIT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PMAIN_CTRL_MODE_FOR_RET;         /*!< Status Setting Register for PMAIN Domain (PowerMode: RETENTION)       */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform during RETENTION Mode.[Write] 00: undefined 01: forbidden
                                                          10: undefined 11: RET Status *If 00 is set in this register,
                                                          it is considered as 01. *If 01 is set in this register, operation
                                                          cant be guaranteed. *If 10 is set in this register, it is considered
                                                          as 11.[Read] Set value can be confirmed.                             */
           uint32_t : 30; // padding
    } PMAIN_CTRL_MODE_FOR_RET_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PMAIN_CTRL_STATUS;               /*!< PMAIN Domain Status Register                                          */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms the current status of power supply domain.
                                                         Before CPU startup, the boot sequencer of PMU changes to ON
                                                          status.[Read] 00: ON Status 01: OFF Status 10: undefined 11:
                                                          RET Status                                                           */
           uint32_t : 30; // padding
    } PMAIN_CTRL_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13[3];
  
  union {
    __IO uint32_t  CG_ON_PMAIN_0;                   /*!< Clock Gating On Register0 of Internal Block of PMAIN                  */
    
    struct {
      __IO uint32_t  CG_cd_cpust_cpu_stclk:  1;     /*!< [Contents] Controls the suspension of CPU Systick timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_cputrc_cpu_traceclk:  1; /*!< [Contents] Controls the suspension of CPU Trace clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_main_sramcm_hclk:  1;    /*!< [Contents] Controls the suspension of SRAMCM AHB clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_main_sramcm_pclk:  1;    /*!< [Contents] Controls the suspension of SRAMCM APB clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_main_sramcm_sp0clk:  1;  /*!< [Contents] Controls the suspension of SRAMCM SPINOFC I/F clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_main_sramcm_sp1clk:  1;  /*!< [Contents] Controls the suspension of SRAMCM SPIFC I/F clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_main_romc_clk:  1;       /*!< [Contents] Controls the suspension of ROMC clock. When BOOTMODE2-0=100/101
                                                         , then before the PMU startup, the clock supply status is changed
                                                         by boot sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 25; // padding
    } CG_ON_PMAIN_0_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14[3];
  
  union {
    __IO uint32_t  CG_OFF_PMAIN_0;                  /*!< Clock Gating Off Register0 of Internal Block of PMAIN                 */
    
    struct {
      __IO uint32_t  CG_cd_cpust_cpu_stclk:  1;     /*!< [Contents] Controls the supply of CPU Systick timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_cputrc_cpu_traceclk:  1; /*!< [Contents] Controls the supply of CPU Trace clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_main_sramcm_hclk:  1;    /*!< [Contents] Controls the supply of SRAMCM AHB clock. Before the
                                                         CPU startup, the clock supply status is changed by boot sequencer
                                                          of PMU.[Write] 0: Disable 1: Supplies clock[Read] 0: Clock is
                                                          being suspended 1: Clock is being supplied                           */
      __IO uint32_t  CG_cd_main_sramcm_pclk:  1;    /*!< [Contents] Controls the supply of SRAMCM APB clock. Before the
                                                         CPU startup, the clock supply status is changed by boot sequencer
                                                          of PMU.[Write] 0: Disable 1: Supplies clock[Read] 0: Clock is
                                                          being suspended 1: Clock is being supplied                           */
      __IO uint32_t  CG_cd_main_sramcm_sp0clk:  1;  /*!< [Contents] Controls the supply of SRAMCM SPINOFC I/F clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
      __IO uint32_t  CG_cd_main_sramcm_sp1clk:  1;  /*!< [Contents] Controls the supply of SRAMCM SPIFC I/F clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
      __IO uint32_t  CG_cd_main_romc_clk:  1;       /*!< [Contents] Controls the supply of ROMC clock. When BOOTMODE2-0=100/101,
                                                         then before the PMU startup, the clock supply status is changed
                                                          by boot sequencer of PMU.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 25; // padding
    } CG_OFF_PMAIN_0_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15[7];
  
  union {
    __IO uint32_t  DCG_PMAIN;                       /*!< Dynamic Clock Gating Setting Register of Internal Block of PMAIN      */
    
    struct {
      __IO uint32_t  DCG_cd_main_sramcm_hclk:  1;   /*!< [Contents] Controls the Dynamic Clock Gating of SRAMCM HCLK.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_main_sramcm_pclk:  1;   /*!< [Contents] Controls the Dynamic Clock Gating of SRAMCM PCLK.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_main_sramcm_sp0clk:  1; /*!< [Contents] Controls the Dynamic Clock Gating of SRAMCM SP0CLK.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_main_sramcm_sp1clk:  1; /*!< [Contents] Controls the Dynamic Clock Gating of SRAMCM SP1CLK.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_main_mpier_hclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating of MPIER.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_main_romc_clk:  1;      /*!< [Contents] Controls the Dynamic Clock Gating of ROMC.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 25; // padding
    } DCG_PMAIN_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16[3];
  
  union {
    __IO uint32_t  SRST_ON_PMAIN_0;                 /*!< Software Reset On Register0 of Internal Block of PMAIN                */
    
    struct {
      __IO uint32_t  SRST_cd_cpust_cpu_stasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for CPU Systick
                                                         timer.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently
                                                          reset is deasserted. 1: Currently reset is asserted.                 */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_main_sramcm_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SRAMCM
                                                         AHB I/F. Before the CPU startup, the boot sequencer of PMU is
                                                          changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
      __IO uint32_t  SRST_cd_main_sramcm_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SRAMCM
                                                         APB I/F. Before the CPU startup, the boot sequencer of PMU is
                                                          changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
      __IO uint32_t  SRST_cd_main_sramcm_sp0asyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SRAMCM
                                                         SPINOFC I/F. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
      __IO uint32_t  SRST_cd_main_sramcm_sp1asyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SRAMCM
                                                         SPIFC I/F. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
      __IO uint32_t  SRST_cd_main_romc_asyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for ROMC. During
                                                         BOOTMODE2-0=100/101, then before the CPU startup, the boot sequencer
                                                          of PMU is changed to reset deassert status.[Write] 0: Disable
                                                          1: Asserts reset[Read] 0: Currently reset is deasserted. 1:
                                                          Currently reset is asserted.                                         */
           uint32_t : 25; // padding
    } SRST_ON_PMAIN_0_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED17[3];
  
  union {
    __IO uint32_t  SRST_OFF_PMAIN_0;                /*!< Software Reset Off Register0 of Internal Block of PMAIN               */
    
    struct {
      __IO uint32_t  SRST_cd_cpust_cpu_stasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for CPU Systick
                                                         timer.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_main_sramcm_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SRAMCM
                                                         AHB I/F. Before the CPU startup, the boot sequencer of PMU is
                                                          changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
      __IO uint32_t  SRST_cd_main_sramcm_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SRAMCM
                                                         APB I/F. Before the CPU startup, the boot sequencer of PMU is
                                                          changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
      __IO uint32_t  SRST_cd_main_sramcm_sp0asyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SRAMCM
                                                         SPINOFC I/F. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
      __IO uint32_t  SRST_cd_main_sramcm_sp1asyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SRAMCM
                                                         SPIFC I/F. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
      __IO uint32_t  SRST_cd_main_romc_asyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for ROMC.
                                                         When BOOTMODE2-0=100/101, then before the CPU startup, the boot
                                                          sequencer of PMU is changed to reset deassert status.[Write]
                                                          0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
           uint32_t : 25; // padding
    } SRST_OFF_PMAIN_0_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED18[35];
  
  union {
    __IO uint32_t  PSUB_CTRL_MODE;                  /*!< PSUB Domain Status Transition Setting Register                        */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON status 01: OFF status 10:
                                                          undefined 11: RET status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSUB_CTRL_MODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED19;
  
  union {
    __IO uint32_t  PSUB_CTRL_MODE_FOR_WAIT;         /*!< PSUB Domain Status Transition Setting Register (PowerMode: WAIT)      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON status 01:
                                                          OFF status 10: undefined 11: RET status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSUB_CTRL_MODE_FOR_WAIT_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSUB_CTRL_MODE_FOR_RET;          /*!< PSUB Domain Status Setting Register (PowerMode: RETENTION)            */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF status 10: undefined 11: RET status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSUB_CTRL_MODE_FOR_RET_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSUB_CTRL_STATUS;                /*!< PSUB Domain Status Register                                           */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.
                                                         Before CPU startup, the boot sequencer of PMU changes to ON
                                                          status.[Read] 00: ON status 01: OFF status 10: undefined 11:
                                                          RET status                                                           */
           uint32_t : 30; // padding
    } PSUB_CTRL_STATUS_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED20[3];
  
  union {
    __IO uint32_t  CG_ON_PSUB_0;                    /*!< Clock Gating On Register0 of Internal Block of PSUB                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_hpier_hclk:  1;      /*!< [Contents] Controls the suspension of HPIER clock. Before the
                                                         CPU startup, the clock supply status is changed by boot sequencer
                                                          of PMU.[Write] 0: Disable 1: Suspends clock[Read] 0: Clock is
                                                          being supplied 1: Clock is being suspended                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_sramcs_hclk:  1;     /*!< [Contents] Controls the suspension of SRAMCS AHB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  5;
      __IO uint32_t  CG_cd_sub_i2slp0_pcclk:  1;    /*!< [Contents] Controls the suspension of I2SC0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_i2slp0_i2slp0_mcclk:  1; /*!< [Contents] Controls the suspension of I2SC0 bit clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_i2slp0_piclk:  1;    /*!< [Contents] Controls the suspension of I2SI0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_i2slp0_poclk:  1;    /*!< [Contents] Controls the suspension of I2SO0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_sub_i2slp1_pcclk:  1;    /*!< [Contents] Controls the suspension of I2SC1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_i2slp1_i2slp1_mcclk:  1; /*!< [Contents] Controls the suspension of I2SC1 bit clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_i2slp1_piclk:  1;    /*!< [Contents] Controls the suspension of I2SI1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_i2slp1_poclk:  1;    /*!< [Contents] Controls the suspension of I2SO1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_sub_i2slp2_pcclk:  1;    /*!< [Contents] Controls the suspension of I2SC2 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_i2slp2_i2slp2_mcclk:  1; /*!< [Contents] Controls the suspension of I2SC2 bit clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_i2slp2_piclk:  1;    /*!< [Contents] Controls the suspension of I2SI2 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_pdm_i2slp2_pdmclk:  1;   /*!< [Contents] Controls the suspension of PDM clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 4; // padding
    } CG_ON_PSUB_0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_ON_PSUB_1;                    /*!< Clock Gating On Register1 of Internal Block of PSUB                   */
    
    struct {
      __IO uint32_t  CG_cd_peri0_ppier0_pclk:  1;   /*!< [Contents] Controls the suspension of PPIER0 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri0_spim0_pclk:  1;    /*!< [Contents] Controls the suspension of SPIM0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim0_sclk:  1;    /*!< [Contents] Controls the suspension of SPIM0 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim1_pclk:  1;    /*!< [Contents] Controls the suspension of SPIM1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim1_sclk:  1;    /*!< [Contents] Controls the suspension of SPIM1 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim2_pclk:  1;    /*!< [Contents] Controls the suspension of SPIM2 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim2_sclk:  1;    /*!< [Contents] Controls the suspension of SPIM2 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim3_pclk:  1;    /*!< [Contents] Controls the suspension of SPIM3 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri0_spim3_sclk:  1;    /*!< [Contents] Controls the suspension of SPIM3 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_ppier1_pclk:  1;   /*!< [Contents] Controls the suspension of PPIER1 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri1_evm_pclk:  1;      /*!< [Contents] Controls the suspension of EVM clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
      __IO uint32_t  CG_cd_peri1_rtclv_pclk:  1;    /*!< [Contents] Controls the suspension of RTCLV APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri1_uart0_pclk:  1;    /*!< [Contents] Controls the suspension of UART0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_uart0_uart0_sclk:  1;    /*!< [Contents] Controls the suspension of UART0 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_uart1_pclk:  1;    /*!< [Contents] Controls the suspension of UART1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_uart1_uart1_sclk:  1;    /*!< [Contents] Controls the suspension of UART1 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_uart2_pclk:  1;    /*!< [Contents] Controls the suspension of UART2 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_uart2_uart2_sclk:  1;    /*!< [Contents] Controls the suspension of UART2 Serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_i2c0_pclk:  1;     /*!< [Contents] Controls the suspension of I2C0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_i2c0_i2c0_sclk:  1;      /*!< [Contents] Controls the suspension of I2C0 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_i2c1_pclk:  1;     /*!< [Contents] Controls the suspension of I2C1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_i2c1_i2c1_sclk:  1;      /*!< [Contents] Controls the suspension of I2C1 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_peri1_gpio0_pclk:  1;    /*!< [Contents] Controls the suspension of GPIO0 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri1_gpio1_pclk:  1;    /*!< [Contents] Controls the suspension of GPIO1 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri1_gpio2_pclk:  1;    /*!< [Contents] Controls the suspension of GPIO2 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri1_gpio3_pclk:  1;    /*!< [Contents] Controls the suspension of GPIO3 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri2_ppier2_pclk:  1;   /*!< [Contents] Controls the suspension of PPIER2 clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri2_uart3_pclk:  1;    /*!< [Contents] Controls the suspension of UART3 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_uart3_uart3_sclk:  1;    /*!< [Contents] Controls the suspension of UART3 serial clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
    } CG_ON_PSUB_1_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED21[2];
  
  union {
    __IO uint32_t  CG_OFF_PSUB_0;                   /*!< Clock Gating Off Register0 of Internal Block of PSUB                  */
    
    struct {
      __IO uint32_t  CG_cd_sub_hpier_hclk:  1;      /*!< [Contents] Controls the supply of HPIER clock. Before the CPU
                                                         startup, the clock supply status is changed by boot sequencer
                                                          of PMU.[Write] 0: Disable 1: Supply Clock[Read] 0: Clock is
                                                          being suspended 1: Clock is being supplied                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_sramcs_hclk:  1;     /*!< [Contents] Controls the supply of SRAMCS AHB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  5;
      __IO uint32_t  CG_cd_sub_i2slp0_pcclk:  1;    /*!< [Contents] Controls the supply of I2SC0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_i2slp0_i2slp0_mcclk:  1; /*!< [Contents] Controls the supply of I2SC0 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_sub_i2slp0_piclk:  1;    /*!< [Contents] Controls the supply of I2SI0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_i2slp0_poclk:  1;    /*!< [Contents] Controls the supply of I2SO0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_sub_i2slp1_pcclk:  1;    /*!< [Contents] Controls the supply of I2SC1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_i2slp1_i2slp1_mcclk:  1; /*!< [Contents] Controls the supply of I2SC1 bit clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_sub_i2slp1_piclk:  1;    /*!< [Contents] Controls the supply of I2SI1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_i2slp1_poclk:  1;    /*!< [Contents] Controls the supply of I2SO1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_sub_i2slp2_pcclk:  1;    /*!< [Contents] Controls the supply of I2SC2 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_i2slp2_i2slp2_mcclk:  1; /*!< [Contents] Controls the supply of I2SC2 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_sub_i2slp2_piclk:  1;    /*!< [Contents] Controls the supply of I2SI2 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_pdm_i2slp2_pdmclk:  1;   /*!< [Contents] Controls the supply of PDM clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
           uint32_t : 4; // padding
    } CG_OFF_PSUB_0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CG_OFF_PSUB_1;                   /*!< Clock Gating Off Register1 of Internal Block of PSUB                  */
    
    struct {
      __IO uint32_t  CG_cd_peri0_ppier0_pclk:  1;   /*!< [Contents] Controls the supply of PPIER0 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri0_spim0_pclk:  1;    /*!< [Contents] Controls the supply of SPIM0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_peri0_spim0_sclk:  1;    /*!< [Contents] Controls the supply of SPIM0 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri0_spim1_pclk:  1;    /*!< [Contents] Controls the supply of SPIM1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_peri0_spim1_sclk:  1;    /*!< [Contents] Controls the supply of SPIM1 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri0_spim2_pclk:  1;    /*!< [Contents] Controls the supply of SPIM2 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_peri0_spim2_sclk:  1;    /*!< [Contents] Controls the supply of SPIM2 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri0_spim3_pclk:  1;    /*!< [Contents] Controls the supply of SPIM3 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_peri0_spim3_sclk:  1;    /*!< [Contents] Controls the supply of SPIM3 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri1_ppier1_pclk:  1;   /*!< [Contents] Controls the supply of PPIER1 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_evm_pclk:  1;      /*!< [Contents] Controls the supply of EVM clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_rtclv_pclk:  1;    /*!< [Contents] Controls the supply of RTCLV APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri1_uart0_pclk:  1;    /*!< [Contents] Controls the supply of UART0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_uart0_uart0_sclk:  1;    /*!< [Contents] Controls the supply of UART0 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri1_uart1_pclk:  1;    /*!< [Contents] Controls the supply of UART1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_uart1_uart1_sclk:  1;    /*!< [Contents] Controls the supply of UART1 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri1_uart2_pclk:  1;    /*!< [Contents] Controls the supply of UART2 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_uart2_uart2_sclk:  1;    /*!< [Contents] Controls the supply of UART2 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri1_i2c0_pclk:  1;     /*!< [Contents] Controls the supply of I2C0 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_i2c0_i2c0_sclk:  1;      /*!< [Contents] Controls the supply of I2C0 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_i2c1_pclk:  1;     /*!< [Contents] Controls the supply of I2C1 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_i2c1_i2c1_sclk:  1;      /*!< [Contents] Controls the supply of I2C1 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_peri1_gpio0_pclk:  1;    /*!< [Contents] Controls the supply of GPIO0 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_gpio1_pclk:  1;    /*!< [Contents] Controls the supply of GPIO1 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_gpio2_pclk:  1;    /*!< [Contents] Controls the supply of GPIO2 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri1_gpio3_pclk:  1;    /*!< [Contents] Controls the supply of GPIO3 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
      __IO uint32_t  CG_cd_peri2_ppier2_pclk:  1;   /*!< [Contents] Controls the supply of PPIER2 clock.[Write] 0: Disable
                                                         1: Supply Clock[Read] 0: Clock is being suspended 1: Clock is
                                                          being supplied                                                       */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_peri2_uart3_pclk:  1;    /*!< [Contents] Controls the supply of UART3 APB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_uart3_uart3_sclk:  1;    /*!< [Contents] Controls the supply of UART3 serial clock.[Write]
                                                         0: Disable 1: Supply Clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
    } CG_OFF_PSUB_1_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED22[6];
  
  union {
    __IO uint32_t  DCG_PSUB_0;                      /*!< Dynamic Clock Gating Setting Register0 of Internal Block of
                                                         PSUB                                                                  */
    
    struct {
      __IO uint32_t  DCG_cd_sub_hpier_hclk:  1;     /*!< [Contents] Controls the dynamic clock gating of HPIER clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_sramcs_hclk:  1;    /*!< [Contents] Controls the dynamic clock gating of SRAMCS AHB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  5;
      __IO uint32_t  DCG_cd_sub_i2slp0_pcclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SC0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_i2slp0_piclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SI0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_i2slp0_poclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SO0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_sub_i2slp1_pcclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SC1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_i2slp1_piclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SI1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_i2slp1_poclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SO1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_sub_i2slp2_pcclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SC2 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_sub_i2slp2_piclk:  1;   /*!< [Contents] Controls the dynamic clock gating of I2SI2 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 7; // padding
    } DCG_PSUB_0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DCG_PSUB_1;                      /*!< Dynamic Clock Gating Setting Register1 of Internal Block of
                                                         PSUB                                                                  */
    
    struct {
      __IO uint32_t  DCG_cd_peri0_ppier0_pclk:  1;  /*!< [Contents] Controls the dynamic clock gating of PPIER0 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_peri0_spim0_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri0_spim0_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM0 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri0_spim1_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri0_spim1_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM1 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri0_spim2_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM2 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri0_spim2_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM2 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri0_spim3_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM3 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri0_spim3_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPIM3 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri1_ppier1_pclk:  1;  /*!< [Contents] Controls the dynamic clock gating of PPIER1 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri1_evm_pclk:  1;     /*!< [Contents] Controls the dynamic clock gating of EVM clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_peri1_uart0_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_uart0_uart0_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART0 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri1_uart1_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_uart1_uart1_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART1 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri1_uart2_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART2 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_uart2_uart2_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART2 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri1_i2c0_pclk:  1;    /*!< [Contents] Controls the dynamic clock gating of I2C0 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_i2c0_i2c0_sclk:  1;     /*!< [Contents] Controls the dynamic clock gating of I2C0 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_peri1_i2c1_pclk:  1;    /*!< [Contents] Controls the dynamic clock gating of I2C1 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_i2c1_i2c1_sclk:  1;     /*!< [Contents] Controls the dynamic clock gating of I2C1 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri1_gpio0_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of GPIO0 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri1_gpio1_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of GPIO1 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri1_gpio2_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of GPIO2 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri1_gpio3_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of GPIO3 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_peri2_ppier2_pclk:  1;  /*!< [Contents] Controls the dynamic clock gating of PPIER2 clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_peri2_uart3_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART3 APB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_uart3_uart3_sclk:  1;   /*!< [Contents] Controls the dynamic clock gating of UART3 serial
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
    } DCG_PSUB_1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED23[2];
  
  union {
    __IO uint32_t  SRST_ON_PSUB_0;                  /*!< Software On Register0 of Internal Block of PSUB                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_hpier_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for HPIER.
                                                         Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Asserts reset[Read]
                                                          0: Currently reset is deasserted. 1: Currently reset is asserted.    */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_sramcs_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SRAMCS
                                                         AHB.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently reset
                                                          is deasserted. 1: Currently reset is asserted.                       */
           uint32_t             :  5;
      __IO uint32_t  SRST_cd_sub_i2slp0_pcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_mcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC0 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp0_piasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_miasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI0 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp0_poasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SO0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_moasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SO0 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp0_confasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SLP0
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently
                                                          reset is deasserted. 1: Currently reset is asserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp1_pcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_mcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC1 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp1_piasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_miasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp1_poasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SO1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_moasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SO1 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp1_confasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SLP1
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently
                                                          reset is deasserted. 1: Currently reset is asserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp2_pcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC2 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp2_i2slp2_mcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SC2 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp2_piasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI2 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2slp2_i2slp2_miasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SI2 bit.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_sub_i2slp2_confasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2SLP2
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently
                                                          reset is deasserted. 1: Currently reset is asserted.                 */
      __IO uint32_t  SRST_cd_pdm_i2slp2_pdmasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for PDM.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
           uint32_t : 4; // padding
    } SRST_ON_PSUB_0_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SRST_ON_PSUB_1;                  /*!< Software On Register1 of Internal Block of PSUB                       */
    
    struct {
      __IO uint32_t  SRST_cd_peri0_ppier0_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for PPIER0.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri0_spim0_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim0_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM0 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim1_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim1_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM1 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim2_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM2 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim2_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM2 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim3_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM3 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri0_spim3_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPIM3 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_ppier1_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for PPIER1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_evm_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for EVM.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_rtclv_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for RTCLV APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_slow_rtclv_rtcasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for RTCLV RTC.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_uart0_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_uart0_uart0_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART0 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_uart1_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_uart1_uart1_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART1 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_uart2_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART2 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_uart2_uart2_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART2 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_i2c0_pmixedrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2C0 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2c0_i2c0_smixedrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2C0 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_i2c1_pmixedrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2C1 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_i2c1_i2c1_smixedrst_n:  1;/*!< [Contents] Controls the assert of software reset for I2C1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_gpio0_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for GPIO0.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_gpio1_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for GPIO1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_gpio2_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for GPIO2.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri1_gpio3_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for GPIO3.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_peri2_ppier2_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for PPIER2.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri2_uart3_pasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART3 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
      __IO uint32_t  SRST_cd_uart3_uart3_sasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for UART3 serial.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
    } SRST_ON_PSUB_1_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED24[2];
  
  union {
    __IO uint32_t  SRST_OFF_PSUB_0;                 /*!< Software Off Register0 of Internal Block of PSUB                      */
    
    struct {
      __IO uint32_t  SRST_cd_sub_hpier_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for HPIER.
                                                         Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Deasserts reset[Read]
                                                          0: Currently reset is asserted. 1: Currently reset is deasserted.    */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_sramcs_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SRAMCS
                                                         AHB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
           uint32_t             :  5;
      __IO uint32_t  SRST_cd_sub_i2slp0_pcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_mcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC0
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp0_piasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_miasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI0
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp0_poasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SO0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp0_i2slp0_moasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SO0
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp0_confasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SLP0
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp1_pcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_mcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC1
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp1_piasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_miasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI1
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp1_poasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SO1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp1_i2slp1_moasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SO1
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp1_confasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SLP1
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp2_pcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC2
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp2_i2slp2_mcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SC2
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp2_piasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI2
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2slp2_i2slp2_miasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SI2
                                                         bit.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_i2slp2_confasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2SLP2
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_pdm_i2slp2_pdmasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for PDM.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
           uint32_t : 4; // padding
    } SRST_OFF_PSUB_0_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SRST_OFF_PSUB_1;                 /*!< Software Off Register1 of Internal Block of PSUB                      */
    
    struct {
      __IO uint32_t  SRST_cd_peri0_ppier0_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for PPIER0.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri0_spim0_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim0_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM0
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim1_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim1_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM1
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim2_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM2
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim2_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM2
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim3_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM3
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri0_spim3_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPIM3
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_ppier1_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for PPIER1.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri1_evm_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for EVM.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri1_rtclv_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for RTCLV
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_slow_rtclv_rtcasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for RTCLV
                                                         RTC.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_uart0_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_uart0_uart0_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART0
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_uart1_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_uart1_uart1_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART1
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_uart2_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART2
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_uart2_uart2_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART2
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_i2c0_pmixedrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2C0
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2c0_i2c0_smixedrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2C0
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_i2c1_pmixedrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2C1
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_i2c1_i2c1_smixedrst_n:  1;/*!< [Contents] Controls the deassert of software reset for I2C1
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_peri1_gpio0_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for GPIO0.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri1_gpio1_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for GPIO1.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri1_gpio2_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for GPIO2.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri1_gpio3_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for GPIO3.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
      __IO uint32_t  SRST_cd_peri2_ppier2_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for PPIER2.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Currently reset is asserted.
                                                          1: Currently reset is deasserted.                                    */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri2_uart3_pasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART3
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_uart3_uart3_sasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for UART3
                                                         serial.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
    } SRST_OFF_PSUB_1_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED25[34];
  
  union {
    __IO uint32_t  PNOFC_CTRL_MODE;                 /*!< PNOFC Domain Status Transition Setting Register                       */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PNOFC_CTRL_MODE_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED26;
  
  union {
    __IO uint32_t  PNOFC_CTRL_MODE_FOR_WAIT;        /*!< PNOFC Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PNOFC_CTRL_MODE_FOR_WAIT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PNOFC_CTRL_MODE_FOR_RET;         /*!< PNOFC Domain Status Setting Register (PowerMode: RETENTION)           */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PNOFC_CTRL_MODE_FOR_RET_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PNOFC_CTRL_STATUS;               /*!< PNOFC Domain Status Register                                          */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.
                                                         Before CPU startup, the boot sequencer of PMU changes to ON
                                                          status.[Read] 00: ON status 01: OFF status 10: undefined 11:
                                                          RET status                                                           */
           uint32_t : 30; // padding
    } PNOFC_CTRL_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED27[3];
  
  union {
    __IO uint32_t  CG_ON_PNOFC;                     /*!< Clock Gating On Register of Internal Block of PNOFC                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_spinofc_hclk:  1;    /*!< [Contents] Controls the suspension of SPINOFC AHB clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_sub_spinofc_srclk:  1;   /*!< [Contents] Controls the suspension of SPINOFC SRAM clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_sub_spinofc_seclk:  1;   /*!< [Contents] Controls the suspension of SPINOFC security clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_spinofc_spinofc_spclk:  1;/*!< [Contents] Controls the suspension of SPINOFC SPI clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
      __IO uint32_t  CG_cd_spinofc_spinofc_crclk:  1;/*!< [Contents] Controls the suspension of SPINOFC encryption clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 27; // padding
    } CG_ON_PNOFC_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED28[3];
  
  union {
    __IO uint32_t  CG_OFF_PNOFC;                    /*!< Clock Gating Off Register of Internal Block of PNOFC                  */
    
    struct {
      __IO uint32_t  CG_cd_sub_spinofc_hclk:  1;    /*!< [Contents] Controls the supply of SPINOFC AHB clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Supply Clock[Read] 0:
                                                          Clock is being suspended 1: Clock is being supplied                  */
      __IO uint32_t  CG_cd_sub_spinofc_srclk:  1;   /*!< [Contents] Controls the supply of SPINOFC SRAM clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Supply Clock[Read] 0:
                                                          Clock is being suspended 1: Clock is being supplied                  */
      __IO uint32_t  CG_cd_sub_spinofc_seclk:  1;   /*!< [Contents] Controls the supply of SPINOFC security clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Supply Clock[Read] 0:
                                                          Clock is being suspended 1: Clock is being supplied                  */
      __IO uint32_t  CG_cd_spinofc_spinofc_spclk:  1;/*!< [Contents] Controls the supply of SPINOFC SPI clock. Before
                                                         the CPU startup, the clock supply status is changed by boot
                                                          sequencer of PMU.[Write] 0: Disable 1: Supply Clock[Read] 0:
                                                          Clock is being suspended 1: Clock is being supplied                  */
      __IO uint32_t  CG_cd_spinofc_spinofc_crclk:  1;/*!< [Contents] Controls the supply of SPINOFC encryption clock.
                                                         Before the CPU startup, the clock supply status is changed by
                                                          boot sequencer of PMU.[Write] 0: Disable 1: Supply Clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 27; // padding
    } CG_OFF_PNOFC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED29[7];
  
  union {
    __IO uint32_t  DCG_PNOFC;                       /*!< Dynamic Clock Gating Setting Register of Internal Block of PNOFC      */
    
    struct {
      __IO uint32_t  DCG_cd_sub_spinofc_hclk:  1;   /*!< [Contents] Controls the dynamic clock gating of SPINOFC AHB
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_sub_spinofc_srclk:  1;  /*!< [Contents] Controls the dynamic clock gating of SPINOFC SRAM
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_sub_spinofc_seclk:  1;  /*!< [Contents] Controls the dynamic clock gating of SPINOFC security
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_spinofc_spinofc_spclk:  1;/*!< [Contents] Controls the dynamic clock gating of SPINOFC SPI
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_spinofc_spinofc_crclk:  1;/*!< [Contents] Controls the dynamic clock gating of SPINOFC encryption
                                                         clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 27; // padding
    } DCG_PNOFC_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED30[3];
  
  union {
    __IO uint32_t  SRST_ON_PNOFC;                   /*!< Software On Register of Internal Block of PNOFC                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_spinofc_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPINOFC
                                                         AHB. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Asserts reset[Read]
                                                          0: Currently reset is deasserted. 1: Currently reset is asserted.    */
      __IO uint32_t  SRST_cd_sub_spinofc_srasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPINOFC
                                                         SRAM. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Asserts reset[Read]
                                                          0: Currently reset is deasserted. 1: Currently reset is asserted.    */
      __IO uint32_t  SRST_cd_sub_spinofc_seasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPINOFC
                                                         security. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
      __IO uint32_t  SRST_cd_spinofc_spinofc_spasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPINOFC
                                                         SPI. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Asserts reset[Read]
                                                          0: Currently reset is deasserted. 1: Currently reset is asserted.    */
      __IO uint32_t  SRST_cd_spinofc_spinofc_crasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SPINOFC
                                                         encryption. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Asserts
                                                          reset[Read] 0: Currently reset is deasserted. 1: Currently reset
                                                          is asserted.                                                         */
           uint32_t : 27; // padding
    } SRST_ON_PNOFC_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED31[3];
  
  union {
    __IO uint32_t  SRST_OFF_PNOFC;                  /*!< Software Off Register of Internal Block of PNOFC                      */
    
    struct {
      __IO uint32_t  SRST_cd_sub_spinofc_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPINOFC
                                                         AHB. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Deasserts reset[Read]
                                                          0: Currently reset is asserted. 1: Currently reset is deasserted.    */
      __IO uint32_t  SRST_cd_sub_spinofc_srasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPINOFC
                                                         SRAM. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Deasserts reset[Read]
                                                          0: Currently reset is asserted. 1: Currently reset is deasserted.    */
      __IO uint32_t  SRST_cd_sub_spinofc_seasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPINOFC
                                                         security. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
      __IO uint32_t  SRST_cd_spinofc_spinofc_spasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPINOFC
                                                         SPI. Before the CPU startup, the boot sequencer of PMU is changed
                                                          to reset deassert status.[Write] 0: Disable 1: Deasserts reset[Read]
                                                          0: Currently reset is asserted. 1: Currently reset is deasserted.    */
      __IO uint32_t  SRST_cd_spinofc_spinofc_crasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SPINOFC
                                                         encryption. Before the CPU startup, the boot sequencer of PMU
                                                          is changed to reset deassert status.[Write] 0: Disable 1: Deasserts
                                                          reset[Read] 0: Currently reset is asserted. 1: Currently reset
                                                          is deasserted.                                                       */
           uint32_t : 27; // padding
    } SRST_OFF_PNOFC_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED32[35];
  
  union {
    __IO uint32_t  PDMAC_CTRL_MODE;                 /*!< PDMAC Domain Status Transition Setting Register                       */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON status 01: OFF status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PDMAC_CTRL_MODE_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED33;
  
  union {
    __IO uint32_t  PDMAC_CTRL_MODE_FOR_WAIT;        /*!< PDMAC Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON status 01:
                                                          OFF status 10,11: undefined *If 10 or 11 is set in this register,
                                                          it is considered as OFF status.[Read] Set value can be confirmed.    */
           uint32_t : 30; // padding
    } PDMAC_CTRL_MODE_FOR_WAIT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PDMAC_CTRL_MODE_FOR_RET;         /*!< PDMAC Domain Status Setting Register (PowerMode: RETENTION)           */
    
    struct {
      __I  uint32_t  PDMODE     :  2;               /*!< [Contents] Status of power supply domain which will perform
                                                         transition during RETENTION mode can be confirmed. Transition
                                                          to OFF status is fixed for the power supply domains not supporting
                                                          RET status.[Read] 01: OFF status                                     */
           uint32_t : 30; // padding
    } PDMAC_CTRL_MODE_FOR_RET_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PDMAC_CTRL_STATUS;               /*!< PDMAC Domain Status Register                                          */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON status 01: OFF status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PDMAC_CTRL_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED34[3];
  
  union {
    __IO uint32_t  CG_ON_PDMAC;                     /*!< Clock Gating On Register of Internal Block of PDMAC                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_sdmac0_hclk:  1;     /*!< [Contents] Controls the suspension of SDMAC0 AHB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_sdmac1_hclk:  1;     /*!< [Contents] Controls the suspension of SDMAC1 AHB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_sdmac_confclk:  1;   /*!< [Contents] Controls the suspension of SDMAC CONF clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t : 29; // padding
    } CG_ON_PDMAC_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED35[3];
  
  union {
    __IO uint32_t  CG_OFF_PDMAC;                    /*!< Clock Gating Off Register of Internal Block of PDMAC                  */
    
    struct {
      __IO uint32_t  CG_cd_sub_sdmac0_hclk:  1;     /*!< [Contents] Controls the supply of SDMAC0 AHB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_sub_sdmac1_hclk:  1;     /*!< [Contents] Controls the supply of SDMAC1 AHB clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
      __IO uint32_t  CG_cd_sub_sdmac_confclk:  1;   /*!< [Contents] Controls the supply of SDMAC CONF clock.[Write] 0:
                                                         Disable 1: Supply Clock[Read] 0: Clock is being suspended 1:
                                                          Clock is being supplied                                              */
           uint32_t : 29; // padding
    } CG_OFF_PDMAC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED36[7];
  
  union {
    __IO uint32_t  DCG_PDMAC;                       /*!< Dynamic Clock Gating Setting Register of Internal Block of PDMAC      */
    
    struct {
      __IO uint32_t  DCG_cd_sub_sdmac0_hclk:  1;    /*!< [Contents] Controls the dynamic clock gating of SDMAC0 AHB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_sub_sdmac1_hclk:  1;    /*!< [Contents] Controls the dynamic clock gating of SDMAC1 AHB clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  DCG_cd_sub_sdmac_confclk:  1;  /*!< [Contents] Controls the dynamic clock gating of SDMAC CONF clock.[Write]
                                                         0: Disable Dynamic Clock Gating 1: Enable Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 29; // padding
    } DCG_PDMAC_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED37[3];
  
  union {
    __IO uint32_t  SRST_ON_PDMAC;                   /*!< Software On Register of Internal Block of PDMAC                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_sdmac0_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SDMAC0
                                                         AHB.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently reset
                                                          is deasserted. 1: Currently reset is asserted.                       */
      __IO uint32_t  SRST_cd_sub_sdmac1_hasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SDMAC1
                                                         AHB.[Write] 0: Disable 1: Asserts reset[Read] 0: Currently reset
                                                          is deasserted. 1: Currently reset is asserted.                       */
      __IO uint32_t  SRST_cd_sub_sdmac_confasyncrst_n:  1;/*!< [Contents] Controls the assert of software reset for SDMAC CONF.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Currently reset is deasserted.
                                                          1: Currently reset is asserted.                                      */
           uint32_t : 29; // padding
    } SRST_ON_PDMAC_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED38[3];
  
  union {
    __IO uint32_t  SRST_OFF_PDMAC;                  /*!< Software Off Register of Internal Block of PDMAC                      */
    
    struct {
      __IO uint32_t  SRST_cd_sub_sdmac0_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SDMAC0
                                                         AHB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_sdmac1_hasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SDMAC1
                                                         AHB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
      __IO uint32_t  SRST_cd_sub_sdmac_confasyncrst_n:  1;/*!< [Contents] Controls the deassert of software reset for SDMAC
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Currently
                                                          reset is asserted. 1: Currently reset is deasserted.                 */
           uint32_t : 29; // padding
    } SRST_OFF_PDMAC_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED39[35];
  
  union {
    __IO uint32_t  PENC_CTRL_MODE;                  /*!< PENC Domain Status Transition Setting Register                        */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PENC_CTRL_MODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED40;
  
  union {
    __IO uint32_t  PENC_CTRL_MODE_FOR_WAIT;         /*!< PENC Domain Status Transition Setting Register (PowerMode: WAIT)      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10,11: undefined *If 10 or 11 is set in this register,
                                                          it is considered as OFF status.[Read] Set value can be confirmed.    */
           uint32_t : 30; // padding
    } PENC_CTRL_MODE_FOR_WAIT_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PENC_CTRL_MODE_FOR_RET;          /*!< PENC Domain Status Setting Register (PowerMode: RETENTION)            */
    
    struct {
      __I  uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode. Transition is fixed
                                                          to OFF Status for domain not supporting RET status.[Read] 01:
                                                          OFF Status                                                           */
           uint32_t : 30; // padding
    } PENC_CTRL_MODE_FOR_RET_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PENC_CTRL_STATUS;                /*!< PENC Domain Status Register                                           */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PENC_CTRL_STATUS_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED41[3];
  
  union {
    __IO uint32_t  CG_ON_PENC;                      /*!< Clock Gating On Register of Internal Block of PENC                    */
    
    struct {
      __IO uint32_t  CG_cd_sub_cra_busclk:  1;      /*!< [Contents] Controls the suspension of CRA APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_cra_coreclk:  1;     /*!< [Contents] Controls the suspension of CRA core clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_rng_pclk:  1;        /*!< [Contents] Controls the suspension of RNG APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_rng_coreclk:  1;     /*!< [Contents] Controls the suspension of RNG core clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_tzcp_clk:  1;        /*!< [Contents] Controls the suspension of TZCP clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t : 27; // padding
    } CG_ON_PENC_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED42[3];
  
  union {
    __IO uint32_t  CG_OFF_PENC;                     /*!< Clock Gating Off Register of Internal Block of PENC                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_cra_busclk:  1;      /*!< [Contents] Controls the supply of CRA APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_sub_cra_coreclk:  1;     /*!< [Contents] Controls the supply of CRA core clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_sub_rng_pclk:  1;        /*!< [Contents] Controls the supply of RNG APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_sub_rng_coreclk:  1;     /*!< [Contents] Controls the supply of RNG core clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_sub_tzcp_clk:  1;        /*!< [Contents] Controls the supply of TZCP clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 27; // padding
    } CG_OFF_PENC_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED43[7];
  
  union {
    __IO uint32_t  DCG_PENC;                        /*!< Dynamic Clock Gating Setting Register of Internal Block of PENC       */
    
    struct {
      __IO uint32_t  DCG_cd_sub_cra_busclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of CRA
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_sub_cra_coreclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of CRA
                                                         core clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_sub_rng_pclk:  1;       /*!< [Contents] Controls the Dynamic Clock Gating setting of RNG
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_sub_rng_coreclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of RNG
                                                         core clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_sub_tzcp_clk:  1;       /*!< [Contents] Controls the Dynamic Clock Gating setting of TZCP
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 27; // padding
    } DCG_PENC_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED44[3];
  
  union {
    __IO uint32_t  SRST_ON_PENC;                    /*!< Software On Register of Internal Block of PENC                        */
    
    struct {
      __IO uint32_t  SRST_cd_sub_cra_asyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for CRA.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_rng_asyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for RNG.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_tzcp_asyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for TZCP.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t : 27; // padding
    } SRST_ON_PENC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED45[3];
  
  union {
    __IO uint32_t  SRST_OFF_PENC;                   /*!< Software Off Register of Internal Block of PENC                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_cra_asyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for CRA.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_rng_asyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for RNG.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_sub_tzcp_asyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for TZCP.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t : 27; // padding
    } SRST_OFF_PENC_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED46[35];
  
  union {
    __IO uint32_t  PNVM_CTRL_MODE;                  /*!< PNVM Domain Status Transition Setting Register                        */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PNVM_CTRL_MODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED47;
  
  union {
    __IO uint32_t  PNVM_CTRL_MODE_FOR_WAIT;         /*!< PNVM Domain Status Transition Setting Register (PowerMode: WAIT)      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10,11: undefined *If 10 or 11 is set in this register,
                                                          it is considered as OFF status.[Read] Set value can be confirmed.    */
           uint32_t : 30; // padding
    } PNVM_CTRL_MODE_FOR_WAIT_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PNVM_CTRL_MODE_FOR_RET;          /*!< PNVM Domain Status Setting Register (PowerMode: RETENTION)            */
    
    struct {
      __I  uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode. Transition to OFF
                                                          status is fixed for power supply domain not supporting RET status.[Read]
                                                          01: OFF Status                                                       */
           uint32_t : 30; // padding
    } PNVM_CTRL_MODE_FOR_RET_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PNVM_CTRL_STATUS;                /*!< PNVM Domain Status Register                                           */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms current status of power supply domain.[Read]
                                                         00: ON Status 01: OFF Status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PNVM_CTRL_STATUS_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED48[3];
  
  union {
    __IO uint32_t  CG_ON_PNVM;                      /*!< Clock Gating On Register of Internal Block of PNVM                    */
    
    struct {
      __IO uint32_t  CG_cd_sub_spifc_hclk:  1;      /*!< [Contents] Controls the suspension of SPIFC AHB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_sub_spifc_srclk:  1;     /*!< [Contents] Controls the suspension of SPIFC SRAM clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_spifc_spifc_spclk:  1;   /*!< [Contents] Controls the suspension of SPIFC SPI clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  4;
      __IO uint32_t  CG_cd_sub_emmc0_hclk:  1;      /*!< [Contents] Controls the suspension of EMMC0 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_emmc0_emmc0_xclk:  1;    /*!< [Contents] Controls the suspension of EMMC0 device clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_emmc1_hclk:  1;      /*!< [Contents] Controls the suspension of EMMC1 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_emmc1_emmc1_xclk:  1;    /*!< [Contents] Controls the suspension of EMMC1 device clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t : 17; // padding
    } CG_ON_PNVM_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED49[3];
  
  union {
    __IO uint32_t  CG_OFF_PNVM;                     /*!< Clock Gating Off Register of Internal Block of PNVM                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_spifc_hclk:  1;      /*!< [Contents] Controls the supply of SPIFC AHB clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_sub_spifc_srclk:  1;     /*!< [Contents] Controls the supply of SPIFC SRAM clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_spifc_spifc_spclk:  1;   /*!< [Contents] Controls the supply of SPIFC SPI clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  4;
      __IO uint32_t  CG_cd_sub_emmc0_hclk:  1;      /*!< [Contents] Controls the supply of EMMC0 BUS clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_emmc0_emmc0_xclk:  1;    /*!< [Contents] Controls the supply of EMMC0 device clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_sub_emmc1_hclk:  1;      /*!< [Contents] Controls the supply of EMMC1 BUS clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_emmc1_emmc1_xclk:  1;    /*!< [Contents] Controls the supply of EMMC1 device clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t : 17; // padding
    } CG_OFF_PNVM_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED50[7];
  
  union {
    __IO uint32_t  DCG_PNVM;                        /*!< Dynamic Clock Gating Setting Register of Internal Block of PNVM       */
    
    struct {
      __IO uint32_t  DCG_cd_sub_spifc_hclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of SPIFC
                                                         AHB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_sub_spifc_srclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of SPIFC
                                                         SRAM clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_spifc_spifc_spclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of SPIFC
                                                         SPI clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  4;
      __IO uint32_t  DCG_cd_sub_emmc0_hclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of EMMC0
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  3;
      __IO uint32_t  DCG_cd_sub_emmc1_hclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of EMMC1
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t : 19; // padding
    } DCG_PNVM_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED51[3];
  
  union {
    __IO uint32_t  SRST_ON_PNVM;                    /*!< Software On Register of Internal Block of PNVM                        */
    
    struct {
      __IO uint32_t  SRST_cd_sub_spifc_hasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SPIFC
                                                         AHB.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
      __IO uint32_t  SRST_cd_sub_spifc_srasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SPIFC
                                                         SRAM.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_spifc_spifc_spasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SPIFC
                                                         SPI.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t             :  4;
      __IO uint32_t  SRST_cd_sub_emmc0_hmixedrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EMMC0.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_sub_emmc0_confasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EMMC0
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_sub_emmc1_hmixedrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EMMC1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_sub_emmc1_confasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EMMC1
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t : 18; // padding
    } SRST_ON_PNVM_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED52[3];
  
  union {
    __IO uint32_t  SRST_OFF_PNVM;                   /*!< Software Off Register of Internal Block of PNVM                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_spifc_hasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SPIFC
                                                         AHB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
      __IO uint32_t  SRST_cd_sub_spifc_srasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SPIFC
                                                         SRAM.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_spifc_spifc_spasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SPIFC
                                                         SPI.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
           uint32_t             :  4;
      __IO uint32_t  SRST_cd_sub_emmc0_hmixedrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EMMC0.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_sub_emmc0_confasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EMMC0
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_sub_emmc1_hmixedrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EMMC1.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_sub_emmc1_confasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EMMC1
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
           uint32_t : 18; // padding
    } SRST_OFF_PNVM_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED53[35];
  
  union {
    __IO uint32_t  PDISP_CTRL_MODE;                 /*!< PDISP Domain Status Transition Setting Register                       */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PDISP_CTRL_MODE_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED54;
  
  union {
    __IO uint32_t  PDISP_CTRL_MODE_FOR_WAIT;        /*!< PDISP Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10,11: undefined *If 10 or 11 is set in this register,
                                                          it is considered as OFF status.[Read] Set value can be confirmed.    */
           uint32_t : 30; // padding
    } PDISP_CTRL_MODE_FOR_WAIT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PDISP_CTRL_MODE_FOR_RET;         /*!< PDISP Domain Status Setting Register (PowerMode: RETENTION)           */
    
    struct {
      __I  uint32_t  PDMODE     :  2;               /*!< [Contents] Status of transitioned power supply domain during
                                                         RETENTION mode. Transition to OFF status is fixed for power
                                                          supply domain not supporting RET status.[Read] 01: OFF Status        */
           uint32_t : 30; // padding
    } PDISP_CTRL_MODE_FOR_RET_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PDISP_CTRL_STATUS;               /*!< PDISP Domain Status Register                                          */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PDISP_CTRL_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED55[3];
  
  union {
    __IO uint32_t  CG_ON_PDISP;                     /*!< Clock Gating On Register of Internal Block of PDISP                   */
    
    struct {
      __IO uint32_t  CG_cd_main_gpier_aclk:  1;     /*!< [Contents] Controls the suspension of GPIER slave clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_gpier_aclk:  1;     /*!< [Contents] Controls the suspension of GPIER master clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_disp_ebif_busclk:  1;    /*!< [Contents] Controls the suspension of EBIF BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_ebif_ebif_mclk:  1;      /*!< [Contents] Controls the suspension of EBIF memory clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_gfx_clk:  1;        /*!< [Contents] Controls the suspension of GFX clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
      __IO uint32_t  CG_cd_disp_dbibc_busclk:  1;   /*!< [Contents] Controls the suspension of DBIBC BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_main_dbibc_outclk:  1;   /*!< [Contents] Controls the suspension of DBIBC external port clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_dbibc_syncclk:  1;  /*!< [Contents] Controls the suspension of DBIBC DSI I/F clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_disp_sramcg0_xclk:  1;   /*!< [Contents] Controls the suspension of SRAMCG0 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_sramcg1_xclk:  1;   /*!< [Contents] Controls the suspension of SRAMCG1 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_sramcg2_xclk:  1;   /*!< [Contents] Controls the suspension of SRAMCG2 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_sramcg3_xclk:  1;   /*!< [Contents] Controls the suspension of SRAMCG3 BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t : 16; // padding
    } CG_ON_PDISP_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED56[3];
  
  union {
    __IO uint32_t  CG_OFF_PDISP;                    /*!< Clock Gating Off Register of Internal Block of PDISP                  */
    
    struct {
      __IO uint32_t  CG_cd_main_gpier_aclk:  1;     /*!< [Contents] Controls the supply of GPIER slave clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_gpier_aclk:  1;     /*!< [Contents] Controls the supply of GPIER master clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_disp_ebif_busclk:  1;    /*!< [Contents] Controls the supply of EBIF BUS clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_ebif_ebif_mclk:  1;      /*!< [Contents] Controls the supply of EBIF memory clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_gfx_clk:  1;        /*!< [Contents] Controls the supply of GFX clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_disp_dbibc_busclk:  1;   /*!< [Contents] Controls the supply of DBIBC BUS clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_main_dbibc_outclk:  1;   /*!< [Contents] Controls the supply of DBIBC external port clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_dbibc_syncclk:  1;  /*!< [Contents] Controls the supply of DBIBC DSI I/F clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_disp_sramcg0_xclk:  1;   /*!< [Contents] Controls the supply of SRAMCG0 BUS clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_sramcg1_xclk:  1;   /*!< [Contents] Controls the supply of SRAMCG1 BUS clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_sramcg2_xclk:  1;   /*!< [Contents] Controls the supply of SRAMCG2 BUS clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_sramcg3_xclk:  1;   /*!< [Contents] Controls the supply of SRAMCG3 BUS clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t : 16; // padding
    } CG_OFF_PDISP_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED57[7];
  
  union {
    __IO uint32_t  DCG_PDISP;                       /*!< Dynamic Clock Gating Setting Register of Internal Block of PDISP      */
    
    struct {
      __IO uint32_t  DCG_cd_main_gpier_aclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of GPIER
                                                         slave clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_gpier_aclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of GPIER
                                                         master clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_disp_ebif_busclk:  1;   /*!< [Contents] Controls the Dynamic Clock Gating setting of EBIF
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_ebif_ebif_mclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of EBIF
                                                         memory clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_gfx_clk:  1;       /*!< [Contents] Controls the Dynamic Clock Gating setting of GFX
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
      __IO uint32_t  DCG_cd_disp_dbibc_busclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of DBIBC
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_main_dbibc_outclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of DBIBC
                                                         external port clock.[Write] 0: Disables Dynamic Clock Gating
                                                          1: Enables Dynamic Clock Gating[Read] Set value can be confirmed.    */
      __IO uint32_t  DCG_cd_disp_dbibc_syncclk:  1; /*!< [Contents] Controls the Dynamic Clock Gating setting of DBIBC
                                                         DSI I/F clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_disp_sramcg0_xclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of SRAMCG0
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_sramcg1_xclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of SRAMCG1
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_sramcg2_xclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of SRAMCG2
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_sramcg3_xclk:  1;  /*!< [Contents] Controls the Dynamic Clock Gating setting of SRAMCG3
                                                         BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t : 16; // padding
    } DCG_PDISP_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED58[3];
  
  union {
    __IO uint32_t  SRST_ON_PDISP;                   /*!< Software On Register of Internal Block of PDISP                       */
    
    struct {
      __IO uint32_t  SRST_cd_main_gpier_main_aasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for GPIER
                                                         slave.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is
                                                          currently deasserted 1: Reset is currently asserted                  */
      __IO uint32_t  SRST_cd_disp_gpier_disp_aasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for GPIER
                                                         master.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is
                                                          currently deasserted 1: Reset is currently asserted                  */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_disp_ebif_busasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EBIF
                                                         BUS.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
      __IO uint32_t  SRST_cd_disp_ebif_confasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EBIF
                                                         CONF.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
      __IO uint32_t  SRST_cd_ebif_ebif_masyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for EBIF
                                                         memory.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is
                                                          currently deasserted 1: Reset is currently asserted                  */
      __IO uint32_t  SRST_cd_disp_gfx_asyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for GFX.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_disp_dbibc_busasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for DBIBC
                                                         BUS.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t             :  3;
      __IO uint32_t  SRST_cd_disp_sramcg0_xasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SRAMCG0.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_disp_sramcg1_xasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SRAMCG1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_disp_sramcg2_xasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SRAMCG2.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_disp_sramcg3_xasyncrst_n:  1;/*!< [Contents] Controls the assertion of software reset for SRAMCG3.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t : 16; // padding
    } SRST_ON_PDISP_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED59[3];
  
  union {
    __IO uint32_t  SRST_OFF_PDISP;                  /*!< Software Off Register of Internal Block of PDISP                      */
    
    struct {
      __IO uint32_t  SRST_cd_main_gpier_main_aasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for GPIER
                                                         slave.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
      __IO uint32_t  SRST_cd_disp_gpier_disp_aasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for GPIER
                                                         master.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset
                                                          is being asserted 1: Reset is being deasserted                       */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_disp_ebif_busasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EBIF
                                                         BUS.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
      __IO uint32_t  SRST_cd_disp_ebif_confasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EBIF
                                                         CONF.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
      __IO uint32_t  SRST_cd_ebif_ebif_masyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for EBIF
                                                         memory.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset
                                                          is being asserted 1: Reset is being deasserted                       */
      __IO uint32_t  SRST_cd_disp_gfx_asyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for GFX.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_disp_dbibc_busasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for DBIBC
                                                         BUS.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          being asserted 1: Reset is being deasserted                          */
           uint32_t             :  3;
      __IO uint32_t  SRST_cd_disp_sramcg0_xasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SRAMCG0.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_disp_sramcg1_xasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SRAMCG1.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_disp_sramcg2_xasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SRAMCG2.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_disp_sramcg3_xasyncrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for SRAMCG3.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t : 16; // padding
    } SRST_OFF_PDISP_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED60[43];
  
  union {
    __IO uint32_t  CG_ON_PDSI;                      /*!< Clock Gating On Register of Internal Block of PDSI                    */
    
    struct {
      __IO uint32_t  CG_cd_disp_dbibc_dsi_pclk:  1; /*!< [Contents] Controls the suspension of DBIBC DSI BUS clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_disp_dbibc_dsi_cfgclk:  1;/*!< [Contents] Controls the suspension of DBIBC DSI config clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_osc12m_dbibc_dsi_refclk:  1;/*!< [Contents] Controls the suspension of DBIBC DSI DPHY PLL reference
                                                         clock.[Write] 0: Disable 1: Suspends clock[Read] 0: Clock is
                                                          being supplied 1: Clock is being suspended                           */
           uint32_t : 29; // padding
    } CG_ON_PDSI_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED61[3];
  
  union {
    __IO uint32_t  CG_OFF_PDSI;                     /*!< Clock Gating Off Register of Internal Block of PDSI                   */
    
    struct {
      __IO uint32_t  CG_cd_disp_dbibc_dsi_pclk:  1; /*!< [Contents] Controls the suspension of DBIBC DSI BUS clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_disp_dbibc_dsi_cfgclk:  1;/*!< [Contents] Controls the suspension of DBIBC DSI config clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_osc12m_dbibc_dsi_refclk:  1;/*!< [Contents] Controls the suspension of DBIBC DSI DPHY PLL reference
                                                         clock.[Write] 0: Disable 1: Supplies clock[Read] 0: Clock is
                                                          being suspended 1: Clock is being supplied                           */
           uint32_t : 29; // padding
    } CG_OFF_PDSI_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED62[7];
  
  union {
    __IO uint32_t  DCG_PDSI;                        /*!< Dynamic Clock Gating Setting Register of Internal Block of PDSI       */
    
    struct {
      __IO uint32_t  DCG_cd_disp_dbibc_dsi_pclk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of DBIBC
                                                         DSI BUS clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_disp_dbibc_dsi_cfgclk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of DBIBC
                                                         DSI config clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t : 30; // padding
    } DCG_PDSI_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED63[3];
  
  union {
    __IO uint32_t  SRST_ON_PDSI;                    /*!< Software On Register of Internal Block of PDSI                        */
    
    struct {
      __IO uint32_t  SRST_cd_disp_dbibc_dsi_mixedrst_n:  1;/*!< [Contents] Controls the assertion of software reset for DBIBC
                                                         DSI.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset is currently
                                                          deasserted 1: Reset is currently asserted                            */
           uint32_t : 31; // padding
    } SRST_ON_PDSI_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED64[3];
  
  union {
    __IO uint32_t  SRST_OFF_PDSI;                   /*!< Software Off Register of Internal Block of PDSI                       */
    
    struct {
      __IO uint32_t  SRST_cd_disp_dbibc_dsi_mixedrst_n:  1;/*!< [Contents] Controls the deassertion of software reset for DBIBC
                                                         DSI.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          currently asserted 1: Reset is currently deasserted                  */
           uint32_t : 31; // padding
    } SRST_OFF_PDSI_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED65[19];
  
  union {
    __IO uint32_t  ISO_PDSI;                        /*!< ISO Signal Control Register for PDSI                                  */
    
    struct {
      __IO uint32_t  ISO_EN     :  1;               /*!< [Contents] Controls ISO signal regarding output signal from
                                                         domain.[Write] 0: Isolation Release Status 1: Isolation Status[Read]
                                                          Present status can be confirmed.                                     */
           uint32_t : 31; // padding
    } ISO_PDSI_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED66[15];
  
  union {
    __IO uint32_t  PTMR_CTRL_MODE;                  /*!< PTMR Domain Status Transition Setting Register                        */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PTMR_CTRL_MODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED67;
  
  union {
    __IO uint32_t  PTMR_CTRL_MODE_FOR_WAIT;         /*!< PTMR Domain Status Transition Setting Register (PowerMode: WAIT)      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PTMR_CTRL_MODE_FOR_WAIT_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PTMR_CTRL_MODE_FOR_RET;          /*!< PTMR Domain Status Setting Register (PowerMode: RETENTION)            */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PTMR_CTRL_MODE_FOR_RET_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PTMR_CTRL_STATUS;                /*!< PTMR Domain Status Register                                           */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms current status of power supply domain. During
                                                         [RESET_CTRL].RMODE=1 setting, if reboot occurs because of WDT
                                                          reset, then the CPU starts up from On status.[Read] 00: ON Status
                                                          01: OFF Status 10: undefined 11: RET Status                          */
           uint32_t : 30; // padding
    } PTMR_CTRL_STATUS_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED68[3];
  
  union {
    __IO uint32_t  CG_ON_PTMR;                      /*!< Clock Gating On Register of Internal Block of PTMR                    */
    
    struct {
      __IO uint32_t  CG_cd_sub_ppier3_pclk:  1;     /*!< [Contents] Controls suspension of PPIER3 slave clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_tmr_ppier3_pclk:  1;     /*!< [Contents] Controls suspension of PPIER3 master clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_tmr_wdt_pclk:  1;        /*!< [Contents] Controls suspension of WDT APB clock. During [RESET_CTRL].RMODE
                                                         =1 setting, if reboot occurs because of WDT reset, then the CPU
                                                         starts up from the status when clock is being supplied.[Write]
                                                          0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_tmr_wdt_wdtclk:  1;      /*!< [Contents] Controls suspension of WDT timer clock. During [RESET_CTRL].RMO
                                                         DE=1 setting, if reboot occurs because of WDT reset, then the
                                                         CPU starts up from the status when clock is being supplied.[Write]
                                                          0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_tmr_advtmr0_pclk:  1;    /*!< [Contents] Controls suspension of ADVTMR0 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim0clk:  1; /*!< [Contents] Controls suspension of ADVTMR0 ch0 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim1clk:  1; /*!< [Contents] Controls suspension of ADVTMR0 ch1 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim2clk:  1; /*!< [Contents] Controls suspension of ADVTMR0 ch2 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim3clk:  1; /*!< [Contents] Controls suspension of ADVTMR0 ch3 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_tmr_advtmr1_pclk:  1;    /*!< [Contents] Controls suspension of ADVTMR1 APB clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim0clk:  1; /*!< [Contents] Controls suspension of ADVTMR1 ch0 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim1clk:  1; /*!< [Contents] Controls suspension of ADVTMR1 ch1 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim2clk:  1; /*!< [Contents] Controls suspension of ADVTMR1 ch2 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim3clk:  1; /*!< [Contents] Controls suspension of ADVTMR1 ch3 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
      __IO uint32_t  CG_cd_tmr_tmr_pclk:  1;        /*!< [Contents] Controls suspension of TMR APB clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_tmr_tim0clk:  1;     /*!< [Contents] Controls suspension of TMR ch0 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_tmr_tim1clk:  1;     /*!< [Contents] Controls suspension of TMR ch1 timer clock.[Write]
                                                         0: Disable 1: Suspends clock[Read] 0: Clock is being supplied
                                                          1: Clock is being suspended                                          */
           uint32_t : 3; // padding
    } CG_ON_PTMR_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED69[3];
  
  union {
    __IO uint32_t  CG_OFF_PTMR;                     /*!< Clock Gating Off Register of Internal Block of PTMR                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_ppier3_pclk:  1;     /*!< [Contents] Controls supply of PPIER3 slave clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_tmr_ppier3_pclk:  1;     /*!< [Contents] Controls supply of PPIER3 master clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_tmr_wdt_pclk:  1;        /*!< [Contents] Controls supply of WDT APB clock. During [RESET_CTRL].RMODE=1
                                                         setting, if reboot occurs because of WDT reset, then the CPU
                                                          starts up from the status when clock is being supplied.[Write]
                                                          0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_tmr_wdt_wdtclk:  1;      /*!< [Contents] Controls supply of WDT timer clock. During [RESET_CTRL].RMODE=1
                                                         setting, if reboot occurs because of WDT reset, then the CPU
                                                          starts up from the status when clock is being supplied.[Write]
                                                          0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_tmr_advtmr0_pclk:  1;    /*!< [Contents] Controls supply of ADVTMR0 APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim0clk:  1; /*!< [Contents] Controls supply of ADVTMR0 ch0 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim1clk:  1; /*!< [Contents] Controls supply of ADVTMR0 ch1 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim2clk:  1; /*!< [Contents] Controls supply of ADVTMR0 ch2 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr0_tim3clk:  1; /*!< [Contents] Controls supply of ADVTMR0 ch3 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_tmr_advtmr1_pclk:  1;    /*!< [Contents] Controls supply of ADVTMR1 APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim0clk:  1; /*!< [Contents] Controls supply of ADVTMR1 ch0 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim1clk:  1; /*!< [Contents] Controls supply of ADVTMR1 ch1 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim2clk:  1; /*!< [Contents] Controls supply of ADVTMR1 ch2 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_advtmr1_tim3clk:  1; /*!< [Contents]Controls supply of ADVTMR1 ch3 timer clock.[Write]
                                                         0: Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
      __IO uint32_t  CG_cd_tmr_tmr_pclk:  1;        /*!< [Contents] Controls supply of TMR APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_tmr_tim0clk:  1;     /*!< [Contents] Controls supply of TMR ch0 timer clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t             :  1;
      __IO uint32_t  CG_cd_tmr_tmr_tim1clk:  1;     /*!< [Contents] Controls supply of TMR ch1 timer clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t : 3; // padding
    } CG_OFF_PTMR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED70[7];
  
  union {
    __IO uint32_t  DCG_PTMR;                        /*!< Dynamic Clock Gating Setting Register of Internal Block of PTMR       */
    
    struct {
      __IO uint32_t  DCG_cd_sub_ppier3_pclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of PPIER3
                                                         slave clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_tmr_ppier3_pclk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of PPIER3
                                                         master clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_tmr_wdt_pclk:  1;       /*!< [Contents] Controls the Dynamic Clock Gating setting of WDT
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_tmr_wdt_wdtclk:  1;     /*!< [Contents] Controls the Dynamic Clock Gating setting of WDT
                                                         WDT clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_tmr_advtmr0_pclk:  1;   /*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR0
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr0_tim0clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR0
                                                         ch0 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr0_tim1clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR0
                                                         ch1 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr0_tim2clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR0
                                                         ch2 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr0_tim3clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR0
                                                         ch3 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
      __IO uint32_t  DCG_cd_tmr_advtmr1_pclk:  1;   /*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR1
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr1_tim0clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR1
                                                         ch0 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr1_tim1clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR1
                                                         ch1 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr1_tim2clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR1
                                                         ch2 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_advtmr1_tim3clk:  1;/*!< [Contents] Controls the Dynamic Clock Gating setting of ADVTMR1
                                                         ch3 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
      __IO uint32_t  DCG_cd_tmr_tmr_pclk:  1;       /*!< [Contents] Controls the Dynamic Clock Gating setting of TMR
                                                         APB clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_tmr_tim0clk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of TMR
                                                         ch0 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_tmr_tmr_tim1clk:  1;    /*!< [Contents] Controls the Dynamic Clock Gating setting of TMR
                                                         ch1 timer clock.[Write] 0: Disables Dynamic Clock Gating 1:
                                                          Enables Dynamic Clock Gating[Read] Set value can be confirmed.       */
           uint32_t : 3; // padding
    } DCG_PTMR_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED71[3];
  
  union {
    __IO uint32_t  SRST_ON_PTMR;                    /*!< Software On Register of Internal Block of PTMR                        */
    
    struct {
      __IO uint32_t  SRST_cd_sub_ppier3_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for PPIER3 slave.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_tmr_ppier3_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for PPIER3 master.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_tmr_wdt_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for WDT. During
                                                         [RESET_CTRL].RMODE=1 setting, if reboot occurs because of WDT
                                                          reset, then the CPU starts up from the status when reset is
                                                          deasserted.[Write] 0: Disable 1: Asserts reset[Read] 0: Reset
                                                          is currently deasserted 1: Reset is currently asserted               */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_tmr_advtmr0_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADVTMR0.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  8;
      __IO uint32_t  SRST_cd_tmr_advtmr1_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADVTMR1.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  8;
      __IO uint32_t  SRST_cd_tmr_tmr_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for TMR.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t : 7; // padding
    } SRST_ON_PTMR_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED72[3];
  
  union {
    __IO uint32_t  SRST_OFF_PTMR;                   /*!< Software Off Register of Internal Block of PTMR                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_ppier3_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for PPIER3 slave.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
      __IO uint32_t  SRST_cd_tmr_ppier3_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for PPIER3 master.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t             :  2;
      __IO uint32_t  SRST_cd_tmr_wdt_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for WDT.During
                                                         [RESET_CTRL].RMODE=1 setting, if reboot occurs because of WDT
                                                          reset, then the CPU starts up from the status when reset is
                                                          deasserted.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset
                                                          is being asserted 1: Reset is being deasserted                       */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_tmr_advtmr0_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADVTMR0.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t             :  8;
      __IO uint32_t  SRST_cd_tmr_advtmr1_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADVTMR1.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t             :  8;
      __IO uint32_t  SRST_cd_tmr_tmr_asyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for TMR.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is being asserted
                                                          1: Reset is being deasserted                                         */
           uint32_t : 7; // padding
    } SRST_OFF_PTMR_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED73[35];
  
  union {
    __IO uint32_t  PADDA_CTRL_MODE;                 /*!< PADDA domain Status Transition Setting Register                       */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PADDA_CTRL_MODE_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED74;
  
  union {
    __IO uint32_t  PADDA_CTRL_MODE_FOR_WAIT;        /*!< PADDA domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PADDA_CTRL_MODE_FOR_WAIT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PADDA_CTRL_MODE_FOR_RET;         /*!< PADDA Domain Status Setting Register (PowerMode: RETENTION)           */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PADDA_CTRL_MODE_FOR_RET_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PADDA_CTRL_STATUS;               /*!< PADDA Domain Status Register                                          */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PADDA_CTRL_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED75[3];
  
  union {
    __IO uint32_t  CG_ON_PADDA;                     /*!< Clock Gating On Register of Internal Block of PADDA                   */
    
    struct {
      __IO uint32_t  CG_cd_peri1_adc12_pclk:  1;    /*!< [Contents] Controls suspension of ADC12 APB clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_adc12_adc12_adccclk:  1; /*!< [Contents] Controls suspension of ADC12 ADC clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_peri1_afez_pclk:  1;     /*!< [Contents] Controls suspension of AFEZ APB clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_afez_afez_adccclk:  1;   /*!< [Contents] Controls suspension of AFEZ ADC clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_peri1_dacc_pclk:  1;     /*!< [Contents] Controls suspension of DACC APB clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_dacc_dacc_dacclk:  1;    /*!< [Contents] Controls suspension of DACC DAC clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_peri1_ledc_pclk:  1;     /*!< [Contents] Controls suspension of LEDC APB clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
      __IO uint32_t  CG_cd_afez_ledc_ledcclk:  1;   /*!< [Contents] Controls suspension of LEDC LEDC clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t : 20; // padding
    } CG_ON_PADDA_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED76[3];
  
  union {
    __IO uint32_t  CG_OFF_PADDA;                    /*!< Clock Gating Off Register of Internal Block of PADDA                  */
    
    struct {
      __IO uint32_t  CG_cd_peri1_adc12_pclk:  1;    /*!< [Contents] Controls supply of ADC12 APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_adc12_adc12_adccclk:  1; /*!< [Contents] Controls supply of ADC12 ADC clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_peri1_afez_pclk:  1;     /*!< [Contents] Controls supply of AFEZ APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_afez_afez_adccclk:  1;   /*!< [Contents] Controls supply of AFEZ ADC clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t             :  2;
      __IO uint32_t  CG_cd_peri1_dacc_pclk:  1;     /*!< [Contents] Controls supply of DACC APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_dacc_dacc_dacclk:  1;    /*!< [Contents] Controls supply of LEDC DAC clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_peri1_ledc_pclk:  1;     /*!< [Contents] Controls supply of LEDC APB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_afez_ledc_ledcclk:  1;   /*!< [Contents] Controls supply of LEDC LEDC clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 20; // padding
    } CG_OFF_PADDA_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED77[7];
  
  union {
    __IO uint32_t  DCG_PADDA;                       /*!< Dynamic Clock Gating Setting Register of Internal Block of PADDA      */
    
    struct {
      __IO uint32_t  DCG_cd_peri1_adc12_pclk:  1;   /*!< [Contents] Controls the dynamic clock gating setting of LEDC
                                                         APB clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_adc12_adc12_adccclk:  1;/*!< [Contents] Controls the dynamic clock gating setting of ADC12
                                                         ADC clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_peri1_afez_pclk:  1;    /*!< [Contents] Controls the dynamic clock gating setting of AFEZ
                                                         APB clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
      __IO uint32_t  DCG_cd_afez_afez_adccclk:  1;  /*!< [Contents] Controls the dynamic clock gating setting of AFEZ
                                                         ADC clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  2;
      __IO uint32_t  DCG_cd_peri1_dacc_pclk:  1;    /*!< [Contents] Controls the dynamic clock gating setting of DACC
                                                         APB clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t             :  1;
      __IO uint32_t  DCG_cd_peri1_ledc_pclk:  1;    /*!< [Contents] Controls the dynamic clock gating setting of LEDC
                                                         APB clock.[Write] 0: Disable Dynamic Clock Gating 1: Enable
                                                          Dynamic Clock Gating[Read] Set value can be confirmed.               */
           uint32_t : 21; // padding
    } DCG_PADDA_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED78[3];
  
  union {
    __IO uint32_t  SRST_ON_PADDA;                   /*!< Software On Register of Internal Block of PADDA                       */
    
    struct {
      __IO uint32_t  SRST_cd_peri1_adc12_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADC12 APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_adc12_adc12_adccasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADC12 ADC.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_adc12_adc12_adcmasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for ADC12 macro.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri1_afez_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for AFEZ APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_afez_afez_adccasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for AFEZ ADC.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_afez_afez_adcmasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for AFEZ macro.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri1_dacc_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for DACC APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_dacc_dacc_dacasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for DACC DAC.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_peri1_ledc_pasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for LEDC APB.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_afez_ledc_ledcasyncrst_n:  1;/*!< [Contents] Controls assertion of software reset for LEDC LEDC.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t : 20; // padding
    } SRST_ON_PADDA_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED79[3];
  
  union {
    __IO uint32_t  SRST_OFF_PADDA;                  /*!< Software Off Register of Internal Block of PADDA                      */
    
    struct {
      __IO uint32_t  SRST_cd_peri1_adc12_pasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for ADC12
                                                         APB.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          currently asserted 1: Reset is currently deasserted                  */
      __IO uint32_t  SRST_cd_adc12_adc12_adccasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for ADC12
                                                         ADC.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          currently asserted 1: Reset is currently deasserted                  */
      __IO uint32_t  SRST_cd_adc12_adc12_adcmasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for ADC12
                                                         macro.[Write] 0: Disable 1: Deasserts reset[Read] 0: Reset is
                                                          currently asserted 1: Reset is currently deasserted                  */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri1_afez_pasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for AFEZ APB.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_afez_afez_adccasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for AFEZ ADC.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_afez_afez_adcmasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for AFEZ macro.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
           uint32_t             :  1;
      __IO uint32_t  SRST_cd_peri1_dacc_pasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for DACC APB.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_dacc_dacc_dacasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for DACC DAC.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_peri1_ledc_pasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for LEDC APB.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_afez_ledc_ledcasyncrst_n:  1;/*!< [Contents] Controls deassertion of software reset for LEDC LEDC.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
           uint32_t : 20; // padding
    } SRST_OFF_PADDA_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED80[35];
  
  union {
    __IO uint32_t  PSRAM0_CTRL_MODE;                /*!< PSRAM0 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM0_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED81;
  
  union {
    __IO uint32_t  PSRAM0_CTRL_MODE_FOR_WAIT;       /*!< PSRAM0 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM0_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM0_CTRL_MODE_FOR_RET;        /*!< PSRAM0 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM0_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM0_CTRL_STATUS;              /*!< PSRAM0 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.
                                                         Internal Boot sequencer of PMU changes to ON status before CPU
                                                          startup.[Read] 00: ON Status 01: OFF Status 10: undefined 11:
                                                          RET Status                                                           */
           uint32_t : 30; // padding
    } PSRAM0_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED82[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM0;                    /*!< Clock Gating On Register of Internal block of PSRAM0                  */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s0clk:  1;   /*!< [Contents] Controls suspension of internal SRAM0 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 31; // padding
    } CG_ON_PSRAM0_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED83[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM0;                   /*!< Clock Gating Off Register of Internal block of PSRAM0                 */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s0clk:  1;   /*!< [Contents] Controls the supply of internal SRAM0 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM0_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED84[7];
  
  union {
    __IO uint32_t  DCG_PSRAM0;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM0     */
    
    struct {
      __IO uint32_t  DCG_cd_main_sramcm_s0clk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of internal
                                                         SRAM0 clock of SRAMCM.[Write] 0: Disables Dynamic Clock Gating
                                                          1: Enables Dynamic Clock Gating[Read] Set value can be confirmed.    */
           uint32_t : 31; // padding
    } DCG_PSRAM0_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED85[43];
  
  union {
    __IO uint32_t  PSRAM1_CTRL_MODE;                /*!< PSRAM1 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM1_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED86;
  
  union {
    __IO uint32_t  PSRAM1_CTRL_MODE_FOR_WAIT;       /*!< PSRAM1 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM1_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM1_CTRL_MODE_FOR_RET;        /*!< PSRAM1 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM1_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM1_CTRL_STATUS;              /*!< PSRAM1 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.
                                                         Internal Boot sequencer of PMU changes to ON status before CPU
                                                          startup.[Read] 00: ON Status 01: OFF Status 10: undefined 11:
                                                          RET Status                                                           */
           uint32_t : 30; // padding
    } PSRAM1_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED87[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM1;                    /*!< Clock Gating On Register of Internal Block of PSRAM1                  */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s1clk:  1;   /*!< [Contents] Controls suspension of internal SRAM1 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 31; // padding
    } CG_ON_PSRAM1_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED88[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM1;                   /*!< Clock Gating Off Register of Internal Block of PSRAM1                 */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s1clk:  1;   /*!< [Contents] Controls the supply of internal SRAM1 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM1_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED89[7];
  
  union {
    __IO uint32_t  DCG_PSRAM1;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM1     */
    
    struct {
      __IO uint32_t  DCG_cd_main_sramcm_s1clk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of Internal
                                                         SRAM1 clock of SRAMCM.[Write] 0: Disables Dynamic Clock Gating
                                                          1: Enables Dynamic Clock Gating[Read] Set value can be confirmed.    */
           uint32_t : 31; // padding
    } DCG_PSRAM1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED90[43];
  
  union {
    __IO uint32_t  PSRAM2_CTRL_MODE;                /*!< PSRAM2 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM2_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED91;
  
  union {
    __IO uint32_t  PSRAM2_CTRL_MODE_FOR_WAIT;       /*!< PSRAM2 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM2_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM2_CTRL_MODE_FOR_RET;        /*!< PSRAM2 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM2_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM2_CTRL_STATUS;              /*!< PSRAM2 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.
                                                         Internal Boot sequencer of PMU changes to ON status before CPU
                                                          startup.[Read] 00: ON Status 01: OFF Status 10: undefined 11:
                                                          RET Status                                                           */
           uint32_t : 30; // padding
    } PSRAM2_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED92[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM2;                    /*!< Clock Gating On Register of Internal Block of PSRAM2                  */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s2clk:  1;   /*!< [Contents] Controls suspension of internal SRAM2 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 31; // padding
    } CG_ON_PSRAM2_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED93[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM2;                   /*!< Clock Gating Off Register of Internal Block of PSRAM2                 */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s2clk:  1;   /*!< [Contents] Controls the supply of internal SRAM2 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM2_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED94[7];
  
  union {
    __IO uint32_t  DCG_PSRAM2;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM2     */
    
    struct {
      __IO uint32_t  DCG_cd_main_sramcm_s2clk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of Internal
                                                         SRAM2 clock of SRAMCM.[Write] 0: Disables Dynamic Clock Gating
                                                          1: Enables Dynamic Clock Gating[Read] Set value can be confirmed.    */
           uint32_t : 31; // padding
    } DCG_PSRAM2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED95[43];
  
  union {
    __IO uint32_t  PSRAM3_CTRL_MODE;                /*!< PSRAM3 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM3_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED96;
  
  union {
    __IO uint32_t  PSRAM3_CTRL_MODE_FOR_WAIT;       /*!< PSRAM3 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM3_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM3_CTRL_MODE_FOR_RET;        /*!< PSRAM3 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM3_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM3_CTRL_STATUS;              /*!< PSRAM3 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms current status of power supply domain. Internal
                                                         Boot sequencer of PMU changes to ON status before CPU startup.[Read]
                                                          00: ON Status 01: OFF Status 10: undefined 11: RET Status            */
           uint32_t : 30; // padding
    } PSRAM3_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED97[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM3;                    /*!< Clock Gating On Register of Internal Block of PSRAM3                  */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s3clk:  1;   /*!< [Contents] Controls suspension of internal SRAM3 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Suspends clock[Read]
                                                          0: Clock is being supplied 1: Clock is being suspended               */
           uint32_t : 31; // padding
    } CG_ON_PSRAM3_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED98[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM3;                   /*!< Clock Gating Off Register of Internal Block of PSRAM3                 */
    
    struct {
      __IO uint32_t  CG_cd_main_sramcm_s3clk:  1;   /*!< [Contents] Controls the supply of internal SRAM3 clock of SRAMCM.
                                                         Internal Boot sequencer of PMU changes to clock supply status
                                                          before CPU startup.[Write] 0: Disable 1: Supplies clock[Read]
                                                          0: Clock is being suspended 1: Clock is being supplied               */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM3_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED99[7];
  
  union {
    __IO uint32_t  DCG_PSRAM3;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM3     */
    
    struct {
      __IO uint32_t  DCG_cd_main_sramcm_s3clk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of internal
                                                         SRAM3 clock of SRAMCM.[Write] 0: Disables Dynamic Clock Gating
                                                          1: Enables Dynamic Clock Gating[Read] Set value can be confirmed.    */
           uint32_t : 31; // padding
    } DCG_PSRAM3_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED100[43];
  
  union {
    __IO uint32_t  PSRAM4_CTRL_MODE;                /*!< PSRAM4 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM4_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED101;
  
  union {
    __IO uint32_t  PSRAM4_CTRL_MODE_FOR_WAIT;       /*!< PSRAM4 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM4_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM4_CTRL_MODE_FOR_RET;        /*!< PSRAM4 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM4_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM4_CTRL_STATUS;              /*!< PSRAM4 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PSRAM4_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED102[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM4;                    /*!< Clock Gating On Register of Internal Block of PSRAM4                  */
    
    struct {
      __IO uint32_t  CG_cd_sub_sramcs_sclk:  1;     /*!< [Contents] Controls suspension of SRAMCS clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 31; // padding
    } CG_ON_PSRAM4_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED103[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM4;                   /*!< Clock Gating Off Register of Internal block of PSRAM4                 */
    
    struct {
      __IO uint32_t  CG_cd_sub_sramcs_sclk:  1;     /*!< [Contents] Controls the supply of SRAMCS clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM4_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED104[7];
  
  union {
    __IO uint32_t  DCG_PSRAM4;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM4     */
    
    struct {
      __IO uint32_t  DCG_cd_sub_sramcs_sclk:  1;    /*!< [Contents] Controls Dynamic Clock Gating setting of SRAMCS clock.[Write]
                                                         0: Disables Dynamic Clock Gating 1: Enables Dynamic Clock Gating[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 31; // padding
    } DCG_PSRAM4_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED105[43];
  
  union {
    __IO uint32_t  PSRAM5_CTRL_MODE;                /*!< PSRAM5 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM5_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED106;
  
  union {
    __IO uint32_t  PSRAM5_CTRL_MODE_FOR_WAIT;       /*!< PSRAM5 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM5_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM5_CTRL_MODE_FOR_RET;        /*!< PSRAM5 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM5_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM5_CTRL_STATUS;              /*!< PSRAM5 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PSRAM5_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED107[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM5;                    /*!< Clock Gating On Register of Internal Block of PSRAM5                  */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg0_sclk:  1;   /*!< [Contents] Controls suspension of SRAMCG0 clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 31; // padding
    } CG_ON_PSRAM5_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED108[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM5;                   /*!< Clock Gating Off Register of Internal Block of PSRAM5                 */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg0_sclk:  1;   /*!< [Contents] Controls the supply of SRAMCG0 clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM5_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED109[7];
  
  union {
    __IO uint32_t  DCG_PSRAM5;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM5     */
    
    struct {
      __IO uint32_t  DCG_cd_disp_sramcg0_sclk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of SRAMCG0
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 31; // padding
    } DCG_PSRAM5_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED110[43];
  
  union {
    __IO uint32_t  PSRAM6_CTRL_MODE;                /*!< PSRAM6 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM6_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED111;
  
  union {
    __IO uint32_t  PSRAM6_CTRL_MODE_FOR_WAIT;       /*!< PSRAM6 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM6_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM6_CTRL_MODE_FOR_RET;        /*!< PSRAM6 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM6_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM6_CTRL_STATUS;              /*!< PSRAM6 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PSRAM6_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED112[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM6;                    /*!< Clock Gating On Register of Internal Block of PSRAM6                  */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg1_sclk:  1;   /*!< [Contents] Controls suspension of SRAMCG1 clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 31; // padding
    } CG_ON_PSRAM6_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED113[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM6;                   /*!< Clock Gating Off Register of Internal block of PSRAM6                 */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg1_sclk:  1;   /*!< [Contents] Controls the supply of SRAMCG1 clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM6_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED114[7];
  
  union {
    __IO uint32_t  DCG_PSRAM6;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM6     */
    
    struct {
      __IO uint32_t  DCG_cd_disp_sramcg1_sclk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of SRAMCG1
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 31; // padding
    } DCG_PSRAM6_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED115[43];
  
  union {
    __IO uint32_t  PSRAM7_CTRL_MODE;                /*!< PSRAM7 Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM7_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED116;
  
  union {
    __IO uint32_t  PSRAM7_CTRL_MODE_FOR_WAIT;       /*!< PSRAM7 Domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM7_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM7_CTRL_MODE_FOR_RET;        /*!< PSRAM7 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM7_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM7_CTRL_STATUS;              /*!< PSRAM7 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PSRAM7_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED117[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM7;                    /*!< Clock Gating On Register of Internal Block of PSRAM7                  */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg2_sclk:  1;   /*!< [Contents] Controls suspension of SRAMCG2 clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 31; // padding
    } CG_ON_PSRAM7_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED118[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM7;                   /*!< Clock Gating Off Register of Internal block of PSRAM7                 */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg2_sclk:  1;   /*!< [Contents] Controls the supply of SRAMCG2 clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM7_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED119[7];
  
  union {
    __IO uint32_t  DCG_PSRAM7;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM7     */
    
    struct {
      __IO uint32_t  DCG_cd_disp_sramcg2_sclk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of SRAMCG2
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 31; // padding
    } DCG_PSRAM7_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED120[43];
  
  union {
    __IO uint32_t  PSRAM8_CTRL_MODE;                /*!< PSRAM8 domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10:
                                                          undefined 11: RET Status *If 10 is set to this register, status
                                                          is considered as RET.[Read] Set value can be confirmed.              */
           uint32_t : 30; // padding
    } PSRAM8_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED121;
  
  union {
    __IO uint32_t  PSRAM8_CTRL_MODE_FOR_WAIT;       /*!< PSRAM8 domain Status Transition Setting Register (PowerMode:
                                                         WAIT)                                                                 */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during WAIT mode.[Write] 00: ON Status 01:
                                                          OFF Status 10: undefined 11: RET Status *If 10 is set to this
                                                          register, status is considered as RET.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } PSRAM8_CTRL_MODE_FOR_WAIT_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PSRAM8_CTRL_MODE_FOR_RET;        /*!< PSRAM8 Domain Status Setting Register (PowerMode: RETENTION)          */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition during RETENTION mode.[Write] 00: undefined
                                                          01: OFF Status 10: undefined 11: RET Status *If 00 is set in
                                                          this register, it is considered as 01. *If 10 is set in this
                                                          register, it is considered as 11.[Read] Set value can be confirmed.  */
           uint32_t : 30; // padding
    } PSRAM8_CTRL_MODE_FOR_RET_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PSRAM8_CTRL_STATUS;              /*!< PSRAM8 Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms current status of power supply domain.[Read]
                                                         00: ON Status 01: OFF Status 10: undefined 11: RET Status             */
           uint32_t : 30; // padding
    } PSRAM8_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED122[3];
  
  union {
    __IO uint32_t  CG_ON_PSRAM8;                    /*!< Clock Gating On Register of Internal Block of PSRAM8                  */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg3_sclk:  1;   /*!< [Contents] Controls suspension of SRAMCG3 clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
           uint32_t : 31; // padding
    } CG_ON_PSRAM8_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED123[3];
  
  union {
    __IO uint32_t  CG_OFF_PSRAM8;                   /*!< Clock Gating Off Register of Internal block of PSRAM8                 */
    
    struct {
      __IO uint32_t  CG_cd_disp_sramcg3_sclk:  1;   /*!< [Contents] Controls the supply of SRAMCG3 clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
           uint32_t : 31; // padding
    } CG_OFF_PSRAM8_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED124[7];
  
  union {
    __IO uint32_t  DCG_PSRAM8;                      /*!< Dynamic Clock Gating Setting Register of Internal Block of PSRAM8     */
    
    struct {
      __IO uint32_t  DCG_cd_disp_sramcg3_sclk:  1;  /*!< [Contents] Controls Dynamic Clock Gating setting of SRAMCG3
                                                         clock.[Write] 0: Disables Dynamic Clock Gating 1: Enables Dynamic
                                                          Clock Gating[Read] Set value can be confirmed.                       */
           uint32_t : 31; // padding
    } DCG_PSRAM8_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED125[43];
  
  union {
    __IO uint32_t  PPLL_CTRL_MODE;                  /*!< PPLL Domain Status Transition Setting Register                        */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PPLL_CTRL_MODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED126[3];
  
  union {
    __I  uint32_t  PPLL_CTRL_STATUS;                /*!< Power Domain Status                                                   */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Current status of power supply domain can be confirmed.[Read]
                                                         00: ON Status 01: OFF Status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PPLL_CTRL_STATUS_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED127[59];
  
  union {
    __IO uint32_t  PADPLL_CTRL_MODE;                /*!< PADPLL Domain Status Transition Setting Register                      */
    
    struct {
      __IO uint32_t  PDMODE     :  2;               /*!< [Contents] Sets the status of power supply domain which will
                                                         perform transition.[Write] 00: ON Status 01: OFF Status 10,11:
                                                          undefined *If 10 or 11 is set in this register, it is considered
                                                          as OFF status.[Read] Set value can be confirmed.                     */
           uint32_t : 30; // padding
    } PADPLL_CTRL_MODE_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED128[3];
  
  union {
    __I  uint32_t  PADPLL_CTRL_STATUS;              /*!< PADPLL Domain Status Register                                         */
    
    struct {
      __I  uint32_t  PDSTATUS   :  2;               /*!< [Contents] Confirms current status of power supply domain.[Read]
                                                         00: ON Status 01: OFF Status 10,11: undefined                         */
           uint32_t : 30; // padding
    } PADPLL_CTRL_STATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED129[67];
  
  union {
    __IO uint32_t  CG_ON_PUSB;                      /*!< Clock Gating On Register of Internal Block of PUSB                    */
    
    struct {
      __IO uint32_t  CG_cd_sub_usb2fs_hclk:  1;     /*!< [Contents] Controls suspension of USB AHB clock.[Write] 0: Disable
                                                         1: Suspends clock[Read] 0: Clock is being supplied 1: Clock
                                                          is being suspended                                                   */
      __IO uint32_t  CG_cd_usbi_usb2fs_usbclk:  1;  /*!< [Contents] Controls suspension of USB Core clock.[Write] 0:
                                                         Disable 1: Suspends clock[Read] 0: Clock is being supplied 1:
                                                          Clock is being suspended                                             */
           uint32_t : 30; // padding
    } CG_ON_PUSB_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED130[3];
  
  union {
    __IO uint32_t  CG_OFF_PUSB;                     /*!< Clock Gating Off Register of Internal Block of PUSB                   */
    
    struct {
      __IO uint32_t  CG_cd_sub_usb2fs_hclk:  1;     /*!< [Contents] Controls the supply of USB AHB clock.[Write] 0: Disable
                                                         1: Supplies clock[Read] 0: Clock is being suspended 1: Clock
                                                          is being supplied                                                    */
      __IO uint32_t  CG_cd_usbi_usb2fs_usbclk:  1;  /*!< [Contents] Controls the supply of USB core clock.[Write] 0:
                                                         Disable 1: Supplies clock[Read] 0: Clock is being suspended
                                                          1: Clock is being supplied                                           */
           uint32_t : 30; // padding
    } CG_OFF_PUSB_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED131[11];
  
  union {
    __IO uint32_t  SRST_ON_PUSB;                    /*!< Software On Register of Internal Block of PUSB                        */
    
    struct {
      __IO uint32_t  SRST_cd_sub_usb2fs_hmixedrst_n:  1;/*!< [Contents] Controls assertion of software reset for USB AHB[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
      __IO uint32_t  SRST_cd_usbi_usb2fs_usbmixedrst_n:  1;/*!< [Contents] Controls assertion of software reset for USB core.[Write]
                                                         0: Disable 1: Asserts reset[Read] 0: Reset is currently deasserted
                                                          1: Reset is currently asserted                                       */
           uint32_t : 30; // padding
    } SRST_ON_PUSB_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED132[3];
  
  union {
    __IO uint32_t  SRST_OFF_PUSB;                   /*!< Software Off Register of Internal Block of PUSB                       */
    
    struct {
      __IO uint32_t  SRST_cd_sub_usb2fs_hmixedrst_n:  1;/*!< [Contents] Controls deassertion of software reset for USB AHB.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
      __IO uint32_t  SRST_cd_usbi_usb2fs_usbmixedrst_n:  1;/*!< [Contents] Controls deassertion of software reset for USB core.[Write]
                                                         0: Disable 1: Deasserts reset[Read] 0: Reset is currently asserted
                                                          1: Reset is currently deasserted                                     */
           uint32_t : 30; // padding
    } SRST_OFF_PUSB_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED133[19];
  
  union {
    __IO uint32_t  ISO_PUSB;                        /*!< ISO Signal Control Register for PUSB                                  */
    
    struct {
      __IO uint32_t  ISO_EN     :  1;               /*!< [Contents] Controls ISO signal with regards to output signal
                                                         from domain.[Write] 0: Isolation release status 1: Isolation
                                                          Status[Read] The current status can be confirmed.                    */
           uint32_t : 31; // padding
    } ISO_PUSB_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED134[3];
  
  union {
    __IO uint32_t  PSW_PUSB;                        /*!< Control Register of Power Supply Control Signal for PSUB              */
    
    struct {
      __IO uint32_t  PWEN0      :  1;               /*!< [Contents] Control signal 0 for Power Supply Control for PUSB[Write]
                                                         0: PSW OFF 1: PSW ON[Read] The current status can be confirmed.       */
      __IO uint32_t  PWEN1      :  1;               /*!< [Contents] Control signal 1 for Power Supply Control for PUSB[Write]
                                                         0: PSW OFF 1: PSW ON[Read] The current status can be confirmed.       */
           uint32_t : 30; // padding
    } PSW_PUSB_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED135[1795];
  
  union {
    __IO uint32_t  CS_START;                        /*!< Clock Source Startup Control Register                                 */
    
    struct {
      __IO uint32_t  OSC12M     :  1;               /*!< [Contents] Starts up OSC12M startup control.[Write] 0: Disable
                                                         1: Start up[Read] 0: Sequencer is currently suspended 1: Sequencer
                                                          is currently operational                                             */
      __IO uint32_t  PLL        :  1;               /*!< [Contents] Starts up PLL startup control.[Write] 0: Disable
                                                         1: Start up[Read] 0: Sequencer is currently suspended 1: Sequencer
                                                          is currently operational                                             */
      __IO uint32_t  ADPLL_NRML :  1;               /*!< [Contents] Starts up ADPLL startup control.[Write] 0: Disable
                                                         1: Start up[Read] 0: Sequencer is currently suspended 1: Sequencer
                                                          is currently operational                                             */
           uint32_t             :  2;
      __IO uint32_t  OSC32K     :  1;               /*!< [Contents] Starts up OSC32K startup control.[Write] 0: Disable
                                                         1: Start up[Read] 0: Sequencer is currently suspended 1: Sequencer
                                                          is currently operational                                             */
           uint32_t : 26; // padding
    } CS_START_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CS_STOP;                         /*!< Clock Source Suspension Control Register                              */
    
    struct {
      __IO uint32_t  OSC12M     :  1;               /*!< [Contents] Start up the suspension control of OSC12M.[Write]
                                                         0: Disable 1: Start up[Read] 0: Sequencer is currently suspended
                                                          1: Sequencer is currently operational                                */
      __IO uint32_t  PLL        :  1;               /*!< [Contents] Start up the suspension control (switching to bypass
                                                         mode) of PLL.[Write] 0: Disable 1: Start up[Read] 0: Sequencer
                                                          is currently suspended 1: Sequencer is currently operational         */
      __IO uint32_t  ADPLL_NRML :  1;               /*!< [Contents] Start up the suspension control of ADPLL.[Write]
                                                         0: Disable 1: Start up[Read] 0: Sequencer is currently suspended
                                                          1: Sequencer is currently operational                                */
           uint32_t             :  2;
      __IO uint32_t  OSC32K     :  1;               /*!< [Contents] Start up the suspension control of OSC32K.[Write]
                                                         0: Disable 1: Start up[Read] 0: Sequencer is currently suspended
                                                          1: Sequencer is currently operational                                */
           uint32_t : 26; // padding
    } CS_STOP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CS_STATUS;                       /*!< Clock Source Status Register                                          */
    
    struct {
      __I  uint32_t  OSC12M     :  1;               /*!< [Contents] OSC12M Status can be confirmed.[Read] 0: Clock is
                                                         being suspended 1: Clock is being supplied                            */
      __I  uint32_t  PLL        :  1;               /*!< [Contents] PLL Status can be confirmed.[Read] 0: During Bypass
                                                         mode (Reference clock is being supplied) 1: Clock is being supplied
                                                          *When this register is 0, reference clock is output as PLL clock.
                                                          However PLL clock under this condition can not be used. After
                                                          confirming that this register is 1, PLL clock can be used.           */
      __I  uint32_t  ADPLL      :  2;               /*!< [Contents] ADPLL Status can be confirmed.[Read] 00: Clock is
                                                         being suspended 01: Clock is being supplied 10: during standby
                                                          mode(Clock is suspended)                                             */
           uint32_t             :  1;
      __I  uint32_t  OSC32K     :  1;               /*!< [Contents] OSC32K Status can be confirmed.[Read] 0: Clock is
                                                         being suspended 1: Clock is being supplied                            */
           uint32_t : 26; // padding
    } CS_STATUS_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED136[3];
  
  union {
    __IO uint32_t  STARTUP_OSC12M;                  /*!< OSC12M Startup                                                        */
    
    struct {
      __IO uint32_t  INT        :  1;               /*!< [Contents] Clock source startup interrupt. After status confirmation,
                                                         certainly clear until next startup.[Write] 0: Ignored 1: Clear[Read]
                                                          0: Interrupt has not occurred 1: Interrupt has occurred              */
           uint32_t             :  3;
      __IO uint32_t  TIMER_COUNT_DTL: 11;           /*!< [Contents] Set wait time until oscillations become stable after
                                                         setting EN='1'. If TIMER_COUNT=0x00, this register is valid.
                                                          Counts using 100 us unit of 12 MHz(0.0833 [us]).[Write] 0x000:
                                                          0 us, ... 0x200: 41 us, ... 0x400: 83 us, ... 0x600: 124 us,
                                                          ... 0x7FF: 166 us If setting to 0x171, then timer counts to
                                                          30 [us] and then issues an interrupt.[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t             :  1;
      __IO uint32_t  TIMER_COUNT:  7;               /*!< [Contents] Set wait time until oscillations become stable after
                                                         setting EN='1'. Counts using 100 us unit of 12 MHz (0.0833 [us]).[Write]
                                                          0x00: 0 ms, ... 0x20: 3.2 ms, ... 0x40: 6.4 ms, ... 0x60: 9.6
                                                          ms, ... 0x7F: 12.7 ms If setting to 0xA, then timer counts to
                                                          1[ms] and then issues an interrupt.[Read] Set value can be confirmed. */
           uint32_t : 9; // padding
    } STARTUP_OSC12M_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED137[2];
  
  union {
    __IO uint32_t  CONFIG_PLL1;                     /*!< PLL Setting1                                                          */
    
    struct {
      __IO uint32_t  ND         :  4;               /*!< [Contents] Multiplication setting of frequency.[Write] Frequency
                                                         = 12 MHz x (Set value+1)(Example) For 120MHz, the setting value
                                                          is 0x9(9). 12 MHz x (9+1) =120 MHz[Read] Set value can be confirmed. */
           uint32_t : 28; // padding
    } CONFIG_PLL1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  STARTUP_PLL;                     /*!< PLL Start up                                                          */
    
    struct {
      __IO uint32_t  INT        :  1;               /*!< [Contents] Clock source start up interrupt. After confirming
                                                         status, certainly clear before next start up.[Write] 0: Ignored
                                                          1: Clear[Read] 0: Interrupt has not occurred 1: Interrupt has
                                                          occurred                                                             */
           uint32_t             : 15;
      __IO uint32_t  TIMER_COUNT_BP:  6;            /*!< [Contents] Set wait time which is necessary for discharge of
                                                         charge pump after setting BP='1'. Counts using 10 us unit of
                                                          12 MHz (0.0833 [us]).[Write] 0x00: 0 us, ... 0x10: 160 us, ...
                                                          0x20: 320 us, ... 0x30: 480 us, ... 0x3F: 630 us If setting
                                                          to 0xA, then timer counts to 100 [us].[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 10; // padding
    } STARTUP_PLL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED138;
  
  union {
    __IO uint32_t  CONFIG_ADPLL0;                   /*!< ADPLL Setting0                                                        */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  SELFREQ    :  4;               /*!< [Contents] Divider Setting[Write] * Output Clock frequency depends
                                                         upon the setting of FCW, SELFREQR, SELFREQ and SELCP. 119.537664
                                                          MHz: 11000 107.479040 MHz: 11000 95.944704 MHz: 01000 83.886080
                                                          MHz: 01000 71.827456 MHz: 01000 59.768832 MHz: 01000 49.152000
                                                          MHz: 00xxx 47.972352 MHz: 00xxx 35.913728 MHz: 01001 23.986176
                                                          MHz: 00xxx 11.993088 MHz: 00xxx 7.995392 MHz: 00xxx 3.997696
                                                          MHz: 00xxx 1.998848 MHz: 00xxx 0.999424 MHz: 00xxx[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  SELFREQR   :  5;               /*!< [Contents] Multiplication and division ratio setting[Write]
                                                         * Output Clock frequency depends upon the setting of FCW, SELFREQR,
                                                          SELFREQ and SELCP. 119.537664 MHz: 11000 107.479040 MHz: 11000
                                                          95.944704 MHz: 01000 83.886080 MHz: 01000 71.827456 MHz: 01000
                                                          59.768832 MHz: 01000 49.152000 MHz: 00xxx 47.972352 MHz: 00xxx
                                                          35.913728 MHz: 01001 23.986176 MHz: 00xxx 11.993088 MHz: 00xxx
                                                          7.995392 MHz: 00xxx 3.997696 MHz: 00xxx 1.998848 MHz: 00xxx
                                                          0.999424 MHz: 00xxx[Read] Set value can be confirmed.                */
           uint32_t             :  3;
      __IO uint32_t  FCW        : 10;               /*!< [Contents] frequency command word Control[Write] * Output Clock
                                                         frequency depends upon the setting of FCW, SELFREQR, SELFREQ
                                                          and SELCP. 119.537664 MHz: 0011100100 107.479040 MHz: 0011001101
                                                          95.944704 MHz: 0101101110 83.886080 MHz: 0101000000 71.827456
                                                          MHz: 0100010010 59.768832 MHz: 0011100100 49.152000 MHz: 0101110111
                                                          47.972352 MHz: 0101101110 35.913728 MHz: 0100010010 23.986176
                                                          MHz: 0101101110 11.993088 MHz: 0101101110 7.995392 MHz: 0101101110
                                                          3.997696 MHz: 0101101110 1.998848 MHz: 0101101110 0.999424 MHz       */
           uint32_t : 6; // padding
    } CONFIG_ADPLL0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CONFIG_ADPLL1;                   /*!< ADPLL Setting1                                                        */
    
    struct {
           uint32_t             : 23;
      __IO uint32_t  SELCP      :  3;               /*!< [Contents] DCO Load Capacitance Control[Write] * Output Clock
                                                         frequency depends upon the setting of FCW, SELFREQR, SELFREQ
                                                          and SELCP. 119.537664 MHz: 000 107.479040 MHz: 000 95.944704
                                                          MHz: 000 83.886080 MHz: 010 71.827456 MHz: 010 59.768832 MHz:
                                                          010 49.152000 MHz: 010 47.972352 MHz: 010 35.913728 MHz: 010
                                                          23.986176 MHz: 010 11.993088 MHz: 010 7.995392 MHz: 010 3.997696
                                                          MHz: 010 1.998848 MHz: 010 0.999424 MHz: 010[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 6; // padding
    } CONFIG_ADPLL1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  STARTUP_ADPLL;                   /*!< ADPLL Startup                                                         */
    
    struct {
      __IO uint32_t  INT_NRML   :  1;               /*!< [Contents] Clock source start up interrupt of normal mode. After
                                                         confirming status, certainly clear before next start up.[Write]
                                                          0: Ignored 1: Clear[Read] 0: Interrupt has not occurred 1: Interrupt
                                                          has occurred                                                         */
           uint32_t : 31; // padding
    } STARTUP_ADPLL_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED139[3];
  
  union {
    __IO uint32_t  CONFIG_SIOSC12M0;                /*!< SIOSC12M Setting0                                                     */
    
    struct {
      __IO uint32_t  CTRIMLAT   :  1;               /*!< [Contents] SiOSC12M frequency change: macro capturing control.[Write]
                                                         0: Through Latch 1: Hold (more than 100 ns)[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 31; // padding
    } CONFIG_SIOSC12M0_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED140[2];
  
  union {
    __IO uint32_t  CONFIG_OSC32K1;                  /*!< OSC32K Setting1                                                       */
    
    struct {
      __IO uint32_t  EXTLO_EN   :  1;               /*!< [Contents] Set the external reference clock supply mode[Write]
                                                         0: Internal oscillation 1: External oscillation (clock is supplied
                                                          from XOUT terminal)[Read] Set value can be confirmed.                */
           uint32_t : 31; // padding
    } CONFIG_OSC32K1_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  STARTUP_OSC32K;                  /*!< OSC32K Startup                                                        */
    
    struct {
      __IO uint32_t  INT        :  1;               /*!< [Contents]Clock source start up interrupt. After confirming
                                                         status, certainly clear before next start up.[Write] 0: Ignored
                                                          1: Clear[Read] 0: Interrupt has not occurred 1: Interrupt has
                                                          occurred                                                             */
           uint32_t             : 15;
      __IO uint32_t  TIMER_COUNT_EN:  4;            /*!< [Contents] Set the wait time interval from setting EN='1' until
                                                         stabilization. Count in unit of 100 ms with 12 MHz (0.0833 [us]).[Write]
                                                          0x0: 0 s, ... 0x4: 0.4 s, ... 0x8: 0.8 s, ... 0xC: 1.2 s, ...
                                                          0xF: 1.5 s If 0xA is set then the timer counts until 1[s].[Read]
                                                          Set value can be confirmed.                                          */
      __IO uint32_t  TIMER_COUNT_BST:  4;           /*!< [Contents] Set the wait time interval from setting BOOST_DISABLE='1'
                                                         until the value of current decreases. Count in unit of 200 us
                                                          with 12 MHz (0.0833 [us]).[Write] 0x0: 0 ms, ... 0x4: 0.8 ms,
                                                          ... 0x8: 1.6 ms, ... 0xC: 2.4 ms, ... 0xF: 3.0 ms If 0xA is
                                                          set then the timer counts until 2 [ms] and issues interrupt.[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 8; // padding
    } STARTUP_OSC32K_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED141;
  
  union {
    __IO uint32_t  CLKOUT_OSC12MDIV3;               /*!< OSC12MDIV3 Clock Output Control                                       */
    
    struct {
      __IO uint32_t  OUTEN      :  1;               /*!< [Contents] Setting of clock output from OSC12MDIV3.[Write] 0:
                                                         Suspend 1: Supply[Read] Set value can be confirmed.                   */
           uint32_t : 31; // padding
    } CLKOUT_OSC12MDIV3_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED142[3];
  
  union {
    __IO uint32_t  CLKOUT_SIOSC12MDIV3;             /*!< SIOSC12MDIV3 Clock Output Control                                     */
    
    struct {
      __IO uint32_t  OUTEN      :  1;               /*!< [Contents] Setting of clock output from OSC12MDIV3.[Write] 0:
                                                         Suspend 1: Supply[Read] Set value can be confirmed.                   */
           uint32_t : 31; // padding
    } CLKOUT_SIOSC12MDIV3_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED143[35];
  
  union {
    __IO uint32_t  CLK_CTRL_SEL0;                   /*!< Clock Control Startup Register (PSCAL_SEL0)                           */
    
    struct {
      __IO uint32_t  START_MAIN :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SUB  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI0:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI1:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI2:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_DISP :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EBIF :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SPINOFC:  1;             /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SPIFC:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_USBI :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_CPUTRC:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_CPUST:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART0:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART1:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART2:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART3:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2C0 :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2C1 :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP0:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP1:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP2:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PDM  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_TMR  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_ADC12:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_AFEZ :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_DACC :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EMMC0:  1;               /*!< Definition is same as START_EMMC1.                                    */
           uint32_t             :  1;
      __IO uint32_t  START_MCLKO:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EMMC1:  1;               /*!< [Contents] Changes the clock source and pre-scaler value. PSCAL_SEL0
                                                         value of each register is used as a pre-scaler value.[Write]
                                                          0: Disable 1: Change[Read] Status can be confirmed. 0: Currently
                                                          Suspended 1: Currently Changing                                      */
           uint32_t : 2; // padding
    } CLK_CTRL_SEL0_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED144[3];
  
  union {
    __IO uint32_t  CLK_CTRL_SEL1;                   /*!< Clock Control Startup Register (PSCAL_SEL1)                           */
    
    struct {
      __IO uint32_t  START_MAIN :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SUB  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI0:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI1:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PERI2:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_DISP :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EBIF :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SPINOFC:  1;             /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_SPIFC:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_USBI :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_CPUTRC:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_CPUST:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART0:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART1:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART2:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_UART3:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2C0 :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2C1 :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP0:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP1:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_I2SLP2:  1;              /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_PDM  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_TMR  :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_ADC12:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_AFEZ :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_DACC :  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EMMC0:  1;               /*!< Definition is same as START_EMMC1.                                    */
           uint32_t             :  1;
      __IO uint32_t  START_MCLKO:  1;               /*!< Definition is same as START_EMMC1.                                    */
      __IO uint32_t  START_EMMC1:  1;               /*!< [Contents] Changes the clock source and pre-scaler value. PSCAL_SEL1
                                                         value of each register is used as a pre-scaler value.[Write]
                                                          0: Disable 1: Changes[Read] Status can be confirmed. 0: Currently
                                                          Suspended 1: Currently Changing                                      */
           uint32_t : 2; // padding
    } CLK_CTRL_SEL1_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED145[15];
  
  union {
    __IO uint32_t  CLKOUT_PSCAL;                    /*!< Prescaler Clock Output Control                                        */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  OUTEN_SUB  :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_PERI0:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_PERI1:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_PERI2:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_DISP :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_EBIF :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_SPINOFC:  1;             /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_SPIFC:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_USBI :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_CPUTRC:  1;              /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_CPUST:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_UART0:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_UART1:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_UART2:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_UART3:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_I2C0 :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_I2C1 :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_I2SLP0:  1;              /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_I2SLP1:  1;              /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_I2SLP2:  1;              /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_PDM  :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_TMR  :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_ADC12:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_AFEZ :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_DACC :  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_EMMC0:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
           uint32_t             :  1;
      __IO uint32_t  OUTEN_MCLKO:  1;               /*!< Definition is same as OUTEN_EMMC1.                                    */
      __IO uint32_t  OUTEN_EMMC1:  1;               /*!< [Contents] Setting for output clock from prescaler[Write] 0:
                                                         Suspends 1: Supplies[Read] Status can be confirmed. 0: Currently
                                                          Suspended 1: Currently Supplying                                     */
           uint32_t : 2; // padding
    } CLKOUT_PSCAL_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED146[43];
  
  union {
    __IO uint32_t  CLK_SETTING0_MAIN;               /*!< CD_MAIN Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t             :  3;
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: OSC32K 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING0_MAIN_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING1_MAIN;               /*!< CD_MAIN Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_PLL_SEL0:  5;            /*!< Definition is same as PSCAL_ADPLL_SEL1                                */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_PLL_SEL1:  5;            /*!< Definition is same as PSCAL_ADPLL_SEL1                                */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_ADPLL_SEL0:  5;          /*!< Definition is same as PSCAL_ADPLL_SEL1                                */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_ADPLL_SEL1:  5;          /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 3; // padding
    } CLK_SETTING1_MAIN_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_MAIN;                 /*!< CD_MAIN Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< Definition is same as CUR_PSCAL_ADPLL                                 */
           uint32_t             :  3;
      __I  uint32_t  CUR_PSCAL_PLL:  5;             /*!< Definition is same as CUR_PSCAL_ADPLL                                 */
           uint32_t             :  3;
      __I  uint32_t  CUR_PSCAL_ADPLL:  5;           /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t             :  3;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: OSC32K 111: undefined                                */
           uint32_t : 5; // padding
    } CLK_STATUS_MAIN_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED147;
  
  union {
    __IO uint32_t  CLK_SETTING_SUB;                 /*!< CD_SUB Clock Setting                                                  */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_SUB_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_SUB;                  /*!< CD_SUB Clock Status                                                   */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_SUB_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED148[2];
  
  union {
    __IO uint32_t  CLK_SETTING_PERI0;               /*!< CD_PERI0 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_PERI0_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_PERI0;                /*!< CD_PERI0 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_PERI0_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED149[2];
  
  union {
    __IO uint32_t  CLK_SETTING_PERI1;               /*!< CD_PERI1 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_PERI1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_PERI1;                /*!< CD_PERI1 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_PERI1_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED150[2];
  
  union {
    __IO uint32_t  CLK_SETTING_PERI2;               /*!< CD_PERI2 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_PERI2_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_PERI2;                /*!< CD_PERI2 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_PERI2_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED151[2];
  
  union {
    __IO uint32_t  CLK_SETTING_DISP;                /*!< CD_DISP Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_DISP_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_DISP;                 /*!< CD_DISP Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_DISP_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED152[2];
  
  union {
    __IO uint32_t  CLK_SETTING_EBIF;                /*!< CD_EBIF Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_EBIF_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_EBIF;                 /*!< CD_EBIF Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_EBIF_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED153[2];
  
  union {
    __IO uint32_t  CLK_SETTING_SPINOFC;             /*!< CD_SPINOFC Clock Setting                                              */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_SPINOFC_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_SPINOFC;              /*!< CD_SPINOFC Clock Status                                               */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_SPINOFC_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED154[2];
  
  union {
    __IO uint32_t  CLK_SETTING_SPIFC;               /*!< CD_SPIFC Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  5;               /*!< Definition is same as PSCAL_SEL1                                      */
           uint32_t             :  3;
      __IO uint32_t  PSCAL_SEL1 :  5;               /*!< [Contents] Sets prescaler value.[Write] divide ratio = 0x00:
                                                         32/32 divider (= 1/1 divider) 0x10: 16/32 divider (= 1/2 divider)
                                                          0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32 divider (= 1/8
                                                          divider) 0x1E: 2/32 divider (= 1/16 divider) 0x1F: 1/32 divider
                                                          (= 1/32 divider) (Setting other than above is prohibited.)[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 19; // padding
    } CLK_SETTING_SPIFC_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_SPIFC;                /*!< CD_SPIFC Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  5;               /*!< [Contents] Current divider setting can be confirmed.[Read] divide
                                                         ratio = 0x00: 32/32 divider (= 1/1 divider) 0x10: 16/32 divider
                                                          (= 1/2 divider) 0x18: 8/32 divider (= 1/4 divider) 0x1C: 4/32
                                                          divider (= 1/8 divider) 0x1E: 2/32 divider (= 1/16 divider)
                                                          0x1F: 1/32 divider (= 1/32 divider)                                  */
           uint32_t : 27; // padding
    } CLK_STATUS_SPIFC_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED155[2];
  
  union {
    __IO uint32_t  CLK_SETTING_USBI;                /*!< CD_USBI Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: undefined 001: undefined 010: undefined 011: undefined
                                                          100: PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_USBI_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_USBI;                 /*!< CD_USBI Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x1: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         undefined 001: undefined 010: undefined 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined                         */
           uint32_t : 13; // padding
    } CLK_STATUS_USBI_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED156[2];
  
  union {
    __IO uint32_t  CLK_SETTING_CPUTRC;              /*!< CD_CPUTRC Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_CPUTRC_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_CPUTRC;               /*!< CD_CPUTRC Clock Status                                                */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_CPUTRC_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED157[2];
  
  union {
    __IO uint32_t  CLK_SETTING_CPUST;               /*!< CD_CPUST Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          undefined 101: undefined 110: OSC32K 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_CPUST_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_CPUST;                /*!< CD_CPUST Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: undefined
                                                          101: undefined 110: OSC32K 111: undefined                            */
           uint32_t : 13; // padding
    } CLK_STATUS_CPUST_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED158[2];
  
  union {
    __IO uint32_t  CLK_SETTING_UART0;               /*!< CD_UART0 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_UART0_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_UART0;                /*!< CD_UART0 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_UART0_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED159[2];
  
  union {
    __IO uint32_t  CLK_SETTING_UART1;               /*!< CD_UART1 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_UART1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_UART1;                /*!< CD_UART1 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_UART1_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED160[2];
  
  union {
    __IO uint32_t  CLK_SETTING_UART2;               /*!< CD_UART2 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_UART2_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_UART2;                /*!< CD_UART2 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_UART2_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED161[2];
  
  union {
    __IO uint32_t  CLK_SETTING_UART3;               /*!< CD_UART3 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_UART3_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_UART3;                /*!< CD_UART3 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_UART3_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED162[2];
  
  union {
    __IO uint32_t  CLK_SETTING_I2C0;                /*!< CD_I2C0 Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_I2C0_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_I2C0;                 /*!< CD_I2C0 Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_I2C0_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED163[2];
  
  union {
    __IO uint32_t  CLK_SETTING_I2C1;                /*!< CD_I2C1 Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_I2C1_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_I2C1;                 /*!< CD_I2C1 Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_I2C1_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED164[2];
  
  union {
    __IO uint32_t  CLK_SETTING0_I2SLP0;             /*!< CD_I2SLP0 Clock Setting                                               */
    
    struct {
           uint32_t             : 24;
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: MCLKI *It is prohibited to
                                                          perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 5; // padding
    } CLK_SETTING0_I2SLP0_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING1_I2SLP0;             /*!< CD_I2SLP0 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL0:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING1_I2SLP0_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING2_I2SLP0;             /*!< CD_I2SLP0 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL1:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING2_I2SLP0_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_I2SLP0;               /*!< CD_I2SLP0 Clock Status                                                */
    
    struct {
      __I  uint32_t  CUR_PSCAL_N:  8;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         N can be confirmed.[Write] N division ratio = (setting_value
                                                          + 1) 0x00: Prohibited Setting 0x01: 1/2 Divider 0x02: 1/3 Divider
                                                          : 0xFE: 1/255 Divider 0xFF: 1/256 Divider                            */
      __I  uint32_t  CUR_PSCAL_F:  6;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         F can be confirmed.[Write] F = (setting_value) 0x00: 0 0x01:
                                                          1 0x02: 2 : 0x3E: 62 0x3F: 63                                        */
           uint32_t             :  2;
      __I  uint32_t  CUR_PSCAL_I:  8;               /*!< [Contents] Current Prescaler Value For (I + F/64) x N Value
                                                         of I (Integer) can be confirmed.[Write] I division ratio = (setting_value)
                                                          0x00: Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider
                                                          : 0xFE: 1/254 Divider 0xFF: 1/255 Divider                            */
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: MCLKI                                 */
           uint32_t : 5; // padding
    } CLK_STATUS_I2SLP0_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING0_I2SLP1;             /*!< CD_I2SLP1 Clock Setting                                               */
    
    struct {
           uint32_t             : 24;
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: MCLKI *It is prohibited to
                                                          perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 5; // padding
    } CLK_SETTING0_I2SLP1_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING1_I2SLP1;             /*!< CD_I2SLP1 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL0:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING1_I2SLP1_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING2_I2SLP1;             /*!< CD_I2SLP1 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL1:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING2_I2SLP1_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_I2SLP1;               /*!< CD_I2SLP1 Clock Status                                                */
    
    struct {
      __I  uint32_t  CUR_PSCAL_N:  8;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         N can be confirmed.[Write] N division ratio = (setting_value
                                                          + 1) 0x00: Prohibited Setting 0x01: 1/2 Divider 0x02: 1/3 Divider
                                                          : 0xFE: 1/255 Divider 0xFF: 1/256 Divider                            */
      __I  uint32_t  CUR_PSCAL_F:  6;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         F can be confirmed.[Write] F = (setting_value) 0x00: 0 0x01:
                                                          1 0x02: 2 : 0x3E: 62 0x3F: 63                                        */
           uint32_t             :  2;
      __I  uint32_t  CUR_PSCAL_I:  8;               /*!< [Contents] Current Prescaler Value For (I + F/64) x N Value
                                                         of I (Integer) can be confirmed.[Write] I division ratio = (setting_value)
                                                          0x00: Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider
                                                          : 0xFE: 1/254 Divider 0xFF: 1/255 Divider                            */
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: MCLKI                                 */
           uint32_t : 5; // padding
    } CLK_STATUS_I2SLP1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING0_I2SLP2;             /*!< CD_I2SLP2 Clock Setting                                               */
    
    struct {
           uint32_t             : 24;
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: MCLKI *It is prohibited to
                                                          perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 5; // padding
    } CLK_SETTING0_I2SLP2_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING1_I2SLP2;             /*!< CD_I2SLP2 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL0:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING1_I2SLP2_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING2_I2SLP2;             /*!< CD_I2SLP2 Clock Setting                                               */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL1:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING2_I2SLP2_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_I2SLP2;               /*!< CD_I2SLP2 Clock Status                                                */
    
    struct {
      __I  uint32_t  CUR_PSCAL_N:  8;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         N can be confirmed.[Write] N division ratio = (setting_value
                                                          + 1) 0x00: Prohibited Setting 0x01: 1/2 Divider 0x02: 1/3 Divider
                                                          : 0xFE: 1/255 Divider 0xFF: 1/256 Divider                            */
      __I  uint32_t  CUR_PSCAL_F:  6;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         F can be confirmed.[Write] F = (setting_value) 0x00: 0 0x01:
                                                          1 0x02: 2 : 0x3E: 62 0x3F: 63                                        */
           uint32_t             :  2;
      __I  uint32_t  CUR_PSCAL_I:  8;               /*!< [Contents] Current Prescaler Value For (I + F/64) x N Value
                                                         of I (Integer) can be confirmed.[Write] I division ratio = (setting_value)
                                                          0x00: Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider
                                                          : 0xFE: 1/254 Divider 0xFF: 1/255 Divider                            */
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: MCLKI                                 */
           uint32_t : 5; // padding
    } CLK_STATUS_I2SLP2_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING0_PDM;                /*!< CD_PDM Clock Setting                                                  */
    
    struct {
           uint32_t             : 24;
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: MCLKI *It is prohibited to
                                                          perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 5; // padding
    } CLK_SETTING0_PDM_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING1_PDM;                /*!< CD_PDM Clock Setting                                                  */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL0:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL0:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING1_PDM_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING2_PDM;                /*!< CD_PDM Clock Setting                                                  */
    
    struct {
      __IO uint32_t  PSCAL_N_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         N.[Write] N division ratio = (setting_value + 1) 0x00: Prohibited
                                                          Setting 0x01: 1/2 Divider 0x02: 1/3 Divider : 0xFE: 1/255 Divider
                                                          0xFF: 1/256 Divider[Read] Set value can be confirmed.                */
      __IO uint32_t  PSCAL_F_SEL1:  6;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         F. Where F/64 is a fractional part of equation.[Write] F = (setting_value)
                                                          0x00: 0 0x01: 1 0x02: 2 : 0x3E: 62 0x3F: 63[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  2;
      __IO uint32_t  PSCAL_I_SEL1:  8;              /*!< [Contents] Prescale value For (I + F/64) x N Setting of value
                                                         I (as integer).[Write] I division ratio = (setting_value) 0x00:
                                                          Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider : 0xFE:
                                                          1/254 Divider 0xFF: 1/255 Divider[Read] Set value can be confirmed.  */
           uint32_t : 8; // padding
    } CLK_SETTING2_PDM_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_PDM;                  /*!< CD_PDM Clock Status                                                   */
    
    struct {
      __I  uint32_t  CUR_PSCAL_N:  8;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         N can be confirmed.[Write] N division ratio = (setting_value
                                                          + 1) 0x00: Prohibited Setting 0x01: 1/2 Divider 0x02: 1/3 Divider
                                                          : 0xFE: 1/255 Divider 0xFF: 1/256 Divider                            */
      __I  uint32_t  CUR_PSCAL_F:  6;               /*!< [Contents] Current Prescale value For (I + F/64) x N Value of
                                                         F can be confirmed.[Write] F = (setting_value) 0x00: 0 0x01:
                                                          1 0x02: 2 : 0x3E: 62 0x3F: 63                                        */
           uint32_t             :  2;
      __I  uint32_t  CUR_PSCAL_I:  8;               /*!< [Contents] Current Prescaler Value For (I + F/64) x N Value
                                                         of I (Integer) can be confirmed.[Write] I division ratio = (setting_value)
                                                          0x00: Prohibited Setting 0x01: 1/1 Divider 0x02: 1/2 Divider
                                                          : 0xFE: 1/254 Divider 0xFF: 1/255 Divider                            */
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: MCLKI                                 */
           uint32_t : 5; // padding
    } CLK_STATUS_PDM_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CLK_SETTING_TMR;                 /*!< CD_TMR Clock Setting                                                  */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          undefined 101: undefined 110: OSC32K 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.*Switching of OSC32K and SIOSC32K is performed
                                                          by [CSM_SLOW_CLK_CTRL].                                              */
           uint32_t : 13; // padding
    } CLK_SETTING_TMR_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_TMR;                  /*!< CD_TMR Clock Status                                                   */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: undefined
                                                          101: undefined 110: OSC32K 111: undefined                            */
           uint32_t : 13; // padding
    } CLK_STATUS_TMR_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED165[2];
  
  union {
    __IO uint32_t  CLK_SETTING_ADC12;               /*!< CD_ADC12 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider Set as 1/w divider,
                                                          where w is either 1 or an even number.[Read] Set value can be
                                                          confirmed.                                                           */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3
                                                          100: PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_ADC12_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_ADC12;                /*!< CD_ADC12 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined                         */
           uint32_t : 13; // padding
    } CLK_STATUS_ADC12_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED166[2];
  
  union {
    __IO uint32_t  CLK_SETTING_AFEZ;                /*!< CD_AFEZ Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider Set as 1/W divider,
                                                          where w is either 1 or an even number.[Read] Set value can be
                                                          confirmed.                                                           */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3
                                                          100: undefined 101: ADPLL 110: undefined 111: NA *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_AFEZ_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_AFEZ;                 /*!< CD_AFEZ Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3 100:
                                                          undefined 101: ADPLL 110: undefined 111: NA                          */
           uint32_t : 13; // padding
    } CLK_STATUS_AFEZ_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED167[2];
  
  union {
    __IO uint32_t  CLK_SETTING_DACC;                /*!< CD_DACC Clock Setting                                                 */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3
                                                          100: undefined 101: ADPLL 110: undefined 111: undefined *It
                                                          is prohibited to perform startup by 'undefined' setting.[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 13; // padding
    } CLK_SETTING_DACC_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_DACC;                 /*!< CD_DACC Clock Status                                                  */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: SIOSC12MDIV3 010: OSC12M 011: OSC12MDIV3 100:
                                                          undefined 101: ADPLL 110: undefined 111: undefined                   */
           uint32_t : 13; // padding
    } CLK_STATUS_DACC_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED168[2];
  
  union {
    __IO uint32_t  CLK_SETTING_EMMC0;               /*!< CD_EMMC0 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_EMMC0_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_EMMC0;                /*!< CD_EMMC0 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_EMMC0_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED169[6];
  
  union {
    __IO uint32_t  CLK_SETTING_MCLKO;               /*!< CD_MCLKO Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  2;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          00: I2SLP0 01: I2SLP1 10: I2SLP2 11: PDM[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 14; // padding
    } CLK_SETTING_MCLKO_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_MCLKO;                /*!< CD_MCLKO Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  2;               /*!< [Contents] Current clock source can be confirmed.[Read] 00:
                                                         I2SLP0 01: I2SLP1 10: I2SLP2 11: PDM                                  */
           uint32_t : 14; // padding
    } CLK_STATUS_MCLKO_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED170[2];
  
  union {
    __IO uint32_t  CLK_SETTING_EMMC1;               /*!< CD_EMMC1 Clock Setting                                                */
    
    struct {
      __IO uint32_t  PSCAL_SEL0 :  8;               /*!< Definition is same as PSCAL_SEL1                                      */
      __IO uint32_t  PSCAL_SEL1 :  8;               /*!< [Contents] Sets prescaler value.[Write] division ratio = (setting_value
                                                         + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider 0x02: 1/3 Divider :
                                                          0xFE: 1/255 Divider 0xFF: 1/256 Divider[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  SRC_SEL    :  3;               /*!< [Contents] Selects clock source. Value set in SRC_SEL field
                                                         becomes effective at startup by Clock Control Startup Register.[Write]
                                                          000: SIOSC12M 001: undefined 010: OSC12M 011: undefined 100:
                                                          PLL 101: ADPLL 110: undefined 111: undefined *It is prohibited
                                                          to perform startup by 'undefined' setting.[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 13; // padding
    } CLK_SETTING_EMMC1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CLK_STATUS_EMMC1;                /*!< CD_EMMC1 Clock Status                                                 */
    
    struct {
      __I  uint32_t  CUR_PSCAL  :  8;               /*!< [Contents] Current divider setting can be confirmed.[Read] division
                                                         ratio = (read_value + 1) 0x00: 1/1 Divider 0x01: 1/2 Divider
                                                          0x02: 1/3 Divider : 0xFE: 1/255 Divider 0xFF: 1/256 Divider          */
           uint32_t             :  8;
      __I  uint32_t  CUR_SRC    :  3;               /*!< [Contents] Current clock source can be confirmed.[Read] 000:
                                                         SIOSC12M 001: undefined 010: OSC12M 011: undefined 100: PLL
                                                          101: ADPLL 110: undefined 111: undefined                             */
           uint32_t : 13; // padding
    } CLK_STATUS_EMMC1_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED171[10];
  
  union {
    __IO uint32_t  VOLTAGEMODE_CTRL;                /*!< VoltageMode Startup Register                                          */
    
    struct {
      __IO uint32_t  START      :  1;               /*!< [Contents] Starts up VoltageMode.[Write] 0: Disable 1: Starts
                                                         up[Read] Confirms transition status of VoltageMode. 0: Transition
                                                          of VoltageMode is not being performed 1: Transition of VoltageMode
                                                          is being performed                                                   */
           uint32_t : 31; // padding
    } VOLTAGEMODE_CTRL_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED172[3];
  
  union {
    __IO uint32_t  VOLTAGEMODE_CTRL_SETTING0;       /*!< VoltageMode Setting Register0                                         */
    
    struct {
      __IO uint32_t  MODE       :  3;               /*!< [Contents] Sets the target mode to which transition is performed.[Write]
                                                         000: undefined 001: undefined 010: undefined 011: ModeB 100:
                                                          ModeA 101: overdrive other: undefined *It is prohibited to set
                                                          the undefined value. If set, startup by [VOLTAGEMODE_CTRL].START
                                                          is ignored.[Read] Set value can be confirmed.                        */
           uint32_t : 29; // padding
    } VOLTAGEMODE_CTRL_SETTING0_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  VOLTAGEMODE_CTRL_SETTING1;       /*!< VoltageMode Setting Register1                                         */
    
    struct {
      __IO uint32_t  FMODE0     :  1;               /*!< [Contents] DCDC time shortening mode control 0[Write] 0: Normal
                                                         mode 1: Time shortening mode[Read] Set value can be confirmed.        */
      __IO uint32_t  FMODE1     :  1;               /*!< [Contents] DCDC time shortening mode control 1[Write] 0: Normal
                                                         mode 1: Time shortening mode[Read] Set value can be confirmed.        */
           uint32_t : 30; // padding
    } VOLTAGEMODE_CTRL_SETTING1_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED173[2];
  
  union {
    __I  uint32_t  VOLTAGEMODE_CTRL_STATUS;         /*!< VoltageMode Status Register                                           */
    
    struct {
      __I  uint32_t  MODE       :  3;               /*!< [Contents] The current mode can be confirmed.[Read] 000: undefined
                                                         001: undefined 010: undefined 011: ModeB 100: ModeA 101: overdrive
                                                          other: undefined                                                     */
           uint32_t : 29; // padding
    } VOLTAGEMODE_CTRL_STATUS_b;                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED174[3];
  
  union {
    __IO uint32_t  VOLTAGEMODE_CTRL_WAITTIME;       /*!< Wait Time Setting Register for VoltageMode                            */
    
    struct {
      __IO uint32_t  tDE_TIME   :  6;               /*!< [Contents]Sets DCDC tDE spec time.*Wait time is setting value
                                                         + internal delay in chip.[Write]- This period can be set in
                                                          1 us unit.- If 0x00 is set, interval time is 1 us.- Initial
                                                          value is 30 us (0x1D).                                               */
           uint32_t             :  2;
      __IO uint32_t  OVERRAP_TIME:  8;              /*!< [Contents] Sets Overlapped time while power supply domain is
                                                         switched. *Wait time is setting value + internal delay in chip.[Write]
                                                          - Interval time can be set in 1 us unit. - If 0x00 is set, interval
                                                          time is 1 us. - Initial value is 30 us (0x1D)[Read] Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  SBS_TIME   :  6;               /*!< [Contents] Sets Interval time if voltage level is changed in
                                                         0.1 V increments. *Wait time is setting value + internal delay
                                                          in chip.[Write] - Interval time can be set in 1us unit. - If
                                                          0x00 is set, interval time is 1us. - Initial value is 10 us
                                                          (0x9)[Read] Set value can be confirmed.                              */
           uint32_t : 10; // padding
    } VOLTAGEMODE_CTRL_WAITTIME_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED175[179];
  
  union {
    __IO uint32_t  CONFIG_DCDC_HVREG0;              /*!< DCDC Setting Register0                                                */
    
    struct {
      __IO uint32_t  EN_QUICKSTART:  1;             /*!< [Contents] Controls SoftStart[Write] 0: Soft Start Enable 1:
                                                         Soft Start Disable[Read] Set value can be confirmed.                  */
      __IO uint32_t  EXTCLKMODE :  1;               /*!< [Contents] Controls External Clock Mode[Write] 0: Free Run Mode
                                                         1: External Clock Mode(Clock Enable)[Read] Set value can be
                                                          confirmed.                                                           */
           uint32_t : 30; // padding
    } CONFIG_DCDC_HVREG0_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED176[15];
  
  union {
    __IO uint32_t  CONFIG_LVDPOR_HVREG0;            /*!< LVD Setting Register0                                                 */
    
    struct {
      __IO uint32_t  EN_LVD     :  1;               /*!< [Contents] LVD Startup Register[Write] 0: PowerDown 1: Operation[Read]
                                                         Set value can be confirmed.                                           */
           uint32_t : 31; // padding
    } CONFIG_LVDPOR_HVREG0_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED177[47];
  
  union {
    __IO uint32_t  POWERMODE_CTRL_SETTING0;         /*!< PowerMode Setting Register0                                           */
    
    struct {
      __IO uint32_t  SDMODE     :  2;               /*!< [Contents] Sets power mode transitions status while CPU transits
                                                         to WFI status by sleepdeep.[Write] 00: WAIT mode 01: RETENTION
                                                          mode 10: RTC mode 11: undefined *If undefined value is set in
                                                          this register, Power mode transits to WAIT mode.[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 30; // padding
    } POWERMODE_CTRL_SETTING0_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERMODE_CTRL_SETTING1;         /*!< PowerMode Setting Register1                                           */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  FTMODE     :  1;               /*!< [Contents] Sets Fast transition mode. If WAIT/RETENTION mode
                                                         is set in [POWERMODE_CTRL_SETTING0] register, this register
                                                          is effective.[Write] Fast Transition Mode 0: Normal Mode(Transits
                                                          to ModeD) 1: Fast Transition Mode(Performs PowerMode transition
                                                          with retaining the current VoltageMode status.)[Read] Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  CLKMODE    :  1;               /*!< [Contents] Sets clock suspension control of SIOSC12M during
                                                         transition to WAIT mode. *If WAIT mode is set, this register
                                                          is effective.[Write] 0: Normal Mode(Suspends SIOSC12M) 1: Supply
                                                          Mode(Supplies SIOSC12M)[Read] Set value can be confirmed.            */
           uint32_t : 29; // padding
    } POWERMODE_CTRL_SETTING1_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERMODE_CTRL_SETTING2;         /*!< PowerMode Setting Register2                                           */
    
    struct {
           uint32_t             : 23;
      __IO uint32_t  EN_ADC12   :  1;               /*!< Definition is same as EN_DACC.                                        */
      __IO uint32_t  EN_AFEZ    :  1;               /*!< Definition is same as EN_DACC.                                        */
      __IO uint32_t  EN_DACC    :  1;               /*!< [Contents] Controls clock generation of clock domain during
                                                         transition of PowerMode.[Write] 0: Not controls 1: Controls
                                                          *Clock source is changed to SIOSC12M and then Prescaler value
                                                          is set according to [CLK_SETTING_DACC].PSCAL_SEL1 field.[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 6; // padding
    } POWERMODE_CTRL_SETTING2_b;                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED178;
  
  union {
    __IO uint32_t  POWERMODE_CTRL_CAUSE_OF_RETURN;  /*!< PowerMode Return Cause Register                                       */
    
    struct {
      __IO uint32_t  CAUSE      :  4;               /*!< [Contents] Confirms cause of return from PowerMode status.[Write]
                                                         0: Not clears 1: Clears *Cause can be cleared by writing 1 in
                                                          bit which read data is 1. *If PowerMode transition is re-performed
                                                          without clear, last cause is overwritten by new cause. Therefore
                                                          the last cause of PowerMode transition is cleared.[Read] Asserts
                                                          1 in bit which corresponds to PowerMode after return. [3]: RTC(When
                                                          debugger is connected) *During Normal RTC Mode, cause is asserted
                                                          in [CAUSE_OF_RESET] register. [2]: RETENTION [1]: WA                 */
           uint32_t : 28; // padding
    } POWERMODE_CTRL_CAUSE_OF_RETURN_b;             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED179[3];
  
  union {
    __I  uint32_t  POWERMODE_CTRL_WAIT_CG_ON0;      /*!< Clock Gating Additional Setting Register0 (PowerMode: WAIT)           */
    
    struct {
      __I  uint32_t  CG_ON_CPUST:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_CPUTRC:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_MPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCM:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_GCONF:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_ROMC :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_GPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_EBIF :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_GFX  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_DBI_BC:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCG0:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCG1:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCG2:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCG3:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_HPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SDMAC0:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SDMAC1:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SRAMCS:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_I2SLP0:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_I2SLP1:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_I2SLP2:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_RNG  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_CRA  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_TZCP :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_EMMC0:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_EMMC1:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SPINOFC:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __I  uint32_t  CG_ON_SPIFC:  1;               /*!< [Contents] This register is available during WAIT Mode if [POWERMODE_CTRL_
                                                         SETTING1].CLKMODE=1. Controls clock suspension during WAIT mode
                                                         transition.[Read] 0: Clock is being supplied 1: Clock is suspended    */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_WAIT_CG_ON0_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERMODE_CTRL_WAIT_CG_ON1;      /*!< Clock Gating Additional Setting Register1 (PowerMode: WAIT)           */
    
    struct {
      __I  uint32_t  CG_ON_PPIER0:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __I  uint32_t  CG_ON_PPIER1:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_I2C0 :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_I2C1 :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_RTCLV:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_EVM  :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_ADC12:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AFEZ :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_DACC :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_LEDC :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __I  uint32_t  CG_ON_PPIER2:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __I  uint32_t  CG_ON_PPIER3:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_TMR  :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AdvTMR0:  1;             /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AdvTMR1:  1;             /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_WDT  :  1;               /*!< [Contents] This register is available during WAIT Mode if [POWERMODE_CTRL_
                                                         SETTING1].CLKMODE=1. Controls clock suspension during WAIT mode
                                                         transition.[Write] 0: Supplies clock 1: Suspends clock[Read]
                                                          return the setting value                                             */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_WAIT_CG_ON1_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED180[2];
  
  union {
    __IO uint32_t  POWERMODE_CTRL_SLP_CG_ON0;       /*!< Clock Gating Additional Setting Register0 (PowerMode: SLEEP)          */
    
    struct {
      __IO uint32_t  CG_ON_CPUST:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_CPUTRC:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_MPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCM:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_GCONF:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_ROMC :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_GPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_EBIF :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_GFX  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_DBI_BC:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCG0:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCG1:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCG2:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCG3:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_HPIER:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SDMAC0:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SDMAC1:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SRAMCS:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_I2SLP0:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_I2SLP1:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_I2SLP2:  1;              /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_RNG  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_CRA  :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_TZCP :  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_EMMC0:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_EMMC1:  1;               /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SPINOFC:  1;             /*!< Definition is same as CG_ON_SPIFC.                                    */
      __IO uint32_t  CG_ON_SPIFC:  1;               /*!< [Contents] Controls clock suspension during SLEEP Mode.[Write]
                                                         0: Supplies clock 1: Suspends clock[Read] return the setting
                                                          value                                                                */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_SLP_CG_ON0_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERMODE_CTRL_SLP_CG_ON1;       /*!< Clock Gating Additional Setting Register0 (PowerMode: SLEEP)          */
    
    struct {
      __IO uint32_t  CG_ON_PPIER0:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_SPIM3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_PPIER1:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_I2C0 :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_I2C1 :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_RTCLV:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_EVM  :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO0:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO1:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO2:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_GPIO3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_ADC12:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AFEZ :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_DACC :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_LEDC :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_PPIER2:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_UART3:  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_PPIER3:  1;              /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_TMR  :  1;               /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AdvTMR0:  1;             /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_AdvTMR1:  1;             /*!< Definition is same as CG_ON_WDT.                                      */
      __IO uint32_t  CG_ON_WDT  :  1;               /*!< [Contents] Controls clock suspension during SLEEP Mode.[Write]
                                                         0: Supplies clock 1: Suspends clock[Read] return the setting
                                                          value                                                                */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_SLP_CG_ON1_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED181[2];
  
  union {
    __IO uint32_t  POWERMODE_CTRL_DBG_SETTING;      /*!< Debug Setting Register during PowerMode Transition                    */
    
    struct {
      __IO uint32_t  DBGMODE    :  1;               /*!< [Contents] Controls CPU clock(System clock/Core clock) during
                                                         PowerMode transition if debugger is connected. This register
                                                          is available during SLEEP mode and WAIT mode ([POWERMODE_CTRL_SETTING1].CL
                                                         KMODE=1).[Write] 0: Suspends CPU clock 1: Supplies CPU clock
                                                          *CPU clock: Core clock and System clock[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 31; // padding
    } POWERMODE_CTRL_DBG_SETTING_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED182[3];
  
  union {
    __I  uint32_t  POWERMODE_CTRL_RAWSTATUS0;       /*!< Clock Gating Raw Status Register 0                                    */
    
    struct {
      __I  uint32_t  ST_CPUST   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CPUTRC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_MPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCM  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GCONF   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_ROMC    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EBIF    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GFX     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_DBI_BC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG0 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG1 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG2 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG3 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_HPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCS  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP2  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_RNG     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CRA     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_TZCP    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC0   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC1   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPINOFC :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPIFC   :  1;               /*!< [Contents] This register is the original signal of [POWERMODE_CTRL_WAIT_ST
                                                         ATUS0/1] and [POWERMODE_CTRL_SLP_STATUS0/1] register. Therefore
                                                         the active status of each block can be confirmed by this register
                                                          regardless of [POWERMODE_CTRL_WAIT/SLP_CG_ON0/1] register.[Read]
                                                          0: Idle status 1: Active status                                      */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_RAWSTATUS0_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  POWERMODE_CTRL_RAWSTATUS1;       /*!< Clock Gating RAW Status Register 1                                    */
    
    struct {
      __I  uint32_t  ST_PPIER0  :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_SPIM0   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_SPIM1   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_SPIM2   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_SPIM3   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_PPIER1  :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_UART0   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_UART1   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_UART2   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_I2C0    :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_I2C1    :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_RTCLV   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_EVM     :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_GPIO0   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_GPIO1   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_GPIO2   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_GPIO3   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_ADC12   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_AFEZ    :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_DACC    :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_LEDC    :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_PPIER2  :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_UART3   :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_PPIER3  :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_TMR     :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_AdvTMR0 :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_AdvTMR1 :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_WDT     :  1;               /*!< Definition is same as ST_DSI                                          */
      __I  uint32_t  ST_DSI     :  1;               /*!< [Contents] This register is the original signal of [POWERMODE_CTRL_WAIT_ST
                                                         ATUS0/1] and [POWERMODE_CTRL_SLP_STATUS0/1] register. Therefore
                                                         the active status of each block can be confirmed by this register
                                                          regardless of [POWERMODE_CTRL_WAIT/SLP_CG_ON0/1] register.[Read]
                                                          0: Idle status 1: Active status                                      */
           uint32_t : 3; // padding
    } POWERMODE_CTRL_RAWSTATUS1_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED183[2];
  
  union {
    __I  uint32_t  POWERMODE_CTRL_WAIT_STATUS0;     /*!< Clock Gating Raw Status Register 0(PowerMode: WAIT)                   */
    
    struct {
      __I  uint32_t  ST_CPUST   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CPUTRC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_MPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCM  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GCONF   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_ROMC    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EBIF    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GFX     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_DBI_BC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG0 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG1 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG2 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG3 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_HPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCS  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP2  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_RNG     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CRA     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_TZCP    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC0   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC1   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPINOFC :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPIFC   :  1;               /*!< [Contents] This register is the status signal which indicates
                                                         active status of each block for WAIT mode. And it is changed
                                                          according to [POWERMODE_CTRL_SETTING1].CLKMODE. CLKMODE=0: It
                                                          depends on active status of each block CLKMODE=1: If the field
                                                          that corresponds to [POWERMODE_CTRL_WAIT_CG_ON0] is 0, it always
                                                          becomes Idle status. If this field is 1, it depends on Active
                                                          status of each block.[Read] 0: Idle status 1: Active status          */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_WAIT_STATUS0_b;                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  POWERMODE_CTRL_WAIT_STATUS1;     /*!< Clock Gating Raw Status Register 1(PowerMode: WAIT)                   */
    
    struct {
      __I  uint32_t  ST_PPIER0  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER1  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_I2C0    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_I2C1    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_RTCLV   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_EVM     :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_ADC12   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AFEZ    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_DACC    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_LEDC    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER2  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER3  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_TMR     :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AdvTMR0 :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AdvTMR1 :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_WDT     :  1;               /*!< [Contents] This register is the status signal which indicates
                                                         active status of each block for WAIT mode. And it is changed
                                                          according to [POWERMODE_CTRL_SETTING1].CLKMODE. CLKMODE=0: It
                                                          depends on active status of each block CLKMODE=1: If the field
                                                          that corresponds to [POWERMODE_CTRL_WAIT_CG_ON1] is 0, it always
                                                          becomes Idle status. If this field is 1, it depends on Active
                                                          status of each block.[Read] 0: Idle status 1: Active status          */
      __I  uint32_t  ST_DSI     :  1;               /*!< [Contents] This register is the status signal which indicates
                                                         active status of each block for WAIT mode. And it doesnt depend
                                                          on [POWERMODE_CTRL_SETTING1].CLKMODE.[Read] 0: Idle status 1:
                                                          Active status                                                        */
           uint32_t : 3; // padding
    } POWERMODE_CTRL_WAIT_STATUS1_b;                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED184[2];
  
  union {
    __I  uint32_t  POWERMODE_CTRL_SLP_STATUS0;      /*!< Clock Gating Raw Status Register 0(PowerMode: SLEEP)                  */
    
    struct {
      __I  uint32_t  ST_CPUST   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CPUTRC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_MPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCM  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GCONF   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_ROMC    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EBIF    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_GFX     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_DBI_BC  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG0 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG1 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG2 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCG3 :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_HPIER   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SDMAC1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SRAMCS  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP0  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP1  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_I2SLP2  :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_RNG     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_CRA     :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_TZCP    :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC0   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_EMMC1   :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPINOFC :  1;               /*!< Definition is same as ST_SPIFC                                        */
      __I  uint32_t  ST_SPIFC   :  1;               /*!< [Contents] This register is the status signal which indicates
                                                         active status of each block for SLEEP mode. And if the field
                                                          that corresponds to [POWERMODE_CTRL_SLP_CG_ON0] is 0, it always
                                                          becomes Idle status. If this field is 1, it depends on Active
                                                          status of each block.[Read] 0: Idle status 1: Active status          */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_SLP_STATUS0_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  POWERMODE_CTRL_SLP_STATUS1;      /*!< Clock Gating Raw Status Register 1(PowerMode: SLEEP)                  */
    
    struct {
      __I  uint32_t  ST_PPIER0  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_SPIM3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER1  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_I2C0    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_I2C1    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_RTCLV   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_EVM     :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO0   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO1   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO2   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_GPIO3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_ADC12   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AFEZ    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_DACC    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_LEDC    :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER2  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_UART3   :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_PPIER3  :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_TMR     :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AdvTMR0 :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_AdvTMR1 :  1;               /*!< Definition is same as ST_WDT                                          */
      __I  uint32_t  ST_WDT     :  1;               /*!< [Contents] This register is the status signal which indicates
                                                         active status of each block for SLEEP mode. And if the field
                                                          that corresponds to [POWERMODE_CTRL_SLP_CG_ON1] is 0, it always
                                                          becomes Idle status. If this field is 1, it depends on Active
                                                          status of each block.[Read] 0: Idle status 1: Active status          */
           uint32_t : 4; // padding
    } POWERMODE_CTRL_SLP_STATUS1_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED185[1250];
  
  union {
    __IO uint32_t  IRQ_CTRL_SETTING0;               /*!< Interrupt Control Setting Register0                                   */
    
    struct {
      __IO uint32_t  IRQEV_PA00 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA00 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA00 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA01 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA01 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA01 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA02 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA02 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA02 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA03 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA03 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA03 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA04 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA04 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA04 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA05 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA05 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA05 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA06 :  1;               /*!< Definition is same as IRQEV_PA07.                                     */
      __IO uint32_t  IRQSE_PA06 :  1;               /*!< Definition is same as IRQSE_PA07.                                     */
      __IO uint32_t  IRQBE_PA06 :  1;               /*!< Definition is same as IRQBE_PA07.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA07 :  1;               /*!< [Contents] Sets interrupt execution condition.[Write] 0: Sets
                                                         Low Level(Fall Edge) interrupt 1: Sets High Level(Rise Edge)
                                                          interrupt[Read] Set value can be confirmed.                          */
      __IO uint32_t  IRQSE_PA07 :  1;               /*!< [Contents] Sets interrupt detection type.[Write] 0: Sets level
                                                         detection 1: Sets Edge detection[Read] Set value can be confirmed.    */
      __IO uint32_t  IRQBE_PA07 :  1;               /*!< [Contents] Sets both edge detection function.[Write] 0: Both
                                                         edge detection is disable 1: Both edge detection is enable[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 1; // padding
    } IRQ_CTRL_SETTING0_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_SETTING1;               /*!< Interrupt Control Setting Register1                                   */
    
    struct {
      __IO uint32_t  IRQEV_PA08 :  1;               /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_PA08 :  1;               /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_PA08 :  1;               /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA09 :  1;               /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_PA09 :  1;               /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_PA09 :  1;               /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA10 :  1;               /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_PA10 :  1;               /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_PA10 :  1;               /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_PA11 :  1;               /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_PA11 :  1;               /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_PA11 :  1;               /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_RTC_ALARM:  1;           /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_RTC_ALARM:  1;           /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_RTC_ALARM:  1;           /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_RTC_PERIODIC:  1;        /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_RTC_PERIODIC:  1;        /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_RTC_PERIODIC:  1;        /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_RTC_TMR0:  1;            /*!< Definition is same as IRQEV_RTC_TMR1.                                 */
      __IO uint32_t  IRQSE_RTC_TMR0:  1;            /*!< Definition is same as IRQSE_RTC_TMR1.                                 */
      __IO uint32_t  IRQBE_RTC_TMR0:  1;            /*!< Definition is same as IRQBE_RTC_TMR1.                                 */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_RTC_TMR1:  1;            /*!< [Contents] Sets interrupt execution condition.[Write] 0: Sets
                                                         Low Level(Fall Edge) interrupt 1: Sets High Level(Rise Edge)
                                                          interrupt[Read] Set value can be confirmed.                          */
      __IO uint32_t  IRQSE_RTC_TMR1:  1;            /*!< [Contents] Sets interrupt detection type.[Write] 0: Sets level
                                                         detection 1: Sets Edge detection[Read] Set value can be confirmed.    */
      __IO uint32_t  IRQBE_RTC_TMR1:  1;            /*!< [Contents] Sets both edge detection function.[Write] 0: Both
                                                         edge detection is disable 1: Both edge detection is enable[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 1; // padding
    } IRQ_CTRL_SETTING1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_SETTING2;               /*!< Interrupt Control Setting Register2                                   */
    
    struct {
      __IO uint32_t  IRQEV_BOI  :  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_BOI  :  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_BOI  :  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_TIMER:  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_TIMER:  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_TIMER:  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_SPIM :  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_SPIM :  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_SPIM :  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_UART :  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_UART :  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_UART :  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_I2C  :  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_I2C  :  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_I2C  :  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_ADCC12:  1;              /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_ADCC12:  1;              /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_ADCC12:  1;              /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_AFEZ :  1;               /*!< Definition is same as IRQEV_DACC.                                     */
      __IO uint32_t  IRQSE_AFEZ :  1;               /*!< Definition is same as IRQSE_DACC.                                     */
      __IO uint32_t  IRQBE_AFEZ :  1;               /*!< Definition is same as IRQBE_DACC.                                     */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_DACC :  1;               /*!< [Contents] Sets interrupt execution condition.[Write] 0: Sets
                                                         Low Level(Fall Edge) interrupt 1: Sets High Level(Rise Edge)
                                                          interrupt[Read] Set value can be confirmed.                          */
      __IO uint32_t  IRQSE_DACC :  1;               /*!< [Contents] Sets interrupt detection type.[Write] 0: Sets level
                                                         detection 1: Sets Edge detection[Read] Set value can be confirmed.    */
      __IO uint32_t  IRQBE_DACC :  1;               /*!< [Contents] Sets both edge detection function.[Write] 0: Both
                                                         edge detection is disable 1: Both edge detection is enable[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 1; // padding
    } IRQ_CTRL_SETTING2_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_SETTING3;               /*!< Interrupt Control Setting Register3                                   */
    
    struct {
      __IO uint32_t  IRQEV_EMMC :  1;               /*!< Definition is same as IRQEV_CPU_DEBUGIN.                              */
      __IO uint32_t  IRQSE_EMMC :  1;               /*!< Definition is same as IRQSE_CPU_DEBUGIN.                              */
      __IO uint32_t  IRQBE_EMMC :  1;               /*!< Definition is same as IRQBE_CPU_DEBUGIN.                              */
           uint32_t             :  1;
      __IO uint32_t  IRQEV_CPU_DEBUGIN:  1;         /*!< [Contents] Sets interrupt execution condition.[Write] 0: Sets
                                                         Low Level(Fall Edge) interrupt 1: Sets High Level(Rise Edge)
                                                          interrupt[Read] Set value can be confirmed.                          */
      __IO uint32_t  IRQSE_CPU_DEBUGIN:  1;         /*!< [Contents] Sets interrupt detection type.[Write] 0: Sets level
                                                         detection 1: Sets Edge detection[Read] Set value can be confirmed.    */
      __IO uint32_t  IRQBE_CPU_DEBUGIN:  1;         /*!< [Contents] Sets both edge detection function.[Write] 0: Both
                                                         edge detection is disable 1: Both edge detection is enable[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 25; // padding
    } IRQ_CTRL_SETTING3_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED186[4];
  
  union {
    __IO uint32_t  IRQ_CTRL_STATUS;                 /*!< Interrupt Status Register                                             */
    
    struct {
      __IO uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] Confirms interrupt detection status.[Write] 0: Disable
                                                         1: Clears cause[Read] 0: There is no cause 1: There is cause          */
           uint32_t : 6; // padding
    } IRQ_CTRL_STATUS_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED187[3];
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS;              /*!< Interrupt RawStatus Register                                          */
    
    struct {
      __I  uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] This register is the status register for level interrupt.
                                                         Confirms the assertion status of interrupt signal of cause source
                                                          If setting as level interrupt. Returns 0 if setting as edge
                                                          interrupt.[Read] 0: no cause 1: cause                                */
           uint32_t : 6; // padding
    } IRQ_CTRL_RAWSTATUS_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED188[3];
  
  union {
    __I  uint32_t  IRQ_CTRL_BEDGE_STATUS0;          /*!< Interrupt Both Edge Status0 Register                                  */
    
    struct {
      __I  uint32_t  PA00       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA01       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA02       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA03       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA04       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA05       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA06       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA07       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA08       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA09       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA10       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  PA11       :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  RTC_ALARM  :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  RTC_PERIODIC:  2;              /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  RTC_TMR0   :  2;               /*!< Definition is same as RTC_TMR1.                                       */
      __I  uint32_t  RTC_TMR1   :  2;               /*!< [Contents] This register is available in case of both edge detection.
                                                         Result of first detected edge is applied to status. This register
                                                          is cleared if [IRQ_CTRL_STATUS] is cleared.[Read] [0]: Rise
                                                          [1]: Fall 0: no cause 1: cause                                       */
    } IRQ_CTRL_BEDGE_STATUS0_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IRQ_CTRL_BEDGE_STATUS1;          /*!< Interrupt Both Edge Status1 Register                                  */
    
    struct {
      __I  uint32_t  BOI        :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  TIMER      :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  SPIM       :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  UART       :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  I2C        :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  ADCC12     :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  AFEZ       :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  DACC       :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  EMMC       :  2;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  CPU_DEBUGIN:  2;               /*!< [Contents] This register is available in case of both edge detection.
                                                         Result of first detected edge is applied to status. This register
                                                          is cleared if [IRQ_CTRL_STATUS] is cleared.[Read] [0]: Rise
                                                          [1]: Fall 0: There is no cause 1: There is cause                     */
           uint32_t : 12; // padding
    } IRQ_CTRL_BEDGE_STATUS1_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED189[2];
  
  union {
    __IO uint32_t  IRQ_CTRL_WAKEUP_EN;              /*!< Wakeup Enable Register                                                */
    
    struct {
      __IO uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         1: Enables Wakeup interrupt[Read] Set value can be confirmed.         */
           uint32_t : 6; // padding
    } IRQ_CTRL_WAKEUP_EN_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_WAKEUP_EN_SET;          /*!< Wakeup Enable Set Register                                            */
    
    struct {
      __IO uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] Sets if enabling wakeup interrupt.[Write] 0: Disable
                                                         1: Enables Wakeup interrupt[Read] Set value of [IRQ_CTRL_WAKEUP_EN]
                                                          can be confirmed.                                                    */
           uint32_t : 6; // padding
    } IRQ_CTRL_WAKEUP_EN_SET_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_WAKEUP_EN_CLR;          /*!< Wakeup Enable Clear Register                                          */
    
    struct {
      __IO uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __IO uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] Sets if disabling Wakeup interrupt.[Write] 0: Invalid
                                                         1: Disables Wakeup interrupt[Read] Set value of [IRQ_CTRL_WAKEUP_EN]
                                                          can be confirmed.                                                    */
           uint32_t : 6; // padding
    } IRQ_CTRL_WAKEUP_EN_CLR_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED190;
  
  union {
    __I  uint32_t  IRQ_CTRL_WAKEUP_STATUS;          /*!< Wakeup Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  PA00       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA01       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA02       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA03       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA04       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA05       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA06       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA07       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA08       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA09       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA10       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  PA11       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_ALARM  :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_PERIODIC:  1;              /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_TMR0   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  RTC_TMR1   :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  BOI        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  TIMER      :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  SPIM       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  UART       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  I2C        :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  ADCC12     :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  AFEZ       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  DACC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  EMMC       :  1;               /*!< Definition is same as CPU_DEBUGIN.                                    */
      __I  uint32_t  CPU_DEBUGIN:  1;               /*!< [Contents] Confirms Wakeup interrupt status. Status after [IRQ_CTRL_STATUS
                                                         ] is set to 'enable' by setting [IRQ_CTRL_WAKEUP_EN] can be confirmed.[Read
                                                         ] 0: No Wakeup interrupt 1: Wakeup interrupt.                         */
           uint32_t : 6; // padding
    } IRQ_CTRL_WAKEUP_STATUS_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED191[39];
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_UART_RXD;         /*!< Wakeup Interrupt Status for UART RXD                                  */
    
    struct {
      __IO uint32_t  UA0_RXD_PG02:  1;              /*!< Definition is same as UA3_RXD_PB08                                    */
      __IO uint32_t  UA1_RXD_PB00:  1;              /*!< Definition is same as UA3_RXD_PB08                                    */
      __IO uint32_t  UA2_RXD_PD17:  1;              /*!< Definition is same as UA3_RXD_PB08                                    */
      __IO uint32_t  UA2_RXD_PH17:  1;              /*!< Definition is same as UA3_RXD_PB08                                    */
      __IO uint32_t  UA3_RXD_PB08:  1;              /*!< [Contents] Set if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 27; // padding
    } IRQ_CTRL_IRQEN_UART_RXD_b;                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED192[63];
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_TIMER;            /*!< Wakeup Interrupt Status for TIMER                                     */
    
    struct {
      __IO uint32_t  WDT        :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  TMR0       :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  TMR1       :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T0_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T1_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T2_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T3_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T0_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T1_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T2_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T3_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T0_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T1_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T2_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR0_T3_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T0_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T1_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T2_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T3_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T0_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T1_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T2_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T3_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T0_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T1_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T2_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __IO uint32_t  ADVTMR1_T3_CMP:  1;            /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 5; // padding
    } IRQ_CTRL_IRQEN_TIMER_b;                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_SPIM;             /*!< Wakeup Interrupt Status for SPIM                                      */
    
    struct {
      __IO uint32_t  SPIM0      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM0_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM1      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM1_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM2      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM2_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM3      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __IO uint32_t  SPIM3_TX_DONE:  1;             /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 24; // padding
    } IRQ_CTRL_IRQEN_SPIM_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_UART;             /*!< Wakeup Interrupt Status for UART                                      */
    
    struct {
      __IO uint32_t  UART0      :  1;               /*!< Definition is same as UART3.                                          */
      __IO uint32_t  UART1      :  1;               /*!< Definition is same as UART3.                                          */
      __IO uint32_t  UART2      :  1;               /*!< Definition is same as UART3.                                          */
      __IO uint32_t  UART3      :  1;               /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 28; // padding
    } IRQ_CTRL_IRQEN_UART_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_I2C;              /*!< Wakeup Interrupt Status for I2C                                       */
    
    struct {
      __IO uint32_t  I2C0       :  1;               /*!< Definition is same as I2C1.                                           */
      __IO uint32_t  I2C1       :  1;               /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 30; // padding
    } IRQ_CTRL_IRQEN_I2C_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IRQ_CTRL_IRQEN_EMMC;             /*!< Wakeup Interrupt Status for EMMC                                      */
    
    struct {
      __IO uint32_t  EMMC0      :  1;               /*!< Definition is same as EMMC1.                                          */
      __IO uint32_t  EMMC1      :  1;               /*!< [Contents] Sets if using as Wakeup interrupt.[Write] 0: Disables
                                                         Wakeup interrupt 1: Enables Wakeup interrupt[Read] Set value
                                                          can be confirmed.                                                    */
           uint32_t : 30; // padding
    } IRQ_CTRL_IRQEN_EMMC_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED193[3];
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS_TIMER;        /*!< Wakeup Interrupt Status for TIMER                                     */
    
    struct {
      __I  uint32_t  WDT        :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  TMR0       :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  TMR1       :  1;               /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T0_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T1_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T2_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T3_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T0_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T1_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T2_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T3_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T0_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T1_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T2_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR0_T3_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T0_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T1_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T2_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T3_TIM:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T0_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T1_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T2_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T3_CAP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T0_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T1_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T2_CMP:  1;            /*!< Definition is same as ADVTMR1_T3_CMP.                                 */
      __I  uint32_t  ADVTMR1_T3_CMP:  1;            /*!< [Contents] Confirms status of interrupt signal itself. 0x0 can
                                                         be read if interrupt of cause origin is cleared.[Read] 0: No
                                                          cause 1: Cause                                                       */
           uint32_t : 5; // padding
    } IRQ_CTRL_RAWSTATUS_TIMER_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS_SPIM;         /*!< Wakeup Interrupt Status for SPIM                                      */
    
    struct {
      __I  uint32_t  SPIM0      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM0_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM1      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM1_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM2      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM2_TX_DONE:  1;             /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM3      :  1;               /*!< Definition is same as SPIM3_TX_DONE.                                  */
      __I  uint32_t  SPIM3_TX_DONE:  1;             /*!< [Contents] Confirms status of interrupt signal itself. 0x0 can
                                                         be read if interrupt of cause origin is cleared.[Read] 0: No
                                                          cause 1: Cause                                                       */
           uint32_t : 24; // padding
    } IRQ_CTRL_RAWSTATUS_SPIM_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS_UART;         /*!< Wakeup Interrupt Status for UART                                      */
    
    struct {
      __I  uint32_t  UART0      :  1;               /*!< Definition is same as UART3.                                          */
      __I  uint32_t  UART1      :  1;               /*!< Definition is same as UART3.                                          */
      __I  uint32_t  UART2      :  1;               /*!< Definition is same as UART3.                                          */
      __I  uint32_t  UART3      :  1;               /*!< [Contents] Confirms status of interrupt signal itself. 0x0 can
                                                         be read if interrupt of cause origin is cleared.[Read] 0: No
                                                          cause 1: Cause                                                       */
           uint32_t : 28; // padding
    } IRQ_CTRL_RAWSTATUS_UART_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS_I2C;          /*!< Wakeup Interrupt Status for I2C                                       */
    
    struct {
      __I  uint32_t  I2C0       :  1;               /*!< Definition is same as I2C1.                                           */
      __I  uint32_t  I2C1       :  1;               /*!< [Contents] Confirms status of interrupt signal itself. 0x0 can
                                                         be read if interrupt of cause origin is cleared.[Read] 0: No
                                                          cause 1: Cause                                                       */
           uint32_t : 30; // padding
    } IRQ_CTRL_RAWSTATUS_I2C_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IRQ_CTRL_RAWSTATUS_EMMC;         /*!< Wakeup Interrupt Status for EMMC                                      */
    
    struct {
      __I  uint32_t  EMMC0      :  1;               /*!< Definition is same as EMMC1.                                          */
      __I  uint32_t  EMMC1      :  1;               /*!< [Contents] Confirms status of interrupt signal itself. 0x0 can
                                                         be read if interrupt of cause origin is cleared.[Read] 0: No
                                                          cause 1: Cause                                                       */
           uint32_t : 30; // padding
    } IRQ_CTRL_RAWSTATUS_EMMC_b;                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED194[115];
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING0;           /*!< STBX Setting Register0                                                */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  PA01       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA02       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA03       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA04       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA05       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA06       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA07       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA08       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA09       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA10       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA11       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA12       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA13       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA14       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA15       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA16       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA17       :  1;               /*!< Definition is same as PA18 field.                                     */
      __IO uint32_t  PA18       :  1;               /*!< [Contents] Controls standby status of input buffer of PA18 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 13; // padding
    } IO_CTRL_STBX_SETTING0_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING1;           /*!< STBX Setting Register1                                                */
    
    struct {
      __IO uint32_t  PB00       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB01       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB02       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB03       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB04       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB05       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB06       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB07       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB08       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB09       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB10       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB11       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB12       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB13       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB14       :  1;               /*!< Definition is same as PB15 field.                                     */
      __IO uint32_t  PB15       :  1;               /*!< [Contents] Controls standby status of input buffer of PB15 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 16; // padding
    } IO_CTRL_STBX_SETTING1_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING2;           /*!< STBX Setting Register2                                                */
    
    struct {
      __IO uint32_t  PC00       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC01       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC02       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC03       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC04       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC05       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC06       :  1;               /*!< Definition is same as PC07 field.                                     */
      __IO uint32_t  PC07       :  1;               /*!< [Contents] Controls standby status of input buffer of PC07 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 24; // padding
    } IO_CTRL_STBX_SETTING2_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING3;           /*!< STBX Setting Register3                                                */
    
    struct {
      __IO uint32_t  PD00       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD01       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD02       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD03       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD04       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD05       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD06       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD07       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD08       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD09       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD10       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD11       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD12       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD13       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD14       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD15       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD16       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD17       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD18       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD19       :  1;               /*!< Definition is same as PD20 field.                                     */
      __IO uint32_t  PD20       :  1;               /*!< [Contents] Controls standby status of input buffer of PD20 terminal.[Write
                                                         ] 0: Standby Status 1: Active Status[Read] Set value can be confirmed. */
           uint32_t : 11; // padding
    } IO_CTRL_STBX_SETTING3_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING4;           /*!< STBX Setting Register4                                                */
    
    struct {
      __IO uint32_t  PE00       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE01       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE02       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE03       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE04       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE05       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE06       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE07       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE08       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE09       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE10       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE11       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE12       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE13       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE14       :  1;               /*!< Definition is same as PE15 field.                                     */
      __IO uint32_t  PE15       :  1;               /*!< [Contents] Controls standby status of input buffer of PE15 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 16; // padding
    } IO_CTRL_STBX_SETTING4_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING5;           /*!< STBX Setting Register5                                                */
    
    struct {
      __IO uint32_t  PF00       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF01       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF02       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF03       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF04       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF05       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF06       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF07       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF08       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF09       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF10       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF11       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF12       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF13       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF14       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF15       :  1;               /*!< Definition is same as PF16 field.                                     */
      __IO uint32_t  PF16       :  1;               /*!< [Contents] Controls standby status of input buffer of PE15 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 15; // padding
    } IO_CTRL_STBX_SETTING5_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING6;           /*!< STBX Setting Register6                                                */
    
    struct {
      __IO uint32_t  PG00       :  1;               /*!< Definition is same as PG03 field.                                     */
      __IO uint32_t  PG01       :  1;               /*!< Definition is same as PG03 field.                                     */
      __IO uint32_t  PG02       :  1;               /*!< Definition is same as PG03 field.                                     */
      __IO uint32_t  PG03       :  1;               /*!< [Contents] Controls standby status of input buffer of PG03 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 28; // padding
    } IO_CTRL_STBX_SETTING6_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_STBX_SETTING7;           /*!< STBX Setting Register7                                                */
    
    struct {
      __IO uint32_t  PH00       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH01       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH02       :  1;               /*!< Definition is same as PH18 field.During BOOTMODE2-0=000/001/010/011,
                                                         before CPU startup, it is changed to active status by boot sequencer
                                                          in PMU.                                                              */
      __IO uint32_t  PH03       :  1;               /*!< Definition is same as PH18 field.During BOOTMODE2-0=000/001/010/011,
                                                         before CPU startup, it is changed to active status by boot sequencer
                                                          in PMU.                                                              */
      __IO uint32_t  PH04       :  1;               /*!< Definition is same as PH18 field.During BOOTMODE2-0=000/001/010/011,
                                                         before CPU startup, it is changed to active status by boot sequencer
                                                          in PMU.                                                              */
      __IO uint32_t  PH05       :  1;               /*!< Definition is same as PH18 field.During BOOTMODE2-0=000/001/010/011,
                                                         before CPU startup, it is changed to active status by boot sequencer
                                                          in PMU.                                                              */
      __IO uint32_t  PH06       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH07       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH08       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH09       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH10       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH11       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH12       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH13       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH14       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH15       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH16       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH17       :  1;               /*!< Definition is same as PH18 field.                                     */
      __IO uint32_t  PH18       :  1;               /*!< [Contents] Controls standby status of input buffer of PG03 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Standby
                                                          Status 1: Active Status[Read] Set value can be confirmed.            */
           uint32_t : 13; // padding
    } IO_CTRL_STBX_SETTING7_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL_RESX_SETTING;            /*!< RESX Setting Register                                                 */
    
    struct {
      __IO uint32_t  IO         :  1;               /*!< [Contents] Controls reset status of output buffer of from PA
                                                         to PH terminal. For details refer to section 4.7: IO control.
                                                          Before CPU startup, the reset status is released by PMU boot
                                                          sequence regardless of BOOTMODE2-0 value.[Write] 0: Reset Status
                                                          1: Reset Release Status *depends on [IO_CTRL_LATI_SETTING] Register.[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 31; // padding
    } IO_CTRL_RESX_SETTING_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED195[3];
  
  union {
    __IO uint32_t  IO_CTRL_LATI_SETTING;            /*!< LATI Setting Register                                                 */
    
    struct {
      __IO uint32_t  PA_ALL     :  1;               /*!< [Contents] Controls output buffer of PA terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PB_ALL     :  1;               /*!< [Contents] Controls output buffer of PB terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PC_ALL     :  1;               /*!< [Contents] Controls output buffer of PC terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PD_ALL     :  1;               /*!< [Contents] Controls output buffer of PD terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PE_ALL     :  1;               /*!< [Contents] Controls output buffer of PE terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PF_ALL     :  1;               /*!< [Contents] Controls output buffer of PF terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PG_ALL     :  1;               /*!< [Contents] Controls output buffer of PG terminal. For details
                                                         refer to section 4.7: IO control.[Write] 0: Retention release
                                                          status 1: Retention status[Read] Set value can be confirmed.         */
      __IO uint32_t  PH_GRP0    :  1;               /*!< [Contents] Controls output buffer of from PH00 to PH05 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Retention
                                                          release status 1: Retention status[Read] Set value can be confirmed. */
      __IO uint32_t  PH_GRP1    :  1;               /*!< [Contents] Controls output buffer of from PH06 to PH07 terminal.
                                                         For details refer to section 4.7: IO control.[Write] 0: Retention
                                                          release status 1: Retention status[Read] Set value can be confirmed. */
      __IO uint32_t  PH_GRP2    :  1;               /*!< [Contents] Controls output latch control of from PH08 to PH14
                                                         terminal.[Write] 0: Normal status 1: Latch status[Read] Set
                                                          value can be confirmed.                                              */
      __IO uint32_t  PH_GRP3    :  1;               /*!< [Contents] Controls retention status of output buffer of from
                                                         PH15 to PH18 terminal. For details refer to section 4.7: IO
                                                          control.[Write] 0: Retention release status 1: Retention status[Read]
                                                          Set value can be confirmed.                                          */
           uint32_t : 21; // padding
    } IO_CTRL_LATI_SETTING_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED196[7];
  
  union {
    __IO uint32_t  IO_CTRL_AIN_EN_SETTING;          /*!< EN for AIN Setting Register                                           */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  AIN2       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN3       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN4       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN5       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN6       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN7       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN8       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN9       :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN10      :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN11      :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN12      :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN13      :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN14      :  1;               /*!< Definition is same as AIN15                                           */
      __IO uint32_t  AIN15      :  1;               /*!< [Contents] Control register of analog input signal[Write] 0:
                                                         Disable 1: Enable[Read] Set value can be confirmed.                   */
           uint32_t : 16; // padding
    } IO_CTRL_AIN_EN_SETTING_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED197[235];
  
  union {
    __IO uint32_t  EFUSE_LOAD_TRIMMING;             /*!< EFUSE Data Load Register                                              */
    
    struct {
           uint32_t             :  8;
      __IO uint32_t  SIOSC12M_CLK:  1;              /*!< [Contents] Loads the trimming data for oscillator in SIOSC12M
                                                         from EFUSE shift register, and sets it to [OVERRIDE_EFUSE_SIOSC12M_TRIMMIN
                                                         G0] register. *Load data can be confirmed by reading [EFUSE_SIOSC12M_TRIMMI
                                                         NG0] register.[Write] 0: Disable 1: Load[Read] Returns 0x0.           */
      __IO uint32_t  OSC32K     :  1;               /*!< [Contents] Loads the trimming data for oscillator in OSC32K
                                                         from EFUSE shift register, and sets it to [OVERRIDE_EFUSE_OSC32K_TRIMMING]
                                                          register. *Load data can be confirmed by reading [EFUSE_OSC32K_TRIMMING]
                                                          register.[Write] 0: Disable 1: Load[Read] Returns 0x0.               */
           uint32_t : 22; // padding
    } EFUSE_LOAD_TRIMMING_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED198[11];
  
  union {
    __I  uint32_t  EFUSE_BOOTSEQ;                   /*!< BOOTSEQ Register                                                      */
    
    struct {
      __I  uint32_t  SPIC_DIV   :  1;               /*!< [Contents] Divider setting flag of CD_SPINOC domain. This flag
                                                         is stored in EFUSE.[Read] 0: 12 MHz 1: 6 MHz *Initial value
                                                          depends on value which is stored in EFUSE.                           */
           uint32_t             :  8;
      __I  uint32_t  SPINOFC_QUAD:  1;              /*!< [Contents] Quad control flag of SPINOFC block. This flag is
                                                         stored in EFUSE.[Read] 0: Single 1: Quad *Initial value depends
                                                          on value which is stored in EFUSE.                                   */
           uint32_t : 22; // padding
    } EFUSE_BOOTSEQ_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED199[23];
  
  union {
    __I  uint32_t  EFUSE_SIOSC12M_TRIMMING0;        /*!< SIOSC12M Trimming Data0(EFUSE Data)                                   */
    
    struct {
      __I  uint32_t  CTRIM      :  8;               /*!< [Contents] Trimming bits[Read] The initial value depends on
                                                         the value stored in EFUSE.                                            */
           uint32_t : 24; // padding
    } EFUSE_SIOSC12M_TRIMMING0_b;                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED200[3];
  
  union {
    __I  uint32_t  EFUSE_OSC32K_TRIMMING;           /*!< OSC32K Trimming Data(EFUSE Data)                                      */
    
    struct {
      __I  uint32_t  TRIMIN     :  5;               /*!< [Contents] Trimming bits[Read] The initial value depends on
                                                         the value stored in EFUSE.                                            */
      __I  uint32_t  TRIMIN_VREF_GMBIAS:  5;        /*!< [Contents] Trimming bits for GMBIAS[Read] The initial value
                                                         depends on the value stored in EFUSE.                                 */
           uint32_t             :  4;
      __I  uint32_t  RON        :  1;               /*!< [Contents] control built-in feedback register[Read] The initial
                                                         value depends on the value stored in EFUSE.                           */
           uint32_t : 17; // padding
    } EFUSE_OSC32K_TRIMMING_b;                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED201[23];
  
  union {
    __IO uint32_t  OVERRIDE_EFUSE_OSC12M_TRIMMING;  /*!< OSC12M Trimming Data (Override Register)                              */
    
    struct {
      __IO uint32_t  MAIN_GM    :  4;               /*!< [Contents] Trimming bits for current[Write] 0b0000:Mode0(weakest)
                                                         0b0001:Mode1 0b0011:Mode2 0b0111:Mode3(strongest) *Setting other
                                                          than above is prohibited.[Read] Current Set value can be confirmed.  */
      __IO uint32_t  RON        :  1;               /*!< [Contents] control built-in feedback register[Write] 0x0: Disable(the
                                                         case of external feedback register) 0x1: Enable[Read] Current
                                                          Set value can be confirmed.                                          */
           uint32_t : 27; // padding
    } OVERRIDE_EFUSE_OSC12M_TRIMMING_b;             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED202[65];
  
  union {
    __IO uint32_t  OVERRIDE_EFUSE_LVD_TRIMMING;     /*!< LVD Trimming Data (Override Register)                                 */
    
    struct {
      __IO uint32_t  LVD        :  6;               /*!< [Contents] Adjusts LVDDET output voltage.[Write] Any value can
                                                         be rewrite.[Read] Current Set value can be confirmed.                 */
           uint32_t : 26; // padding
    } OVERRIDE_EFUSE_LVD_TRIMMING_b;                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED203[5];
  
  union {
    __IO uint32_t  OVERRIDE_EFUSE_OSC32K_TRIMMING;  /*!< OSC32K Trimming Data (Override Register)                              */
    
    struct {
      __IO uint32_t  TRIMIN     :  5;               /*!< [Contents] Trimming bits for current[Write] 0b00110: Mode0(weakest)/Mode1/
                                                         Mode2/Mode4 0b00111: Mode3/Mode5 0b01111: Mode6 0b11111: Mode7(strongest)
                                                         *Setting other than above is prohibited.[Read] Current Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  TRIMIN_VREF_GMBIAS:  5;        /*!< [Contents] Trimming bits for GMBIAS[Write] 0b00000: Mode0(weakest)/Mode3
                                                         0b00001: Mode1 0b00010: Mode2 0b00011: Mode4/Mode5/Mode6/Mode7(strongest)
                                                          *Setting other than above is prohibited.[Read] Current Set value
                                                          can be confirmed.                                                    */
           uint32_t             :  4;
      __IO uint32_t  RON        :  1;               /*!< [Contents] control built-in feedback register[Write] 0x0: Disable(the
                                                         case of external feedback register) 0x1: Enable[Read] Current
                                                          Set value can be confirmed.                                          */
           uint32_t : 17; // padding
    } OVERRIDE_EFUSE_OSC32K_TRIMMING_b;             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED204[3];
  
  union {
    __IO uint32_t  OVERRIDE_EFUSE_DCDC_TRIMMING0;   /*!< DCDC Trimming Data 0(Override Register)                               */
    
    struct {
           uint32_t             : 12;
      __IO uint32_t  MODE       :  1;               /*!< [Contents] DCDC operation mode setting[Write] 0: Low conversion
                                                         efficiency mode 1: High conversion efficiency mode[Read] Set
                                                          value can be confirmed.                                              */
           uint32_t : 19; // padding
    } OVERRIDE_EFUSE_DCDC_TRIMMING0_b;              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED205[115];
  
  union {
    __I  uint32_t  BLOCK_STATUS_ALL;                /*!< Block Status Register (ALL)                                           */
    
    struct {
      __I  uint32_t  ALL_ACTIVE :  1;               /*!< [Contents] Status of all block can be confirmed.[Read] 0: All
                                                         block is idle status. 1: Some of all block are active status.         */
           uint32_t : 31; // padding
    } BLOCK_STATUS_ALL_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_POWERDOMAIN;        /*!< Block Status Register(Power Domain unit)                              */
    
    struct {
      __I  uint32_t  PMAIN_ACTIVE:  1;              /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PSUB_ACTIVE:  1;               /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PNOFC_ACTIVE2:  1;             /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PDMAC_ACTIVE:  1;              /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PENC_ACTIVE:  1;               /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PNVM_ACTIVE:  1;               /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PDISP_ACTIVE:  1;              /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PTMR_ACTIVE:  1;               /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PADDA_ACTIVE:  1;              /*!< Definition is same as PAONLVC_ACTIVE.                                 */
      __I  uint32_t  PAONLVC_ACTIVE:  1;            /*!< [Contents] PAONLVC domain status can be confirmed.[Read] 0:
                                                         All block in internal block of PAONLVC is idle status 1: Some
                                                          of internal block of PAONLVC are active status                       */
           uint32_t : 22; // padding
    } BLOCK_STATUS_POWERDOMAIN_b;                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED206[2];
  
  union {
    __I  uint32_t  BLOCK_STATUS_PMAIN;              /*!< Status Register for Internal Block of PMAIN                           */
    
    struct {
      __I  uint32_t  ACTIVE_MPIER:  1;              /*!< Definition is same as ACTIVE_SRAMCM.                                  */
      __I  uint32_t  ACTIVE_SRAMCM:  1;             /*!< [Contents] SRAMCM status can be confirmed. And it depends on
                                                         the value of [BLOCK_EN_PMAIN].EN_SRAMCM.[Read] If [BLOCK_EN_PMAIN].EN_SRAM
                                                         CM=0, it becomes fixed Idle status (0). If [BLOCK_EN_PMAIN].EN_SRAMCM=1,
                                                          it indicates the following status. 0: Idle status 1: Active
                                                          status                                                               */
           uint32_t : 30; // padding
    } BLOCK_STATUS_PMAIN_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PSUB;               /*!< Status Register for Internal Block of PSUB                            */
    
    struct {
      __I  uint32_t  ACTIVE_HPIER:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_PPIER0:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_PPIER1:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_PPIER2:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_UART0:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_UART1:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_UART2:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_UART3:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_SPIM0:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_SPIM1:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_SPIM2:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_SPIM3:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_I2C0:  1;               /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_I2C1:  1;               /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_GPIO0:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_GPIO1:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_GPIO2:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_GPIO3:  1;              /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_I2SLP0:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_I2SLP1:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_I2SLP2:  1;             /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_EVM :  1;               /*!< Definition is same as ACTIVE_RTCLV.                                   */
      __I  uint32_t  ACTIVE_RTCLV:  1;              /*!< [Contents] RTCLV status can be confirmed. And it depends on
                                                         the value of [BLOCK_EN_PSUB].EN_RTCLV.[Read] If [BLOCK_EN_PSUB].EN_RTCLV=0
                                                         , it becomes fixed Idle status (0). If [BLOCK_EN_PSUB].EN_RTCLV=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 9; // padding
    } BLOCK_STATUS_PSUB_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PNOFC;              /*!< Status Register for Internal Block of PNOFC                           */
    
    struct {
      __I  uint32_t  ACTIVE_SPINOFC:  1;            /*!< [Contents] SPINOFC status can be confirmed. And it depends on
                                                         the value of [BLOCK_EN_PNOFC].EN_SPINOFC.[Read] If [BLOCK_EN_PNOFC].EN_SPI
                                                         NOFC=0, it becomes fixed Idle status (0). If [BLOCK_EN_PNOFC].EN_SPINOFC=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 31; // padding
    } BLOCK_STATUS_PNOFC_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PDMAC;              /*!< Status Register for Internal Block of PDMAC                           */
    
    struct {
      __I  uint32_t  ACTIVE_DMAC0:  8;              /*!< Definition is same as ACTIVE_DMAC1.                                   */
      __I  uint32_t  ACTIVE_DMAC1:  8;              /*!< [Contents] DMAC1 status can be confirmed in CH unit. And it
                                                         depends on the value of [BLOCK_EN_PDMAC].EN_DMAC1.[Read] [0]:
                                                          0CH [1]: 1CH [2]: 2CH [3]: 3CH [4]: 4CH [5]: 5CH [6]: 6CH [7]:
                                                          7CH If [BLOCK_EN_PDMAC].EN_DMAC1=0, it becomes fixed Idle status
                                                          (0). If [BLOCK_EN_PDMAC].EN_DMAC1=1, it indicates the following
                                                          status. 0: Idle Status 1: Active Status                              */
      __I  uint32_t  ACTIVE_DMACCONF:  1;           /*!< [Contents] DMACCONF status can be confirmed. And it depends
                                                         on the value of [BLOCK_EN_PDMAC].EN_DMACCONF.[Read] If [BLOCK_EN_PDMAC].EN
                                                         _DMACCONF=0, it becomes fixed Idle status (0). If [BLOCK_EN_PDMAC].EN_DMACC
                                                         ONF=1, it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 15; // padding
    } BLOCK_STATUS_PDMAC_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PENC;               /*!< Status Register for Internal Block of PENC                            */
    
    struct {
      __I  uint32_t  ACTIVE_CRA :  1;               /*!< Definition is same as ACTIVE_TZCP.                                    */
      __I  uint32_t  ACTIVE_RNG :  1;               /*!< Definition is same as ACTIVE_TZCP.                                    */
      __I  uint32_t  ACTIVE_TZCP:  1;               /*!< [Contents] TZCP status can be confirmed. And it depends on the
                                                         value of [BLOCK_EN_PENC].EN_TZCP.[Read] If [BLOCK_EN_PENC].EN_TZCP=0x0,
                                                          it becomes fixed Idle status (0x0). If [BLOCK_EN_PENC].EN_TZCP=0x1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 29; // padding
    } BLOCK_STATUS_PENC_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PNVM;               /*!< Status Register for Internal Block of PNVM                            */
    
    struct {
      __I  uint32_t  ACTIVE_SPIFC:  1;              /*!< Definition is same as ACTIVE_EMMC1.                                   */
      __I  uint32_t  ACTIVE_EMMC0:  1;              /*!< Definition is same as ACTIVE_EMMC1.                                   */
      __I  uint32_t  ACTIVE_EMMC1:  1;              /*!< [Contents] EMMC1 status can be confirmed. And it depends on
                                                         the value of [BLOCK_EN_PNVM].EN_EMMC1.[Read] If [BLOCK_EN_PNVM].EN_EMMC1=0
                                                         x0, it becomes fixed Idle status (0x0). If [BLOCK_EN_PNVM].EN_EMMC1=0x1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 29; // padding
    } BLOCK_STATUS_PNVM_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PDISP;              /*!< Status Register for Internal Block of PDISP                           */
    
    struct {
      __I  uint32_t  ACTIVE_GPIER:  1;              /*!< Definition is same as ACTIVE_DSI.                                     */
      __I  uint32_t  ACTIVE_GFX :  1;               /*!< Definition is same as ACTIVE_DSI.                                     */
      __I  uint32_t  ACTIVE_DBIBC:  1;              /*!< Definition is same as ACTIVE_DSI.                                     */
      __I  uint32_t  ACTIVE_EBIF:  1;               /*!< Definition is same as ACTIVE_DSI.                                     */
      __I  uint32_t  ACTIVE_DSI :  1;               /*!< [Contents] DSI status can be confirmed. And it depends on the
                                                         value of [BLOCK_EN_PDISP].EN_DSI.[Read] If [BLOCK_EN_PDISP].EN_DSI=0,
                                                          it becomes fixed Idle status (0). If [BLOCK_EN_PDISP].EN_DSI=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 27; // padding
    } BLOCK_STATUS_PDISP_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PTMR;               /*!< Status Register for Internal Block of PTMR                            */
    
    struct {
      __I  uint32_t  ACTIVE_PPIER3:  1;             /*!< Definition is same as ACTIVE_WDT.                                     */
      __I  uint32_t  ACTIVE_TMR :  1;               /*!< Definition is same as ACTIVE_WDT.                                     */
      __I  uint32_t  ACTIVE_AdvTMR0:  1;            /*!< Definition is same as ACTIVE_WDT.                                     */
      __I  uint32_t  ACTIVE_AdvTMR1:  1;            /*!< Definition is same as ACTIVE_WDT.                                     */
      __I  uint32_t  ACTIVE_WDT :  1;               /*!< [Contents] WDT status can be confirmed. And it depends on the
                                                         value of [BLOCK_EN_PTMR].EN_WDT.[Read] If [BLOCK_EN_PTMR].EN_WDT=0,
                                                          it becomes fixed Idle status (0). If [BLOCK_EN_PTMR].EN_WDT=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 27; // padding
    } BLOCK_STATUS_PTMR_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PADDA;              /*!< Status Register for Internal Block of PADDA                           */
    
    struct {
      __I  uint32_t  ACTIVE_ADCC12:  1;             /*!< ACTIVE_LEDC                                                           */
      __I  uint32_t  ACTIVE_AFEZ:  1;               /*!< ACTIVE_LEDC                                                           */
      __I  uint32_t  ACTIVE_DACC:  1;               /*!< ACTIVE_LEDC                                                           */
      __I  uint32_t  ACTIVE_LEDC:  1;               /*!< [Contents] LEDC status can be confirmed. And it depends on the
                                                         value of [BLOCK_EN_PADDA].EN_LEDC.[Read] If [BLOCK_EN_PADDA].EN_LEDC=0,
                                                          it becomes fixed Idle status (0). If [BLOCK_EN_PADDA].EN_LEDC=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 28; // padding
    } BLOCK_STATUS_PADDA_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_STATUS_PAONLVC;            /*!< Status Register for Internal Block of PAONLVC                         */
    
    struct {
      __I  uint32_t  ACTIVE_GCONF:  1;              /*!< [Contents] GCONF status can be confirmed. And it depends on
                                                         the value of [BLOCK_EN_PAONLVC].EN_GCONF.[Read] If [BLOCK_EN_PAONLVC].EN_G
                                                         CONF=0, it becomes fixed Idle status (0). If [BLOCK_EN_PAONLVC].EN_GCONF=1,
                                                          it indicates the following status. 0: Idle Status 1: Active
                                                          Status                                                               */
           uint32_t : 31; // padding
    } BLOCK_STATUS_PAONLVC_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED207[2];
  
  union {
    __IO uint32_t  BLOCK_EN_PMAIN;                  /*!< Status Setting Register of Internal Block of PMAIN                    */
    
    struct {
      __IO uint32_t  EN_MPIER   :  1;               /*!< Definition is same as EN_SRAMCM.                                      */
      __IO uint32_t  EN_SRAMCM  :  1;               /*!< [Contents] Controls ACTIVE status of SRAMCM.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 30; // padding
    } BLOCK_EN_PMAIN_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PSUB;                   /*!< Status Setting Register of Internal Block of PSUB                     */
    
    struct {
      __IO uint32_t  EN_HPIER   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_PPIER0  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_PPIER1  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_PPIER2  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_UART0   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_UART1   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_UART2   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_UART3   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_SPIM0   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_SPIM1   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_SPIM2   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_SPIM3   :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_I2C0    :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_I2C1    :  1;               /*!< Definition is same as EN_RTCLV.                                       */
           uint32_t             :  4;
      __IO uint32_t  EN_I2SLP0  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_I2SLP1  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_I2SLP2  :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_EVM     :  1;               /*!< Definition is same as EN_RTCLV.                                       */
      __IO uint32_t  EN_RTCLV   :  1;               /*!< [Contents] Controls ACTIVE status of RTCLV.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 9; // padding
    } BLOCK_EN_PSUB_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PNOFC;                  /*!< Status Setting Register of Internal Block of PNOFC                    */
    
    struct {
      __IO uint32_t  EN_SPINOFC :  1;               /*!< [Contents] Controls ACTIVE status of SPINOFC.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 31; // padding
    } BLOCK_EN_PNOFC_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PDMAC;                  /*!< Status Setting Register of Internal Block of PDMAC                    */
    
    struct {
      __IO uint32_t  EN_DMAC0   :  8;               /*!< Definition is same as EN_DMACCONF.                                    */
      __IO uint32_t  EN_DMAC1   :  8;               /*!< Definition is same as EN_DMACCONF.                                    */
      __IO uint32_t  EN_DMACCONF:  1;               /*!< [Contents] Controls ACTIVE status of DMACCONF.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 15; // padding
    } BLOCK_EN_PDMAC_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PENC;                   /*!< Status Setting Register of Internal Block of PENC                     */
    
    struct {
      __IO uint32_t  EN_CRA     :  1;               /*!< Definition is same as EN_TZCP.                                        */
      __IO uint32_t  EN_RNG     :  1;               /*!< Definition is same as EN_TZCP.                                        */
      __IO uint32_t  EN_TZCP    :  1;               /*!< [Contents] Controls ACTIVE status of TZCP.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 29; // padding
    } BLOCK_EN_PENC_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PNVM;                   /*!< Status Setting Register of Internal Block of PNVM                     */
    
    struct {
      __IO uint32_t  EN_SPIFC   :  1;               /*!< Definition is same as EN_EMMC1.                                       */
      __IO uint32_t  EN_EMMC0   :  1;               /*!< Definition is same as EN_EMMC1.                                       */
      __IO uint32_t  EN_EMMC1   :  1;               /*!< [Contents] Controls ACTIVE status of EMMC1.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 29; // padding
    } BLOCK_EN_PNVM_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PDISP;                  /*!< Status Setting Register of Internal Block of PDISP                    */
    
    struct {
      __IO uint32_t  EN_GPIER   :  1;               /*!< Definition is same as EN_DSI.                                         */
      __IO uint32_t  EN_GFX     :  1;               /*!< Definition is same as EN_DSI.                                         */
      __IO uint32_t  EN_DBIBC   :  1;               /*!< Definition is same as EN_DSI.                                         */
      __IO uint32_t  EN_EBIF    :  1;               /*!< Definition is same as EN_DSI.                                         */
      __IO uint32_t  EN_DSI     :  1;               /*!< [Contents] Controls ACTIVE status of DSI.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 27; // padding
    } BLOCK_EN_PDISP_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PTMR;                   /*!< Status Setting Register of Internal Block of PTMR                     */
    
    struct {
      __IO uint32_t  EN_PPIER3  :  1;               /*!< Definition is same as EN_AdvTMR1.                                     */
           uint32_t             :  1;
      __IO uint32_t  EN_AdvTMR0 :  1;               /*!< Definition is same as EN_AdvTMR1.                                     */
      __IO uint32_t  EN_AdvTMR1 :  1;               /*!< [Contents] Controls ACTIVE status of AdvTMR1.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 28; // padding
    } BLOCK_EN_PTMR_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BLOCK_EN_PADDA;                  /*!< Status Setting Register of Internal Block of PADDA                    */
    
    struct {
      __IO uint32_t  EN_ADCC12  :  1;               /*!< Definition is same as EN_LEDC.                                        */
      __IO uint32_t  EN_AFEZ    :  1;               /*!< Definition is same as EN_LEDC.                                        */
      __IO uint32_t  EN_DACC    :  1;               /*!< Definition is same as EN_LEDC.                                        */
      __IO uint32_t  EN_LEDC    :  1;               /*!< [Contents] Controls ACTIVE status of LEDC.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 28; // padding
    } BLOCK_EN_PADDA_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BLOCK_EN_PAONLVC;                /*!< Status Setting Register of Internal Block of PAONLVC                  */
    
    struct {
      __I  uint32_t  EN_GCONF   :  1;               /*!< [Contents] Controls ACTIVE status of GCONF.[Write] 0: Disables
                                                         1: Enables[Read] Set value can be confirmed.                          */
           uint32_t : 31; // padding
    } BLOCK_EN_PAONLVC_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED208[2];
  
  union {
    __I  uint32_t  BOOTCONFIG;                      /*!< BOOTMODE Status Register                                              */
    
    struct {
      __I  uint32_t  BOOTMODE   :  3;               /*!< [Contents] BOOTMODE terminal status can be confirmed.[Read]
                                                         For details refer to reference manual of PMU.                         */
           uint32_t : 29; // padding
    } BOOTCONFIG_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED209[3];
  
  union {
    __IO uint32_t  ADDA_DATA_SYNC_SETTING;          /*!< Sampling Signal Control Register for ADCC12/AFEZ                      */
    
    struct {
      __IO uint32_t  ADC12_EN   :  1;               /*!< [Contents] Controls sampling signal for ADCC12.[Write] 0: Suspends
                                                         1: Supplies[Read] Set value can be confirmed.                         */
      __IO uint32_t  AFEZ_EN    :  1;               /*!< [Contents] Controls sampling signal for AFEZ.[Write] 0: Suspends
                                                         1: Supplies[Read] Set value can be confirmed.                         */
           uint32_t : 30; // padding
    } ADDA_DATA_SYNC_SETTING_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED210[7];
  
  union {
    __IO uint32_t  APREGLV0;                        /*!< General Purpose Register0                                             */
    
    struct {
      __IO uint32_t  TESTREGLV0 : 32;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONLVC area.[Write] Any data can be rewritten in this
                                                          register.[Read] Set value can be confirmed.                          */
    } APREGLV0_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  APREGLV1;                        /*!< General Purpose Register1                                             */
    
    struct {
      __IO uint32_t  TESTREGLV1 : 32;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONLVC area.[Write] Any data can be rewritten in this
                                                          register.[Read] Set value can be confirmed.                          */
    } APREGLV1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED211[2];
  
  union {
    __IO uint32_t  POWERUP_PERIOD_CTRL;             /*!< Startup Register for Measurement of ACTIVE Period                     */
    
    struct {
      __IO uint32_t  START0     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_PERIOD_C
                                                         TRL_SETTING].SEL0.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
      __IO uint32_t  START1     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_PERIOD_C
                                                         TRL_SETTING].SEL1.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
      __IO uint32_t  START2     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_PERIOD_C
                                                         TRL_SETTING].SEL2.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
           uint32_t             : 28;
      __IO uint32_t  EN         :  1;               /*!< [Contents] Controls clock to instrument for period measurement[Write]
                                                         0: Clock is suspended 1: Clock is supplied[Read] Set value can
                                                          be confirmed.                                                        */
    } POWERUP_PERIOD_CTRL_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_PERIOD_CTRL_SETTING;     /*!< Setting Register for Measurement of ACTIVE Period                     */
    
    struct {
      __IO uint32_t  SEL0       :  5;               /*!< Definition is same as SEL2.                                           */
           uint32_t             :  3;
      __IO uint32_t  SEL1       :  5;               /*!< Definition is same as SEL2.                                           */
           uint32_t             :  3;
      __IO uint32_t  SEL2       :  5;               /*!< [Contents] Sets target block for measurement.[Write] 00000:
                                                         CPU 00001: GFX 00010: DBI/BC 00011: EBIF 00100: SPINOFC 00101:
                                                          SPIFC 00110: EMMC0 00111: EMMC1 01000: I2SLP0 01001: I2SLP1
                                                          01010: I2SLP2 01011: AFEZ 01100: CRA 01101: PSRAM0 01110: PSRAM1
                                                          01111: PSRAM2 10000: PSRAM3 10001: PSRAM4 10010: PSRAM5 10011:
                                                          PSRAM6 10100: PSRAM7 10101: PSRAM8[Read] Set value can be confirmed. */
           uint32_t : 11; // padding
    } POWERUP_PERIOD_CTRL_SETTING_b;                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED212[2];
  
  union {
    __IO uint32_t  POWERUP_PERIOD_CTRL_COUNT0;      /*!< Count Register0 for Measurement of ACTIVE Period                      */
    
    struct {
      __IO uint32_t  COUNT      : 32;               /*!< [Contents] Current count value which is started up by [POWERUP_PERIOD_CTRL
                                                         ].START0 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
    } POWERUP_PERIOD_CTRL_COUNT0_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_PERIOD_CTRL_COUNT1;      /*!< Count Register1 for Measurement of ACTIVE Period                      */
    
    struct {
      __IO uint32_t  COUNT      : 32;               /*!< [Contents] Current count value which is started up by [POWERUP_PERIOD_CTRL
                                                         ].START1 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
    } POWERUP_PERIOD_CTRL_COUNT1_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_PERIOD_CTRL_COUNT2;      /*!< Count Register2 for Measurement of ACTIVE Period                      */
    
    struct {
      __IO uint32_t  COUNT      : 32;               /*!< [Contents] Current count value which is started up by [POWERUP_PERIOD_CTRL
                                                         ].START2 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
    } POWERUP_PERIOD_CTRL_COUNT2_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED213;
  
  union {
    __IO uint32_t  POWERUP_EVENT_CTRL;              /*!< Startup Register for Measurement of ACTIVE Event                      */
    
    struct {
      __IO uint32_t  START0     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_EVENT_CT
                                                         RL_SETTING].SEL0.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
      __IO uint32_t  START1     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_EVENT_CT
                                                         RL_SETTING].SEL1.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
      __IO uint32_t  START2     :  1;               /*!< [Contents] Counts ACTIVE status of block which is set by [POWERUP_EVENT_CT
                                                         RL_SETTING].SEL2.[Write] 0: Stop measurement 1: Start measurement[Read]
                                                         Set value can be confirmed.                                           */
           uint32_t             : 28;
      __IO uint32_t  EN         :  1;               /*!< [Contents] Controls clock to instrument for period measurement[Write]
                                                         0: Clock is suspended 1: Clock is supplied[Read] Set value can
                                                          be confirmed.                                                        */
    } POWERUP_EVENT_CTRL_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_EVENT_CTRL_SETTING;      /*!< Setting Register for Measurement of ACTIVE Event                      */
    
    struct {
      __IO uint32_t  SEL0       :  5;               /*!< Definition is same as SEL2.                                           */
           uint32_t             :  3;
      __IO uint32_t  SEL1       :  5;               /*!< Definition is same as SEL2.                                           */
           uint32_t             :  3;
      __IO uint32_t  SEL2       :  5;               /*!< [Contents] Sets target block for measurement.[Write] 00000:
                                                         CPU 00001: GFX 00010: DBI/BC 00011: EBIF 00100: SPINOFC 00101:
                                                          SPIFC 00110: EMMC0 00111: EMMC1 01000: I2SLP0 01001: I2SLP1
                                                          01010: I2SLP2 01011: AFEZ 01100: CRA 01101: PSRAM0 01110: PSRAM1
                                                          01111: PSRAM2 10000: PSRAM3 10001: PSRAM4 10010: PSRAM5 10011:
                                                          PSRAM6 10100: PSRAM7 10101: PSRAM8[Read] Set value can be confirmed. */
           uint32_t : 11; // padding
    } POWERUP_EVENT_CTRL_SETTING_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED214[2];
  
  union {
    __IO uint32_t  POWERUP_EVENT_CTRL_COUNT0;       /*!< Count Register0 for Measurement of ACTIVE Event                       */
    
    struct {
      __IO uint32_t  COUNT      : 16;               /*!< [Contents] Current count value which is started up by [POWERUP_EVENT_CTRL]
                                                         .START0 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
           uint32_t : 16; // padding
    } POWERUP_EVENT_CTRL_COUNT0_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_EVENT_CTRL_COUNT1;       /*!< Count Register1 for Measurement of ACTIVE Event                       */
    
    struct {
      __IO uint32_t  COUNT      : 16;               /*!< [Contents] Current count value which is started up by [POWERUP_EVENT_CTRL]
                                                         .START1 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
           uint32_t : 16; // padding
    } POWERUP_EVENT_CTRL_COUNT1_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  POWERUP_EVENT_CTRL_COUNT2;       /*!< Count Register2 for Measurement of ACTIVE Event                       */
    
    struct {
      __IO uint32_t  COUNT      : 16;               /*!< [Contents] Current count value which is started up by [POWERUP_EVENT_CTRL]
                                                         .START2 can be confirmed.[Write] Rewrites counter value.[Read]
                                                         Current count value can be confirmed.                                 */
           uint32_t : 16; // padding
    } POWERUP_EVENT_CTRL_COUNT2_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED215[65];
  
  union {
    __IO uint32_t  BROWNOUT_RESET;                  /*!< BrownOut Software Reset Register                                      */
    
    struct {
      __IO uint32_t  BOR        :  1;               /*!< [Contents] Asserts BrownOut reset by software.[Write] 0: Disable
                                                         1: Asserts BrownOut reset[Read] Returns 0.                            */
           uint32_t : 31; // padding
    } BROWNOUT_RESET_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED216[3];
  
  union {
    __IO uint32_t  BROWNOUT_CTRL;                   /*!< BrownOut Setting Register                                             */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< [Contents] Controls BrownOut detection function.[Write] 0: Disables
                                                         detection function 1: Enables detection function[Read] Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  MODE       :  1;               /*!< [Contents] Sets operation after BrownOut detection.[Write] 0:
                                                         BrownOut reset 1: BrownOut interrupt[Read] Set value can be
                                                          confirmed.                                                           */
      __IO uint32_t  REBOOT_DIS :  1;               /*!< [Contents] Sets Reboot operation after BrownOutReset.[Write]
                                                         0: Performs Reboot 1: Doesnt Perform Reboot[Read] Set value
                                                          can be confirmed.                                                    */
      __IO uint32_t  CLKMODE    :  1;               /*!< [Contents] Sets processing with regards to LVDDET signal. For
                                                         details refer to section: 4.8: BrownOut Control.[Write] 0: SlowClock
                                                          mode(Sampling by SlowClock) 1: ClockLess mode(Direct use of
                                                          BrownOut detection signal.)[Read] Set value can be confirmed.        */
      __IO uint32_t  CLKEN      :  1;               /*!< [Contents] Controls SlowClock for BrownOut detection.[Write]
                                                         0: Suspends SlowClock for BrownOut 1: Supplies SlowClock for
                                                          BrownOut[Read] Set value can be confirmed.                           */
           uint32_t : 27; // padding
    } BROWNOUT_CTRL_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  BROWNOUT_CTRL_STATUS;            /*!< BrownOut Status Register                                              */
    
    struct {
      __I  uint32_t  LVDDET     :  1;               /*!< [Contents] BrownOut detection status can be confirmed.[Read]
                                                         0: There is not BrownOut 1: There is BrownOut                         */
           uint32_t : 31; // padding
    } BROWNOUT_CTRL_STATUS_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED217[2];
  
  union {
    __IO uint32_t  EVENT_OF_RESET;                  /*!< Reset Event Register                                                  */
    
    struct {
      __IO uint32_t  POR        :  1;               /*!< [Contents] Indicates that the cause of reset is POR.[Write]
                                                         0: Invalid 1: Clear[Read] 0: Not reset by POR 1: Reset by POR         */
      __IO uint32_t  SYSRESET   :  1;               /*!< [Contents] Indicates that the cause of reset is SYS_RESET_N
                                                         terminal.[Write] 0: Invalid 1: Clear[Read] 0: Not reset by SYS_RESET_N
                                                          terminal 1: Reset by SYS_RESET_N terminal                            */
      __IO uint32_t  BORSW      :  1;               /*!< [Contents] Indicates that the cause of reset is BrownOut reset
                                                         of SW. The cause is indicated if [BROWNOUTRESET].EN=1.[Write]
                                                          0: Invalid 1: Clear[Read] 0: Not reset by BrownOut of SW 1:
                                                          Reset by BrownOut of SW                                              */
      __IO uint32_t  BORHW      :  1;               /*!< [Contents] Indicates that the cause of reset is BrownOut reset
                                                         of HW. The cause is indicated if reset occurs by detecting the
                                                          BrownOut while [BROWNOUTMODE].MODE=0.[Write] 0: Invalid 1: Clear[Read]
                                                          0: Not reset by BrownOut of HW 1: Reset by BrownOut of HW            */
      __IO uint32_t  WDT        :  1;               /*!< [Contents] Indicates that the cause of reset is WDT.[Write]
                                                         0: Invalid 1: Clear[Read] 0: Not reset by WDT 1: Reset by WDT         */
      __IO uint32_t  SYSRESETREQ:  1;               /*!< [Contents] Indicates that the cause of reset is SYSRESETREQ.[Write]
                                                         0: Invalid 1: Clear[Read] 0: Not reset by SYSRESETREQ 1: Reset
                                                          by SYSRESETREQ                                                       */
      __IO uint32_t  LOCKUP     :  1;               /*!< [Contents] Indicates that the cause of reset is LOCKUP.[Write]
                                                         0: Invalid 1: Clear[Read] 0: Not reset by LOCKUP 1: Reset by
                                                          LOCKUP                                                               */
      __IO uint32_t  RTC        :  1;               /*!< [Contents] Indicates that the cause of reset is RTC mode.[Write]
                                                         0: Invalid 1: Clear[Read] 0: Not reset by RTC mode 1: Reset
                                                          by RTC mode                                                          */
           uint32_t : 24; // padding
    } EVENT_OF_RESET_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CAUSE_OF_RESET;                  /*!< Reset Cause Register                                                  */
    
    struct {
      __I  uint32_t  POR        :  1;               /*!< [Contents] Indicates that reset cause is reset by POR.[Read]
                                                         0: Not reset by POR 1: Reset by POR                                   */
      __I  uint32_t  SYSRESET   :  1;               /*!< [Contents] Indicates that the cause of reset is SYS_RESET_N
                                                         terminal .[Read] 0: Other than reset by SYS_RESET_N terminal
                                                          1: Reset by SYS_RESET_N terminal                                     */
      __I  uint32_t  BORSW      :  1;               /*!< [Contents] Indicates that the cause of reset is BrownOut reset
                                                         of SW. The cause is indicated if [BROWNOUTRESET].EN=1.[Read]
                                                          0: Other than reset by BrownOut reset of SW 1: Reset by BrownOut
                                                          reset of SW                                                          */
      __I  uint32_t  BORHW      :  1;               /*!< [Contents] Indicates that the cause of reset is BrownOut reset
                                                         of HW. The cause is indicated if reset occurs by detecting the
                                                          BrownOut while [BROWNOUTMODE].MODE=0.[Read] 0: Not reset by
                                                          BrownOut reset of HW 1: Reset by BrownOut reset of HW                */
      __I  uint32_t  WDT        :  1;               /*!< [Contents] Indicates that the cause of reset is WDT.[Read] 0:
                                                         Not reset by WDT 1: Reset by WDT                                      */
      __I  uint32_t  SYSRESETREQ:  1;               /*!< [Contents] Indicates that the cause of reset is SYSRESETREQ.[Read]
                                                         0: Not reset by SYSRESETREQ 1: Reset by SYSRESETREQ                   */
      __I  uint32_t  LOCKUP     :  1;               /*!< [Contents] Indicates that the cause of reset is LOCKUP.[Read]
                                                         0: Not reset by LOCKUP 1: Reset by LOCKUP                             */
      __I  uint32_t  RTC        :  1;               /*!< [Contents] Indicates that the cause of reset is RTC mode.[Read]
                                                         0: Not reset by RTC mode 1: Reset by RTC mode                         */
           uint32_t : 24; // padding
    } CAUSE_OF_RESET_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED218[2];
  
  union {
    __IO uint32_t  ADDA_COREON_SETTING;             /*!< Macro COREON Signal Control Register for ADCC12/AFEZ/DACC/LEDC        */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< [Contents] Controls COREON signal.[Write] 0: Disable 1: Enable[Read]
                                                         COREON signal which is supplies to LEDC, DACC, ADC12 and AFEZ
                                                          can be confirmed. Caution: The read data may differ with value
                                                          which is set in this register.                                       */
           uint32_t : 31; // padding
    } ADDA_COREON_SETTING_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED219[7];
  
  union {
    __IO uint32_t  VDD33_SPIFOUT;                   /*!< VDD33_SPIFOUT Power Supply Control Register                           */
    
    struct {
      __IO uint32_t  PWENW      :  1;               /*!< [Contents] Controls power supply control signal 1 for SPI-FLASH/IO.
                                                         During BOOTMODE2-0=000/001/010/011, before CPU startup, it is
                                                          changed to Enable status by boot sequencer in PMU.[Write] 0:
                                                          Disable 1: Enable(Power is supplied)[Read] Set value can be
                                                          confirmed.                                                           */
      __IO uint32_t  PWENS      :  1;               /*!< [Contents] Controls power supply control signal 0 for SPI-FLASH/IO.
                                                         During BOOTMODE2-0=000/001/010/011, before CPU startup, it is
                                                          changed to Enable status by boot sequencer in PMU.[Write] 0:
                                                          Disable 1: Enable(Power is supplied)[Read] Set value can be
                                                          confirmed. During BOOTMODE2=0, this is changed to ON status.         */
           uint32_t : 30; // padding
    } VDD33_SPIFOUT_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED220[3];
  
  union {
    __IO uint32_t  VDD33_USBOUT;                    /*!< VDD33_USBOUT Power Supply Control Register                            */
    
    struct {
      __IO uint32_t  PWENW      :  1;               /*!< [Contents] Controls power supply control signal 1 for USB IO.[Write]
                                                         0: Disable 1: Enable(Power is supplied)[Read] Set value can
                                                          be confirmed.                                                        */
      __IO uint32_t  PWENS      :  1;               /*!< [Contents] Controls power supply control signal 0 for USB IO.[Write]
                                                         0: Disable 1: Enable(Power is supplied)[Read] Set value can
                                                          be confirmed.                                                        */
           uint32_t : 30; // padding
    } VDD33_USBOUT_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED221[3];
  
  union {
    __IO uint32_t  CPU_DEBUG;                       /*!< Debugger Control Register                                             */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< [Contents] Sets status of connection with debugger.[Write] 0:
                                                         JTAG connection is not available 1: Ignored[Read] 0: JTAG connection
                                                          is not available 1: JTAG connection is available                     */
           uint32_t : 31; // padding
    } CPU_DEBUG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED222[4];
  
  union {
    __IO uint32_t  RESET_CTRL;                      /*!< Reset Control Register                                                */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  PMODE      :  1;               /*!< [Contents] Controls protection of PSRAM4 area when SYSRESETREQ
                                                         occurs.[Write] 0: not Protects PSRAM4 data 1: Protects PSRAM4
                                                          data[Read] Set value can be confirmed.                               */
           uint32_t : 30; // padding
    } RESET_CTRL_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED223[7];
  
  union {
    __IO uint32_t  RTC_BUSY;                        /*!< Busy Register for RTCHV Access                                        */
    
    struct {
      __IO uint32_t  BUSY       :  1;               /*!< [Contents]Regarding how to use, refer to Section 6.3 in Real
                                                         Time Clock Counter of Reference ManualIf the reset is occurred
                                                          by SYS_RESET_N terminal during performing of write access to
                                                          RTCHV Management, write access may not be performed correctly.
                                                          Such case can be detected by this register.[write] 0: Indicates
                                                          that Write access is not performed 1: Indicates that Write access
                                                          is being performed[Read] Set value can be confirmed.                 */
           uint32_t : 31; // padding
    } RTC_BUSY_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED224[2];
  
  union {
    __IO uint32_t  BCKUPREGHV0;                     /*!< Backup Register0                                                      */
    
    struct {
      __IO uint32_t  DATA       : 32;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONHV area.[Write] Any value can be rewritten.[Read] Set
                                                          value can be confirmed.                                              */
    } BCKUPREGHV0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BCKUPREGHV1;                     /*!< Backup Register1                                                      */
    
    struct {
      __IO uint32_t  DATA       : 32;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONHV area.[Write] Any value can be rewritten.[Read] Set
                                                          value can be confirmed.                                              */
    } BCKUPREGHV1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BCKUPREGHV2;                     /*!< Backup Register2                                                      */
    
    struct {
      __IO uint32_t  DATA       : 16;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONHV area.[Write] Any value can be rewritten.[Read] Set
                                                          value can be confirmed.                                              */
           uint32_t : 16; // padding
    } BCKUPREGHV2_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BCKUPREGHV3;                     /*!< Backup Register3                                                      */
    
    struct {
      __IO uint32_t  DATA       : 16;               /*!< [Contents] General Purpose Register which data can be stored
                                                         in PD_AONHV area.[Write] Any value can be rewritten.[Read] Set
                                                          value can be confirmed.                                              */
           uint32_t : 16; // padding
    } BCKUPREGHV3_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SIOSC12M_DIV2_EN;                /*!< SIOSC12M Clock Dividing Setting Register                              */
    
    struct {
      __IO uint32_t  EN         :  2;               /*!< [Contents] Controls source clock frequency from SIOSC12M to
                                                         CD_MAIN/CD_SUB/CD_PERI[0-2]/CD_SPINOFC/CD_SPIFC/CD_DISP/CD_EBIF.
                                                          *This control doesnt affect other clock domain except above
                                                          clock domains. Therefore source clock frequency of SIOSC12M
                                                          is still 12 MHz.[Write] 0x: Changes to 6 MHz from transition
                                                          to WAIT/RETENTION mode to return. Otherwise it is still 12 MHz.
                                                          10: Always 12 MHz 11: Always 6 MHz[Read] Set value can be confirmed. */
           uint32_t : 30; // padding
    } SIOSC12M_DIV2_EN_b;                           /*!< BitSize                                                               */
  };
} PMU_Type;


/* ================================================================================ */
/* ================                     SRAMCM                     ================ */
/* ================================================================================ */


/**
  * @brief sramcm (SRAMCM)
  */

typedef struct {                                    /*!< SRAMCM Structure                                                      */
  
  union {
    __IO uint32_t  M2MSTART;                        /*!< M2M Start                                                             */
    
    struct {
      __IO uint32_t  START      :  1;               /*!< 1: Start0: Disable* This bit always returns 0 when read.              */
           uint32_t : 31; // padding
    } M2MSTART_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  M2MSTOP;                         /*!< M2M Stop                                                              */
    
    struct {
      __IO uint32_t  STOP       :  1;               /*!< 1: Stop0: Disable* This bit always returns 0 when read.               */
           uint32_t : 31; // padding
    } M2MSTOP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  M2MSTATUS;                       /*!< M2M Status                                                            */
    
    struct {
      __I  uint32_t  STATUS     :  2;               /*!< 0b10: Wait for the interrupt clear.0b01: Operating0b00: Stopping      */
      __I  uint32_t  SIZE       : 18;               /*!< The data size being transferred (The amount of accumulation
                                                         transmission)                                                         */
           uint32_t : 12; // padding
    } M2MSTATUS_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  M2MSRCADDR;                      /*!< Source address                                                        */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  ADDR       : 30;               /*!< Specify the read destination address.Set in the unit of a word.       */
    } M2MSRCADDR_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[3];
  
  union {
    __IO uint32_t  M2MDSTADDR;                      /*!< Destination address                                                   */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  ADDR       : 30;               /*!< Specify the address for writing.Set in the unit of a word.            */
    } M2MDSTADDR_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  M2MSIZE;                         /*!< Set the transfer size. The transfer size of the source and the
                                                         destination are the same.Set in the unit of a word.                   */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  SIZE       : 18;               /*!< Set the transfer size. The transfer size of the source and the
                                                         destination are the same.Set in the unit of a word.                   */
           uint32_t : 12; // padding
    } M2MSIZE_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[2];
  
  union {
    __IO uint32_t  M2MINTEN;                        /*!< M2M transfer completion interrupt function ON/OFF                     */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< 1: M2M transfer completion interrupt ON0: M2M transfer completion
                                                         interrupt OFF                                                         */
           uint32_t : 31; // padding
    } M2MINTEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  M2MINTCLR;                       /*!< M2M transfer completion interrupt clear                               */
    
    struct {
      __IO uint32_t  CLR        :  1;               /*!< 1: Clear the interrupt.0: Disable* This bit always returns 0
                                                         when read.                                                            */
           uint32_t : 31; // padding
    } M2MINTCLR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[2];
  
  union {
    __IO uint32_t  ERRINTEN;                        /*!< Error interrupt function ON/OFF                                       */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< 1: Error interrupt ON0: Error interrupt OFF                           */
           uint32_t : 31; // padding
    } ERRINTEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ERRSTATUS;                       /*!< Error factor                                                          */
    
    struct {
      __I  uint32_t  STATUS     :  4;               /*!< Display the error factor[3]=1: Error4 occurs.[2]=1: Error3 occurs.[1]=1:
                                                         Error2 occurs.[0]=1: Error1 occurs.                                   */
           uint32_t : 28; // padding
    } ERRSTATUS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ERR1LOG;                         /*!< Error1 factor                                                         */
    
    struct {
           uint32_t             : 10;
      __I  uint32_t  ADDR       : 22;               /*!< Error1 generation access Global address (1KB unit)                    */
    } ERR1LOG_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4;
  
  union {
    __IO uint32_t  ERRCLR;                          /*!< Clear the error factor detection.                                     */
    
    struct {
      __IO uint32_t  CLR        :  4;               /*!< [3]: Clear the Error 4 factor detection.[2]: Clear the Error
                                                         3 factor detection.[1]: Clear the Error 2 factor detection.[0]:
                                                          Clear the Error 1 factor detection.* This bit always returns
                                                          0 when read.                                                         */
           uint32_t : 28; // padding
    } ERRCLR_b;                                     /*!< BitSize                                                               */
  };
} SRAMCM_Type;


/* ================================================================================ */
/* ================                      GCONF                     ================ */
/* ================================================================================ */


/**
  * @brief gconf (GCONF)
  */

typedef struct {                                    /*!< GCONF Structure                                                       */
  
  union {
    __IO uint32_t  CPU_STCALIB;                     /*!< CPU_STCALIB                                                           */
    
    struct {
      __IO uint32_t  TENMS      : 24;               /*!< Set the value of CPU.[SYST_CALIB].TENMS.                              */
           uint32_t             :  6;
      __IO uint32_t  SKEW       :  1;               /*!< Set the value of CPU.[SYST_CALIB].SKEW.                               */
      __IO uint32_t  NOREF      :  1;               /*!< Set the value of CPU.[SYST_CALIB].NOREF.                              */
    } CPU_STCALIB_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CPU_TSENABLE;                    /*!< CPU_TSENABLE                                                          */
    
    struct {
      __IO uint32_t  TSENABLE   :  1;               /*!< Time Stamp count enableThe control of the time stamp counter
                                                         (48-bit counter) for CPU tracingIt conducts the counting operation
                                                          with the HCLK of the CM4.1: Counter enable0: Counter disable         */
           uint32_t : 31; // padding
    } CPU_TSENABLE_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CPU_TRACE_OE_CTRL;               /*!< CPU_TRACE_OE_CTRL                                                     */
    
    struct {
      __IO uint32_t  OE         :  1;               /*!< CPU TRACE Output Enable1: TRACECLK/TRACEDATA output enable0:
                                                         TRACECLK/TRACEDATA output disable                                     */
           uint32_t : 31; // padding
    } CPU_TRACE_OE_CTRL_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CPU_FPUIRQEN;                    /*!< CPU_FPUIRQEN                                                          */
    
    struct {
      __IO uint32_t  FPUIOE     :  1;               /*!< The setting of the interrupt notification when IOC (Invalid
                                                         Operation cumulative) exception of the FPU occurs.1: Interrupt
                                                          notification enable0: Interrupt notification disable                 */
      __IO uint32_t  FPUDZE     :  1;               /*!< The setting of the interrupt notification when DZC (Division
                                                         by Zero cumulative) exception of the FPU occurs.1: Interrupt
                                                          notification enable0: Interrupt notification disable                 */
      __IO uint32_t  FPUOFE     :  1;               /*!< The setting of the interrupt notification when OFC (Overflow
                                                         cumulative) exception of the FPU occurs.1: Interrupt notification
                                                          enable0: Interrupt notification disable                              */
      __IO uint32_t  FPUUFE     :  1;               /*!< The setting of the interrupt notification when UFC (Underflow
                                                         cumulative) exception of the FPU occurs.1: Interrupt notification
                                                          enable0: Interrupt notification disable                              */
      __IO uint32_t  FPUIXE     :  1;               /*!< The setting of the interrupt notification when IXC (Inexact
                                                         cumulative) exception of the FPU occurs.1: Interrupt notification
                                                          enable0: Interrupt notification disable                              */
           uint32_t             :  2;
      __IO uint32_t  FPUIDE     :  1;               /*!< The setting of the interrupt notification when IDC (Input Denormal
                                                         cumulative) exception of the FPU occurs.1: Interrupt notification
                                                          enable0: Interrupt notification disable                              */
           uint32_t : 24; // padding
    } CPU_FPUIRQEN_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CPU_DEBUGIN;                     /*!< CPU_DEBUGIN                                                           */
    
    struct {
      __IO uint32_t  DEBUGIN    :  1;               /*!< The setting of the debugger connection detection1: Connection
                                                         detection enable0: Connection detection disable                       */
           uint32_t : 31; // padding
    } CPU_DEBUGIN_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[59];
  
  union {
    __IO uint32_t  IO_CFG_PA0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  PA01_ENPUD :  1;               /*!< PA01 IO cell ENPUD setting                                            */
      __IO uint32_t  PA01_PUD   :  1;               /*!< PA01 IO cell PUD setting                                              */
      __IO uint32_t  PA01_CTL1  :  1;               /*!< PA01 IO cell CTL1 setting                                             */
      __IO uint32_t  PA01_CTL2  :  1;               /*!< PA01 IO cell CTL2 setting                                             */
      __IO uint32_t  PA02_ENPUD :  1;               /*!< PA02 IO cell ENPUD setting                                            */
      __IO uint32_t  PA02_PUD   :  1;               /*!< PA02 IO cell PUD setting                                              */
      __IO uint32_t  PA02_CTL1  :  1;               /*!< PA02 IO cell CTL1 setting                                             */
      __IO uint32_t  PA02_CTL2  :  1;               /*!< PA02 IO cell CTL2 setting                                             */
      __IO uint32_t  PA03_ENPUD :  1;               /*!< PA03 IO cell ENPUD setting                                            */
      __IO uint32_t  PA03_PUD   :  1;               /*!< PA03 IO cell PUD setting                                              */
      __IO uint32_t  PA03_CTL1  :  1;               /*!< PA03 IO cell CTL1 setting                                             */
      __IO uint32_t  PA03_CTL2  :  1;               /*!< PA03 IO cell CTL2 setting                                             */
      __IO uint32_t  PA04_ENPUD :  1;               /*!< PA04 IO cell ENPUD setting                                            */
      __IO uint32_t  PA04_PUD   :  1;               /*!< PA04 IO cell PUD setting                                              */
      __IO uint32_t  PA04_CTL1  :  1;               /*!< PA04 IO cell CTL1 setting                                             */
      __IO uint32_t  PA04_CTL2  :  1;               /*!< PA04 IO cell CTL2 setting                                             */
      __IO uint32_t  PA05_ENPUD :  1;               /*!< PA05 IO cell ENPUD setting                                            */
      __IO uint32_t  PA05_PUD   :  1;               /*!< PA05 IO cell PUD setting                                              */
      __IO uint32_t  PA05_CTL1  :  1;               /*!< PA05 IO cell CTL1 setting                                             */
      __IO uint32_t  PA05_CTL2  :  1;               /*!< PA05 IO cell CTL2 setting                                             */
      __IO uint32_t  PA06_ENPUD :  1;               /*!< PA06 IO cell ENPUD setting                                            */
      __IO uint32_t  PA06_PUD   :  1;               /*!< PA06 IO cell PUD setting                                              */
      __IO uint32_t  PA06_CTL1  :  1;               /*!< PA06 IO cell CTL1 setting                                             */
      __IO uint32_t  PA06_CTL2  :  1;               /*!< PA06 IO cell CTL2 setting                                             */
      __IO uint32_t  PA07_ENPUD :  1;               /*!< PA07 IO cell ENPUD setting                                            */
      __IO uint32_t  PA07_PUD   :  1;               /*!< PA07 IO cell PUD setting                                              */
      __IO uint32_t  PA07_CTL1  :  1;               /*!< PA07 IO cell CTL1 setting                                             */
      __IO uint32_t  PA07_CTL2  :  1;               /*!< PA07 IO cell CTL2 setting                                             */
    } IO_CFG_PA0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PA1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PA08_ENPUD :  1;               /*!< PA08 IO cell ENPUD setting                                            */
      __IO uint32_t  PA08_PUD   :  1;               /*!< PA08 IO cell PUD setting                                              */
      __IO uint32_t  PA08_CTL1  :  1;               /*!< PA08 IO cell CTL1 setting                                             */
      __IO uint32_t  PA08_CTL2  :  1;               /*!< PA08 IO cell CTL2 setting                                             */
      __IO uint32_t  PA09_ENPUD :  1;               /*!< PA09 IO cell ENPUD setting                                            */
      __IO uint32_t  PA09_PUD   :  1;               /*!< PA09 IO cell PUD setting                                              */
      __IO uint32_t  PA09_CTL1  :  1;               /*!< PA09 IO cell CTL1 setting                                             */
      __IO uint32_t  PA09_CTL2  :  1;               /*!< PA09 IO cell CTL2 setting                                             */
      __IO uint32_t  PA10_ENPUD :  1;               /*!< PA10 IO cell ENPUD setting                                            */
      __IO uint32_t  PA10_PUD   :  1;               /*!< PA10 IO cell PUD setting                                              */
      __IO uint32_t  PA10_CTL1  :  1;               /*!< PA10 IO cell CTL1 setting                                             */
      __IO uint32_t  PA10_CTL2  :  1;               /*!< PA10 IO cell CTL2 setting                                             */
      __IO uint32_t  PA11_ENPUD :  1;               /*!< PA11 IO cell ENPUD setting                                            */
      __IO uint32_t  PA11_PUD   :  1;               /*!< PA11 IO cell PUD setting                                              */
      __IO uint32_t  PA11_CTL1  :  1;               /*!< PA11 IO cell CTL1 setting                                             */
      __IO uint32_t  PA11_CTL2  :  1;               /*!< PA11 IO cell CTL2 setting                                             */
      __IO uint32_t  PA12_ENPUD :  1;               /*!< PA12 IO cell ENPUD setting                                            */
      __IO uint32_t  PA12_PUD   :  1;               /*!< PA12 IO cell PUD setting                                              */
      __IO uint32_t  PA12_CTL1  :  1;               /*!< PA12 IO cell CTL1 setting                                             */
      __IO uint32_t  PA12_CTL2  :  1;               /*!< PA12 IO cell CTL2 setting                                             */
      __IO uint32_t  PA13_ENPUD :  1;               /*!< PA13 IO cell ENPUD setting                                            */
      __IO uint32_t  PA13_PUD   :  1;               /*!< PA13 IO cell PUD setting                                              */
      __IO uint32_t  PA13_CTL1  :  1;               /*!< PA13 IO cell CTL1 setting                                             */
      __IO uint32_t  PA13_CTL2  :  1;               /*!< PA13 IO cell CTL2 setting                                             */
      __IO uint32_t  PA14_ENPUD :  1;               /*!< PA14 IO cell ENPUD setting                                            */
      __IO uint32_t  PA14_PUD   :  1;               /*!< PA14 IO cell PUD setting                                              */
      __IO uint32_t  PA14_CTL1  :  1;               /*!< PA14 IO cell CTL1 setting                                             */
      __IO uint32_t  PA14_CTL2  :  1;               /*!< PA14 IO cell CTL2 setting                                             */
      __IO uint32_t  PA15_ENPUD :  1;               /*!< PA15 IO cell ENPUD setting                                            */
      __IO uint32_t  PA15_PUD   :  1;               /*!< PA15 IO cell PUD setting                                              */
      __IO uint32_t  PA15_CTL1  :  1;               /*!< PA15 IO cell CTL1 setting                                             */
      __IO uint32_t  PA15_CTL2  :  1;               /*!< PA15 IO cell CTL2 setting                                             */
    } IO_CFG_PA1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PA2;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PA16_ENPUD :  1;               /*!< PA16 IO cell ENPUD settingThe setting of this bit does not affect
                                                         the PA16 Pin.                                                         */
      __IO uint32_t  PA16_PUD   :  1;               /*!< PA16 IO cell PUD settingThe setting of this bit does not affect
                                                         the PA16 Pin.                                                         */
      __IO uint32_t  PA16_CTL1  :  1;               /*!< PA16 IO cell CTL1 settingThe setting of this bit does not affect
                                                         the PA16 Pin.                                                         */
      __IO uint32_t  PA16_CTL2  :  1;               /*!< PA16 IO cell CTL2 settingThe setting of this bit does not affect
                                                         the PA16 Pin.                                                         */
      __IO uint32_t  PA17_ENPUD :  1;               /*!< PA17 IO cell ENPUD setting                                            */
      __IO uint32_t  PA17_PUD   :  1;               /*!< PA17 IO cell PUD setting                                              */
      __IO uint32_t  PA17_CTL1  :  1;               /*!< PA17 IO cell CTL1 setting                                             */
      __IO uint32_t  PA17_CTL2  :  1;               /*!< PA17 IO cell CTL2 setting                                             */
      __IO uint32_t  PA18_ENPUD :  1;               /*!< PA18 IO cell ENPUD setting                                            */
      __IO uint32_t  PA18_PUD   :  1;               /*!< PA18 IO cell PUD setting                                              */
      __IO uint32_t  PA18_CTL1  :  1;               /*!< PA18 IO cell CTL1 setting                                             */
      __IO uint32_t  PA18_CTL2  :  1;               /*!< PA18 IO cell CTL2 setting                                             */
           uint32_t : 20; // padding
    } IO_CFG_PA2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PA3;                        /*!< IO_CFG_PA3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PB0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PB00_ENPUD :  1;               /*!< PB00 IO cell ENPUD setting                                            */
      __IO uint32_t  PB00_PUD   :  1;               /*!< PB00 IO cell PUD setting                                              */
      __IO uint32_t  PB00_CTL1  :  1;               /*!< PB00 IO cell CTL1 setting                                             */
      __IO uint32_t  PB00_CTL2  :  1;               /*!< PB00 IO cell CTL2 setting                                             */
      __IO uint32_t  PB01_ENPUD :  1;               /*!< PB01 IO cell ENPUD setting                                            */
      __IO uint32_t  PB01_PUD   :  1;               /*!< PB01 IO cell PUD setting                                              */
      __IO uint32_t  PB01_CTL1  :  1;               /*!< PB01 IO cell CTL1 setting                                             */
      __IO uint32_t  PB01_CTL2  :  1;               /*!< PB01 IO cell CTL2 setting                                             */
      __IO uint32_t  PB02_ENPUD :  1;               /*!< PB02 IO cell ENPUD setting                                            */
      __IO uint32_t  PB02_PUD   :  1;               /*!< PB02 IO cell PUD setting                                              */
      __IO uint32_t  PB02_CTL1  :  1;               /*!< PB02 IO cell CTL1 setting                                             */
      __IO uint32_t  PB02_CTL2  :  1;               /*!< PB02 IO cell CTL2 setting                                             */
      __IO uint32_t  PB03_ENPUD :  1;               /*!< PB03 IO cell ENPUD setting                                            */
      __IO uint32_t  PB03_PUD   :  1;               /*!< PB03 IO cell PUD setting                                              */
      __IO uint32_t  PB03_CTL1  :  1;               /*!< PB03 IO cell CTL1 setting                                             */
      __IO uint32_t  PB03_CTL2  :  1;               /*!< PB03 IO cell CTL2 setting                                             */
      __IO uint32_t  PB04_ENPUD :  1;               /*!< PB04 IO cell ENPUD setting                                            */
      __IO uint32_t  PB04_PUD   :  1;               /*!< PB04 IO cell PUD setting                                              */
      __IO uint32_t  PB04_CTL1  :  1;               /*!< PB04 IO cell CTL1 setting                                             */
      __IO uint32_t  PB04_CTL2  :  1;               /*!< PB04 IO cell CTL2 setting                                             */
      __IO uint32_t  PB05_ENPUD :  1;               /*!< PB05 IO cell ENPUD setting                                            */
      __IO uint32_t  PB05_PUD   :  1;               /*!< PB05 IO cell PUD setting                                              */
      __IO uint32_t  PB05_CTL1  :  1;               /*!< PB05 IO cell CTL1 setting                                             */
      __IO uint32_t  PB05_CTL2  :  1;               /*!< PB05 IO cell CTL2 setting                                             */
      __IO uint32_t  PB06_ENPUD :  1;               /*!< PB06 IO cell ENPUD setting                                            */
      __IO uint32_t  PB06_PUD   :  1;               /*!< PB06 IO cell PUD setting                                              */
      __IO uint32_t  PB06_CTL1  :  1;               /*!< PB06 IO cell CTL1 setting                                             */
      __IO uint32_t  PB06_CTL2  :  1;               /*!< PB06 IO cell CTL2 setting                                             */
      __IO uint32_t  PB07_ENPUD :  1;               /*!< PB07 IO cell ENPUD setting                                            */
      __IO uint32_t  PB07_PUD   :  1;               /*!< PB07 IO cell PUD setting                                              */
      __IO uint32_t  PB07_CTL1  :  1;               /*!< PB07 IO cell CTL1 setting                                             */
      __IO uint32_t  PB07_CTL2  :  1;               /*!< PB07 IO cell CTL2 setting                                             */
    } IO_CFG_PB0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PB1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PB08_ENPUD :  1;               /*!< PB08 IO cell ENPUD setting                                            */
      __IO uint32_t  PB08_PUD   :  1;               /*!< PB08 IO cell PUD setting                                              */
      __IO uint32_t  PB08_CTL1  :  1;               /*!< PB08 IO cell CTL1 setting                                             */
      __IO uint32_t  PB08_CTL2  :  1;               /*!< PB08 IO cell CTL2 setting                                             */
      __IO uint32_t  PB09_ENPUD :  1;               /*!< PB09 IO cell ENPUD setting                                            */
      __IO uint32_t  PB09_PUD   :  1;               /*!< PB09 IO cell PUD setting                                              */
      __IO uint32_t  PB09_CTL1  :  1;               /*!< PB09 IO cell CTL1 setting                                             */
      __IO uint32_t  PB09_CTL2  :  1;               /*!< PB09 IO cell CTL2 setting                                             */
      __IO uint32_t  PB10_ENPUD :  1;               /*!< PB10 IO cell ENPUD setting                                            */
      __IO uint32_t  PB10_PUD   :  1;               /*!< PB10 IO cell PUD setting                                              */
      __IO uint32_t  PB10_CTL1  :  1;               /*!< PB10 IO cell CTL1 setting                                             */
      __IO uint32_t  PB10_CTL2  :  1;               /*!< PB10 IO cell CTL2 setting                                             */
      __IO uint32_t  PB11_ENPUD :  1;               /*!< PB11 IO cell ENPUD setting                                            */
      __IO uint32_t  PB11_PUD   :  1;               /*!< PB11 IO cell PUD setting                                              */
      __IO uint32_t  PB11_CTL1  :  1;               /*!< PB11 IO cell CTL1 setting                                             */
      __IO uint32_t  PB11_CTL2  :  1;               /*!< PB11 IO cell CTL2 setting                                             */
      __IO uint32_t  PB12_ENPUD :  1;               /*!< PB12 IO cell ENPUD setting                                            */
      __IO uint32_t  PB12_PUD   :  1;               /*!< PB12 IO cell PUD setting                                              */
      __IO uint32_t  PB12_CTL1  :  1;               /*!< PB12 IO cell CTL1 setting                                             */
      __IO uint32_t  PB12_CTL2  :  1;               /*!< PB12 IO cell CTL2 setting                                             */
      __IO uint32_t  PB13_ENPUD :  1;               /*!< PB13 IO cell ENPUD setting                                            */
      __IO uint32_t  PB13_PUD   :  1;               /*!< PB13 IO cell PUD setting                                              */
      __IO uint32_t  PB13_CTL1  :  1;               /*!< PB13 IO cell CTL1 setting                                             */
      __IO uint32_t  PB13_CTL2  :  1;               /*!< PB13 IO cell CTL2 setting                                             */
      __IO uint32_t  PB14_ENPUD :  1;               /*!< PB14 IO cell ENPUD setting                                            */
      __IO uint32_t  PB14_PUD   :  1;               /*!< PB14 IO cell PUD setting                                              */
      __IO uint32_t  PB14_CTL1  :  1;               /*!< PB14 IO cell CTL1 setting                                             */
      __IO uint32_t  PB14_CTL2  :  1;               /*!< PB14 IO cell CTL2 setting                                             */
      __IO uint32_t  PB15_ENPUD :  1;               /*!< PB15 IO cell ENPUD setting                                            */
      __IO uint32_t  PB15_PUD   :  1;               /*!< PB15 IO cell PUD setting                                              */
      __IO uint32_t  PB15_CTL1  :  1;               /*!< PB15 IO cell CTL1 setting                                             */
      __IO uint32_t  PB15_CTL2  :  1;               /*!< PB15 IO cell CTL2 setting                                             */
    } IO_CFG_PB1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PB2;                        /*!< IO_CFG_PB2                                                            */
  __I  uint32_t  IO_CFG_PB3;                        /*!< IO_CFG_PB3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PC0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PC00_ENPUD :  1;               /*!< PC00 IO cell ENPUD setting                                            */
      __IO uint32_t  PC00_PUD   :  1;               /*!< PC00 IO cell PUD setting                                              */
      __IO uint32_t  PC00_CTL1  :  1;               /*!< PC00 IO cell CTL1 setting                                             */
      __IO uint32_t  PC00_CTL2  :  1;               /*!< PC00 IO cell CTL2 setting                                             */
      __IO uint32_t  PC01_ENPUD :  1;               /*!< PC01 IO cell ENPUD setting                                            */
      __IO uint32_t  PC01_PUD   :  1;               /*!< PC01 IO cell PUD setting                                              */
      __IO uint32_t  PC01_CTL1  :  1;               /*!< PC01 IO cell CTL1 setting                                             */
      __IO uint32_t  PC01_CTL2  :  1;               /*!< PC01 IO cell CTL2 setting                                             */
      __IO uint32_t  PC02_ENPUD :  1;               /*!< PC02 IO cell ENPUD setting                                            */
      __IO uint32_t  PC02_PUD   :  1;               /*!< PC02 IO cell PUD setting                                              */
      __IO uint32_t  PC02_CTL1  :  1;               /*!< PC02 IO cell CTL1 setting                                             */
      __IO uint32_t  PC02_CTL2  :  1;               /*!< PC02 IO cell CTL2 setting                                             */
      __IO uint32_t  PC03_ENPUD :  1;               /*!< PC03 IO cell ENPUD setting                                            */
      __IO uint32_t  PC03_PUD   :  1;               /*!< PC03 IO cell PUD setting                                              */
      __IO uint32_t  PC03_CTL1  :  1;               /*!< PC03 IO cell CTL1 setting                                             */
      __IO uint32_t  PC03_CTL2  :  1;               /*!< PC03 IO cell CTL2 setting                                             */
      __IO uint32_t  PC04_ENPUD :  1;               /*!< PC04 IO cell ENPUD setting                                            */
      __IO uint32_t  PC04_PUD   :  1;               /*!< PC04 IO cell PUD setting                                              */
      __IO uint32_t  PC04_CTL1  :  1;               /*!< PC04 IO cell CTL1 setting                                             */
      __IO uint32_t  PC04_CTL2  :  1;               /*!< PC04 IO cell CTL2 setting                                             */
      __IO uint32_t  PC05_ENPUD :  1;               /*!< PC05 IO cell ENPUD setting                                            */
      __IO uint32_t  PC05_PUD   :  1;               /*!< PC05 IO cell PUD setting                                              */
      __IO uint32_t  PC05_CTL1  :  1;               /*!< PC05 IO cell CTL1 setting                                             */
      __IO uint32_t  PC05_CTL2  :  1;               /*!< PC05 IO cell CTL2 setting                                             */
      __IO uint32_t  PC06_ENPUD :  1;               /*!< PC06 IO cell ENPUD setting                                            */
      __IO uint32_t  PC06_PUD   :  1;               /*!< PC06 IO cell PUD setting                                              */
      __IO uint32_t  PC06_CTL1  :  1;               /*!< PC06 IO cell CTL1 setting                                             */
      __IO uint32_t  PC06_CTL2  :  1;               /*!< PC06 IO cell CTL2 setting                                             */
      __IO uint32_t  PC07_ENPUD :  1;               /*!< PC07 IO cell ENPUD setting                                            */
      __IO uint32_t  PC07_PUD   :  1;               /*!< PC07 IO cell PUD setting                                              */
      __IO uint32_t  PC07_CTL1  :  1;               /*!< PC07 IO cell CTL1 setting                                             */
      __IO uint32_t  PC07_CTL2  :  1;               /*!< PC07 IO cell CTL2 setting                                             */
    } IO_CFG_PC0_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PC1;                        /*!< IO_CFG_PC1                                                            */
  __I  uint32_t  IO_CFG_PC2;                        /*!< IO_CFG_PC2                                                            */
  __I  uint32_t  IO_CFG_PC3;                        /*!< IO_CFG_PC3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PD0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PD00_ENPUD :  1;               /*!< PD00 IO cell ENPUD setting                                            */
      __IO uint32_t  PD00_PUD   :  1;               /*!< PD00 IO cell PUD setting                                              */
      __IO uint32_t  PD00_CTL1  :  1;               /*!< PD00 IO cell CTL1 setting                                             */
      __IO uint32_t  PD00_CTL2  :  1;               /*!< PD00 IO cell CTL2 setting                                             */
      __IO uint32_t  PD01_ENPUD :  1;               /*!< PD01 IO cell ENPUD setting                                            */
      __IO uint32_t  PD01_PUD   :  1;               /*!< PD01 IO cell PUD setting                                              */
      __IO uint32_t  PD01_CTL1  :  1;               /*!< PD01 IO cell CTL1 setting                                             */
      __IO uint32_t  PD01_CTL2  :  1;               /*!< PD01 IO cell CTL2 setting                                             */
      __IO uint32_t  PD02_ENPUD :  1;               /*!< PD02 IO cell ENPUD setting                                            */
      __IO uint32_t  PD02_PUD   :  1;               /*!< PD02 IO cell PUD setting                                              */
      __IO uint32_t  PD02_CTL1  :  1;               /*!< PD02 IO cell CTL1 setting                                             */
      __IO uint32_t  PD02_CTL2  :  1;               /*!< PD02 IO cell CTL2 setting                                             */
      __IO uint32_t  PD03_ENPUD :  1;               /*!< PD03 IO cell ENPUD setting                                            */
      __IO uint32_t  PD03_PUD   :  1;               /*!< PD03 IO cell PUD setting                                              */
      __IO uint32_t  PD03_CTL1  :  1;               /*!< PD03 IO cell CTL1 setting                                             */
      __IO uint32_t  PD03_CTL2  :  1;               /*!< PD03 IO cell CTL2 setting                                             */
      __IO uint32_t  PD04_ENPUD :  1;               /*!< PD04 IO cell ENPUD setting                                            */
      __IO uint32_t  PD04_PUD   :  1;               /*!< PD04 IO cell PUD setting                                              */
      __IO uint32_t  PD04_CTL1  :  1;               /*!< PD04 IO cell CTL1 setting                                             */
      __IO uint32_t  PD04_CTL2  :  1;               /*!< PD04 IO cell CTL2 setting                                             */
      __IO uint32_t  PD05_ENPUD :  1;               /*!< PD05 IO cell ENPUD setting                                            */
      __IO uint32_t  PD05_PUD   :  1;               /*!< PD05 IO cell PUD setting                                              */
      __IO uint32_t  PD05_CTL1  :  1;               /*!< PD05 IO cell CTL1 setting                                             */
      __IO uint32_t  PD05_CTL2  :  1;               /*!< PD05 IO cell CTL2 setting                                             */
      __IO uint32_t  PD06_ENPUD :  1;               /*!< PD06 IO cell ENPUD setting                                            */
      __IO uint32_t  PD06_PUD   :  1;               /*!< PD06 IO cell PUD setting                                              */
      __IO uint32_t  PD06_CTL1  :  1;               /*!< PD06 IO cell CTL1 setting                                             */
      __IO uint32_t  PD06_CTL2  :  1;               /*!< PD06 IO cell CTL2 setting                                             */
      __IO uint32_t  PD07_ENPUD :  1;               /*!< PD07 IO cell ENPUD setting                                            */
      __IO uint32_t  PD07_PUD   :  1;               /*!< PD07 IO cell PUD setting                                              */
      __IO uint32_t  PD07_CTL1  :  1;               /*!< PD07 IO cell CTL1 setting                                             */
      __IO uint32_t  PD07_CTL2  :  1;               /*!< PD07 IO cell CTL2 setting                                             */
    } IO_CFG_PD0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PD1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PD08_ENPUD :  1;               /*!< PD08 IO cell ENPUD setting                                            */
      __IO uint32_t  PD08_PUD   :  1;               /*!< PD08 IO cell PUD setting                                              */
      __IO uint32_t  PD08_CTL1  :  1;               /*!< PD08 IO cell CTL1 setting                                             */
      __IO uint32_t  PD08_CTL2  :  1;               /*!< PD08 IO cell CTL2 setting                                             */
      __IO uint32_t  PD09_ENPUD :  1;               /*!< PD09 IO cell ENPUD setting                                            */
      __IO uint32_t  PD09_PUD   :  1;               /*!< PD09 IO cell PUD setting                                              */
      __IO uint32_t  PD09_CTL1  :  1;               /*!< PD09 IO cell CTL1 setting                                             */
      __IO uint32_t  PD09_CTL2  :  1;               /*!< PD09 IO cell CTL2 setting                                             */
      __IO uint32_t  PD10_ENPUD :  1;               /*!< PD10 IO cell ENPUD setting                                            */
      __IO uint32_t  PD10_PUD   :  1;               /*!< PD10 IO cell PUD setting                                              */
      __IO uint32_t  PD10_CTL1  :  1;               /*!< PD10 IO cell CTL1 setting                                             */
      __IO uint32_t  PD10_CTL2  :  1;               /*!< PD10 IO cell CTL2 setting                                             */
      __IO uint32_t  PD11_ENPUD :  1;               /*!< PD11 IO cell ENPUD setting                                            */
      __IO uint32_t  PD11_PUD   :  1;               /*!< PD11 IO cell PUD setting                                              */
      __IO uint32_t  PD11_CTL1  :  1;               /*!< PD11 IO cell CTL1 setting                                             */
      __IO uint32_t  PD11_CTL2  :  1;               /*!< PD11 IO cell CTL2 setting                                             */
      __IO uint32_t  PD12_ENPUD :  1;               /*!< PD12 IO cell ENPUD setting                                            */
      __IO uint32_t  PD12_PUD   :  1;               /*!< PD12 IO cell PUD setting                                              */
      __IO uint32_t  PD12_CTL1  :  1;               /*!< PD12 IO cell CTL1 setting                                             */
      __IO uint32_t  PD12_CTL2  :  1;               /*!< PD12 IO cell CTL2 setting                                             */
      __IO uint32_t  PD13_ENPUD :  1;               /*!< PD13 IO cell ENPUD setting                                            */
      __IO uint32_t  PD13_PUD   :  1;               /*!< PD13 IO cell PUD setting                                              */
      __IO uint32_t  PD13_CTL1  :  1;               /*!< PD13 IO cell CTL1 setting                                             */
      __IO uint32_t  PD13_CTL2  :  1;               /*!< PD13 IO cell CTL2 setting                                             */
      __IO uint32_t  PD14_ENPUD :  1;               /*!< PD14 IO cell ENPUD setting                                            */
      __IO uint32_t  PD14_PUD   :  1;               /*!< PD14 IO cell PUD setting                                              */
      __IO uint32_t  PD14_CTL1  :  1;               /*!< PD14 IO cell CTL1 setting                                             */
      __IO uint32_t  PD14_CTL2  :  1;               /*!< PD14 IO cell CTL2 setting                                             */
      __IO uint32_t  PD15_ENPUD :  1;               /*!< PD15 IO cell ENPUD setting                                            */
      __IO uint32_t  PD15_PUD   :  1;               /*!< PD15 IO cell PUD setting                                              */
      __IO uint32_t  PD15_CTL1  :  1;               /*!< PD15 IO cell CTL1 setting                                             */
      __IO uint32_t  PD15_CTL2  :  1;               /*!< PD15 IO cell CTL2 setting                                             */
    } IO_CFG_PD1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PD2;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PD16_ENPUD :  1;               /*!< PD16 IO cell ENPUD setting                                            */
      __IO uint32_t  PD16_PUD   :  1;               /*!< PD16 IO cell PUD setting                                              */
      __IO uint32_t  PD16_CTL1  :  1;               /*!< PD16 IO cell CTL1 setting                                             */
      __IO uint32_t  PD16_CTL2  :  1;               /*!< PD16 IO cell CTL2 setting                                             */
      __IO uint32_t  PD17_ENPUD :  1;               /*!< PD17 IO cell ENPUD setting                                            */
      __IO uint32_t  PD17_PUD   :  1;               /*!< PD17 IO cell PUD setting                                              */
      __IO uint32_t  PD17_CTL1  :  1;               /*!< PD17 IO cell CTL1 setting                                             */
      __IO uint32_t  PD17_CTL2  :  1;               /*!< PD17 IO cell CTL2 setting                                             */
      __IO uint32_t  PD18_ENPUD :  1;               /*!< PD18 IO cell ENPUD setting                                            */
      __IO uint32_t  PD18_PUD   :  1;               /*!< PD18 IO cell PUD setting                                              */
      __IO uint32_t  PD18_CTL1  :  1;               /*!< PD18 IO cell CTL1 setting                                             */
      __IO uint32_t  PD18_CTL2  :  1;               /*!< PD18 IO cell CTL2 setting                                             */
      __IO uint32_t  PD19_ENPUD :  1;               /*!< PD19 IO cell ENPUD setting                                            */
      __IO uint32_t  PD19_PUD   :  1;               /*!< PD19 IO cell PUD setting                                              */
      __IO uint32_t  PD19_CTL1  :  1;               /*!< PD19 IO cell CTL1 setting                                             */
      __IO uint32_t  PD19_CTL2  :  1;               /*!< PD19 IO cell CTL2 setting                                             */
      __IO uint32_t  PD20_ENPUD :  1;               /*!< PD20 IO cell ENPUD setting                                            */
      __IO uint32_t  PD20_PUD   :  1;               /*!< PD20 IO cell PUD setting                                              */
      __IO uint32_t  PD20_CTL1  :  1;               /*!< PD20 IO cell CTL1 setting                                             */
      __IO uint32_t  PD20_CTL2  :  1;               /*!< PD20 IO cell CTL2 setting                                             */
           uint32_t : 12; // padding
    } IO_CFG_PD2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PD3;                        /*!< IO_CFG_PD3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PE0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PE00_ENPUD :  1;               /*!< PE00 IO cell ENPUD setting                                            */
      __IO uint32_t  PE00_PUD   :  1;               /*!< PE00 IO cell PUD setting                                              */
      __IO uint32_t  PE00_CTL1  :  1;               /*!< PE00 IO cell CTL1 setting                                             */
      __IO uint32_t  PE00_CTL2  :  1;               /*!< PE00 IO cell CTL2 setting                                             */
      __IO uint32_t  PE01_ENPUD :  1;               /*!< PE01 IO cell ENPUD setting                                            */
      __IO uint32_t  PE01_PUD   :  1;               /*!< PE01 IO cell PUD setting                                              */
      __IO uint32_t  PE01_CTL1  :  1;               /*!< PE01 IO cell CTL1 setting                                             */
      __IO uint32_t  PE01_CTL2  :  1;               /*!< PE01 IO cell CTL2 setting                                             */
      __IO uint32_t  PE02_ENPUD :  1;               /*!< PE02 IO cell ENPUD setting                                            */
      __IO uint32_t  PE02_PUD   :  1;               /*!< PE02 IO cell PUD setting                                              */
      __IO uint32_t  PE02_CTL1  :  1;               /*!< PE02 IO cell CTL1 setting                                             */
      __IO uint32_t  PE02_CTL2  :  1;               /*!< PE02 IO cell CTL2 setting                                             */
      __IO uint32_t  PE03_ENPUD :  1;               /*!< PE03 IO cell ENPUD setting                                            */
      __IO uint32_t  PE03_PUD   :  1;               /*!< PE03 IO cell PUD setting                                              */
      __IO uint32_t  PE03_CTL1  :  1;               /*!< PE03 IO cell CTL1 setting                                             */
      __IO uint32_t  PE03_CTL2  :  1;               /*!< PE03 IO cell CTL2 setting                                             */
      __IO uint32_t  PE04_ENPUD :  1;               /*!< PE04 IO cell ENPUD setting                                            */
      __IO uint32_t  PE04_PUD   :  1;               /*!< PE04 IO cell PUD setting                                              */
      __IO uint32_t  PE04_CTL1  :  1;               /*!< PE04 IO cell CTL1 setting                                             */
      __IO uint32_t  PE04_CTL2  :  1;               /*!< PE04 IO cell CTL2 setting                                             */
      __IO uint32_t  PE05_ENPUD :  1;               /*!< PE05 IO cell ENPUD setting                                            */
      __IO uint32_t  PE05_PUD   :  1;               /*!< PE05 IO cell PUD setting                                              */
      __IO uint32_t  PE05_CTL1  :  1;               /*!< PE05 IO cell CTL1 setting                                             */
      __IO uint32_t  PE05_CTL2  :  1;               /*!< PE05 IO cell CTL2 setting                                             */
      __IO uint32_t  PE06_ENPUD :  1;               /*!< PE06 IO cell ENPUD setting                                            */
      __IO uint32_t  PE06_PUD   :  1;               /*!< PE06 IO cell PUD setting                                              */
      __IO uint32_t  PE06_CTL1  :  1;               /*!< PE06 IO cell CTL1 setting                                             */
      __IO uint32_t  PE06_CTL2  :  1;               /*!< PE06 IO cell CTL2 setting                                             */
      __IO uint32_t  PE07_ENPUD :  1;               /*!< PE07 IO cell ENPUD setting                                            */
      __IO uint32_t  PE07_PUD   :  1;               /*!< PE07 IO cell PUD setting                                              */
      __IO uint32_t  PE07_CTL1  :  1;               /*!< PE07 IO cell CTL1 setting                                             */
      __IO uint32_t  PE07_CTL2  :  1;               /*!< PE07 IO cell CTL2 setting                                             */
    } IO_CFG_PE0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PE1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PE08_ENPUD :  1;               /*!< PE08 IO cell ENPUD setting                                            */
      __IO uint32_t  PE08_PUD   :  1;               /*!< PE08 IO cell PUD setting                                              */
      __IO uint32_t  PE08_CTL1  :  1;               /*!< PE08 IO cell CTL1 setting                                             */
      __IO uint32_t  PE08_CTL2  :  1;               /*!< PE08 IO cell CTL2 setting                                             */
      __IO uint32_t  PE09_ENPUD :  1;               /*!< PE09 IO cell ENPUD setting                                            */
      __IO uint32_t  PE09_PUD   :  1;               /*!< PE09 IO cell PUD setting                                              */
      __IO uint32_t  PE09_CTL1  :  1;               /*!< PE09 IO cell CTL1 setting                                             */
      __IO uint32_t  PE09_CTL2  :  1;               /*!< PE09 IO cell CTL2 setting                                             */
      __IO uint32_t  PE10_ENPUD :  1;               /*!< PE10 IO cell ENPUD setting                                            */
      __IO uint32_t  PE10_PUD   :  1;               /*!< PE10 IO cell PUD setting                                              */
      __IO uint32_t  PE10_CTL1  :  1;               /*!< PE10 IO cell CTL1 setting                                             */
      __IO uint32_t  PE10_CTL2  :  1;               /*!< PE10 IO cell CTL2 setting                                             */
      __IO uint32_t  PE11_ENPUD :  1;               /*!< PE11 IO cell ENPUD setting                                            */
      __IO uint32_t  PE11_PUD   :  1;               /*!< PE11 IO cell PUD setting                                              */
      __IO uint32_t  PE11_CTL1  :  1;               /*!< PE11 IO cell CTL1 setting                                             */
      __IO uint32_t  PE11_CTL2  :  1;               /*!< PE11 IO cell CTL2 setting                                             */
      __IO uint32_t  PE12_ENPUD :  1;               /*!< PE12 IO cell ENPUD setting                                            */
      __IO uint32_t  PE12_PUD   :  1;               /*!< PE12 IO cell PUD setting                                              */
      __IO uint32_t  PE12_CTL1  :  1;               /*!< PE12 IO cell CTL1 setting                                             */
      __IO uint32_t  PE12_CTL2  :  1;               /*!< PE12 IO cell CTL2 setting                                             */
      __IO uint32_t  PE13_ENPUD :  1;               /*!< PE13 IO cell ENPUD setting                                            */
      __IO uint32_t  PE13_PUD   :  1;               /*!< PE13 IO cell PUD setting                                              */
      __IO uint32_t  PE13_CTL1  :  1;               /*!< PE13 IO cell CTL1 setting                                             */
      __IO uint32_t  PE13_CTL2  :  1;               /*!< PE13 IO cell CTL2 setting                                             */
      __IO uint32_t  PE14_ENPUD :  1;               /*!< PE14 IO cell ENPUD setting                                            */
      __IO uint32_t  PE14_PUD   :  1;               /*!< PE14 IO cell PUD setting                                              */
      __IO uint32_t  PE14_CTL1  :  1;               /*!< PE14 IO cell CTL1 setting                                             */
      __IO uint32_t  PE14_CTL2  :  1;               /*!< PE14 IO cell CTL2 setting                                             */
      __IO uint32_t  PE15_ENPUD :  1;               /*!< PE15 IO cell ENPUD setting                                            */
      __IO uint32_t  PE15_PUD   :  1;               /*!< PE15 IO cell PUD setting                                              */
      __IO uint32_t  PE15_CTL1  :  1;               /*!< PE15 IO cell CTL1 setting                                             */
      __IO uint32_t  PE15_CTL2  :  1;               /*!< PE15 IO cell CTL2 setting                                             */
    } IO_CFG_PE1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PE2;                        /*!< IO_CFG_PE2                                                            */
  __I  uint32_t  IO_CFG_PE3;                        /*!< IO_CFG_PE3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PF0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PF00_ENPUD :  1;               /*!< PF00 IO cell ENPUD setting                                            */
      __IO uint32_t  PF00_PUD   :  1;               /*!< PF00 IO cell PUD setting                                              */
      __IO uint32_t  PF00_CTL1  :  1;               /*!< PF00 IO cell CTL1 setting                                             */
      __IO uint32_t  PF00_CTL2  :  1;               /*!< PF00 IO cell CTL2 setting                                             */
      __IO uint32_t  PF01_ENPUD :  1;               /*!< PF01 IO cell ENPUD setting                                            */
      __IO uint32_t  PF01_PUD   :  1;               /*!< PF01 IO cell PUD setting                                              */
      __IO uint32_t  PF01_CTL1  :  1;               /*!< PF01 IO cell CTL1 setting                                             */
      __IO uint32_t  PF01_CTL2  :  1;               /*!< PF01 IO cell CTL2 setting                                             */
      __IO uint32_t  PF02_ENPUD :  1;               /*!< PF02 IO cell ENPUD setting                                            */
      __IO uint32_t  PF02_PUD   :  1;               /*!< PF02 IO cell PUD setting                                              */
      __IO uint32_t  PF02_CTL1  :  1;               /*!< PF02 IO cell CTL1 setting                                             */
      __IO uint32_t  PF02_CTL2  :  1;               /*!< PF02 IO cell CTL2 setting                                             */
      __IO uint32_t  PF03_ENPUD :  1;               /*!< PF03 IO cell ENPUD setting                                            */
      __IO uint32_t  PF03_PUD   :  1;               /*!< PF03 IO cell PUD setting                                              */
      __IO uint32_t  PF03_CTL1  :  1;               /*!< PF03 IO cell CTL1 setting                                             */
      __IO uint32_t  PF03_CTL2  :  1;               /*!< PF03 IO cell CTL2 setting                                             */
      __IO uint32_t  PF04_ENPUD :  1;               /*!< PF04 IO cell ENPUD setting                                            */
      __IO uint32_t  PF04_PUD   :  1;               /*!< PF04 IO cell PUD setting                                              */
      __IO uint32_t  PF04_CTL1  :  1;               /*!< PF04 IO cell CTL1 setting                                             */
      __IO uint32_t  PF04_CTL2  :  1;               /*!< PF04 IO cell CTL2 setting                                             */
      __IO uint32_t  PF05_ENPUD :  1;               /*!< PF05 IO cell ENPUD setting                                            */
      __IO uint32_t  PF05_PUD   :  1;               /*!< PF05 IO cell PUD setting                                              */
      __IO uint32_t  PF05_CTL1  :  1;               /*!< PF05 IO cell CTL1 setting                                             */
      __IO uint32_t  PF05_CTL2  :  1;               /*!< PF05 IO cell CTL2 setting                                             */
      __IO uint32_t  PF06_ENPUD :  1;               /*!< PF06 IO cell ENPUD setting                                            */
      __IO uint32_t  PF06_PUD   :  1;               /*!< PF06 IO cell PUD setting                                              */
      __IO uint32_t  PF06_CTL1  :  1;               /*!< PF06 IO cell CTL1 setting                                             */
      __IO uint32_t  PF06_CTL2  :  1;               /*!< PF06 IO cell CTL2 setting                                             */
      __IO uint32_t  PF07_ENPUD :  1;               /*!< PF07 IO cell ENPUD setting                                            */
      __IO uint32_t  PF07_PUD   :  1;               /*!< PF07 IO cell PUD setting                                              */
      __IO uint32_t  PF07_CTL1  :  1;               /*!< PF07 IO cell CTL1 setting                                             */
      __IO uint32_t  PF07_CTL2  :  1;               /*!< PF07 IO cell CTL2 setting                                             */
    } IO_CFG_PF0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PF1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PF08_ENPUD :  1;               /*!< PF08 IO cell ENPUD setting                                            */
      __IO uint32_t  PF08_PUD   :  1;               /*!< PF08 IO cell PUD setting                                              */
      __IO uint32_t  PF08_CTL1  :  1;               /*!< PF08 IO cell CTL1 setting                                             */
      __IO uint32_t  PF08_CTL2  :  1;               /*!< PF08 IO cell CTL2 setting                                             */
      __IO uint32_t  PF09_ENPUD :  1;               /*!< PF09 IO cell ENPUD setting                                            */
      __IO uint32_t  PF09_PUD   :  1;               /*!< PF09 IO cell PUD setting                                              */
      __IO uint32_t  PF09_CTL1  :  1;               /*!< PF09 IO cell CTL1 setting                                             */
      __IO uint32_t  PF09_CTL2  :  1;               /*!< PF09 IO cell CTL2 setting                                             */
      __IO uint32_t  PF10_ENPUD :  1;               /*!< PF10 IO cell ENPUD setting                                            */
      __IO uint32_t  PF10_PUD   :  1;               /*!< PF10 IO cell PUD setting                                              */
      __IO uint32_t  PF10_CTL1  :  1;               /*!< PF10 IO cell CTL1 setting                                             */
      __IO uint32_t  PF10_CTL2  :  1;               /*!< PF10 IO cell CTL2 setting                                             */
      __IO uint32_t  PF11_ENPUD :  1;               /*!< PF11 IO cell ENPUD setting                                            */
      __IO uint32_t  PF11_PUD   :  1;               /*!< PF11 IO cell PUD setting                                              */
      __IO uint32_t  PF11_CTL1  :  1;               /*!< PF11 IO cell CTL1 setting                                             */
      __IO uint32_t  PF11_CTL2  :  1;               /*!< PF11 IO cell CTL2 setting                                             */
      __IO uint32_t  PF12_ENPUD :  1;               /*!< PF12 IO cell ENPUD setting                                            */
      __IO uint32_t  PF12_PUD   :  1;               /*!< PF12 IO cell PUD setting                                              */
      __IO uint32_t  PF12_CTL1  :  1;               /*!< PF12 IO cell CTL1 setting                                             */
      __IO uint32_t  PF12_CTL2  :  1;               /*!< PF12 IO cell CTL2 setting                                             */
      __IO uint32_t  PF13_ENPUD :  1;               /*!< PF13 IO cell ENPUD setting                                            */
      __IO uint32_t  PF13_PUD   :  1;               /*!< PF13 IO cell PUD setting                                              */
      __IO uint32_t  PF13_CTL1  :  1;               /*!< PF13 IO cell CTL1 setting                                             */
      __IO uint32_t  PF13_CTL2  :  1;               /*!< PF13 IO cell CTL2 setting                                             */
      __IO uint32_t  PF14_ENPUD :  1;               /*!< PF14 IO cell ENPUD setting                                            */
      __IO uint32_t  PF14_PUD   :  1;               /*!< PF14 IO cell PUD setting                                              */
      __IO uint32_t  PF14_CTL1  :  1;               /*!< PF14 IO cell CTL1 setting                                             */
      __IO uint32_t  PF14_CTL2  :  1;               /*!< PF14 IO cell CTL2 setting                                             */
      __IO uint32_t  PF15_ENPUD :  1;               /*!< PF15 IO cell ENPUD setting                                            */
      __IO uint32_t  PF15_PUD   :  1;               /*!< PF15 IO cell PUD setting                                              */
      __IO uint32_t  PF15_CTL1  :  1;               /*!< PF15 IO cell CTL1 setting                                             */
      __IO uint32_t  PF15_CTL2  :  1;               /*!< PF15 IO cell CTL2 setting                                             */
    } IO_CFG_PF1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PF2;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PF16_ENPUD :  1;               /*!< PF16 IO cell ENPUD setting                                            */
      __IO uint32_t  PF16_PUD   :  1;               /*!< PF16 IO cell PUD setting                                              */
      __IO uint32_t  PF16_CTL1  :  1;               /*!< PF16 IO cell CTL1 setting                                             */
      __IO uint32_t  PF16_CTL2  :  1;               /*!< PF16 IO cell CTL2 setting                                             */
           uint32_t : 28; // padding
    } IO_CFG_PF2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PF3;                        /*!< IO_CFG_PF3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PG0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PG00_ENPUD :  1;               /*!< PG00 IO cell ENPUD setting                                            */
      __IO uint32_t  PG00_PUD   :  1;               /*!< PG00 IO cell PUD setting                                              */
      __IO uint32_t  PG00_CTL1  :  1;               /*!< PG00 IO cell CTL1 setting                                             */
      __IO uint32_t  PG00_CTL2  :  1;               /*!< PG00 IO cell CTL2 setting                                             */
      __IO uint32_t  PG01_ENPUD :  1;               /*!< PG01 IO cell ENPUD setting                                            */
      __IO uint32_t  PG01_PUD   :  1;               /*!< PG01 IO cell PUD setting                                              */
      __IO uint32_t  PG01_CTL1  :  1;               /*!< PG01 IO cell CTL1 setting                                             */
      __IO uint32_t  PG01_CTL2  :  1;               /*!< PG01 IO cell CTL2 setting                                             */
      __IO uint32_t  PG02_ENPUD :  1;               /*!< PG02 IO cell ENPUD setting                                            */
      __IO uint32_t  PG02_PUD   :  1;               /*!< PG02 IO cell PUD setting                                              */
      __IO uint32_t  PG02_CTL1  :  1;               /*!< PG02 IO cell CTL1 setting                                             */
      __IO uint32_t  PG02_CTL2  :  1;               /*!< PG02 IO cell CTL2 setting                                             */
      __IO uint32_t  PG03_ENPUD :  1;               /*!< PG03 IO cell ENPUD setting                                            */
      __IO uint32_t  PG03_PUD   :  1;               /*!< PG03 IO cell PUD setting                                              */
      __IO uint32_t  PG03_CTL1  :  1;               /*!< PG03 IO cell CTL1 setting                                             */
      __IO uint32_t  PG03_CTL2  :  1;               /*!< PG03 IO cell CTL2 setting                                             */
           uint32_t : 16; // padding
    } IO_CFG_PG0_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PG1;                        /*!< IO_CFG_PG1                                                            */
  __I  uint32_t  IO_CFG_PG2;                        /*!< IO_CFG_PG2                                                            */
  __I  uint32_t  IO_CFG_PG3;                        /*!< IO_CFG_PG3                                                            */
  
  union {
    __IO uint32_t  IO_CFG_PH0;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PH00_ENPUD :  1;               /*!< PH00 IO cell ENPUD setting                                            */
      __IO uint32_t  PH00_PUD   :  1;               /*!< PH00 IO cell PUD setting                                              */
      __IO uint32_t  PH00_CTL1  :  1;               /*!< PH00 IO cell CTL1 setting                                             */
      __IO uint32_t  PH00_CTL2  :  1;               /*!< PH00 IO cell CTL2 setting                                             */
      __IO uint32_t  PH01_ENPUD :  1;               /*!< PH01 IO cell ENPUD setting                                            */
      __IO uint32_t  PH01_PUD   :  1;               /*!< PH01 IO cell PUD setting                                              */
      __IO uint32_t  PH01_CTL1  :  1;               /*!< PH01 IO cell CTL1 setting                                             */
      __IO uint32_t  PH01_CTL2  :  1;               /*!< PH01 IO cell CTL2 setting                                             */
      __IO uint32_t  PH02_ENPUD :  1;               /*!< PH02 IO cell ENPUD settingWhen [FMODE_CFG_PH0].PH02_FMODE =
                                                         3 (EM1_DAT0), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH02_PUD   :  1;               /*!< PH02 IO cell PUD settingWhen [FMODE_CFG_PH0].PH02_FMODE = 3
                                                         (EM1_DAT0), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH02_CTL1  :  1;               /*!< PH02 IO cell CTL1 setting                                             */
      __IO uint32_t  PH02_CTL2  :  1;               /*!< PH02 IO cell CTL2 setting                                             */
      __IO uint32_t  PH03_ENPUD :  1;               /*!< PH03 IO cell ENPUD settingWhen [FMODE_CFG_PH0].PH03_FMODE =
                                                         3 (EM1_DAT1), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH03_PUD   :  1;               /*!< PH03 IO cell PUD settingWhen [FMODE_CFG_PH0].PH03_FMODE = 3
                                                         (EM1_DAT1), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH03_CTL1  :  1;               /*!< PH03 IO cell CTL1 setting                                             */
      __IO uint32_t  PH03_CTL2  :  1;               /*!< PH03 IO cell CTL2 setting                                             */
      __IO uint32_t  PH04_ENPUD :  1;               /*!< PH04 IO cell ENPUD settingWhen [FMODE_CFG_PH0].PH04_FMODE =
                                                         3 (EM1_DAT2), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH04_PUD   :  1;               /*!< PH04 IO cell PUD settingWhen [FMODE_CFG_PH0].PH04_FMODE = 3
                                                         (EM1_DAT2), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH04_CTL1  :  1;               /*!< PH04 IO cell CTL1 setting                                             */
      __IO uint32_t  PH04_CTL2  :  1;               /*!< PH04 IO cell CTL2 setting                                             */
      __IO uint32_t  PH05_ENPUD :  1;               /*!< PH05 IO cell ENPUD settingWhen [FMODE_CFG_PH0].PH05_FMODE =
                                                         3 (EM1_DAT3), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH05_PUD   :  1;               /*!< PH05 IO cell PUD settingWhen [FMODE_CFG_PH0].PH05_FMODE = 3
                                                         (EM1_DAT3), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH05_CTL1  :  1;               /*!< PH05 IO cell CTL1 setting                                             */
      __IO uint32_t  PH05_CTL2  :  1;               /*!< PH05 IO cell CTL2 setting                                             */
      __IO uint32_t  PH06_ENPUD :  1;               /*!< PH06 IO cell ENPUD settingWhen [FMODE_CFG_PH0].PH06_FMODE =
                                                         3 (EM1_CMD), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC1_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH06_PUD   :  1;               /*!< PH06 IO cell PUD settingWhen [FMODE_CFG_PH0].PH06_FMODE = 3
                                                         (EM1_CMD), the setting of this bit is ignored, and Pull-up is
                                                          controlled by EMMC1_CONF.[IO_CTRL].PU.                               */
      __IO uint32_t  PH06_CTL1  :  1;               /*!< PH06 IO cell CTL1 setting                                             */
      __IO uint32_t  PH06_CTL2  :  1;               /*!< PH06 IO cell CTL2 setting                                             */
      __IO uint32_t  PH07_ENPUD :  1;               /*!< PH07 IO cell ENPUD setting                                            */
      __IO uint32_t  PH07_PUD   :  1;               /*!< PH07 IO cell PUD setting                                              */
      __IO uint32_t  PH07_CTL1  :  1;               /*!< PH07 IO cell CTL1 setting                                             */
      __IO uint32_t  PH07_CTL2  :  1;               /*!< PH07 IO cell CTL2 setting                                             */
    } IO_CFG_PH0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PH1;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PH08_ENPUD :  1;               /*!< PH08 IO cell ENPUD setting                                            */
      __IO uint32_t  PH08_PUD   :  1;               /*!< PH08 IO cell PUD setting                                              */
      __IO uint32_t  PH08_CTL1  :  1;               /*!< PH08 IO cell CTL1 setting                                             */
      __IO uint32_t  PH08_CTL2  :  1;               /*!< PH08 IO cell CTL2 setting                                             */
      __IO uint32_t  PH09_ENPUD :  1;               /*!< PH09 IO cell ENPUD setting                                            */
      __IO uint32_t  PH09_PUD   :  1;               /*!< PH09 IO cell PUD setting                                              */
      __IO uint32_t  PH09_CTL1  :  1;               /*!< PH09 IO cell CTL1 setting                                             */
      __IO uint32_t  PH09_CTL2  :  1;               /*!< PH09 IO cell CTL2 setting                                             */
      __IO uint32_t  PH10_ENPUD :  1;               /*!< PH10 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH10_FMODE =
                                                         2 (EM0_CMD), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH10_PUD   :  1;               /*!< PH10 IO cell PUD settingWhen [FMODE_CFG_PH1].PH10_FMODE = 2
                                                         (EM0_CMD), the setting of this bit is ignored, and Pull-up is
                                                          controlled by EMMC0_CONF.[IO_CTRL].PU.                               */
      __IO uint32_t  PH10_CTL1  :  1;               /*!< PH10 IO cell CTL1 setting                                             */
      __IO uint32_t  PH10_CTL2  :  1;               /*!< PH10 IO cell CTL2 setting                                             */
      __IO uint32_t  PH11_ENPUD :  1;               /*!< PH11 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH11_FMODE =
                                                         2 (EM0_DAT0), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH11_PUD   :  1;               /*!< PH11 IO cell PUD settingWhen [FMODE_CFG_PH1].PH11_FMODE = 2
                                                         (EM0_DAT0), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH11_CTL1  :  1;               /*!< PH11 IO cell CTL1 setting                                             */
      __IO uint32_t  PH11_CTL2  :  1;               /*!< PH11 IO cell CTL2 setting                                             */
      __IO uint32_t  PH12_ENPUD :  1;               /*!< PH12 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH12_FMODE =
                                                         2 (EM0_DAT1), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH12_PUD   :  1;               /*!< PH12 IO cell PUD settingWhen [FMODE_CFG_PH1].PH12_FMODE = 2
                                                         (EM0_DAT1), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH12_CTL1  :  1;               /*!< PH12 IO cell CTL1 setting                                             */
      __IO uint32_t  PH12_CTL2  :  1;               /*!< PH12 IO cell CTL2 setting                                             */
      __IO uint32_t  PH13_ENPUD :  1;               /*!< PH13 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH13_FMODE =
                                                         2 (EM0_DAT2), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH13_PUD   :  1;               /*!< PH13 IO cell PUD settingWhen [FMODE_CFG_PH1].PH13_FMODE = 2
                                                         (EM0_DAT2), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH13_CTL1  :  1;               /*!< PH13 IO cell CTL1 setting                                             */
      __IO uint32_t  PH13_CTL2  :  1;               /*!< PH13 IO cell CTL2 setting                                             */
      __IO uint32_t  PH14_ENPUD :  1;               /*!< PH14 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH14_FMODE =
                                                         2 (EM0_DAT3), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH14_PUD   :  1;               /*!< PH14 IO cell PUD settingWhen [FMODE_CFG_PH1].PH14_FMODE = 2
                                                         (EM0_DAT3), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH14_CTL1  :  1;               /*!< PH14 IO cell CTL1 setting                                             */
      __IO uint32_t  PH14_CTL2  :  1;               /*!< PH14 IO cell CTL2 setting                                             */
      __IO uint32_t  PH15_ENPUD :  1;               /*!< PH15 IO cell ENPUD settingWhen [FMODE_CFG_PH1].PH15_FMODE =
                                                         2 (EM0_DAT4), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH15_PUD   :  1;               /*!< PH15 IO cell PUD settingWhen [FMODE_CFG_PH1].PH15_FMODE = 2
                                                         (EM0_DAT4), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH15_CTL1  :  1;               /*!< PH15 IO cell CTL1 setting                                             */
      __IO uint32_t  PH15_CTL2  :  1;               /*!< PH15 IO cell CTL2 setting                                             */
    } IO_CFG_PH1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CFG_PH2;                      /*!< Drive Strength Control (CTL2, CTL1) = 0x0 (2 mA), 0x1 (4 mA),
                                                         0x2 (6 mA), 0x3 (8 mA) (at 3.3V)Pull Up/Down Control (PUD, ENPUD)
                                                          = 0x0 (Pull-Down On), 0x2 (Pull-Up On), 0x1 or 0x3 (Pull-Up/Down
                                                          Off)                                                                 */
    
    struct {
      __IO uint32_t  PH16_ENPUD :  1;               /*!< PH16 IO cell ENPUD settingWhen [FMODE_CFG_PH2].PH16_FMODE =
                                                         2 (EM0_DAT5), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH16_PUD   :  1;               /*!< PH16 IO cell PUD settingWhen [FMODE_CFG_PH2].PH16_FMODE = 2
                                                         (EM0_DAT5), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH16_CTL1  :  1;               /*!< PH16 IO cell CTL1 setting                                             */
      __IO uint32_t  PH16_CTL2  :  1;               /*!< PH16 IO cell CTL2 setting                                             */
      __IO uint32_t  PH17_ENPUD :  1;               /*!< PH17 IO cell ENPUD settingWhen [FMODE_CFG_PH2].PH17_FMODE =
                                                         2 (EM0_DAT6), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH17_PUD   :  1;               /*!< PH17 IO cell PUD settingWhen [FMODE_CFG_PH2].PH17_FMODE = 2
                                                         (EM0_DAT6), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH17_CTL1  :  1;               /*!< PH17 IO cell CTL1 setting                                             */
      __IO uint32_t  PH17_CTL2  :  1;               /*!< PH17 IO cell CTL2 setting                                             */
      __IO uint32_t  PH18_ENPUD :  1;               /*!< PH18 IO cell ENPUD settingWhen [FMODE_CFG_PH2].PH18_FMODE =
                                                         2 (EM0_DAT7), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH18_PUD   :  1;               /*!< PH18 IO cell PUD settingWhen [FMODE_CFG_PH2].PH18_FMODE = 2
                                                         (EM0_DAT7), the setting of this bit is ignored, and Pull-up
                                                          is controlled by EMMC0_CONF.[IO_CTRL].PU.                            */
      __IO uint32_t  PH18_CTL1  :  1;               /*!< PH18 IO cell CTL1 setting                                             */
      __IO uint32_t  PH18_CTL2  :  1;               /*!< PH18 IO cell CTL2 setting                                             */
           uint32_t : 20; // padding
    } IO_CFG_PH2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_CFG_PH3;                        /*!< IO_CFG_PH3                                                            */
  __I  uint32_t  RESERVED1[32];
  
  union {
    __IO uint32_t  FMODE_CFG_PA0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PA00_FMODE :  3;               /*!< PA00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA01_FMODE :  3;               /*!< PA01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA02_FMODE :  3;               /*!< PA02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA03_FMODE :  3;               /*!< PA03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA04_FMODE :  3;               /*!< PA04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA05_FMODE :  3;               /*!< PA05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA06_FMODE :  3;               /*!< PA06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA07_FMODE :  3;               /*!< PA07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PA0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PA1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PA08_FMODE :  3;               /*!< PA08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA09_FMODE :  3;               /*!< PA09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA10_FMODE :  3;               /*!< PA10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA11_FMODE :  3;               /*!< PA11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA12_FMODE :  3;               /*!< PA12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA13_FMODE :  3;               /*!< PA13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA14_FMODE :  3;               /*!< PA14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA15_FMODE :  3;               /*!< PA15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PA1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PA2;                   /*!< FMODE_CFG_PA2                                                         */
    
    struct {
      __IO uint32_t  PA16_FMODE :  3;               /*!< PA16 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA17_FMODE :  3;               /*!< PA17 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PA18_FMODE :  3;               /*!< PA18 Function Mode setting                                            */
           uint32_t : 21; // padding
    } FMODE_CFG_PA2_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PA3;                     /*!< FMODE_CFG_PA3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PB0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PB00_FMODE :  3;               /*!< PB00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB01_FMODE :  3;               /*!< PB01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB02_FMODE :  3;               /*!< PB02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB03_FMODE :  3;               /*!< PB03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB04_FMODE :  3;               /*!< PB04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB05_FMODE :  3;               /*!< PB05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB06_FMODE :  3;               /*!< PB06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB07_FMODE :  3;               /*!< PB07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PB0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PB1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PB08_FMODE :  3;               /*!< PB08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB09_FMODE :  3;               /*!< PB09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB10_FMODE :  3;               /*!< PB10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB11_FMODE :  3;               /*!< PB11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB12_FMODE :  3;               /*!< PB12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB13_FMODE :  3;               /*!< PB13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB14_FMODE :  3;               /*!< PB14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PB15_FMODE :  3;               /*!< PB15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PB1_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PB2;                     /*!< FMODE_CFG_PB2                                                         */
  __I  uint32_t  FMODE_CFG_PB3;                     /*!< FMODE_CFG_PB3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PC0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PC00_FMODE :  3;               /*!< PC00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC01_FMODE :  3;               /*!< PC01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC02_FMODE :  3;               /*!< PC02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC03_FMODE :  3;               /*!< PC03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC04_FMODE :  3;               /*!< PC04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC05_FMODE :  3;               /*!< PC05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC06_FMODE :  3;               /*!< PC06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PC07_FMODE :  3;               /*!< PC07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PC0_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PC1;                     /*!< FMODE_CFG_PC1                                                         */
  __I  uint32_t  FMODE_CFG_PC2;                     /*!< FMODE_CFG_PC2                                                         */
  __I  uint32_t  FMODE_CFG_PC3;                     /*!< FMODE_CFG_PC3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PD0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PD00_FMODE :  3;               /*!< PD00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD01_FMODE :  3;               /*!< PD01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD02_FMODE :  3;               /*!< PD02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD03_FMODE :  3;               /*!< PD03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD04_FMODE :  3;               /*!< PD04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD05_FMODE :  3;               /*!< PD05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD06_FMODE :  3;               /*!< PD06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD07_FMODE :  3;               /*!< PD07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PD0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PD1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PD08_FMODE :  3;               /*!< PD08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD09_FMODE :  3;               /*!< PD09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD10_FMODE :  3;               /*!< PD10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD11_FMODE :  3;               /*!< PD11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD12_FMODE :  3;               /*!< PD12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD13_FMODE :  3;               /*!< PD13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD14_FMODE :  3;               /*!< PD14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD15_FMODE :  3;               /*!< PD15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PD1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PD2;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PD16_FMODE :  3;               /*!< PD16 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD17_FMODE :  3;               /*!< PD17 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD18_FMODE :  3;               /*!< PD18 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD19_FMODE :  3;               /*!< PD19 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PD20_FMODE :  3;               /*!< PD20 Function Mode setting                                            */
           uint32_t : 13; // padding
    } FMODE_CFG_PD2_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PD3;                     /*!< FMODE_CFG_PD3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PE0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PE00_FMODE :  3;               /*!< PE00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE01_FMODE :  3;               /*!< PE01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE02_FMODE :  3;               /*!< PE02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE03_FMODE :  3;               /*!< PE03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE04_FMODE :  3;               /*!< PE04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE05_FMODE :  3;               /*!< PE05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE06_FMODE :  3;               /*!< PE06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE07_FMODE :  3;               /*!< PE07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PE0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PE1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PE08_FMODE :  3;               /*!< PE08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE09_FMODE :  3;               /*!< PE09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE10_FMODE :  3;               /*!< PE10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE11_FMODE :  3;               /*!< PE11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE12_FMODE :  3;               /*!< PE12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE13_FMODE :  3;               /*!< PE13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE14_FMODE :  3;               /*!< PE14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PE15_FMODE :  3;               /*!< PE15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PE1_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PE2;                     /*!< FMODE_CFG_PE2                                                         */
  __I  uint32_t  FMODE_CFG_PE3;                     /*!< FMODE_CFG_PE3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PF0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PF00_FMODE :  3;               /*!< PF00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF01_FMODE :  3;               /*!< PF01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF02_FMODE :  3;               /*!< PF02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF03_FMODE :  3;               /*!< PF03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF04_FMODE :  3;               /*!< PF04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF05_FMODE :  3;               /*!< PF05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF06_FMODE :  3;               /*!< PF06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF07_FMODE :  3;               /*!< PF07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PF0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PF1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PF08_FMODE :  3;               /*!< PF08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF09_FMODE :  3;               /*!< PF09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF10_FMODE :  3;               /*!< PF10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF11_FMODE :  3;               /*!< PF11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF12_FMODE :  3;               /*!< PF12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF13_FMODE :  3;               /*!< PF13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF14_FMODE :  3;               /*!< PF14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PF15_FMODE :  3;               /*!< PF15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PF1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PF2;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PF16_FMODE :  3;               /*!< PF16 Function Mode setting                                            */
           uint32_t : 29; // padding
    } FMODE_CFG_PF2_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PF3;                     /*!< FMODE_CFG_PF3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PG0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PG00_FMODE :  3;               /*!< PG00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PG01_FMODE :  3;               /*!< PG01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PG02_FMODE :  3;               /*!< PG02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PG03_FMODE :  3;               /*!< PG03 Function Mode setting                                            */
           uint32_t : 17; // padding
    } FMODE_CFG_PG0_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PG1;                     /*!< FMODE_CFG_PG1                                                         */
  __I  uint32_t  FMODE_CFG_PG2;                     /*!< FMODE_CFG_PG2                                                         */
  __I  uint32_t  FMODE_CFG_PG3;                     /*!< FMODE_CFG_PG3                                                         */
  
  union {
    __IO uint32_t  FMODE_CFG_PH0;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PH00_FMODE :  3;               /*!< PH00 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH01_FMODE :  3;               /*!< PH01 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH02_FMODE :  3;               /*!< PH02 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH03_FMODE :  3;               /*!< PH03 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH04_FMODE :  3;               /*!< PH04 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH05_FMODE :  3;               /*!< PH05 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH06_FMODE :  3;               /*!< PH06 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH07_FMODE :  3;               /*!< PH07 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PH0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PH1;                   /*!< Function Mode Control FMODE[3:0] = 0x0 (FMODE0), 0x1 (FMODE1),
                                                         0x2 (FMODE2), 0x3 (FMODE3), 0x4 (FMODE4), 0x5 (FMODE5), 0x6
                                                          (FMODE6), 0x7 (Reserved)                                             */
    
    struct {
      __IO uint32_t  PH08_FMODE :  3;               /*!< PH08 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH09_FMODE :  3;               /*!< PH09 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH10_FMODE :  3;               /*!< PH10 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH11_FMODE :  3;               /*!< PH11 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH12_FMODE :  3;               /*!< PH12 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH13_FMODE :  3;               /*!< PH13 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH14_FMODE :  3;               /*!< PH14 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH15_FMODE :  3;               /*!< PH15 Function Mode setting                                            */
           uint32_t : 1; // padding
    } FMODE_CFG_PH1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  FMODE_CFG_PH2;                   /*!< FMODE_CFG_PH2                                                         */
    
    struct {
      __IO uint32_t  PH16_FMODE :  3;               /*!< PH16 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH17_FMODE :  3;               /*!< PH17 Function Mode setting                                            */
           uint32_t             :  1;
      __IO uint32_t  PH18_FMODE :  3;               /*!< PH18 Function Mode setting                                            */
           uint32_t : 21; // padding
    } FMODE_CFG_PH2_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  FMODE_CFG_PH3;                     /*!< FMODE_CFG_PH3                                                         */
} GCONF_Type;


/* ================================================================================ */
/* ================                      MPIER                     ================ */
/* ================================================================================ */


/**
  * @brief mpier (MPIER)
  */

typedef struct {                                    /*!< MPIER Structure                                                       */
  
  union {
    __IO uint32_t  ERROR_CLEAR;                     /*!< Clear Register of Error Detector                                      */
    
    struct {
      __IO uint32_t  CLEAR      :  1;               /*!< Interrupt and status Clear of Error Detector (both CPU data
                                                         and system interface)0: Normal.1: Clear (Interrupt and Status
                                                          is cleared, Error Detector does not detect error while CLEAR=1).     */
           uint32_t : 31; // padding
    } ERROR_CLEAR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[3];
  
  union {
    __I  uint32_t  ERROR_STATUS;                    /*!< Status of Error Detector                                              */
    
    struct {
      __I  uint32_t  ERROR_CPU_DATA:  1;            /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to halted bus or slave.                       */
           uint32_t             :  3;
      __I  uint32_t  ERROR_CPU_SYS:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to halted bus or slave.                     */
           uint32_t             :  3;
      __I  uint32_t  ERROR_GPIER:  1;               /*!< Status Bit of MPIER to GPIER interface0: No error detected.1:
                                                         Interface is locked.                                                  */
           uint32_t : 23; // padding
    } ERROR_STATUS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[3];
  
  union {
    __I  uint32_t  ERROR_STATUS_CPU_D;              /*!< Status of Error Detector on CPU Data Bus interface                    */
    
    struct {
      __I  uint32_t  ERROR_HPIER:  1;               /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to HPIER while HPIER is halted.               */
           uint32_t             :  3;
      __I  uint32_t  ERROR_SPINOFC_MEM:  1;         /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to SPINOFC(memory) while SPINOFC is
                                                          halted.                                                              */
           uint32_t             :  3;
      __I  uint32_t  ERROR_SPIFC_MEM:  1;           /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to SPIFC(memory) while SPIFC is halted.       */
           uint32_t             :  3;
      __I  uint32_t  ERROR_SRAMCM_PORT0:  1;        /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to SRAMCM(port0) while SRAMCM(port0)
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCM_PORT1:  1;        /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to SRAMCM(port1) while SRAMCM(port1)
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCM_PORT2:  1;        /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to SRAMCM(port2) while SRAMCM(port2)
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_ROMC_MEM:  1;            /*!< Status Bit of CPU data interface0: No error detected.1: CPU
                                                         data interface accessed to ROMC while ROMC is halted.                 */
           uint32_t : 16; // padding
    } ERROR_STATUS_CPU_D_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[3];
  
  union {
    __I  uint32_t  ERROR_STATUS_CPU_S0;             /*!< Status of Error Detector on CPU System Bus interface                  */
    
    struct {
      __I  uint32_t  ERROR_HPIER:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to HPIER while HPIER is halted.             */
      __I  uint32_t  ERROR_GPIER:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GPIER while GPIER is halted.             */
      __I  uint32_t  ERROR_PPIER0:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to PPIER0 while PPIER0 is halted.           */
      __I  uint32_t  ERROR_PPIER1:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to PPIER1 while PPIER1 is halted.           */
      __I  uint32_t  ERROR_PPIER2:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to PPIER2 while PPIER2 is halted.           */
      __I  uint32_t  ERROR_PPIER3:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to PPIER3 while PPIER3 is halted.           */
           uint32_t             :  2;
      __I  uint32_t  ERROR_SRAMCM_PORT3:  1;        /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCM(port3) while SRAMCM(port3)
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCM_REG:  1;          /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCM(register) while SRAMCM is
                                                          halted.                                                              */
      __I  uint32_t  ERROR_SPINOFC_REG:  1;         /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPINOFC(register) while SPINOFC
                                                          is halted.                                                           */
      __I  uint32_t  ERROR_SPIFC_REG:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPIFC(register) while SPIFC is
                                                          halted.                                                              */
      __I  uint32_t  ERROR_SRAMCS:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCS while SRAMCS or SRAM Macro
                                                          is halted.                                                           */
      __I  uint32_t  ERROR_SDMAC0:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SDMAC0 while SDMAC0 is halted.           */
      __I  uint32_t  ERROR_SDMAC1:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SDMAC1 while SDMAC1 is halted.           */
      __I  uint32_t  ERROR_EMMC0:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to EMMC0 while EMMC0 is halted.             */
      __I  uint32_t  ERROR_EMMC1:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to EMMC1 while EMMC1 is halted.             */
      __I  uint32_t  ERROR_CRA  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to CRA while CRA is halted.                 */
      __I  uint32_t  ERROR_RNG  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to RNG while RNG is halted.                 */
      __I  uint32_t  ERROR_TZCP :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to TZCP while TZCP is halted.               */
      __I  uint32_t  ERROR_SDMAC_CONF:  1;          /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SDMAC_CONF while SDMAC_CONF is
                                                          halted.                                                              */
      __I  uint32_t  ERROR_I2SLP0_SC:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP0_SC while I2SLP0 is halted.        */
      __I  uint32_t  ERROR_I2SLP0_SI:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP0_SI while I2SLP0 is halted.        */
      __I  uint32_t  ERROR_I2SLP0_SO:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP0_SO while I2SLP0 is halted.        */
      __I  uint32_t  ERROR_I2SLP1_SC:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP1_SC while I2SLP1 is halted.        */
      __I  uint32_t  ERROR_I2SLP1_SI:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP1_SI while I2SLP1 is halted.        */
      __I  uint32_t  ERROR_I2SLP1_SO:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP1_SO while I2SLP1 is halted.        */
      __I  uint32_t  ERROR_I2SLP2_SC:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP2_SC while I2SLP2 is halted.        */
      __I  uint32_t  ERROR_I2SLP2_SI:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2SLP2_SI while I2SLP2 is halted.        */
      __I  uint32_t  ERROR_SPIM0:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPIM0 while SPIM0 is halted.             */
      __I  uint32_t  ERROR_SPIM1:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPIM1 while SPIM1 is halted.             */
      __I  uint32_t  ERROR_SPIM2:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPIM2 while SPIM2 is halted.             */
    } ERROR_STATUS_CPU_S0_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ERROR_STATUS_CPU_S1;             /*!< Status of Error Detector on CPU System Bus interface                  */
    
    struct {
      __I  uint32_t  ERROR_SPIM3:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SPIM3 while SPIM3 is halted.             */
      __I  uint32_t  ERROR_UART0:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to UART0 while UART0 is halted.             */
      __I  uint32_t  ERROR_UART1:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to UART1 while UART1 is halted.             */
      __I  uint32_t  ERROR_UART2:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to UART2 while UART2 is halted.             */
      __I  uint32_t  ERROR_I2C0 :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2C0 while I2C0 is halted.               */
      __I  uint32_t  ERROR_I2C1 :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to I2C1 while I2C1 is halted.               */
      __I  uint32_t  ERROR_RTCLV:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to RTCLV while RTCLV is halted.             */
      __I  uint32_t  ERROR_EVM  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to EVM while EVM is halted.                 */
      __I  uint32_t  ERROR_GPIO0:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GPIO0 while GPIO0 is halted.             */
      __I  uint32_t  ERROR_GPIO1:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GPIO1 while GPIO1 is halted.             */
      __I  uint32_t  ERROR_GPIO2:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GPIO2 while GPIO2 is halted.             */
      __I  uint32_t  ERROR_GPIO3:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GPIO3 while GPIO3 is halted.             */
      __I  uint32_t  ERROR_AFEZ :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to AFEZ while AFEZ is halted.               */
      __I  uint32_t  ERROR_ADCC12:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to ADCC12 while ADCC12 is halted.           */
      __I  uint32_t  ERROR_DACC :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to DACC while DACC is halted.               */
      __I  uint32_t  ERROR_LEDC :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to LEDC while LEDC is halted.               */
      __I  uint32_t  ERROR_UART3:  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to UART3 while UART3 is halted.             */
      __I  uint32_t  ERROR_WDT  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to WDT while WDT is halted.                 */
      __I  uint32_t  ERROR_TMR  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to TMR while TMR is halted.                 */
      __I  uint32_t  ERROR_ADVTMR0:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to ADVTMR0 while ADVTMR0 is halted.         */
      __I  uint32_t  ERROR_ADVTMR1:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to ADVTMR1 while ADVTMR1 is halted.         */
      __I  uint32_t  ERROR_USB2FS:  1;              /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to USB2FS while USB2FS is halted.           */
      __I  uint32_t  ERROR_GFX  :  1;               /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to GFX while GFX is halted.                 */
      __I  uint32_t  ERROR_DBIBC_REG:  1;           /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to DBIBC(register) while DBIBC is
                                                          halted.                                                              */
      __I  uint32_t  ERROR_EBIF_REG:  1;            /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to EBIF(register) while EBIF is halted.     */
      __I  uint32_t  ERROR_EBIF_MEM:  1;            /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to EBIF(memory) while EBIF is halted.       */
      __I  uint32_t  ERROR_DBIBC_FIFO:  1;          /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to DBIBC(FIFO) while DBIBC is halted.       */
      __I  uint32_t  ERROR_SRAMCG0:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCG0 or SRAM Macro while SRAMCG0
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCG1:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCG1 or SRAM Macro while SRAMCG1
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCG2:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCG2 or SRAM Macro while SRAMCG2
                                                          or SRAM Macro is halted.                                             */
      __I  uint32_t  ERROR_SRAMCG3:  1;             /*!< Status Bit of CPU system interface0: No error detected.1: CPU
                                                         system interface accessed to SRAMCG3 or SRAM Macro while SRAMCG3
                                                          or SRAM Macro is halted.                                             */
           uint32_t : 1; // padding
    } ERROR_STATUS_CPU_S1_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[2];
  
  union {
    __IO uint32_t  DETECT_ENABLE;                   /*!< Status of Error Detector on CPU System Bus interface                  */
    
    struct {
      __IO uint32_t  ENABLE     :  1;               /*!< Status Bit of CPU system interface0: Error Detection disabled
                                                         (except for WDT, TMR, ADVTMR0, ADVTMR1).1: Error Detection enabled
                                                          (except for WDT, TMR, ADVTMR0, ADVTMR1).                             */
           uint32_t             :  7;
      __IO uint32_t  ENABLE_CD_TMR:  1;             /*!< Status Bit of CPU system interface0: Error Detection disabled
                                                         (WDT, TMR, ADVTMR0, ADVTMR1).1: Error Detection enabled (WDT,
                                                          TMR, ADVTMR0, ADVTMR1).                                              */
           uint32_t : 23; // padding
    } DETECT_ENABLE_b;                              /*!< BitSize                                                               */
  };
} MPIER_Type;


/* ================================================================================ */
/* ================                     SPINOFC                    ================ */
/* ================================================================================ */


/**
  * @brief spinofc (SPINOFC)
  */

typedef struct {                                    /*!< SPINOFC Structure                                                     */
  
  union {
    __IO uint32_t  DirMemMap0;                      /*!< Direct access address mapping register 0                              */
    
    struct {
      __IO uint32_t  RE         :  1;               /*!< Read Enable                                                           */
           uint32_t             :  3;
      __IO uint32_t  FDEN       :  4;               /*!< Flash Density0x0: 64 KB, 0x1: 128 KB, 0x2: 256 KB, 0x3: 512
                                                         KB, 0x4: 1 MB, 0x5: 2 MB, 0x6: 4 MB, 0x7: 8 MB, 0x8: 16 MBCapacity
                                                          other than those mentioned above are Reserved.                       */
           uint32_t             :  8;
      __IO uint32_t  FBA        : 12;               /*!< This is the comparison value for AHB address[27:16] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS0_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS0_N
                                                          only if both [DirMemMap0].FBA_SI and FBA match the corresponding
                                                          AHB address.It is necessary to assign this value with the multiples
                                                          of the flash density specified by [DirMemMap0].FDEN.Operation
                                                          is not guaranteed if alignment is not performed.                     */
      __I  uint32_t  FBA_SI     :  4;               /*!< This is the comparison value for AHB address[31:28] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS0_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS0_N
                                                          only if both [DirMemMap0].FBA_SI and FBA match the corresponding
                                                          AHB address.This is the tie-off signal in TZ1200 Series.             */
    } DirMemMap0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DirMemMap1;                      /*!< Direct access address mapping register 1                              */
    
    struct {
      __IO uint32_t  RE         :  1;               /*!< Read Enable                                                           */
           uint32_t             :  3;
      __IO uint32_t  FDEN       :  4;               /*!< Flash Density0x0: 64 KB, 0x1: 128 KB, 0x2: 256 KB, 0x3: 512
                                                         KB, 0x4: 1 MB, 0x5: 2 MB, 0x6: 4 MB, 0x7: 8 MB, 0x8: 16 MBCapacity
                                                          other than those mentioned above are Reserved.                       */
           uint32_t             :  8;
      __IO uint32_t  FBA        : 12;               /*!< This is the comparison value for AHB address[27:16] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS0_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS1_N
                                                          only if both [DirMemMap1].FBA_SI and FBA match the corresponding
                                                          AHB address. It is necessary to assign this value with the multiples
                                                          of the flash density specified by [DirMemMap1].FDEN.Operation
                                                          is not guaranteed if alignment is not performed.                     */
      __I  uint32_t  FBA_SI     :  4;               /*!< This is the comparison value for AHB address[31:28] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS1_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS0_N
                                                          only if both [DirMemMap1].FBA_SI and FBA match the corresponding
                                                          AHB address.This is the tie-off signal in TZ1200 Series.             */
    } DirMemMap1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DirMemMap2;                      /*!< Direct access address mapping register 2                              */
    
    struct {
      __IO uint32_t  RE         :  1;               /*!< Read Enable                                                           */
           uint32_t             :  3;
      __IO uint32_t  FDEN       :  4;               /*!< Flash Density0x0: 64 KB, 0x1: 128 KB, 0x2: 256 KB, 0x3: 512
                                                         KB, 0x4: 1 MB, 0x5: 2 MB, 0x6: 4 MB, 0x7: 8 MB, 0x8: 16 MBCapacity
                                                          other than those mentioned above are Reserved.                       */
           uint32_t             :  8;
      __IO uint32_t  FBA        : 12;               /*!< This is the comparison value for AHB address[27:16] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS2_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS0_N
                                                          only if both [DirMemMap2].FBA_SI and FBA match the corresponding
                                                          AHB address.It is necessary to assign this value with the multiples
                                                          of the flash density specified by [DirMemMap2].FDEN.Operation
                                                          is not guaranteed if alignment is not performed.                     */
      __I  uint32_t  FBA_SI     :  4;               /*!< This is the comparison value for AHB address[31:28] on spinofc_T0
                                                         to determine the chip that is connected to the SPI_CS2_N.In
                                                          the case of the direct access mode, the SPINOFC asserts SPI_CS0_N
                                                          only if both [DirMemMap2].FBA_SI and FBA match the corresponding
                                                          AHB address.This is the tie-off signal in TZ1200 Series.             */
    } DirMemMap2_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  DirAccCtrl;                      /*!< Direct access control register                                        */
    
    struct {
      __IO uint32_t  PollWIP    :  1;               /*!< Polling Status WIP0: Polling function OFF1: Polling function
                                                         ON                                                                    */
           uint32_t : 31; // padding
    } DirAccCtrl_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DirCmdCtrl;                      /*!< Direct access command control register                                */
    
    struct {
      __IO uint32_t  DirCmdIOCtrl:  1;              /*!< SPI Command I/O ControlSelects the operation during command
                                                         transfer.Change the value in accordance with command set in
                                                          [DirCmdCtrl].CmdOp.0: Single1: Quad                                  */
      __IO uint32_t  DirAdrIOCtrl:  1;              /*!< SPI Address I/O ControlSelects the operation during address
                                                         transfer.Change the value in accordance with command set in
                                                          [DirCmdCtrl].CmdOp.0: Single1: QuadThe initial value depends
                                                          on each product: either 0x0 or 0x1.                                  */
      __IO uint32_t  DirDmyIOCtrl:  1;              /*!< SPI Dummy I/O ControlSelects the operation during dynamic cycle
                                                         data transfer.Change the value in accordance with command set
                                                          in [DirCmdCtrl].CmdOp.0: Single1: QuadThe initial value depends
                                                          on each product: either 0x0 or 0x1.                                  */
      __IO uint32_t  DirDatIOCtrl:  1;              /*!< SPI Data I/O ControlSelects the operation during data transfer.Change
                                                         the value in accordance with command set in [DirCmdCtrl].CmdOp.0:
                                                          Single1: QuadThe initial value depends on each product: either
                                                          0x0 or 0x1.                                                          */
           uint32_t             :  8;
      __IO uint32_t  DmyByteCount:  4;              /*!< Dummy Byte CountData quantity of dummy cycle is specified in
                                                         Byte (as unit).The initial value depends on each product: either
                                                          0x1 (or x1 IO) or 0x3 (for x4 IO).                                   */
           uint32_t             :  8;
      __IO uint32_t  CmdOp      :  8;               /*!< SPI Command OpcodeSets the command to be sent to SPI Flash via
                                                         direct access.The initial value depends on each product: either
                                                          FastRead (0x0b) or FastReadQuadIO (0xEB).                            */
    } DirCmdCtrl_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __IO uint32_t  PrgSRAMAddr;                     /*!< SRAM transfer address register                                        */
    
    struct {
      __IO uint32_t  SRAMAddr   : 32;               /*!< Specifies the source/destination address of SRAM used for transfer
                                                         between Flash and SRAM.Initial value is sram T0 area (0x10000000).    */
    } PrgSRAMAddr_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrgSRAMTrSize;                   /*!< SRAM transfer size register                                           */
    
    struct {
      __IO uint32_t  TrSize     : 25;               /*!< Specifies the size of transfer between Flash and SRAM.Regarding
                                                         Write, Should be set in order to keep SpiFlash transfer address
                                                          setting[7:0] + transfer size less than 256Bytes for performing
                                                          Write of Spi Flash Memory via 256 Byte boundary unit.                */
           uint32_t : 7; // padding
    } PrgSRAMTrSize_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrgBufIOCtrl;                    /*!< Indirect access IO control register                                   */
    
    struct {
      __IO uint32_t  PriQuadIOEn:  1;               /*!< Primary Buffer Quad Output Enable0: Single1: QuadWhen set to
                                                         1, Primary Buffer data is transferred via Quad.The location
                                                          of starting data of Quad transfer is set in PriQuadIOCtrl.The
                                                          initial value depends on each product: either 0x0 or 0x1.            */
      __IO uint32_t  SecQuadIOEn:  1;               /*!< Secondary Buffer/SRAM Quad Output Enable0: Single1: QuadWhen
                                                         set to 1, Secondary Buffer and SRAM data is transferred via
                                                          Quad.The initial value depends on each product: either 0x0 or
                                                          0x1.                                                                 */
           uint32_t             :  6;
      __IO uint32_t  PriQuadIOCtrl:  3;             /*!< Specifies the Quad control of PrimaryBuffer. (0-7)Quad control
                                                         is performed from data at specified buffer location.                  */
           uint32_t             :  5;
      __IO uint32_t  SecQuadIOCtrl:  8;             /*!< Specifies the Quad control timing of secondarybuffer and SRAM
                                                         transfer.Use this setting with initial value (0x00).                  */
           uint32_t : 8; // padding
    } PrgBufIOCtrl_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrgOECtrl;                       /*!< Indirect access OutEnable control register                            */
    
    struct {
      __IO uint32_t  PriOECtrlEn:  2;               /*!< enable/disable of function for controlling output enable for
                                                         switching from command, address, dummy cycle data transfer to
                                                          read data reception.0: Function disabled1: Switched with buffer
                                                          data output timing specified in PriOEChg.2,3: Prohibited settingThe
                                                          initial value depends on each product: either 0x0 or 0x1.            */
           uint32_t             :  6;
      __IO uint32_t  PriOEChg   :  3;               /*!< Specifies a start point switching data direction from OUTPUT
                                                         to INPUT during the transfer of PrimaryBuffer data.Specifies
                                                          the location of PrimaryBuffer where initial 1 byte of dummy
                                                          cycle data is stored during Quad transfer.'4' must be specified,
                                                          if stored in[PrimaryBuffer1].PriBuf4.                                */
           uint32_t : 21; // padding
    } PrgOECtrl_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrgAccCtrl;                      /*!< Indirect access control register                                      */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  PriBufEn   :  1;               /*!< Primary Buffer EnablePrimary Buffer is ON during normal operation.    */
      __IO uint32_t  SecBufEn   :  1;               /*!< Secondary Buffer EnableUsed to select that Secondary Buffer
                                                         is used or not.                                                       */
           uint32_t             :  2;
      __IO uint32_t  TrMode     :  3;               /*!< Specifies the transfer direction of Indirect access.0: Flash
                                                         Memory -> SRAM (Flash Read)1: SRAM -> Flash Memory (Flash Write)2:
                                                          Flash Memory -> Internal buffer (Flash Read)3: Internal Buffer
                                                          -> Flash Memory (Flash Write)4: Reserved5: SRAM -> Flash Memory
                                                          + WIP Polling6: Reserved7: Internal Buffer -> Flash Memory +
                                                          WIP PollingSets 0x3 or 0x7 to this field if a SPI command which
                                                          you are going to issue does not require any transmit and receive
                                                          data.Sets 0x0 or 0x2 to this field if a SPI command which you
                                                          are                                                                  */
           uint32_t             :  5;
      __IO uint32_t  PriBufByteCnt:  3;             /*!< Primary Buffer Data Byte CountSpecifies the quantity of PrimaryBuffer
                                                         to be used,Set as number of bytes to be used -1.The initial
                                                          value depends on each product: either 0x4 (for x1 IO) or 0x6
                                                          (for x4 IO).                                                         */
           uint32_t             :  5;
      __IO uint32_t  SecBufByteCnt:  8;             /*!< Secondary Buffer Data Byte CountSpecifies the quantity of SencondaryBuffer
                                                         to be used,Set as number of bytes to be used -1.                      */
    } PrgAccCtrl_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrgStart;                        /*!< Indirect access starting register                                     */
    
    struct {
      __IO uint32_t  Start      :  1;               /*!< Specifies the starting of Indirect access.Indicates the starting
                                                         of indirect access by writing 0b1 to this field. The SPINOFC
                                                          ignores an action of writing 0b0 to this field.Zero is read
                                                          from this register during read operation.Operation is not guaranteed,
                                                          if PrgAccBusy of [status] register is set to 1.                      */
           uint32_t : 31; // padding
    } PrgStart_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[2];
  
  union {
    __IO uint32_t  SPICtrl;                         /*!< SPI transfer control register                                         */
    
    struct {
      __IO uint32_t  SDLE       :  1;               /*!< SPI Data Launch Edge0: negedge1: posedgeDo not change this field.     */
           uint32_t             :  3;
      __IO uint32_t  SDCE       :  2;               /*!< SPI Data Capture Edge0: 1st posedge1: 1st negedge2, 3: not usedDo
                                                         not change this field.                                                */
           uint32_t             :  2;
      __IO uint32_t  SCSD       :  8;               /*!< Specifies the deassert period of chip select signal (CS_N) in
                                                         number of cycles of SPI_CLK.When the maximum value of SPI_CLK
                                                          frequency is 48 MHz, then it is set to 3 cycle in order to comply
                                                          with tSHSL2(50 ns) of winbond.                                       */
           uint32_t : 16; // padding
    } SPICtrl_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[3];
  
  union {
    __IO uint32_t  CodeStatus;                      /*!< FlashMemory 0 address code status                                     */
    
    struct {
      __IO uint32_t  NoCodeFlag :  1;               /*!< Displays the result of check performed on code written at address
                                                         0 during boot processing.0: Indicates that the data at address
                                                          0x000000 is other than 0xFFFFFFFF.1: Indicates that the data
                                                          at address 0x000000 is 0xFFFFFFFF.If 1 is written in this register
                                                          than code block becomes clear.And there is no effect by writing
                                                          0.                                                                   */
           uint32_t : 31; // padding
    } CodeStatus_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[7];
  
  union {
    __IO uint32_t  PollingInterval;                 /*!< Polling space setting register                                        */
    
    struct {
      __IO uint32_t  PolInterval: 32;               /*!< Sets the interval for confirming Flash status when Indirect
                                                         access with WIP Polling (TrMode=5 or 7).Interval is specified
                                                          in number of SPI clock cycles.With initial value of 57600 and
                                                          48 MHz operation, Flash status register is read in 1200 uS period.Cannot
                                                          be updated during Indirect access execution.                         */
    } PollingInterval_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[11];
  
  union {
    __IO uint32_t  IntStat;                         /*!< Interrupt status                                                      */
    
    struct {
      __IO uint32_t  PrgRdEnd   :  1;               /*!< Indicates the completion of read transfer by Indirect access.Value
                                                         is cleared by writing 1. (No effect by writing 0).                    */
      __IO uint32_t  PrgWrEnd   :  1;               /*!< Indicates the completion of write transfer by Indirect access.Value
                                                         is cleared by writing 1. (No effect by writing 0).                    */
      __IO uint32_t  AccConf    :  1;               /*!< Indicates the detection of conflict between direct access and
                                                         Indirect access.Value is cleared by writing 1. (No effect by
                                                          writing 0).                                                          */
      __IO uint32_t  StopEnd    :  1;               /*!< Indicates the completion of termination operation of SPI transfer
                                                         because of SPI transfer termination register setting.Value is
                                                          cleared by writing 1. (No effect by writing 0).                      */
           uint32_t : 28; // padding
    } IntStat_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IntEn;                           /*!< Interrupt source enable                                               */
    
    struct {
      __IO uint32_t  PrgRdEndEn :  1;               /*!< Interrupt for completion of read transfer by Indirect access.0:
                                                         Disable1: EnableDuring disable setting the interrupt is not
                                                          issued even at the occurrence of the interrupt source, but is
                                                          reflected in the interrupt status ([IntStat]).                       */
      __IO uint32_t  PrgWrEndEn :  1;               /*!< Interrupt for completion of write transfer by Indirect access.0:
                                                         Disable1: EnableDuring disable setting the interrupt is not
                                                          issued even at the occurrence of the interrupt source, but is
                                                          reflected in the interrupt status ([IntStat]).                       */
      __IO uint32_t  AccConfEn  :  1;               /*!< Interrupt for detection of conflict between direct access and
                                                         Indirect access.0: Disable1: EnableDuring disable setting the
                                                          interrupt is not issued even at the occurrence of the interrupt
                                                          source, but is reflected in the interrupt status ([IntStat]).        */
      __IO uint32_t  StopEndEn  :  1;               /*!< Interrupt for the completion of SPI transfer termination.0:
                                                         Disable1: EnableDuring disable setting the interrupt is not
                                                          issued even at the occurrence of the interrupt source, but is
                                                          reflected in the interrupt status ([IntStat]).                       */
           uint32_t : 28; // padding
    } IntEn_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[6];
  
  union {
    __I  uint32_t  Status;                          /*!< Internal status                                                       */
    
    struct {
      __I  uint32_t  PrgAccBusy :  1;               /*!< Shows that Indirect access execution is in process.                   */
      __I  uint32_t  SpiStopBusy:  1;               /*!< Shows that SPI termination operation is in process.                   */
           uint32_t             :  6;
      __I  uint32_t  SecuEraseBusy:  1;             /*!< Shows that Flash Erase operation controlled by PMU is in process.     */
           uint32_t             :  7;
      __I  uint32_t  DirAccBusy :  1;               /*!< Shows that direct access execution is in process.                     */
           uint32_t             :  7;
      __I  uint32_t  DecryptBusy:  1;               /*!< Shows that decryption operation is in process.                        */
           uint32_t : 7; // padding
    } Status_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[11];
  
  union {
    __IO uint32_t  SpiStop;                         /*!< SPI transfer termination register                                     */
    
    struct {
      __IO uint32_t  Stop       :  1;               /*!< Indicates SPI transfer termination.IF 1 is set in this register,
                                                         then during the execution of SPI transfer then clock supply
                                                          for SPI Flash is terminated and SPI_CS*_N deassert operation
                                                          is performed. By read operation, the already written value can
                                                          be read. When this value is 1, then even by new access the direct
                                                          access and Indirect access can not be performed.Caution: When
                                                          command is kept in Flash, then the command fetch cannot be performed
                                                          normally and thus this function should not be used.If termination    */
           uint32_t : 31; // padding
    } SpiStop_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[3];
  
  union {
    __IO uint32_t  PrimaryBuffer0;                  /*!< PrimaryBufferStorage buffer for command, address and dummy data
                                                         in case of Indirect access.                                           */
    
    struct {
      __IO uint32_t  PriBuf0    :  8;               /*!< PrimaryBuffer0An OpCode of SPI command is set to this field
                                                         normally. The initial value depends on each product: either
                                                          FastRead (0x0b) or FastReadQuadIO (0xEB).                            */
      __IO uint32_t  PriBuf1    :  8;               /*!< PrimaryBuffer1                                                        */
      __IO uint32_t  PriBuf2    :  8;               /*!< PrimaryBuffer2                                                        */
      __IO uint32_t  PriBuf3    :  8;               /*!< PrimaryBuffer3                                                        */
    } PrimaryBuffer0_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PrimaryBuffer1;                  /*!< PrimaryBufferStorage buffer for command, address and dummy data
                                                         in case of Indirect access.                                           */
    
    struct {
      __IO uint32_t  PriBuf4    :  8;               /*!< PrimaryBuffer4                                                        */
      __IO uint32_t  PriBuf5    :  8;               /*!< PrimaryBuffer5                                                        */
      __IO uint32_t  PriBuf6    :  8;               /*!< PrimaryBuffer6                                                        */
      __IO uint32_t  PriBuf7    :  8;               /*!< PrimaryBuffer7                                                        */
    } PrimaryBuffer1_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[62];
  
  union {
    __IO uint32_t  SecondaryBuffer[64];             /*!< SecondaryBufferStorage buffer for transfer data in case of Indirect
                                                         access.Contains a total area of 256Bytes.                             */
    
    struct {
      __IO uint32_t  SecBuf0    :  8;               /*!< SecBuf0                                                               */
      __IO uint32_t  SecBuf1    :  8;               /*!< SecBuf1                                                               */
      __IO uint32_t  SecBuf2    :  8;               /*!< SecBuf2                                                               */
      __IO uint32_t  SecBuf3    :  8;               /*!< SecBuf3                                                               */
    } SecondaryBuffer_b[64];                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PRG_CS_SEL;                      /*!< Program access CS selection register                                  */
    
    struct {
      __IO uint32_t  SEL_CS_NUM :  2;               /*!< Switching of SPI_CS*_N issued by Indirect access.0: SPI_CS_N[0]
                                                         is used (default)1: SPI_CS_N[1] is used2: SPI_CS_N[2] is used3:
                                                          Prohibited Setting                                                   */
           uint32_t : 30; // padding
    } PRG_CS_SEL_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10;
  
  union {
    __IO uint32_t  CS_CLK_OE_CTRL;                  /*!< CS/CLK output enable Control                                          */
    
    struct {
      __IO uint32_t  OE_CTRL    :  1;               /*!< CS/CLK output enable control0: Disable1: Enable (default)             */
           uint32_t             : 15;
      __IO uint32_t  OE_CTRL_SEL:  1;               /*!< Selection of value used in control of CS/CLK output enable.0:
                                                         Controlled by value set in [CS_CLK_OE_CTRL].OE_CTRL.1: Controlled
                                                          by boot mode (output enable during NOR FLASH boot and output
                                                          is disable in other cases.)                                          */
           uint32_t : 15; // padding
    } CS_CLK_OE_CTRL_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11;
  
  union {
    __IO uint32_t  CTRL_FUNC_SEL;                   /*!< Controller function selection register                                */
    
    struct {
      __IO uint32_t  CF_SEL     :  1;               /*!< Switches the control mode of SPIC.0: NOR FLASH Controller (default)1:
                                                         NAND FLASH Controller                                                 */
           uint32_t             : 15;
      __I  uint32_t  CFSEL_STATUS:  1;              /*!< Shows the current status of present controller mode influenced
                                                         by external control.0: NOR FLASH Controller1: NAND FLASH Controller   */
           uint32_t             :  7;
      __IO uint32_t  DA_CTRL    :  1;               /*!< Changes the control of direct access during NAND control.0:
                                                         2-byte address mode (default)1: 3-byte address mode                   */
           uint32_t : 7; // padding
    } CTRL_FUNC_SEL_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  NB_CTRL;                         /*!< Nand Boot Control                                                     */
    
    struct {
      __IO uint32_t  FIXED_RESP_OFF:  1;            /*!< During NAND boot 0/4 address fixed response function is turned
                                                         OFF.0: Fixed response enable 1: Fixed response disable                */
           uint32_t : 31; // padding
    } NB_CTRL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12[58];
  
  union {
    __IO uint32_t  CRPT_STATUS;                     /*!< Decoding processing enable                                            */
    
    struct {
      __I  uint32_t  CRP        :  1;               /*!< The value of security_bits[5] read from SPI Flash Memory during
                                                         the boot sequence.1: Disable decryption processing0: Enable
                                                          decryption processing                                                */
           uint32_t             :  7;
      __IO uint32_t  DECR_EN    :  1;               /*!< If the value of security_bits[5] written in SPI flash memory
                                                         is equal to 0b0, users are able to switch function on decryption
                                                          process.1: Disable decryption processing0: Enable decryption
                                                          processing (default)                                                 */
           uint32_t             :  7;
      __I  uint32_t  SKENB      :  1;               /*!< Shows that the SK_Mn value notifying CRA is valid or not.This
                                                         flag premise that a valid CSK_Mn is written over FLASH.In case
                                                          CSK_Mn is not correct and even if this flag is '1', then generated
                                                          SK_Mn does not have valid information.                               */
           uint32_t : 15; // padding
    } CRPT_STATUS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DECR_RESP;                       /*!< Decryption data response setting register                             */
    
    struct {
      __IO uint32_t  RESP_ENB   :  1;               /*!< This field controls 64-bit response data from address 0x0 in
                                                         direct access if [CRPT_STATUS].DECR_EN=0b0.The SPINOFC returns
                                                          decrypted data automatically as the response data if this function
                                                          is enabled.As for initial value of this field, the SPINOFC sets
                                                          0b1 in case Security_bits[5] = 0b0. 1: Enable decryption response0:
                                                          Disable decryption responseValue is cleared by writing 1. Ignored
                                                          if '0' is written.                                                   */
           uint32_t : 31; // padding
    } DECR_RESP_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IV_UPDATE;                       /*!< IV update register                                                    */
    
    struct {
      __IO uint32_t  IV_UP      :  1;               /*!< Makes the written value in IV register as valid.After the transfer
                                                         starts, this bit after using the iv value, automatically becomes
                                                          0.Cannot be updated during program access execution.                 */
           uint32_t : 31; // padding
    } IV_UPDATE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13;
  
  union {
    __IO uint32_t  IV;                              /*!< IV setting register                                                   */
    
    struct {
      __IO uint32_t  IV         : 32;               /*!< Register for setting IV[31:0]Initial value is the value of IV_M[31:0]Suppo
                                                         se that two consecutive 128-bit cipher-text (C0 and C1) are stored
                                                         in SPI flash memory.To decrypt the latter cipher-text C1, sets
                                                          the former cipher-text C0 as the IV.Note that IV is IV_M if
                                                          C1 is the first 128-bit data stored in SPI flash memory.For
                                                          instance, suppose that C1 is 128-bit data from address 0x00_0100.To
                                                          decrypt C1, sets this filed as followed.IV ...Word data stored
                                                          in SPI flash memory from address 0x00_00F0IV1...Word dat             */
    } IV_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IV1;                             /*!< IV Setting register 1                                                 */
    
    struct {
      __IO uint32_t  IV1        : 32;               /*!< Register for setting IV[63:32]Initial value is the value of
                                                         IV_M[63:32]                                                           */
    } IV1_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IV2;                             /*!< IV Setting register 2                                                 */
    
    struct {
      __IO uint32_t  IV2        : 32;               /*!< Register for setting IV[95:64]Initial value is the value of
                                                         IV_M[95:64]                                                           */
    } IV2_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IV3;                             /*!< IV Setting register 3                                                 */
    
    struct {
      __IO uint32_t  IV3        : 32;               /*!< Register for setting IV[127:96]Initial value is the value of
                                                         IV_M[127:96]                                                          */
    } IV3_b;                                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14[248];
  
  union {
    __IO uint32_t  DLYCLK_SEL;                      /*!< Clock Delay Control Register for AC Timing                            */
    
    struct {
      __IO uint32_t  DLYCLK_SEL :  3;               /*!< Clock delay selection is necessary for complying with AC specifications.Th
                                                         erefore clock delay must be selected according to the VoltageMode
                                                         as shown below.0b001 - ModeA or ModeB0b010 - OverDriveOthers
                                                          - Reserved                                                           */
           uint32_t : 29; // padding
    } DLYCLK_SEL_b;                                 /*!< BitSize                                                               */
  };
} SPINOFC_Type;


/* ================================================================================ */
/* ================                     SDMAC0                     ================ */
/* ================================================================================ */


/**
  * @brief sdmac0 (SDMAC0)
  */

typedef struct {                                    /*!< SDMAC0 Structure                                                      */
  
  union {
    __IO uint32_t  SAR0;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Current Source Address of DMA transfer.Updated after each source
                                                         transfer. The SINC field in the CTLx register determines whether
                                                          the address increments, decrements, or is left unchanged on
                                                          every source transfer throughout the block transfer.Note: You
                                                          must program the SAR address to be aligned to CTLx.SRC_TR_WIDTH.     */
    } SAR0_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR0_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR0;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Current Destination address of DMA transfer.Updated after each
                                                         destination transfer. The DINC field in the CTLx register determines
                                                          whether the address increments, decrements, or is left unchanged
                                                          on every destination transfer throughout the block transfer.Note:
                                                          You must program the DAR address to be aligned to CTLx.DST_TR_WIDTH. */
    } DAR0_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR0_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP0;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLINote that the two LSBs
                                                         of the starting address are not stored because the address is
                                                          assumed to be aligned to a 32-bit boundary.LLI accesses are
                                                          always 32-bit accesses (Hsize = 2) aligned to 32-bit boundaries
                                                          and cannot be changed or programmed to anything other than 32-bit.   */
    } LLP0_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP0_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL0;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enableIf set, then all interrupt-generating sources
                                                         are enabled. Functions as a global mask bit for all interrupts
                                                          for the channel; raw* interrupt registers still assert if CTLx.INT_EN
                                                          = 0.                                                                 */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width 0b000: 8 0b001: 16 0b010: 32 0b011:
                                                         64 0b100: 128 0b101: 256 0b11X: 256                                   */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width 0b000: 8 0b001: 16 0b010: 32 0b011: 64
                                                         0b100: 128 0b101: 256 0b11X: 256                                      */
      __IO uint32_t  DINC       :  2;               /*!< Destination Address Increment.Indicates whether to increment
                                                         or decrement the destination address on every destination transfer.
                                                          If your device is writing data to a destination peripheral FIFO
                                                          with a fixed address, then set this field to 'No change.' 00:
                                                          Increment 01: Decrement 1x: No change                                */
      __IO uint32_t  SINC       :  2;               /*!< Source Address Increment.Indicates whether to increment or decrement
                                                         the source address on every source transfer. If the device is
                                                          fetching data from a source peripheral FIFO with a fixed address,
                                                          then set this field to 'No change.' 00: Increment 01: Decrement
                                                          1x: No change                                                        */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst lengthNumber of data items, each
                                                         of width CTLx.DST_TR_WIDTH, to be written to the destination
                                                          every time a destination burst transaction request is made from
                                                          either the corresponding hardware or software handshaking interface.
                                                          0b000: 1 0b001: 4 0b010: 8 0b011: 16 0b100: 32 0b101: 64 0b110:
                                                          128 0b111: 256                                                       */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst lengthNumber of data items, each of
                                                         width CTLx.SRC_TR_WIDTH, to be read from the source every time
                                                          a source burst transaction request is made from either the corresponding
                                                          hardware or software handshaking interface. 0b000: 1 0b001:
                                                          4 0b010: 8 0b011: 16 0b100: 32 0b101: 64 0b110: 128 0b111: 256       */
      __IO uint32_t  SRC_GATHER_EN:  1;             /*!< Source gather enable bit: 0: Gather disabled 1: Gather enabledGather
                                                         on the source side is applicable only when the CTLx.SINC bit
                                                          indicates an incrementing or decrementing address control.           */
      __IO uint32_t  DST_SCATTER_EN:  1;            /*!< Destination scatter enable bit: 0: Scatter disabled 1: Scatter
                                                         enabledScatter on the destination side is applicable only when
                                                          the CTLx.DINC bit indicates an incrementing or decrementing
                                                          address control.                                                     */
           uint32_t             :  1;
      __IO uint32_t  TT_FC      :  3;               /*!< Transfer Type and Flow Control.The following transfer types
                                                         are supported.- Memory to Memory- Memory to Peripheral- Peripheral
                                                          to Memory- Peripheral to Peripheral 0b000: Memory to Memory,
                                                          Flow Controller is DMAC 0b001: Memory to Peripheral, Flow Controller
                                                          is DMAC 0b010: Peripheral to Memory, Flow Controller is DMAC
                                                          0b011: Peripheral to Peripheral, Flow Controller is DMAC 0b100:
                                                          Not Supported 0b101: Not Supported 0b110: Not Supported 0b111:
                                                          Not Supported                                                        */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination sideBlock chaining is enabled
                                                         on the destination side only if the LLP_DST_EN field is high
                                                          and LLPx.LOC is non-zero.                                            */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source sideBlock chaining is enabled on
                                                         the source side only if the LLP_SRC_EN field is high and LLPx.LOC
                                                          is non-zero                                                          */
           uint32_t : 3; // padding
    } CTL0_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL0_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block Transfer Size.When the DMAC is the flow controller, the
                                                         user writes this field before the channel is enabled in order
                                                          to indicate the block size The number programmed into BLOCK_TS
                                                          indicates the total number of single transactions to perform
                                                          for every block transfer; a single transaction is mapped to
                                                          a single AMBA beat.                                                  */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL0_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT0;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source statusSource status information retrieved by hardware
                                                         from the address pointed to by the contents of the SSTATARx
                                                          register.Note : This register is a temporary placeholder for
                                                          the source status information on its way to the SSTATx register
                                                          location of the LLI. The source status information should be
                                                          retrieved by software from the SSTATx register location of the
                                                          LLI, and not by a read of this register over the dmac slave
                                                          interface.                                                           */
    } SSTAT0_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT0_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT0;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination statusDestination status information retrieved by
                                                         hardware from the address pointed to by the contents of the
                                                          DSTATARx register.Note : This register is a temporary placeholder
                                                          for the destination status information on its way to the DSTATx
                                                          register location of the LLI. The destination status information
                                                          should be retrieved by software from the DSTATx register location
                                                          of the LLI and not by a read of this register over the dmac
                                                          slave interface.                                                     */
    } DSTAT0_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT0_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR0;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status AddressPointer from where hardware can fetch the
                                                         source status information, which is registered in the SSTATx
                                                          register and written out to the SSTATx register location of
                                                          the LLI before the start of the next block.                          */
    } SSTATAR0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR0_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR0;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status AddressPointer from where hardware can fetch
                                                         the destination status information, which is registered in the
                                                          DSTATx register and written out to the DSTATx register location
                                                          of the LLI before the start of the next block.                       */
    } DSTATAR0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR0_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG0;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel priority.A priority of 7 is the highest priority, and
                                                         0 is the lowest. This field must be programmed within the following
                                                          range:0: (DMAH_NUM_CHANNELS - 1)A programmed value outside this
                                                          range will cause erroneous behavior.                                 */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend.Suspends all DMA data transfers from the source
                                                         until this bit is cleared. There is no guarantee that the current
                                                          transaction will complete. Can also be used in conjunction with
                                                          CFGx.FIFO_EMPTY to cleanly disable a channel without losing
                                                          any data. 0: Not suspended. 1: Suspend DMA transfer from the
                                                          source.                                                              */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Indicates if there is data left in the channel FIFO.Can be used
                                                         in conjunction with CFGx.CH_SUSP to cleanly disable a channel.
                                                          1: Channel FIFO empty 0: Channel FIFO not empty                      */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.This register
                                                         selects which of the handshaking interfaces - hardware or software
                                                          - is active for destination requests on this channel. 0: Hardware
                                                          handshaking interface. Software-initiated transaction requests
                                                          are ignored. 1: Software handshaking interface. Hardware- initiated
                                                          transaction requests are ignored. If the destination peripheral
                                                          is memory, then this bit is ignored.                                 */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.This register
                                                         selects which of the handshaking interfaces - hardware or software
                                                          - is active for source requests on this channel. 0: Hardware
                                                          handshaking interface. Software-initiated transaction requests
                                                          are ignored. 1: Software handshaking interface. Hardware-initiated
                                                          transaction requests are ignored. If the source peripheral is
                                                          memory, then this bit is ignored.                                    */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity. 0: Active high 1:
                                                         Active low                                                            */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity. 0: Active high 1: Active
                                                         low                                                                   */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length.Maximum AMBA burst length that is
                                                         used for DMA transfers on this channel. A value of 0 indicates
                                                          that software is not limiting the maximum AMBA burst length
                                                          for DMA transfers on this channel.                                   */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source ReloadThe SARx register can be automatically
                                                         reloaded from its initial value at the end of every block for
                                                          multi-block transfers. A new block transfer is then initiated.       */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination ReloadThe DARx register can be automatically
                                                         reloaded from its initial value at the end of every block for
                                                          multi-block transfers. A new block transfer is then initiated.       */
    } CFG0_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG0_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control modeDetermines when source transaction
                                                         requests are serviced when the Destination Peripheral is the
                                                          flow controller. 0: Source transaction requests are serviced
                                                          when they occur. Data pre-fetching is enabled. 1: Source transaction
                                                          requests are not serviced until a destination transaction request
                                                          occurs. In this mode, the amount of data transferred from the
                                                          source is limited so that it is guaranteed to be transferred
                                                          to the destination prior to block termination by the destination.
                                                          Data                                                                 */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< FIFO mode selectDetermines how much space or data needs to be
                                                         available in the FIFO before a burst transaction request is
                                                          serviced. 0: Space/data available for single AHB transfer of
                                                          the specified transfer width. 1: Data available is greater than
                                                          or equal to half the FIFO depth for destination transfers and
                                                          space available is greater than half the FIFO depth for source
                                                          transfers. The exceptions are at the end of a burst transaction
                                                          request or at the end of a block transfer.                           */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update EnableDestination status information
                                                         is fetched only from the location pointed to by the DSTATARx
                                                          register, stored in the DSTATx register and written out to the
                                                          DSTATx location of the LLI if DS_UPD_EN is high.                     */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update EnableSource status information is fetched
                                                         only from the location pointed to by the SSTATARx register,
                                                          stored in the SSTATx register and written out to the SSTATx
                                                          location of the LLI if SS_UPD_EN is high.                            */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interfaceThe channel can then communicate with
                                                         the source peripheral connected to that interface through the
                                                          assigned hardware handshaking interface.                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interfaceThe channel can then communicate
                                                         with the destination peripheral connected to that interface
                                                          through the assigned hardware handshaking interface.                 */
           uint32_t : 17; // padding
    } CFG0_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SGR0;                            /*!< Source Gather Register                                                */
    
    struct {
      __IO uint32_t  SGI        : 19;               /*!< Source gather interval.                                               */
           uint32_t             :  1;
      __IO uint32_t  SGC        : 12;               /*!< Source gather count.Source contiguous transfer count between
                                                         successive gather boundaries.                                         */
    } SGR0_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR0_H;                            /*!< Source Gather Register                                                */
  
  union {
    __IO uint32_t  DSR0;                            /*!< Destination Scatter Register                                          */
    
    struct {
      __IO uint32_t  DSI        : 19;               /*!< Destination scatter interval.                                         */
           uint32_t             :  1;
      __IO uint32_t  DSC        : 12;               /*!< Destination scatter count.Destination contiguous transfer count
                                                         between successive scatter boundaries.                                */
    } DSR0_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DSR0_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR1;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR1_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR1_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR1;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR1_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR1_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP1;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP1_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP1_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL1;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
      __IO uint32_t  SRC_GATHER_EN:  1;             /*!< Source gather enable bit                                              */
      __IO uint32_t  DST_SCATTER_EN:  1;            /*!< Destination scatter enable bit                                        */
           uint32_t             :  1;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL1_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL1_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT1;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT1_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT1_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT1;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT1_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT1_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR1;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR1_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR1;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR1_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG1;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG1_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG1_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SGR1;                            /*!< Source Gather Register                                                */
    
    struct {
      __IO uint32_t  SGI        : 19;               /*!< Source gather interval                                                */
           uint32_t             :  1;
      __IO uint32_t  SGC        : 12;               /*!< Source gather count                                                   */
    } SGR1_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR1_H;                            /*!< Source Gather Register                                                */
  
  union {
    __IO uint32_t  DSR1;                            /*!< Destination Scatter Register                                          */
    
    struct {
      __IO uint32_t  DSI        : 19;               /*!< Destination scatter interval                                          */
           uint32_t             :  1;
      __IO uint32_t  DSC        : 12;               /*!< Destination scatter count                                             */
    } DSR1_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DSR1_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR2;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR2_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR2_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR2;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR2_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR2_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP2;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP2_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP2_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL2;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
      __IO uint32_t  SRC_GATHER_EN:  1;             /*!< Source gather enable bit                                              */
      __IO uint32_t  DST_SCATTER_EN:  1;            /*!< Destination scatter enable bit                                        */
           uint32_t             :  1;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL2_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL2_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT2;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT2_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT2_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT2;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT2_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT2_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR2;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR2_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR2;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR2_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG2;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG2_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG2_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SGR2;                            /*!< Source Gather Register                                                */
    
    struct {
      __IO uint32_t  SGI        : 19;               /*!< Source gather interval                                                */
           uint32_t             :  1;
      __IO uint32_t  SGC        : 12;               /*!< Source gather count                                                   */
    } SGR2_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR2_H;                            /*!< Source Gather Register                                                */
  
  union {
    __IO uint32_t  DSR2;                            /*!< Destination Scatter Register                                          */
    
    struct {
      __IO uint32_t  DSI        : 19;               /*!< Destination scatter interval                                          */
           uint32_t             :  1;
      __IO uint32_t  DSC        : 12;               /*!< Destination scatter count                                             */
    } DSR2_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DSR2_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR3;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR3_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR3;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR3_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP3;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP3_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL3;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
      __IO uint32_t  SRC_GATHER_EN:  1;             /*!< Source gather enable bit                                              */
      __IO uint32_t  DST_SCATTER_EN:  1;            /*!< Destination scatter enable bit                                        */
           uint32_t             :  1;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL3_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL3_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL3_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT3;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT3_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT3_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT3;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT3_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT3_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR3;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR3_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR3;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR3_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG3;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG3_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG3_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG3_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SGR3;                            /*!< Source Gather Register                                                */
    
    struct {
      __IO uint32_t  SGI        : 19;               /*!< Source gather interval                                                */
           uint32_t             :  1;
      __IO uint32_t  SGC        : 12;               /*!< Source gather count                                                   */
    } SGR3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR3_H;                            /*!< Source Gather Register                                                */
  
  union {
    __IO uint32_t  DSR3;                            /*!< Destination Scatter Register                                          */
    
    struct {
      __IO uint32_t  DSI        : 19;               /*!< Destination scatter interval                                          */
           uint32_t             :  1;
      __IO uint32_t  DSC        : 12;               /*!< Destination scatter count                                             */
    } DSR3_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DSR3_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR4;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR4_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR4_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR4;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR4_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR4_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP4;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP4_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP4_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL4;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
           uint32_t             :  3;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL4_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL4_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL4_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT4;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT4_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT4_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT4;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT4_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT4_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR4;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR4_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR4_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR4;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR4_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR4_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG4;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG4_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG4_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG4_H_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR4;                              /*!< Source Gather Register                                                */
  __I  uint32_t  SGR4_H;                            /*!< Source Gather Register                                                */
  __I  uint32_t  DSR4;                              /*!< Destination Scatter Register                                          */
  __I  uint32_t  DSR4_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR5;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR5_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR5_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR5;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR5_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR5_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP5;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP5_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP5_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL5;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
           uint32_t             :  3;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL5_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL5_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL5_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT5;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT5_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT5_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT5;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT5_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT5_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR5;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR5_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR5_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR5;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR5_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR5_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG5;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG5_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG5_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG5_H_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR5;                              /*!< Source Gather Register                                                */
  __I  uint32_t  SGR5_H;                            /*!< Source Gather Register                                                */
  __I  uint32_t  DSR5;                              /*!< Destination Scatter Register                                          */
  __I  uint32_t  DSR5_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR6;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR6_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR6_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR6;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR6_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR6_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP6;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP6_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP6_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL6;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
           uint32_t             :  3;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL6_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL6_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL6_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT6;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT6_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT6_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT6;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT6_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT6_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR6;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR6_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR6_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR6;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR6_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR6_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG6;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG6_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG6_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG6_H_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR6;                              /*!< Source Gather Register                                                */
  __I  uint32_t  SGR6_H;                            /*!< Source Gather Register                                                */
  __I  uint32_t  DSR6;                              /*!< Destination Scatter Register                                          */
  __I  uint32_t  DSR6_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  SAR7;                            /*!< Channel source address                                                */
    
    struct {
      __IO uint32_t  SAR        : 32;               /*!< Channel source address                                                */
    } SAR7_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  SAR7_H;                            /*!< Channel source address                                                */
  
  union {
    __IO uint32_t  DAR7;                            /*!< Channel destination address                                           */
    
    struct {
      __IO uint32_t  DAR        : 32;               /*!< Channel destination address                                           */
    } DAR7_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  DAR7_H;                            /*!< Channel destination address                                           */
  
  union {
    __IO uint32_t  LLP7;                            /*!< Linked List Pointer Register                                          */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  LOC        : 30;               /*!< Starting Address In Memory of next LLI                                */
    } LLP7_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  LLP7_H;                            /*!< Linked List Pointer Register                                          */
  
  union {
    __IO uint32_t  CTL7;                            /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< Interrupt enable                                                      */
      __IO uint32_t  DST_TR_WIDTH:  3;              /*!< Destination transfer width                                            */
      __IO uint32_t  SRC_TR_WIDTH:  3;              /*!< Source transfer width                                                 */
      __IO uint32_t  DINC       :  2;               /*!< Destination address direction control                                 */
      __IO uint32_t  SINC       :  2;               /*!< Source address direction control                                      */
      __IO uint32_t  DEST_MSIZE :  3;               /*!< Destination transaction burst length                                  */
      __IO uint32_t  SRC_MSIZE  :  3;               /*!< Source transaction burst length                                       */
           uint32_t             :  3;
      __IO uint32_t  TT_FC      :  3;               /*!< Flow control                                                          */
           uint32_t             :  4;
      __IO uint32_t  LLP_DST_EN :  1;               /*!< Block chaining on the destination side                                */
      __IO uint32_t  LLP_SRC_EN :  1;               /*!< Block chaining on the source side                                     */
           uint32_t : 3; // padding
    } CTL7_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTL7_H;                          /*!< Channel control                                                       */
    
    struct {
      __IO uint32_t  BLOCK_TS   : 12;               /*!< Block length                                                          */
      __IO uint32_t  DONE       :  1;               /*!< Done Bit                                                              */
           uint32_t : 19; // padding
    } CTL7_H_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSTAT7;                          /*!< Source Status Register                                                */
    
    struct {
      __IO uint32_t  SSTAT      : 32;               /*!< Source status                                                         */
    } SSTAT7_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTAT7_H;                          /*!< Source Status Register                                                */
  
  union {
    __IO uint32_t  DSTAT7;                          /*!< Destination Status Register                                           */
    
    struct {
      __IO uint32_t  DSTAT      : 32;               /*!< Destination status                                                    */
    } DSTAT7_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTAT7_H;                          /*!< Destination Status Register                                           */
  
  union {
    __IO uint32_t  SSTATAR7;                        /*!< Source Status Address Register                                        */
    
    struct {
      __IO uint32_t  SSTATAR    : 32;               /*!< Source Status Address                                                 */
    } SSTATAR7_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  SSTATAR7_H;                        /*!< Source Status Address Register                                        */
  
  union {
    __IO uint32_t  DSTATAR7;                        /*!< Destination Status Address Register                                   */
    
    struct {
      __IO uint32_t  DSTATAR    : 32;               /*!< Destination Status Address                                            */
    } DSTATAR7_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DSTATAR7_H;                        /*!< Destination Status Address Register                                   */
  
  union {
    __IO uint32_t  CFG7;                            /*!< Channel configuration                                                 */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  CH_PRIOR   :  3;               /*!< Channel Priority                                                      */
      __IO uint32_t  CH_SUSP    :  1;               /*!< Channel Suspend control                                               */
      __I  uint32_t  FIFO_EMPTY :  1;               /*!< Channel FIFO empty status                                             */
      __IO uint32_t  HS_SEL_DST :  1;               /*!< Destination Software or Hardware Handshaking Select.                  */
      __IO uint32_t  HS_SEL_SRC :  1;               /*!< Source Software or Hardware Handshaking Select.                       */
           uint32_t             :  6;
      __IO uint32_t  DST_HS_POL :  1;               /*!< Destination Handshaking Interface Polarity.                           */
      __IO uint32_t  SRC_HS_POL :  1;               /*!< Source Handshaking Interface Polarity.                                */
      __IO uint32_t  MAX_ABRST  : 10;               /*!< Maximum AMBA Burst Length                                             */
      __IO uint32_t  RELOAD_SRC :  1;               /*!< Automatic Source Reload                                               */
      __IO uint32_t  RELOAD_DST :  1;               /*!< Automatic Destination Reload                                          */
    } CFG7_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG7_H;                          /*!< Channel configuration                                                 */
    
    struct {
      __IO uint32_t  FCMODE     :  1;               /*!< Channel flow control mode                                             */
      __IO uint32_t  FIFO_MODE  :  1;               /*!< Channel FIFO mode control                                             */
           uint32_t             :  3;
      __IO uint32_t  DS_UPD_EN  :  1;               /*!< Destination Status Update Enable                                      */
      __IO uint32_t  SS_UPD_EN  :  1;               /*!< Source Status Update Enable                                           */
      __IO uint32_t  SRC_PER    :  4;               /*!< Source hardware interface                                             */
      __IO uint32_t  DEST_PER   :  4;               /*!< Destination hardware interface                                        */
           uint32_t : 17; // padding
    } CFG7_H_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  SGR7;                              /*!< Source Gather Register                                                */
  __I  uint32_t  SGR7_H;                            /*!< Source Gather Register                                                */
  __I  uint32_t  DSR7;                              /*!< Destination Scatter Register                                          */
  __I  uint32_t  DSR7_H;                            /*!< Destination Scatter Register                                          */
  
  union {
    __IO uint32_t  RAWTFR;                          /*!< Raw Status for IntTfr Interrupt                                       */
    
    struct {
      __IO uint32_t  RAW        :  8;               /*!< Raw Status for IntTfr Interrupt                                       */
           uint32_t : 24; // padding
    } RAWTFR_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RAWTFR_H;                          /*!< Raw Status for IntTfr Interrupt                                       */
  
  union {
    __IO uint32_t  RAWBLOCK;                        /*!< Raw Status for IntBlock Interrupt                                     */
    
    struct {
      __IO uint32_t  RAW        :  8;               /*!< Raw Status for IntBlock Interrupt                                     */
           uint32_t : 24; // padding
    } RAWBLOCK_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RAWBLOCK_H;                        /*!< Raw Status for IntBlock Interrupt                                     */
  
  union {
    __IO uint32_t  RAWSRCTRAN;                      /*!< Raw Status for IntSrcTran Interrupt                                   */
    
    struct {
      __IO uint32_t  RAW        :  8;               /*!< Raw Status for IntSrcTran Interrupt                                   */
           uint32_t : 24; // padding
    } RAWSRCTRAN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RAWSRCTRAN_H;                      /*!< Raw Status for IntSrcTran Interrupt                                   */
  
  union {
    __IO uint32_t  RAWDSTTRAN;                      /*!< Raw Status for IntDstTran Interrupt                                   */
    
    struct {
      __IO uint32_t  RAW        :  8;               /*!< Raw Status for IntDstTran Interrupt                                   */
           uint32_t : 24; // padding
    } RAWDSTTRAN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RAWDSTTRAN_H;                      /*!< Raw Status for IntDstTran Interrupt                                   */
  
  union {
    __IO uint32_t  RAWERR;                          /*!< Raw Status for IntErr Interrupt                                       */
    
    struct {
      __IO uint32_t  RAW        :  8;               /*!< Raw Status for IntErr Interrupt                                       */
           uint32_t : 24; // padding
    } RAWERR_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RAWERR_H;                          /*!< Raw Status for IntErr Interrupt                                       */
  
  union {
    __I  uint32_t  STATUSTFR;                       /*!< Status for IntTfr Interrupt                                           */
    
    struct {
      __I  uint32_t  STATUS     :  8;               /*!< Status for IntTfr Interrupt                                           */
           uint32_t : 24; // padding
    } STATUSTFR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSTFR_H;                       /*!< Status for IntTfr Interrupt                                           */
  
  union {
    __I  uint32_t  STATUSBLOCK;                     /*!< Status for IntBlock Interrupt                                         */
    
    struct {
      __I  uint32_t  STATUS     :  8;               /*!< Status for IntBlock Interrupt                                         */
           uint32_t : 24; // padding
    } STATUSBLOCK_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSBLOCK_H;                     /*!< Status for IntBlock Interrupt                                         */
  
  union {
    __I  uint32_t  STATUSSRCTRAN;                   /*!< Status for IntSrcTran Interrupt                                       */
    
    struct {
      __I  uint32_t  STATUS     :  8;               /*!< Status for IntSrcTran Interrupt                                       */
           uint32_t : 24; // padding
    } STATUSSRCTRAN_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSSRCTRAN_H;                   /*!< Status for IntSrcTran Interrupt                                       */
  
  union {
    __I  uint32_t  STATUSDSTTRAN;                   /*!< Status for IntDstTran Interrupt                                       */
    
    struct {
      __I  uint32_t  STATUS     :  8;               /*!< Status for IntDstTran Interrupt                                       */
           uint32_t : 24; // padding
    } STATUSDSTTRAN_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSDSTTRAN_H;                   /*!< Status for IntDstTran Interrupt                                       */
  
  union {
    __I  uint32_t  STATUSERR;                       /*!< Status for IntErr Interrupt                                           */
    
    struct {
      __I  uint32_t  STATUS     :  8;               /*!< Status for IntErr Interrupt                                           */
           uint32_t : 24; // padding
    } STATUSERR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSERR_H;                       /*!< Status for IntErr Interrupt                                           */
  
  union {
    __IO uint32_t  MASKTFR;                         /*!< Mask for IntTfr Interrupt                                             */
    
    struct {
      __IO uint32_t  INT_MASK   :  8;               /*!< Mask for IntTfr Interrupt 0: masked 1: unmasked                       */
      __IO uint32_t  INT_MASK_WE:  8;               /*!< Interrupt Mask Write Enable 0: write disabled 1: write enabled        */
           uint32_t : 16; // padding
    } MASKTFR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  MASKTFR_H;                         /*!< Mask for IntTfr Interrupt                                             */
  
  union {
    __IO uint32_t  MASKBLOCK;                       /*!< Mask for IntBlock Interrupt                                           */
    
    struct {
      __IO uint32_t  INT_MASK   :  8;               /*!< Mask for IntBlock Interrupt                                           */
      __IO uint32_t  INT_MASK_WE:  8;               /*!< Interrupt Mask Write Enable                                           */
           uint32_t : 16; // padding
    } MASKBLOCK_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  MASKBLOCK_H;                       /*!< Mask for IntBlock Interrupt                                           */
  
  union {
    __IO uint32_t  MASKSRCTRAN;                     /*!< Mask for IntSrcTran Interrupt                                         */
    
    struct {
      __IO uint32_t  INT_MASK   :  8;               /*!< Mask for IntSrcTran Interrupt                                         */
      __IO uint32_t  INT_MASK_WE:  8;               /*!< Interrupt Mask Write Enable                                           */
           uint32_t : 16; // padding
    } MASKSRCTRAN_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  MASKSRCTRAN_H;                     /*!< Mask for IntSrcTran Interrupt                                         */
  
  union {
    __IO uint32_t  MASKDSTTRAN;                     /*!< Mask for IntDstTran Interrupt                                         */
    
    struct {
      __IO uint32_t  INT_MASK   :  8;               /*!< Mask for IntDstTran Interrupt                                         */
      __IO uint32_t  INT_MASK_WE:  8;               /*!< Interrupt Mask Write Enable                                           */
           uint32_t : 16; // padding
    } MASKDSTTRAN_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  MASKDSTTRAN_H;                     /*!< Mask for IntDstTran Interrupt                                         */
  
  union {
    __IO uint32_t  MASKERR;                         /*!< Mask for IntErr Interrupt                                             */
    
    struct {
      __IO uint32_t  INT_MASK   :  8;               /*!< Mask for IntErr Interrupt                                             */
      __IO uint32_t  INT_MASK_WE:  8;               /*!< Interrupt Mask Write Enable                                           */
           uint32_t : 16; // padding
    } MASKERR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  MASKERR_H;                         /*!< Mask for IntErr Interrupt                                             */
  
  union {
    __IO uint32_t  CLEARTFR;                        /*!< Clear for IntTfr Interrupt                                            */
    
    struct {
      __IO uint32_t  CLEAR      :  8;               /*!< Clear for IntTfr Interrupt 0: no effect 1: clear interrupt            */
           uint32_t : 24; // padding
    } CLEARTFR_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  CLEARTFR_H;                        /*!< Clear for IntTfr Interrupt                                            */
  
  union {
    __IO uint32_t  CLEARBLOCK;                      /*!< Clear for IntBlock Interrupt                                          */
    
    struct {
      __IO uint32_t  CLEAR      :  8;               /*!< Clear for IntBlock Interrupt                                          */
           uint32_t : 24; // padding
    } CLEARBLOCK_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  CLEARBLOCK_H;                      /*!< Clear for IntBlock Interrupt                                          */
  
  union {
    __IO uint32_t  CLEARSRCTRAN;                    /*!< Clear for IntSrcTran Interrupt                                        */
    
    struct {
      __IO uint32_t  CLEAR      :  8;               /*!< Clear for IntSrcTran Interrupt                                        */
           uint32_t : 24; // padding
    } CLEARSRCTRAN_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  CLEARSRCTRAN_H;                    /*!< Clear for IntSrcTran Interrupt                                        */
  
  union {
    __IO uint32_t  CLEARDSTTRAN;                    /*!< Clear for IntDstTran Interrupt                                        */
    
    struct {
      __IO uint32_t  CLEAR      :  8;               /*!< Clear for IntDstTran Interrupt                                        */
           uint32_t : 24; // padding
    } CLEARDSTTRAN_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  CLEARDSTTRAN_H;                    /*!< Clear for IntDstTran Interrupt                                        */
  
  union {
    __IO uint32_t  CLEARERR;                        /*!< Clear for IntErr Interrupt                                            */
    
    struct {
      __IO uint32_t  CLEAR      :  8;               /*!< Clear for IntErr Interrupt                                            */
           uint32_t : 24; // padding
    } CLEARERR_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  CLEARERR_H;                        /*!< Clear for IntErr Interrupt                                            */
  
  union {
    __I  uint32_t  STATUSINT;                       /*!< Status for each Interrupt type                                        */
    
    struct {
      __I  uint32_t  TFR        :  1;               /*!< OR of the contents of StatusTfr register.                             */
      __I  uint32_t  BLOCK      :  1;               /*!< OR of the contents of StatusBlock register.                           */
      __I  uint32_t  SRCT       :  1;               /*!< OR of the contents of StatusSrcTran register.                         */
      __I  uint32_t  DSTT       :  1;               /*!< OR of the contents of StatusDst register.                             */
      __I  uint32_t  ERR        :  1;               /*!< OR of the contents of StatusErr register.                             */
           uint32_t : 27; // padding
    } STATUSINT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  STATUSINT_H;                       /*!< Status for each Interrupt type                                        */
  
  union {
    __IO uint32_t  REQSRCREG;                       /*!< Source Software Transaction Request register                          */
    
    struct {
      __IO uint32_t  SRC_REQ    :  8;               /*!< Source Software Transaction Request register                          */
      __IO uint32_t  SRC_REQ_WE :  8;               /*!< Source Software Transaction Request write enable 0: write disabled
                                                         1: write enabled                                                      */
           uint32_t : 16; // padding
    } REQSRCREG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  REQSRCREG_H;                       /*!< Source Software Transaction Request register                          */
  
  union {
    __IO uint32_t  REQDSTREG;                       /*!< Destination Software Transaction Request register                     */
    
    struct {
      __IO uint32_t  DST_REQ    :  8;               /*!< Destination Software Transaction Request register                     */
      __IO uint32_t  DST_REQ_WE :  8;               /*!< Destination Software Transaction Request write enable 0: write
                                                         disabled 1: write enabled                                             */
           uint32_t : 16; // padding
    } REQDSTREG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  REQDSTREG_H;                       /*!< Mask for IntBlock Interrupt                                           */
  
  union {
    __IO uint32_t  SGLRQSRCREG;                     /*!< Source Single Transaction Request register                            */
    
    struct {
      __IO uint32_t  SRC_SGLREQ :  8;               /*!< Source Single Transaction Request register                            */
      __IO uint32_t  SRC_SGLREQ_WE:  8;             /*!< Source Single Transaction Request write enable 0: write disabled
                                                         1: write enabled                                                      */
           uint32_t : 16; // padding
    } SGLRQSRCREG_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  SGLRQSRCREG_H;                     /*!< Source Single Transaction Request register                            */
  
  union {
    __IO uint32_t  SGLRQDSTREG;                     /*!< Destination Single Transaction Request register                       */
    
    struct {
      __IO uint32_t  DST_SGLREQ :  8;               /*!< Destination Single Transaction Request register                       */
      __IO uint32_t  DST_SGLREQ_WE:  8;             /*!< Destination Single Transaction Request write enable 0: write
                                                         disabled 1: write enabled                                             */
           uint32_t : 16; // padding
    } SGLRQDSTREG_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  SGLRQDSTREG_H;                     /*!< Destination Single Transaction Request register                       */
  
  union {
    __IO uint32_t  LSTSRCREG;                       /*!< Source Last Transaction Request register                              */
    
    struct {
      __IO uint32_t  LSTSRC     :  8;               /*!< Source Last Transaction Request register 0: Not last transaction
                                                         in current block 1: Last transaction in current block                 */
      __IO uint32_t  LSTSRC_WE  :  8;               /*!< Source Last Transaction Request write enable 0: write disabled
                                                         1: write enabled                                                      */
           uint32_t : 16; // padding
    } LSTSRCREG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  LSTSRCREG_H;                       /*!< Source Last Transaction Request register                              */
  
  union {
    __IO uint32_t  LSTDSTREG;                       /*!< Destination Last Transaction Request register                         */
    
    struct {
      __IO uint32_t  DST_SGLREQ :  8;               /*!< Destination Last Transaction Request register 0: Not last transaction
                                                         in current block 1: Last transaction in current block                 */
      __IO uint32_t  LSTDST_WE  :  8;               /*!< Destination Last Transaction Request write enable 0: write disabled
                                                         1: write enabled                                                      */
           uint32_t : 16; // padding
    } LSTDSTREG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  LSTDSTREG_H;                       /*!< Destination Last Transaction Request register                         */
  
  union {
    __IO uint32_t  DMACFGREG;                       /*!< DMA Configuration Register                                            */
    
    struct {
      __IO uint32_t  DMA_EN     :  1;               /*!< DMA global enable 0: DMAC Disabled 1: DMAC Enabled.                   */
           uint32_t : 31; // padding
    } DMACFGREG_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  DMACFGREG_H;                       /*!< DMA Configuration Register                                            */
  
  union {
    __IO uint32_t  CHENREG;                         /*!< Channel enable register                                               */
    
    struct {
      __IO uint32_t  CH_EN      :  8;               /*!< Enables/Disables the channel. Setting this bit enables a channel;clearing
                                                         this bit disables the channel. 0: Disable the Channel 1: Enable
                                                          the Channel                                                          */
      __IO uint32_t  CH_EN_WE   :  8;               /*!< Channel enable write enable.                                          */
           uint32_t : 16; // padding
    } CHENREG_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  CHENREG_H;                         /*!< Channel enable register                                               */
  
  union {
    __I  uint32_t  DMAIDREG;                        /*!< DMA ID register                                                       */
    
    struct {
      __I  uint32_t  DMA_ID     : 32;               /*!< DMA global enable                                                     */
    } DMAIDREG_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  DMAIDREG_H;                        /*!< DMA ID register                                                       */
  
  union {
    __IO uint32_t  DMATESTREG;                      /*!< DMA Test register                                                     */
    
    struct {
      __IO uint32_t  TEST_SLV_IF:  1;               /*!< DMA Test registerPuts the AHB slave interface into test mode.
                                                         In this mode, the readback value of the writable registers always
                                                          matches the value written. This bit does not allow writing to
                                                          read-only registers. 0: Normal mode 1: Test mode                     */
           uint32_t : 31; // padding
    } DMATESTREG_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  DMATESTREG_H;                      /*!< DMA Test register                                                     */
  __I  uint32_t  RESERVED[4];
  __I  uint32_t  DMA_COMP_PARAMS_6;                 /*!< Component Parameters registers                                        */
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_6_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH7_DTW    :  3;               /*!< CH7_DTWThe value of this register is derived from the DMAH_CH7_DTW
                                                         coreConsultant parameter. 0x0: NO_HARDCODE 0x1: 8 0x2: 16 0x3:
                                                          32 0x4: 64 0x5: 128 0x6: 256 0x7: reserved                           */
      __I  uint32_t  CH7_STW    :  3;               /*!< CH7_STWThe value of this register is derived from the DMAH_CH7_STW
                                                         coreConsultant parameter. 0x0: NO_HARDCODE 0x1: 8 0x2: 16 0x3:
                                                          32 0x4: 64 0x5: 128 0x6: 256 0x7: reserved                           */
      __I  uint32_t  CH7_STAT_DST:  1;              /*!< CH7_STAT_DSTThe value of this register is derived from the DMAH_CH7_STAT_D
                                                         ST coreConsultant parameter. 0x0: FALSE 0x1: TRUE                     */
      __I  uint32_t  CH7_STAT_SRC:  1;              /*!< CH7_STAT_SRCThe value of this register is derived from the DMAH_CH7_STAT_S
                                                         RC coreConsultant parameter. 0x0: FALSE 0x1: TRUE                     */
      __I  uint32_t  CH7_DST_SCA_EN:  1;            /*!< CH7_DST_SCA_ENThe value of this register is derived from the
                                                         DMAH_CH7_DST_SCA_EN coreConsultant parameter. 0x0: FALSE 0x1:
                                                          TRUE                                                                 */
      __I  uint32_t  CH7_SRC_GAT_EN:  1;            /*!< CH7_SRC_GAT_ENThe value of this register is derived from the
                                                         DMAH_CH7_SRC_GAT_EN coreConsultant parameter. 0x0: FALSE 0x1:
                                                          TRUE                                                                 */
      __I  uint32_t  CH7_LOCK_EN:  1;               /*!< CH7_LOCK_ENThe value of this register is derived from the DMAH_CH7_LOCK_EN
                                                         coreConsultant parameter. 0x0: FALSE 0x1: TRUE                        */
      __I  uint32_t  CH7_MULTI_BLK_EN:  1;          /*!< CH7_MULTI_BLK_ENThe value of this register is derived from the
                                                         DMAH_CH7_MULTI_BLK_EN coreConsultant parameter. 0x0: FALSE 0x1:
                                                          TRUE                                                                 */
      __I  uint32_t  CH7_CTL_WB_EN:  1;             /*!< CH7_CTL_WB_ENThe value of this register is derived from the
                                                         DMAH_CH7_CTL_WB_EN coreConsultant parameter. 0x0: FALSE 0x1:
                                                          TRUE                                                                 */
      __I  uint32_t  CH7_HC_LLP :  1;               /*!< CH7_HC_LLPThe value of this register is derived from the DMAH_CH7_HC_LLP
                                                         coreConsultant parameter. 0x0: FALSE 0x1: TRUE                        */
      __I  uint32_t  CH7_FC     :  2;               /*!< CH7_FCThe value of this register is derived from the DMAH_CH7_FC
                                                         coreConsultant parameter. 0x0: DMA 0x1: SRC 0x2: DST 0x3: ANY         */
      __I  uint32_t  CH7_MAX_MULT_SIZE:  3;         /*!< CH7_MAX_MULT_SIZEThe value of this register is derived from
                                                         the DMAH_CH7_MULT_SIZE coreConsultant parameter. 0x0: 4 0x1:
                                                          8 0x2: 16 0x3: 32 0x4: 64 0x5: 128 0x6: 256 0x7: reserved            */
      __I  uint32_t  CH7_DMS    :  3;               /*!< CH7_DMSThe value of this register is derived from the DMAH_CH7_DMS
                                                         coreConsultant parameter. 0x0: MASTER_1 0x1: MASTER_2 0x2: MASTER_3
                                                          0x3: MASTER_4 0x4: NO_HARDCODE                                       */
      __I  uint32_t  CH7_LMS    :  3;               /*!< CH7_LMSThe value of this register is derived from the DMAH_CH7_LMS
                                                         coreConsultant parameter. 0x0: MASTER_1 0x1: MASTER_2 0x2: MASTER_3
                                                          0x3: MASTER_4 0x4: NO_HARDCODE                                       */
      __I  uint32_t  CH7_SMS    :  3;               /*!< CH7_SMSThe value of this register is derived from the DMAH_CH7_SMS
                                                         coreConsultant parameter. 0x0: MASTER_1 0x1: MASTER_2 0x2: MASTER_3
                                                          0x3: MASTER_4 0x4: NO_HARDCODE                                       */
      __I  uint32_t  CH7_FIFO_DEPTH:  3;            /*!< CH7_FIFO_DEPTHThe value of this register is derived from the
                                                         DMAH_CH7_FIFO_DEPTH coreConsultant parameter. 0x0: 8 0x1: 16
                                                          0x2: 32 0x3: 64 0x4: 128                                             */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_6_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_5;               /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH6_DTW    :  3;               /*!< CH6_DTW                                                               */
      __I  uint32_t  CH6_STW    :  3;               /*!< CH6_STW                                                               */
      __I  uint32_t  CH6_STAT_DST:  1;              /*!< CH6_STAT_DST                                                          */
      __I  uint32_t  CH6_STAT_SRC:  1;              /*!< CH6_STAT_SRC                                                          */
      __I  uint32_t  CH6_DST_SCA_EN:  1;            /*!< CH6_DST_SCA_EN                                                        */
      __I  uint32_t  CH6_SRC_GAT_EN:  1;            /*!< CH6_SRC_GAT_EN                                                        */
      __I  uint32_t  CH6_LOCK_EN:  1;               /*!< CH6_LOCK_EN                                                           */
      __I  uint32_t  CH6_MULTI_BLK_EN:  1;          /*!< CH6_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH6_CTL_WB_EN:  1;             /*!< CH6_CTL_WB_EN                                                         */
      __I  uint32_t  CH6_HC_LLP :  1;               /*!< CH6_HC_LLP                                                            */
      __I  uint32_t  CH6_FC     :  2;               /*!< CH6_FC                                                                */
      __I  uint32_t  CH6_MAX_MULT_SIZE:  3;         /*!< CH6_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH6_DMS    :  3;               /*!< CH6_DMS                                                               */
      __I  uint32_t  CH6_LMS    :  3;               /*!< CH6_LMS                                                               */
      __I  uint32_t  CH6_SMS    :  3;               /*!< CH6_SMS                                                               */
      __I  uint32_t  CH6_FIFO_DEPTH:  3;            /*!< CH6_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_5_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_5_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH5_DTW    :  3;               /*!< CH5_DTW                                                               */
      __I  uint32_t  CH5_STW    :  3;               /*!< CH5_STW                                                               */
      __I  uint32_t  CH5_STAT_DST:  1;              /*!< CH5_STAT_DST                                                          */
      __I  uint32_t  CH5_STAT_SRC:  1;              /*!< CH5_STAT_SRC                                                          */
      __I  uint32_t  CH5_DST_SCA_EN:  1;            /*!< CH5_DST_SCA_EN                                                        */
      __I  uint32_t  CH5_SRC_GAT_EN:  1;            /*!< CH5_SRC_GAT_EN                                                        */
      __I  uint32_t  CH5_LOCK_EN:  1;               /*!< CH5_LOCK_EN                                                           */
      __I  uint32_t  CH5_MULTI_BLK_EN:  1;          /*!< CH5_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH5_CTL_WB_EN:  1;             /*!< CH5_CTL_WB_EN                                                         */
      __I  uint32_t  CH5_HC_LLP :  1;               /*!< CH5_HC_LLP                                                            */
      __I  uint32_t  CH5_FC     :  2;               /*!< CH5_FC                                                                */
      __I  uint32_t  CH5_MAX_MULT_SIZE:  3;         /*!< CH5_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH5_DMS    :  3;               /*!< CH5_DMS                                                               */
      __I  uint32_t  CH5_LMS    :  3;               /*!< CH5_LMS                                                               */
      __I  uint32_t  CH5_SMS    :  3;               /*!< CH5_SMS                                                               */
      __I  uint32_t  CH5_FIFO_DEPTH:  3;            /*!< CH5_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_5_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_4;               /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH4_DTW    :  3;               /*!< CH4_DTW                                                               */
      __I  uint32_t  CH4_STW    :  3;               /*!< CH4_STW                                                               */
      __I  uint32_t  CH4_STAT_DST:  1;              /*!< CH4_STAT_DST                                                          */
      __I  uint32_t  CH4_STAT_SRC:  1;              /*!< CH4_STAT_SRC                                                          */
      __I  uint32_t  CH4_DST_SCA_EN:  1;            /*!< CH4_DST_SCA_EN                                                        */
      __I  uint32_t  CH4_SRC_GAT_EN:  1;            /*!< CH4_SRC_GAT_EN                                                        */
      __I  uint32_t  CH4_LOCK_EN:  1;               /*!< CH4_LOCK_EN                                                           */
      __I  uint32_t  CH4_MULTI_BLK_EN:  1;          /*!< CH4_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH4_CTL_WB_EN:  1;             /*!< CH4_CTL_WB_EN                                                         */
      __I  uint32_t  CH4_HC_LLP :  1;               /*!< CH4_HC_LLP                                                            */
      __I  uint32_t  CH4_FC     :  2;               /*!< CH4_FC                                                                */
      __I  uint32_t  CH4_MAX_MULT_SIZE:  3;         /*!< CH4_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH4_DMS    :  3;               /*!< CH4_DMS                                                               */
      __I  uint32_t  CH4_LMS    :  3;               /*!< CH4_LMS                                                               */
      __I  uint32_t  CH4_SMS    :  3;               /*!< CH4_SMS                                                               */
      __I  uint32_t  CH4_FIFO_DEPTH:  3;            /*!< CH4_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_4_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_4_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH3_DTW    :  3;               /*!< CH3_DTW                                                               */
      __I  uint32_t  CH3_STW    :  3;               /*!< CH3_STW                                                               */
      __I  uint32_t  CH3_STAT_DST:  1;              /*!< CH3_STAT_DST                                                          */
      __I  uint32_t  CH3_STAT_SRC:  1;              /*!< CH3_STAT_SRC                                                          */
      __I  uint32_t  CH3_DST_SCA_EN:  1;            /*!< CH3_DST_SCA_EN                                                        */
      __I  uint32_t  CH3_SRC_GAT_EN:  1;            /*!< CH3_SRC_GAT_EN                                                        */
      __I  uint32_t  CH3_LOCK_EN:  1;               /*!< CH3_LOCK_EN                                                           */
      __I  uint32_t  CH3_MULTI_BLK_EN:  1;          /*!< CH3_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH3_CTL_WB_EN:  1;             /*!< CH3_CTL_WB_EN                                                         */
      __I  uint32_t  CH3_HC_LLP :  1;               /*!< CH3_HC_LLP                                                            */
      __I  uint32_t  CH3_FC     :  2;               /*!< CH3_FC                                                                */
      __I  uint32_t  CH3_MAX_MULT_SIZE:  3;         /*!< CH3_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH3_DMS    :  3;               /*!< CH3_DMS                                                               */
      __I  uint32_t  CH3_LMS    :  3;               /*!< CH3_LMS                                                               */
      __I  uint32_t  CH3_SMS    :  3;               /*!< CH3_SMS                                                               */
      __I  uint32_t  CH3_FIFO_DEPTH:  3;            /*!< CH3_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_4_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_3;               /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH2_DTW    :  3;               /*!< CH2_DTW                                                               */
      __I  uint32_t  CH2_STW    :  3;               /*!< CH2_STW                                                               */
      __I  uint32_t  CH2_STAT_DST:  1;              /*!< CH2_STAT_DST                                                          */
      __I  uint32_t  CH2_STAT_SRC:  1;              /*!< CH2_STAT_SRC                                                          */
      __I  uint32_t  CH2_DST_SCA_EN:  1;            /*!< CH2_DST_SCA_EN                                                        */
      __I  uint32_t  CH2_SRC_GAT_EN:  1;            /*!< CH2_SRC_GAT_EN                                                        */
      __I  uint32_t  CH2_LOCK_EN:  1;               /*!< CH2_LOCK_EN                                                           */
      __I  uint32_t  CH2_MULTI_BLK_EN:  1;          /*!< CH2_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH2_CTL_WB_EN:  1;             /*!< CH2_CTL_WB_EN                                                         */
      __I  uint32_t  CH2_HC_LLP :  1;               /*!< CH2_HC_LLP                                                            */
      __I  uint32_t  CH2_FC     :  2;               /*!< CH2_FC                                                                */
      __I  uint32_t  CH2_MAX_MULT_SIZE:  3;         /*!< CH2_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH2_DMS    :  3;               /*!< CH2_DMS                                                               */
      __I  uint32_t  CH2_LMS    :  3;               /*!< CH2_LMS                                                               */
      __I  uint32_t  CH2_SMS    :  3;               /*!< CH2_SMS                                                               */
      __I  uint32_t  CH2_FIFO_DEPTH:  3;            /*!< CH2_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_3_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_3_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH1_DTW    :  3;               /*!< CH1_DTW                                                               */
      __I  uint32_t  CH1_STW    :  3;               /*!< CH1_STW                                                               */
      __I  uint32_t  CH1_STAT_DST:  1;              /*!< CH1_STAT_DST                                                          */
      __I  uint32_t  CH1_STAT_SRC:  1;              /*!< CH1_STAT_SRC                                                          */
      __I  uint32_t  CH1_DST_SCA_EN:  1;            /*!< CH1_DST_SCA_EN                                                        */
      __I  uint32_t  CH1_SRC_GAT_EN:  1;            /*!< CH1_SRC_GAT_EN                                                        */
      __I  uint32_t  CH1_LOCK_EN:  1;               /*!< CH1_LOCK_EN                                                           */
      __I  uint32_t  CH1_MULTI_BLK_EN:  1;          /*!< CH1_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH1_CTL_WB_EN:  1;             /*!< CH1_CTL_WB_EN                                                         */
      __I  uint32_t  CH1_HC_LLP :  1;               /*!< CH1_HC_LLP                                                            */
      __I  uint32_t  CH1_FC     :  2;               /*!< CH1_FC                                                                */
      __I  uint32_t  CH1_MAX_MULT_SIZE:  3;         /*!< CH1_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH1_DMS    :  3;               /*!< CH1_DMS                                                               */
      __I  uint32_t  CH1_LMS    :  3;               /*!< CH1_LMS                                                               */
      __I  uint32_t  CH1_SMS    :  3;               /*!< CH1_SMS                                                               */
      __I  uint32_t  CH1_FIFO_DEPTH:  3;            /*!< CH1_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_3_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_2;               /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH0_DTW    :  3;               /*!< CH0_DTW                                                               */
      __I  uint32_t  CH0_STW    :  3;               /*!< CH0_STW                                                               */
      __I  uint32_t  CH0_STAT_DST:  1;              /*!< CH0_STAT_DST                                                          */
      __I  uint32_t  CH0_STAT_SRC:  1;              /*!< CH0_STAT_SRC                                                          */
      __I  uint32_t  CH0_DST_SCA_EN:  1;            /*!< CH0_DST_SCA_EN                                                        */
      __I  uint32_t  CH0_SRC_GAT_EN:  1;            /*!< CH0_SRC_GAT_EN                                                        */
      __I  uint32_t  CH0_LOCK_EN:  1;               /*!< CH0_LOCK_EN                                                           */
      __I  uint32_t  CH0_MULTI_BLK_EN:  1;          /*!< CH0_MULTI_BLK_EN                                                      */
      __I  uint32_t  CH0_CTL_WB_EN:  1;             /*!< CH0_CTL_WB_EN                                                         */
      __I  uint32_t  CH0_HC_LLP :  1;               /*!< CH0_HC_LLP                                                            */
      __I  uint32_t  CH0_FC     :  2;               /*!< CH0_FC                                                                */
      __I  uint32_t  CH0_MAX_MULT_SIZE:  3;         /*!< CH0_MAX_MULT_SIZE                                                     */
      __I  uint32_t  CH0_DMS    :  3;               /*!< CH0_DMS                                                               */
      __I  uint32_t  CH0_LMS    :  3;               /*!< CH0_LMS                                                               */
      __I  uint32_t  CH0_SMS    :  3;               /*!< CH0_SMS                                                               */
      __I  uint32_t  CH0_FIFO_DEPTH:  3;            /*!< CH0_FIFO_DEPTH                                                        */
           uint32_t : 1; // padding
    } DMA_COMP_PARAMS_2_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_2_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH0_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH0_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH1_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH1_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH2_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH2_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH3_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH3_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH4_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH4_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH5_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH5_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH6_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH6_MULTI_BLK_TYPE                                               */
      __I  uint32_t  CH7_MULTI_BLK_TYPE:  4;        /*!< DMAH_CH7_MULTI_BLK_TYPEThe values of these bit fields are derived
                                                         from the DMAH_CHx_MULTI_BLK_TYPE coreConsultant parameter. 0x0:
                                                          NO_HARDCODE 0x1: CONT_RELOAD 0x2: RELOAD_CONT 0x3: RELOAD_RELOAD
                                                          0x4: CONT_LLP 0x5: RELOAD_LLP 0x6: LLP_CONT 0x7: LLP_RELOAD
                                                          0x8: LLP_LLP                                                         */
    } DMA_COMP_PARAMS_2_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_1;               /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  CH0_MAX_BLK_SIZE:  4;          /*!< DMAH_CH0_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH1_MAX_BLK_SIZE:  4;          /*!< DMAH_CH1_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH2_MAX_BLK_SIZE:  4;          /*!< DMAH_CH2_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH3_MAX_BLK_SIZE:  4;          /*!< DMAH_CH3_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH4_MAX_BLK_SIZE:  4;          /*!< DMAH_CH4_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH5_MAX_BLK_SIZE:  4;          /*!< DMAH_CH5_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH6_MAX_BLK_SIZE:  4;          /*!< DMAH_CH6_MAX_BLK_SIZE                                                 */
      __I  uint32_t  CH7_MAX_BLK_SIZE:  4;          /*!< DMAH_CH7_MAX_BLK_SIZEThe values of these bit fields are derived
                                                         from the DMAH_CHx_MAX_BLK_SIZE coreConsultant parameter. 0x0:
                                                          3 0x1: 7 0x2 =15 0x3: 31 0x4: 63 0x5: 127 0x6: 255 0x7: 511
                                                          0x8: 1023 0x9: 2047 0xa: 4095                                        */
    } DMA_COMP_PARAMS_1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMA_COMP_PARAMS_1_H;             /*!< Component Parameters registers                                        */
    
    struct {
      __I  uint32_t  BIG_ENDIAN :  1;               /*!< DMAH_BIG_ENDIANThe value of this register is derived from the
                                                         DMAH_BIG_ENDIAN coreConsultant parameter. 0: FALSE 1: TRUE            */
      __I  uint32_t  INTR_IO    :  2;               /*!< DMAH_INTR_IOThe value of this register is derived from the DMAH_INTR_IO
                                                         coreConsultant parameter. 0x0: ALL 0x1: TYPE 0x2: COMBINED 0x3:
                                                          reserved                                                             */
      __I  uint32_t  MAX_ABRST  :  1;               /*!< DMAH_MAX_ABRSTThe value of this register is derived from the
                                                         DMAH_MABRST coreConsultant parameter. 0: FALSE 1: TRUE                */
           uint32_t             :  4;
      __I  uint32_t  NUM_CHANNELS:  3;              /*!< DMAH_NUM_CHANNELSThe value of this register is derived from
                                                         the DMAH_NUM_CHANNELS coreConsultant parameter. 0x0: 1 to 0x7:
                                                          8                                                                    */
      __I  uint32_t  NUM_MASTER_INT:  2;            /*!< DMAH_NUM_MASTER_INTThe value of this register is derived from
                                                         the DMAH_NUM_MASTER_INT coreConsultant parameter. 0x0: 1 to
                                                          0x3: 4                                                               */
      __I  uint32_t  S_HDATA_WIDTH:  2;             /*!< DMAH_S_HDATA_WIDTHThe value of this register is derived from
                                                         the DMAH_S_HDATA_WIDTH coreConsultant parameter. 0x0: 32 bits
                                                          0x1: 64 bits 0x2: 128 bits 0x3: 256 bits                             */
      __I  uint32_t  M4_HDATA_WIDTH:  2;            /*!< DMAH_M4_HDATA_WIDTHThe value of this register is derived from
                                                         the DMAH_M4_HDATA_WIDTH coreConsultant parameter. 0x0: 32 bits
                                                          0x1: 64 bits 0x2: 128 bits 0x3: 256 bits                             */
      __I  uint32_t  M3_HDATA_WIDTH:  2;            /*!< DMAH_M3_HDATA_WIDTHThe value of this register is derived from
                                                         the DMAH_M3_HDATA_WIDTH coreConsultant parameter. 0x0: 32 bits
                                                          0x1: 64 bits 0x2: 128 bits 0x3: 256 bits                             */
      __I  uint32_t  M2_HDATA_WIDTH:  2;            /*!< DMAH_M2_HDATA_WIDTHThe value of this register is derived from
                                                         the DMAH_M2_HDATA_WIDTH coreConsultant parameter. 0x0: 32 bits
                                                          0x1: 64 bits 0x2: 128 bits 0x3: 256 bits                             */
      __I  uint32_t  M1_HDATA_WIDTH:  2;            /*!< DMAH_M1_HDATA_WIDTHThe value of this register is derived from
                                                         the DMAH_M1_HDATA_WIDTH coreConsultant parameter. 0x0: 32 bits
                                                          0x1: 64 bits 0x2: 128 bits 0x3: 256 bits                             */
      __I  uint32_t  NUM_HS_INT :  5;               /*!< DMAH_NUM_HS_INTThe value of this register is derived from the
                                                         DMAH_NUM_HS_INT coreConsultant parameter. 0x00: 0 to 0x10: 16         */
      __I  uint32_t  ADD_ENCODED_PARAMS:  1;        /*!< DMAH_ADD_ENCODED_PARAMSThe value of this register is derived
                                                         from the DMAH_ADD_ENCODED_PARAMS coreConsultant parameter. 0:
                                                          FALSE 1: TRUE                                                        */
      __I  uint32_t  STATIC_ENDIAN_SELECT:  1;      /*!< DMAH_STATIC_ENDIAN_SELECTThe value of this register is derived
                                                         from the DMAH_STATIC_ENDIAN_SELECT coreConsultant parameter.
                                                          0: FALSE 1: TRUE                                                     */
           uint32_t : 2; // padding
    } DMA_COMP_PARAMS_1_H_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMACOMPSID;                      /*!< DMA Component ID register                                             */
    
    struct {
      __I  uint32_t  DMA_COMP_TYPE: 32;             /*!< DMA Component identifier - Fixed at `h44571110                        */
    } DMACOMPSID_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DMACOMPSID_H;                    /*!< DMA Component ID register                                             */
    
    struct {
      __I  uint32_t  DMA_COMP_VERSION: 32;          /*!< DMA Component Version                                                 */
    } DMACOMPSID_H_b;                               /*!< BitSize                                                               */
  };
} SDMAC_Type;


/* ================================================================================ */
/* ================                      EMMC0                     ================ */
/* ================================================================================ */


/**
  * @brief emmc0 (EMMC0)
  */

typedef struct {                                    /*!< EMMC0 Structure                                                       */
  
  union {
    __IO uint32_t  SDMASysAddr_Arg2;                /*!< SDMA System Address / Argument 2 Register                             */
    
    struct {
      __IO uint32_t  SDMA_System_Address_Argument_2: 32;/*!< This register contains the physical system memory address used
                                                         for DMA transfers or the second argument for the Auto CMD23.(1)
                                                          SDMA System AddressThis register contains the system memory
                                                          address for a SDMA transfer. When the Host Controller stops
                                                          a SDMA transfer, this register shall point to the system address
                                                          of the next contiguous data position. It can be accessed only
                                                          if no transaction is executing (i.e., after a transaction has
                                                          stopped). Read operations during transfers may return an invalid
                                                          value. The                                                           */
    } SDMASysAddr_Arg2_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BlkCnt_BlkSize;                  /*!< Block Count Register and Block Size Register                          */
    
    struct {
      __IO uint32_t  Transfer_Block_Size: 12;       /*!< This register specifies the block size for block data transfers
                                                         for CMD17, CMD18, CMD24, CMD25, and CMD53. It can be accessed
                                                          only if no transaction is executing (i.e after a transaction
                                                          has stopped). Read operations during transfer return an invalid
                                                          value and write operations shall be ignored.0x0000: No Data
                                                          Transfer0x0001: 1 byte0x0002: 2 bytes0x0003: 3 bytes0x0004:
                                                          4 bytes--- ---0x01FF: 511 bytes0x0200: 512 bytes--- ---0x0800:
                                                          2048 bytes                                                           */
      __IO uint32_t  Host_SDMA_Buffer_Size:  3;     /*!< To perform long DMA transfer, System Address register shall
                                                         be updated at every system boundary during DMA transfer. These
                                                          bits specify the size of contiguous buffer in the system memory.
                                                          The DMA transfer shall wait at the every boundary specified
                                                          by these fields and the HC generates the DMA Interrupt to request
                                                          the HD to update the System Address register.These bits shall
                                                          support when the DMA Support in the Capabilities register is
                                                          set to 1 and this function is active when the DMA Enable in
                                                          the Transfer M                                                       */
           uint32_t             :  1;
      __IO uint32_t  Blocks_Count_for_Current_Transfer: 16;/*!< This register is enabled when Block Count Enable in the Transfer
                                                         Mode register is set to 1 and is valid only for multiple block
                                                          transfers. The HC decrements the block count after each block
                                                          transfer and stops when the count reaches zero. It can be accessed
                                                          only if no transaction is executing (i.e. after a transaction
                                                          has stopped). Read operations during transfer return an invalid
                                                          value and write operations shall be ignored.When saving transfer
                                                          context as a result of Suspend command, the number of blocks
                                                          ye                                                                   */
    } BlkCnt_BlkSize_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  Arg1;                            /*!< Argument1 Register                                                    */
    
    struct {
      __IO uint32_t  Command_Argument_1: 32;        /*!< The SD Command Argument is specified as bit39-8 of Command-Format.    */
    } Arg1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  Cmd_TranMode;                    /*!< Command Register and Transfer Mode Register                           */
    
    struct {
      __IO uint32_t  DMA_Enable :  1;               /*!< DMA can be enabled only if DMA Support bit in the Capabilities
                                                         register is set. If this bit is set to 1, a DMA operation shall
                                                          begin when the HD writes to the upper byte of Command register
                                                          (0x00F).0: Disable1: Enable                                          */
      __IO uint32_t  Block_Count_Enable:  1;        /*!< This bit is used to enable the Block count register, which is
                                                         only relevant for multiple block transfers. When this bit is
                                                          0, the Block Count register is disabled, which is useful in
                                                          executing an infinite transfer.0: Disable1: Enable                   */
      __IO uint32_t  Auto_CMD_Enable:  2;           /*!< This field determines use of auto command functions00: Auto
                                                         Command Disabled01: Auto CMD12 Enable10: Auto CMD23 Enable11:
                                                          ReservedThere are two methods to stop Multiple-block read and
                                                          write operation.(1) Auto CMD12 EnableMultiple-block read and
                                                          write commands for memory require CMD12 to stop the operation.
                                                          When this field is set to 0b01, the Host Controller issues CMD12
                                                          automatically when last block transfer is completed. Auto CMD12
                                                          error is indicated to the Auto CMD Error Status register.The
                                                          Host Driver s                                                        */
      __IO uint32_t  Data_Transfer_Direction_Select:  1;/*!< This bit defines the direction of data transfers.0: Write (Host
                                                         to Card)1: Read (Card to Host)                                        */
      __IO uint32_t  Multi_Single_Block_Select:  1; /*!< This bit enables multiple block data transfers.0: Single Block1:
                                                         Multiple Block                                                        */
           uint32_t             : 10;
      __IO uint32_t  Response_Type_Select:  2;      /*!< Response Type Select00: No Response01: Response length 13610:
                                                         Response length 4811: Response length 48 check Busy after response    */
           uint32_t             :  1;
      __IO uint32_t  Command_CRC_Check_Enable:  1;  /*!< If this bit is set to 1, the HC shall check the CRC field in
                                                         the response. If an error is detected, it is reported as a Command
                                                          CRC Error. If this bit is set to 0, the CRC field is not checked.0:
                                                          Disable1: Enable                                                     */
      __IO uint32_t  Command_Index_Check_Enable:  1;/*!< If this bit is set to 1, the HC shall check the index field
                                                         in the response to see if it has the same value as the command
                                                          index. If it is not, it is reported as a Command Index Error.
                                                          If this bit is set to 0, the Index field is not checked.0: Disable1:
                                                          Enable                                                               */
      __IO uint32_t  Data_Present_Select:  1;       /*!< This bit is set to 1 to indicate that data is present and shall
                                                         be transferred using the DAT line. If is set to 0 for the following:1.
                                                          Commands using only CMD line (ex. CMD52)2. Commands with no
                                                          data transfer but using busy signal on DAT[0] line (R1b or R5b
                                                          ex. CMD38)3. Resume Command0: No Data Present1: Data Present         */
      __IO uint32_t  Command_Type:  2;              /*!< There are three types of special commands. Suspend, Resume and
                                                         Abort. These bits shall bet set to 0b00 for all other commands.Suspend
                                                          CommandIf the Suspend command succeeds, the HC shall assume
                                                          the SD Bus has been released and that it is possible to issue
                                                          the next command which uses the DAT line. The HC shall de-assert
                                                          Read Wait for read transactions and stop checking busy for write
                                                          transactions. The Interrupt cycle shall start, in 4-bit mode.
                                                          If the Suspend command fails, the HC shall maintain its current      */
      __IO uint32_t  Command_Index:  6;             /*!< This bit shall be set to the command number (CMD0-63, ACMD0-63).      */
           uint32_t : 2; // padding
    } Cmd_TranMode_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Resp1_Resp0;                     /*!< Response Register (0-31 bit)                                          */
    
    struct {
      __I  uint32_t  Command_Response: 32;          /*!< Command Response [31:0]Please refer 'SD Host Controller Specification
                                                         version 3.0.'                                                         */
    } Resp1_Resp0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Resp3_Resp2;                     /*!< Response Register (32-63 bit)                                         */
    
    struct {
      __I  uint32_t  Command_Response: 32;          /*!< Command Response [63:32]Please refer 'SD Host Controller Specification
                                                         version 3.0.'                                                         */
    } Resp3_Resp2_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Resp5_Resp4;                     /*!< Response Register (64-95 bit)                                         */
    
    struct {
      __I  uint32_t  Command_Response: 32;          /*!< Command Response [95:64]Please refer 'SD Host Controller Specification
                                                         version 3.0.'                                                         */
    } Resp5_Resp4_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Resp7_Resp6;                     /*!< Response Register (96-127 bit)                                        */
    
    struct {
      __I  uint32_t  Command_Response: 32;          /*!< Command Response [127:96]Please refer 'SD Host Controller Specification
                                                         version 3.0.'                                                         */
    } Resp7_Resp6_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BufDataPort;                     /*!< Buffer Data Port Register                                             */
    
    struct {
      __IO uint32_t  Buffer_Data: 32;               /*!< The Host Controller Buffer can be accessed through this 32-bit
                                                         Data Port Register.                                                   */
    } BufDataPort_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PresentState;                    /*!< Present State Register                                                */
    
    struct {
      __I  uint32_t  Command_Inhibit_CMD:  1;       /*!< Command_Inhibit (CMD)If this bit is 0, it indicates the CMD
                                                         line is not in use and the HC can issue a SD command using the
                                                          CMD line. This bit is set immediately after the Command register
                                                          (0x00F) is written. This bit is cleared when the command response
                                                          is received.Even if the Command Inhibit (DAT) is set to 1, Commands
                                                          using only the CMD line can be issued if this bit is 0. Changing
                                                          from 1 to 0 generates a Command complete interrupt in the Normal
                                                          Interrupt Status register. If the HC cannot issue the comma          */
      __I  uint32_t  Command_Inhibit_DAT:  1;       /*!< Command_Inhibit (DAT)This status bit is generated if either
                                                         the DAT Line Active or the Read transfer Active is set to 1.
                                                          If this bit is 0, it indicates the HC can issue the next SD
                                                          command. Commands with busy signal belong to Command Inhibit
                                                          (DAT) (ex. R1b, R5b type).Changing from 1 to 0 generates a Transfer
                                                          Complete interrupt in the Normal interrupt status register.Note:
                                                          The SD Host Driver can save registers in the range of 0x000-0x00D
                                                          for a suspend transaction after this bit has changed from 1
                                                          to 0.1: ca                                                           */
      __I  uint32_t  DAT_Line_Active:  1;           /*!< This bit indicates whether one of the DAT line on SD bus is
                                                         in use.1: DAT line active0: DAT line inactive                         */
      __I  uint32_t  Re_Tuning_Request:  1;         /*!< Re-Tuning RequestHost Controller may request Host Driver to
                                                         execute re-tuning sequence by setting this bit when the data
                                                          window is shifted by temperature drift and a tuned sampling
                                                          point does not have a good margin to receive correct data.This
                                                          bit is cleared when a command is issued with setting Execute
                                                          Tuning in the Host Control 2 register.Changing of this bit from
                                                          0 to 1 generates Re-Tuning Event. Refer to Normal Interrupt
                                                          registers for more detail.This bit isnt set to 1 if Sampling
                                                          Clock Select in the H                                                */
           uint32_t             :  4;
      __I  uint32_t  Write_Transfer_Active:  1;     /*!< This status indicates a write transfer is active. If this bit
                                                         is 0, it means no valid write data exists in the HC. This bit
                                                          is set in either of the following cases:- After the end bit
                                                          of the write command.- When writing a 1 to Continue Request
                                                          in the Block Gap Control register to restart a write transfer.This
                                                          bit is cleared in either of the following cases:- After getting
                                                          the CRC status of the last data block as specified by the transfer
                                                          count (Single or Multiple)- After getting a CRC status of any
                                                          block w                                                              */
      __I  uint32_t  Read_Transfer_Active:  1;      /*!< This status is used for detecting completion of a read transfer.This
                                                         bit is set to 1 for either of the following conditions:- After
                                                          the end bit of the read command- When writing a 1 to continue
                                                          Request in the Block Gap Control register to restart a read
                                                          transferThis bit is cleared to 0 for either of the following
                                                          conditions:- When the last data block as specified by block
                                                          length is transferred to the system.- When all valid data blocks
                                                          have been transferred to the system and no current block transfers
                                                          are                                                                  */
      __I  uint32_t  Buffer_Write_Enable:  1;       /*!< This status is used for non-DMA write transfers.This read only
                                                         flag indicates if space is available for write data. If this
                                                          bit is 1, data can be written to the buffer. A change of this
                                                          bit from 1 to 0 occurs when all the block data is written to
                                                          the buffer. A change of this bit from 0 to 1 occurs when top
                                                          of block data can be written to the buffer and generates the
                                                          Buffer Write Ready Interrupt.0: Write Disable1: Write Enable         */
      __I  uint32_t  Buffer_Read_Enable:  1;        /*!< This status is used for non-DMA read transfers.This read only
                                                         flag indicates that valid data exists in the host side buffer
                                                          status. If this bit is 1, readable data exists in the buffer.
                                                          A change of this bit from 1 to 0 occurs when all the block data
                                                          is read from the buffer. A change of this bit from 0 to 1 occurs
                                                          when all the block data is ready in the buffer and generates
                                                          the Buffer Read Ready Interrupt.0: Read Disable1: Read Enable        */
           uint32_t             :  4;
      __I  uint32_t  Card_Inserted:  1;             /*!< This bit indicates whether a card has been inserted. Changing
                                                         from 0 to 1 generates a Card Insertion interrupt in the Normal
                                                          Interrupt Status register and changing from 1 to 0 generates
                                                          a Card Removal Interrupt in the Normal Interrupt Status register.
                                                          The Software Reset For All in the Software Reset register shall
                                                          not affect this bit.If a Card is removed while its power is
                                                          on and its clock is oscillating, the HC shall clear SD Bus Power
                                                          in the Power Control register and SD Clock Enable in the Clock
                                                          control                                                              */
      __I  uint32_t  Card_State_Stable:  1;         /*!< This bit is used for testing. If it is 0, the Card Detect Pin
                                                         Level is not stable. If this bit is set to 1, it means the Card
                                                          Detect Pin Level is stable. The Software Reset For All in the
                                                          Software Reset Register shall not affect this bit.0: Reset of
                                                          Debouncing1: No Card or Inserted                                     */
      __I  uint32_t  Card_Detect_Pin_Level:  1;     /*!< This bit reflects the inverse value of the SDCD# pin.0: No Card
                                                         present (SDCD# = 1)1: Card present (SDCD# = 0)                        */
      __I  uint32_t  Write_Protect_Switch_Pin_Level:  1;/*!< The Write Protect Switch is supported for memory and combo cards.
                                                         This bit reflects the SDWP# pin.0: Write protected (SDWP# =
                                                          1)1: Write enabled (SDWP# = 0)                                       */
      __I  uint32_t  DAT_Lower_Line_Signal_Level:  4;/*!< DAT[3:0] Line Signal LevelThis status is used to check DAT line
                                                         level to recover from errors, and for debugging. This is especially
                                                          useful in detecting the busy signal level from DAT[0].D23 -
                                                          DAT[3]D22 - DAT[2]D21 - DAT[1]D20 - DAT[0]                           */
      __I  uint32_t  CMD_Line_Signal_Level:  1;     /*!< This status is used to check CMD line level to recover from
                                                         errors, and for debugging.                                            */
      __I  uint32_t  DAT_Upper_Line_Signal_Level:  4;/*!< DAT[7:4] Line Signal LevelThis status is used to check DAT line
                                                         level to recover from errors, and for debugging.D28 - DAT[7]D27
                                                          - DAT[6]D26 - DAT[5]D25 - DAT[4]                                     */
           uint32_t : 3; // padding
    } PresentState_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  Wkup_BlkGap_Pwr_Host1;           /*!< Wakeup Control Register and Block Gap Control Register and Power
                                                         Control Register and Host Control 1 Register                          */
    
    struct {
      __IO uint32_t  LED_Control:  1;               /*!< This bit is used to caution the user not to remove the card
                                                         while the SD card is being accessed. If the software is going
                                                          to issue multiple SD commands, this bit can be set during all
                                                          transactions. It is not necessary to change for each transaction.1:
                                                          LED on0: LED off                                                     */
      __IO uint32_t  Data_Transfer_Width:  1;       /*!< Data Transfer Width (SD1 or SD4)This bit selects the data width
                                                         of the HC. The HD shall select it to match the data width of
                                                          the SD card.1: 4-bit mode0: 1-bit mode                               */
      __IO uint32_t  High_Speed_Enable:  1;         /*!< This bit is optional. Before setting this bit, the HD shall
                                                         check the High Speed Support in the capabilities register. If
                                                          this bit is set to 0 (default), the HC outputs CMD line and
                                                          DAT lines at the falling edge of the SD clock (up to 25 MHz/20
                                                          MHz for MMC). If this bit is set to 1, the HC outputs CMD line
                                                          and DAT lines at the rising edge of the SD clock (up to 50 MHz
                                                          for SD/52 MHz for MMC)/208 MHz (for SD3.0). If Preset Value
                                                          Enable in the Host Control 2 register is set to 1, Host Driver
                                                          needs to reset SD                                                    */
      __IO uint32_t  DMA_Select :  2;               /*!< One of supported DMA modes can be selected. The host driver
                                                         shall check support of DMA modes by referring the Capabilities
                                                          register.00: SDMA is selected01: 32-bit Address ADMA1 is selected10:
                                                          32-bit Address ADMA2 is selected11: 64-bit Address ADMA2 is
                                                          selected                                                             */
      __IO uint32_t  Extended_Data_Transfer_Width:  1;/*!< This bit controls 8-bit bus width mode for embedded device.
                                                         Support of this function is indicated in 8-bit Support for Embedded
                                                          Device in the Capabilities register. If a device supports 8-bit
                                                          bus mode, this bit may be set to 1. If this bit is 0, bus width
                                                          is controlled by Data Transfer Width in the Host Control 1 register.
                                                          This bit is not effective when multiple devices are installed
                                                          on a bus slot (Slot Type is set to 0b10 in the Capabilities
                                                          register). In this case, each device bus width is controlled
                                                          by                                                                   */
      __IO uint32_t  Card_Detect_Test_Level:  1;    /*!< This bit is enabled while the Card Detect Signal Selection is
                                                         set to 1 and it indicates card inserted or not. Generates (card
                                                          ins or card removal) interrupt when the normal int sts enable
                                                          bit is set.1: Card Inserted0: No Card                                */
      __IO uint32_t  Card_detect_signal_detection:  1;/*!< This bit selects source for card detection.1: The card detect
                                                         test level is selected0: SDCD# is selected (for normal use)           */
      __IO uint32_t  SD_Bus_Power:  1;              /*!< Before setting this bit, the SD host driver shall set SD Bus
                                                         Voltage Select. If the HC detects the No Card State, this bit
                                                          shall be cleared.1: Power on0: Power off                             */
      __IO uint32_t  SD_Bus_Voltage_Select:  3;     /*!< By setting these bits, the HD selects the voltage level for
                                                         the SD card.Before setting this register, the HD shall check
                                                          the voltage support bits in the capabilities register. If an
                                                          unsupported voltage is selected, the Host System shall not supply
                                                          SD bus voltage111: 3.3 V (Typ.)110: 3.0 V (Typ.)101: 1.8 V (Typ.)100-000:
                                                          ReservedNote: This product does not support 1.8 V Signaling
                                                          defined in the SD Host Controller Specification. Therefore these
                                                          bits shall be set to 111. Regardless of this bit, it is possible     */
           uint32_t             :  4;
      __IO uint32_t  Stop_At_Block_Gap_Request:  1; /*!< This bit is used to stop executing a transaction at the next
                                                         block gap for non- DMA,SDMA and ADMA transfers. Until the transfer
                                                          complete is set to 1, indicating a transfer completion the HD
                                                          shall leave this bit set to 1. Clearing both the Stop At Block
                                                          Gap Request and Continue Request shall not cause the transaction
                                                          to restart. Read Wait is used to stop the read transaction at
                                                          the block gap. The HC shall honor Stop At Block Gap Request
                                                          for write transfers, but for read transfers it requires that
                                                          the SD car                                                           */
      __IO uint32_t  Continue_Request:  1;          /*!< This bit is used to restart a transaction which was stopped
                                                         using the Stop At Block Gap Request. To cancel stop at the block
                                                          gap, set Stop At block Gap Request to 0 and set this bit to
                                                          restart the transfer.The HC automatically clears this bit in
                                                          either of the following cases:1) In the case of a read transaction,
                                                          the DAT Line Active changes from 0 to 1 as a read transaction
                                                          restarts.2) In the case of a write transaction, the Write transfer
                                                          active changes from 0 to 1 as the write transaction restarts.Therefo */
      __IO uint32_t  Read_Wait_Control:  1;         /*!< The read wait function is optional for SDIO cards. If the card
                                                         supports read wait, set this bit to enable use of the read wait
                                                          protocol to stop read data using DAT[2] line. Otherwise the
                                                          HC has to stop the SD clock to hold read data, which restricts
                                                          commands generation. When the HD detects an SD card insertion,
                                                          it shall set this bit according to the CCCR of the SDIO card.
                                                          If the card does not support read wait, this bit shall never
                                                          be set to 1 otherwise DAT line conflict may occur.If this bit
                                                          is set to 0,                                                         */
      __IO uint32_t  Interrupt_At_Block_Gap:  1;    /*!< This bit is valid only in 4-bit mode of the SDIO card and selects
                                                         a sample point in the interrupt cycle. Setting to 1 enables
                                                          interrupt detection at the block gap for a multiple block transfer.
                                                          If the SD card cannot signal an interrupt during a multiple
                                                          block transfer, this bit should be set to 0. When the HD detects
                                                          an SD card insertion, it shall set this bit according to the
                                                          CCCR of the SDIO card.                                               */
      __IO uint32_t  SPI_MODE   :  1;               /*!< SPI mode enable bit.1: SPI mode0: SD mode                             */
      __IO uint32_t  BOOT_EN    :  1;               /*!< To start boot code access1: To start boot code access0: To stop
                                                         boot code access                                                      */
      __IO uint32_t  alt_boot_en:  1;               /*!< To start boot code access in alternative mode.1: To start alternate
                                                         boot mode access0: To stop alternate boot mode access                 */
      __IO uint32_t  boot_ack_chk:  1;              /*!< To check for the boot acknowledge in boot operation.1: wait
                                                         for boot ack from eMMC card0: Will not wait for boot ack from
                                                          eMMC card                                                            */
      __IO uint32_t  Wakeup_Event_Enable_On_Card_Interrupt:  1;/*!< This bit enables wakeup event via Card Interrupt assertion in
                                                         the Normal Interrupt Status register.This bit can be set to
                                                          1 if FN_WUS (Wake Up Support) in CIS is set to 1.1: Enable0:
                                                          Disable                                                              */
      __IO uint32_t  Wakeup_Event_Enable_On_SD_Card_Insertion:  1;/*!< This bit enables wakeup event via Card Insertion assertion in
                                                         the Normal Interrupt Status register.FN_WUS (Wake up Support)
                                                          in CIS does not affect this bit.1: Enable0: Disable                  */
      __IO uint32_t  Wakeup_Event_Enable_On_SD_Card_Removal:  1;/*!< This bit enables wakeup event via Card Removal assertion in
                                                         the Normal Interrupt Status register.FN_WUS (Wake up Support)
                                                          in CIS does not affect this bit.1: Enable0: Disable                  */
           uint32_t : 5; // padding
    } Wkup_BlkGap_Pwr_Host1_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SwReset_Timeout_Clock;           /*!< Software Reset and Timeout Control and Clock Control Register         */
    
    struct {
      __IO uint32_t  Internal_Clock_Enable:  1;     /*!< This bit is set to 0 when the HD is not using the HC or the
                                                         HC awaits a wakeup event. The HC should stop its internal clock
                                                          to go very low power state. Still, registers shall be able to
                                                          be read and written. Clock starts to oscillate when this bit
                                                          is set to 1. When clock oscillation is stable, the HC shall
                                                          set Internal Clock Stable in this register to 1. This bit shall
                                                          not affect card detection.1: Oscillate0: Stop                        */
      __I  uint32_t  Internal_Clock_Stable:  1;     /*!< This bit is set to 1 when SD clock is stable after writing to
                                                         Internal Clock Enable in this register to 1. The SD Host Driver
                                                          shall wait to set SD Clock Enable until this bit is set to 1.Note:
                                                          This is useful when using PLL for a clock oscillator that requires
                                                          setup time.1: Ready0: Not Ready                                      */
      __IO uint32_t  SD_Clock_Enable:  1;           /*!< The HC shall stop SDCLK when writing this bit to 0. SDCLK frequency
                                                         Select can be changed when this bit is 0. Then, the HC shall
                                                          maintain the same clock frequency until SDCLK is stopped (Stop
                                                          at SDCLK = 0). If the HC detects the No Card state, this bit
                                                          shall be cleared.1: Enable0: Disable                                 */
           uint32_t             :  2;
      __IO uint32_t  Clock_Generator_Select:  1;    /*!< This bit is used to select the clock generator mode in SDCLK
                                                         Frequency Select.If the Programmable Clock Mode is supported
                                                          (non-zero value is set to Clock Multiplier in the Capabilities
                                                          register), this bit attribute is RW, and if not supported, this
                                                          bit attribute is RO and zero is read.This bit depends on the
                                                          setting of Preset Value Enable in the Host Control 2 register.If
                                                          the Preset Value Enable = 0, this bit is set by Host Driver.If
                                                          the Preset Value Enable = 1, this bit is automatically set to
                                                          a value spe                                                          */
      __IO uint32_t  Upper_Bits_of_SDCLK_Frequency_Select:  2;/*!< Bit 07-06 is assigned to bit 09-08 of clock divider in SDCLK
                                                         Frequency Select                                                      */
      __IO uint32_t  SDCLK_Frequency_Select:  8;    /*!< This register is used to select the frequency of the SDCLK pin.
                                                         The frequency is not programmed directly; rather this register
                                                          holds the divisor of the Base Clock Frequency For SD clock in
                                                          the capabilities register. Only the following settings are allowed.(1)
                                                          8-bit Divided Clock Mode0x80: base clock divided by 2560x40:
                                                          base clock divided by 1280x20: base clock divided by 640x10:
                                                          base clock divided by 320x08: base clock divided by 160x04:
                                                          base clock divided by 80x02: base clock divided by 40x01: base
                                                          clock                                                                */
      __IO uint32_t  Data_Timeout_Counter_Value:  4;/*!< This value determines the interval by which DAT line time-outs
                                                         are detected.Refer to the Data Time-out Error in the Error Interrupt
                                                          Status register for information on factors that dictate time-out
                                                          generation. Time-out clock frequency will be generated by dividing
                                                          the sdclockTMCLK by this value. When setting this register,
                                                          prevent inadvertent time-out events by clearing the Data Time-out
                                                          Error Status Enable (in the Error Interrupt Status Enable register)1111:
                                                          Reserved1110: TMCLK * 2^27----------------------                     */
           uint32_t             :  4;
      __IO uint32_t  Software_Reset_for_All:  1;    /*!< This reset affects the entire HC except for the card detection
                                                         circuit. Register bits of type ROC, RW, RW1C, RWAC are cleared
                                                          to 0. During its initialization, the HD shall set this bit to
                                                          1 to reset the HC.The HC shall reset this bit to 0 when capabilities
                                                          registers are valid and the HD can read them. Additional use
                                                          of Software Reset For All may not affect the value of the Capabilities
                                                          registers. If this bit is set to 1, the SD card shall reset
                                                          itself and must be re initialized by the HD.1: Reset0: Work          */
      __IO uint32_t  Software_Reset_for_CMD_Line:  1;/*!< Only part of command circuit is reset.The following registers
                                                         and bits are cleared by this bit:Present State register- Command
                                                          Inhibit (CMD)Normal Interrupt Status register- Command Complete1:
                                                          Reset0: Work                                                         */
      __IO uint32_t  Software_Reset_for_DAT_Line:  1;/*!< Only part of data circuit is reset. The following registers
                                                         and bits are cleared by this bit:Buffer Data Port Register-
                                                          Buffer is cleared and Initialized.Present State register- Buffer
                                                          read Enable- Buffer write Enable- Read Transfer Active- Write
                                                          Transfer Active- DAT Line Active- Command Inhibit (DAT)Block
                                                          Gap Control register- Continue Request- Stop At Block Gap RequestNormal
                                                          Interrupt Status register- Buffer Read Ready- Buffer Write Ready-
                                                          Block Gap Event- Transfer Complete1: Reset0: Work                    */
           uint32_t : 5; // padding
    } SwReset_Timeout_Clock_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IntStat;                         /*!< Error Interrupt Status Register and Normal Interrupt Status
                                                         Register                                                              */
    
    struct {
      __IO uint32_t  Command_Complete:  1;          /*!< This bit is set when we get the end bit of the command response
                                                         (Except Auto CMD12 and Auto CMD23)Note: Command Time-out Error
                                                          has higher priority than Command Complete. If both are set to
                                                          1, it can be considered that the response was not received correctly.0:
                                                          No Command Complete1: Command Complete                               */
      __IO uint32_t  Transfer_Complete:  1;         /*!< This bit is set when a read/write transaction is completed.Read
                                                         Transaction:This bit is set at the falling edge of Read Transfer
                                                          Active Status.There are two cases in which the Interrupt is
                                                          generated. The first is when a data transfer is completed as
                                                          specified by data length (After the last data has been read
                                                          to the Host System).The second is when data has stopped at the
                                                          block gap and completed the data transfer by setting the Stop
                                                          At Block Gap Request in the Block Gap Control Register (After
                                                          valid data has                                                       */
      __IO uint32_t  Block_Gap_Event:  1;           /*!< If the Stop At Block Gap Request in the Block Gap Control Register
                                                         is set, this bit is set.Read Transaction:This bit is set at
                                                          the falling edge of the DAT Line Active Status (When the transaction
                                                          is stopped at SD Bus timing. The Read Wait must be supported
                                                          in order to use this function).Write Transaction:This bit is
                                                          set at the falling edge of Write Transfer Active Status (After
                                                          getting CRC status at SD Bus timing).0: No Block Gap Event1:
                                                          Transaction stopped at Block Gap                                     */
      __IO uint32_t  DMA_Interrupt:  1;             /*!< This status is set if the HC detects the Host DMA Buffer Boundary
                                                         in the Block Size register.0: No DMA Interrupt1: DMA Interrupt
                                                          is Generated                                                         */
      __IO uint32_t  Buffer_Write_Ready:  1;        /*!< This status is set if the Buffer Write Enable changes from 0
                                                         to 1.0: Not Ready to Write Buffer.1: Ready to Write Buffer.           */
      __IO uint32_t  Buffer_Read_Ready:  1;         /*!< This status is set if the Buffer Read Enable changes from 0
                                                         to 1.Buffer Read Ready is set to 1 for every CMD19 execution
                                                          in tuning procedure.0: Not Ready to read Buffer.1: Ready to
                                                          read Buffer.                                                         */
      __IO uint32_t  Card_Insertion:  1;            /*!< This status is set if the Card Inserted in the Present State
                                                         register changes from 0 to 1.When the HD writes this bit to
                                                          1 to clear this status the status of the Card Inserted in the
                                                          Present State register should be confirmed.Because the card
                                                          detect may possibly be changed when the HD clear this bit an
                                                          Interrupt event may not be generated.0: Card State Stable or
                                                          Debouncing1: Card Inserted                                           */
      __IO uint32_t  Card_Removal:  1;              /*!< This status is set if the Card Inserted in the Present State
                                                         register changes from 1 to 0.When the HD writes this bit to
                                                          1 to clear this status the status of the Card Inserted in the
                                                          Present State register should be confirmed.Because the card
                                                          detect may possibly be changed when the HD clear this bit an
                                                          Interrupt event may not be generated.0: Card State Stable or
                                                          Debouncing1: Card Removed                                            */
      __I  uint32_t  Card_Interrupt:  1;            /*!< Writing this bit to 1 does not clear this bit. It is cleared
                                                         by resetting the SD card interrupt factor.In 1-bit mode, the
                                                          HC shall detect the Card Interrupt without SD Clock to support
                                                          wakeup.In 4-bit mode, the card interrupt signal is sampled during
                                                          the interrupt cycle, so there are some sample delays between
                                                          the interrupt signal from the card and the interrupt to the
                                                          Host system.when this status has been set and the HD needs to
                                                          start this interrupt service, Card Interrupt Status Enable in
                                                          the Normal Inte                                                      */
      __I  uint32_t  INT_A      :  1;               /*!< This status is set if INT_A is enabled and INT_A# pin is in
                                                         low level. Writing this bit to 1 does not clear this bit. It
                                                          is cleared by resetting the INT_A interrupt factor                   */
      __I  uint32_t  INT_B      :  1;               /*!< This status is set if INT_B is enabled and INT_B# pin is in
                                                         low level. Writing this bit to 1 does not clear this bit. It
                                                          is cleared by resetting the INT_B interrupt factor                   */
      __I  uint32_t  INT_C      :  1;               /*!< This status is set if INT_C is enabled and INT_C# pin is in
                                                         low level. Writing this bit to 1 does not clear this bit. It
                                                          is cleared by resetting the INT_C interrupt factor                   */
      __I  uint32_t  Re_Tuning_Event:  1;           /*!< Re-tuning EventThis status is set if Re-Tuning Request in the
                                                         Present State register changes from 0 to 1.Host Controller requests
                                                          Host Driver to perform re-tuning for next data transfer. Current
                                                          data transfer (not large block count) can be completed without
                                                          re-tuning.1: Re-Tuning should be performed0: Re-Tuning is not
                                                          required                                                             */
      __IO uint32_t  Boot_ack_rcv:  1;              /*!< This status is set if the boot acknowledge is received from
                                                         device.0: Boot ack is not received.1: Boot ack is received.           */
      __IO uint32_t  Boot_terminate_Interrupt:  1;  /*!< This status is set if the boot operation get terminated0: Boot
                                                         operation is not terminated.1: Boot operation is terminated           */
      __I  uint32_t  Error_Interrupt:  1;           /*!< If any of the bits in the Error Interrupt Status Register are
                                                         set, then this bit is set. Therefore the HD can test for an
                                                          error by checking this bit first.0: No Error1: Error                 */
      __IO uint32_t  Command_Timeout_Error:  1;     /*!< Occurs only if the no response is returned within 64 SDCLK cycles
                                                         from the end bit of the command. If the HC detects a CMD line
                                                          conflict, in which case Command CRC Error shall also be set.
                                                          This bit shall be set without waiting for 64 SDCLK cycles because
                                                          the command will be aborted by the HC.0: No Error1: Timeout          */
      __IO uint32_t  Command_CRC_Error:  1;         /*!< Command CRC Error is generated in two cases.1. If a response
                                                         is returned and the Command Time-out Error is set to 0, this
                                                          bit is set to 1 when detecting a CRT error in the command response2.
                                                          The HC detects a CMD line conflict by monitoring the CMD line
                                                          when a command is issued. If the HC drives the CMD line to 1
                                                          level, but detects 0 level on the CMD line at the next SDCLK
                                                          edge, then the HC shall abort the command (Stop driving CMD
                                                          line) and set this bit to 1. The Command Timeout Error shall
                                                          also be set to                                                       */
      __IO uint32_t  Command_End_Bit_Error:  1;     /*!< Occurs when detecting that the end bit of a command response
                                                         is 0.0: No Error1: End Bit Error Generated                            */
      __IO uint32_t  Command_Index_Error:  1;       /*!< Occurs if a Command Index error occurs in the Command Response.0:
                                                         No Error1: Error                                                      */
      __IO uint32_t  Data_Timeout_Error:  1;        /*!< Occurs when detecting one of following timeout conditions.1.
                                                         Busy Timeout for R1b, R5b type.2. Busy Timeout after Write CRC
                                                          status3. Write CRC status Timeout4. Read Data Timeout0: No Error1:
                                                          Timeout                                                              */
      __IO uint32_t  Data_CRC_Error:  1;            /*!< Occurs when detecting CRC error when transferring read data
                                                         which uses the DAT line or when detecting the Write CRC Status
                                                          having a value of other than '0b010.'0: No Error1: Error             */
      __IO uint32_t  Data_End_Bit_Error:  1;        /*!< Occurs when detecting 0 at the end bit position of read data
                                                         which uses the DAT line or the end bit position of the CRC status.0:
                                                          No Error1: Error                                                     */
      __IO uint32_t  Current_Limit_Error:  1;       /*!< By setting the SD Bus Power bit in the Power Control Register,
                                                         the HC is requested to supply power for the SD Bus. If the HC
                                                          supports the Current Limit Function, it can be protected from
                                                          an Illegal card by stopping power supply to the card in which
                                                          case this bit indicates a failure status. Reading 1 means the
                                                          HC is not supplying power to SD card due to some failure. Reading
                                                          0 means that the HC is supplying power and no error has occurred.
                                                          This bit shall always set to be 0, if the HC does not support
                                                          this f                                                               */
      __IO uint32_t  Auto_CMD_Error:  1;            /*!< Auto CMD12 and Auto CMD23 use this error status.This bit is
                                                         set when detecting that one of the bits D00-D04 in Auto CMD
                                                          Error Status register has changed from 0 to 1. In case of Auto
                                                          CMD12, this bit is set to 1, not only when the errors in Auto
                                                          CMD12 occur but also when Auto CMD12 is not executed due to
                                                          the previous command error.0: No Error1: Error                       */
      __IO uint32_t  ADMA_Error :  1;               /*!< This bit is set when the Host Controller detects errors during
                                                         ADMA based data transfer. The state of the ADMA at an error
                                                          occurrence is saved in the ADMA Error Status Register.1: Error0:
                                                          No error                                                             */
      __IO uint32_t  Tuning_Error:  1;              /*!< This bit is set when an unrecoverable error is detected in a
                                                         tuning circuit except during tuning procedure (Occurrence of
                                                          an error during tuning procedure is indicated by Sampling Select).
                                                          By detecting Tuning Error, Host Driver needs to abort a command
                                                          executing and perform tuning.To reset tuning circuit, Sampling
                                                          Clock shall be set to 0 before executing tuning procedure.The
                                                          Tuning Error is higher priority than the other error interrupts
                                                          generated during data transfer. By detecting Turning Error,
                                                          the Host                                                             */
           uint32_t             :  1;
      __IO uint32_t  Target_Response_error:  1;     /*!< Occurs when detecting ERROR in m_hresp (dma transaction).0:
                                                         no error1: error                                                      */
      __I  uint32_t  Vendor_Specific_Error_Status:  3;/*!< Reserved                                                            */
    } IntStat_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IntStatEn;                       /*!< Error Interrupt Status Enable Register and Normal Interrupt
                                                         Status Enable Register                                                */
    
    struct {
      __IO uint32_t  Command_Complete_Status_Enable:  1;/*!< 0: Masked1: Enabled                                               */
      __IO uint32_t  Transfer_Complete_Status_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Block_Gap_Event_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                */
      __IO uint32_t  DMA_Interrupt_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                  */
      __IO uint32_t  Buffer_Write_Ready_Status_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Buffer_Read_Ready_Status_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Card_Insertion_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                 */
      __IO uint32_t  Card_Removal_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Card_Interrupt_Status_Enable:  1;/*!< If this bit is set to 0, the HC shall clear Interrupt request
                                                         to the System. The Card Interrupt detection is stopped when
                                                          this bit is cleared and restarted when this bit is set to 1.
                                                          The HD may clear the Card Interrupt Status Enable before servicing
                                                          the Card Interrupt and may set this bit again after all Interrupt
                                                          requests from the card are cleared to prevent inadvertent Interrupts.0:
                                                          Masked1: Enabled                                                     */
      __IO uint32_t  INT_A_Status_Enable:  1;       /*!< If this bit is set to 0, the Host Controller shall clear the
                                                         interrupt request to the System. The Host Driver may clear this
                                                          bit before servicing the INT_A and may set this bit again after
                                                          all interrupt requests to INT_A pin are cleared to prevent inadvertent
                                                          interrupts.                                                          */
      __IO uint32_t  INT_B_Status_Enable:  1;       /*!< If this bit is set to 0, the Host Controller shall clear the
                                                         interrupt request to the System. The Host Driver may clear this
                                                          bit before servicing the INT_B and may set this bit again after
                                                          all interrupt requests to INT_B pin are cleared to prevent inadvertent
                                                          interrupts.                                                          */
      __IO uint32_t  INT_C_Status_Enable:  1;       /*!< If this bit is set to 0, the Host Controller shall clear the
                                                         interrupt request to the System. The Host Driver may clear this
                                                          bit before servicing the INT_C and may set this bit again after
                                                          all interrupt requests to INT_C pin are cleared to prevent inadvertent
                                                          interrupts.                                                          */
      __IO uint32_t  Re_Tuning_Event_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                */
      __IO uint32_t  Boot_ack_rcv_enable:  1;       /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Boot_terminate_Interrupt_enable:  1;/*!< 0: Masked1: Enabled                                              */
      __I  uint32_t  Fixed_to_0 :  1;               /*!< The HC shall control error Interrupts using the Error Interrupt
                                                         Status Enable register.                                               */
      __IO uint32_t  Command_Timeout_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __IO uint32_t  Command_CRC_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Command_End_Bit_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __IO uint32_t  Command_Index_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                            */
      __IO uint32_t  Data_Timeout_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Data_CRC_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                 */
      __IO uint32_t  Data_End_Bit_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Current_Limit_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                            */
      __IO uint32_t  Auto_CMD12_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                               */
      __IO uint32_t  ADMA_Error_Status_Enable:  1;  /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  tuning_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                                   */
           uint32_t             :  1;
      __IO uint32_t  Target_Response_Error_Status_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __I  uint32_t  Vendor_Specific_Error_Status_Enable:  3;/*!< Reserved                                                     */
    } IntStatEn_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IntSigEn;                        /*!< Error Interrupt Signal Enable Register and Normal Interrupt
                                                         Signal Enable Register                                                */
    
    struct {
      __IO uint32_t  Command_Complete_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                               */
      __IO uint32_t  Transfer_Complete_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Block_Gap_Event_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                */
      __IO uint32_t  DMA_Interrupt_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                  */
      __IO uint32_t  Buffer_Write_Ready_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Buffer_Read_Ready_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Card_Insertion_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                 */
      __IO uint32_t  Card_Removal_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Card_Interrupt_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                 */
      __IO uint32_t  INT_A_signal_Enable:  1;       /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  INT_B_signal_Enable:  1;       /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  INT_C_signal_Enable:  1;       /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Re_Tuning_Event_signal_Enable:  1;/*!< 0: Masked1: Enabled                                                */
      __IO uint32_t  Boot_ack_rcv_signal_enable:  1;/*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Boot_terminate_Interrupt_signal_enable:  1;/*!< 0: Masked1: Enabled                                       */
      __I  uint32_t  Fixed_to_0 :  1;               /*!< The HD shall control error Interrupts using the Error Interrupt
                                                         Signal Enable register.                                               */
      __IO uint32_t  Command_Timeout_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __IO uint32_t  Command_CRC_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                              */
      __IO uint32_t  Command_End_Bit_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __IO uint32_t  Command_Index_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                            */
      __IO uint32_t  Data_Timeout_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Data_CRC_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                 */
      __IO uint32_t  Data_End_Bit_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                             */
      __IO uint32_t  Current_Limit_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                            */
      __IO uint32_t  Auto_CMD12_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                               */
      __IO uint32_t  ADMA_Error_Signal_Enable:  1;  /*!< 0: Masked1: Enabled                                                   */
      __IO uint32_t  Tuning_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                                   */
           uint32_t             :  1;
      __IO uint32_t  Target_Response_Error_Signal_Enable:  1;/*!< 0: Masked1: Enabled                                          */
      __I  uint32_t  Vendor_Specific_Error_Signal_Enable:  3;/*!< Reserved                                                     */
    } IntSigEn_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  Host2_AutoCmdErrStat;            /*!< Host Control 2 Register and Auto CMD Error Status Register            */
    
    struct {
      __I  uint32_t  Auto_CMD12_not_Executed:  1;   /*!< If memory multiple block data transfer is not started due to
                                                         command error, this bit is not set because it is not necessary
                                                          to issue Auto CMD12. Setting this bit to 1 means the HC cannot
                                                          issue Auto CMD12 to stop memory multiple block transfer due
                                                          to some error. If this bit is set to 1, other error status bits
                                                          (D04-D01) are meaningless.This bit is set to 0 when Auto CMD
                                                          Error is generated by Auto CMD230: Executed1: Not Executed           */
      __I  uint32_t  Auto_CMD_Timeout_Error:  1;    /*!< Occurs if the no response is returned within 64 SDCLK cycles
                                                         from the end bit of the command.If this bit is set to 1, the
                                                          other error status bits (D04-D02) are meaningless.0: No Error1:
                                                          Timeout                                                              */
      __I  uint32_t  Auto_CMD_CRC_Error:  1;        /*!< Occurs when detecting a CRC error in the command response.0:
                                                         No Error1: CRC Error Generated                                        */
      __I  uint32_t  Auto_CMD_End_Bit_Error:  1;    /*!< Occurs when detecting that the end bit of command response is
                                                         0.0: No Error1: End Bit Error Generated                               */
      __I  uint32_t  Auto_CMD_Index_Error:  1;      /*!< Occurs if the Command Index error occurs in response to a command.0:
                                                         No Error1: Error                                                      */
           uint32_t             :  2;
      __I  uint32_t  Command_Not_Issued_By_Auto_CMD12_Error:  1;/*!< Setting this bit to 1 means CMD_wo_DAT is not executed due to
                                                         an Auto CMD12 error (D04-D01) in this register.This bit is set
                                                          to 0 when Auto CMD Error is generated by Auto CMD230: No Error1:
                                                          Not Issued                                                           */
           uint32_t             :  8;
      __IO uint32_t  UHS_Mode_Select:  3;           /*!< This field is used to select one of UHS-I modes and effective
                                                         when 1.8 V Signaling Enable is set to 1.If Preset Value Enable
                                                          in the Host Control 2 register is set to 1, Host Controller
                                                          sets SDCLK Frequency Select, Clock Generator Select in the Clock
                                                          Control register and Driver Strength Select according to Preset
                                                          Value registers. In this case, one of preset value registers
                                                          is selected by this field. Host Driver needs to reset SD Clock
                                                          Enable before changing this field to avoid generating clock
                                                          glitch. After                                                        */
      __IO uint32_t  Enable_1p8V_Signaling:  1;     /*!< 1.8 V Signaling EnableThis bit controls voltage regulator for
                                                         I/O cell. 3.3 V is supplied to the card regardless of signaling
                                                          voltage.Setting this bit from 0 to 1 starts changing signal
                                                          voltage from 3.3 V to 1.8 V.1.8 V regulator output shall be
                                                          stable within 5 ms. Host Controller clears this bit if switching
                                                          to 1.8 V signaling fails.Clearing this bit from 1 to 0 starts
                                                          changing signal voltage from 1.8 V to 3.3 V.3.3 V regulator
                                                          output shall be stable within 5 ms.Host Driver can set this
                                                          bit to 1 when Host                                                   */
      __IO uint32_t  Driver_Strength_Select:  2;    /*!< Host Controller output driver in 1.8 V signaling is selected
                                                         by this bit. In 3.3 V signaling, this field is not effective.
                                                          This field can be set depends on Driver Type A, C and D support
                                                          bits in the Capabilities register. This bit depends on setting
                                                          of Preset Value Enable.If Preset Value Enable = 0, this field
                                                          is set by Host Driver.If Preset Value Enable = 1, this field
                                                          is automatically set by a value specified in the one of Preset
                                                          Value registers.00: Driver Type B is Selected (Default)01: Driver
                                                          Type A is                                                            */
      __IO uint32_t  Execute_Tuning:  1;            /*!< This bit is set to 1 to start tuning procedure and automatically
                                                         cleared when tuning procedure is completed. The result of tuning
                                                          is indicated to Sampling Clock Select. Tuning procedure is aborted
                                                          by writing 0 for more detail about tuning procedure.1: Execute
                                                          Tuning0: Not Tuned or Tuning CompletedNote: This product does
                                                          not support Tuning.                                                  */
      __IO uint32_t  Sampling_Clock_Select:  1;     /*!< This bit is set by tuning procedure when Execute Tuning is cleared.
                                                         Writing 1 to this bit is meaningless and ignored. Setting 1
                                                          means that tuning is completed successfully and setting 0 means
                                                          that tuning is failed. Host Controller uses this bit to select
                                                          sampling clock to receive CMD and DAT. This bit is cleared by
                                                          writing 0. Change of this bit is not allowed while the Host
                                                          Controller is receiving response or a read data block.1: Tuned
                                                          clock is used to sample data0: Fixed clock is used to sample
                                                          dataNote:                                                            */
           uint32_t             :  6;
      __IO uint32_t  Asynchronous_Interrupt_Enable:  1;/*!< This bit can be set to 1 if a card support asynchronous interrupt
                                                         and Asynchronous Interrupt Support is set to 1 in the Capabilities
                                                          register. Asynchronous interrupt is effective when DAT[1] interrupt
                                                          is used in 4-bit SD mode (and zero is set to Interrupt Pin Select
                                                          in the Shared Bus Control register). If this bit is set to 1,
                                                          the Host Driver can stop the SDCLK during asynchronous interrupt
                                                          period to save power. During this period, the Host Controller
                                                          continues to deliver Card Interrupt to the host when it              */
      __IO uint32_t  Preset_Value_Enable:  1;       /*!< Host Controller Version 3.00 supports this bit. As the operating
                                                         SDCLK frequency and I/O driver strength depend on the Host System
                                                          implementation, it is difficult to determine these parameters
                                                          in the Standard Host Driver. When Preset Value Enable is set
                                                          to automatic. This bit enables the functions defined in the
                                                          Preset Value registers.1: Automatic Selection by Preset Value
                                                          are Enabled0: SDCLK and Driver Strength are controlled by Host
                                                          DriverIf this bit is set to 0, SDCLK Frequency Select, Clock
                                                          Generator S                                                          */
    } Host2_AutoCmdErrStat_b;                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Capability0;                     /*!< Capabilities Register (0-31 bit)                                      */
    
    struct {
      __I  uint32_t  Timeout_Clock_Frequency:  6;   /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit shows the base clock frequency used
                                                          to detect Data Timeout Error.Not 0: 1 kHz to 63 kHz or 1 MHz
                                                          to 63 MHz0b000000: Get Information via another method.               */
           uint32_t             :  1;
      __I  uint32_t  Timeout_Clock_Unit:  1;        /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit shows the unit of base clock frequency
                                                          used to detect Data Timeout Error.0: kHz1: MHz                       */
      __I  uint32_t  Base_Clock_Frequency_for_SD_Clock:  8;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)(1) 6-bit Base Clock FrequencyThis mode is
                                                          supported by the Host Controller Version 1.00 and 2.00. Upper
                                                          2-bit is not effective and always 0. Unit values are 1 MHz.
                                                          The supported clock range is 10 MHz to 63 MHz.11xx xxxx: Not
                                                          supported0011 1111: 63 MHz0000 0010: 2 MHz0000 0001: 1 MHz0000
                                                          0000: Get information via another method(2) 8-bit Base Clock
                                                          FrequencyThis mode is supported by the Host Controller Version
                                                          3.00. Unit values                                                    */
      __I  uint32_t  Max_Block_Length:  2;          /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This value indicates the maximum block size
                                                          that the HD can read and write to the buffer in the HC.The buffer
                                                          shall transfer this block size without wait cycles. Three sizes
                                                          can be defined as indicated below.00: 512 bytes01: 1024 bytes10:
                                                          2048 bytes11: 4096 bytes                                             */
      __I  uint32_t  Extended_Media_Bus_Support:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates whether the Host Controller
                                                          is capable of using 8-bit bus width mode. This bit is not effective
                                                          when Slot Type is set to 0b10. In this case, refer to Bus Width
                                                          Preset in the Shared Bus resister.1: Extended Media Bus Supported0:
                                                          Extended Media Bus not Supported                                     */
      __I  uint32_t  ADMA2_Support:  1;             /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)1: ADMA2 support.0: ADMA2 not support               */
           uint32_t             :  1;
      __I  uint32_t  High_Speed_Support:  1;        /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates whether the HC and the
                                                          Host System support High Speed mode and they can supply SD Clock
                                                          frequency from 25 MHz to 50 MHz (for SD) / 20 MHz to 52 MHz
                                                          (for MMC).0: High Speed Not Supported1: High Speed Supported         */
      __I  uint32_t  SDMA_Support:  1;              /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates whether the HC is capable
                                                          of using DMA to transfer data between system memory and the
                                                          HC directly.0: SDMA Not Supported1: SDMA Supported                   */
      __I  uint32_t  Suspend_Resume_Support:  1;    /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Suspend/Resume Support.This bit indicates
                                                          whether the HC supports Suspend / Resume functionality.If this
                                                          bit is 0, the Suspend and Resume mechanism are not supported
                                                          and the HD shall not issue either Suspend / Resume commands.0:
                                                          Not Supported1: Supported                                            */
      __I  uint32_t  Voltage_Support_3p3V:  1;      /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Voltage Support 3.3 V0: 3.3 V Not Supported1:
                                                          3.3 V Supported                                                      */
      __I  uint32_t  Voltage_Support_3p0V:  1;      /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Voltage Support 3.0 V0: 3.0 V Not Supported1:
                                                          3.0 V Supported                                                      */
      __I  uint32_t  Voltage_Support_1p8V:  1;      /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Voltage Support 1.8 V0: 1.8 V Not Supported1:
                                                          1.8 V SupportedNote: This product does not support 1.8 V Signaling
                                                          defined in the SD Host Controller Specification.                     */
           uint32_t             :  1;
      __I  uint32_t  Support_64bit_System_Bus:  1;  /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)64-bit System Bus Support1: supports 64 bit
                                                          system address0: Does not support 64 bit system address              */
      __I  uint32_t  Asynchronous_Interrupt_Support:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Refer to SDIO Specification Version 3.00 about
                                                          asynchronous interrupt.1: Asynchronous Interrupt Supported0:
                                                          Asynchronous Interrupt Not Supported                                 */
      __I  uint32_t  Slot_Type  :  2;               /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This field indicates usage of a slot by a
                                                          specific Host System. (A host controller register set is defined
                                                          per slot.) Embedded slot for one device (0b01) means that only
                                                          one non-removable device is connected to a SD bus slot. Shared
                                                          Bus Slot (0b10) can be set if Host Controller supports Shared
                                                          Bus Control register.The Standard Host Driver controls only
                                                          a removable card or one embedded device is connected to a SD
                                                          bus slot. If a                                                       */
    } Capability0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Capability1;                     /*!< Capabilities Register (32-63 bit)                                     */
    
    struct {
      __I  uint32_t  SDR50_Support:  1;             /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)If SDR104 is supported, this bit shall be
                                                          set to 1. Use_Tuning_for_SDR50 indicates whether SDR50 requires
                                                          tuning or not.1: SDR50 is Supported0: SDR50 is Not SupportedNote:
                                                          This product does not support SDR50.                                 */
      __I  uint32_t  SDR104_Support:  1;            /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)SDR104 requires tuning.1: SDR104 is Supported0:
                                                          SDR104 is Not SupportedNote: This product does not support SDR104.   */
      __I  uint32_t  DDR50_Support:  1;             /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)1: DDR50 is Supported0: DDR50 is Not SupportedNote:
                                                          This product does not support DDR50.                                 */
           uint32_t             :  1;
      __I  uint32_t  Driver_Type_A_Support:  1;     /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates support of Driver Type
                                                          A for 1.8 V Signaling.1: Driver Type A is Supported0: Driver
                                                          Type A is Not SupportedNote: This product does not support 1.8
                                                          V Signaling defined in the SD Host Controller Specification.         */
      __I  uint32_t  Driver_Type_C_Support:  1;     /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates support of Driver Type
                                                          C for 1.8 V Signaling.1: Driver Type C is Supported0: Driver
                                                          Type C is Not SupportedNote: This product does not support 1.8
                                                          V Signaling defined in the SD Host Controller Specification.         */
      __I  uint32_t  Driver_Type_D_Support:  1;     /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit indicates support of Driver Type
                                                          D for 1.8 V Signaling.1: Driver Type D is Supported0: Driver
                                                          Type D is Not SupportedNote: This product does not support 1.8
                                                          V Signaling defined in the SD Host Controller Specification.         */
           uint32_t             :  1;
      __I  uint32_t  Timer_count_for_Re_Tuning:  4; /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Timer count for Re-tuning.This field indicates
                                                          an initial value of the Re-Tuning Timer for Re-Tuning Mode 1
                                                          to 3.0x0: Get information via other source0x1: 1 seconds0x2:
                                                          2 seconds0x3: 4 seconds0x4: 8 seconds--n: 2 (n-1) seconds--0xB:
                                                          1024 seconds0xF-0xC: ReservedNote: This product does not support
                                                          Tuning.                                                              */
           uint32_t             :  1;
      __I  uint32_t  Use_Tuning_for_SDR50:  1;      /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)If this bit is set to 1, this Host Controller
                                                          requires tuning to operate SDR50. (Tuning is always required
                                                          to operate SDR104.)1: SDR50 requires tuning0: SDR50 does not
                                                          require tuningNote: This product does not support SDR50.             */
      __I  uint32_t  Re_tuning_modes:  2;           /*!< Re-tuning modes.This field defines the re-tuning capability
                                                         of a Host Controller and how to manage the data transfer length
                                                          and a Re-Tuning Timer by the Host Driver00: Mode101: Mode210:
                                                          Mode311: ReservedThere are two re-tuning timings:Re-Tuning Request
                                                          and expiration of a Re-Tuning Timer. By receiving either timing,
                                                          the Host Driver executes the re-tuning procedure just before
                                                          a next command issueNote: This product does not support Tuning.      */
      __I  uint32_t  Clock_Multiplier:  8;          /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This field indicates clock multiplier value
                                                          of programmable clock generator.Refer to Clock Control register.Setting
                                                          0x00 means that Host Controller does not support programmable
                                                          clock generator.0xFF: Clock Multiplier M = 256....0x02: Clock
                                                          Multiplier M = 30x01: Clock Multiplier M = 20x00: Clock Multiplier
                                                          is Not Supported                                                     */
      __I  uint32_t  SPI_mode   :  1;               /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)SPI mode0: Not Supported1: Supported                */
      __I  uint32_t  SPI_block_mode:  1;            /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)SPI block mode0: Not Supported1: SupportedNote:
                                                          Host Controller does not support SPI block Mode.                     */
           uint32_t : 6; // padding
    } Capability1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  MaxCurnt;                        /*!< Maximum Current Capabilities Register                                 */
    
    struct {
      __I  uint32_t  Maximum_Current_for_3p3V:  8;  /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Maximum Current for 3.3 V                           */
      __I  uint32_t  Maximum_Current_for_3p0V:  8;  /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Maximum Current for 3.0 V                           */
      __I  uint32_t  Maximum_Current_for_1p8V:  8;  /*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Maximum Current for 1.8 VNote: This product
                                                          does not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.                                                       */
           uint32_t : 8; // padding
    } MaxCurnt_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  ForceEvent;                      /*!< Force Event for Error Interrupt Status Register and Force Event
                                                         for Auto CMD Error Status Register                                    */
    
    struct {
      __IO uint32_t  Force_Event_for_Auto_CMD12_NOT_Executed:  1;/*!< 1: Interrupt is generated0: no interrupt                 */
      __IO uint32_t  Force_Event_for_Auto_CMD_timeout_Error:  1;/*!< 1: Interrupt is generated0: no interrupt                  */
      __IO uint32_t  Force_Event_for_Auto_CMD_CRC_Error:  1;/*!< 1: Interrupt is generated0: no interrupt                      */
      __IO uint32_t  Force_Event_for_Auto_CMD_End_bit_Error:  1;/*!< 1: Interrupt is generated0: no interrupt                  */
      __IO uint32_t  Force_Event_for_Auto_CMD_Index_Error:  1;/*!< 1: Interrupt is generated0: no interrupt                    */
           uint32_t             :  2;
      __IO uint32_t  Force_Event_for_command_not_issued_by_Auto_CMD12_Error:  1;/*!< 1: Interrupt is generated0: no interrupt  */
           uint32_t             :  8;
      __IO uint32_t  Force_Event_for_Command_Timeout_Error:  1;/*!< Force Event for Command Timeout Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Command_CRC_Error:  1;/*!< Force Event for Command CRC Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Command_End_Bit_Error:  1;/*!< Force Event for Command End Bit Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Command_Index_Error:  1;/*!< Force Event for Command Index Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Data_Timeout_Error:  1;/*!< Force Event for Data Timeout Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Data_CRC_Error:  1;/*!< Force Event for Data CRC Error1: Interrupt is generated0: No
                                                         interrupt                                                             */
      __IO uint32_t  Force_Event_for_Data_End_Bit_Error:  1;/*!< Force Event for Data End Bit Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Current_Limit_Error:  1;/*!< Force Event for Current Limit Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __IO uint32_t  Force_Event_for_Auto_CMD_Error:  1;/*!< Force Event for Auto CMD Error1: Interrupt is generated0: No
                                                         interrupt                                                             */
      __IO uint32_t  Force_Event_for_ADMA_Error:  1;/*!< Force Event for ADMA Error1: Interrupt is generated0: No interrupt    */
           uint32_t             :  2;
      __IO uint32_t  Force_event_for_Target_Response_error:  1;/*!< Force Event for Target Response Error1: Interrupt is generated0:
                                                         No interrupt                                                          */
      __I  uint32_t  Force_Event_for_Vendor_Specific_Error_Status:  3;/*!< Reserved                                            */
    } ForceEvent_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ADMAErrStat;                     /*!< ADMA Error Status Register                                            */
    
    struct {
      __I  uint32_t  ADMA_Error_State:  2;          /*!< This field indicates the state of ADMA when error is occurred
                                                         during ADMA data transfer. This field never indicates '0b10'
                                                          because ADMA never stops in this state.D01-D00: ADMA Error State
                                                          when error occurred Contents of SYS_SDR register00: ST_STOP
                                                          (Stop DMA) Points to next of the error descriptor01: ST_FDS
                                                          (Fetch Descriptor) Points to the error descriptor10: Never set
                                                          this state (Not used)11: ST_TFR (Transfer Data) Points to the
                                                          next of the error descriptor                                         */
      __I  uint32_t  ADMA_Length_Mismatch_Error:  1;/*!< This error occurs in the following 2 cases.While Block Count
                                                         Enable being set, the total data length specified by the Descriptor
                                                          table is different from that specified by the Block Count and
                                                          Block Length. Total data length can not be divided by the block
                                                          length.1: Error0: No error                                           */
           uint32_t : 29; // padding
    } ADMAErrStat_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADMASysAddr0;                    /*!< ADMA System Address Register (0-31 bit)                               */
    
    struct {
      __IO uint32_t  ADMA_System_Address_0: 32;     /*!< ADMA System Address [31:0]This register holds byte address of
                                                         executing command of the Descriptor table.32-bit Address Descriptor
                                                          uses lower 32-bit of this register. At the start of ADMA, the
                                                          Host Driver shall set start address of the Descriptor table.
                                                          The ADMA increments this register address, which points to next
                                                          line, when every fetching a Descriptor line. When the ADMA Error
                                                          Interrupt is generated, this register shall hold valid Descriptor
                                                          address depending on the ADMA state. The Host Driver shall prog      */
    } ADMASysAddr0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADMASysAddr1;                    /*!< ADMA System Address Register (32-63 bit)                              */
    
    struct {
      __IO uint32_t  ADMA_System_Address_1: 32;     /*!< ADMA System Address [63:32]This register holds byte address
                                                         of executing command of the Descriptor table.32-bit Address
                                                          Descriptor uses lower 32-bit of this register. At the start
                                                          of ADMA, the Host Driver shall set start address of the Descriptor
                                                          table. The ADMA increments this register address, which points
                                                          to next line, when every fetching a Descriptor line. When the
                                                          ADMA Error Interrupt is generated, this register shall hold
                                                          valid Descriptor address depending on the ADMA state. The Host
                                                          Driver shall pro                                                     */
    } ADMASysAddr1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Preset0;                         /*!< Preset Value Registers for Default Speed and Initialization           */
    
    struct {
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_Initialization: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.                                                              */
      __I  uint32_t  Clock_Generator_Select_Value_for_Initialization:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock Generator     */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_Initialization:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.                                                       */
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_Default_Speed: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.                                                              */
      __I  uint32_t  Clock_Generator_Select_Value_for_Default_Speed:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock Generator     */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_Default_Speed:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.                                                       */
    } Preset0_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Preset1;                         /*!< Preset Value Registers for SDR12 and High Speed                       */
    
    struct {
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_High_Speed: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.                                                              */
      __I  uint32_t  Clock_Generator_Select_Value_for_High_Speed:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock Generator     */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_High_Speed:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.                                                       */
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_SDR12: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.Note: This product does not support SDR12.                    */
      __I  uint32_t  Clock_Generator_Select_Value_for_SDR12:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock GeneratorNote:
                                                          This product does not support SDR12.                                 */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_SDR12:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support SDR12.                                              */
    } Preset1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Preset2;                         /*!< Preset Value Registers for SDR50 and SDR25                            */
    
    struct {
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_SDR25: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.Note: This product does not support SDR25.                    */
      __I  uint32_t  Clock_Generator_Select_Value_for_SDR25:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock GeneratorNote:
                                                          This product does not support SDR25.                                 */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_SDR25:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support SDR25.                                              */
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_SDR50: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.Note: This product does not support SDR50.                    */
      __I  uint32_t  Clock_Generator_Select_Value_for_SDR50:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock GeneratorNote:
                                                          This product does not support SDR50.                                 */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_SDR50:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support SDR50.                                              */
    } Preset2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  Preset3;                         /*!< Preset Value Registers for DDR50 and SDR104                           */
    
    struct {
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_SDR104: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.Note: This product does not support SDR104.                   */
      __I  uint32_t  Clock_Generator_Select_Value_for_SDR104:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock GeneratorNote:
                                                          This product does not support SDR104.                                */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_SDR104:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support SDR104.                                             */
      __I  uint32_t  SDCLK_Frequency_Select_Value_for_DDR50: 10;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)10-bit preset value to set SDCLK Frequency
                                                          Select in the Clock Control Register is described by a host
                                                          system.Note: This product does not support DDR50.                    */
      __I  uint32_t  Clock_Generator_Select_Value_for_DDR50:  1;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)This bit is effective when Host Controller
                                                          supports programmable clock generator.1: Programmable Clock
                                                          Generator0: Host Controller Ver. 2.00 Compatible Clock GeneratorNote:
                                                          This product does not support DDR50.                                 */
           uint32_t             :  3;
      __I  uint32_t  Driver_Strength_Select_Value_for_DDR50:  2;/*!< (This field is initialized by firmware or hardware mechanisms
                                                         through emmc_conf)Driver Strength is supported by 1.8 V signaling
                                                          bus speed modes.This field is meaningless for 3.3 V signaling.11:
                                                          Driver Type D is Selected10: Driver Type C is Selected01: Driver
                                                          Type A is Selected00: Driver Type B is SelectedNote: This product
                                                          does not support DDR50.                                              */
    } Preset3_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BootTimeoutCtrl;                 /*!< Boot Timeout Control Register                                         */
    
    struct {
      __IO uint32_t  Boot_Data_Timeout_Counter_Value: 32;/*!< This value determines the interval by which DAT line time-outs
                                                         are detected during boot operation for eMMC4.4 card.The value
                                                          is in number of sd clock.                                            */
    } BootTimeoutCtrl_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[27];
  __I  uint32_t  SharedBusCtrl;                     /*!< SharedBusCtrl                                                         */
  __I  uint32_t  RESERVED2[6];
  
  union {
    __I  uint32_t  HostVer_SlotIntStat;             /*!< Host Controller Version Register and Slot Interrupt Status Register   */
    
    struct {
      __I  uint32_t  Interrupt_Signal_for_Slot0:  1;/*!< Interrupt Signal for Slot#0.This status bit indicates the OR
                                                         of Interrupt signal and Wakeup signal for slot                        */
           uint32_t             : 15;
      __I  uint32_t  Specification_Version_Number:  8;/*!< The Host Controller Version Number is set to 0x02 (SD Host Specification
                                                         Version 3.00).                                                        */
      __I  uint32_t  Vendor_Version_Number:  8;     /*!< The Vendor Version Number is set to 0x10 (1.0)                        */
    } HostVer_SlotIntStat_b;                        /*!< BitSize                                                               */
  };
} EMMC_Type;


/* ================================================================================ */
/* ================                   EMMC0_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief emmc0_conf (EMMC0_CONF)
  */

typedef struct {                                    /*!< EMMC0_CONF Structure                                                  */
  
  union {
    __IO uint32_t  CFG_CAPABILITY0;                 /*!< Initial value of Capabilities register                                */
    
    struct {
      __IO uint32_t  TIMEOUTCLKFREQ:  6;            /*!< Core configuration. Timeout clock frequency.Not 0: '1 MHz to
                                                         63 MHz' or '1 kHz to 63 kHz'0: Get Information via another method.    */
           uint32_t             :  1;
      __IO uint32_t  TIMEOUTCLKUNIT:  1;            /*!< Core configuration. Timeout clock unit.1: MHz0: kHz                   */
      __IO uint32_t  BASECLKFREQ:  8;               /*!< Core configuration. Base Clock Frequency for SD Clock.Set the
                                                         frequency of xclk in MHz (10-48).E.g. 0x30: 48 MHz 0x18: 24
                                                          MHz                                                                  */
      __IO uint32_t  MAXBLKLENGTH:  2;              /*!< Core configuration. Max block length.00: 512 bytes01: 1024 bytes10:
                                                         2048 bytes11: Reserved                                                */
      __IO uint32_t  SUPPORT8BIT:  1;               /*!< Core configuration. 8-bit Support for Embedded Device1: Supports
                                                         8-bit interface.0: Not support 8-bit interface.                       */
      __IO uint32_t  ADMA2SUPPORT:  1;              /*!< Core configuration. ADMA2 Support1: Supports ADMA2.0: Not support
                                                         ADMA2.                                                                */
           uint32_t             :  1;
      __IO uint32_t  HIGHSPEEDSUPPORT:  1;          /*!< Core configuration. High Speed Support1: Supports High Speed
                                                         mode.0: Not support High Speed mode.                                  */
      __IO uint32_t  SDMASUPPORT:  1;               /*!< Core configuration. SDMA Support1: Supports SDMA.0: Not support
                                                         SDMA.                                                                 */
      __IO uint32_t  SUSPRESSUPPORT:  1;            /*!< Core configuration. Suspend/Resume Support.1: Supports Suspend/Resume
                                                         mode.0: Not support Suspend/Resume mode.                              */
      __IO uint32_t  SUPPORT3P3VOLT:  1;            /*!< Core configuration. 3.3 V Support1: Supports 3.3 V.0: Not support
                                                         3.3 V.                                                                */
      __IO uint32_t  SUPPORT3P0VOLT:  1;            /*!< Core configuration. 3.0 V Support1: Supports 3.0 V.0: Not support
                                                         3.0 V.                                                                */
      __I  uint32_t  SUPPORT1P8VOLT:  1;            /*!< Core configuration. 1.8 V Support(This product does not support
                                                         1.8 V Signaling defined in the SD Host Controller Specification.
                                                          Regardless of this bit, it is possible to supply 1.8 V to the
                                                          power supply of this product.)                                       */
           uint32_t             :  1;
      __I  uint32_t  SUPPORT64BIT:  1;              /*!< Core configuration. 64-bit System Bus Support(This product does
                                                         not support 64-bit System Bus.)                                       */
      __IO uint32_t  ASYNCINTRSUPPORT:  1;          /*!< Core configuration. Asynchronous Interrupt Support1: Supports
                                                         monitoring of Asynchronous Interrupt.0: Not support monitoring
                                                          of Asynchronous Interrupt.                                           */
      __IO uint32_t  SLOTTYPE   :  2;               /*!< Core configuration. Slot Type00: Removable SDCard Slot01: Embedded
                                                         Slot for One Device10: Reserved11: Reserved                           */
    } CFG_CAPABILITY0_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG_CAPABILITY1;                 /*!< Initial value of Capabilities register                                */
    
    struct {
      __I  uint32_t  SDR50SUPPORT:  1;              /*!< Core configuration. SDR50 Support(This product does not support
                                                         SDR50.)                                                               */
      __I  uint32_t  SDR104SUPPORT:  1;             /*!< Core configuration. SDR104 Support(This product does not support
                                                         SDR104.)                                                              */
      __I  uint32_t  DDR50SUPPORT:  1;              /*!< Core configuration. DDR50 Support(This product does not support
                                                         DDR50.)                                                               */
           uint32_t             :  1;
      __I  uint32_t  ADRIVERSUPPORT:  1;            /*!< Core configuration. Driver Type A Support(This product does
                                                         not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.)                                                      */
      __I  uint32_t  CDRIVERSUPPORT:  1;            /*!< Core configuration. Driver Type C Support(This product does
                                                         not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.)                                                      */
      __I  uint32_t  DDRIVERSUPPORT:  1;            /*!< Core configuration. Driver Type D Support(This product does
                                                         not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.)                                                      */
           uint32_t             :  1;
      __I  uint32_t  RETUNINGTIMERCNT:  4;          /*!< Core configuration. Timer Count for Re-Tuning(This product does
                                                         not support Tuning.)                                                  */
           uint32_t             :  1;
      __I  uint32_t  TUNINGFORSDR50:  1;            /*!< Core configuration. Use Tuning for SDR50(This product does not
                                                         support Tuning.)                                                      */
      __I  uint32_t  RETUNINGMODES:  2;             /*!< Core configuration. Re-Tuning Modes(This product does not support
                                                         Tuning.)                                                              */
      __I  uint32_t  CLKMLTPLY  :  8;               /*!< Core configuration. Clock multiplier(This product does not support
                                                         Clock multiplier.)                                                    */
      __IO uint32_t  SPISUPPORT :  1;               /*!< Core configuration. SPI Mode Support1: Supports SPI Mode.0:
                                                         Not support SPI Mode.                                                 */
      __I  uint32_t  SPIBLKMODE :  1;               /*!< Core configuration. SPI Block Mode(Host Controller does not
                                                         support SPI Block Mode.)                                              */
           uint32_t : 6; // padding
    } CFG_CAPABILITY1_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG_MAXCURNT;                    /*!< Initial value of Maximum current capabilities register                */
    
    struct {
      __IO uint32_t  MAXCRNT3P3V:  8;               /*!< Core configuration. Maximum Current for 3.3 VNot 0: 4 mA * set
                                                         value (4 mA to 1020 mA)0: Get Information via another method          */
      __IO uint32_t  MAXCRNT3P0V:  8;               /*!< Core configuration. Maximum Current for 3.0 VNot 0: 4 mA * set
                                                         value (4 mA to 1020 mA)0: Get Information via another method          */
      __I  uint32_t  MAXCRNT1P8V:  8;               /*!< Core configuration. Maximum Current for 1.8 V(This product does
                                                         not support 1.8 V Signaling defined in the SD Host Controller
                                                          Specification.)                                                      */
           uint32_t : 8; // padding
    } CFG_MAXCURNT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG_PRESET0;                     /*!< Initial value of Preset Values registers                              */
    
    struct {
      __IO uint32_t  INITPRESETVAL: 13;             /*!< Core configuration. Preset Value for Initialization.[12:11]:
                                                         Driver Strength Select Value Set 0x0 (This product does not
                                                          support 1.8 V Signaling defined in the SD Host Controller Specification.)[
                                                         10]: Clock Generator Select Value 1: Programmable Clock Generator
                                                          0: Host Controller Ver. 2.00 Compatible Clock Generator[9:0]:
                                                          SDCLK Frequency Select Value 10-bit preset value to set SDCLK
                                                          Frequency Select in the Clock Control Register is described
                                                          by a host system.                                                    */
           uint32_t             :  3;
      __IO uint32_t  DSPPRESETVAL: 13;              /*!< Core configuration. Preset Value for Default Speed[28:27]: Driver
                                                         Strength Select Value Set 0x0 (This product does not support
                                                          1.8 V Signaling defined in the SD Host Controller Specification.)[26]:
                                                          Clock Generator Select Value 1: Programmable Clock Generator
                                                          0: Host Controller Ver. 2.00 Compatible Clock Generator[25:16]:
                                                          SDCLK Frequency Select Value 10-bit preset value to set SDCLK
                                                          Frequency Select in the Clock Control Register is described
                                                          by a host system.                                                    */
           uint32_t : 3; // padding
    } CFG_PRESET0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG_PRESET1;                     /*!< Initial value of Preset Values registers                              */
    
    struct {
      __IO uint32_t  HSPPRESETVAL: 13;              /*!< Core configuration. Preset Value for High Speed[12:11]: Driver
                                                         Strength Select Value Set 0x0 (This product does not support
                                                          1.8 V Signaling defined in the SD Host Controller Specification.)[10]:
                                                          Clock Generator Select Value 1: Programmable Clock Generator
                                                          0: Host Controller Ver. 2.00 Compatible Clock Generator[9:0]:
                                                          SDCLK Frequency Select Value 10-bit preset value to set SDCLK
                                                          Frequency Select in the Clock Control Register is described
                                                          by a host system.                                                    */
           uint32_t             :  3;
      __I  uint32_t  SDR12PRESETVAL: 13;            /*!< Core configuration. Preset Value for SDR12(This product does
                                                         not support SDR12.)                                                   */
           uint32_t : 3; // padding
    } CFG_PRESET1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CFG_PRESET2;                     /*!< Initial value of Preset Values registers                              */
    
    struct {
      __I  uint32_t  SDR25PRESETVAL: 13;            /*!< Core configuration. Preset Value for SDR25(This product does
                                                         not support SDR25.)                                                   */
           uint32_t             :  3;
      __I  uint32_t  SDR50PRESETVAL: 13;            /*!< Core configuration. Preset Value for SDR50(This product does
                                                         not support SDR50.)                                                   */
           uint32_t : 3; // padding
    } CFG_PRESET2_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CFG_PRESET3;                     /*!< Initial value of Preset Values registers                              */
    
    struct {
      __I  uint32_t  SDR104PRESETVAL: 13;           /*!< Core configuration. Preset Value for SDR104(This product does
                                                         not support SDR104.)                                                  */
           uint32_t             :  3;
      __I  uint32_t  DDR50PRESETVAL: 13;            /*!< Core configuration. Preset Value for DDR50(This product does
                                                         not support DDR50.)                                                   */
           uint32_t : 3; // padding
    } CFG_PRESET3_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CFG_WKUP;                        /*!< Wakeup configuration register                                         */
    
    struct {
      __IO uint32_t  ASYNCWKUPEN:  1;               /*!< Core configuration. Determines the Wakeup Signal Generation
                                                         Mode.1: Asynchronous Wakeup Mode0: Synchronous Wakeup Mode            */
           uint32_t : 31; // padding
    } CFG_WKUP_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CFG_TUNECNT;                     /*!< Tune count configuration register                                     */
    
    struct {
      __I  uint32_t  TUNINGCOUNT:  6;               /*!< Core configuration. Configures the Number of Taps(This product
                                                         does not support Tuning.)                                             */
           uint32_t : 26; // padding
    } CFG_TUNECNT_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTRL_DLYCHG;                     /*!< Delay change control register                                         */
    
    struct {
      __IO uint32_t  TAPCHGWIN  :  1;               /*!< Core control. Gate the output of the Tap Delay line1: Gate the
                                                         output of the Tap Delay line0: Dont gate the output of the Tap
                                                          Delay line                                                           */
           uint32_t             : 15;
      __I  uint32_t  TAPCHGWINSTS:  1;              /*!< Core control. TAPCHGWIN Status Monitor.(This product does not
                                                         support Delay control.)                                               */
           uint32_t : 15; // padding
    } CTRL_DLYCHG_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CTRL_INDLY;                      /*!< Input delay control register                                          */
    
    struct {
      __I  uint32_t  ITAPDLYEN  :  1;               /*!< Core control. Used to enable selective Tap delay line on the
                                                         Looped back SD Clock(This product does not support Delay control.)    */
           uint32_t             :  7;
      __I  uint32_t  ITAPDLYSEL :  5;               /*!< Core control. Selects one of the 32 Taps on the Looped back
                                                         SD Clock(This product does not support Delay control.)                */
           uint32_t             :  3;
      __I  uint32_t  ITAPDLYENSTS:  1;              /*!< Core control. ITAPDLYEN Status Monitor(This product does not
                                                         support Delay control.)                                               */
           uint32_t             :  7;
      __I  uint32_t  ITAPDLYSELSTS:  5;             /*!< Core control. ITAPDLYSEL Status Monitor(This product does not
                                                         support Delay control.)                                               */
           uint32_t : 3; // padding
    } CTRL_INDLY_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CTRL_OUTDLY;                     /*!< Output delay control register                                         */
    
    struct {
      __I  uint32_t  OTAPDLYEN  :  1;               /*!< Core control. Used to enable the selective Tap delay on the
                                                         sdcard_clk(This product does not support Delay control.)              */
           uint32_t             :  7;
      __I  uint32_t  OTAPDLYSEL :  4;               /*!< Core control. Selects one of the 16 Taps on the sdcard_clk.(This
                                                         product does not support Delay control.)                              */
           uint32_t             :  4;
      __I  uint32_t  OTAPDLYENSTS:  1;              /*!< Core control. OTAPDLYEN Status Monitor(This product does not
                                                         support Delay control.)                                               */
           uint32_t             :  7;
      __I  uint32_t  OTAPDLYSELSTS:  4;             /*!< Core control. OTAPDLYSELSTS Status Monitor(This product does
                                                         not support Delay control.)                                           */
           uint32_t : 4; // padding
    } CTRL_OUTDLY_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CTRL_DLL0;                       /*!< DLL control 0 register                                                */
    
    struct {
      __I  uint32_t  DLLENABLE  :  1;               /*!< Core control. DLL Enable (0: Disable, 1: Enable)(This product
                                                         does not support Delay control.)                                      */
           uint32_t             : 15;
      __I  uint32_t  DLLREADY   :  1;               /*!< Core control. DLL Ready (0: Not Ready, 1: Ready)(This product
                                                         does not support Delay control.)                                      */
           uint32_t : 15; // padding
    } CTRL_DLL0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CTRL_DLL1;                       /*!< DLL control 1 register                                                */
    
    struct {
      __I  uint32_t  DLLCLKSEL  :  1;               /*!< Core control. DLL Clock Select (0: Base Clock, 1: Divided Clock)(This
                                                         product does not support Delay control.)                              */
           uint32_t             : 15;
      __I  uint32_t  DLLCLKSELSTS:  1;              /*!< Core control. DLL Clock Select Status Monitor(This product does
                                                         not support Delay control.)                                           */
           uint32_t : 15; // padding
    } CTRL_DLL1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTRL;                         /*!< I/O control register                                                  */
    
    struct {
      __IO uint32_t  PU         :  1;               /*!< IO control. Pull-up enable for CMD/DAT pins1: Pull-up enable
                                                         for CMD/DAT pins0: Pull-up disable for CMD/DAT pins                   */
           uint32_t             : 23;
      __IO uint32_t  OEN        :  1;               /*!< IO control. Output enable for CLK pin1: Output enable for CLK
                                                         pin0: Output disable for CLK pin                                      */
           uint32_t : 7; // padding
    } IO_CTRL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  IO_TRIM;                           /*!< I/O trimming register                                                 */
  
  union {
    __I  uint32_t  IO_CFG;                          /*!< I/O configuration register                                            */
    
    struct {
      __I  uint32_t  CDEN       :  1;               /*!< IO control. CD pin enable (1: Enable Card Detection, 0: Disable
                                                         Card Detection (Always Card existing))(This product does not
                                                          support CD pin.)                                                     */
      __I  uint32_t  WPEN       :  1;               /*!< IO control. WP pin enable (1: Enable Write Protect Detection,
                                                         0: Disable Write Protect Detection (Always Write Enable))(This
                                                          product does not support WP pin.)                                    */
           uint32_t             : 14;
      __I  uint32_t  CDPOL      :  1;               /*!< IO configuration. CD Polarity (0: Low level means Card existing,
                                                         1: High level means Card existing)(This product does not support
                                                          CD pin.)                                                             */
      __I  uint32_t  WPPOL      :  1;               /*!< IO configuration. WP Polarity (0: Low means Write Enabled, 1:
                                                         High means Write Enabled)(This product does not support WP pin.)      */
           uint32_t : 14; // padding
    } IO_CFG_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[11];
  
  union {
    __IO uint32_t  CTRL_RXCLK;                      /*!< RXCLK control register                                                */
    
    struct {
      __IO uint32_t  RXCLKSEL   :  2;               /*!< Receive clock select00 : Use EM0_CLKB for receive clock01 :
                                                         Use EM0_CLKB for receive clock10 : Use internal loopback clock
                                                          for receive clock11 : Reserved                                       */
           uint32_t : 30; // padding
    } CTRL_RXCLK_b;                                 /*!< BitSize                                                               */
  };
} EMMC_CONF_Type;


/* ================================================================================ */
/* ================                       CRA                      ================ */
/* ================================================================================ */


/**
  * @brief cra (CRA)
  */

typedef struct {                                    /*!< CRA Structure                                                         */
  
  union {
    __IO uint32_t  SRC;                             /*!< Source Register                                                       */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  ADDR       : 30;               /*!< Transfer source address (byte address)Set in 4-byte alignment         */
    } SRC_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DST;                             /*!< Destination Register                                                  */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  ADDR       : 30;               /*!< Transfer destination address (byte address)Set in 4-byte alignment.   */
    } DST_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  LEN;                             /*!< Length Register                                                       */
    
    struct {
      __IO uint32_t  LEN        : 22;               /*!< Transfer size (byte)[CTRL].TYPE = 0b00 or 0b01 or 0b10 (Normal
                                                         Transfer / Encryption and Decryption Transfer): Set in 16-byte
                                                          unitsUp to 4M bytes - 16 bytes can be set.Nothing will happen
                                                          when an attempt is made to start a transfer by setting '0' or
                                                          'except 16-byte units'.[CTRL].TYPE = 0b11 (Hash Value Generation
                                                          Transfer): Up to 4M bytes - 1 byte can be set.[CTRL].CONT =
                                                          0b00: Set in byte unit. Prohibit setting 0 byte.[CTRL].CONT
                                                          = 0b01 or 0b11: Set in 64-byte units. Prohibit setting 0 byte.[CTRL].CONT
                                                          =                                                                    */
           uint32_t : 10; // padding
    } LEN_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTRL;                            /*!< Control Register                                                      */
    
    struct {
      __IO uint32_t  TYPE       :  2;               /*!< Type of transfer00: Normal transfer01: Encryption transfer10:
                                                         Decryption transfer11: hash value generation transfer                 */
           uint32_t             :  2;
      __IO uint32_t  MODE       :  2;               /*!< Cipher use modeFor TYPE=0b00 (normal transfer), dont careFor
                                                         TYPE=0b01 (encryption transfer),00: ECB mode01: CBC mode10:
                                                          CTR mode11: Not to be set (any setting does not cause data to
                                                          be updated)TYPE=0b10 (decryption transfer)00: ECB mode01: CBC
                                                          mode10: If set, TYPE becomes 0b01 (encryption transfer) or results
                                                          in encryption transfer in CTR mode11: No to be set (any setting
                                                          does not cause data to be updated)For TYPE=0b11 (hash value
                                                          generation transfer), dont care                                      */
           uint32_t             :  2;
      __IO uint32_t  KEYLEN     :  2;               /*!< Key length associated with encryption/decryption transferFor
                                                         TYPE = 0b01 (Encryption/Decryption Transfer): validOtherwise:
                                                          dont care00: 128 bits01: 192 bits10: 256 bits11: Not to be set
                                                          (any setting does not cause data to be updated)In case of [SKSET].SKSET
                                                          = 0b01, set to 0b00. Otherwise, the operation is not guaranteed.     */
           uint32_t             :  2;
      __IO uint32_t  CONT       :  2;               /*!< Split message settingFor TYPE = 0b11 (Hash Value Generation
                                                         Transfer): validOtherwise: dont care00: No use of the split
                                                          message and the hash value is output to the address in [DST].ADDR.01:
                                                          Use of the split message and the hash value is output to the
                                                          address in [IV].ADDR.10: Use of the split message, use of the
                                                          previous hash value in the address of [IV].ADDR and the hash
                                                          value is output to the address in [DST].ADDR.11: Use of the
                                                          split message, use of the previous hash value in the address
                                                          of [IV].ADDR and                                                     */
           uint32_t : 18; // padding
    } CTRL_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IV;                              /*!< Initialization Vector Register                                        */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  ADDR       : 30;               /*!< [CTRL].TYPE = 0b01 or 0b10 (Encryption/Decryption Transfer):
                                                         Uses an address specified in CBC mode ([CTRL].MODE = 0b01) as
                                                          IV. Outputs final IV values after the completion of a transfer.
                                                          Uses an address specified in CTR mode ([CTRL].MODE = 0b10) as
                                                          counter values. Outputs final counter values after the completion
                                                          of a transfer.[CTRL].TYPE = 0b11 (Hash Value Generation Transfer):
                                                          [CTRL].CONT = 0b10 or 0b11: Uses an address specified as the
                                                          hash value of previous split message. [CTRL].CONT = 0b01 or
                                                          0b11: Ou                                                             */
    } IV_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  START;                           /*!< Start Register                                                        */
    
    struct {
      __IO uint32_t  START      :  1;               /*!< 0: Indicates the end of transfer/ready to transfer1: Indicates
                                                         data is being transferredWriting 1 when this bit is 0 starts
                                                          a transferThis bit automatically becomes 0 after the completion
                                                          of a transferIf 0 is written when this bit is 1 (during a transfer),
                                                          the transfer is suspended and [STAT].ABORT becomes 1Nothing
                                                          happens even if 0 is written when this bit is 0 or even if 1
                                                          is written when this bit is 1                                        */
           uint32_t : 31; // padding
    } START_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SKSET;                           /*!< SK_Mn Set Register                                                    */
    
    struct {
      __IO uint32_t  SKSET      :  1;               /*!< Write0: Nothing happens1: Set the program code key (SK_Mn) to
                                                         [KEYn].Read0: Indicates SK_Mn is not set to [KEYn]1: Indicates
                                                          SK_Mn is set to [KEYn]This bit becomes 0 when [KEYn] is written.     */
           uint32_t : 31; // padding
    } SKSET_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  INTEN;                           /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint32_t  TRANSEND   :  1;               /*!< Valid end of transfer interrupt0: End of transfer interrupt
                                                         is invalid1: End of transfer interrupt is valid                       */
      __IO uint32_t  ERRREAD    :  1;               /*!< Valid read error interrupt0: Read error interrupt is invalid1:
                                                         Read error interrupt is valid                                         */
      __IO uint32_t  ERRWRITE   :  1;               /*!< Valid write error interrupt0: Write error interrupt is invalid1:
                                                         Write error interrupt is valid                                        */
      __IO uint32_t  ABORT      :  1;               /*!< Abort0: Abort interrupt is invalid1: Abort interrupt is valid         */
           uint32_t : 28; // padding
    } INTEN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  STAT;                            /*!< Status RegisterCleared to 0 when 1 is written to each bit. Not
                                                         cleared as long as 1 is not writtenIf a bit becomes 1, an interrupt
                                                          is generated when a bit corresponding to INTEN is 1.                 */
    
    struct {
      __IO uint32_t  TRANSEND   :  1;               /*!< End of transfer0: A transfer has not been completed1: A transfer
                                                         has been completed                                                    */
      __IO uint32_t  ERRREAD    :  1;               /*!< Read error0: A read error has not occurred1: A read error has
                                                         occurred                                                              */
      __IO uint32_t  ERRWRITE   :  1;               /*!< Write error0: A write error has not occurred1: A write error
                                                         has occurred                                                          */
      __IO uint32_t  ABORT      :  1;               /*!< Abort0: An abort has not occurred1: An abort has occurred             */
           uint32_t : 28; // padding
    } STAT_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  HWDIS;                           /*!< Hardware Disable Register                                             */
    
    struct {
      __I  uint32_t  AES        :  1;               /*!< Indication of disable encryption/decryption transfer0b1: Nothing
                                                         will happen when an attempt is made to start a encryption/decryption
                                                          transfer ([CTRL].TYPE = 0b01 or 0b10).This register setting
                                                          can not be changed.                                                  */
           uint32_t : 31; // padding
    } HWDIS_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __I  uint32_t  ERRSRC;                          /*!< Error Source Register                                                 */
    
    struct {
           uint32_t             :  2;
      __I  uint32_t  ADDR       : 30;               /*!< Indicates an address where the transfer source has a bus error.       */
    } ERRSRC_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ERRDST;                          /*!< Error Destination Register                                            */
    
    struct {
           uint32_t             :  2;
      __I  uint32_t  ADDR       : 30;               /*!< Indicates an address where the transfer destination has a bus
                                                         error.                                                                */
    } ERRDST_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ERRLEN;                          /*!< Error Length Register                                                 */
    
    struct {
      __I  uint32_t  LEN        : 22;               /*!< Indicates a remaining transfer size for which transfer processing
                                                         associated with a bus error has not been performed.                   */
           uint32_t : 10; // padding
    } ERRLEN_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  KEY0;                            /*!< Key0 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.When a key in
                                                         memory is represented in byte sequence, a byte with a smaller
                                                          address is set in the LSB side of [KEYn] with a smaller key
                                                          number.The following is an example where 128-bit encryption
                                                          keys are stored in memory in byte sequence, which include 0x00,
                                                          0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09, 0x0A,
                                                          0x0B, 0x0C, 0x0D, 0x0E, and 0x0F in an ascending order of the
                                                          address.- [KEY0]=0x03020100- [KEY1]=0x07060504- [KEY2]=0x0B0A0908-
                                                          [KEY3]=0x0F0E0                                                       */
    } KEY0_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY1;                            /*!< Key1 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY1_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY2;                            /*!< Key2 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY2_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY3;                            /*!< Key3 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY3_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY4;                            /*!< Key4 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY4_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY5;                            /*!< Key5 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY5_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY6;                            /*!< Key6 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY6_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  KEY7;                            /*!< Key7 Register                                                         */
    
    struct {
      __IO uint32_t  KEY        : 32;               /*!< Encryption key'0' can be read when data is read.                      */
    } KEY7_b;                                       /*!< BitSize                                                               */
  };
} CRA_Type;


/* ================================================================================ */
/* ================                       RNG                      ================ */
/* ================================================================================ */


/**
  * @brief rng (RNG)
  */

typedef struct {                                    /*!< RNG Structure                                                         */
  
  union {
    __I  uint32_t  RNDO;                            /*!< Random Number Output Register                                         */
    
    struct {
      __I  uint32_t  RNDO       : 32;               /*!< When [RNDREADY] is 1, 32-bit intrinsic random numbers can be
                                                         read every time data is read.When [RNDREADY] is 0, 0 can be
                                                          read.Although this is 0 immediately after reset cancellation,
                                                          RNDREADY becomes 1 after 180 cycles, allowing random numbers
                                                          to be read through this register.                                    */
    } RNDO_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RNDREADY;                        /*!< Random Number Ready Register                                          */
    
    struct {
      __I  uint32_t  RNDREADY   :  1;               /*!< 0b0: 0 can be read through [RNDO] because of random numbers
                                                         being generated. 0b1: Random numbers can be read through [RNDO]
                                                          since random number generation has been completed. This is 0
                                                          immediately after reset cancellation, but becomes 1 after 180
                                                          cycles.                                                              */
           uint32_t : 31; // padding
    } RNDREADY_b;                                   /*!< BitSize                                                               */
  };
} RNG_Type;


/* ================================================================================ */
/* ================                      TZCP                      ================ */
/* ================================================================================ */


/**
  * @brief tzcp (TZCP)
  */

typedef struct {                                    /*!< TZCP Structure                                                        */
  
  union {
    __IO uint32_t  SRCADR;                          /*!< SRCADR                                                                */
    
    struct {
      __IO uint32_t  ADR        : 32;               /*!< source address                                                        */
    } SRCADR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DSTADR;                          /*!< DSTADR                                                                */
    
    struct {
      __IO uint32_t  ADR        : 32;               /*!< destination address                                                   */
    } DSTADR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPSZ;                           /*!< CMPSZ                                                                 */
    
    struct {
      __IO uint32_t  SZ         : 32;               /*!< compress: max size of destination data - 1 bytedecompress: size
                                                         of source data - 1 byte                                               */
    } CMPSZ_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPDIR;                          /*!< CMPDIR                                                                */
    
    struct {
      __IO uint32_t  DIR        :  1;               /*!< transfer direction0: compress1: decompress                            */
           uint32_t : 31; // padding
    } CMPDIR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  VECNUM;                          /*!< VECNUM                                                                */
    
    struct {
      __IO uint32_t  NUM        : 32;               /*!< number of vectors - 1                                                 */
    } VECNUM_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ELMNUM;                          /*!< ELMNUM                                                                */
    
    struct {
      __IO uint32_t  NUM        :  3;               /*!< number of elements - 1                                                */
           uint32_t : 29; // padding
    } ELMNUM_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ELMFMT;                          /*!< formats of each elements                                              */
    
    struct {
      __IO uint32_t  SZ0        :  2;               /*!< size of element00: 8 bits (char)1: 16 bits (short)2: 24 bits3:
                                                         32 bits (int)                                                         */
      __IO uint32_t  SR0        :  1;               /*!< sign representation of element00: unsigned or twos complement1:
                                                         signed magnitude                                                      */
           uint32_t             :  1;
      __IO uint32_t  SZ1        :  2;               /*!< same as SZ0 but element1                                              */
      __IO uint32_t  SR1        :  1;               /*!< same as SR0 but element1                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ2        :  2;               /*!< same as SZ0 but element2                                              */
      __IO uint32_t  SR2        :  1;               /*!< same as SR0 but element2                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ3        :  2;               /*!< same as SZ0 but element3                                              */
      __IO uint32_t  SR3        :  1;               /*!< same as SR0 but element3                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ4        :  2;               /*!< same as SZ0 but element4                                              */
      __IO uint32_t  SR4        :  1;               /*!< same as SR0 but element4                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ5        :  2;               /*!< same as SZ0 but element5                                              */
      __IO uint32_t  SR5        :  1;               /*!< same as SR0 but element5                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ6        :  2;               /*!< same as SZ0 but element6                                              */
      __IO uint32_t  SR6        :  1;               /*!< same as SR0 but element6                                              */
           uint32_t             :  1;
      __IO uint32_t  SZ7        :  2;               /*!< same as SZ0 but element7                                              */
      __IO uint32_t  SR7        :  1;               /*!< same as SR0 but element7                                              */
           uint32_t : 1; // padding
    } ELMFMT_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPMD0;                          /*!< compression mode0 register                                            */
    
    struct {
      __IO uint32_t  PSZ        :  8;               /*!< page size0: non-page mode1 to 2: reserved3 to 255: number of
                                                         units in a page - 1 unit                                              */
      __IO uint32_t  USZ        :  1;               /*!< unit size0: normal size (units = 32 vectors)1: half size (units
                                                         = 16 vectors)                                                         */
           uint32_t : 23; // padding
    } CMPMD0_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[4];
  
  union {
    __I  uint32_t  DSTINF;                          /*!< DSTINF                                                                */
    
    struct {
      __I  uint32_t  LADR       : 32;               /*!< last address of destination data + 1 byte                             */
    } DSTINF_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PGINF0;                          /*!< PGINF0                                                                */
    
    struct {
      __I  uint32_t  NUM        : 24;               /*!< number of pages                                                       */
           uint32_t : 8; // padding
    } PGINF0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PGINF1;                          /*!< PGINF1                                                                */
    
    struct {
      __I  uint32_t  LADR       : 32;               /*!< relative address of last page in compressed data                      */
    } PGINF1_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __IO uint32_t  TBLADR;                          /*!< TBLADR                                                                */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  ADR        : 31;               /*!< page table address                                                    */
    } TBLADR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TBLMD;                           /*!< TBLMD                                                                 */
    
    struct {
      __IO uint32_t  MD         :  2;               /*!< 0: no page table1: generate page table2 to 3: reserved                */
           uint32_t             :  2;
      __IO uint32_t  SZ         :  1;               /*!< 0: 16 bits entry1: 32 bits entry                                      */
           uint32_t : 27; // padding
    } TBLMD_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[2];
  
  union {
    __IO uint32_t  DMACNT;                          /*!< DMA control register                                                  */
    
    struct {
      __IO uint32_t  CNT        :  2;               /*!< 0: ignored1: start DMA transfer2: abort DMA transfer3: reserved       */
           uint32_t : 30; // padding
    } DMACNT_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[3];
  
  union {
    __IO uint32_t  STATUS;                          /*!< status register                                                       */
    
    struct {
      __IO uint32_t  DONE       :  1;               /*!< read: indicate DMA transfer was finishedwrite 0: clear DONE
                                                         statuswrite 1: ignored                                                */
           uint32_t             :  3;
      __IO uint32_t  OVER       :  1;               /*!< read: indicate over-run error was occurredwrite 0: clear OVER
                                                         statuswrite 1: ignored                                                */
           uint32_t             :  3;
      __IO uint32_t  UNDR       :  1;               /*!< read: indicate under-run error was occurredwrite 0: clear UNDR
                                                         statuswrite 1: ignored                                                */
      __IO uint32_t  INVL       :  1;               /*!< read : indicate invalid compressed data error was occurredwrite
                                                         0: clear INVL statuswrite 1: ignored                                  */
           uint32_t             :  2;
      __IO uint32_t  BERR       :  1;               /*!< read: indicate bus error was occurredwrite 0: clear BERR statuswrite
                                                         1: ignored                                                            */
           uint32_t             :  3;
      __I  uint32_t  BUSY       :  1;               /*!< indicate DMA transfer is in progress                                  */
      __I  uint32_t  ABRT       :  1;               /*!< indicate aborting process is in progress                              */
           uint32_t : 14; // padding
    } STATUS_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTEN;                           /*!< interrupt enable register                                             */
    
    struct {
      __IO uint32_t  DONE       :  1;               /*!< interrupt enable for DONE interrupt0: disable1: enable                */
           uint32_t             :  3;
      __IO uint32_t  OVER       :  1;               /*!< interrupt enable for OVER interrupt0: disable1: enable                */
           uint32_t             :  3;
      __IO uint32_t  UNDR       :  1;               /*!< interrupt enable for UNDR interrupt0: disable1: enable                */
      __IO uint32_t  INVL       :  1;               /*!< interrupt enable for INVL interrupt0: disable1: enable                */
           uint32_t             :  2;
      __IO uint32_t  BERR       :  1;               /*!< interrupt enable for BERR interrupt0: disable1: enable                */
           uint32_t : 19; // padding
    } INTEN_b;                                      /*!< BitSize                                                               */
  };
} TZCP_Type;


/* ================================================================================ */
/* ================                   SDMAC_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief sdmac_conf (SDMAC_CONF)
  */

typedef struct {                                    /*!< SDMAC_CONF Structure                                                  */
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL0;                 /*!< SDMAC0_REQ_SEL0                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL0:  6;           /*!< Select SDMAC0 handshaking interface 0Defines a peripheral interface
                                                         number assigned to the handshake interface 0 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL0_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL1;                 /*!< SDMAC0_REQ_SEL1                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL1:  6;           /*!< Select SDMAC0 handshaking interface 1Defines a peripheral interface
                                                         number assigned to the handshake interface 1 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL1_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL2;                 /*!< SDMAC0_REQ_SEL2                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL2:  6;           /*!< Select SDMAC0 handshaking interface 2Defines a peripheral interface
                                                         number assigned to the handshake interface 2 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL2_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL3;                 /*!< SDMAC0_REQ_SEL3                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL3:  6;           /*!< Select SDMAC0 handshaking interface 3Defines a peripheral interface
                                                         number assigned to the handshake interface 3 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL3_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL4;                 /*!< SDMAC0_REQ_SEL4                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL4:  6;           /*!< Select SDMAC0 handshaking interface 4Defines a peripheral interface
                                                         number assigned to the handshake interface 4 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL4_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL5;                 /*!< SDMAC0_REQ_SEL5                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL5:  6;           /*!< Select SDMAC0 handshaking interface 5Defines a peripheral interface
                                                         number assigned to the handshake interface 5 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL5_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL6;                 /*!< SDMAC0_REQ_SEL6                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL6:  6;           /*!< Select SDMAC0 handshaking interface 6Defines a peripheral interface
                                                         number assigned to the handshake interface 6 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL6_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL7;                 /*!< SDMAC0_REQ_SEL7                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL7:  6;           /*!< Select SDMAC0 handshaking interface 7Defines a peripheral interface
                                                         number assigned to the handshake interface 7 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL7_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL8;                 /*!< SDMAC0_REQ_SEL8                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL8:  6;           /*!< Select SDMAC0 handshaking interface 8Defines a peripheral interface
                                                         number assigned to the handshake interface 8 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL8_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC0_REQ_SEL9;                 /*!< SDMAC0_REQ_SEL9                                                       */
    
    struct {
      __IO uint32_t  SDMAC0_REQ_SEL9:  6;           /*!< Select SDMAC0 handshaking interface 9Defines a peripheral interface
                                                         number assigned to the handshake interface 9 of SDMAC0.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC0_REQ_SEL9_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[6];
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL0;                 /*!< SDMAC1_REQ_SEL0                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL0:  6;           /*!< Select SDMAC1 handshaking interface 0Defines a peripheral interface
                                                         number assigned to the handshake interface 0 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL0_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL1;                 /*!< SDMAC1_REQ_SEL1                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL1:  6;           /*!< Select SDMAC1 handshaking interface 1Defines a peripheral interface
                                                         number assigned to the handshake interface 1 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL1_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL2;                 /*!< SDMAC1_REQ_SEL2                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL2:  6;           /*!< Select SDMAC1 handshaking interface 2Defines a peripheral interface
                                                         number assigned to the handshake interface 2 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL2_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL3;                 /*!< SDMAC1_REQ_SEL3                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL3:  6;           /*!< Select SDMAC1 handshaking interface 3Defines a peripheral interface
                                                         number assigned to the handshake interface 3 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL3_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL4;                 /*!< SDMAC1_REQ_SEL4                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL4:  6;           /*!< Select SDMAC1 handshaking interface 4Defines a peripheral interface
                                                         number assigned to the handshake interface 4 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL4_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL5;                 /*!< SDMAC1_REQ_SEL5                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL5:  6;           /*!< Select SDMAC1 handshaking interface 5Defines a peripheral interface
                                                         number assigned to the handshake interface 5 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL5_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL6;                 /*!< SDMAC1_REQ_SEL6                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL6:  6;           /*!< Select SDMAC1 handshaking interface 6Defines a peripheral interface
                                                         number assigned to the handshake interface 6 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL6_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SDMAC1_REQ_SEL7;                 /*!< SDMAC1_REQ_SEL7                                                       */
    
    struct {
      __IO uint32_t  SDMAC1_REQ_SEL7:  6;           /*!< Select SDMAC1 handshaking interface 7Defines a peripheral interface
                                                         number assigned to the handshake interface 7 of SDMAC1.Available
                                                          value range is 0 to 63.                                              */
           uint32_t : 26; // padding
    } SDMAC1_REQ_SEL7_b;                            /*!< BitSize                                                               */
  };
} SDMAC_CONF_Type;


/* ================================================================================ */
/* ================                     I2SLP0                     ================ */
/* ================================================================================ */


/**
  * @brief i2slp0 (I2SLP0)
  */

typedef struct {                                    /*!< I2SLP0 Structure                                                      */
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  SC_START;                        /*!< The I2S operation can be started by writing 1 to this register.When
                                                         executing START after STOP processing, it should be confirmed
                                                          that STOP processing has been completed ([SC_STOP].I2S_STOP
                                                          = Low).                                                              */
    
    struct {
      __IO uint32_t  SDStart    :  1;               /*!< Start serial input/output operations.(not used in I2SC block)         */
           uint32_t             :  7;
      __IO uint32_t  Start      :  1;               /*!< I2S start bitI2S operation is started by writing 1 to this bit.
                                                         The writing 1 access is valid when the Busy bit in the [SC_BUSY]
                                                          register shows 0.0: Ignored1: Start the generation of LRCK           */
           uint32_t : 23; // padding
    } SC_START_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SC_BUSY;                         /*!< The operating state can be checked by reading this register.          */
    
    struct {
      __I  uint32_t  SDBusy     :  1;               /*!< MicBusy (Input) / SpeakerBusy (Output)(not used in I2SC block)        */
      __I  uint32_t  SeriBusy   :  1;               /*!< Serial signal status bit(not used in I2SC block)                      */
           uint32_t             :  6;
      __I  uint32_t  Busy       :  1;               /*!< Operation status of the module which generates LRCK0: Stopped1:
                                                         Operating                                                             */
           uint32_t             :  7;
      __I  uint32_t  ErrBusy    :  1;               /*!< The internal process status bits of the Underrun/Overrun errors.(not
                                                         used in I2SC block)                                                   */
      __I  uint32_t  LRErrBusy  :  1;               /*!< The internal process status bits of LRCK interval error.(not
                                                         used in I2SC block)                                                   */
           uint32_t : 14; // padding
    } SC_BUSY_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SC_STOP;                         /*!< The I2S operation can be stopped by writing 1 to this register.After
                                                         writing 1, this register returns 1 as a read data during processing
                                                          the stop operation. This register returns 0 as a read data after
                                                          completion of the stop operation.This register should be written
                                                          1 during the I2S operation - when [SC_BUSY].Busy is 1.               */
    
    struct {
      __IO uint32_t  I2S_STOP   :  1;               /*!< The I2S block stop controlBy writing 1 to this bit, generating
                                                         the LR clock and sending/receiving data are stopped. And the
                                                          internal status is cleared.0: Ignored1: Clear the internal status    */
           uint32_t : 31; // padding
    } SC_STOP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SC_AUDIOSET;                     /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WordLen    :  6;               /*!< Word LengthSpecify the number of bits in audio data. The following
                                                         setting is valid.10_0000: 32 bits01_1000: 24 bits01_0000: 16
                                                          bits00_1000: 8 bitsother values : reserved.                          */
           uint32_t             :  2;
      __IO uint32_t  SCLKtoWS   :  1;               /*!< Specify the frame size of serial data. The frame size means
                                                         the number of SCLK (BCK) cycles per audio channel. In case of
                                                          monaural format, one frame is equal to one sampling period.
                                                          In case of stereo format, one frame is equal to a half of sampling
                                                          period, because one sampling data consists of 2 channels (left
                                                          and right). The word length specified with WordLen cannot exceed
                                                          the frame size.0: 16 cycles1: 32 cycles                              */
           uint32_t             :  2;
      __IO uint32_t  Edge       :  1;               /*!< LRCK Sampling EdgeSelect the reference SCLK (BCK) edge of the
                                                         LRCK.0: Output the LR clock at the SCLK falling edge.1: Output
                                                          the LR clock at the SCLK rising edge.                                */
      __IO uint32_t  SDEdge     :  1;               /*!< Serial Data Sampling Edge(not used in I2SC block)                     */
           uint32_t             :  3;
      __IO uint32_t  DTFmt      :  1;               /*!< Memory Data FormatSelect the data alignment in the 32-bit width
                                                         internal memory (FIFO).In case of 8 or 16-bit length data:0:
                                                          Lower data is the first1: Upper data is the firstFor 24-bit
                                                          length data in 32-bit register:0: Lower data is valid1: Upper
                                                          data is valid                                                        */
           uint32_t : 15; // padding
    } SC_AUDIOSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SC_INTSTAT;                      /*!< Interrupt Status Register (not used in I2SC block)                    */
    
    struct {
      __I  uint32_t  Int        :  1;               /*!< Transfer request interrupt (not used in I2SC block)                   */
      __I  uint32_t  ORErr      :  1;               /*!< OverRunError (not used in I2SC block)                                 */
      __I  uint32_t  URErr      :  1;               /*!< UnderRunError (not used in I2SC block)                                */
      __I  uint32_t  LRCKErr    :  1;               /*!< LRCK Interval Error (not used in I2SC block)                          */
           uint32_t : 28; // padding
    } SC_INTSTAT_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SC_INTMASK;                      /*!< Interrupt Mask Register (not used in I2SC block)                      */
    
    struct {
      __IO uint32_t  Mask       :  1;               /*!< InterruptMask (not used in I2SC block)                                */
      __IO uint32_t  ORMask     :  1;               /*!< OverRunErrorMask (not used in I2SC block)                             */
      __IO uint32_t  URMask     :  1;               /*!< UnderRunErrorMask (not used in I2SC block)                            */
      __IO uint32_t  LRErrMask  :  1;               /*!< LRCKErrorMask (not used in I2SC block)                                */
           uint32_t             : 12;
      __IO uint32_t  DMACMSK    :  1;               /*!< DMACIntMask (not used in I2SC block)                                  */
           uint32_t : 15; // padding
    } SC_INTMASK_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SC_INTCLR;                       /*!< Interrupt Clear Register (not used in I2SC block)                     */
    
    struct {
      __IO uint32_t  IntClr     :  1;               /*!< InterruptClear (not used in I2SC block)                               */
      __IO uint32_t  ORClr      :  1;               /*!< OverRunErrorClear (not used in I2SC block)                            */
      __IO uint32_t  URClr      :  1;               /*!< UnerRunErrorClear (not used in I2SC block)                            */
      __IO uint32_t  LRErrClr   :  1;               /*!< LRCKErrorClear (not used in I2SC block)                               */
           uint32_t : 28; // padding
    } SC_INTCLR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __IO uint32_t  SC_MUTE;                         /*!< This register is used to mute audio signals.                          */
    
    struct {
      __IO uint32_t  MuteN      :  1;               /*!< Mute Setting (not used in I2SC block)                                 */
           uint32_t : 31; // padding
    } SC_MUTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SC_EPTR;                         /*!< SC_EPTR                                                               */
    
    struct {
      __I  uint32_t  ErrPointer :  6;               /*!< ErrorPointer (not used in I2SC block)                                 */
           uint32_t : 26; // padding
    } SC_EPTR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  SC_TX_SSIZE;                     /*!< This register is used to specify the threshold to start serial
                                                         data transmission.(not used in I2SC block)                            */
    
    struct {
      __IO uint32_t  TxStartSize:  6;               /*!< TXStartSizeSpecify the threshold to start transmission of serial
                                                         data.(not used in I2SC block)                                         */
           uint32_t : 26; // padding
    } SC_TX_SSIZE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[3];
  
  union {
    __I  uint32_t  SC_REGBUSY;                      /*!< This register indicates busy status of register access.'1' means
                                                         busy, and '0' means not busy of each field.                           */
    
    struct {
      __I  uint32_t  AUDIOSETBusy:  1;              /*!< [SC_AUDIOSET] register update is processing.                          */
      __I  uint32_t  MuteBusy   :  1;               /*!< MUTE register busy status (not used in I2SC block)                    */
      __I  uint32_t  TXSSizeBusy:  1;               /*!< TXSSIZE register busy status (not used in I2SC block)                 */
      __I  uint32_t  MODESETBusy:  1;               /*!< [SC_MODESET] register update is processing.                           */
           uint32_t             : 12;
      __I  uint32_t  AUDIOSETPend:  1;              /*!< [SC_AUDIOSET] register update is pending internally.                  */
      __I  uint32_t  MutePend   :  1;               /*!< MUTE register pending status (not used in I2SC block)                 */
      __I  uint32_t  TXSSizePend:  1;               /*!< TXSSIZE register pending status (not used in I2SC block)              */
      __I  uint32_t  MODESETPend:  1;               /*!< [SC_MODESET] register update is pending internally.                   */
           uint32_t : 12; // padding
    } SC_REGBUSY_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[45];
  
  union {
    __IO uint32_t  SC_MODESET;                      /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WS         :  3;               /*!< WaveSelectSelect an audio signal type.000: I2S stereo001: Reserved010:
                                                         LR stereo (LR clock Low period is Left)011: LR stereo with reverse
                                                          LR clock polarity (LR clock High period is Left)100: PCM monaural
                                                          (LR clock Low is sync)101: PCM monaural with reverse LR clock
                                                          polarity (LR clock High is sync)110: Reserved111: Reserved           */
           uint32_t : 29; // padding
    } SC_MODESET_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[1986];
  
  union {
    __IO uint32_t  SI_START;                        /*!< The I2S operation can be started by writing 1 to this register.When
                                                         executing START after STOP processing, it should be confirmed
                                                          that STOP processing has been completed ([SI_STOP].I2S_STOP
                                                          = Low).                                                              */
    
    struct {
      __IO uint32_t  MicStart   :  1;               /*!< MicStartA serial transfer is started by writing 1 to this bit.
                                                         The writing 1 access is valid when the MicBusy bit in the [SI_BUSY]
                                                          register shows 0.0: Ignored1: Start serial input operations.         */
           uint32_t             :  7;
      __IO uint32_t  Start      :  1;               /*!< I2S start bitI2S operation is started by writing 1 to this bit.
                                                         The writing 1 access is valid when the Busy bit in the [SI_BUSY]
                                                          register shows 0.0: Ignored1: Start the operation of the I2S         */
           uint32_t : 23; // padding
    } SI_START_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SI_BUSY;                         /*!< The operating state can be checked by reading this register.          */
    
    struct {
      __I  uint32_t  MicBusy    :  1;               /*!< MicBusySerial data input operation status0: Stopped1: Operating       */
      __I  uint32_t  SeriBusy   :  1;               /*!< Serial signal status bitThis bit indicates the internal mute
                                                         status.0: Mute1: Mute release                                         */
           uint32_t             :  6;
      __I  uint32_t  Busy       :  1;               /*!< Operation status of the module which generates LRCK(not used
                                                         in I2SI and I2SO block)                                               */
           uint32_t             :  7;
      __I  uint32_t  ErrBusy    :  1;               /*!< The internal process status bits of the Underrun/Overrun errors.0:
                                                         Completion of the internal error process1: Operating the internal
                                                          error process                                                        */
      __I  uint32_t  LRErrBusy  :  1;               /*!< The internal process status bits of LRCK interval error.0: Completion
                                                         of the internal error process1: Operating the internal error
                                                          process                                                              */
           uint32_t : 14; // padding
    } SI_BUSY_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SI_STOP;                         /*!< The I2S operation can be stopped by writing 1 to this register.After
                                                         writing 1, this register returns 1 as a read data during processing
                                                          the stop operation. This register returns 0 as a read data after
                                                          completion of the stop operation.This register should be written
                                                          1 during the I2S operation - when [BUSY].MicBusy is 1.               */
    
    struct {
      __IO uint32_t  I2S_STOP   :  1;               /*!< The I2S block stop controlBy writing 1 to this bit, generating
                                                         the LR clock and sending/receiving data are stopped. And the
                                                          internal status is cleared.0: Ignored1: Clear the internal status    */
           uint32_t : 31; // padding
    } SI_STOP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SI_AUDIOSET;                     /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WordLen    :  6;               /*!< Word LengthSpecify the number of bits in audio data. The following
                                                         setting is valid.10_0000: 32 bits01_1000: 24 bits01_0000: 16
                                                          bits00_1000: 8 bitsother values : reserved.                          */
           uint32_t             :  2;
      __IO uint32_t  SCLKtoWS   :  1;               /*!< Specify the frame size of serial data. The frame size means
                                                         the number of SCLK (BCK) cycles per audio channel. In case of
                                                          monaural format, one frame is equal to one sampling period.
                                                          In case of stereo format, one frame is equal to a half of sampling
                                                          period, because one sampling data consists of 2 channels (left
                                                          and right). The word length specified with WordLen cannot exceed
                                                          the frame size.0: 16 cycles1: 32 cycles                              */
           uint32_t             :  2;
      __IO uint32_t  Edge       :  1;               /*!< LRCK Sampling EdgeSelect the reference SCLK (BCK) edge of the
                                                         LRCK.0: Capture the LR clock at the SCLK falling edge.1: Capture
                                                          the LR clock at the SCLK rising edge.                                */
      __IO uint32_t  SDEdge     :  1;               /*!< Serial Data Sampling EdgeSelect the reference SCLK (BCK) edge
                                                         of the serial data.0: Capture serial data at the SCLK falling
                                                          edge.1: Capture serial data at the SCLK rising edge.                 */
           uint32_t             :  3;
      __IO uint32_t  DTFmt      :  1;               /*!< Memory Data FormatSelect the data alignment in the 32-bit width
                                                         internal memory (FIFO).In case of 8 or 16-bit length data:0:
                                                          Lower data is the first1: Upper data is the firstFor 24-bit
                                                          length data in 32-bit register:0: Lower data is valid1: Upper
                                                          data is valid                                                        */
           uint32_t : 15; // padding
    } SI_AUDIOSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SI_INTSTAT;                      /*!< This register is used to check the interrupt status.                  */
    
    struct {
      __I  uint32_t  Int        :  1;               /*!< Transfer request interruptIn case of transmitting, this bit
                                                         indicates that there are one word (4 bytes) or more vacant spaces
                                                          in the local memory. In case of receiving, this bit indicates
                                                          that there are one word (4 bytes) or more data in the local
                                                          memory. This bit indicates the previous status which is masked.This
                                                          bit is cleared to 0 in the following cases; - Writing 1 to the
                                                          IntClr bit in the [SI_INTCLR] register - Receiving DMA acknowledgement
                                                          when the DMAC request is enabled (INTMASK[16] = 0) - Overrun
                                                                                                                               */
      __I  uint32_t  ORErr      :  1;               /*!< OverRunErrorThis bit is set to 1 if an overrun error occurs.
                                                         This bit indicates the previous status which is masked.It is
                                                          cleared to 0 by writing 1 to the ORClr bit in the [SI_INTCLR]
                                                          register.0: No overrun error occurred.1: An overrun error occurred.  */
      __I  uint32_t  URErr      :  1;               /*!< UnderRunErrorThis bit is set to 1 if an underrun error occurs.
                                                         This bit indicates the previous status which is masked.It is
                                                          cleared to 0 by writing 1 to the URClr bit in the [SI_INTCLR]
                                                          register.0: No underrun error occurred.1: An underrun error
                                                          occurred.                                                            */
      __I  uint32_t  LRCKErr    :  1;               /*!< LRCK Interval ErrorThis bit is set to 1 if unexpected LRCK period
                                                         is detected. This bit indicates the previous status which is
                                                          masked.It is cleared to 0 by writing 1 to the LRErrClr bit in
                                                          the [SI_INTCLR] register.0: No LRCK error occurred.1: A LRCK
                                                          error occurred.                                                      */
           uint32_t : 28; // padding
    } SI_INTSTAT_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SI_INTMASK;                      /*!< This register is used to mask interrupt signals and DMA transfer
                                                         request.The I2S block supports two types of interrupts, data
                                                          transfer request and error interrupt, and two destinations,
                                                          the INTC and DMAC.For error interrupts, the URMask and ORMask
                                                          bits can be used to mask each source. These interrupts are issued
                                                          to the INTC. The DMAC does not receive error interrupts.Data
                                                          transfer request can be masked using the Mask bit for the INTC
                                                          and the DMACMSK bit for the DMAC. One of two requests ( INTC
                                                          or DMAC ) sh                                                         */
    
    struct {
      __IO uint32_t  Mask       :  1;               /*!< InterruptMaskMask data transfer request interrupts to the INTC.
                                                         The request to the DMA is not masked.0: Unmask1: Mask                 */
      __IO uint32_t  ORMask     :  1;               /*!< OverRunErrorMaskMask the overrun error (ORErr) interrupt.0:
                                                         Unmask1: Mask                                                         */
      __IO uint32_t  URMask     :  1;               /*!< UnderRunErrorMaskMask the underrun error (URErr) interrupt.0:
                                                         Unmask1: Mask                                                         */
      __IO uint32_t  LRErrMask  :  1;               /*!< LRCKErrorMaskMask the LRCK error (LRCKErr) interrupt.0: Unmask1:
                                                         Mask                                                                  */
           uint32_t             : 12;
      __IO uint32_t  DMACMSK    :  1;               /*!< DMACIntMaskMask data transfer request signals to the DMAC. This
                                                         bit should be 0 in the case of using DMA.0: Unmask1: Mask             */
           uint32_t : 15; // padding
    } SI_INTMASK_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SI_INTCLR;                       /*!< This register is used to clear interrupts.                            */
    
    struct {
      __IO uint32_t  IntClr     :  1;               /*!< InterruptClearInt bit in the [SI_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear Int                */
      __IO uint32_t  ORClr      :  1;               /*!< OverRunErrorClearORErr bit in the [SI_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear ORErr              */
      __IO uint32_t  URClr      :  1;               /*!< UnerRunErrorClearURErr bit in the [SI_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear URErr              */
      __IO uint32_t  LRErrClr   :  1;               /*!< LRCKErrorClearLRCKErr bit in the [SI_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, this bit always returns 0.0: Ignored1: Clear Int               */
           uint32_t : 28; // padding
    } SI_INTCLR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6;
  
  union {
    __IO uint32_t  SI_MUTE;                         /*!< This register is used to mute audio signals.                          */
    
    struct {
      __IO uint32_t  MuteN      :  1;               /*!< Mute SettingSpecify muting.0: Mute1: Normal operation                 */
           uint32_t : 31; // padding
    } SI_MUTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SI_EPTR;                         /*!< This register indicates the address where an overrun or underrun
                                                         error occurred.                                                       */
    
    struct {
      __I  uint32_t  ErrPointer :  6;               /*!< ErrorPointerThis field indicates the error address.                   */
           uint32_t : 26; // padding
    } SI_EPTR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7;
  
  union {
    __IO uint32_t  SI_TX_SSIZE;                     /*!< This register is used to specify the threshold to start serial
                                                         data transmission.(not used in I2SI block)                            */
    
    struct {
      __IO uint32_t  TxStartSize:  6;               /*!< TXStartSizeSpecify the threshold to start transmission of serial
                                                         data.(not used in I2SI block)                                         */
           uint32_t : 26; // padding
    } SI_TX_SSIZE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[3];
  
  union {
    __I  uint32_t  SI_REGBUSY;                      /*!< This register indicates busy status of register access.'1' means
                                                         busy, and '0' means not busy of each field.                           */
    
    struct {
      __I  uint32_t  AUDIOSETBusy:  1;              /*!< [SI_AUDIOSET] register update is processing.                          */
      __I  uint32_t  MuteBusy   :  1;               /*!< [SI_MUTE] register update is processing.                              */
      __I  uint32_t  TXSSizeBusy:  1;               /*!< [SI_TXSSIZE] register update is processing.                           */
      __I  uint32_t  MODESETBusy:  1;               /*!< [SI_MODESET] register update is processing.                           */
           uint32_t             : 12;
      __I  uint32_t  AUDIOSETPend:  1;              /*!< [SI_AUDIOSET] register update is pending internally.                  */
      __I  uint32_t  MutePend   :  1;               /*!< [SI_MUTE] register update is pending internally.                      */
      __I  uint32_t  TXSSizePend:  1;               /*!< [SI_TXSSIZE] register update is pending internally.                   */
      __I  uint32_t  MODESETPend:  1;               /*!< [SI_MODESET] register update is pending internally.                   */
           uint32_t : 12; // padding
    } SI_REGBUSY_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[45];
  
  union {
    __IO uint32_t  SI_MODESET;                      /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WS         :  3;               /*!< WaveSelectSelect an audio signal type.000: I2S stereo001: Reserved010:
                                                         LR stereo (LR clock Low period is Left)011: LR stereo with reverse
                                                          LR clock polarity (LR clock High period is Left)100: PCM monaural
                                                          (LR clock Low is sync)101: PCM monaural with reverse LR clock
                                                          polarity (LR clock High is sync)110: Reserved111: Reserved           */
           uint32_t : 29; // padding
    } SI_MODESET_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10;
  
  union {
    __I  uint32_t  SI_LMEM[64];                     /*!< Local memory                                                          */
    
    struct {
      __I  uint32_t  SDAT       : 32;               /*!< SoundDataOnly reading is available. Writing to this register
                                                         is no effect.The input data from an external microphone or other
                                                          devices is stored to the memory.This local memory is used as
                                                          a ring buffer. It has size of 256byte (offset:0x100 to 0x1fc),
                                                          but reading any address will return the data at the top of the
                                                          buffer.                                                              */
    } SI_LMEM_b[64];                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[897];
  
  union {
    __IO uint32_t  SO_START;                        /*!< The I2S operation can be started by writing 1 to this register.When
                                                         executing START after STOP processing, it should be confirmed
                                                          that STOP processing has been completed ([SO_STOP].I2S_STOP
                                                          = Low).                                                              */
    
    struct {
      __IO uint32_t  SpkStart   :  1;               /*!< SpeakerStartA serial transfer is started by writing 1 to this
                                                         bit. The writing 1 access is valid when the SpkBusy bit in the
                                                          [SO_BUSY] register shows 0.0: Ignored1: Start serial output
                                                          operations.                                                          */
           uint32_t             :  7;
      __IO uint32_t  Start      :  1;               /*!< I2S start bitI2S operation is started by writing 1 to this bit.
                                                         The writing 1 access is valid when the Busy bit in the [SO_BUSY]
                                                          register shows 0.0: Ignored1: Start the operation of the I2S         */
           uint32_t : 23; // padding
    } SO_START_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SO_BUSY;                         /*!< The operating state can be checked by reading this register.          */
    
    struct {
      __I  uint32_t  SpkBusy    :  1;               /*!< SpeakerBusySerial data output operation status0: Stopped1: Operating  */
      __I  uint32_t  SeriBusy   :  1;               /*!< Serial signal status bitThis bit indicates the internal mute
                                                         status.0: Mute1: Mute release                                         */
           uint32_t             :  6;
      __I  uint32_t  Busy       :  1;               /*!< Operation status of the module which generates LRCK(not used
                                                         in I2SI and I2SO block)                                               */
           uint32_t             :  7;
      __I  uint32_t  ErrBusy    :  1;               /*!< The internal process status bits of the Underrun/Overrun errors.0:
                                                         Completion of the internal error process1: Operating the internal
                                                          error process                                                        */
      __I  uint32_t  LRErrBusy  :  1;               /*!< The internal process status bits of LRCK interval error.0: Completion
                                                         of the internal error process1: Operating the internal error
                                                          process                                                              */
           uint32_t : 14; // padding
    } SO_BUSY_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SO_STOP;                         /*!< The I2S operation can be stopped by writing 1 to this register.After
                                                         writing 1, this register returns 1 as a read data during processing
                                                          the stop operation. This register returns 0 as a read data after
                                                          completion of the stop operation.This register should be written
                                                          1 during the I2S operation - when [BUSY].SpkBusy(SO) is 1.           */
    
    struct {
      __IO uint32_t  I2S_STOP   :  1;               /*!< The I2S block stop controlBy writing 1 to this bit, generating
                                                         the LR clock and sending/receiving data are stopped. And the
                                                          internal status is cleared.0: Ignored1: Clear the internal status    */
           uint32_t : 31; // padding
    } SO_STOP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SO_AUDIOSET;                     /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WordLen    :  6;               /*!< Word LengthSpecify the number of bits in audio data. The following
                                                         setting is valid.10_0000: 32 bits01_1000: 24 bits01_0000: 16
                                                          bits00_1000: 8 bitsother values : reserved.                          */
           uint32_t             :  2;
      __IO uint32_t  SCLKtoWS   :  1;               /*!< Specify the frame size of serial data. The frame size means
                                                         the number of SCLK (BCK) cycles per audio channel. In case of
                                                          monaural format, one frame is equal to one sampling period.
                                                          In case of stereo format, one frame is equal to a half of sampling
                                                          period, because one sampling data consists of 2 channels (left
                                                          and right). The word length specified with WordLen cannot exceed
                                                          the frame size.0: 16 cycles1: 32 cycles                              */
           uint32_t             :  2;
      __IO uint32_t  Edge       :  1;               /*!< LRCK Sampling EdgeSelect the reference SCLK (BCK) edge of the
                                                         LRCK.0: Capture the LR clock at the SCLK falling edge.1: Capture
                                                          the LR clock at the SCLK rising edge.                                */
      __IO uint32_t  SDEdge     :  1;               /*!< Serial Data Sampling EdgeSelect the reference SCLK (BCK) edge
                                                         of the serial data.0: Output serial data at the SCLK falling
                                                          edge.1: Output serial data at the SCLK rising edge.                  */
           uint32_t             :  3;
      __IO uint32_t  DTFmt      :  1;               /*!< Memory Data FormatSelect the data alignment in the 32-bit width
                                                         internal memory (FIFO).In case of 8 or 16-bit length data:0:
                                                          Lower data is the first1: Upper data is the firstFor 24-bit
                                                          length data in 32-bit register:0: Lower data is valid1: Upper
                                                          data is valid                                                        */
           uint32_t : 15; // padding
    } SO_AUDIOSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SO_INTSTAT;                      /*!< This register is used to check the interrupt status.                  */
    
    struct {
      __I  uint32_t  Int        :  1;               /*!< Transfer request interruptIn case of transmitting, this bit
                                                         indicates that there are one word (4 bytes) or more vacant spaces
                                                          in the local memory. In case of receiving, this bit indicates
                                                          that there are one word (4 bytes) or more data in the local
                                                          memory. This bit indicates the previous status which is masked.This
                                                          bit is cleared to 0 in the following cases; - Writing 1 to the
                                                          IntClr bit in the [SO_INTCLR] register - Receiving DMA acknowledgement
                                                          when the DMAC request is enabled (INTMASK[16] = 0) - Overrun
                                                                                                                               */
      __I  uint32_t  ORErr      :  1;               /*!< OverRunErrorThis bit is set to 1 if an overrun error occurs.
                                                         This bit indicates the previous status which is masked.It is
                                                          cleared to 0 by writing 1 to the ORClr bit in the [SO_INTCLR]
                                                          register.0: No overrun error occurred.1: An overrun error occurred.  */
      __I  uint32_t  URErr      :  1;               /*!< UnderRunErrorThis bit is set to 1 if an underrun error occurs.
                                                         This bit indicates the previous status which is masked.It is
                                                          cleared to 0 by writing 1 to the URClr bit in the [SO_INTCLR]
                                                          register.0: No underrun error occurred.1: An underrun error
                                                          occurred.                                                            */
      __I  uint32_t  LRCKErr    :  1;               /*!< LRCK Interval ErrorThis bit is set to 1 if unexpected LRCK period
                                                         is detected. This bit indicates the previous status which is
                                                          masked.It is cleared to 0 by writing 1 to the LRErrClr bit in
                                                          the [SO_INTCLR] register.0: No LRCK error occurred.1: A LRCK
                                                          error occurred.                                                      */
           uint32_t : 28; // padding
    } SO_INTSTAT_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SO_INTMASK;                      /*!< This register is used to mask interrupt signals and DMA transfer
                                                         request.The I2S block supports two types of interrupts, data
                                                          transfer request and error interrupt, and two destinations,
                                                          the INTC and DMAC.For error interrupts, the URMask and ORMask
                                                          bits can be used to mask each source. These interrupts are issued
                                                          to the INTC. The DMAC does not receive error interrupts.Data
                                                          transfer request can be masked using the Mask bit for the INTC
                                                          and the DMACMSK bit for the DMAC. One of two requests ( INTC
                                                          or DMAC ) sh                                                         */
    
    struct {
      __IO uint32_t  Mask       :  1;               /*!< InterruptMaskMask data transfer request interrupts to the INTC.
                                                         The request to the DMA is not masked.0: Unmask1: Mask                 */
      __IO uint32_t  ORMask     :  1;               /*!< OverRunErrorMaskMask the overrun error (ORErr) interrupt.0:
                                                         Unmask1: Mask                                                         */
      __IO uint32_t  URMask     :  1;               /*!< UnderRunErrorMaskMask the underrun error (URErr) interrupt.0:
                                                         Unmask1: Mask                                                         */
      __IO uint32_t  LRErrMask  :  1;               /*!< LRCKErrorMaskMask the LRCK error (LRCKErr) interrupt.0: Unmask1:
                                                         Mask                                                                  */
           uint32_t             : 12;
      __IO uint32_t  DMACMSK    :  1;               /*!< DMACIntMaskMask data transfer request signals to the DMAC. This
                                                         bit should be 0 in the case of using DMA.0: Unmask1: Mask             */
           uint32_t : 15; // padding
    } SO_INTMASK_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SO_INTCLR;                       /*!< This register is used to clear interrupts.                            */
    
    struct {
      __IO uint32_t  IntClr     :  1;               /*!< InterruptClearInt bit in the [SO_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear Int                */
      __IO uint32_t  ORClr      :  1;               /*!< OverRunErrorClearORErr bit in the [SO_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear ORErr              */
      __IO uint32_t  URClr      :  1;               /*!< UnerRunErrorClearURErr bit in the [SO_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, the bit always returns 0.0: Ignored1: Clear URErr              */
      __IO uint32_t  LRErrClr   :  1;               /*!< LRCKErrorClearLRCKErr bit in the [SO_INTSTAT] register is cleared
                                                         to 0 by writing 1 to this bit. A write of 0 is ignored. When
                                                          read, this bit always returns 0.0: Ignored1: Clear Int               */
           uint32_t : 28; // padding
    } SO_INTCLR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12;
  
  union {
    __IO uint32_t  SO_MUTE;                         /*!< This register is used to mute audio signals.                          */
    
    struct {
      __IO uint32_t  MuteN      :  1;               /*!< MuteNSpecify muting.0: Mute1: Normal operation                        */
           uint32_t : 31; // padding
    } SO_MUTE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SO_EPTR;                         /*!< This register indicates the address where an overrun or underrun
                                                         error occurred.                                                       */
    
    struct {
      __I  uint32_t  ErrPointer :  6;               /*!< ErrorPointerThis field indicates the error address.                   */
           uint32_t : 26; // padding
    } SO_EPTR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13;
  
  union {
    __IO uint32_t  SO_TX_SSIZE;                     /*!< This register is used to specify the threshold to start serial
                                                         data transmission.A serial data transmission starts when the
                                                          data over the specified value is stored in the buffer. This
                                                          threshold has an effect on only the first data after writing
                                                          1 to [SO_START].SpkStart.                                            */
    
    struct {
      __IO uint32_t  TxStartSize:  6;               /*!< TXStartSizeSpecify the threshold to start transmission of serial
                                                         data. The value means the number of words (1word is 4 bytes).The
                                                          default is 0x20 (32 words).Value 4 to 63 are available. 0 to
                                                          3 are not available.                                                 */
           uint32_t : 26; // padding
    } SO_TX_SSIZE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14[3];
  
  union {
    __I  uint32_t  SO_REGBUSY;                      /*!< This register indicates busy status of register access.'1' means
                                                         busy, and '0' means not busy of each field.                           */
    
    struct {
      __I  uint32_t  AUDIOSETBusy:  1;              /*!< [SO_AUDIOSET] register update is processing.                          */
      __I  uint32_t  MuteBusy   :  1;               /*!< [SO_MUTE] register update is processing.                              */
      __I  uint32_t  TXSSizeBusy:  1;               /*!< [SO_TXSSIZE] register update is processing.                           */
      __I  uint32_t  MODESETBusy:  1;               /*!< [SO_MODESET] register update is processing.                           */
           uint32_t             : 12;
      __I  uint32_t  AUDIOSETPend:  1;              /*!< [SO_AUDIOSET] register update is pending internally.                  */
      __I  uint32_t  MutePend   :  1;               /*!< [SO_MUTE] register update is pending internally.                      */
      __I  uint32_t  TXSSizePend:  1;               /*!< [SO_TXSSIZE] register update is pending internally.                   */
      __I  uint32_t  MODESETPend:  1;               /*!< [SO_MODESET] register update is pending internally.                   */
           uint32_t : 12; // padding
    } SO_REGBUSY_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15[45];
  
  union {
    __IO uint32_t  SO_MODESET;                      /*!< This register is used to specify the operating mode.                  */
    
    struct {
      __IO uint32_t  WS         :  3;               /*!< WaveSelectSelect an audio signal type.000: I2S stereo001: Reserved010:
                                                         LR stereo (LR clock Low period is Left)011: LR stereo with reverse
                                                          LR clock polarity (LR clock High period is Left)100: PCM monaural
                                                          (LR clock Low is sync)101: PCM monaural with reverse LR clock
                                                          polarity (LR clock High is sync)110: Reserved111: Reserved           */
           uint32_t : 29; // padding
    } SO_MODESET_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16;
  
  union {
    __IO uint32_t  SO_LMEM[64];                     /*!< Local memory                                                          */
    
    struct {
      __IO uint32_t  SDAT       : 32;               /*!< SoundDataOnly writing is available. On reading, value of 0 will
                                                         be returned.The data written to the memory are output to an
                                                          external loudspeaker or other devices.This local memory is used
                                                          as a ring buffer. It has size of 256byte (offset:0x100 to 0x1fc),
                                                          but writing to any address will add the data to the bottom of
                                                          the buffer.                                                          */
    } SO_LMEM_b[64];                                /*!< BitSize                                                               */
  };
} I2SLP_Type;


/* ================================================================================ */
/* ================                      SPIM0                     ================ */
/* ================================================================================ */


/**
  * @brief spim0 (SPIM0)
  */

typedef struct {                                    /*!< SPIM0 Structure                                                       */
  
  union {
    __IO uint32_t  CTRLR0;                          /*!< Control Register 0                                                    */
    
    struct {
      __IO uint32_t  DFS        :  4;               /*!< Data Frame Size. Selects the data frame length. When the data
                                                         frame size is programmed to be less than 16 bits, the receive
                                                          data are automatically right-justified by the receive logic,
                                                          with the upper bits of the receive FIFO zero-padded. You must
                                                          right-justify transmit data before writing into the transmit
                                                          FIFO. The transmit logic ignores the upper unused bits when
                                                          transmitting the data 0000 - Reserved - undefined operation
                                                          0001 - Reserved - undefined operation 0010 - Reserved - undefined
                                                          operation 0011 -                                                     */
      __IO uint32_t  FRF        :  2;               /*!< Frame Format. Selects which serial protocol transfers the data.
                                                         00 - Motorola SPI 01 - TI SSP 10 - National Semiconductors Microwire
                                                          11 - Reserved                                                        */
      __IO uint32_t  SCPH       :  1;               /*!< Serial Clock Phase. Valid when the frame format (FRF) is set
                                                         to Motorola SPI. The serial clock phase selects the relationship
                                                          of the serial clock with the slave select signal. When SCPH
                                                          = 0, data are captured on the first edge of the serial clock.
                                                          When SCPH = 1, the serial clock starts toggling one cycle after
                                                          the slave select line is activated, and data are captured on
                                                          the second edge of the serial clock. 0: Serial clock toggles
                                                          in middle of first data bit 1: Serial clock toggles at start
                                                          of first data bi                                                     */
      __IO uint32_t  SCPOL      :  1;               /*!< Serial Clock Polarity. Valid when the frame format (FRF) is
                                                         set to Motorola SPI. Used to select the polarity of the inactive
                                                          serial clock, which is held inactive when the SPIM master is
                                                          not actively transferring data on the serial bus. 0 - Inactive
                                                          state of serial clock is low 1 - Inactive state of serial clock
                                                          is high                                                              */
      __IO uint32_t  TMOD       :  2;               /*!< Transfer Mode. Selects the mode of transfer for serial communication.
                                                         This field does not affect the transfer duplicity. Only indicates
                                                          whether the receive or transmit data are valid. In transmit-only
                                                          mode, data received from the external device is not valid and
                                                          is not stored in the receive FIFO memory; it is overwritten
                                                          on the next transfer. In receive-only mode, transmitted data
                                                          are not valid. After the first write to the transmit FIFO, the
                                                          same word is retransmitted for the duration of the transfer.
                                                          In                                                                   */
           uint32_t             :  1;
      __IO uint32_t  SRL        :  1;               /*!< 0 - Normal operation1 - Forbidden                                     */
      __IO uint32_t  CFS        :  4;               /*!< Control Frame Size. Selects the length of the control word for
                                                         the Microwire frame format. 0000 - 1-bit control word 0001 -
                                                          2-bit control word 0010 - 3-bit control word 0011 - 4-bit control
                                                          word 0100 - 5-bit control word 0101 - 6-bit control word 0110
                                                          - 7-bit control word 0111 - 8-bit control word 1000 - 9-bit
                                                          control word 1001 - 10-bit control word 1010 - 11-bit control
                                                          word 1011 - 12-bit control word 1100 - 13-bit control word 1101
                                                          - 14-bit control word 1110 - 15-bit control word 1111 - 16-bit
                                                          control wo                                                           */
           uint32_t : 16; // padding
    } CTRLR0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CTRLR1;                          /*!< Control Register 1                                                    */
    
    struct {
      __IO uint32_t  NDF        : 16;               /*!< Number of Data Frames. When TMOD = 10 or TMOD = 11, this register
                                                         field sets thenumber of data frames to be continuously received
                                                          by the DW_apb_ssi. TheDW_apb_ssi continues to receive serial
                                                          data until the number of data frames receivedis equal to this
                                                          register value plus 1, which enables you to receive up to 64
                                                          KB of datain a continuous transfer.                                  */
           uint32_t : 16; // padding
    } CTRLR1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SSIENR;                          /*!< SSI Enable Register                                                   */
    
    struct {
      __IO uint32_t  SSI_EN     :  1;               /*!< SSI Enable. Enables and disables all SPIM operations. When disabled,
                                                         all serial transfers are halted immediately. Transmit and receive
                                                          FIFO buffers are cleared when the device is disabled. It is
                                                          impossible to program some of the SPIM control registers when
                                                          enabled. When disabled, the ssi_sleep output is set (after delay)
                                                          to inform the system that it is safe to remove the ssi_clk,
                                                          thus saving power consumption in the system.                         */
           uint32_t : 31; // padding
    } SSIENR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  MWCR;                            /*!< Microwire Control Register                                            */
    
    struct {
      __IO uint32_t  MWMOD      :  1;               /*!< Microwire Transfer Mode. Defines whether the Microwire transfer
                                                         is sequential or non-sequential. When sequential mode is used,
                                                          only one control word is needed to transmit or receive a block
                                                          of data words. When non-sequential mode is used, there must
                                                          be a control word for each data word that is transmitted or
                                                          received. 0: non-sequential transfer 1: sequential transfer          */
      __IO uint32_t  MDD        :  1;               /*!< Microwire Control. Defines the direction of the data word when
                                                         the Microwire serial protocol is used. When this bit is set
                                                          to 0, the data word is received by the SPIM MacroCell from the
                                                          external serial device. When this bit is set to 1, the data
                                                          word is transmitted from the SPIM MacroCell to the external
                                                          serial device.                                                       */
      __IO uint32_t  MHS        :  1;               /*!< Microwire Handshaking. Used to enable and disable the busy/ready
                                                         handshaking interface for the Microwire protocol. When enabled,
                                                          the SPIM checks for a ready status from the target slave, after
                                                          the transfer of the last data/control bit, before clearing the
                                                          BUSY status in the SR register. 0: handshaking interface is
                                                          disabled 1: handshaking interface is enabled                         */
           uint32_t : 29; // padding
    } MWCR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SER;                             /*!< Slave Enable Register                                                 */
    
    struct {
      __IO uint32_t  SER        :  3;               /*!< Slave Select Enable Flag. Each bit in this register corresponds
                                                         to a slave select line (ss_x_n]) from the SPIM master. When
                                                          a bit in this register is set (1), the corresponding slave select
                                                          line from the master is activated when a serial transfer begins.
                                                          It should be noted that setting or clearing bits in this register
                                                          have no effect on the corresponding slave select outputs until
                                                          a transfer is started. Before beginning a transfer, you should
                                                          enable the bit in this register that corresponds to the slave
                                                          de                                                                   */
           uint32_t : 29; // padding
    } SER_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BAUDR;                           /*!< Baud Rate Select                                                      */
    
    struct {
      __IO uint32_t  SCKDV      : 16;               /*!< SSI Clock Divider. The LSB for this field is always set to 0
                                                         and is unaffected by a write operation, which ensures an even
                                                          value is held in this register. If the value is 0, the serial
                                                          output clock (sclk_out) is disabled. The frequency of the sclk_out
                                                          is derived from the following equation:Fsclk_out = Fssi_clk/SCKDV    */
           uint32_t : 16; // padding
    } BAUDR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TXFTLR;                          /*!< Transmit FIFO Threshold Level                                         */
    
    struct {
      __IO uint32_t  TFT        :  4;               /*!< Transmit FIFO Threshold. Controls the level of entries (or below)
                                                         at which the transmit FIFO controller triggers an interrupt.
                                                          The FIFO depth is configurable in the range 2-256; this register
                                                          is sized to the number of address bits needed to access the
                                                          FIFO. If you attempt to set this value greater than or equal
                                                          to the depth of the FIFO, this field is not written and retains
                                                          its current value. When the number of transmit FIFO entries
                                                          is less than or equal to this value, the transmit FIFO empty
                                                          interrupt is                                                         */
           uint32_t : 28; // padding
    } TXFTLR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RXFTLR;                          /*!< Receive FIFO Threshold Level                                          */
    
    struct {
      __IO uint32_t  RFT        :  4;               /*!< Receive FIFO Threshold. Controls the level of entries (or above)
                                                         at which the receive FIFO controller triggers an interrupt.
                                                          The FIFO depth is configurable in the range 2-256. This register
                                                          is sized to the number of address bits needed to access the
                                                          FIFO. If you attempt to set this value greater than the depth
                                                          of the FIFO, this field is not written and retains its current
                                                          value. When the number of receive FIFO entries is greater than
                                                          or equal to this value + 1, the receive FIFO full interrupt
                                                          is triggered.                                                        */
           uint32_t : 28; // padding
    } RXFTLR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TXFLR;                           /*!< Transmit FIFO Level Register                                          */
    
    struct {
      __I  uint32_t  TXTFL      :  5;               /*!< Transmit FIFO Level. Contains the number of valid data entries
                                                         in the transmit FIFO.                                                 */
           uint32_t : 27; // padding
    } TXFLR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RXFLR;                           /*!< Receive FIFO Level Register                                           */
    
    struct {
      __I  uint32_t  RXTFL      :  5;               /*!< Receive FIFO Level. Contains the number of valid data entries
                                                         in the receive FIFO.                                                  */
           uint32_t : 27; // padding
    } RXFLR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SR;                              /*!< Status Register                                                       */
    
    struct {
      __I  uint32_t  BUSY       :  1;               /*!< SSI Busy Flag. When set, indicates that a serial transfer is
                                                         in progress; when cleared indicates that the SPIM is idle or
                                                          disabled. 0 - SPIM is idle or disabled 1 - SPIM is actively
                                                          transferring data                                                    */
      __I  uint32_t  TFNF       :  1;               /*!< Transmit FIFO Not Full. Set when the transmit FIFO contains
                                                         one or more empty locations, and is cleared when the FIFO is
                                                          full. 0 - Transmit FIFO is full 1 - Transmit FIFO is not full        */
      __I  uint32_t  TFE        :  1;               /*!< Transmit FIFO Empty. When the transmit FIFO is completely empty,
                                                         this bit is set. When the transmit FIFO contains one or more
                                                          valid entries, this bit is cleared. This bit field does not
                                                          request an interrupt. 0 - Transmit FIFO is not empty 1 - Transmit
                                                          FIFO is empty                                                        */
      __I  uint32_t  RFNE       :  1;               /*!< Receive FIFO Not Empty. Set when the receive FIFO contains one
                                                         or more entries and is cleared when the receive FIFO is empty.
                                                          This bit can be polled by software to completely empty the receive
                                                          FIFO. 0 - Receive FIFO is empty 1 - Receive FIFO is not empty        */
      __I  uint32_t  RFF        :  1;               /*!< Receive FIFO Full. When the receive FIFO is completely full,
                                                         this bit is set. When the receive FIFO contains one or more
                                                          empty location, this bit is cleared. 0 - Receive FIFO is not
                                                          full 1 - Receive FIFO is full                                        */
           uint32_t : 27; // padding
    } SR_b;                                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IMR;                             /*!< Interrupt Mask Register                                               */
    
    struct {
      __IO uint32_t  TXEIM      :  1;               /*!< Transmit FIFO Empty Interrupt Mask 0 - ssi_txe_intr interrupt
                                                         is masked 1 - ssi_txe_intr interrupt is not masked                    */
      __IO uint32_t  TXOIM      :  1;               /*!< Transmit FIFO Overflow Interrupt Mask 0 - ssi_txo_intr interrupt
                                                         is masked 1 - ssi_txo_intr interrupt is not masked                    */
      __IO uint32_t  RXUIM      :  1;               /*!< Receive FIFO Underflow Interrupt Mask 0 - ssi_rxu_intr interrupt
                                                         is masked 1 - ssi_rxu_intr interrupt is not masked                    */
      __IO uint32_t  RXOIM      :  1;               /*!< Receive FIFO Overflow Interrupt Mask 0 - ssi_rxo_intr interrupt
                                                         is masked 1 - ssi_rxo_intr interrupt is not masked                    */
      __IO uint32_t  RXFIM      :  1;               /*!< Receive FIFO Full Interrupt Mask 0 - ssi_rxf_intr interrupt
                                                         is masked 1 - ssi_rxf_intr interrupt is not masked                    */
           uint32_t : 27; // padding
    } IMR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ISR;                             /*!< Interrupt Status Register                                             */
    
    struct {
      __I  uint32_t  TXEIS      :  1;               /*!< Transmit FIFO Empty Interrupt Status 0 = ssi_txe_intr interrupt
                                                         is not active after masking 1 = ssi_txe_intr interrupt is active
                                                          after masking                                                        */
      __I  uint32_t  TXOIS      :  1;               /*!< Transmit FIFO Overflow Interrupt Status 0 = ssi_txo_intr interrupt
                                                         is not active after masking 1 = ssi_txo_intr interrupt is active
                                                          after masking                                                        */
      __I  uint32_t  RXUIS      :  1;               /*!< Receive FIFO Underflow Interrupt Status 0 = ssi_rxu_intr interrupt
                                                         is not active after masking 1 = ssi_rxu_intr interrupt is active
                                                          after masking                                                        */
      __I  uint32_t  RXOIS      :  1;               /*!< Receive FIFO Overflow Interrupt Status 0 = ssi_rxo_intr interrupt
                                                         is not active after masking 1 = ssi_rxo_intr interrupt is active
                                                          after masking                                                        */
      __I  uint32_t  RXFIS      :  1;               /*!< Receive FIFO Full Interrupt Status 0 = ssi_rxf_intr interrupt
                                                         is not active after masking 1 = ssi_rxf_intr interrupt is full
                                                          after masking                                                        */
           uint32_t : 27; // padding
    } ISR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RISR;                            /*!< Raw Interrupt StatusRegister                                          */
    
    struct {
      __I  uint32_t  TXEIR      :  1;               /*!< Transmit FIFO Empty Raw Interrupt Status 0 = ssi_txe_intr interrupt
                                                         is not active prior to masking 1 = ssi_txe_intr interrupt is
                                                          active prior masking                                                 */
      __I  uint32_t  TXOIR      :  1;               /*!< Transmit FIFO Overflow Raw Interrupt Status 0 = ssi_txo_intr
                                                         interrupt is not active prior to masking 1 = ssi_txo_intr interrupt
                                                          is active prior masking                                              */
      __I  uint32_t  RXUIR      :  1;               /*!< Receive FIFO Underflow Raw Interrupt Status 0 = ssi_rxu_intr
                                                         interrupt is not active prior to masking 1 = ssi_rxu_intr interrupt
                                                          is active prior to masking                                           */
      __I  uint32_t  RXOIR      :  1;               /*!< Receive FIFO Overflow Raw Interrupt Status 0 = ssi_rxo_intr
                                                         interrupt is not active prior to masking 1 = ssi_rxo_intr interrupt
                                                          is active prior masking                                              */
      __I  uint32_t  RXFIR      :  1;               /*!< Receive FIFO Full Raw Interrupt Status 0 = ssi_rxf_intr interrupt
                                                         is not active prior to masking 1 = ssi_rxf_intr interrupt is
                                                          active prior to masking                                              */
           uint32_t : 27; // padding
    } RISR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TXOICR;                          /*!< Transmit FIFO Overflow Interrupt Clear Register                       */
    
    struct {
      __I  uint32_t  TXOICR     :  1;               /*!< Clear Transmit FIFO Overflow Interrupt. This register reflects
                                                         the status of the interrupt. A read from this register clears
                                                          the ssi_txo_intr interrupt; writing has no effect.                   */
           uint32_t : 31; // padding
    } TXOICR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RXOICR;                          /*!< Receive FIFO Overflow Interrupt Clear Register                        */
    
    struct {
      __I  uint32_t  RXOICR     :  1;               /*!< Clear Receive FIFO Overflow Interrupt. This register reflects
                                                         the status of the interrupt. A read from this register clears
                                                          the ssi_rxo_intr interrupt; writing has no effect.                   */
           uint32_t : 31; // padding
    } RXOICR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RXUICR;                          /*!< Receive FIFO Underflow Interrupt Clear Register                       */
    
    struct {
      __I  uint32_t  RXUICR     :  1;               /*!< Clear Receive FIFO Underflow Interrupt. This register reflects
                                                         the status of the interrupt. A read from this register clears
                                                          the ssi_rxu_intr interrupt; writing has no effect.                   */
           uint32_t : 31; // padding
    } RXUICR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  MSTICR;                          /*!< Multi-Master Interrupt Clear Register                                 */
    
    struct {
      __I  uint32_t  MSTICR     :  1;               /*!< Clear Multi-Master Contention Interrupt. This register reflects
                                                         the status of the interrupt. A read from this register clears
                                                          the ssi_mst_intr interrupt; writing has no effect.Multi-Master
                                                          Contention Interrupt function is not available on TZ1200 series.     */
           uint32_t : 31; // padding
    } MSTICR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  ICR;                             /*!< Interrupt Clear Register                                              */
    
    struct {
      __I  uint32_t  ICR        :  1;               /*!< Clear Interrupts. This register is set if any of the interrupts
                                                         below are active. A read clears the ssi_txo_intr, ssi_rxu_intr,
                                                          ssi_rxo_intr, and the ssi_mst_intr interrupts. Writing to this
                                                          register has no effect.                                              */
           uint32_t : 31; // padding
    } ICR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DMACR;                           /*!< DMA Control Register                                                  */
    
    struct {
      __IO uint32_t  RDMAE      :  1;               /*!< Receive DMA Enable. This bit enables/disables the receive FIFO
                                                         DMA channel 0 = Receive DMA disabled 1 = Receive DMA enabled          */
      __IO uint32_t  TDMAE      :  1;               /*!< Transmit DMA Enable. This bit enables/disables the transmit
                                                         FIFO DMA channel. 0 = Transmit DMA disabled 1 = Transmit DMA
                                                          enabled                                                              */
           uint32_t : 30; // padding
    } DMACR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DMATDLR;                         /*!< DMA Transmit Data Level                                               */
    
    struct {
      __IO uint32_t  DMATDL     :  4;               /*!< Transmit Data Level. This bit field controls the level at which
                                                         a DMA request is made by the transmit logic. It is equal to
                                                          the watermark level; that is, the dma_tx_req signal is generated
                                                          when the number of valid data entries in the transmit FIFO is
                                                          equal to or below this field value, and TDMAE = 1. 0000 - dma_tx_req
                                                          is asserted when 0 data entries are present in the transmit
                                                          FIFO 0001 - dma_tx_req is asserted when 1 or less data entry
                                                          is present in the transmit FIFO 0010 - dma_tx_req is asserted
                                                          when 2 o                                                             */
           uint32_t : 28; // padding
    } DMATDLR_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DMARDLR;                         /*!< DMA Receive Data Level                                                */
    
    struct {
      __IO uint32_t  DMARDL     :  4;               /*!< Receive Data Level. This bit field controls the level at which
                                                         a DMA request is made by the receive logic. The watermark level
                                                          = DMARDL+1; that is, dma_rx_req is generated when the number
                                                          of valid data entries in the receive FIFO is equal to or above
                                                          this field value + 1, and RDMAE=1. 0000 - dma_rx_req is asserted
                                                          when 1 or more data entries are present in the receive FIFO
                                                          0001 - dma_rx_req is asserted when 2 or more data entries are
                                                          present in the receive FIFO 0010 - dma_rx_req is asserted when
                                                          3 or more                                                            */
           uint32_t : 28; // padding
    } DMARDLR_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IDR;                             /*!< Identification Register                                               */
    
    struct {
      __I  uint32_t  IDR        : 32;               /*!< Identification Register. This register contains the peripherals
                                                         identification code, which is written into the register at configuration
                                                          time using coreConsultant.                                           */
    } IDR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SSI_VERSION_ID;                  /*!< coreKit Version ID Register                                           */
    
    struct {
      __I  uint32_t  SSI_VERSION_ID: 32;            /*!< coreKit Version ID Register                                           */
    } SSI_VERSION_ID_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DR[36];                          /*!< Data Register                                                         */
    
    struct {
      __IO uint32_t  dr         : 16;               /*!< Data Register. When writing to this register, you must right-justify
                                                         the data. Read data are automatically right-justified. Read
                                                          = Receive FIFO buffer Write = Transmit FIFO buffer                   */
           uint32_t : 16; // padding
    } DR_b[36];                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __I  uint32_t  RSVD_0;                          /*!< Reserved 0                                                            */
    
    struct {
      __I  uint32_t  RSVD_0     : 32;               /*!< Reserved location for future use                                      */
    } RSVD_0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RSVD_1;                          /*!< Reserved 1                                                            */
    
    struct {
      __I  uint32_t  RSVD_1     : 32;               /*!< Reserved location for future use                                      */
    } RSVD_1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RSVD_2;                          /*!< Reserved 2                                                            */
    
    struct {
      __I  uint32_t  RSVD_2     : 32;               /*!< Reserved location for future use                                      */
    } RSVD_2_b;                                     /*!< BitSize                                                               */
  };
} SPIM_Type;


/* ================================================================================ */
/* ================                   SPIM0_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief spim0_conf (SPIM0_CONF)
  */

typedef struct {                                    /*!< SPIM0_CONF Structure                                                  */
  
  union {
    __IO uint32_t  SPIM_OE;                         /*!< Output Enable                                                         */
    
    struct {
      __IO uint32_t  OE         :  1;               /*!< Output Enable for All SPIM output pins 0 - Output Off 1 - Output
                                                         On                                                                    */
           uint32_t : 31; // padding
    } SPIM_OE_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  SPIM_SS_INACTIVE_LEVEL;          /*!< Slave Select Inactive Level                                           */
    
    struct {
      __IO uint32_t  INACT      :  1;               /*!< Slave Select Inactive Level 0 - for TI SSP format 1 - for Motrola
                                                         SPI and National Semiconductor Microwire format                       */
           uint32_t : 31; // padding
    } SPIM_SS_INACTIVE_LEVEL_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[5];
  
  union {
    __IO uint32_t  SPIM_SS_HOLD_EN;                 /*!< Slave Select Hold Enable                                              */
    
    struct {
      __IO uint32_t  HOLD_EN_0  :  1;               /*!< Hold Enable for SS_0                                                  */
      __IO uint32_t  HOLD_EN_1  :  1;               /*!< Hold Enable for SS_1                                                  */
      __IO uint32_t  HOLD_EN_2  :  1;               /*!< Hold Enable for SS_2                                                  */
           uint32_t : 29; // padding
    } SPIM_SS_HOLD_EN_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPIM_SS_HOLD_CLR;                /*!< Slave Select Hold Clear                                               */
    
    struct {
      __IO uint32_t  HOLD_CLR_0 :  1;               /*!< Hold Clear for SS_0                                                   */
      __IO uint32_t  HOLD_CLR_1 :  1;               /*!< Hold Clear for SS_1                                                   */
      __IO uint32_t  HOLD_CLR_2 :  1;               /*!< Hold Clear for SS_2                                                   */
           uint32_t : 29; // padding
    } SPIM_SS_HOLD_CLR_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  SPIM_SS_HOLD_STATUS;             /*!< Slave Select Hold Status                                              */
    
    struct {
      __I  uint32_t  HOLD_STATUS_0:  1;             /*!< 0 : SPIM is not holding SS_0 to Low1 : SPIM is holding SS_0
                                                         to Low                                                                */
      __I  uint32_t  HOLD_STATUS_1:  1;             /*!< 0 : SPIM is not holding SS_1 to Low1 : SPIM is holding SS_1
                                                         to Low                                                                */
      __I  uint32_t  HOLD_STATUS_2:  1;             /*!< 0 : SPIM is not holding SS_2 to Low1 : SPIM is holding SS_2
                                                         to Low                                                                */
           uint32_t : 29; // padding
    } SPIM_SS_HOLD_STATUS_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[5];
  
  union {
    __IO uint32_t  SPIM_TXD_INT_EN;                 /*!< TX done intrrupt enable                                               */
    
    struct {
      __IO uint32_t  INT_EN     :  1;               /*!< TX done interrupt enable                                              */
           uint32_t : 31; // padding
    } SPIM_TXD_INT_EN_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPIM_TXD_INT_CLR;                /*!< TX done intrrupt clear                                                */
    
    struct {
      __IO uint32_t  INT_CLR    :  1;               /*!< TX done interrupt clear                                               */
           uint32_t : 31; // padding
    } SPIM_TXD_INT_CLR_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPIM_TXD_FRAME;                  /*!< Transmit FIFO Threshold Level                                         */
    
    struct {
      __IO uint32_t  N_FLAME    : 16;               /*!< Number of Frames to be transferred until TX done intrrupt assert      */
           uint32_t : 16; // padding
    } SPIM_TXD_FRAME_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[13];
  
  union {
    __IO uint32_t  SPIM_SS_INVERT;                  /*!< Slave Select Inversion                                                */
    
    struct {
      __IO uint32_t  INV_0      :  1;               /*!< Inversion flag for SPIMn_CS0_N output0 : normal1: inversion           */
      __IO uint32_t  INV_1      :  1;               /*!< Inversion flag for SPIMn_CS1_N output0 : normal1: inversion           */
      __IO uint32_t  INV_2      :  1;               /*!< Inversion flag for SPIMn_CS2_N output0 : normal1: inversion           */
           uint32_t : 29; // padding
    } SPIM_SS_INVERT_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[27];
  
  union {
    __IO uint32_t  SPIM_MISO_SEL;                   /*!< MISO input selection                                                  */
    
    struct {
      __IO uint32_t  SEL        :  1;               /*!< Input selection for MISO0 : normal1: synchronized (only for
                                                         Microwire Transmit with handshake)                                    */
           uint32_t : 31; // padding
    } SPIM_MISO_SEL_b;                              /*!< BitSize                                                               */
  };
} SPIM_CONF_Type;


/* ================================================================================ */
/* ================                      UART0                     ================ */
/* ================================================================================ */


/**
  * @brief uart0 (UART0)
  */

typedef struct {                                    /*!< UART0 Structure                                                       */
  
  union {
    __IO uint32_t  UARTDR;                          /*!< UART Data Register                                                    */
    
    struct {
      __IO uint32_t  DATA       :  8;               /*!< Send and receive data At reading: Data of reception FIFO is
                                                         read. At writing: Data is written to transmission FIFO.(Note)
                                                          If transmission or reception is disabled midway, it stops after
                                                          current data transfer is complete.                                   */
      __I  uint32_t  FE         :  1;               /*!< Framing error0b1: Error occurrence If the reception data does
                                                         not satisfy the configured stop bit length, 0b1 is set. In FIFO
                                                          mode, 0b1 is set when the reception data for which that condition
                                                          was generated comes to the highest stage.0b0: No error               */
      __I  uint32_t  PE         :  1;               /*!< Parity error0b1: Error occurrence If the reception data does
                                                         not satisfy the configured parity condition, 0b1 is set. In
                                                          FIFO mode, 0b1 is set when the reception data for which that
                                                          condition was generated comes to the highest stage.0b0: No error     */
      __I  uint32_t  BE         :  1;               /*!< Break error0b1: Error occurrence Indicates that the break condition
                                                         was detected (break status: Low input equal to or greater than
                                                          'reception data + status bit). In FIFO mode, 0b1 is set when
                                                          the reception data for which that condition was generated comes
                                                          to the highest stage. The reception data after the break condition
                                                          was detected is subject to marking (High status acceptance),
                                                          resulting in a wait for the next start bit detection.0b0: No
                                                          error                                                                */
      __I  uint32_t  OE         :  1;               /*!< Overrun error0b1: Error occurrence If FIFO is full of data at
                                                         data reception and reception data becomes ready to be stored,
                                                          0b1 is stored at next FIFO fetching. The data stored in FIFO
                                                          remains unchanged and reception data in the shift register used
                                                          before FIFO storing is overwritten.0b0: No error If FIFO becomes
                                                          ready to store data, 0b0 is stored at next FIFO fetching.            */
           uint32_t : 20; // padding
    } UARTDR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTRSR_ECR;                     /*!< UART Receive status Register/Error clear Register                     */
    
    struct {
      __IO uint32_t  FE         :  1;               /*!< At reading: Framing error0b1: Error occurrence0b0: No errorAt
                                                         writing: The error flag can be cleared by writing to this register,
                                                          regardless of the data value.                                        */
      __IO uint32_t  PE         :  1;               /*!< At reading: Parity error0b1: Error occurrence0b0: No errorAt
                                                         writing: The error flag can be cleared by writing to this register,
                                                          regardless of the data value.                                        */
      __IO uint32_t  BE         :  1;               /*!< At reading: Break error0b1: Error occurrence0b0: No errorAt
                                                         writing: The error flag can be cleared by writing to this register,
                                                          regardless of the data value.                                        */
      __IO uint32_t  OE         :  1;               /*!< At reading: Overrun error0b1: Error occurrence0b0: No errorAt
                                                         writing: The error flag can be cleared by writing to this register,
                                                          regardless of the data value.                                        */
           uint32_t : 28; // padding
    } UARTRSR_ECR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[4];
  
  union {
    __I  uint32_t  UARTFR;                          /*!< UART Flag Register                                                    */
    
    struct {
      __I  uint32_t  CTS        :  1;               /*!< nUARTCTS terminal status (Clear To Send)0b1:nUARTCTS =Low input
                                                         status0b0:nUARTCTS =High input status                                 */
           uint32_t             :  2;
      __I  uint32_t  BUSY       :  1;               /*!< Busy status0b1: Data transmission in progress0b0: Idle status
                                                         without transmission data                                             */
      __I  uint32_t  RXFE       :  1;               /*!< Reception FIFO Empty0b1: Reception FIFO empty (FIFO mode)/reception
                                                         retention register empty (FIFO disable)0b0: Data existence in
                                                          reception FIFO (FIFO mode)/data existence in the reception retention
                                                          register (FIFO disable)                                              */
      __I  uint32_t  TXFF       :  1;               /*!< Transmission FIFO Full0b1: Transmission FIFO full of data (FIFO
                                                         mode)/transmission retention register full of data (FIFO disable)0b0:
                                                          Transmission FIFO not full of data (FIFO mode)/transmission
                                                          retention register not full of data(FIFO disable)                    */
      __I  uint32_t  RXFF       :  1;               /*!< Reception FIFO Full0b1: Reception FIFO full of data (FIFO mode)/reception
                                                         retention register full of data (FIFO disable)0b0: Reception
                                                          FIFO not full of data (FIFO mode)/reception retention register
                                                          not full of data(FIFO disable)                                       */
      __I  uint32_t  TXFE       :  1;               /*!< Transmission FIFO Empty0b1: Transmission FIFO empty (FIFO mode)/transmissi
                                                         on retention register empty (FIFO disable)0b0: Data existence
                                                         in transmission FIFO (FIFO mode)/data existence in the transmission
                                                          retention register (FIFO disable)                                    */
      __I  uint32_t  RI         :  1;               /*!< (Ring Indicator) nUARTRI terminal status0b1:nUARTRI = Low input
                                                         status0b0:nUARTRI = High input status                                 */
           uint32_t : 23; // padding
    } UARTFR_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __IO uint32_t  UARTIBRD;                        /*!< UART Integer part of the Baud Rate Divisor Register                   */
    
    struct {
      __IO uint32_t  BAUD_DIVINT: 16;               /*!< For baud rate generation (integer value)                              */
           uint32_t : 16; // padding
    } UARTIBRD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTFBRD;                        /*!< UART Fractional part of the Baud Rate Divisor Register                */
    
    struct {
      __IO uint32_t  BAUD_DIVFRAC:  6;              /*!< For baud rate generation (fractional value)The baud rate divisor
                                                         can be obtained as follows:Baud rate divisor BAUDDIV =(FUARTCLK/(16
                                                          * baud rate)FUARTCLK is a UART reference clock frequency.BAUDDIV
                                                          consists of an integer value (BAUD DIVINT) and fractional value
                                                          (BAUD DIVFRAC).(Note) Transmission and reception operations
                                                          are disabled if both BAUD DIVINT and BAUD DIVFRAC are set to
                                                          0x00.                                                                */
           uint32_t : 26; // padding
    } UARTFBRD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTLCR_H;                       /*!< UART Line control register                                            */
    
    struct {
      __IO uint32_t  BRK        :  1;               /*!< Break transmission0b1:Break transmission0b0: Normal transmission(Note)
                                                         Data needs to be written in the following order in setting the
                                                          UARTTIBRD, UARTTFBRD, and UARTLCR_H registers. UARTLCR_H writing
                                                          should be done last. (Example 1) UARTIBRD writing, UARTFBRD
                                                          writing, UARTLCR_H writing (Example 2) UARTFBRD writing, UARTIBRD
                                                          writing, UARTLCR_H writing                                           */
      __IO uint32_t  PEN        :  1;               /*!< Parity enable0b1: Enable0b0: Disable                                  */
      __IO uint32_t  EPS        :  1;               /*!< Even parity selection0b1: Even parity0b0: Odd parity                  */
      __IO uint32_t  STP2       :  1;               /*!< Stop bit length selection0b1: 2-bit length0b0: 1-bit length           */
      __IO uint32_t  FEN        :  1;               /*!< FIFO enable0b1: Enable. FIFO mode is entered.0b0: Disable             */
      __IO uint32_t  WLE        :  2;               /*!< Transfer bit length0b11: 8-bit length0b10: 7-bit length0b01:
                                                         6-bit length0b00: 5-bit length                                        */
      __IO uint32_t  SPS        :  1;               /*!< Stick parity selection0b1: Enable With PEN=1, EPS=0, and SPS=1,
                                                         transmission or reception is checked with parity bit =1. With
                                                          PEN=1, EPS=1, and SPS=1, transmission or reception is checked
                                                          with parity bit =0.0b0: Disable                                      */
           uint32_t : 24; // padding
    } UARTLCR_H_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTCR;                          /*!< UART Control Register                                                 */
    
    struct {
      __IO uint32_t  UARTEN     :  1;               /*!< UART enable0b1: Enable. If transmission or reception is disabled
                                                         midway, it stops after completing the current transmission or
                                                          reception processing.0b0: Disable                                    */
           uint32_t             :  6;
      __IO uint32_t  LBE        :  1;               /*!< Loopback enable0b1: Enable0b0: Disable                                */
      __IO uint32_t  TXE        :  1;               /*!< Transmission enable0b1: Enable. If transmission is disabled
                                                         midway, it stops after data being currently transmitted has
                                                          been transmitted.0b0: Disable                                        */
      __IO uint32_t  RXE        :  1;               /*!< Reception enable0b1: Enable. If reception is disabled midway,
                                                         it stops after data being currently received has been received.0b0:
                                                          Disable                                                              */
           uint32_t             :  1;
      __IO uint32_t  RTS        :  1;               /*!< nUARTRTS output control0b1:nUARTRTS=Low output0b0:nUARTRTS=High
                                                         output                                                                */
           uint32_t             :  2;
      __IO uint32_t  RTSEn      :  1;               /*!< RTS hardware flow control0b1: Enable. Data is requested only
                                                         when reception FIFO contains space for receiving that data.0b0:
                                                          Disable                                                              */
      __IO uint32_t  CTSEn      :  1;               /*!< CTS hardware flow control0b1: Enable. Data is not transmitted
                                                         until the nUARTCTS signal is asserted.0b0: Disable                    */
           uint32_t : 16; // padding
    } UARTCR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTIFLS;                        /*!< UART Interrupt FIFO Level Select Register                             */
    
    struct {
      __IO uint32_t  TXIFLSEL   :  3;               /*!< Transmission interrupt FIFO level selection (trigger occurs
                                                         when FIFO becomes equal to or less than the setting level.)0b111
                                                          - 0b101:reserved0b100: Transmission FIFO<= 7/8 Full0b011: Transmission
                                                          FIFO<= 3/4 Full0b010: Transmission FIFO<= 1/2 Full0b001: Transmission
                                                          FIFO<= 1/4 Full0b000: Transmission FIFO<= 1/8 Full(Note) For
                                                          UART, the 16byte FIFO is configured. So, each FIFO level indicates
                                                          the following size. 1/8 Full = 2 byte, 1/4 Full = 4 byte, 1/2
                                                          Full = 8 byte, 3/4 Full = 12 byte, 7/8 Full = 14 byte                */
      __IO uint32_t  RXIFLSEL   :  3;               /*!< Reception interrupt FIFO level selection (trigger occurs when
                                                         FIFO becomes equal to or greater than the setting level.)0b111
                                                          - 0b101:reserved0b100: Reception FIFO>= 7/8 Full0b011: Reception
                                                          FIFO>= 3/4 Full0b010: Reception FIFO>= 1/2 Full0b001: Reception
                                                          FIFO>= 1/4 Full0b000: Reception FIFO>= 1/8 Full                      */
           uint32_t : 26; // padding
    } UARTIFLS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTIMSC;                        /*!< UART Interrupt Mask Set/Clear                                         */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  CTSMIM     :  1;               /*!< nUARTCTS modem interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
           uint32_t             :  2;
      __IO uint32_t  RXIM       :  1;               /*!< Reception interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  TXIM       :  1;               /*!< Transmission interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  RTIM       :  1;               /*!< Reception timeout interrupt0b1: No interrupt mask (interrupt
                                                         enable)0b0: Interrupt mask (interrupt disable)                        */
      __IO uint32_t  FEIM       :  1;               /*!< Framing error interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  PEIM       :  1;               /*!< Parity error interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  BEIM       :  1;               /*!< Break error interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  OEIM       :  1;               /*!< Overrun error interrupt0b1: No interrupt mask (interrupt enable)0b0:
                                                         Interrupt mask (interrupt disable)                                    */
           uint32_t : 21; // padding
    } UARTIMSC_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTRIS;                         /*!< UART Raw Interrupt Status Register                                    */
    
    struct {
           uint32_t             :  1;
      __I  uint32_t  CTSMRIS    :  1;               /*!< nUARTCTS modem interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt (UART
                                                          interrupt occurrence before masking)The value depends on wire
                                                          connection. An interrupt request occurs every time the signal
                                                          state changes.                                                       */
           uint32_t             :  2;
      __I  uint32_t  RXRIS      :  1;               /*!< Reception interrupt0b1: Interrupt request available (UART interrupt
                                                         occurrence before masking)0b0: No interrupt request (UART interrupt
                                                          occurrence before masking)                                           */
      __I  uint32_t  TXRIS      :  1;               /*!< Transmission interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt request
                                                          (UART interrupt occurrence before masking)                           */
      __I  uint32_t  RTRIS      :  1;               /*!< Reception timeout interrupt0b1: Interrupt request available
                                                         (UART interrupt occurrence before masking)0b0: No interrupt
                                                          request (UART interrupt occurrence before masking)(Note) Unlike
                                                          other bits, RTRIS does not become 0b1 until RTIM=1 is set.           */
      __I  uint32_t  FERIS      :  1;               /*!< Framing error interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt request
                                                          (UART interrupt occurrence before masking)                           */
      __I  uint32_t  PERIS      :  1;               /*!< Parity error interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt request
                                                          (UART interrupt occurrence before masking)                           */
      __I  uint32_t  BERIS      :  1;               /*!< Break error interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt request
                                                          (UART interrupt occurrence before masking)                           */
      __I  uint32_t  OERIS      :  1;               /*!< Overrun error interrupt0b1: Interrupt request available (UART
                                                         interrupt occurrence before masking)0b0: No interrupt request
                                                          (UART interrupt occurrence before masking)                           */
           uint32_t : 21; // padding
    } UARTRIS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTMIS;                         /*!< UART Masked Interrupt Status Register                                 */
    
    struct {
           uint32_t             :  1;
      __I  uint32_t  CTSMMIS    :  1;               /*!< nUARTCTS modem interrupt                                              */
           uint32_t             :  2;
      __I  uint32_t  RXMIS      :  1;               /*!< Reception interrupt                                                   */
      __I  uint32_t  TXMIS      :  1;               /*!< Transmission interrupt                                                */
      __I  uint32_t  RTMIS      :  1;               /*!< Reception timeout interrupt                                           */
      __I  uint32_t  FEMIS      :  1;               /*!< Framing error interrupt                                               */
      __I  uint32_t  PEMIS      :  1;               /*!< Parity error interrupt                                                */
      __I  uint32_t  BEMIS      :  1;               /*!< Break error interrupt                                                 */
      __I  uint32_t  OEMIS      :  1;               /*!< Overrun error interrupt                                               */
           uint32_t : 21; // padding
    } UARTMIS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTICR;                         /*!< UART Interrupt Clear Register                                         */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  CTSMIC     :  1;               /*!< nUARTCTS modem interrupt0b1: Interrupt request clear0b0: No
                                                         operation                                                             */
           uint32_t             :  2;
      __IO uint32_t  RXIC       :  1;               /*!< Reception interrupt0b1: Interrupt request clear0b0: No operation      */
      __IO uint32_t  TXIC       :  1;               /*!< Transmission interrupt0b1: Interrupt request clear0b0: No operation   */
      __IO uint32_t  RTIC       :  1;               /*!< Reception timeout interrupt0b1: Interrupt request clear0b0:
                                                         No operation                                                          */
      __IO uint32_t  FEIC       :  1;               /*!< Framing error interrupt0b1: Interrupt request clear0b0: No operation  */
      __IO uint32_t  PEIC       :  1;               /*!< Parity error interrupt0b1: Interrupt request clear0b0: No operation   */
      __IO uint32_t  BEIC       :  1;               /*!< Break error interrupt0b1: Interrupt request clear0b0: No operation    */
      __IO uint32_t  OEIC       :  1;               /*!< Overrun error interrupt0b1: Interrupt request clear0b0: No operation  */
           uint32_t : 21; // padding
    } UARTICR_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UARTDMACR;                       /*!< UART DMA Control Register                                             */
    
    struct {
      __IO uint32_t  RXDMAE     :  1;               /*!< Reception FIFO DMA enable0b1: DMA request enable0b0: No DMA
                                                         request                                                               */
      __IO uint32_t  TXDMAE     :  1;               /*!< Transmission FIFO DMA enable0b1: DMA request enable0b0: No DMA
                                                         request                                                               */
      __IO uint32_t  DMAONERR   :  1;               /*!< DMA on Error0b1: Disables the DMA request if UART generates
                                                         Error interrupt.0b0: Normal operation                                 */
           uint32_t : 29; // padding
    } UARTDMACR_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[13];
  __IO uint32_t  UARTTCR;                           /*!< UART Test Control Register                                            */
  __I  uint32_t  RESERVED3[983];
  
  union {
    __I  uint32_t  UARTPERIPHID0;                   /*!< UART Peripheral ID0 Register                                          */
    
    struct {
      __I  uint32_t  Partnumber0:  8;               /*!< Partnumber(Lower) 011 =>11                                            */
           uint32_t : 24; // padding
    } UARTPERIPHID0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPERIPHID1;                   /*!< UART Peripheral ID1 Register                                          */
    
    struct {
      __I  uint32_t  Partnumber1:  4;               /*!< Partnumber(Upper) 011=>0                                              */
      __I  uint32_t  Designer0  :  4;               /*!< Designer(Lower) 41=>1                                                 */
           uint32_t : 24; // padding
    } UARTPERIPHID1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPERIPHID2;                   /*!< UART Peripheral ID2 Register                                          */
    
    struct {
      __I  uint32_t  Designer1  :  4;               /*!< Designer(Upper) 41=>4                                                 */
      __I  uint32_t  Revision   :  4;               /*!< Revision: r1p4 =>2                                                    */
           uint32_t : 24; // padding
    } UARTPERIPHID2_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPERIPHID3;                   /*!< UART Peripheral ID3 Register                                          */
    
    struct {
      __I  uint32_t  Configuration:  8;             /*!< Configuration: 00                                                     */
           uint32_t : 24; // padding
    } UARTPERIPHID3_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPCELLID0;                    /*!< UART PrimeCell ID0 Register                                           */
    
    struct {
      __I  uint32_t  PCellID0   :  8;               /*!< Fixed value                                                           */
           uint32_t : 24; // padding
    } UARTPCELLID0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPCELLID1;                    /*!< UART PrimeCell ID1 Register                                           */
    
    struct {
      __I  uint32_t  PCellID1   :  8;               /*!< Fixed value                                                           */
           uint32_t : 24; // padding
    } UARTPCELLID1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPCELLID2;                    /*!< UART PrimeCell ID2 Register                                           */
    
    struct {
      __I  uint32_t  PCellID2   :  8;               /*!< Fixed value                                                           */
           uint32_t : 24; // padding
    } UARTPCELLID2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  UARTPCELLID3;                    /*!< UART PrimeCell ID3 Register                                           */
    
    struct {
      __I  uint32_t  PCellID3   :  8;               /*!< Fixed value                                                           */
           uint32_t : 24; // padding
    } UARTPCELLID3_b;                               /*!< BitSize                                                               */
  };
} UART_Type;


/* ================================================================================ */
/* ================                   UART0_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief uart0_conf (UART0_CONF)
  */

typedef struct {                                    /*!< UART0_CONF Structure                                                  */
  
  union {
    __IO uint32_t  UART_OE_CTRL;                    /*!< UART_OE_CTRL                                                          */
    
    struct {
      __IO uint32_t  OE         :  1;               /*!< Output Enable for UART0 signals1: Output Enable0: Output Disable      */
           uint32_t : 31; // padding
    } UART_OE_CTRL_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  UART_WU_SEL;                     /*!< UART_WU_SEL                                                           */
    
    struct {
      __IO uint32_t  WUSEL      :  1;               /*!< Wakeup cause select 1 : RXD pin input (Inverted) 0 : UART Controller
                                                         Interrupt                                                             */
           uint32_t : 31; // padding
    } UART_WU_SEL_b;                                /*!< BitSize                                                               */
  };
} UART_CONF_Type;


/* ================================================================================ */
/* ================                      I2C0                      ================ */
/* ================================================================================ */


/**
  * @brief i2c0 (I2C0)
  */

typedef struct {                                    /*!< I2C0 Structure                                                        */
  
  union {
    __IO uint32_t  IC_CON;                          /*!< I2C Control Register                                                  */
    
    struct {
      __IO uint32_t  MASTER_MODE:  1;               /*!< This bit controls whether the I2C master is enabled. 0: master
                                                         disabled 1: master enabledNOTE: Software should ensure that
                                                          if this bit is written with 1,then bit 6 should also be written
                                                          with a 1.                                                            */
      __IO uint32_t  SPEED      :  2;               /*!< These bits control at which speed the I2C operates; its setting
                                                         is relevant only if one is operating the I2C in master mode.
                                                          Hardware protects against illegal values being programmed by
                                                          software. This register should be programmed only with a value
                                                          in the range of 1 to IC_MAX_SPEED_MODE; otherwise, hardware
                                                          updates this register with the value of IC_MAX_SPEED_MODE.-
                                                          1: standard mode (0 to 100 kbit/s)- 2: fast mode (less than
                                                          or equal to 400 kbit/s)- 3: high speed mode (less than or equal
                                                          to 3.4 Mbit/s)                                                       */
      __IO uint32_t  IC_10BITADDR_SLAVE:  1;        /*!< When acting as a slave, this bit controls whether the I2C responds
                                                         to 7- or 10-bit addresses. 0: 7-bit addressing.The I2C ignores
                                                          transactions that involve 10-bit addressing; for 7-bit addressing,
                                                          only the lower 7 bitsof the IC_SAR register are compared. 1:
                                                          10-bit addressing.The I2C responds to only 10-bit addressing
                                                          transfers that match the full 10 bits of the IC_SAR register.        */
      __I  uint32_t  IC_10BITADDR_MASTER:  1;       /*!< the function of this bit is handled by bit 12 of IC_TAR register,
                                                         and becomes a read-only copy called IC_10BITADDR_MASTER_rd_only.
                                                          0: 7-bit addressing 1: 10-bit addressing                             */
      __IO uint32_t  IC_RESTART_EN:  1;             /*!< Determines whether RESTART conditionsmay be sent when acting
                                                         as a master.Some older slaves do not support handling RESTART
                                                          conditions; however, RESTART conditions are used in several
                                                          I2C operations. 0: disable 1: enableWhen the RESTART is disabled,
                                                          the I2C master is incapable of performing the following functions:-
                                                          Sending a START BYTE- Performing any high-speed mode operation-
                                                          Performing direction changes in combined format mode- Performing
                                                          a read operation with a 10-bit addressBy replacing RESTART condit    */
      __IO uint32_t  IC_SLAVE_DISABLE:  1;          /*!< This bit controls whether I2C has its slave disabledwhich means
                                                         once the presetn signal is applied, then this bit takes on the
                                                          value of the configuration parameter IC_SLAVE_DISABLE. You have
                                                          the choice of having the slave enabled or disabled after reset
                                                          is applied, which means software does not have to configure
                                                          the slave. By default, the slave is always enabled (in reset
                                                          state as well). If you need to disable it after reset, set this
                                                          bit to 1. If this bit is set (slave is disabled), I2C functions
                                                          only as                                                              */
      __IO uint32_t  STOP_DET_IFADDRESSED:  1;      /*!< In slave mode: 1: issues the STOP_DET interrrupt only when it
                                                         is addressed. 0: issues the STOP_DET irrespective of whether
                                                          its addressed or not. Dependencies: This register bit value
                                                          is applicable in the slave mode only (MASTER_MODE = 1b0) Reset
                                                          value: 0x0 NOTE: During a general call address, this slave does
                                                          not issue the STOP_DET interrupt if STOP_DET_IF_ADDRESSED =
                                                          1b1, even if the slave responds to the general call address
                                                          by generating ACK. The STOP_DET interrupt is generated only
                                                          when the transmitted                                                 */
      __IO uint32_t  TX_EMPTY_CTRL:  1;             /*!< This bit controls the generation of the TX_EMPTY interrupt,
                                                         as described in the IC_RAW_INTR_STAT register.                        */
           uint32_t : 23; // padding
    } IC_CON_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_TAR;                          /*!< I2C Target Address Register                                           */
    
    struct {
      __IO uint32_t  IC_TAR     : 10;               /*!< This is the target address for any master transaction.When transmitting
                                                         a General Call, these bits are ignored. To generate a START
                                                          BYTE, the CPU needs to write only once into these bits.If the
                                                          IC_TAR and IC_SAR are the same, loopback exists but the FIFOs
                                                          are shared between master and slave, so full loopback is not
                                                          feasible. Only one direction loopback mode is supported (simplex),
                                                          not duplex. A master cannot transmit to itself; it can transmit
                                                          to only a slave.                                                     */
      __IO uint32_t  GC_OR_START:  1;               /*!< If bit 11 (SPECIAL) is set to 1, then this bit indicates whether
                                                         a General Call or START byte command is to be performed by the
                                                          I2C.- 0: General Call Address - after issuing a General Call,
                                                          only writes may be performed. Attempting to issue a read command
                                                          results in setting bit 6 (TX_ABRT) of the IC_RAW_INTR_STAT register.
                                                          The I2C remains in General Call mode until the SPECIAL bit value
                                                          (bit 11) is cleared.- 1: START BYTE                                  */
      __IO uint32_t  SPECIAL    :  1;               /*!< This bit indicates whether software performs a General Call
                                                         or START BYTE command.- 0: ignore bit 10 GC_OR_START and use
                                                          IC_TAR normally- 1: perform special I2C command as specified
                                                          in GC_OR_START bit                                                   */
      __IO uint32_t  IC_10BITADDR_MASTER:  1;       /*!< This bit controls whether I2C starts its transfers in 7-or 10-bit
                                                         addressing mode when acting as a master- 0: 7-bit addressing-
                                                          1: 10-bit addressing                                                 */
           uint32_t : 19; // padding
    } IC_TAR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_SAR;                          /*!< I2C Slave Address Register                                            */
    
    struct {
      __IO uint32_t  IC_SAR     : 10;               /*!< The IC_SAR holds the slave address when the I2C is operating
                                                         as a slave.For 7-bit addressing, only IC_SAR[6:0] is used.This
                                                          register can be written only when the I2C interface is disabled,
                                                          which corresponds to IC_ENABLE[0] being set to 0. Writes at
                                                          other times have no effect.Note The default values cannot be
                                                          any of the reserved address locations:that is, 0x00 to 0x07,
                                                          or 0x78 to 0x7f. The correct operation of the device is not
                                                          guaranteed if you program the IC_SAR or IC_TAR to a reserved
                                                          value.                                                               */
           uint32_t : 22; // padding
    } IC_SAR_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  IC_DATA_CMD;                     /*!< I2C Rx/Tx Data Buffer and Command Register                            */
    
    struct {
      __IO uint32_t  DAT        :  8;               /*!< This register contains the data to be transmitted or received
                                                         on the I2C bus. If you are writing to this register and want
                                                          to perform a read, bits 7:0 (DAT) are ignored by the I2C. However,
                                                          when you read this register, these bits return the value of
                                                          data received on the I2C interface.                                  */
      __IO uint32_t  CMD        :  1;               /*!< This bit controls whether a read or a write is performed. This
                                                         bit does not control the direction when the I2C acts as a slave.
                                                          It controls only the direction when it acts as a master.- 1
                                                          = Read- 0 = WriteWhen a command is entered in the TX FIFO, this
                                                          bit distinguishes the write and read commands. In slave-receiver
                                                          mode, this bit is a 'dont care' because writes to this register
                                                          are not required. In slave-transmitter mode, a '0' indicates
                                                          that the data in IC_DATA_CMD is to be transmitted.When programming
                                                          th                                                                   */
      __IO uint32_t  STOP       :  1;               /*!< This bit controls whether a STOP is issued after the byte is
                                                         sent or received. This bit is available only if IC_EMPTYFIFO_HOLD_MASTER_E
                                                         N is configured to 1.- 1 - STOP is issued after this byte, regardless
                                                          of whether or not the Tx FIFO is empty. If the Tx FIFO is not
                                                          empty, the master immediately tries to start a new transfer
                                                          by issuing a START and arbitrating for the bus.- 0 - STOP is
                                                          not issued after this byte, regardless of whether or not the
                                                          Tx FIFO is empty. If the Tx FIFO is not empty, the master cont       */
      __IO uint32_t  RESTART    :  1;               /*!< This bit controls whether a RESTART is issued before the byte
                                                         is sent or received. This bit is available only if IC_EMPTYFIFO_HOLD_MASTE
                                                         R_EN is configured to 1.- 1 - If IC_RESTART_EN is 1, a RESTART
                                                          is issued before the data is sent/received (according to the
                                                          value of CMD), regardless of whether or not the transfer direction
                                                          is changing from the previous command; if IC_RESTART_EN is 0,
                                                          a STOP followed by a START is issued instead.- 0 - If IC_RESTART_EN
                                                          is 1, a RESTART is issued only if the transfer directi               */
           uint32_t : 21; // padding
    } IC_DATA_CMD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_SS_SCL_HCNT;                  /*!< Standard Speed I2C Clock SCL High Count Register                      */
    
    struct {
      __IO uint32_t  IC_SS_SCL_HCNT: 16;            /*!< This register must be set before any I2C bus transaction can
                                                         take place to ensure proper I/O timing. This register sets the
                                                          SCL clock high-period count for standard speed.This register
                                                          can be written only when the I2C interface is disabled which
                                                          corresponds to IC_ENABLE[0] being set to 0. Writes at other
                                                          times have no effect.The minimum valid value is 6; hardware
                                                          prevents values less than this being written, and if attempted
                                                          results in 6 being set. For designs with APB_DATA_WIDTH = 8,
                                                          the order of programm                                                */
           uint32_t : 16; // padding
    } IC_SS_SCL_HCNT_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_SS_SCL_LCNT;                  /*!< Standard Speed I2C Clock SCL Low Count Register                       */
    
    struct {
      __IO uint32_t  IC_SS_SCL_LCNT: 16;            /*!< This register must be set before any I2C bus transaction can
                                                         take place to ensure proper I/O timing. This register sets the
                                                          SCL clock low period count for standard speed.This register
                                                          can be written only when the I2C interface is disabled which
                                                          corresponds to IC_ENABLE[0] being set to 0. Writes at other
                                                          times have no effect.The minimum valid value is 8; hardware
                                                          prevents values less than this being written, and if attempted,
                                                          results in 8 being set. For designs with APB_DATA_WIDTH = 8,
                                                          the order of programm                                                */
           uint32_t : 16; // padding
    } IC_SS_SCL_LCNT_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_FS_SCL_HCNT;                  /*!< Fast Speed I2C Clock SCL High Count Register                          */
    
    struct {
      __IO uint32_t  IC_FS_SCL_HCNT: 16;            /*!< This register must be set before any I2C bus transaction can
                                                         take place to ensure proper I/O timing. This register sets the
                                                          SCL clock high-period count for fast speed. It is used in high-speed
                                                          mode to send the Master Code and START BYTE or General CALL.This
                                                          register goes away and becomes read-only returning 0s if IC_MAX_SPEED_MODE
                                                          = standard. This register can be written only when the I2C interface
                                                          is disabled, which corresponds to IC_ENABLE[0] being set to
                                                          0. Writes at other times have no effect.The minim                    */
           uint32_t : 16; // padding
    } IC_FS_SCL_HCNT_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_FS_SCL_LCNT;                  /*!< Fast Speed I2C Clock SCL Low Count Register                           */
    
    struct {
      __IO uint32_t  IC_FS_SCL_LCNT: 16;            /*!< This register must be set before any I2C bus transaction can
                                                         take place toensure proper I/O timing. This register sets the
                                                          SCL clock low period count for fast speed. It is used in high-speed
                                                          mode to send the Master Code and START BYTE or General CALL.This
                                                          register goes away and becomes read-only returning 0s if IC_MAX_SPEED_MODE
                                                          = standard.This register can be written only when the I2C interface
                                                          is disabled, which corresponds to IC_ENABLE[0] being set to
                                                          0. Writes at other times have no effect.The minimum                  */
           uint32_t : 16; // padding
    } IC_FS_SCL_LCNT_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __I  uint32_t  IC_INTR_STAT;                    /*!< I2C Interrupt Status Register                                         */
    
    struct {
      __I  uint32_t  R_RX_UNDER :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_RX_OVER  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_RX_FULL  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_TX_OVER  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_TX_EMPTY :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_RD_REQ   :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_TX_ABRT  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_RX_DONE  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_ACTIVITY :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_STOP_DET :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_START_DET:  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_GEN_CALL :  1;               /*!< Each bit in this register has a corresponding mask bit in the
                                                         IC_INTR_MASK register.See 'IC_RAW_INTR_STAT'.                         */
      __I  uint32_t  R_RESTART_DET:  1;             /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __I  uint32_t  R_MASTER_ON_HOLD:  1;          /*!< See 'IC_RAW_INTR_STAT'.                                               */
           uint32_t : 18; // padding
    } IC_INTR_STAT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_INTR_MASK;                    /*!< I2C Interrupt Mask Register                                           */
    
    struct {
      __IO uint32_t  M_RX_UNDER :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_RX_OVER  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_RX_FULL  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_TX_OVER  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_TX_EMPTY :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_RD_REQ   :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_TX_ABRT  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_RX_DONE  :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_ACTIVITY :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_STOP_DET :  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_START_DET:  1;               /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_GEN_CALL :  1;               /*!< These bits mask their corresponding interrupt status bits. This
                                                         register is active low; a value of 0 masks the interrupt, whereas
                                                          a value of 1 unmasks the interrupt.See 'IC_RAW_INTR_STAT'.           */
      __I  uint32_t  M_RESTART_DET:  1;             /*!< See 'IC_RAW_INTR_STAT'.                                               */
      __IO uint32_t  M_MASTER_ON_HOLD:  1;          /*!< See 'IC_RAW_INTR_STAT'.                                               */
           uint32_t : 18; // padding
    } IC_INTR_MASK_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_RAW_INTR_STAT;                /*!< I2C Raw Interrupt Status Register                                     */
    
    struct {
      __I  uint32_t  RX_UNDER   :  1;               /*!< Set if the processor attempts to read the receive buffer when
                                                         it is empty by reading from the IC_DATA_CMD register. If the
                                                          module is disabled (IC_ENABLE[0]=0), this bit keeps its level
                                                          until the master or slave state machines go into idle, and when
                                                          ic_en goes to 0, this interrupt is cleared.                          */
      __I  uint32_t  RX_OVER    :  1;               /*!< Set if the receive buffer is completely filled to IC_RX_BUFFER_DEPTH
                                                         and an additional byte is received from an external I2C device.
                                                          The I2C acknowledges this, but any data bytes received after
                                                          the FIFO is full are lost. If the module is disabled (IC_ENABLE[0]=0),
                                                          this bit keeps its level until the master or slave state machines
                                                          go into idle, and when ic_en goes to 0, this interrupt is cleared.   */
      __I  uint32_t  RX_FULL    :  1;               /*!< Set when the receive buffer reaches or goes above the RX_TL
                                                         threshold in the IC_RX_TL register.It is automatically cleared
                                                          by hardware when buffer level goes below the threshold. If the
                                                          module is disabled (IC_ENABLE[0]=0), the RX FIFO is flushed
                                                          and held in reset; therefore the RX FIFO is not full. So this
                                                          bit is cleared once the IC_ENABLE bit 0 is programmed with a
                                                          0, regardless of the activity that continues.                        */
      __I  uint32_t  TX_OVER    :  1;               /*!< Set during transmit if the transmit buffer is filled to IC_TX_BUFFER_DEPTH
                                                         and the processor attempts to issue another I2C command by writing
                                                          to the IC_DATA_CMD register.When the module is disabled, this
                                                          bit keeps its level until the master or slave state machines
                                                          go into idle, and when ic_en goes to 0, this interrupt is cleared.
                                                                                                                               */
      __I  uint32_t  TX_EMPTY   :  1;               /*!< The behavior of the TX_EMPTY interrupt status differs based
                                                         on the TX_EMPTY_CTRL selection in the IC_CON register.- When
                                                          TX_EMPTY_CTRL = 0: This bit is set to 1 when the transmit buffer
                                                          is at or below the threshold value set in the IC_TX_TL register.-
                                                          When TX_EMPTY_CTRL = 1:This bit is set to 1 when the transmit
                                                          buffer is at or below the threshold value set in the IC_TX_TL
                                                          register and the transmission of the address/data from the internal
                                                          shift register for the most recently popped command is completed.It  */
      __I  uint32_t  RD_REQ     :  1;               /*!< This bit is set to 1 when I2C is acting as a slave and another
                                                         I2C master is attempting to read data from I2C.The I2C holds
                                                          the I2C bus in a wait state (SCL=0) until this interrupt is
                                                          serviced, which means that the slave has been addressed by a
                                                          remote master that is asking for data to be transferred. The
                                                          processor must respond to this interrupt and then write the
                                                          requested data to the IC_DATA_CMD register. This bit is set
                                                          to 0 just after the processor reads the IC_CLR_RD_REQ register.      */
      __I  uint32_t  TX_ABRT    :  1;               /*!< This bit indicates if I2C, as an I2C transmitter, is unable
                                                         to complete the intended actions on the contents of the transmit
                                                          FIFO.This situation can occur both as an I2C master or an I2C
                                                          slave, and is referred to as a transmit abort. When this bit
                                                          is set to 1, the IC_TX_ABRT_SOURCE register indicates the reason
                                                          why the transmit abort takes places.NOTE: The I2C flushes/resets/empties
                                                          the TX FIFO whenever this bit is set. The TX FIFO remains in
                                                          this flushed state until the register IC_CLR_TX_ABRT is read.
                                                          On                                                                   */
      __I  uint32_t  RX_DONE    :  1;               /*!< When the I2C is acting as a slave-transmitter, this bit is set
                                                         to 1 if the master does not acknowledge a transmitted byte.
                                                          This occurs on the last byte of the transmission, indicating
                                                          that the transmission is done.                                       */
      __I  uint32_t  ACTIVITY   :  1;               /*!< This bit captures I2C activity and stays set until it is clearedcleared.
                                                         There are four ways to clear it:- Disabling the I2C- Reading
                                                          the IC_CLR_ACTIVITY register- Reading the IC_CLR_INTR register-
                                                          System resetOnce this bit is set, it stays set unless one of
                                                          the four methods is used to clear it. Even if the I2C module
                                                          is idle, this bit remains set until cleared, indicating that
                                                          there was activity on the bus.                                       */
      __I  uint32_t  STOP_DET   :  1;               /*!< Indicates whether a STOP condition has occurred on the I2C interface
                                                         regardless of whether I2C is operating in slave or master mode.       */
      __I  uint32_t  START_DET  :  1;               /*!< Indicates whether a START or RESTART condition has occurred
                                                         on the I2C interface regardless of whether I2C is operating
                                                          in slave or master mode.                                             */
      __I  uint32_t  GEN_CALL   :  1;               /*!< Set only when a General Call address is received and it is acknowledged.It
                                                         stays set until it is cleared either by disabling I2C or when
                                                          the CPU reads bit 0 of the IC_CLR_GEN_CALL register. I2C stores
                                                          the received data in the Rx buffer.                                  */
      __I  uint32_t  RESTART_DET:  1;               /*!< Indicates whether a RESTART condition has occurred on the I2C
                                                         interface when I2C is operating in Slave mode and the slave
                                                          is being addressed. Enabled only when IC_SLV_RESTART_DET_EN=1.
                                                          (Note:Following are exceptions where the Restart interrupt will
                                                          not get generated. In the case of High speed Mode or Startbyte
                                                          transfer, where the Restart comes before the Address field as
                                                          per the I2C protocol defined format, the Slave is still not
                                                          in the addressed mode and hence will not generate the RESTART_DET
                                                          interrupt.)                                                          */
      __I  uint32_t  MASTER_ON_HOLD:  1;            /*!< Indicates whether master is holding the bus and TX FIFO is empty.
                                                         Enabled only when I2C_DYNAMIC_TAR_UPDATE=1 and IC_EMPTYFIFO_HOLD_MASTER_EN
                                                         =1.                                                                   */
           uint32_t : 18; // padding
    } IC_RAW_INTR_STAT_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_RX_TL;                        /*!< I2C Receive FIFO Threshold Register                                   */
    
    struct {
      __IO uint32_t  RX_TL      :  8;               /*!< Receive FIFO Threshold LevelControls the level of entries (or
                                                         above) that triggers the RX_FULL interrupt (bit 2 in IC_RAW_INTR_STAT
                                                          register). The valid range is 0-255, with the additional restriction
                                                          that hardware does not allow this value to be set to a value
                                                          larger than the depth of the buffer. If an attempt is made to
                                                          do that, the actual value set will be the maximum depth of the
                                                          buffer.A value of 0 sets the threshold for 1 entry, and a value
                                                          of 255 sets the threshold for 256 entries.                           */
           uint32_t : 24; // padding
    } IC_RX_TL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_TX_TL;                        /*!< I2C Transmit FIFO Threshold Register                                  */
    
    struct {
      __IO uint32_t  TX_TL      :  8;               /*!< Transmit FIFO Threshold LevelControls the level of entries (or
                                                         below) that trigger the TX_EMPTY interrupt (bit 4 in IC_RAW_INTR_STAT
                                                          register). The valid range is 0-255, with the additional restriction
                                                          that it may not be set to value larger than the depth of the
                                                          buffer. If an attempt is made to do that, the actual value set
                                                          will be the maximum depth of the buffer.A value of 0 sets the
                                                          threshold for 0 entries, and a value of 255 sets the threshold
                                                          for 255 entries.                                                     */
           uint32_t : 24; // padding
    } IC_TX_TL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_INTR;                     /*!< Clear Combined and Individual Interrupt Register                      */
    
    struct {
      __I  uint32_t  CLR_INTR   :  1;               /*!< Read this register to clear the combined interrupt, all individual
                                                         interrupts, and the IC_TX_ABRT_SOURCE register. This bit does
                                                          not clear hardware clearable interrupts but software clearable
                                                          interrupts. Refer to Bit 9 of the IC_TX_ABRT_SOURCE register
                                                          for an exception to clearing IC_TX_ABRT_SOURCE.                      */
           uint32_t : 31; // padding
    } IC_CLR_INTR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_RX_UNDER;                 /*!< Clear RX_UNDER Interrupt Register                                     */
    
    struct {
      __I  uint32_t  CLR_RX_UNDER:  1;              /*!< Read this register to clear the RX_UNDER interrupt (bit 0) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_RX_UNDER_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_RX_OVER;                  /*!< Clear RX_OVER Interrupt Register                                      */
    
    struct {
      __I  uint32_t  CLR_RX_OVER:  1;               /*!< Read this register to clear the RX_OVER interrupt (bit 1) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_RX_OVER_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_TX_OVER;                  /*!< Clear TX_OVER Interrupt Register                                      */
    
    struct {
      __I  uint32_t  CLR_TX_OVER:  1;               /*!< Read this register to clear the TX_OVER interrupt (bit 3) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_TX_OVER_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_RD_REQ;                   /*!< Clear RD_REQ Interrupt Register                                       */
    
    struct {
      __I  uint32_t  CLR_RD_REQ :  1;               /*!< Read this register to clear the RD_REQ interrupt (bit 5) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_RD_REQ_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_TX_ABRT;                  /*!< Clear TX_ABRT Interrupt Register                                      */
    
    struct {
      __I  uint32_t  CLR_TX_ABRT:  1;               /*!< Read this register to clear the TX_ABRT interrupt (bit 6) of
                                                         the IC_RAW_INTR_STAT register, and the IC_TX_ABRT_SOURCE register.
                                                          This also releases the TX FIFO from the flushed/reset state,
                                                          allowing more writes to the TX FIFO.Refer to Bit 9 of the IC_TX_ABRT_SOURC
                                                         E register for an exception to clearing IC_TX_ABRT_SOURCE.            */
           uint32_t : 31; // padding
    } IC_CLR_TX_ABRT_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_RX_DONE;                  /*!< Clear RX_DONE Interrupt Register                                      */
    
    struct {
      __I  uint32_t  CLR_RX_DONE:  1;               /*!< Read this register to clear the RX_DONE interrupt (bit 7) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_RX_DONE_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_ACTIVITY;                 /*!< Clear ACTIVITY Interrupt Register                                     */
    
    struct {
      __I  uint32_t  CLR_ACTIVITY:  1;              /*!< Reading this register clears the ACTIVITY interrupt if the I2C
                                                         is not active anymore. If the I2C module is still active on
                                                          the bus, the ACTIVITY interrupt bit continues to be set. It
                                                          is automatically cleared by hardware if the module is disabled
                                                          and if there is no further activity on the bus. The value read
                                                          from this register to get status of the ACTIVITY interrupt (bit
                                                          8) of the IC_RAW_INTR_STAT register.                                 */
           uint32_t : 31; // padding
    } IC_CLR_ACTIVITY_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_STOP_DET;                 /*!< Clear STOP_DET Interrupt Register                                     */
    
    struct {
      __I  uint32_t  CLR_STOP_DET:  1;              /*!< Read this register to clear the STOP_DET interrupt (bit 9) of
                                                         the IC_RAW_INTR_STAT register.                                        */
           uint32_t : 31; // padding
    } IC_CLR_STOP_DET_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_START_DET;                /*!< Clear START_DET Interrupt Register                                    */
    
    struct {
      __I  uint32_t  CLR_START_DET:  1;             /*!< Read this register to clear the START_DET interrupt (bit 10)
                                                         of the IC_RAW_INTR_STAT register.                                     */
           uint32_t : 31; // padding
    } IC_CLR_START_DET_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_CLR_GEN_CALL;                 /*!< Clear GEN_CALL Interrupt Register                                     */
    
    struct {
      __I  uint32_t  CLR_GEN_CALL:  1;              /*!< Read this register to clear the GEN_CALL interrupt (bit 11)
                                                         of IC_RAW_INTR_STAT register.                                         */
           uint32_t : 31; // padding
    } IC_CLR_GEN_CALL_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_ENABLE;                       /*!< I2C Enable Register                                                   */
    
    struct {
      __IO uint32_t  ENABLE     :  1;               /*!< Controls whether the I2C is enabled.- 0: Disables I2C (TX and
                                                         RX FIFOs are held in an erased state)- 1: Enables I2CSoftware
                                                          can disable I2C while it is active. However, it is important
                                                          that care be taken to ensure that I2C is disabled properly.When
                                                          I2C is disabled, the following occurs:- The TX FIFO and RX FIFO
                                                          get flushed.- Status bits in the IC_INTR_STAT register are still
                                                          active until I2C goes into IDLE state.If the module is transmitting,
                                                          it stops as well as deletes the contents of the transmit buffer
                                                                                                                               */
      __IO uint32_t  ABORT      :  1;               /*!< When set, the controller initiates the transfer abort. 0: ABORT
                                                         not initiated or ABORT done 1: ABORT operation in progress The
                                                          software can abort the I2C transfer in master mode by setting
                                                          this bit. The software can set this bit only when ENABLE is
                                                          already set; otherwise, the controller ignores any write to
                                                          ABORT bit. The software cannot clear the ABORT bit once set.
                                                          In response to an ABORT, the controller issues a STOP and flushes
                                                          the Tx FIFO after completing the current transfer, then sets
                                                          the TX_ABORT i                                                       */
           uint32_t : 30; // padding
    } IC_ENABLE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_STATUS;                       /*!< I2C Status Register                                                   */
    
    struct {
      __I  uint32_t  ACTIVITY   :  1;               /*!< I2C Activity Status                                                   */
      __I  uint32_t  TFNF       :  1;               /*!< Transmit FIFO Not Full. Set when the transmit FIFO contains
                                                         one or more empty locations, and is cleared when the FIFO is
                                                          full.- 0: Transmit FIFO is full- 1: Transmit FIFO is not full        */
      __I  uint32_t  TFE        :  1;               /*!< Transmit FIFO Completely Empty. When the transmit FIFO is completely
                                                         empty, this bit is set. When it contains one or more valid entries,
                                                          this bit is cleared. This bit field does not request an interrupt.-
                                                          0: Transmit FIFO is not empty- 1: Transmit FIFO is empty             */
      __I  uint32_t  RFNE       :  1;               /*!< Receive FIFO Not Empty. This bit is set when the receive FIFO
                                                         contains one or more entries; it is cleared when the receive
                                                          FIFO is empty.- 0: Receive FIFO is empty- 1: Receive FIFO is
                                                          not empty                                                            */
      __I  uint32_t  RFF        :  1;               /*!< Receive FIFO Completely Full. When the receive FIFO is completely
                                                         full, this bit is set. When the receive FIFO contains one or
                                                          more empty location, this bit is cleared.- 0: Receive FIFO is
                                                          not full- 1: Receive FIFO is full                                    */
      __I  uint32_t  MST_ACTIVITY:  1;              /*!< Master FSM Activity Status. When the Master Finite State Machine
                                                         (FSM) is not in the IDLE state, this bit is set.- 0: Master
                                                          FSM is in IDLE state so the Master part of I2C is not Active-
                                                          1: Master FSM is not in IDLE state so the Master part of I2C
                                                          is Active                                                            */
      __I  uint32_t  SLV_ACTIVITY:  1;              /*!< Slave FSM Activity Status.When the Slave Finite State Machine
                                                         (FSM) is not in the IDLE state, this bit is set.- 0: Slave FSM
                                                          is in IDLE state so the Slave part of I2C is not Active- 1:
                                                          Slave FSM is not in IDLE state so the Slave part of I2C is Active    */
           uint32_t : 25; // padding
    } IC_STATUS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_TXFLR;                        /*!< I2C Transmit FIFO Level Register                                      */
    
    struct {
      __I  uint32_t  TXFLR      :  4;               /*!< Transmit FIFO Level.Contains the number of valid data entries
                                                         in the transmit FIFO.                                                 */
           uint32_t : 28; // padding
    } IC_TXFLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_RXFLR;                        /*!< I2C Receive FIFO Level Register                                       */
    
    struct {
      __I  uint32_t  RXFLR      :  4;               /*!< Receive FIFO Level.Contains the number of valid data entries
                                                         in the receive FIFO.                                                  */
           uint32_t : 28; // padding
    } IC_RXFLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_SDA_HOLD;                     /*!< I2C SDA Hold Time Length Register                                     */
    
    struct {
      __IO uint32_t  IC_SDA_TX_HOLD: 16;            /*!< Sets the required SDA hold time in units of ic_clk period, when
                                                         I2C acts as a transmitter.                                            */
      __IO uint32_t  IC_SDA_RX_HOLD:  8;            /*!< Sets the required SDA hold time in units of ic_clk period, when
                                                         I2C acts as a receiver.                                               */
           uint32_t : 8; // padding
    } IC_SDA_HOLD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_TX_ABRT_SOURCE;               /*!< I2C Transmit Abort Source Register                                    */
    
    struct {
      __I  uint32_t  ABRT_7B_ADDR_NOACK:  1;        /*!< 1: Master is in 7-bit addressing mode and the address sent was
                                                         not acknowledged by any slave.                                        */
      __I  uint32_t  ABRT_10ADDR1_NOACK:  1;        /*!< 1: Master is in 10-bit address mode and the first 10-bit address
                                                         byte was not acknowledged by any slave.                               */
      __I  uint32_t  ABRT_10ADDR2_NOACK:  1;        /*!< 1: Master is in 10-bit address mode and the second address byte
                                                         of the 10-bit address was not acknowledged by any slave.              */
      __I  uint32_t  ABRT_TXDATA_NOACK:  1;         /*!< 1: This is a master-mode only bit. Master has received an acknowledgement
                                                         for the address, but when it sent data byte(s) following the
                                                          address, it did not receive an acknowledge from the remote slave(s).
                                                                                                                               */
      __I  uint32_t  ABRT_GCALL_NOACK:  1;          /*!< 1: I2C in master mode sent a General Call and no slave on the
                                                         bus acknowledged the General Call.                                    */
      __I  uint32_t  ABRT_GCALL_READ:  1;           /*!< 1: I2C in master mode sent a General Call but the user programmed
                                                         the byte following the General Call to be a read from the bus
                                                          (IC_DATA_CMD[9] is set to 1).                                        */
      __I  uint32_t  ABRT_HS_ACKDET:  1;            /*!< 1: Master is in High Speed mode and the High Speed Master code
                                                         was acknowledged (wrong behavior).                                    */
      __I  uint32_t  ABRT_SBYTE_ACKDET:  1;         /*!< 1: Master has sent a START Byte and the START Byte was acknowledged
                                                         (wrong behavior).                                                     */
      __I  uint32_t  ABRT_HS_NORSTRT:  1;           /*!< 1: The restart is disabled (IC_RESTART_EN bit (IC_CON[5]) =0)
                                                         and the user is trying to use the master to transfer data in
                                                          High Speed mode.                                                     */
      __I  uint32_t  ABRT_SBYTE_NORSTRT:  1;        /*!< To clear Bit 9, the source of the ABRT_SBYTE_NORSTRT must be
                                                         fixed first; restart must be enabled (IC_CON[5]=1), the SPECIAL
                                                          bit must be cleared (IC_TAR[11]), or the GC_OR_START bit must
                                                          be cleared (IC_TAR[10]). Once the source of the ABRT_SBYTE_NORSTRT
                                                          is fixed, then this bit can be cleared in the same manner as
                                                          other bits in this register. If the source of the ABRT_SBYTE_NORSTRT
                                                          is not fixed before attempting to clear this bit, bit 9 clears
                                                          for one cycle and then gets reasserted. 1: The restart is disabl     */
      __I  uint32_t  ABRT_10B_RD_NORSTRT:  1;       /*!< 1: The restart is disabled (IC_RESTART_EN bit (IC_CON[5]) =0)
                                                         and the master sends a read command in 10-bit addressing mode.
                                                                                                                               */
      __I  uint32_t  ABRT_MASTER_DIS:  1;           /*!< 1: User tries to initiate a Master operation with the Master
                                                         mode disabled.                                                        */
      __I  uint32_t  ARB_LOST   :  1;               /*!< 1: Master has lost arbitration, or if IC_TX_ABRT_SOURCE[14]
                                                         is also set, then the slave transmitter has lost arbitration.
                                                          Note: I2C can be both master and slave at the same time.             */
      __I  uint32_t  ABRT_SLVFLUSH_TXFIFO:  1;      /*!< 1: Slave has received a read command and some data exists in
                                                         the TX FIFO so the slave issues a TX_ABRT interrupt to flush
                                                          old data in TX FIFO.                                                 */
      __I  uint32_t  ABRT_SLV_ARBLOST:  1;          /*!< 1: Slave lost the bus while transmitting data to a remote master.
                                                         IC_TX_ABRT_SOURCE[12] is set at the same time.                        */
      __I  uint32_t  ABRT_SLVRD_INTX:  1;           /*!< 1: When the processor side responds to a slave mode request
                                                         for data to be transmitted to a remote master and user writes
                                                          a 1 in CMD (bit 8) of IC_DATA_CMD register.                          */
      __I  uint32_t  ABRT_USER_ABRT:  1;            /*!< This is a master-mode-only bit. Master has detected the transfer
                                                         abort (IC_ENABLE[1])                                                  */
           uint32_t             :  6;
      __I  uint32_t  TX_FLUSH_CNT:  4;              /*!< This field indicates the number of Tx FIFO Data Commands which
                                                         are flushed due to TX_ABRT interrupt. It is cleared whenever
                                                          I2C is disabled.                                                     */
           uint32_t : 5; // padding
    } IC_TX_ABRT_SOURCE_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  IC_DMA_CR;                       /*!< DMA Control Register                                                  */
    
    struct {
      __IO uint32_t  RDMAE      :  1;               /*!< Receive DMA Enable.This bit enables/disables the receive FIFO
                                                         DMA channel.- 0 = Receive DMA disabled- 1 = Receive DMA enabled       */
      __IO uint32_t  TDMAE      :  1;               /*!< Transmit DMA Enable.This bit enables/disables the transmit FIFO
                                                         DMA channel.- 0 = Transmit DMA disabled- 1 = Transmit DMA enabled     */
           uint32_t : 30; // padding
    } IC_DMA_CR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_DMA_TDLR;                     /*!< DMA Transmit Data Level Register                                      */
    
    struct {
      __IO uint32_t  DMATDL     :  3;               /*!< Transmit Data Level.This bit field controls the level at which
                                                         a DMA request is made by the transmit logic. It is equal to
                                                          the watermark level; that is, the dma_tx_req signal is generated
                                                          when the number of valid data entries in the transmit FIFO is
                                                          equal to or below this field value, and TDMAE = 1.                   */
           uint32_t : 29; // padding
    } IC_DMA_TDLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_DMA_RDLR;                     /*!< I2C Receive Data Level Register                                       */
    
    struct {
      __IO uint32_t  DMARDL     :  3;               /*!< Receive Data Level.This bit field controls the level at which
                                                         a DMA request is made by the receive logic. The watermark level
                                                          = DMARDL+1;that is, dma_rx_req is generated when the number
                                                          of valid data entries in the receive FIFO is equal to or more
                                                          than this field value + 1, and RDMAE = 1. For instance, when
                                                          DMARDL is 0, then dma_rx_req is asserted when 1 or more data
                                                          entries are present in the receive FIFO.                             */
           uint32_t : 29; // padding
    } IC_DMA_RDLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_SDA_SETUP;                    /*!< I2C SDA Setup Register                                                */
    
    struct {
      __IO uint32_t  SDA_SETUP  :  8;               /*!< SDA Setup. It is recommended that if the required delay is 1000ns,
                                                         then for an ic_clk frequency of 10 MHz, IC_SDA_SETUP should
                                                          be programmed to a value of 11. IC_SDA_SETUP must be programmed
                                                          with a minimum value of 2.                                           */
           uint32_t : 24; // padding
    } IC_SDA_SETUP_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_ACK_GENERAL_CALL;             /*!< I2C ACK General Call Register                                         */
    
    struct {
      __IO uint32_t  ACK_GEN_CALL:  1;              /*!< ACK General Call.When set to 1, I2C responds with a ACK (by
                                                         asserting ic_data_oe) when it receives a General Call. When
                                                          set to 0, theI2C does not generate General Call interrupts.          */
           uint32_t : 31; // padding
    } IC_ACK_GENERAL_CALL_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_ENABLE_STATUS;                /*!< I2C Enable Status Register                                            */
    
    struct {
      __I  uint32_t  IC_EN      :  1;               /*!< ic_en Status.This bit always reflects the value driven on the
                                                         output port ic_en.- When read as 1, I2C is deemed to be in an
                                                          enabled state.- When read as 0, I2C is deemed completely inactive.NOTE:
                                                          The CPU can safely read this bit anytime. When this bit is read
                                                          as 0, the CPU can safely read SLV_RX_DATA_LOST (bit 2) and SLV_DISABLED_WH
                                                         ILE_BUSY (bit 1).                                                     */
      __I  uint32_t  SLV_DISABLED_WHILE_BUSY:  1;   /*!< Slave Disabled While Busy (Transmit, Receive).This bit indicates
                                                         if a potential or active Slave operation has been aborted due
                                                          to setting bit 0 of the IC_ENABLE register from 1 to 0. This
                                                          bit is set when the CPU writes a 0 to bit 0 of IC_ENABLE while:
                                                          (a) I2C is receiving the address byte of the Slave-Transmitter
                                                          operation from a remote master; OR, (b) address and data bytes
                                                          of the Slave-Receiver operation from a remote master.When read
                                                          as 1, I2C is deemed to have forced a NACK during any part of
                                                          an I2C tr                                                            */
      __I  uint32_t  SLV_RX_DATA_LOST:  1;          /*!< Slave Received Data Lost.This bit indicates if a Slave-Receiver
                                                         operation has been aborted with at least one data byte received
                                                          from an I2C transfer due to setting IC_ENABLE[0] from 1 to 0.
                                                          When read as 1, I2C is deemed to have been actively engaged
                                                          in an aborted I2C transfer (with matching address) and the data
                                                          phase of the I2C transfer has been entered, even though a data
                                                          byte has been responded with a NACK.NOTE: If the remote I2C
                                                          master terminates the transfer with a STOP condition before
                                                          the I2C has a                                                        */
           uint32_t : 29; // padding
    } IC_ENABLE_STATUS_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IC_FS_SPKLEN;                    /*!< I2C SS and FS Spike Suppression Limit Register                        */
    
    struct {
      __IO uint32_t  IC_FS_SPKLEN:  8;              /*!< This register must be set before any I2C bus transaction can
                                                         take place to ensure stable operation. This register sets the
                                                          duration, measured in ic_clk cycles, of the longest spike in
                                                          the SCL or SDA lines that are filtered out by the spike suppression
                                                          logic;This register can be written only when the I2C interface
                                                          is disabled, which corresponds to IC_ENABLE[0] being set to
                                                          0. Writes at other times have no effect.The minimum valid value
                                                          is 1; hardware prevents values less than this being written,
                                                          and if atte                                                          */
           uint32_t : 24; // padding
    } IC_FS_SPKLEN_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[20];
  
  union {
    __I  uint32_t  IC_COMP_PARAM_1;                 /*!< I2C Component Parameter Register 1                                    */
    
    struct {
      __I  uint32_t  APB_DATA_WIDTH:  2;            /*!< APB_DATA_WIDTH coreConsultant parameter. 0x0 = 8 bits 0x1 =
                                                         16 bits 0x2 = 32 bits 0x3 = Reserved                                  */
      __I  uint32_t  MAX_SPEED_MODE:  2;            /*!< MAX_SPEED_MODE coreConsultant parameter. 0x0 = Reserved 0x1
                                                         = Standard 0x2 = Fast 0x3 = High                                      */
      __I  uint32_t  HC_COUNT_VALUES:  1;           /*!< HC_COUNT_VALUES coreConsultant parameter. 0: False 1: True            */
      __I  uint32_t  INTR_IO    :  1;               /*!< INTR_IO coreConsultant parameter. 0: Individual 1: Combined           */
      __I  uint32_t  HAS_DMA    :  1;               /*!< HAS_DMA coreConsultant parameter. 0: False 1: True                    */
      __I  uint32_t  ADD_ENCODED_PARAMS:  1;        /*!< ADD_ENCODED_PARAMS coreConsultant parameter. 0: False 1: True         */
      __I  uint32_t  RX_BUFFER_DEPTH:  8;           /*!< RX_BUFFER_DEPTH coreConsultant parameter. 0x00 = Reserved 0x01
                                                         = 2 0x02 = 3 ... 0xFF = 256                                           */
      __I  uint32_t  TX_BUFFER_DEPTH:  8;           /*!< TX_BUFFER_DEPTH coreConsultant parameter. 0x00 = Reserved 0x01
                                                         = 2 0x02 = 3 ... 0xFF = 256                                           */
           uint32_t : 8; // padding
    } IC_COMP_PARAM_1_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_COMP_VERSION;                 /*!< I2C Component Version Register                                        */
    
    struct {
      __I  uint32_t  IC_COMP_VERSION: 32;           /*!< I2C Component Version Register                                        */
    } IC_COMP_VERSION_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  IC_COMP_TYPE;                    /*!< I2C Component Type Register                                           */
    
    struct {
      __I  uint32_t  IC_COMP_TYPE: 32;              /*!< Designware Component Type number = 0x44_57_01_40. This assigned
                                                         unique hex value is constant and is derived from the two ASCII
                                                          letters 'DW' followed by a 16-bit unsigned number.                   */
    } IC_COMP_TYPE_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[4];
  
  union {
    __IO uint32_t  IC_DATA_ALT;                     /*!< I2C Rx/Tx Altenrate Data Buffer Register                              */
    
    struct {
      __IO uint32_t  DAT        :  8;               /*!< This register contains the data to be transmitted or received
                                                         on the I2C bus. If you are writing to this register and want
                                                          to perform a read, bits 7:0 (DAT) are ignored by the I2C. However,
                                                          when you read this register, these bits return the value of
                                                          data received on the I2C interface.                                  */
           uint32_t : 24; // padding
    } IC_DATA_ALT_b;                                /*!< BitSize                                                               */
  };
} I2C_Type;


/* ================================================================================ */
/* ================                    I2C0_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief i2c0_conf (I2C0_CONF)
  */

typedef struct {                                    /*!< I2C0_CONF Structure                                                   */
  
  union {
    __I  uint32_t  I2C_STAT;                        /*!< I2C_STAT                                                              */
    
    struct {
      __I  uint32_t  I2C_SLV_CSTATE:  4;            /*!< i2c0 status (slave status)This bit indicates whether I2C0 is
                                                         active in the Slave Mode.Except 0x00: I2C0 is active.0x00: I2C0
                                                          is idle.                                                             */
      __I  uint32_t  I2C_MST_CSTATE:  5;            /*!< i2c0 status (master status)This bit indicates whether I2C0 is
                                                         active in the Master Mode.Except 0x00: I2C0 is active.0x00:
                                                          I2C0 is idle.                                                        */
           uint32_t             :  3;
      __I  uint32_t  I2C_SLAVE_ACT:  1;             /*!< i2c0 status (slave active status)This bit indicates whether
                                                         I2C0 is active in the Slave Mode.1: I2C0 is active.0: I2C0 is
                                                          not active.                                                          */
      __I  uint32_t  I2C_MASTER_ACT:  1;            /*!< i2c0 status (master active status)This bit indicates whether
                                                         I2C0 is active in the Master Mode.1: I2C0 is active.0: I2C0
                                                          is not active.                                                       */
           uint32_t             :  2;
      __I  uint32_t  I2C_WR     :  1;               /*!< i2c0 status (i2c write status)This bit indicates whether I2C0
                                                         is in a write transaction on the I2C bus in the Master Mode.1:
                                                          I2C0 is in a write transaction.0: I2C0 is not in a write transaction. */
      __I  uint32_t  I2C_RD     :  1;               /*!< i2c0 status (i2c read status)This bit indicates whether I2C0
                                                         is in a read transaction on the I2C bus in the Master Mode.1:
                                                          I2C0 is in a read transaction.0: I2C0 is not in a read transaction.  */
           uint32_t             :  2;
      __I  uint32_t  I2C_ADDR   :  1;               /*!< i2c0 status (address communication period)This bit indicates
                                                         whether I2C0 is in the address phase on the I2C bus.1: I2C0
                                                          is in the address phase.0: I2C0 is not in the address phase.         */
      __I  uint32_t  I2C_DATA   :  1;               /*!< i2c0 status (data communication period)This bit indicates whether
                                                         I2C0 is in the data phase on the I2C bus.1: I2C0 is in the data
                                                          phase.0: I2C0 is not in the data phase.                              */
           uint32_t             :  2;
      __I  uint32_t  I2C_P_GEN  :  1;               /*!< i2c0 status (stop condition period)This bit indicates whether
                                                         I2C0 is generating a STOP Condition on the I2C bus in the Master
                                                          Mode.1: I2C0 is generating a STOP Condition.0: I2C0 is not generating
                                                          a STOP Condition.                                                    */
      __I  uint32_t  I2C_S_GEN  :  1;               /*!< i2c0 status (start condition period)This bit indicates whether
                                                         I2C0 is generating a START Condition on the I2C bus in the Master
                                                          Mode.1: I2C0 is generating a START Condition.0: I2C0 is not
                                                          generating a START Condition.                                        */
           uint32_t             :  2;
      __I  uint32_t  I2C_IC_EN  :  1;               /*!< i2c0 status (i2c enable)[I2C0_IC_ENABLE].ENABLE bit is indicated.1:
                                                         I2C0 is enabled.0: I2C0 is disabled.                                  */
           uint32_t : 3; // padding
    } I2C_STAT_b;                                   /*!< BitSize                                                               */
  };
} I2C_CONF_Type;


/* ================================================================================ */
/* ================                       RTC                      ================ */
/* ================================================================================ */


/**
  * @brief rtc (RTC)
  */

typedef struct {                                    /*!< RTC Structure                                                         */
  
  union {
    __IO uint32_t  RTC_TIMESET1;                    /*!< Time Set 1 Register                                                   */
    
    struct {
      __IO uint32_t  SECSET_UNDER10:  4;            /*!< Sets the second counter (ones place).The settable values are
                                                         0 to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  SECSET_OVER10:  3;             /*!< Sets the second counter (tens place).The settable values are
                                                         0 to 5 (0b000 to 0b101).No other values can be set (writing
                                                          disable).                                                            */
           uint32_t             :  1;
      __IO uint32_t  MINSET_UNDER10:  4;            /*!< Sets the minute counter (ones place).The settable values are
                                                         0 to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  MINSET_OVER10:  3;             /*!< Sets the minute counter (tens place).The settable values are
                                                         0 to 5 (0b000 to 0b101).No other values can be set (writing
                                                          disable).                                                            */
           uint32_t : 17; // padding
    } RTC_TIMESET1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TIMESET2;                    /*!< Time Set 2 Register                                                   */
    
    struct {
      __IO uint32_t  HOURSET_UNDER10:  4;           /*!< Sets the hour counter (ones place).The settable values are 0
                                                         to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  HOURSET_OVER10:  2;            /*!< Sets the hour counter (tens place).The settable values are 0
                                                         to 3 (0b00 to 0b11).(Note) In 12-hour mode, bit5 is used to
                                                          differentiate AM/PM. So, to set the time in the afternoon, set
                                                          bit5 to '1'.                                                         */
           uint32_t             :  2;
      __IO uint32_t  DAYSET_UNDER10:  4;            /*!< Sets the day counter (ones place).The settable values are 0
                                                         to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  DAYSET_OVER10:  2;             /*!< Sets the day counter (tens place).The settable values are 0
                                                         to 3 (0b00 to 0b11).                                                  */
           uint32_t : 18; // padding
    } RTC_TIMESET2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TIMESET3;                    /*!< Time Set 3 Register                                                   */
    
    struct {
      __IO uint32_t  MONTHSET_UNDER10:  4;          /*!< Sets the month counter (ones place).The settable values are
                                                         0 to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  MONTHSET_OVER10:  1;           /*!< Sets the month counter (tens place).The settable values are
                                                         0 and 1 (0b0 to 0b1).                                                 */
      __IO uint32_t  WEEKSET    :  3;               /*!< Sets the day-of-week counter.000: Sunday001: Monday010: Tuesday011:
                                                         Wednesday100: Thursday101: Friday110: Saturday111: Reserved
                                                          (unsettable (writing disable))                                       */
      __IO uint32_t  YEARSET_UNDER10:  4;           /*!< Sets the year counter (ones place).The settable values are 0
                                                         to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  YEARSET_OVER10:  4;            /*!< Sets the year counter (tens place).The settable values are 0
                                                         to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
           uint32_t : 16; // padding
    } RTC_TIMESET3_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TIMESET4;                    /*!< Time Set 4 Register                                                   */
    
    struct {
      __IO uint32_t  LEAP       :  2;               /*!< Sets the leap year ('0': leap year)The settable values are 0
                                                         to 3 (0b00 to 0b11).                                                  */
           uint32_t : 30; // padding
    } RTC_TIMESET4_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_CTRL;                        /*!< Control Register                                                      */
    
    struct {
      __IO uint32_t  ALRST      :  1;               /*!< Loads the alarm setting.After loading of setting data is complete,
                                                         0 is automatically set.At writing:1: Starts loading of the setting
                                                          data.0: No operationAt reading:1: Loading of the setting data
                                                          is in progress.0: Loading of the setting data is complete.           */
      __IO uint32_t  ALEN       :  1;               /*!< Alarm function enable1: Enable0: Disable                              */
      __IO uint32_t  PRRST      :  1;               /*!< Loads the periodic interrupt setting.After loading of setting
                                                         data is complete, 0 is automatically set.At writing:1: Starts
                                                          loading of the setting data.0: No operationAt reading:1: Loading
                                                          of the setting data is in progress.0: Loading of the setting
                                                          data is complete.                                                    */
      __IO uint32_t  PREN       :  1;               /*!< Periodic interrupt function enable1: Enable0: Disable                 */
      __IO uint32_t  ADJUST     :  1;               /*!< Time count adjustmentAfter adjustment is complete, 0 is automatically
                                                         set.At writing:1: Starts adjustment.0: No operationAt reading:1:
                                                          Adjustment in progress0: Adjustment completed                        */
      __IO uint32_t  HR24_12    :  1;               /*!< 24/12Hr selection1: 24-hour notation0: 12-hour notation               */
      __IO uint32_t  TMRST      :  1;               /*!< Loading the time counter with TIMESET1 to 4 register settingsAfter
                                                         loading of setting data to the time counter is complete, 0 is
                                                          automatically set.At writing:1: Starts loading of setting data.0:
                                                          No operationAt reading:1: Loading of the setting data is in
                                                          progress.0: Loading of setting data is complete.                     */
      __IO uint32_t  TMEN       :  1;               /*!< RTC operation enable1: Enable0: Disable                               */
      __IO uint32_t  TMR0RST    :  1;               /*!< Loads the interval timer 0 setting.After setting data loading
                                                         is complete, 0 is automatically set.At writing:1: Starts loading
                                                          of the setting data.0: No operationAt reading:1: Loading of
                                                          the setting data is in progress.0: Loading of the setting data
                                                          is complete.                                                         */
      __IO uint32_t  TMR0EN     :  1;               /*!< Interval timer 0 enable1: Enable0: Disable                            */
      __IO uint32_t  TMR1RST    :  1;               /*!< Loads the interval timer 1 setting.After setting data loading
                                                         is complete, 0 is automatically set.At writing:1: Starts loading
                                                          of the setting data.0: No operationAt reading:1: Loading of
                                                          the setting data is in progress.0: Loading of the setting data
                                                          is complete.                                                         */
      __IO uint32_t  TMR1EN     :  1;               /*!< Interval timer 1 enable1: Enable0: Disable                            */
           uint32_t             :  3;
      __IO uint32_t  CNTVALLOAD :  1;               /*!< Load counter valueUpdate the counter value of clock/calendar
                                                         and TMR0/TMR1 to the latestAt writing:1: update the counter
                                                          value0: No operationAt reading:'0' is read                           */
           uint32_t : 16; // padding
    } RTC_CTRL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_STATUS;                      /*!< RTC_STATUS                                                            */
    
    struct {
      __I  uint32_t  RTC_READY  :  1;               /*!< If the RTC counter value becomes ready to be read, 1 is automatically
                                                         set.                                                                  */
           uint32_t : 31; // padding
    } RTC_STATUS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_CTRL_WIP;                    /*!< Control Register write access status                                  */
    
    struct {
      __I  uint32_t  ALRST      :  1;               /*!< [RTC_CTRL].ALRST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  ALEN       :  1;               /*!< [RTC_CTRL].ALEN bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  PRRST      :  1;               /*!< [RTC_CTRL].PRRST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  PREN       :  1;               /*!< [RTC_CTRL].PREN bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  ADJUST     :  1;               /*!< [RTC_CTRL].ADJUST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  HR24_12    :  1;               /*!< [RTC_CTRL].HR24_12 bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMRST      :  1;               /*!< [RTC_CTRL].TMRST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMEN       :  1;               /*!< [RTC_CTRL].TMEN bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMR0RST    :  1;               /*!< [RTC_CTRL].TMR0RST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMR0EN     :  1;               /*!< [RTC_CTRL].TMR0EN bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMR1RST    :  1;               /*!< [RTC_CTRL].TMR1RST bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  TMR1EN     :  1;               /*!< [RTC_CTRL].TMR1EN bit status of write access0: writable1: not
                                                         writable                                                              */
      __I  uint32_t  ALARM_INTCLR_WIP:  1;          /*!< Status of clearing the alarm interrupt in RTCHV domain0: complete1:
                                                         in progress                                                           */
      __I  uint32_t  PERIOD_INTCLR_WIP:  1;         /*!< Status of clearing the periodic interrupt in RTCHV domain0:
                                                         complete1: in progress                                                */
      __I  uint32_t  TMR0_INTCLR_WIP:  1;           /*!< Status of clearing the interrupt (interval timer0) in RTCHV
                                                         domain0: complete1: in progress                                       */
      __I  uint32_t  TMR1_INTCLR_WIP:  1;           /*!< Status of clearing the interrupt (interval timer1) in RTCHV
                                                         domain0: complete1: in progress                                       */
           uint32_t : 16; // padding
    } RTC_CTRL_WIP_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __I  uint32_t  RTC_RIS;                         /*!< Raw Interrupt Status Register                                         */
    
    struct {
      __I  uint32_t  ALARM_INTRAWST:  1;            /*!< Alarm interrupt status1: Interrupt request available0: No interrupt
                                                         request                                                               */
      __I  uint32_t  PERIOD_INTRAWST:  1;           /*!< Periodic interrupt status1: Interrupt request available0: No
                                                         interrupt request                                                     */
      __I  uint32_t  TMR0_INTRAWST:  1;             /*!< Interval timer 0 interrupt status1: Interrupt request available0:
                                                         No interrupt request                                                  */
      __I  uint32_t  TMR1_INTRAWST:  1;             /*!< Interval timer 1 interrupt status1: Interrupt request available0:
                                                         No interrupt request                                                  */
           uint32_t : 28; // padding
    } RTC_RIS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_MIS;                         /*!< Masked Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  ALARM_INTMASKST:  1;           /*!< Alarm interrupt status1: Interrupt request available0: No interrupt
                                                         requestNot set when ALARM_INTMASK=0.                                  */
      __I  uint32_t  PERIOD_INTMASKST:  1;          /*!< Periodic interrupt status1: Interrupt request available0: No
                                                         interrupt requestNot set when PERIOD_INTMASK=0.                       */
      __I  uint32_t  TMR0_INTMASKST:  1;            /*!< Interval timer 0 interrupt status1: Interrupt request available0:
                                                         No interrupt requestNot set when INTVAL_INTMASK=0.                    */
      __I  uint32_t  TMR1_INTMASKST:  1;            /*!< Interval timer 1 interrupt status1: Interrupt request available0:
                                                         No interrupt requestNot set when INTVAL_INTMASK=0.                    */
           uint32_t : 28; // padding
    } RTC_MIS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_INTMASK;                     /*!< Interrupt Mask Register                                               */
    
    struct {
      __IO uint32_t  ALARM_INTMASK:  1;             /*!< Alarm interrupt1: No interrupt mask (interrupt enable)0: Interrupt
                                                         mask (interrupt disable)                                              */
      __IO uint32_t  PERIOD_INTMASK:  1;            /*!< Periodic interrupt1: No interrupt mask (interrupt enable)0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  TMR0_INTMASK:  1;              /*!< Interval timer 0 interrupt1: No interrupt mask (interrupt enable)0:
                                                         Interrupt mask (interrupt disable)                                    */
      __IO uint32_t  TMR1_INTMASK:  1;              /*!< Interval timer 1 interrupt1: No interrupt mask (interrupt enable)0:
                                                         Interrupt mask (interrupt disable)                                    */
           uint32_t : 28; // padding
    } RTC_INTMASK_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_PERIODIC;                    /*!< Periodic Interrupt Set Register                                       */
    
    struct {
      __IO uint32_t  PERIODIC_INTSET:  4;           /*!< Sets the periodic interrupt (every second, every minute, every
                                                         hour, every day, every month)0000: No periodic interrupt occurrence0001:
                                                          Every second (at the same time with second counting-up)0010:
                                                          00 second every minute0011: 00 minute 00 second every hour0100:
                                                          00 hour 00 minute 00 second every day0101: 00 hour 00 minute
                                                          00 second every month0110: Reserved (unsettable (writing disable))0111:
                                                          Reserved (unsettable (writing disable))1000: Every 1/2 second1001:
                                                          Every 1/4 second1010: Every 1/8 second1011: Every                    */
           uint32_t : 28; // padding
    } RTC_PERIODIC_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_PERIOD_INTCLR;               /*!< Periodic Interrupt Clear                                              */
    
    struct {
      __IO uint32_t  PERIOD_INTCLR: 32;             /*!< Clears the periodic interrupt.If a value is written to this
                                                         register, the periodic interrupt is cleared, regardless of the
                                                          value to be written.                                                 */
    } RTC_PERIOD_INTCLR_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_ALARM_INTCLR;                /*!< Alarm Interrupt Clear                                                 */
    
    struct {
      __IO uint32_t  ALARM_INTCLR: 32;              /*!< Clears the alarm interrupt.If a value is written to this register,
                                                         the alarm interrupt is cleared, regardless of the value to be
                                                          written.                                                             */
    } RTC_ALARM_INTCLR_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TMR0_INTCLR;                 /*!< Timer0 Interrupt Clear                                                */
    
    struct {
      __IO uint32_t  TMR0_INTCLR: 32;               /*!< Clears the interval timer 0 interrupt.If a value is written
                                                         to this register, the interval-timer 0 interrupt is cleared,
                                                          regardless of the value to be written.                               */
    } RTC_TMR0_INTCLR_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TMR1_INTCLR;                 /*!< Timer1 Interrupt Clear                                                */
    
    struct {
      __IO uint32_t  TMR1_INTCLR: 32;               /*!< Clears the interval timer 1 interrupt.If a value is written
                                                         to this register, the interval-timer 1 interrupt is cleared,
                                                          regardless of the value to be written.                               */
    } RTC_TMR1_INTCLR_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_CURRENT1;                    /*!< Current Time 1 Register                                               */
    
    struct {
      __I  uint32_t  SECVAL_UNDER10:  4;            /*!< Current value of the second counter (ones place)                      */
      __I  uint32_t  SECVAL_OVER10:  3;             /*!< Current value of the second counter (tens place)                      */
           uint32_t             :  1;
      __I  uint32_t  MINVAL_UNDER10:  4;            /*!< Current value of the minute counter (ones place)                      */
      __I  uint32_t  MINVAL_OVER10:  3;             /*!< Current value of the minute counter (tens place)                      */
           uint32_t : 17; // padding
    } RTC_CURRENT1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_CURRENT2;                    /*!< Current Time 2 Register                                               */
    
    struct {
      __I  uint32_t  HOURVAL_UNDER10:  4;           /*!< Current value of the hour counter (ones place)                        */
      __I  uint32_t  HOURVAL_OVER10:  2;            /*!< Current value of the hour counter (tens place)                        */
           uint32_t             :  2;
      __I  uint32_t  DAYVAL_UNDER10:  4;            /*!< Current value of the day counter (ones place)                         */
      __I  uint32_t  DAYVAL_OVER10:  2;             /*!< Current value of the day counter (tens place)                         */
           uint32_t : 18; // padding
    } RTC_CURRENT2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_CURRENT3;                    /*!< Current Time 3 Register                                               */
    
    struct {
      __I  uint32_t  MONTHVAL_UNDER10:  4;          /*!< Current value of the month counter (ones place)                       */
      __I  uint32_t  MONTHVAL_OVER10:  1;           /*!< Current value of the month counter (tens place)                       */
      __I  uint32_t  WEEKVAL    :  3;               /*!< Current value of the day-of-week counter                              */
      __I  uint32_t  YEARVAL_UNDER10:  4;           /*!< Current value of the year counter (ones place)                        */
      __I  uint32_t  YEARVAL_OVER10:  4;            /*!< Current value of the year counter (tens place)                        */
           uint32_t : 16; // padding
    } RTC_CURRENT3_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_CURRENT4;                    /*!< Current Time 4 Register                                               */
    
    struct {
      __I  uint32_t  LEAP       :  2;               /*!< Current value of the leap year counter                                */
           uint32_t : 30; // padding
    } RTC_CURRENT4_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_ALARM1;                      /*!< Alarm Set 1 Register                                                  */
    
    struct {
           uint32_t             :  8;
      __IO uint32_t  AL_MINSET_UNDER10:  4;         /*!< Sets the minute counter (ones place) for alarm.The settable
                                                         values are 0 to 9 ((0b0000 to 0b1001).No other values can be
                                                          set (writing disable).                                               */
      __IO uint32_t  AL_MINSET_OVER10:  3;          /*!< Sets the minute counter (tens place) for alarm.The settable
                                                         values are 0 to 5 ((0b000 to 0b101).No other values can be set
                                                          (writing disable).                                                   */
           uint32_t : 17; // padding
    } RTC_ALARM1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_ALARM2;                      /*!< Alarm Set 2 Register                                                  */
    
    struct {
      __IO uint32_t  AL_HOURSET_UNDER10:  4;        /*!< Sets the hour counter (ones place) for alarm.The settable values
                                                         are 0 to 9 (0b0000 to 0b1001).No other values can be set (writing
                                                          disable).                                                            */
      __IO uint32_t  AL_HOURSET_OVER10:  2;         /*!< Sets the hour counter (tens place) for alarm.The settable values
                                                         are 0 to 3 (0b00 to 0b11).(Note) In 12-hour mode, bit5 is used
                                                          to differentiate AM/PM. So, to set the time in the afternoon,
                                                          set bit5 to '1'.                                                     */
           uint32_t             :  2;
      __IO uint32_t  AL_DAYSET_UNDER10:  4;         /*!< Sets the minute counter (ones place) for alarm.The settable
                                                         values are 0 to 9 (0b0000 to 0b1001).No other values can be
                                                          set (writing disable).                                               */
      __IO uint32_t  AL_DAYSET_OVER10:  2;          /*!< Sets the day counter (tens place) for alarm.The settable values
                                                         are 0 to 3 (0b00 to 0b11).                                            */
           uint32_t : 18; // padding
    } RTC_ALARM2_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_ALARM3;                      /*!< Alarm Set 3 Register                                                  */
    
    struct {
           uint32_t             :  5;
      __IO uint32_t  AL_WEEKSET :  3;               /*!< Sets the day-of-week counter for alarm.000: Sunday001: Monday010:
                                                         Tuesday011: Wednesday100: Thursday101: Friday110: Saturday111:
                                                          Reserved                                                             */
           uint32_t : 24; // padding
    } RTC_ALARM3_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __IO uint32_t  RTC_TMR0_SET;                    /*!< Timer0 Set Register                                                   */
    
    struct {
      __IO uint32_t  SET        : 16;               /*!< Sets the interval timer 0 interrupt generation time.This value
                                                         is set with the number of cycles of the source clock (2.048
                                                          kHz) of the timer. The time of (setting value + 1) cycles is
                                                          the period that continues until interrupt generation.Setting
                                                          of 0x0000 is prohibited.                                             */
           uint32_t : 16; // padding
    } RTC_TMR0_SET_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_TMR0_VAL;                    /*!< Timer0 Counter Register                                               */
    
    struct {
      __I  uint32_t  COUNT_VAL  : 16;               /*!< Current value of interval timer 0 counter can be read.                */
           uint32_t : 16; // padding
    } RTC_TMR0_VAL_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TMR0_MODE;                   /*!< Timer0 Mode Register                                                  */
    
    struct {
      __IO uint32_t  MODE       :  2;               /*!< Sets the mode of interval timer 000: interval timer mode01:
                                                         under flow mode1*: reserved                                           */
           uint32_t : 30; // padding
    } RTC_TMR0_MODE_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  RTC_TMR1_SET;                    /*!< Timer1 Set Register                                                   */
    
    struct {
      __IO uint32_t  SET        : 16;               /*!< Sets the interval timer 1 interrupt generation time.This value
                                                         is set with the number of cycles of the source clock (2.048
                                                          kHz) of the timer. The time of (setting value + 1) cycles is
                                                          the period that continues until interrupt generation.Setting
                                                          of 0x0000 is prohibited.                                             */
           uint32_t : 16; // padding
    } RTC_TMR1_SET_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_TMR1_VAL;                    /*!< Timer1 Counter Register                                               */
    
    struct {
      __I  uint32_t  COUNT_VAL  : 16;               /*!< Current value of interval timer 1 counter can be read.                */
           uint32_t : 16; // padding
    } RTC_TMR1_VAL_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_TMR1_MODE;                   /*!< Timer1 Mode Register                                                  */
    
    struct {
      __IO uint32_t  MODE       :  2;               /*!< Sets the mode of interval timer 100: interval timer mode01:
                                                         under flow mode1*: reserved                                           */
           uint32_t : 30; // padding
    } RTC_TMR1_MODE_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3;
  
  union {
    __I  uint32_t  RTC_SPOP0;                       /*!< Special Operation Register 0Current value of interval-timer
                                                         0 counter can be read in COUNT_VAL field when this register
                                                          is read. At the same time , the interrupt of interval-timer
                                                          0 is prohibited, because the value of TMR0_INTMASK in RTC_INTMASK
                                                          becomes '0'.                                                         */
    
    struct {
      __I  uint32_t  COUNT_VAL  : 16;               /*!< Current value of interval timer 0 counter can be read.                */
           uint32_t : 16; // padding
    } RTC_SPOP0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RTC_SPOP1;                       /*!< Special Operation Register 1                                          */
    
    struct {
      __IO uint32_t  CLR_UNMSK_AND_CAPT:  1;        /*!< When this bit is written, following operations are done. - interrupt
                                                         of interval timer 0 is cleared. - the interrupt mask of interval
                                                          timer 0 is disabled (interrupt of interval timer 0 is permitted.)
                                                          - the current value of interval timer 1 is captured to RTC_SPOP1_CAPTAt
                                                          writing:interval timer0 interrupt clear/disable mask of interval
                                                          timer0/capture interval timer1 counterAt reading:'0' is read         */
           uint32_t : 31; // padding
    } RTC_SPOP1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  RTC_SPOP1_CAPT;                  /*!< Special Operation Capture Register                                    */
    
    struct {
      __I  uint32_t  CAPT_VAL   : 16;               /*!< Captured value of interval timer1 counter                             */
           uint32_t : 16; // padding
    } RTC_SPOP1_CAPT_b;                             /*!< BitSize                                                               */
  };
} RTC_Type;


/* ================================================================================ */
/* ================                       EVM                      ================ */
/* ================================================================================ */


/**
  * @brief evm (EVM)
  */

typedef struct {                                    /*!< EVM Structure                                                         */
  
  union {
    __IO uint32_t  EVM_EN;                          /*!< EVM_EN                                                                */
    
    struct {
      __IO uint32_t  evm_enable :  1;               /*!< Enable signal for this block0: Stop. All triggers are fixed
                                                         Low Level. The access to TRIGGER_CHn becomes read-only.1: Operation.
                                                          Each trigger outputs according to the event input and TRIGGER_CHn
                                                          setting. You can access the TRIGGER_CHn register.                    */
           uint32_t : 31; // padding
    } EVM_EN_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[3];
  
  union {
    __IO uint32_t  TRIGGER_CH0;                     /*!< TRIGGER_CH0                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH1;                     /*!< TRIGGER_CH1                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH2;                     /*!< TRIGGER_CH2                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH2_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH3;                     /*!< TRIGGER_CH3                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH3_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH4;                     /*!< TRIGGER_CH4                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH4_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH5;                     /*!< TRIGGER_CH5                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH5_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH6;                     /*!< TRIGGER_CH6                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH6_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH7;                     /*!< TRIGGER_CH7                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH7_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH8;                     /*!< TRIGGER_CH8                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH8_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TRIGGER_CH9;                     /*!< TRIGGER_CH9                                                           */
    
    struct {
      __IO uint32_t  trigger_enable:  1;            /*!< Trigger operation enable signal0: Stop1: Operation                    */
           uint32_t             :  7;
      __IO uint32_t  event_sel  :  4;               /*!< Event signal selectionWritable only when bit0 (trigger enable)
                                                         is 'L'.Ignored if written when the bit is 'H'.0000: Selects
                                                          event 0.0001: Selects event 1.0010: Selects event 2.0011: Selects
                                                          event 3.0100: Selects event 4.0101: Selects event 5.0110: Selects
                                                          event 6.0111: Selects event 7.1000: Selects event 8.1001: Selects
                                                          event 9.1010: Selects event 10.If the setting is other than
                                                          the above, the trigger signal is fixed at Low Level.                 */
           uint32_t : 20; // padding
    } TRIGGER_CH9_b;                                /*!< BitSize                                                               */
  };
} EVM_Type;


/* ================================================================================ */
/* ================                      GPIO0                     ================ */
/* ================================================================================ */


/**
  * @brief gpio0 (GPIO0)
  */

typedef struct {                                    /*!< GPIO0 Structure                                                       */
  
  union {
    __I  uint32_t  DATA;                            /*!< GPIO Data Register                                                    */
    
    struct {
      __I  uint32_t  IODATA     : 32;               /*!< GPIO I/O pin status monitor.Each bit of the read value shows
                                                         the status of the corresponding GPIO I/O pin.The read value
                                                          is available even if the direction of a bit is 'output.'Read:0:
                                                          GPIO I/O is Low level.1: GPIO I/O is High level.                     */
    } DATA_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ODATA;                           /*!< GPIO Output Data Register                                             */
    
    struct {
      __IO uint32_t  ODATA      : 32;               /*!< The setting of the GPIO I/O output data.By write access, all
                                                         bits of GPIO output data are updated.The output data is used
                                                          when the corresponding bit of 'GPIO_DIR' register is 1 (output).The
                                                          written data is saved in this register even if the direction
                                                          of a bit is 'input,' but it isnt used until the direction changes
                                                          to 'output.'Read:0: GPIO I/O output data is Low.1: GPIO I/O
                                                          output data is High.Write:0: GPIO I/O output data should be
                                                          set to Low.1: GPIO I/O output data should be set to High.            */
    } ODATA_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ODATASET;                        /*!< GPIO Output Data Set Register                                         */
    
    struct {
      __IO uint32_t  ODATASET   : 32;               /*!< The setting of the GPIO I/O High output.By writing 1, the corresponding
                                                         bit in the 'GPIO_ODATA' register is set to 1.Writing 0 to this
                                                          register has no effect.The read value of this register is same
                                                          as the value of the 'GPIO_ODATA' register.Read:Return the value
                                                          of the 'GPIO_ODATA' register.Write:0: No operation1: GPIO I/O
                                                          output data is set to High.                                          */
    } ODATASET_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ODATACLR;                        /*!< GPIO Output Data Clear Register                                       */
    
    struct {
      __IO uint32_t  ODATACLR   : 32;               /*!< The setting of the GPIO I/O Low output.By writing 1, the corresponding
                                                         bit in the 'GPIO_ODATA' register is set to 0.Writing 0 to this
                                                          register has no effect.The read value of this register is same
                                                          as the value of the 'GPIO_ODATA' register.Read:Return the value
                                                          of the 'GPIO_ODATA' register.Write:0: No operation1: GPIO I/O
                                                          output data is set to Low.                                           */
    } ODATACLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIR;                             /*!< GPIO Direction Register                                               */
    
    struct {
      __IO uint32_t  DIR        : 32;               /*!< The setting of the GPIO I/O direction.By write access, all bits
                                                         of GPIO direction are updated.Read:0: Input is set.1: Output
                                                          is set.Write:0: Input should be set.1: Output should be set.         */
    } DIR_b;                                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIROUT;                          /*!< GPIO Direction Output Set Register                                    */
    
    struct {
      __IO uint32_t  DIROUT     : 32;               /*!< The setting of the GPIO I/O output direction.By writing 1, the
                                                         corresponding bit in the 'GPIO_DIR' register is set to 1.Writing
                                                          0 to this register has no effect.The read value of this register
                                                          is same as the value of the 'GPIO_DIR' register.Read:Return
                                                          the value of the 'GPIO_DIR' register.Write:0: No operation1:
                                                          Output should be set.                                                */
    } DIROUT_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIRIN;                           /*!< GPIO Direction Input Set Register                                     */
    
    struct {
      __IO uint32_t  DIRIN      : 32;               /*!< The setting of the GPIO I/O input direction.By writing 1, the
                                                         corresponding bit in the 'GPIO_DIR' register is set to 0.Writing
                                                          0 to this register has no effect.The read value of this register
                                                          is same as the value of the 'GPIO_DIR' register.Read:Return
                                                          the value of the 'GPIO_DIR' register.Write:0: No operation1:
                                                          Input should be set.                                                 */
    } DIRIN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTMASK;                         /*!< GPIO Interrupt Mask Register                                          */
    
    struct {
      __IO uint32_t  INTMASK    : 32;               /*!< The mask setting of the GPIO interrupt output.When a bit is
                                                         set to 1, the corresponding interruption output should be masked.Read:0:
                                                          The interruption output of the GPIO does not set to the mask.1:
                                                          The interruption output of the GPIO set to the mask.Write:0:
                                                          The interruption output of the GPIO should not be masked.1:
                                                          The interruption output of the GPIO should be masked.                */
    } INTMASK_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTMASKSET;                      /*!< GPIO Interrupt Mask Set Register                                      */
    
    struct {
      __IO uint32_t  INTMASKSET : 32;               /*!< The mask enabled setting of the GPIO interrupt output.By writing
                                                         1, the corresponding bit in the 'GPIO_INTMASK' register is set
                                                          to 1.Writing 0 to this register has no effect.The read value
                                                          of this register is same as the value of the 'GPIO_INTMASK'
                                                          register.Read:Return the value of the 'GPIO_INTMASK' register.Write:0:
                                                          No operation1: The interruption output of the GPIO should be
                                                          masked.                                                              */
    } INTMASKSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTMASKCLR;                      /*!< GPIO Interrupt Mask Clear Register                                    */
    
    struct {
      __IO uint32_t  INTMASKCLR : 32;               /*!< The mask disabled setting of the GPIO interrupt output.By writing
                                                         1, the corresponding bit in the 'GPIO_INTMASK' register is set
                                                          to 0.Writing 0 to this register has no effect.The read value
                                                          of this register is same as the value of the 'GPIO_INTMASK'
                                                          register.Read:Return the value of the 'GPIO_INTMASK' register.Write:0:
                                                          No operation1: The interruption output of the GPIO should not
                                                          be masked.                                                           */
    } INTMASKCLR_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  RAWINTSTAT;                      /*!< GPIO Raw Interrupt Status Register                                    */
    
    struct {
      __IO uint32_t  RAWINTSTAT : 32;               /*!< Shows the interruption state of the GPIO before setting a mask.A
                                                         bit is set to 1 when the interrupt condition of the corresponding
                                                          bit is satisfied.The interrupt condition is specified by the
                                                          'GPIO_INTCTRL0 (to 3)' registers.At the level detection mode,
                                                          the interrupt status can be cleared by changing the corresponding
                                                          I/O input level not to satisfy the interrupt condition.At the
                                                          edge detection mode, the interrupt status can be cleared by
                                                          writing 1 to the corresponding bit in this register.Read:0:
                                                          The inter                                                            */
    } RAWINTSTAT_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  INTSTAT;                         /*!< GPIO Interrupt Status Register                                        */
    
    struct {
      __I  uint32_t  INTSTAT    : 32;               /*!< The register indicates the interrupt status of each bit after
                                                         the interrupt mask.Read:0: An interruption isnt detected or
                                                          its masked.1: An interruption is detected and its not masked.This
                                                          is the register for confirming the GPIO interrupt after setting
                                                          the mask.                                                            */
    } INTSTAT_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTCTRL0;                        /*!< GPIO Interrupt Control 0 RegisterThe interrupt condition to
                                                         the ports from 0 to 7 of GPIO should be set.INTEVn: The setting
                                                          of the interruption generating condition0: The interruption
                                                          by Low Level (Fail Edge) should be set.1: The interruption by
                                                          High Level (Rise Edge) should be set.INTSEn: The setting of
                                                          the interruption detecting method0: The level detection is set.1:
                                                          The Edge detection is set.INTBEn: The setting of both Edge detection
                                                          (It is valid when INTSEn is 1)0: The both Edge detection should
                                                          be dis                                                               */
    
    struct {
      __IO uint32_t  INTEV0     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 0                                                            */
      __IO uint32_t  INTSE0     :  1;               /*!< The Edge/Level detection settings of the port 0                       */
      __IO uint32_t  INTBE0     :  1;               /*!< The both Edge detection settings of the port 0                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV1     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 1                                                            */
      __IO uint32_t  INTSE1     :  1;               /*!< The Edge/Level detection settings of the port 1                       */
      __IO uint32_t  INTBE1     :  1;               /*!< The both Edge detection settings of the port 1                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV2     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 2                                                            */
      __IO uint32_t  INTSE2     :  1;               /*!< The Edge/Level detection settings of the port 2                       */
      __IO uint32_t  INTBE2     :  1;               /*!< The both Edge detection settings of the port 2                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV3     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 3                                                            */
      __IO uint32_t  INTSE3     :  1;               /*!< The Edge/Level detection settings of the port 3                       */
      __IO uint32_t  INTBE3     :  1;               /*!< The both Edge detection settings of the port 3                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV4     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 4                                                            */
      __IO uint32_t  INTSE4     :  1;               /*!< The Edge/Level detection settings of the port 4                       */
      __IO uint32_t  INTBE4     :  1;               /*!< The both Edge detection settings of the port 4                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV5     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 5                                                            */
      __IO uint32_t  INTSE5     :  1;               /*!< The Edge/Level detection settings of the port 5                       */
      __IO uint32_t  INTBE5     :  1;               /*!< The both Edge detection settings of the port 5                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV6     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 6                                                            */
      __IO uint32_t  INTSE6     :  1;               /*!< The Edge/Level detection settings of the port 6                       */
      __IO uint32_t  INTBE6     :  1;               /*!< The both Edge detection settings of the port 6                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV7     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 7                                                            */
      __IO uint32_t  INTSE7     :  1;               /*!< The Edge/Level detection settings of the port 7                       */
      __IO uint32_t  INTBE7     :  1;               /*!< The both Edge detection settings of the port 7                        */
           uint32_t : 1; // padding
    } INTCTRL0_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTCTRL1;                        /*!< GPIO Interrupt Control 1 RegisterThe interrupt condition to
                                                         the ports from 8 to 15 of GPIO should be set.INTEVn: The setting
                                                          of the interruption generating condition0: The interruption
                                                          by Low Level (Fail Edge) should be set.1: The interruption by
                                                          High Level (Rise Edge) should be set.INTSEn: The setting of
                                                          the interruption detecting method0: The level detection is set.1:
                                                          The Edge detection is set.INTBEn: The setting of both Edge detection
                                                          (It is valid when INTSEn is 1)0: The both Edge detection should
                                                          be di                                                                */
    
    struct {
      __IO uint32_t  INTEV8     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 8                                                            */
      __IO uint32_t  INTSE8     :  1;               /*!< The Edge/Level detection settings of the port 8                       */
      __IO uint32_t  INTBE8     :  1;               /*!< The both Edge detection settings of the port 8                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV9     :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 9                                                            */
      __IO uint32_t  INTSE9     :  1;               /*!< The Edge/Level detection settings of the port 9                       */
      __IO uint32_t  INTBE9     :  1;               /*!< The both Edge detection settings of the port 9                        */
           uint32_t             :  1;
      __IO uint32_t  INTEV10    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 10                                                           */
      __IO uint32_t  INTSE10    :  1;               /*!< The Edge/Level detection settings of the port 10                      */
      __IO uint32_t  INTBE10    :  1;               /*!< The both Edge detection settings of the port 10                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV11    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 11                                                           */
      __IO uint32_t  INTSE11    :  1;               /*!< The Edge/Level detection settings of the port 11                      */
      __IO uint32_t  INTBE11    :  1;               /*!< The both Edge detection settings of the port 11                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV12    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 12                                                           */
      __IO uint32_t  INTSE12    :  1;               /*!< The Edge/Level detection settings of the port 12                      */
      __IO uint32_t  INTBE12    :  1;               /*!< The both Edge detection settings of the port 12                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV13    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 13                                                           */
      __IO uint32_t  INTSE13    :  1;               /*!< The Edge/Level detection settings of the port 13                      */
      __IO uint32_t  INTBE13    :  1;               /*!< The both Edge detection settings of the port 13                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV14    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 14                                                           */
      __IO uint32_t  INTSE14    :  1;               /*!< The Edge/Level detection settings of the port 14                      */
      __IO uint32_t  INTBE14    :  1;               /*!< The both Edge detection settings of the port 14                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV15    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 15                                                           */
      __IO uint32_t  INTSE15    :  1;               /*!< The Edge/Level detection settings of the port 15                      */
      __IO uint32_t  INTBE15    :  1;               /*!< The both Edge detection settings of the port 15                       */
           uint32_t : 1; // padding
    } INTCTRL1_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTCTRL2;                        /*!< GPIO Interrupt Control 2 RegisterThe interrupt condition to
                                                         the ports from 16 to 23 of GPIO should be set.INTEVn: The setting
                                                          of the interruption generating condition0: The interruption
                                                          by Low Level (Fail Edge) should be set.1: The interruption by
                                                          High Level (Rise Edge) should be set.INTSEn: The setting of
                                                          the interruption detecting method0: The level detection is set.1:
                                                          The Edge detection is set.INTBEn: The setting of both Edge detection
                                                          (It is valid when INTSEn is 1)0: The both Edge detection should
                                                          be d                                                                 */
    
    struct {
      __IO uint32_t  INTEV16    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 16                                                           */
      __IO uint32_t  INTSE16    :  1;               /*!< The Edge/Level detection settings of the port 16                      */
      __IO uint32_t  INTBE16    :  1;               /*!< The both Edge detection settings of the port 16                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV17    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 17                                                           */
      __IO uint32_t  INTSE17    :  1;               /*!< The Edge/Level detection settings of the port 17                      */
      __IO uint32_t  INTBE17    :  1;               /*!< The both Edge detection settings of the port 17                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV18    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 18                                                           */
      __IO uint32_t  INTSE18    :  1;               /*!< The Edge/Level detection settings of the port 18                      */
      __IO uint32_t  INTBE18    :  1;               /*!< The both Edge detection settings of the port 18                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV19    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 19                                                           */
      __IO uint32_t  INTSE19    :  1;               /*!< The Edge/Level detection settings of the port 19                      */
      __IO uint32_t  INTBE19    :  1;               /*!< The both Edge detection settings of the port 19                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV20    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 20                                                           */
      __IO uint32_t  INTSE20    :  1;               /*!< The Edge/Level detection settings of the port 20                      */
      __IO uint32_t  INTBE20    :  1;               /*!< The both Edge detection settings of the port 20                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV21    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 21                                                           */
      __IO uint32_t  INTSE21    :  1;               /*!< The Edge/Level detection settings of the port 21                      */
      __IO uint32_t  INTBE21    :  1;               /*!< The both Edge detection settings of the port 21                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV22    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 22                                                           */
      __IO uint32_t  INTSE22    :  1;               /*!< The Edge/Level detection settings of the port 22                      */
      __IO uint32_t  INTBE22    :  1;               /*!< The both Edge detection settings of the port 22                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV23    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 23                                                           */
      __IO uint32_t  INTSE23    :  1;               /*!< The Edge/Level detection settings of the port 23                      */
      __IO uint32_t  INTBE23    :  1;               /*!< The both Edge detection settings of the port 23                       */
           uint32_t : 1; // padding
    } INTCTRL2_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTCTRL3;                        /*!< GPIO Interrupt Control 3 RegisterThe interrupt condition to
                                                         the ports from 24 to 31 of GPIO should be set.INTEVn: The setting
                                                          of the interruption generating condition0: The interruption
                                                          by Low Level (Fail Edge) should be set.1: The interruption by
                                                          High Level (Rise Edge) should be set.INTSEn: The setting of
                                                          the interruption detecting method0: The level detection is set.1:
                                                          The Edge detection is set.INTBEn: The setting of both Edge detection
                                                          (It is valid when INTSEn is 1)0: The both Edge detection should
                                                          be d                                                                 */
    
    struct {
      __IO uint32_t  INTEV24    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 24                                                           */
      __IO uint32_t  INTSE24    :  1;               /*!< The Edge/Level detection settings of the port 24                      */
      __IO uint32_t  INTBE24    :  1;               /*!< The both Edge detection settings of the port 24                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV25    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 25                                                           */
      __IO uint32_t  INTSE25    :  1;               /*!< The Edge/Level detection settings of the port 25                      */
      __IO uint32_t  INTBE25    :  1;               /*!< The both Edge detection settings of the port 25                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV26    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 26                                                           */
      __IO uint32_t  INTSE26    :  1;               /*!< The Edge/Level detection settings of the port 26                      */
      __IO uint32_t  INTBE26    :  1;               /*!< The both Edge detection settings of the port 26                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV27    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 27                                                           */
      __IO uint32_t  INTSE27    :  1;               /*!< The Edge/Level detection settings of the port 27                      */
      __IO uint32_t  INTBE27    :  1;               /*!< The both Edge detection settings of the port 27                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV28    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 28                                                           */
      __IO uint32_t  INTSE28    :  1;               /*!< The Edge/Level detection settings of the port 28                      */
      __IO uint32_t  INTBE28    :  1;               /*!< The both Edge detection settings of the port 28                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV29    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 29                                                           */
      __IO uint32_t  INTSE29    :  1;               /*!< The Edge/Level detection settings of the port 29                      */
      __IO uint32_t  INTBE29    :  1;               /*!< The both Edge detection settings of the port 29                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV30    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 30                                                           */
      __IO uint32_t  INTSE30    :  1;               /*!< The Edge/Level detection settings of the port 30                      */
      __IO uint32_t  INTBE30    :  1;               /*!< The both Edge detection settings of the port 30                       */
           uint32_t             :  1;
      __IO uint32_t  INTEV31    :  1;               /*!< The interruption detectionLow(Fail)/High (Rise) settings of
                                                         the port 31                                                           */
      __IO uint32_t  INTSE31    :  1;               /*!< The Edge/Level detection settings of the port 31                      */
      __IO uint32_t  INTBE31    :  1;               /*!< The both Edge detection settings of the port 31                       */
           uint32_t : 1; // padding
    } INTCTRL3_b;                                   /*!< BitSize                                                               */
  };
} GPIO_Type;


/* ================================================================================ */
/* ================                      AFEZ                      ================ */
/* ================================================================================ */


/**
  * @brief afez (AFEZ)
  */

typedef struct {                                    /*!< AFEZ Structure                                                        */
  
  union {
    __IO uint32_t  MODESEL;                         /*!< Mode set register                                                     */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< Conversion modeSets ADC conversion modes. 00: SinglePerforms
                                                         the conversion of a channel specified by ChSel. 01: One-time
                                                          ScanSequentially performs conversion for channels enabled by
                                                          each channel set register. Comes to a stop after one round of
                                                          conversions. 10: Cyclic ScanSequentially performs conversion
                                                          for channels enabled by each channel set register. Repeats conversion
                                                          operation until a stop instruction is issued by a control register.
                                                          11: Advanced ScanAdvanced scan is the mode that you can set
                                                          the con                                                              */
           uint32_t             :  2;
      __IO uint32_t  FIFOMd     :  1;               /*!< FIFO modeSets the method of storing conversion data in FIFO0:
                                                         StreamDiscards the oldest data and stores the latest data in
                                                          FIFO when FIFO is full.1: FIFO StopRetains data in FIFO and
                                                          discards the latest data when FIFO is full.                          */
           uint32_t             :  3;
      __IO uint32_t  ChSel      :  2;               /*!< Channel selectionSets the channel number that AD conversion
                                                         is made.Used only when conversion mode is Single. 00: Ch0 01:
                                                          Ch1 10: Ch2 11: Ch3                                                  */
           uint32_t             : 14;
      __IO uint32_t  PUpToChSet :  4;               /*!< ADC PowerUp to Channel SetSets a period between ADC macro power
                                                         release and channel set (start of conversion if ChSetToStart
                                                          setting is '0')The period is the number of cycles given by:(settings
                                                          + 2) x reference clock*) reference clock is 32 divisions of
                                                          ADC clocks.                                                          */
      __IO uint32_t  ChSetToStart:  4;              /*!< ADC Channel Select to Conversion StartSets a period between
                                                         ADC macro channel setting (switching) and start of conversion.The
                                                          period is the number of cycles given by:(settings) x reference
                                                          clock*) reference clock is 32 divisions of ADC clocks.               */
    } MODESEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCCTL;                          /*!< AD conversion control register                                        */
    
    struct {
      __IO uint32_t  Start      :  1;               /*!< Start of conversionStarts ADC conversion[For read operation]
                                                         0: ADC conversion is stopped 1: ADC conversion in operation[For
                                                          write operation] 0: - 1: Starts AD conversionWriting '1' to
                                                          this bit starts AD conversion operation. In the Single mode
                                                          and One-Time Scan mode, this bit is automatically returned to
                                                          '0' when all of conversion operations have been completed.Writing
                                                          '1' to the Stop bit during conversion operation causes the bit
                                                          to return to '0' after conversion operation being executed has
                                                          been complet                                                         */
      __IO uint32_t  Stop       :  1;               /*!< Stop conversionForcibly stops ADC conversionoperation.[For read
                                                         operation] 0: ADC in operation or stopped 1: ADC conversion
                                                          stop operation is on going[For write operation] 0: - 1: Starts
                                                          AD conversion stop operationWriting '1' to this bit can stop
                                                          AD conversion. After conversion operation being executed has
                                                          been completed,ADC comes to a stop and this bit is returned
                                                          to '0'. When ADC conversion is being stopped (Start bit is '0'),
                                                          '1' cannot be written to this bit.'0' cannot be written to this
                                                          bit (Even if                                                         */
           uint32_t : 30; // padding
    } ADCCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCINTEN;                        /*!< AD conversion interrupt control register                              */
    
    struct {
      __IO uint32_t  ConvEndEn  :  1;               /*!< Conversion termination interrupt 0: Disable 1: Enable                 */
      __IO uint32_t  ScanEndEn  :  1;               /*!< Scan operation termination interrupt 0: Disable 1: Enable             */
           uint32_t             :  2;
      __IO uint32_t  CmpInt0En  :  1;               /*!< Converted value comparison 0 interrupt 0: Disable 1: Enable           */
      __IO uint32_t  CmpInt1En  :  1;               /*!< Converted value comparison 1 interrupt 0: Disable 1: Enable           */
           uint32_t : 26; // padding
    } ADCINTEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCINTSTS;                       /*!< AD conversion interrupt status register                               */
    
    struct {
      __IO uint32_t  ConvEnd    :  1;               /*!< Conversion termination interrupt[For read] 0: No interrupt occurred
                                                         1: Interrupt occurred[For write] 0: - 1: Clear interrupt              */
      __IO uint32_t  ScanEnd    :  1;               /*!< Scan operation termination interrupt[For read] 0: No interrupt
                                                         occurred 1: Interrupt occurred[For write] 0: - 1: Clear interrupt     */
           uint32_t             :  2;
      __IO uint32_t  CmpInt0    :  1;               /*!< Converted value comparison 0 interrupt[For read] 0: No interrupt
                                                         occurred 1: Interrupt occurred[For write] 0: - 1: Clear interrupt     */
      __IO uint32_t  CmpInt1    :  1;               /*!< Converted value comparison 1 interrupt[For read] 0: No interrupt
                                                         occurred 1: Interrupt occurred[For write] 0: - 1: Clear interrupt     */
           uint32_t             : 10;
      __I  uint32_t  ChInt      :  4;               /*!< Channel interrupt Indicates interrupt occurrence status in each
                                                         of Ch 0 to 3. 0: No interrupt occurred 1: Interrupt occurredDetails
                                                          of interrupt factors can be checked by the interrupt status
                                                          register for each channel.                                           */
           uint32_t : 12; // padding
    } ADCINTSTS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_CTRCTL;                     /*!< Sampling timing generation counter control register                   */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  SrcSel     :  3;               /*!< Source clock selection for sampling timing generation counter000:
                                                         ADC clock001: 4 divisions of ADC clock010: 16 divisions of ADC
                                                          clock011: 64 divisions of ADC clock100: RTC clockOther than
                                                          those above: Settings prohibited                                     */
           uint32_t : 25; // padding
    } SPLT_CTRCTL_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_PER;                        /*!< Sampling frequency setting register                                   */
    
    struct {
      __IO uint32_t  Period     : 16;               /*!< Specifies the period of sampling timing signalSet the number
                                                         of clock cycles of sampling timing generation counter.Setting
                                                          of '0x0000' is prohibited. Set values in the range from '0x0001'
                                                          to '0xFFFF'.                                                         */
           uint32_t : 16; // padding
    } SPLT_PER_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_WAVCFG;                     /*!< Sampling timing signal wave setting register                          */
    
    struct {
      __IO uint32_t  CycToRise  : 16;               /*!< Specifies the time to rise of sampling timing signalSet the
                                                         number of clock cycles of sampling timing generation counter.Set
                                                          values smaller than [SPLT_PER].                                      */
           uint32_t : 16; // padding
    } SPLT_WAVCFG_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_SYNC_WAVCFG;                /*!< Sampling timing synchronous signal wave setting register              */
    
    struct {
      __IO uint32_t  CycToRise  : 16;               /*!< Specifies the time to rise of sampling timing synchronous signalSet
                                                         the number of clock cycles of sampling timing generation counter.Set
                                                          values smaller than [SPLT_PER].                                      */
           uint32_t : 16; // padding
    } SPLT_SYNC_WAVCFG_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPDATA_0;                       /*!< Comparison data setting register0                                     */
    
    struct {
      __IO uint32_t  CmpData    : 24;               /*!< Compare dataConverted values to be stored in FIFO and the value
                                                         of this register field are compared, and an interrupt signal
                                                          is generated according to the results of comparison as to which
                                                          is greater or smaller.Comparison as to which is greater or smaller
                                                          is specified by the CmpSel bit.                                      */
      __IO uint32_t  CmpCh      :  2;               /*!< Compare channel selectSelects a channel where converted values
                                                         are compared00: Ch001: Ch110: Ch211: Reserved                         */
           uint32_t             :  2;
      __IO uint32_t  CmpEn      :  1;               /*!< Compare enable 0: Converted values not compared 1: Converted
                                                         values compared                                                       */
      __IO uint32_t  CmpSel     :  1;               /*!< Compare mode select 0: An interrupt occurs when converted values
                                                         are larger than compare data. 1: An interrupt occurs when converted
                                                          values are smaller than converted values                             */
           uint32_t : 2; // padding
    } CMPDATA_0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPDATA_1;                       /*!< Comparison data setting register1                                     */
    
    struct {
      __IO uint32_t  CmpData    : 24;               /*!< Same as CMPDATA_0                                                     */
      __IO uint32_t  CmpCh      :  2;               /*!< Same as CMPDATA_0                                                     */
           uint32_t             :  2;
      __IO uint32_t  CmpEn      :  1;               /*!< Same as CMPDATA_0                                                     */
      __IO uint32_t  CmpSel     :  1;               /*!< Same as CMPDATA_0                                                     */
           uint32_t : 2; // padding
    } CMPDATA_1_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[3];
  
  union {
    __IO uint32_t  AFE_CNT_AFE0;                    /*!< AFE/ADC macro setting register -0                                     */
    
    struct {
      __IO uint32_t  CNT_AFE0   : 32;               /*!< AFE/ADC macro control setting:Set 0x00000000 normally.When using
                                                         PGA input voltage calibration, set 0x00001600                         */
    } AFE_CNT_AFE0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  AFE_CNT_AFE1;                    /*!< AFE/ADC macro setting register -1                                     */
    
    struct {
      __IO uint32_t  VAL        :  4;               /*!< PGA input voltage calibration value*) When not using PGA input
                                                         voltage calibration, set 0000                                         */
      __IO uint32_t  DIR        :  2;               /*!< PGA input voltage calibration direction: 01: increase P-side
                                                         and decrease N-side 10: decrease P-side and increase N-side*)
                                                          When not using PGA input voltage calibration, set 00                 */
      __IO uint32_t  CNT        : 26;               /*!< AFE/ADC macro control setting:Set 0x0000000 to this field.            */
    } AFE_CNT_AFE1_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __IO uint32_t  EXT_CTL;                         /*!< External control setting register                                     */
    
    struct {
      __IO uint32_t  SelExt     :  2;               /*!< External output signal data selection 00: '0' is always output
                                                         01: '1' is always output1*: Sampling timing synchronous signals
                                                          are output*) The control of Sync[3] to Sync[1] is enable in
                                                          Advanced Scan mode only. This register cannot be controlled.*)
                                                          This setting is ignored in Advanced Scan, the control of Sync
                                                          signal by using [SLTn_*] is enabled.                                 */
      __IO uint32_t  InvExt     :  1;               /*!< External output signal inversion select 0: Not inverted 1: Inverted*)
                                                         Invert/Not invert process is performed on data selected by SelExt*)
                                                          The control of Sync[3] to Sync[1] is enable in Advanced Scan
                                                          mode only. This register cannot be controlled.*) This setting
                                                          is ignored in Advanced Scan, the control of Sync signal by using
                                                          [SLTn_*] is enabled.                                                 */
           uint32_t : 29; // padding
    } EXT_CTL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IDLE_LEN;                        /*!< Idle time setting register                                            */
    
    struct {
      __IO uint32_t  Time       : 16;               /*!< The idle time until the next round starts after one round of
                                                         all SLOTsSets the clock cycle number of ADC clock.                    */
           uint32_t : 16; // padding
    } IDLE_LEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SYNC_CFG;                        /*!< SYNC signal setting register                                          */
    
    struct {
      __IO uint32_t  PolSync0   :  1;               /*!< Selects the polarity of SYNC0 signal in Advance mode. 0: Positive
                                                         polarity (1-Active) 1: Negative polarity (0-Active)                   */
      __IO uint32_t  PolSync1   :  1;               /*!< Selects the polarity of SYNC1 signal in Advance mode. 0: Positive
                                                         polarity (1-Active) 1: Negative polarity (0-Active)                   */
      __IO uint32_t  PolSync2   :  1;               /*!< Selects the polarity of SYNC2 signal in Advance mode. 0: Positive
                                                         polarity (1-Active) 1: Negative polarity (0-Active)                   */
      __IO uint32_t  PolSync3   :  1;               /*!< Selects the polarity of SYNC3 signal in Advance mode. 0: Positive
                                                         polarity (1-Active) 1: Negative polarity (0-Active)                   */
           uint32_t : 28; // padding
    } SYNC_CFG_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IDLE_AFEMODE;                    /*!< IDLE AFE mode setting register                                        */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  MODE       : 19;               /*!< AFE mode settingRefer to section 6.4 of the requirement specification
                                                         for details.Sets 0 to IDLE_AFE_mode[17] because ADC is not executed
                                                          in IDLE status.                                                      */
           uint32_t             :  7;
      __IO uint32_t  AOUT       :  2;               /*!< AFE mode settingRefer to section 6.4 of the requirement specification
                                                         for details.                                                          */
           uint32_t : 2; // padding
    } IDLE_AFEMODE_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  BIAS_CTL;                        /*!< AFE input BIAS control register                                       */
    
    struct {
      __IO uint32_t  PBNEn0     :  1;               /*!< AI0N input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBPEn0     :  1;               /*!< AI0P input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBSel0     :  1;               /*!< AI0P/AI0N input pin Bias Select 0: 1 Mohm 1: 50 kohm                  */
      __IO uint32_t  CBEn0      :  1;               /*!< AI0P/AI0N input pin Current Bias Enable 0: Disable 1: Enable          */
      __IO uint32_t  PBNEn1     :  1;               /*!< AI1N input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBPEn1     :  1;               /*!< AI1P input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBSel1     :  1;               /*!< AI1P/AI1N input pin Bias Select 0: 1 Mohm 1: 50 kohm                  */
      __IO uint32_t  CBEn1      :  1;               /*!< AI1P/AI1N input pin Current Bias Enable 0: Disable 1: Enable          */
      __IO uint32_t  PBNEn2     :  1;               /*!< AI2N input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBPEn2     :  1;               /*!< AI2P input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBSel2     :  1;               /*!< AI2P/AI2N input pin Bias Select 0: 1 Mohm 1: 50 kohm                  */
      __IO uint32_t  CBEn2      :  1;               /*!< AI2P/AI2N input pin Current Bias Enable 0: Disable 1: Enable          */
      __IO uint32_t  PBNEn3     :  1;               /*!< AI3N input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBPEn3     :  1;               /*!< AI3P input pin Bias Enable 0: Disable 1: Enable                       */
      __IO uint32_t  RBSel3     :  1;               /*!< AI3P/AI3N input pin Bias Select 0: 1 Mohm 1: 50 kohm                  */
      __IO uint32_t  CBEn3      :  1;               /*!< AI3P/AI3N input pin Current Bias Enable 0: Disable 1: Enable          */
           uint32_t : 16; // padding
    } BIAS_CTL_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SWM_CTL;                         /*!< AFE output SwitchMatrix control register                              */
    
    struct {
      __IO uint32_t  SWMCFG     :  4;               /*!< AFESwitch MatrixConfiguration 0000: OFF 0001: Configuration
                                                         1 0010: Configuration 2 0011: Configuration 3 0100: Configuration
                                                          4 0101: Configuration 5 other: Reserved                              */
           uint32_t             :  4;
      __IO uint32_t  RLDRSEL    :  2;               /*!< Internal Resistor at RLD-AMP Control 00: 0 ohm 01: 50 kohm 10:
                                                         150 kohm 11: 1 Mohm                                                   */
           uint32_t : 22; // padding
    } SWM_CTL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  IO_CTL;                          /*!< IO control register                                                   */
    
    struct {
      __IO uint32_t  Sync0OEn   :  1;               /*!< SYNC0 signal output enable 0: Disable 1: Enable                       */
      __IO uint32_t  Sync1OEn   :  1;               /*!< SYNC1 signal output enable 0: Disable 1: Enable                       */
      __IO uint32_t  Sync2OEn   :  1;               /*!< SYNC2 signal output enable 0: Disable 1: Enable                       */
      __IO uint32_t  Sync3OEn   :  1;               /*!< SYNC3 signal output enable 0: Disable 1: Enable                       */
           uint32_t : 28; // padding
    } IO_CTL_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  MPD_CTL;                         /*!< Macro Power Down control register                                     */
    
    struct {
      __IO uint32_t  PowerDownDisable:  1;          /*!< Disable power down controlDisable ADC macro to turn into Power
                                                         down mode, when not operating ADC conversion.                         */
           uint32_t : 31; // padding
    } MPD_CTL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[39];
  
  union {
    __IO uint32_t  CH0_MODE;                        /*!< Channel 0 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Channel enableDetermines whether an analog input of this channel
                                                         is subjected to AD conversion. Enabled only in the One-Time
                                                          and Cyclic Scan modes. In Single mode, the channel set to [MODESEL].ChSel
                                                          are elected regardless of settings of this bit. 0: Disable 1:
                                                          Enable                                                               */
      __IO uint32_t  DtFmt      :  1;               /*!< Conversion data formatSelects formats of data to be stored in
                                                         FIFO 0: Unsigned integer 1: Signed integer                            */
      __IO uint32_t  OfstEn     :  1;               /*!< Offset for conversion data enable 0: Disable 1: Enable                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMA transfer request enable 0: Disable 1: Enable                      */
      __IO uint32_t  DownSpl    :  3;               /*!< Down sampling 000: No down sampling (samplingdone every time)
                                                         001: One sampling in two times 010: One sampling in three times
                                                          ... 110: One sampling in seven times 111: One sampling in eight
                                                          times                                                                */
      __IO uint32_t  DMAReq     :  1;               /*!< DMA request status[For read] 0: No DMA request 1: DMA request
                                                         asserted[For write] 0: - 1: Cancel DMA request                        */
      __IO uint32_t  WaterMark  :  4;               /*!< Watermark interrupt level countSelects the number of FIFO stageswhere
                                                         Watermark interrupt is generated0000: 1 stage0001: 2 stages0010:
                                                          3 stages0011: 4 stages...1110: 15 stages1111: 16 stages              */
           uint32_t : 20; // padding
    } CH0_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_INTEN;                       /*!< Channel 0 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< End of Conversion interrupt 0: Disable 1: Enable                      */
      __IO uint32_t  WMIntEn    :  1;               /*!< Watermark interrupt 0: Disable 1: Enable                              */
      __IO uint32_t  FstDLostEn :  1;               /*!< 1st data lost interrupt 0: Disable 1: Enable                          */
      __IO uint32_t  LstDLostEn :  1;               /*!< Last data lost interrupt 0: Disable 1: Enable                         */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFO full interrupt 0: Disable 1: Enable                              */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFO underrun interrupt 0: Disable 1: Enable                          */
           uint32_t : 26; // padding
    } CH0_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_INTSTS;                      /*!< Channel 0 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Conversion completion interrupt[For read] 0: No interrupt occurred
                                                         1: Interrupt occurred[For write] 0: - 1: Clear interrupt              */
      __IO uint32_t  WMInt      :  1;               /*!< Watermark interrupt[For read] 0: No interrupt occurred 1: Interrupt
                                                         occurred[For write] 0: - 1: Clear interrupt                           */
      __IO uint32_t  FstDLost   :  1;               /*!< 1st data lost interrupt[For read] 0: No interrupt occurred 1:
                                                         Interrupt occurred[For write] 0: - 1: Clear interrupt                 */
      __IO uint32_t  LstDLost   :  1;               /*!< Last data lost interrupt[For read] 0: No interrupt occurred
                                                         1: Interrupt occurred[For write] 0: - 1: Clear interrupt              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFO full interrupt[For read] 0: No interrupt occurred 1: Interrupt
                                                         occurred[For write] 0: - 1: Clear interrupt                           */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFO underrun interrupt[For read] 0: No interrupt occurred 1:
                                                         Interrupt occurred[For write] 0: - 1: Clear interrupt                 */
           uint32_t : 26; // padding
    } CH0_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_OFFSET;                      /*!< Channel 0 correction offset data                                      */
    
    struct {
      __IO uint32_t  Offset     :  8;               /*!< Offset data for adjusting conversion dataIf offset for conversion
                                                         data is enabled, conversion result is added with this registers
                                                          value and then stored to FIFO.MSB of this register is a sign
                                                          bit (i.e. calculation with conversion result is done after sign
                                                          extension).If arithmetic result is larger than the upper limit
                                                          or smaller than lower limits of the conversion range, limit
                                                          values are stored in FIFO.                                           */
           uint32_t : 24; // padding
    } CH0_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH0_FIFOSTS;                     /*!< Channel 0 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  5;               /*!< Number of pieces of data in FIFO0 to 16 word(s)                       */
           uint32_t : 27; // padding
    } CH0_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4;
  
  union {
    __IO uint32_t  CH0_AFEMODE;                     /*!< Channel 0 AFE mode setting register                                   */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< AFE mode setting[1: 0] Delta-Sigma ADC conversion time 00: 4130
                                                         cycles 01: 1058 cycles 10: 546 cycles 11: 290 cycles                  */
      __IO uint32_t  MODE       : 19;               /*!< AFE mode settingRefer to section 6.4 of the requirement specification
                                                         for details.Set 1 to CHn_AFE_mode[17] of the channel you want
                                                          to convert.                                                          */
           uint32_t             :  7;
      __IO uint32_t  AOUT       :  2;               /*!< AFE mode settingRefer to section 6.4 of the requirement specification
                                                         for details.                                                          */
           uint32_t : 2; // padding
    } CH0_AFEMODE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5;
  
  union {
    __IO uint32_t  CH1_MODE;                        /*!< Channel 1 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DtFmt      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  OfstEn     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAEn      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DownSpl    :  3;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAReq     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  WaterMark  :  4;               /*!< Same as CH0_mode                                                      */
           uint32_t : 20; // padding
    } CH1_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_INTEN;                       /*!< Channel 1 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  WMIntEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  LstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOFullEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOurunEn :  1;               /*!< Same as CH0_INTEN                                                     */
           uint32_t : 26; // padding
    } CH1_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_INTSTS;                      /*!< Channel 1 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  WMInt      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  LstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOFull   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOurun   :  1;               /*!< Same as CH0_INTSTS                                                    */
           uint32_t : 26; // padding
    } CH1_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_OFFSET;                      /*!< Channel 1 correction offset data                                      */
    
    struct {
      __IO uint32_t  Offset     :  8;               /*!< Same as CH0_OFFSET                                                    */
           uint32_t : 24; // padding
    } CH1_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH1_FIFOSTS;                     /*!< Channel 1 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  5;               /*!< Same as CH0_FIFOSTS                                                   */
           uint32_t : 27; // padding
    } CH1_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6;
  
  union {
    __IO uint32_t  CH1_AFEMODE;                     /*!< Channel 1 AFE mode setting register                                   */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< Same as CH0_AFE mode                                                  */
      __IO uint32_t  MODE       : 19;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t             :  7;
      __IO uint32_t  AOUT       :  2;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t : 2; // padding
    } CH1_AFEMODE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7;
  
  union {
    __IO uint32_t  CH2_MODE;                        /*!< Channel 2 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DtFmt      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  OfstEn     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAEn      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DownSpl    :  3;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAReq     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  WaterMark  :  4;               /*!< Same as CH0_mode                                                      */
           uint32_t : 20; // padding
    } CH2_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_INTEN;                       /*!< Channel 2 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  WMIntEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  LstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOFullEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOurunEn :  1;               /*!< Same as CH0_INTEN                                                     */
           uint32_t : 26; // padding
    } CH2_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_INTSTS;                      /*!< Channel 2 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  WMInt      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  LstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOFull   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOurun   :  1;               /*!< Same as CH0_INTSTS                                                    */
           uint32_t : 26; // padding
    } CH2_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_OFFSET;                      /*!< Channel 2 correction offset data                                      */
    
    struct {
      __IO uint32_t  Offset     :  8;               /*!< Same as CH0_OFFSET                                                    */
           uint32_t : 24; // padding
    } CH2_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH2_FIFOSTS;                     /*!< Channel 2 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  5;               /*!< Same as CH0_FIFOSTS                                                   */
           uint32_t : 27; // padding
    } CH2_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8;
  
  union {
    __IO uint32_t  CH2_AFEMODE;                     /*!< Channel 2 AFE mode setting register                                   */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< Same as CH0_AFE mode                                                  */
      __IO uint32_t  MODE       : 19;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t             :  7;
      __IO uint32_t  AOUT       :  2;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t : 2; // padding
    } CH2_AFEMODE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9;
  
  union {
    __IO uint32_t  CH3_MODE;                        /*!< Channel 3 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DtFmt      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  OfstEn     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAEn      :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DownSpl    :  3;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  DMAReq     :  1;               /*!< Same as CH0_mode                                                      */
      __IO uint32_t  WaterMark  :  4;               /*!< Same as CH0_mode                                                      */
           uint32_t : 20; // padding
    } CH3_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_INTEN;                       /*!< Channel 3 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  WMIntEn    :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  LstDLostEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOFullEn :  1;               /*!< Same as CH0_INTEN                                                     */
      __IO uint32_t  FIFOurunEn :  1;               /*!< Same as CH0_INTEN                                                     */
           uint32_t : 26; // padding
    } CH3_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_INTSTS;                      /*!< Channel 3 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  WMInt      :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  LstDLost   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOFull   :  1;               /*!< Same as CH0_INTSTS                                                    */
      __IO uint32_t  FIFOurun   :  1;               /*!< Same as CH0_INTSTS                                                    */
           uint32_t : 26; // padding
    } CH3_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_OFFSET;                      /*!< Channel 3 correction offset data                                      */
    
    struct {
      __IO uint32_t  Offset     :  8;               /*!< Same as CH0_OFFSET                                                    */
           uint32_t : 24; // padding
    } CH3_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH3_FIFOSTS;                     /*!< Channel 3 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  5;               /*!< Same as CH0_FIFOSTS                                                   */
           uint32_t : 27; // padding
    } CH3_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10;
  
  union {
    __IO uint32_t  CH3_AFEMODE;                     /*!< Channel 3 AFE mode setting register                                   */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< Same as CH0_AFE mode                                                  */
      __IO uint32_t  MODE       : 19;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t             :  7;
      __IO uint32_t  AOUT       :  2;               /*!< Same as CH0_AFE mode                                                  */
           uint32_t : 2; // padding
    } CH3_AFEMODE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[97];
  
  union {
    __IO uint32_t  SLT0_MODE;                       /*!< SLOT0 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Last SlotSets whether this slot is last. 0: not last 1: lastWhen
                                                         setting to 1, AD conversion is stopped in this slot.                  */
      __IO uint32_t  CnvEn      :  1;               /*!< AD conversion enableSelects whether AD conversion is enabled
                                                         in this slot. 0: disable 1: enableWhen setting to 0, AD conversion
                                                          is not operated.                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< SYNC signal toggle enableSelects whether SYNC signal toggle
                                                         is enabled in this slot. 0: disable 1: enableWhen setting to
                                                          1, SYNC signal selected by SyncSel bit is toggled.When setting
                                                          to 0, the status SYNC signal selected by SyncSel bit is OFF
                                                          is held.ON/OFF polarity is set by [SYNC_CFG] register.               */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< SYNC signal selectSelects SYNC signal used in this slot. 00:
                                                         SYNC0 01: SYNC1 10: SYNC2 11: SYNC3                                   */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Channel selectSets the number whose channel is operated ADC
                                                         in this slot. 00: Ch0 01: Ch1 10: Ch2 11: Ch3                         */
           uint32_t : 22; // padding
    } SLT0_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT0_TEST0;                      /*!< SLOT0 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Time SLOT0 AD conversion startsSets the clock cycle number of
                                                         ADC clock.                                                            */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Sets the SLOT0 period.Sets the clock cycle number of ADC clock.       */
           uint32_t : 3; // padding
    } SLT0_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT0_TEST1;                      /*!< SLOT0 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Time SLOT0 SYNC signal is turned into OFF.Sets the clock cycle
                                                         number of ADC clock.                                                  */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Time SLOT0 SYNC signal is turned into ON.Sets the clock cycle
                                                         number of ADC clock.                                                  */
           uint32_t : 3; // padding
    } SLT0_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12;
  
  union {
    __IO uint32_t  SLT1_MODE;                       /*!< SLOT1 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT1_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT1_TEST0;                      /*!< SLOT1 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT1_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT1_TEST1;                      /*!< SLOT1 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT1_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13;
  
  union {
    __IO uint32_t  SLT2_MODE;                       /*!< SLOT2 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT2_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT2_TEST0;                      /*!< SLOT2 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT2_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT2_TEST1;                      /*!< SLOT2 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT2_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14;
  
  union {
    __IO uint32_t  SLT3_MODE;                       /*!< SLOT3 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT3_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT3_TEST0;                      /*!< SLOT3 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT3_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT3_TEST1;                      /*!< SLOT3 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT3_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15;
  
  union {
    __IO uint32_t  SLT4_MODE;                       /*!< SLOT4 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT4_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT4_TEST0;                      /*!< SLOT4 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT4_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT4_TEST1;                      /*!< SLOT4 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT4_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16;
  
  union {
    __IO uint32_t  SLT5_MODE;                       /*!< SLOT5 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT5_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT5_TEST0;                      /*!< SLOT5 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT5_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT5_TEST1;                      /*!< SLOT5 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT5_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED17;
  
  union {
    __IO uint32_t  SLT6_MODE;                       /*!< SLOT6 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT6_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT6_TEST0;                      /*!< SLOT6 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT6_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT6_TEST1;                      /*!< SLOT6 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT6_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED18;
  
  union {
    __IO uint32_t  SLT7_MODE;                       /*!< SLOT7 mode setting register                                           */
    
    struct {
      __IO uint32_t  Last       :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  CnvEn      :  1;               /*!< Same as SLT0_mode                                                     */
      __IO uint32_t  SyncEn     :  1;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  1;
      __IO uint32_t  SyncSel    :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t             :  2;
      __IO uint32_t  ChSel      :  2;               /*!< Same as SLT0_mode                                                     */
           uint32_t : 22; // padding
    } SLT7_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT7_TEST0;                      /*!< SLOT7 mode time setting register 0                                    */
    
    struct {
      __IO uint32_t  SOCTime    : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t             :  3;
      __IO uint32_t  Period     : 13;               /*!< Same as SLT0_TEST0                                                    */
           uint32_t : 3; // padding
    } SLT7_TEST0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SLT7_TEST1;                      /*!< SLOT7 mode time setting register 1                                    */
    
    struct {
      __IO uint32_t  SyncOffTime: 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t             :  3;
      __IO uint32_t  SyncOnTime : 13;               /*!< Same as SLT0_TEST1                                                    */
           uint32_t : 3; // padding
    } SLT7_TEST1_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED19[289];
  
  union {
    __I  uint32_t  CH0_DATA[16];                    /*!< Channel 0 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x800 to 0x83F, each address is allocated
                                                          to the same FIFO output.Read should be done with 32-bit access.8-bit/16-bi
                                                         t read makes the FIFO to next level.                                  */
    
    struct {
      __I  uint32_t  ChData     : 24;               /*!< CH0 conversion data FIFO                                              */
      __I  uint32_t  ChDataSign :  8;               /*!< When [CHn_MODE].DtFmt=1 : The sign of ChData is extended (i.e.
                                                         the same value as ChData[23] is read for all bits). When [CHn_MODE].DtFmt=
                                                         0 : '0' is read for all bits.                                         */
    } CH0_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH1_DATA[16];                    /*!< Channel 1 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x840 to 0x87F, each address is allocated
                                                          to the same FIFO output.Read should be done with 32-bit access.8-bit/16-bi
                                                         t read makes the FIFO to next level.                                  */
    
    struct {
      __I  uint32_t  ChData     : 24;               /*!< CH1 conversion data FIFO                                              */
      __I  uint32_t  ChDataSign :  8;               /*!< When [CHn_MODE].DtFmt=1 : The sign of ChData is extended (i.e.
                                                         the same value as ChData[23] is read for all bits). When [CHn_MODE].DtFmt=
                                                         0 : '0' is read for all bits.                                         */
    } CH1_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH2_DATA[16];                    /*!< Channel 2 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x880 to 0x8BF, each address is allocated
                                                          to the same FIFO output.Read should be done with 32-bit access.8-bit/16-bi
                                                         t read makes the FIFO to next level.                                  */
    
    struct {
      __I  uint32_t  ChData     : 24;               /*!< CH2 conversion data FIFO                                              */
      __I  uint32_t  ChDataSign :  8;               /*!< When [CHn_MODE].DtFmt=1 : The sign of ChData is extended (i.e.
                                                         the same value as ChData[23] is read for all bits). When [CHn_MODE].DtFmt=
                                                         0 : '0' is read for all bits.                                         */
    } CH2_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH3_DATA[16];                    /*!< Channel 2 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x8C0 to 0x8FF, each address is allocated
                                                          to the same FIFO output.Read should be done with 32-bit access.8-bit/16-bi
                                                         t read makes the FIFO to next level.                                  */
    
    struct {
      __I  uint32_t  ChData     : 24;               /*!< CH3 conversion data FIFO                                              */
      __I  uint32_t  ChDataSign :  8;               /*!< When [CHn_MODE].DtFmt=1 : The sign of ChData is extended (i.e.
                                                         the same value as ChData[23] is read for all bits). When [CHn_MODE].DtFmt=
                                                         0 : '0' is read for all bits.                                         */
    } CH3_DATA_b[16];                               /*!< BitSize                                                               */
  };
} AFEZ_Type;


/* ================================================================================ */
/* ================                     ADCC12                     ================ */
/* ================================================================================ */


/**
  * @brief adcc12 (ADCC12)
  */

typedef struct {                                    /*!< ADCC12 Structure                                                      */
  
  union {
    __IO uint32_t  MODESEL;                         /*!< Mode set register                                                     */
    
    struct {
      __IO uint32_t  ConvMd     :  2;               /*!< Conversion modeSets ADC conversion modes.00: SinglePerforms
                                                         conversion of a channel specified by ChSel.01: One-time scanSequentially
                                                          performs conversion for channels enabled by each channel set
                                                          register. Comes to a stop after one round of conversions.10:
                                                          Cyclic scanSequentially performs conversion for channels enabled
                                                          by each channel set register. Repeats conversion operation until
                                                          a stop instruction is issued by a control register.11: Reserved      */
           uint32_t             :  2;
      __IO uint32_t  FIFOMd     :  1;               /*!< FIFO modeSets the method of storing conversion data in FIFO.0:
                                                         StreamDiscards the oldest data and stores the latest data in
                                                          FIFO when FIFO is full.1: FIFO stopRetains data in FIFO and
                                                          discards the latest data when FIFO is full.                          */
           uint32_t             :  3;
      __IO uint32_t  ChSel      :  4;               /*!< Channel selectionSets the channel number that the AD conversion
                                                         is made.Used only when conversion mode is Single0000: Ch00001:
                                                          Ch10010: Ch20011: Ch30100: Ch40101: Ch50110: Ch60111: Ch71000:
                                                          Ch81001: Ch91010: Ch101011: Ch111100: Ch121101: Ch131110: Ch141111:
                                                          Ch15                                                                 */
           uint32_t             : 12;
      __IO uint32_t  PUpToChSet :  4;               /*!< ADC PowerUp to Channel SetSets a period between ADC macro power
                                                         down release and channel set (start of conversion if ChSetToStart
                                                          setting is '0')The period is the number of cycles given by:(Settings
                                                          + 2) x reference clock*) Reference clock is ADC clocks.              */
      __IO uint32_t  ChSetToStart:  4;              /*!< ADC Channel Select to Conversion StartSets a period between
                                                         ADC macro channel setting (switching) and start of conversion.The
                                                          period is the number of cycles given by:(Settings) x reference
                                                          clock*) Reference clock is ADC clocks.                               */
    } MODESEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCCTL;                          /*!< AD conversion control register                                        */
    
    struct {
      __IO uint32_t  Start      :  1;               /*!< Start of conversionStarts ADC conversion[For read operation]0:
                                                         ADC conversion is stopped1: ADC conversion in operation[For
                                                          write operation]0: -1: Starts AD conversionWriting '1' to this
                                                          bit starts AD conversion operation. In the Single mode and One-Time
                                                          Scan mode, this bit is automatically returned to '0' when all
                                                          of conversion operations have been completed.Writing '1' to
                                                          the Stop bit during conversion operation causes the bit to return
                                                          to '0' after conversion operation being executed has been completed.' */
      __IO uint32_t  Stop       :  1;               /*!< Stop conversionForcibly stops ADC conversion operation.[For
                                                         read operation]0: ADC in operation or stopped1: ADC conversion
                                                          stop operation is on going[For write operation]0: -1: Starts
                                                          AD conversion stop operationWriting '1' to this bit can stop
                                                          AD conversion. After conversion operation being executed has
                                                          been completed, ADC comes to a stop and this bit is returned
                                                          to '0'.When ADC conversion is being stopped (Start bit is '0'),
                                                          '1' cannot be written to this bit.'0' cannot be written to this
                                                          bit (Even if '0'                                                     */
           uint32_t : 30; // padding
    } ADCCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCINTEN;                        /*!< AD conversion interrupt control register                              */
    
    struct {
      __IO uint32_t  ConvEndEn  :  1;               /*!< Conversion termination interrupt0: Disable1: Enable                   */
      __IO uint32_t  ScanEndEn  :  1;               /*!< Scan operation termination interrupt0: Disable1: Enable               */
           uint32_t             :  2;
      __IO uint32_t  CmpInt0En  :  1;               /*!< Converted value comparison 0 interrupt0: Disable1: Enable             */
      __IO uint32_t  CmpInt1En  :  1;               /*!< Converted value comparison 1 interrupt0: Disable1: Enable             */
           uint32_t : 26; // padding
    } ADCINTEN_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  ADCINTSTS;                       /*!< AD conversion interrupt status register                               */
    
    struct {
      __IO uint32_t  ConvEnd    :  1;               /*!< Conversion termination interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  ScanEnd    :  1;               /*!< Scan operation termination interrupt[For read]0: No interrupt
                                                         occurred1: Interrupt occurred[For write]0: -1: Clear interrupt        */
           uint32_t             :  2;
      __IO uint32_t  CmpInt0    :  1;               /*!< Converted value comparison 0 interrupt[For read]0: No interrupt
                                                         occurred1: Interrupt occurred[Write]0: -1: Clear interrupt            */
      __IO uint32_t  CmpInt1    :  1;               /*!< Converted value comparison 1 interrupt[For read]0: No interrupt
                                                         occurred1: Interrupt occurred[For write]0: -1: Clear interrupt        */
           uint32_t             : 10;
      __I  uint32_t  ChInt      : 16;               /*!< Channel interruptIndicates interrupt occurrence status in each
                                                         of Ch 0 to 150: No interrupt occurred1: Interrupt occurredDetails
                                                          of interrupt factors can be checked by an interrupt status register
                                                          for each channel.                                                    */
    } ADCINTSTS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_CTRCTL;                     /*!< Sampling timing generation counter control register                   */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  SrcSel     :  3;               /*!< Source clock selection for sampling timing generation counter000:
                                                         ADC clock001: 4 divisions of ADC clock010: 16 divisions of ADC
                                                          clock011: 64 divisions of ADC clock100: RTC clockOther than
                                                          those above: Settings prohibited                                     */
           uint32_t : 25; // padding
    } SPLT_CTRCTL_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_PER;                        /*!< Sampling period setting register                                      */
    
    struct {
      __IO uint32_t  Period     : 16;               /*!< Specifies the period of sampling timing signalSet the number
                                                         of clock cycles of sampling timing generation counter.Setting
                                                          of '0x0000' is prohibited. Set values in the range from '0x0001'
                                                          to '0xFFFF'.                                                         */
           uint32_t : 16; // padding
    } SPLT_PER_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_WAVCFG;                     /*!< Sampling timing signal waveform setting register                      */
    
    struct {
      __IO uint32_t  CycToRise  : 16;               /*!< Specifies the time to rise of sampling timing signalSet the
                                                         number of clock cycles of sampling timing generation counter.Set
                                                          values smaller than [SPLT_PER].                                      */
           uint32_t : 16; // padding
    } SPLT_WAVCFG_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  SPLT_SYNC_WAVCFG;                /*!< Sampling timing synchronous signal waveform setting register          */
    
    struct {
      __IO uint32_t  CycToRise  : 16;               /*!< Specifies the time to rise of sampling timing synchronous signalSet
                                                         the number of clock cycles of sampling timing generation counter.Set
                                                          values smaller than [SPLT_PER].                                      */
           uint32_t : 16; // padding
    } SPLT_SYNC_WAVCFG_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPDATA_0;                       /*!< Compare data setting register 0                                       */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  CmpData    : 12;               /*!< Compare dataConverted values to be stored in FIFO and the value
                                                         of this register field are compared, and an interrupt signal
                                                          is generated according to the results of comparison as to which
                                                          is greater or smaller.Comparison as to which is greater or smaller
                                                          is specified by the CmpSel bit.                                      */
           uint32_t             :  8;
      __IO uint32_t  CmpCh      :  4;               /*!< Compare channel selectSelects a channel where converted values
                                                         are compared0000: Ch00001: Ch10010: Ch20011: Ch30100: Ch40101:
                                                          Ch50110: Ch60111: Ch71000: Ch81001: Ch91010: Ch101011: Ch111100:
                                                          Ch12,1101: Ch131110: Ch141111: Ch15                                  */
      __IO uint32_t  CmpEn      :  1;               /*!< Compare enable0: Converted values not compared1: Converted values
                                                         compared                                                              */
      __IO uint32_t  CmpSel     :  1;               /*!< Compare mode select0: An interrupt occurs when converted values
                                                         is larger than compare data.1: An interrupt occurs when converted
                                                          values is smaller than converted values                              */
           uint32_t : 2; // padding
    } CMPDATA_0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CMPDATA_1;                       /*!< Compare data setting register 1                                       */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  CmpData    : 12;               /*!< Same as CMPDATA_0                                                     */
           uint32_t             :  8;
      __IO uint32_t  CmpCh      :  4;               /*!< Same as CMPDATA_0                                                     */
      __IO uint32_t  CmpEn      :  1;               /*!< Same as CMPDATA_0                                                     */
      __IO uint32_t  CmpSel     :  1;               /*!< Same as CMPDATA_0                                                     */
           uint32_t : 2; // padding
    } CMPDATA_1_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[6];
  
  union {
    __IO uint32_t  EXT_CTL;                         /*!< External output signal control register                               */
    
    struct {
      __IO uint32_t  SelExt     :  2;               /*!< External output signal data selection00: '0' is always output01:
                                                         '1' is always output10/11: Sampling timing synchronous signals
                                                          are output                                                           */
      __IO uint32_t  InvExt     :  1;               /*!< External output signal inversion select0: Not inverted1: Inverted*)
                                                         Invert/Not invert process is performed on data selected by SelExt     */
           uint32_t : 29; // padding
    } EXT_CTL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[47];
  
  union {
    __IO uint32_t  CH0_MODE;                        /*!< Channel 0 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Channel enableDetermines whether an analog input of this channel
                                                         is subjected to AD conversion. Enabled only in the One-Time
                                                          and Cyclic Scan modes. In Single mode, the channel set to [MODESEL].ChSel
                                                          are selected regardless of settings of this bit.0: Disable1:
                                                          Enable                                                               */
      __IO uint32_t  DtFmt      :  1;               /*!< Conversion data formatSelects formats of data to be stored in
                                                         FIFO0: Unsigned integer1: Signed integer                              */
      __IO uint32_t  OfstEn     :  1;               /*!< Offset for conversion data enable0: Disable1: Enable                  */
      __IO uint32_t  DMAEn      :  1;               /*!< DMA transfer request enable0: Disable1: Enable                        */
      __IO uint32_t  DownSpl    :  3;               /*!< Down Sampling000: No down sampling (sampling done every time)001:
                                                         One sampling in two times010: One sampling in three times...110:
                                                          One sampling in seven times111: One sampling in eight times          */
      __IO uint32_t  DMAReq     :  1;               /*!< DMA request status[For read]0: No DMA request1: DMA request
                                                         asserted[For write]0: -1: Cancel DMA request                          */
      __IO uint32_t  WaterMark  :  1;               /*!< Watermark interrupt level countSelects the number of FIFO steps
                                                         where Watermark interrupt is generated0: 1 step1: 2 steps             */
           uint32_t : 23; // padding
    } CH0_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_INTEN;                       /*!< Channel 0 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< End of Conversion interrupt0: Disable1: Enable                        */
      __IO uint32_t  WMIntEn    :  1;               /*!< Watermark interrupt0: Disable1: Enable                                */
      __IO uint32_t  FstDLostEn :  1;               /*!< 1st data lost interrupt0: Disable1: Enable                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< Last data lost interrupt0: Disable1: Enable                           */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFO full interrupt0: Disable1: Enable                                */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFO underrun interrupt0: Disable1: Enable                            */
           uint32_t : 26; // padding
    } CH0_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_INTSTS;                      /*!< Channel 0 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Conversion completion interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  WMInt      :  1;               /*!< Watermark interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FstDLost   :  1;               /*!< 1st data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  LstDLost   :  1;               /*!< Last data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFO full interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFO underrun interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
           uint32_t : 26; // padding
    } CH0_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH0_OFFSET;                      /*!< Channel 0 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset data for adjusting conversion dataIf offset for conversion
                                                         data is enabled, conversion result is added with this registers
                                                          value and then stored to FIFO.MSB of this register is a sign
                                                          bit (i.e. calculation with conversion result is done after sign
                                                          extension).If arithmetic result is larger than the upper limit
                                                          or smaller than lower limits of the conversion range, limit
                                                          values are stored in FIFO.                                           */
           uint32_t : 20; // padding
    } CH0_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH0_FIFOSTS;                     /*!< Channel 0 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< Number of data frames in FIFO0 to 2 frame(s)                          */
           uint32_t : 30; // padding
    } CH0_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[3];
  
  union {
    __IO uint32_t  CH1_MODE;                        /*!< Channel 1 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH1_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_INTEN;                       /*!< Channel 1 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH1_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_INTSTS;                      /*!< Channel 1 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH1_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH1_OFFSET;                      /*!< Channel 1 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH1_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH1_FIFOSTS;                     /*!< Channel 1 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH1_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[3];
  
  union {
    __IO uint32_t  CH2_MODE;                        /*!< Channel 2 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH2_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_INTEN;                       /*!< Channel 2 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH2_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_INTSTS;                      /*!< Channel 2 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH2_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH2_OFFSET;                      /*!< Channel 2 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH2_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH2_FIFOSTS;                     /*!< Channel 2 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH2_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[3];
  
  union {
    __IO uint32_t  CH3_MODE;                        /*!< Channel 3 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH3_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_INTEN;                       /*!< Channel 3 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH3_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_INTSTS;                      /*!< Channel 3 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH3_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH3_OFFSET;                      /*!< Channel 3 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH3_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH3_FIFOSTS;                     /*!< Channel 3 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH3_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[3];
  
  union {
    __IO uint32_t  CH4_MODE;                        /*!< Channel 4 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Channel enableDetermines whether an analog input of this channel
                                                         is subjected to AD conversion. Enabled only in the One-Time
                                                          and Cyclic Scan modes. In Single mode, the channel set to [MODESEL].ChSel
                                                          are selected regardless of settings of this bit.0: Disable1:
                                                          Enable                                                               */
      __IO uint32_t  DtFmt      :  1;               /*!< Conversion data formatSelects formats of data to be stored in
                                                         FIFO0: Unsigned integer1: Signed integer                              */
      __IO uint32_t  OfstEn     :  1;               /*!< Offset for conversion data enable0: Disable1: Enable                  */
      __IO uint32_t  DMAEn      :  1;               /*!< DMA transfer request enable0: Disable1: Enable                        */
      __IO uint32_t  DownSpl    :  3;               /*!< Down Sampling000: No down sampling (sampling done every time)001:
                                                         One sampling in two times010: One sampling in three times...110:
                                                          One sampling in seven times111: One sampling in eight times          */
      __IO uint32_t  DMAReq     :  1;               /*!< DMA request status[For read]0: No DMA request1: DMA request
                                                         asserted[For write]0: -1: Cancel DMA request                          */
      __IO uint32_t  WaterMark  :  1;               /*!< Watermark interrupt level countSelects the number of FIFO steps
                                                         where Watermark interrupt is generated0: 1 step1: 2 steps             */
           uint32_t : 23; // padding
    } CH4_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH4_INTEN;                       /*!< Channel 4 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< End of Conversion interrupt0: Disable1: Enable                        */
      __IO uint32_t  WMIntEn    :  1;               /*!< Watermark interrupt0: Disable1: Enable                                */
      __IO uint32_t  FstDLostEn :  1;               /*!< 1st data lost interrupt0: Disable1: Enable                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< Last data lost interrupt0: Disable1: Enable                           */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFO full interrupt0: Disable1: Enable                                */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFO underrun interrupt0: Disable1: Enable                            */
           uint32_t : 26; // padding
    } CH4_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH4_INTSTS;                      /*!< Channel 4 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Conversion completion interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  WMInt      :  1;               /*!< Watermark interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FstDLost   :  1;               /*!< 1st data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  LstDLost   :  1;               /*!< Last data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFO full interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFO underrun interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
           uint32_t : 26; // padding
    } CH4_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH4_OFFSET;                      /*!< Channel 4 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset data for adjusting conversion dataIf offset for conversion
                                                         data is enabled, conversion result is added with this registers
                                                          value and then stored to FIFO.MSB of this register is a sign
                                                          bit (i.e. calculation with conversion result is done after sign
                                                          extension).If arithmetic result is larger than the upper limit
                                                          or smaller than lower limits of the conversion range, limit
                                                          values are stored in FIFO.                                           */
           uint32_t : 20; // padding
    } CH4_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH4_FIFOSTS;                     /*!< Channel 4 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< Number of data frames in FIFO0 to 2 frame(s)                          */
           uint32_t : 30; // padding
    } CH4_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[3];
  
  union {
    __IO uint32_t  CH5_MODE;                        /*!< Channel 5 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH5_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH5_INTEN;                       /*!< Channel 5 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH5_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH5_INTSTS;                      /*!< Channel 5 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH5_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH5_OFFSET;                      /*!< Channel 5 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH5_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH5_FIFOSTS;                     /*!< Channel 5 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH5_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[3];
  
  union {
    __IO uint32_t  CH6_MODE;                        /*!< Channel 6 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH6_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH6_INTEN;                       /*!< Channel 6 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH6_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH6_INTSTS;                      /*!< Channel 6 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH6_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH6_OFFSET;                      /*!< Channel 6 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH6_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH6_FIFOSTS;                     /*!< Channel 6 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH6_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[3];
  
  union {
    __IO uint32_t  CH7_MODE;                        /*!< Channel 7 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH7_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH7_INTEN;                       /*!< Channel 7 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH7_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH7_INTSTS;                      /*!< Channel 7 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH7_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH7_OFFSET;                      /*!< Channel 7 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH7_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH7_FIFOSTS;                     /*!< Channel 7 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH7_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[3];
  
  union {
    __IO uint32_t  CH8_MODE;                        /*!< Channel 8 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Channel enableDetermines whether an analog input of this channel
                                                         is subjected to AD conversion. Enabled only in the One-Time
                                                          and Cyclic Scan modes. In Single mode, the channel set to [MODESEL].ChSel
                                                          are selected regardless of settings of this bit.0: Disable1:
                                                          Enable                                                               */
      __IO uint32_t  DtFmt      :  1;               /*!< Conversion data formatSelects formats of data to be stored in
                                                         FIFO0: Unsigned integer1: Signed integer                              */
      __IO uint32_t  OfstEn     :  1;               /*!< Offset for conversion data enable0: Disable1: Enable                  */
      __IO uint32_t  DMAEn      :  1;               /*!< DMA transfer request enable0: Disable1: Enable                        */
      __IO uint32_t  DownSpl    :  3;               /*!< Down Sampling000: No down sampling (sampling done every time)001:
                                                         One sampling in two times010: One sampling in three times...110:
                                                          One sampling in seven times111: One sampling in eight times          */
      __IO uint32_t  DMAReq     :  1;               /*!< DMA request status[For read]0: No DMA request1: DMA request
                                                         asserted[For write]0: -1: Cancel DMA request                          */
      __IO uint32_t  WaterMark  :  1;               /*!< Watermark interrupt level countSelects the number of FIFO steps
                                                         where Watermark interrupt is generated0: 1 step1: 2 steps             */
           uint32_t : 23; // padding
    } CH8_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH8_INTEN;                       /*!< Channel 8 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< End of Conversion interrupt0: Disable1: Enable                        */
      __IO uint32_t  WMIntEn    :  1;               /*!< Watermark interrupt0: Disable1: Enable                                */
      __IO uint32_t  FstDLostEn :  1;               /*!< 1st data lost interrupt0: Disable1: Enable                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< Last data lost interrupt0: Disable1: Enable                           */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFO full interrupt0: Disable1: Enable                                */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFO underrun interrupt0: Disable1: Enable                            */
           uint32_t : 26; // padding
    } CH8_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH8_INTSTS;                      /*!< Channel 8 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Conversion completion interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  WMInt      :  1;               /*!< Watermark interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FstDLost   :  1;               /*!< 1st data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  LstDLost   :  1;               /*!< Last data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFO full interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFO underrun interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
           uint32_t : 26; // padding
    } CH8_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH8_OFFSET;                      /*!< Channel 8 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset data for adjusting conversion dataIf offset for conversion
                                                         data is enabled, conversion result is added with this registers
                                                          value and then stored to FIFO.MSB of this register is a sign
                                                          bit (i.e. calculation with conversion result is done after sign
                                                          extension).If arithmetic result is larger than the upper limit
                                                          or smaller than lower limits of the conversion range, limit
                                                          values are stored in FIFO.                                           */
           uint32_t : 20; // padding
    } CH8_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH8_FIFOSTS;                     /*!< Channel 8 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< Number of data frames in FIFO0 to 2 frame(s)                          */
           uint32_t : 30; // padding
    } CH8_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10[3];
  
  union {
    __IO uint32_t  CH9_MODE;                        /*!< Channel 9 mode setting register                                       */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH9_MODE_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH9_INTEN;                       /*!< Channel 9 interrupt control register                                  */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH9_INTEN_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH9_INTSTS;                      /*!< Channel 9 interrupt status register                                   */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH9_INTSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH9_OFFSET;                      /*!< Channel 9 conversion data offset                                      */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH9_OFFSET_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH9_FIFOSTS;                     /*!< Channel 9 FIFO status                                                 */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH9_FIFOSTS_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[3];
  
  union {
    __IO uint32_t  CH10_MODE;                       /*!< Channel 10 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH10_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH10_INTEN;                      /*!< Channel 10 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH10_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH10_INTSTS;                     /*!< Channel 10 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH10_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH10_OFFSET;                     /*!< Channel 10 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH10_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH10_FIFOSTS;                    /*!< Channel 10 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH10_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12[3];
  
  union {
    __IO uint32_t  CH11_MODE;                       /*!< Channel 11 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH11_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH11_INTEN;                      /*!< Channel 11 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH11_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH11_INTSTS;                     /*!< Channel 11 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH11_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH11_OFFSET;                     /*!< Channel 11 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH11_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH11_FIFOSTS;                    /*!< Channel 11 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH11_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13[3];
  
  union {
    __IO uint32_t  CH12_MODE;                       /*!< Channel 12 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< Channel enableDetermines whether an analog input of this channel
                                                         is subjected to AD conversion. Enabled only in the One-Time
                                                          and Cyclic Scan modes. In Single mode, the channel set to [MODESEL].ChSel
                                                          are selected regardless of settings of this bit.0: Disable1:
                                                          Enable                                                               */
      __IO uint32_t  DtFmt      :  1;               /*!< Conversion data formatSelects formats of data to be stored in
                                                         FIFO0: Unsigned integer1: Signed integer                              */
      __IO uint32_t  OfstEn     :  1;               /*!< Offset for conversion data enable0: Disable1: Enable                  */
      __IO uint32_t  DMAEn      :  1;               /*!< DMA transfer request enable0: Disable1: Enable                        */
      __IO uint32_t  DownSpl    :  3;               /*!< Down Sampling000: No down sampling (sampling done every time)001:
                                                         One sampling in two times010: One sampling in three times...110:
                                                          One sampling in seven times111: One sampling in eight times          */
      __IO uint32_t  DMAReq     :  1;               /*!< DMA request status[For read]0: No DMA request1: DMA request
                                                         asserted[For write]0: -1: Cancel DMA request                          */
      __IO uint32_t  WaterMark  :  1;               /*!< Watermark interrupt level countSelects the number of FIFO steps
                                                         where Watermark interrupt is generated0: 1 step1: 2 steps             */
           uint32_t : 23; // padding
    } CH12_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH12_INTEN;                      /*!< Channel 12 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< End of Conversion interrupt0: Disable1: Enable                        */
      __IO uint32_t  WMIntEn    :  1;               /*!< Watermark interrupt0: Disable1: Enable                                */
      __IO uint32_t  FstDLostEn :  1;               /*!< 1st data lost interrupt0: Disable1: Enable                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< Last data lost interrupt0: Disable1: Enable                           */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFO full interrupt0: Disable1: Enable                                */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFO underrun interrupt0: Disable1: Enable                            */
           uint32_t : 26; // padding
    } CH12_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH12_INTSTS;                     /*!< Channel 12 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< Conversion completion interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  WMInt      :  1;               /*!< Watermark interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FstDLost   :  1;               /*!< 1st data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  LstDLost   :  1;               /*!< Last data lost interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFO full interrupt[For read]0: No interrupt occurred1: Interrupt
                                                         occurred[For write]0: -1: Clear interrupt                             */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFO underrun interrupt[For read]0: No interrupt occurred1:
                                                         Interrupt occurred[For write]0: -1: Clear interrupt                   */
           uint32_t : 26; // padding
    } CH12_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH12_OFFSET;                     /*!< Channel 12 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset data for adjusting conversion dataIf offset for conversion
                                                         data is enabled, conversion result is added with this registers
                                                          value and then stored to FIFO.MSB of this register is a sign
                                                          bit (i.e. calculation with conversion result is done after sign
                                                          extension).If arithmetic result is larger than the upper limit
                                                          or smaller than lower limits of the conversion range, limit
                                                          values are stored in FIFO.                                           */
           uint32_t : 20; // padding
    } CH12_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH12_FIFOSTS;                    /*!< Channel 12 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< Number of data frames in FIFO0 to 2 frame(s)                          */
           uint32_t : 30; // padding
    } CH12_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14[3];
  
  union {
    __IO uint32_t  CH13_MODE;                       /*!< Channel 13 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH13_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH13_INTEN;                      /*!< Channel 13 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH13_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH13_INTSTS;                     /*!< Channel 13 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH13_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH13_OFFSET;                     /*!< Channel 13 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH13_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH13_FIFOSTS;                    /*!< Channel 13 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH13_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15[3];
  
  union {
    __IO uint32_t  CH14_MODE;                       /*!< Channel 14 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH14_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH14_INTEN;                      /*!< Channel 14 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH14_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH14_INTSTS;                     /*!< Channel 14 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH14_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH14_OFFSET;                     /*!< Channel 14 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH14_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH14_FIFOSTS;                    /*!< Channel 14 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH14_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16[3];
  
  union {
    __IO uint32_t  CH15_MODE;                       /*!< Channel 15 mode setting register                                      */
    
    struct {
      __IO uint32_t  ChEn       :  1;               /*!< ChEn                                                                  */
      __IO uint32_t  DtFmt      :  1;               /*!< DtFmt                                                                 */
      __IO uint32_t  OfstEn     :  1;               /*!< OfstEn                                                                */
      __IO uint32_t  DMAEn      :  1;               /*!< DMAEn                                                                 */
      __IO uint32_t  DownSpl    :  3;               /*!< DownSpl                                                               */
      __IO uint32_t  DMAReq     :  1;               /*!< DMAReq                                                                */
      __IO uint32_t  WaterMark  :  3;               /*!< WaterMark                                                             */
           uint32_t : 21; // padding
    } CH15_MODE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH15_INTEN;                      /*!< Channel 15 interrupt control register                                 */
    
    struct {
      __IO uint32_t  ChEocEn    :  1;               /*!< ChEocEn                                                               */
      __IO uint32_t  WMIntEn    :  1;               /*!< WMIntEn                                                               */
      __IO uint32_t  FstDLostEn :  1;               /*!< FstDLostEn                                                            */
      __IO uint32_t  LstDLostEn :  1;               /*!< LstDLostEn                                                            */
      __IO uint32_t  FIFOFullEn :  1;               /*!< FIFOFullEn                                                            */
      __IO uint32_t  FIFOurunEn :  1;               /*!< FIFOurunEn                                                            */
           uint32_t : 26; // padding
    } CH15_INTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH15_INTSTS;                     /*!< Channel 15 interrupt status register                                  */
    
    struct {
      __IO uint32_t  ChEoc      :  1;               /*!< ChEoc                                                                 */
      __IO uint32_t  WMInt      :  1;               /*!< WMInt                                                                 */
      __IO uint32_t  FstDLost   :  1;               /*!< FstDLost                                                              */
      __IO uint32_t  LstDLost   :  1;               /*!< LstDLost                                                              */
      __IO uint32_t  FIFOFull   :  1;               /*!< FIFOFull                                                              */
      __IO uint32_t  FIFOurun   :  1;               /*!< FIFOurun                                                              */
           uint32_t : 26; // padding
    } CH15_INTSTS_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CH15_OFFSET;                     /*!< Channel 15 conversion data offset                                     */
    
    struct {
           uint32_t             :  4;
      __IO uint32_t  Offset     :  8;               /*!< Offset                                                                */
           uint32_t : 20; // padding
    } CH15_OFFSET_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH15_FIFOSTS;                    /*!< Channel 15 FIFO status                                                */
    
    struct {
      __I  uint32_t  DataNum    :  2;               /*!< DataNum                                                               */
           uint32_t : 30; // padding
    } CH15_FIFOSTS_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED17[323];
  
  union {
    __I  uint32_t  CH0_DATA[16];                    /*!< Channel 0 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x800 to 0x83F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH0 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH0_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH1_DATA[16];                    /*!< Channel 1 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x840 to 0x87F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH1 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH1_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH2_DATA[16];                    /*!< Channel 2 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x880 to 0x8BF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH2 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH2_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH3_DATA[16];                    /*!< Channel 3 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x8C0 to 0x8FF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH3 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH3_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH4_DATA[16];                    /*!< Channel 4 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x900 to 0x93F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH4 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH4_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH5_DATA[16];                    /*!< Channel 5 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x940 to 0x97F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH5 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH5_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH6_DATA[16];                    /*!< Channel 6 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x980 to 0x9BF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH6 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH6_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH7_DATA[16];                    /*!< Channel 7 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0x9C0 to 0x9FF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH7 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH7_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH8_DATA[16];                    /*!< Channel 8 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xA00 to 0xA3F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH8 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH8_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH9_DATA[16];                    /*!< Channel 9 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xA40 to 0xA7F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH9 conversion data FIFO                                              */
           uint32_t : 16; // padding
    } CH9_DATA_b[16];                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH10_DATA[16];                   /*!< Channel 10 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xA80 to 0xABF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH10 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH10_DATA_b[16];                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH11_DATA[16];                   /*!< Channel 11 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xAC0 to 0xAFF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH11 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH11_DATA_b[16];                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH12_DATA[16];                   /*!< Channel 12 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xB00 to 0xB3F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH12 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH12_DATA_b[16];                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH13_DATA[16];                   /*!< Channel 13 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xB40 to 0xB7F, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH13 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH13_DATA_b[16];                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH14_DATA[16];                   /*!< Channel 14 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xB80 to 0xBBF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH14 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH14_DATA_b[16];                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CH15_DATA[16];                   /*!< Channel 15 conversion result data register*) Though there is
                                                         a 64-byte region ranging 0xBC0 to 0xBFF, each address is allocated
                                                          to the same FIFO output.Read should be done with 16-bit access.8-bit
                                                          read makes the FIFO to next level.32-bit read does not make
                                                          the FIFO pop operation twice. The same data is read for both
                                                          the upper 16 bits and lower 16 bits.                                 */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  ChData     : 12;               /*!< CH15 conversion data FIFO                                             */
           uint32_t : 16; // padding
    } CH15_DATA_b[16];                              /*!< BitSize                                                               */
  };
} ADCC12_Type;


/* ================================================================================ */
/* ================                      DACC                      ================ */
/* ================================================================================ */


/**
  * @brief dacc (DACC)
  */

typedef struct {                                    /*!< DACC Structure                                                        */
  
  union {
    __IO uint32_t  DACEN;                           /*!< DAC Enable Register                                                   */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< DA conversion control0: Disable1: Enable                              */
      __IO uint32_t  PRST       :  1;               /*!< PresetThe initial value of the DAOUT output is set immediately
                                                         after enabling the DAC Enable Register.0: 0V1: AVDD33/2               */
           uint32_t             : 14;
      __IO uint32_t  WTTIME     : 16;               /*!< Time to wait for the stability of the DAC macroAfter enabling
                                                         the DAC, it indicates the time until the output of the DAC macro
                                                          stability is specified. It is set by the number of the DAC clocks.
                                                          (The setting value +1) is the time to wait.                          */
    } DACEN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DACCTL;                          /*!< DAC Control Register                                                  */
    
    struct {
      __IO uint32_t  MODE       :  1;               /*!< Mode selection0: Arbitrary voltage output mode1: Sine wave output
                                                         mode                                                                  */
           uint32_t             :  3;
      __IO uint32_t  TRIG       :  2;               /*!< Trigger selection(*) This setting can be enabled only in the
                                                         arbitrary voltage output.00: Software trigger01: Periodic trigger10:
                                                          External trigger11: reserved                                         */
      __IO uint32_t  DMAEN      :  1;               /*!< DMA enable(*) Enable only when a periodic trigger and an external
                                                         trigger are in the arbitrary voltage output mode.0: Disable1:
                                                          Enable                                                               */
           uint32_t             :  1;
      __IO uint32_t  DIV        :  8;               /*!< Trigger cycle selection(*) This setting can be enabled only
                                                         when the periodic trigger is in the arbitrary voltage output
                                                          mode.The cycle of the trigger signal for updating the data buffer
                                                          is set by the number of the DAC clocks. (The setting value +1)
                                                          is a cycle.                                                          */
           uint32_t : 16; // padding
    } DACCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DDSCTL;                          /*!< DDS Control Register                                                  */
    
    struct {
      __IO uint32_t  FREQ       :  8;               /*!< Output frequency setting(*) This setting can be enabled only
                                                         in the sine wave output mode.The output frequency is ([DDSCTL].FREQ
                                                          + ([DDSCTL].FREQ_F+1)/256) * DAC clock frequency /1024.              */
      __IO uint32_t  AMP        :  2;               /*!< Output amplitude setting(*) This setting can be enabled only
                                                         in the sine wave output mode.00: 1/1 (VREFL to VREFH)01: 1/210:
                                                          1/411: 1/8                                                           */
           uint32_t             : 14;
      __IO uint32_t  FREQ_F     :  8;               /*!< Fractional part of output frequency setting(*) This setting
                                                         can be enabled only in the sine wave output mode.The output
                                                          frequency is ([DDSCTL].FREQ + ([DDSCTL].FREQ_F+1)/256) * DAC
                                                          clock frequency /1024.                                               */
    } DDSCTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DATA;                            /*!< Data Register                                                         */
    
    struct {
      __IO uint32_t  DATA       : 12;               /*!< Output data(*) Enable only in the arbitrary voltage output mode.Set
                                                         the data to perform the DA conversion and output.                     */
           uint32_t : 20; // padding
    } DATA_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  INTEN;                           /*!< Interrupt Enable Register                                             */
    
    struct {
      __IO uint32_t  EMPTY      :  1;               /*!< Data Buffer Empty interrupt[Read]0: Disable1: Enable                  */
      __IO uint32_t  URUNERR    :  1;               /*!< Underrun error interrupt0: Disable1: Enable                           */
      __IO uint32_t  RDY        :  1;               /*!< DAC Ready interrupt0: Disable1: Enable                                */
           uint32_t : 29; // padding
    } INTEN_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DACSTS;                          /*!< DAC Status Register                                                   */
    
    struct {
      __IO uint32_t  EMPTY      :  1;               /*!< Data Buffer Empty interrupt[Read]0: The interrupt is not generated.1:
                                                         The interrupt is generated.[Write]0: -1: The interrupt causes
                                                          are cleared.                                                         */
      __IO uint32_t  URUNERR    :  1;               /*!< Underrun error interrupt[Read]0: The interrupt is not generated.1:
                                                         The interrupt is generated.[Write]0: -1: The interrupt causes
                                                          are cleared.                                                         */
      __IO uint32_t  RDY        :  1;               /*!< DAC RDY interrupt[Read]0: The interrupt is not generated.1:
                                                         The interrupt is generated.[Write]0: -1: The interrupt causes
                                                          are cleared.                                                         */
      __IO uint32_t  OVR        :  1;               /*!< Data Buffer Over Write[Read]0: Over Write is not occurred.1:
                                                         Over Write is occurred.[Write]0: -1: Cleared bits                     */
      __IO uint32_t  DMAREQ     :  1;               /*!< DMA request status[Read]0: Deasserting the DMA request1: Asserting
                                                         the DMA request[Write]0: -1: The DMA request is deasserted.           */
           uint32_t : 27; // padding
    } DACSTS_b;                                     /*!< BitSize                                                               */
  };
} DACC_Type;


/* ================================================================================ */
/* ================                      LEDC                      ================ */
/* ================================================================================ */


/**
  * @brief ledc (LEDC)
  */

typedef struct {                                    /*!< LEDC Structure                                                        */
  
  union {
    __IO uint32_t  LEDCCTL;                         /*!< LEDC Control Register                                                 */
    
    struct {
      __IO uint32_t  EN         :  1;               /*!< LEDC macro enable0: Disable1: Enable                                  */
           uint32_t : 31; // padding
    } LEDCCTL_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[3];
  
  union {
    __IO uint32_t  PA_CTL;                          /*!< Pair A Control Register                                               */
    
    struct {
      __IO uint32_t  CH0SW      :  2;               /*!< Ch0 Switch control of a column00: Off01: On10: SYNC signal synchronism11:
                                                         Reserved                                                              */
      __IO uint32_t  CH1SW      :  2;               /*!< Ch1 Switch control of a column00: Off01: On10: SYNC signal synchronism11:
                                                         Reserved                                                              */
      __IO uint32_t  BR01       :  1;               /*!< Ch0-Ch1 bridge Switch control0: Off1: On                              */
      __IO uint32_t  PMODE      :  1;               /*!< Pair A mode selection0: Independent mode1: H-Bridge modeH-Bridge
                                                         mode is not supported in Pair A mode.                                 */
           uint32_t             :  2;
      __IO uint32_t  CH0SYNC    :  2;               /*!< Ch0 SYNC signal selection* This setting can be enabled only
                                                         when CH0SW=10.00: SYNC001: SYNC110: SYNC211: SYNC3                    */
           uint32_t             :  2;
      __IO uint32_t  CH1SYNC    :  2;               /*!< Ch1 SYNC signal selection* This setting can be enabled only
                                                         when CH1SW=10.00: SYNC001: SYNC110: SYNC211: SYNC3                    */
           uint32_t             :  2;
      __IO uint32_t  CH0ACM     :  1;               /*!< Ch0 AC modulation0: Disable1: Enable                                  */
      __IO uint32_t  CH0FQS     :  3;               /*!< Frequency selection of the Ch0 AC modulation000: 2 MHz (LEDC
                                                         clock frequency /2)001: 1 MHz (LEDC clock frequency /4)010:
                                                          500 kHz (LEDC clock frequency /8)011: 250 kHz (LEDC clock frequency
                                                          /16)100: 125 kHz (LEDC clock frequency /32)101: 62.5 kHz (LEDC
                                                          clock frequency /64)110: 31.25 kHz (LEDC clock frequency /128)111:
                                                          15.625 kHz (LEDC clock frequency /256)                               */
      __IO uint32_t  CH1ACM     :  1;               /*!< Ch1 AC modulation0: Disable1: Enable                                  */
      __IO uint32_t  CH1FQS     :  3;               /*!< Frequency selection of the Ch1 AC modulation000: 2 MHz (LEDC
                                                         clock frequency /2)001: 1 MHz (LEDC clock frequency /4)010:
                                                          500 kHz (LEDC clock frequency /8)011: 250 kHz (LEDC clock frequency
                                                          /16)100: 125 kHz (LEDC clock frequency /32)101: 62.5 kHz (LEDC
                                                          clock frequency /64)110: 31.25 kHz (LEDC clock frequency /128)111:
                                                          15.625 kHz (LEDC clock frequency /256)                               */
      __IO uint32_t  CH0PHS     :  1;               /*!< Phase selection of the Ch0 AC modulation0: 0 degrees1: 180 degrees    */
      __IO uint32_t  CH1PHS     :  1;               /*!< Phase selection of the Ch1 AC modulation0: 0 degrees1: 180 degrees    */
           uint32_t : 6; // padding
    } PA_CTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PA_CURRSET0;                     /*!< Pair A Current Set Reigster0                                          */
    
    struct {
      __IO uint32_t  CURR0      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of the LEDA0 pin = (Setting value) / 256 x 25 mA (Typ.)       */
      __IO uint32_t  CURR1      :  8;               /*!< The present amount of the current of the Ch1The amount of the
                                                         current of LEDA1 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __IO uint32_t  CMODE0     :  1;               /*!< Ch0 mode selection0: Direct mode1: Step mode                          */
      __IO uint32_t  CMODE1     :  1;               /*!< Ch1 mode selection0: Direct mode1: Step mode                          */
           uint32_t : 14; // padding
    } PA_CURRSET0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PA_CURRSET1;                     /*!< Pair A Current Set Register1                                          */
    
    struct {
      __IO uint32_t  STEP0      :  8;               /*!< The unit value of the amount of change in the Ch0 Step mode           */
      __IO uint32_t  STEP1      :  8;               /*!< The unit value of the amount of change in the Ch1 Step mode           */
           uint32_t : 16; // padding
    } PA_CURRSET1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PA_CURRSTS;                      /*!< Pair A Current Status Register                                        */
    
    struct {
      __I  uint32_t  CURR0      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of LEDA0 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __I  uint32_t  CURR1      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of LEDA1 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __I  uint32_t  STAT0      :  1;               /*!< Execution state in the Ch0 Step mode0: Completion of the current
                                                         setting change1: The current setting is being changed.                */
      __I  uint32_t  STAT1      :  1;               /*!< Execution state in the Ch1 Step mode0: Completion of the current
                                                         setting change1: The current setting is being changed.                */
           uint32_t : 14; // padding
    } PA_CURRSTS_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PB_CTL;                          /*!< Pair B Control Register                                               */
    
    struct {
      __IO uint32_t  CH0SW      :  2;               /*!< Ch0 Switch control of a column00: Off01: On10: SYNC signal synchronism11:
                                                         Reserved                                                              */
      __IO uint32_t  CH1SW      :  2;               /*!< Ch1 Switch control of a column00: Off01: On10: SYNC signal synchronism11:
                                                         Reserved                                                              */
      __IO uint32_t  BR01       :  1;               /*!< Ch0-Ch1 bridge Switch control0: Off1: On                              */
      __IO uint32_t  PMODE      :  1;               /*!< Pair B mode selection0: Independent mode1: H-Bridge mode              */
           uint32_t             :  2;
      __IO uint32_t  CH0SYNC    :  2;               /*!< Ch0 SYNC signal selection* This setting can be enabled only
                                                         when CH0SW=10.00: SYNC001: SYNC110: SYNC211: SYNC3                    */
           uint32_t             :  2;
      __IO uint32_t  CH1SYNC    :  2;               /*!< Ch1 SYNC signal selection* This setting can be enabled only
                                                         when CH1SW=10.00: SYNC001: SYNC110: SYNC211: SYNC3                    */
           uint32_t             :  2;
      __IO uint32_t  CH0ACM     :  1;               /*!< Ch0 AC modulation0: Disable1: Enable                                  */
      __IO uint32_t  CH0FQS     :  3;               /*!< Frequency selection of the Ch0 AC modulation000: 2 MHz (LEDC
                                                         clock frequency /2)001: 1 MHz (LEDC clock frequency /4)010:
                                                          500 kHz (LEDC clock frequency /8)011: 250 kHz (LEDC clock frequency
                                                          /16)100: 125 kHz (LEDC clock frequency /32)101: 62.5 kHz (LEDC
                                                          clock frequency /64)110: 31.25 kHz (LEDC clock frequency /128)111:
                                                          15.625 kHz (LEDC clock frequency /256)                               */
      __IO uint32_t  CH1ACM     :  1;               /*!< Ch1 AC modulation0: Disable1: Enable                                  */
      __IO uint32_t  CH1FQS     :  3;               /*!< Frequency selection of the Ch1 AC modulation000: 2 MHz (LEDC
                                                         clock frequency /2)001: 1 MHz (LEDC clock frequency /4)010:
                                                          500 kHz (LEDC clock frequency /8)011: 250 kHz (LEDC clock frequency
                                                          /16)100: 125 kHz (LEDC clock frequency /32)101: 62.5 kHz (LEDC
                                                          clock frequency /64)110: 31.25 kHz (LEDC clock frequency /128)111:
                                                          15.625 kHz (LEDC clock frequency /256)                               */
      __IO uint32_t  CH0PHS     :  1;               /*!< Phase selection of the Ch0 AC modulation0: 0 degrees1: 180 degrees    */
      __IO uint32_t  CH1PHS     :  1;               /*!< Phase selection of the Ch1 AC modulation0: 0 degrees1: 180 degrees    */
           uint32_t : 6; // padding
    } PB_CTL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PB_CURRSET0;                     /*!< Pair B Current Set Reigster0                                          */
    
    struct {
      __IO uint32_t  CURR0      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of the LEDA1 pin = (Setting value) / 256 x 25 mA (Typ.)       */
      __IO uint32_t  CURR1      :  8;               /*!< The present amount of the current of the Ch1The amount of the
                                                         current of LEDB1 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __IO uint32_t  CMODE0     :  1;               /*!< Ch0 mode selection0: Direct mode1: Step mode                          */
      __IO uint32_t  CMODE1     :  1;               /*!< Ch1 mode selection0: Direct mode1: Step mode                          */
           uint32_t : 14; // padding
    } PB_CURRSET0_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PB_CURRSET1;                     /*!< Pair B Current Set Register1                                          */
    
    struct {
      __IO uint32_t  STEP0      :  8;               /*!< The unit value of the amount of change in the Ch0 Step mode           */
      __IO uint32_t  STEP1      :  8;               /*!< The unit value of the amount of change in the Ch1 Step mode           */
           uint32_t : 16; // padding
    } PB_CURRSET1_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  PB_CURRSTS;                      /*!< Pair B Current Status Register                                        */
    
    struct {
      __I  uint32_t  CURR0      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of LEDB0 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __I  uint32_t  CURR1      :  8;               /*!< The present amount of the current of the Ch0The amount of the
                                                         current of LEDB1 pin = (Setting value) / 256 x 25 mA (Typ.)           */
      __I  uint32_t  STAT0      :  1;               /*!< Execution state in the Ch0 Step mode0: Completion of the current
                                                         setting change1: The current setting is being changed.                */
      __I  uint32_t  STAT1      :  1;               /*!< Execution state in the Ch1 Step mode0: Completion of the current
                                                         setting change1: The current setting is being changed.                */
           uint32_t : 14; // padding
    } PB_CURRSTS_b;                                 /*!< BitSize                                                               */
  };
} LEDC_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief wdt (WDT)
  */

typedef struct {                                    /*!< WDT Structure                                                         */
  
  union {
    __IO uint32_t  WDOGLOAD;                        /*!< Wdog Watchdog load Register                                           */
    
    struct {
      __IO uint32_t  Load       : 32;               /*!< Value to be loaded to the Wdog counter (min 0x0000_0001)For
                                                         the 0x00000000 setting, the counter does not operate. Setting
                                                          other numeric values enable counting.                                */
    } WDOGLOAD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGVALUE;                       /*!< Wdog The current value for the watchdog counter Register              */
    
    struct {
      __I  uint32_t  Value      : 32;               /*!< Counter value of the Wdog counter at the current time                 */
    } WDOGVALUE_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  WDOGCONTROL;                     /*!< Wdog Control Register                                                 */
    
    struct {
      __IO uint32_t  INTEN      :  1;               /*!< Wdog interrupt enable1: Enable0: Disable(Note) For the generation
                                                         timing of WDOGRES and Wdog interrupts, the Wdog interrupt first
                                                          occurs and then the WDOGRES interrupt occurs when the value
                                                          of the Wdog counter becomes 0 again with the interrupt not cleared.  */
      __IO uint32_t  RESEN      :  1;               /*!< WDOGRES output enable1: Enable0: Disable                              */
           uint32_t : 30; // padding
    } WDOGCONTROL_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  WDOGINTCLR;                      /*!< Wdog Interrupt clear Register                                         */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clearAfter the Wdog interrupt occurs, it can be cleared
                                                         by write access to this register.                                     */
    } WDOGINTCLR_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGRIS;                         /*!< Wdog Raw Interrupt Status Register                                    */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< Wdog interrupt before masking is occurring.1: Interrupt request
                                                         available0: No interrupt request                                      */
           uint32_t : 31; // padding
    } WDOGRIS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGMIS;                         /*!< Wdog Masked Interrupt Status Register                                 */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< Wdog interrupt after masking is occurring.1: Interrupt request
                                                         available0: No interrupt request                                      */
           uint32_t : 31; // padding
    } WDOGMIS_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[762];
  
  union {
    __IO uint32_t  WDOGLOCK;                        /*!< Wdog Lock Register                                                    */
    
    struct {
      __IO uint32_t  WLOCK      :  1;               /*!< Register writing disable control<Write>If 0x1ACCE551 is written
                                                         in this register, register writing is enabled.If any value other
                                                          than 0x1ACCE551 is written, register writing is disabled.<Read>Register
                                                          writing disable status1: Writing disable0: Writing enable            */
           uint32_t : 31; // padding
    } WDOGLOCK_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[191];
  
  union {
    __IO uint32_t  WDOGITCR;                        /*!< Timer Integration test control Register                               */
    
    struct {
      __IO uint32_t  ITEN       :  1;               /*!< Test mode control1: Test mode0: Normal operation                      */
           uint32_t : 31; // padding
    } WDOGITCR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  WDOGITOP;                        /*!< Timer Integration test output set Register                            */
    
    struct {
      __IO uint32_t  TestWDOGRES:  1;               /*!< Outputs the WDOGRES signal (only in test mode, write-only)1:
                                                         WDOGRES='1'0: WDOGRES='0'If this register is read, the WDT_WDOGITCR
                                                          value appears.                                                       */
      __IO uint32_t  TestWDOGINT:  1;               /*!< Outputs the WDOGINT signal (only in test mode, write-only)1:
                                                         WDOGINT='1'0: WDOGINT='0'If this register is read, the WDT_WDOGITCR
                                                          value appears.                                                       */
           uint32_t : 30; // padding
    } WDOGITOP_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[46];
  
  union {
    __IO uint32_t  WDTCLKEN;                        /*!< Wdog Clock Enable Register                                            */
    
    struct {
      __IO uint32_t  WDT_WDTCLKEN:  1;              /*!< wdt clock enable1: enable 0: disable                                  */
           uint32_t : 31; // padding
    } WDTCLKEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[7];
  
  union {
    __I  uint32_t  WDOGPERIPHID0;                   /*!< Wdog Peripheral ID0 Register                                          */
    
    struct {
      __I  uint32_t  Partnumber0:  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) 804=>04                                  */
           uint32_t : 24; // padding
    } WDOGPERIPHID0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPERIPHID1;                   /*!< Wdog Peripheral ID1 Register                                          */
    
    struct {
      __I  uint32_t  Partnumber1:  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) 805=>8                                   */
      __I  uint32_t  Designer0  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Lower) 41=>1                                      */
           uint32_t : 24; // padding
    } WDOGPERIPHID1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPERIPHID2;                   /*!< Wdog Peripheral ID2 Register                                          */
    
    struct {
      __I  uint32_t  Designer1  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Upper) 41=>4                                      */
      __I  uint32_t  Revision_number:  4;           /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Revision: 1st=>1                                           */
           uint32_t : 24; // padding
    } WDOGPERIPHID2_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPERIPHID3;                   /*!< Wdog Peripheral ID3 Register                                          */
    
    struct {
      __I  uint32_t  Configuration:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Configuration: 00                                          */
           uint32_t : 24; // padding
    } WDOGPERIPHID3_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPCELLID0;                    /*!< Wdog PrimeCell ID0 Register                                           */
    
    struct {
      __I  uint32_t  PCellID0   :  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } WDOGPCELLID0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPCELLID1;                    /*!< Wdog PrimeCell ID1 Register                                           */
    
    struct {
      __I  uint32_t  PCellID1   :  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } WDOGPCELLID1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPCELLID2;                    /*!< Wdog PrimeCell ID2 Register                                           */
    
    struct {
      __I  uint32_t  PCellID2   :  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } WDOGPCELLID2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  WDOGPCELLID3;                    /*!< Wdog PrimeCell ID3 Register                                           */
    
    struct {
      __I  uint32_t  PCellID3   :  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } WDOGPCELLID3_b;                               /*!< BitSize                                                               */
  };
} WDT_Type;


/* ================================================================================ */
/* ================                       TMR                      ================ */
/* ================================================================================ */


/**
  * @brief tmr (TMR)
  */

typedef struct {                                    /*!< TMR Structure                                                         */
  
  union {
    __IO uint32_t  TIMER0LOAD;                      /*!< Timer0 Load Register                                                  */
    
    struct {
      __IO uint32_t  Load       : 32;               /*!< Initial or reload value of the counter. (0x00000001 to 0xFFFFFFFF
                                                         settable)The 0x00000000 setting does not operate the counter.
                                                          Setting any numeric value other than that enables counting.(Note)
                                                          Writing to this register writes the same value to Timer0BGLoad.      */
    } TIMER0LOAD_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER0VALUE;                     /*!< Timer0 Current value Register                                         */
    
    struct {
      __I  uint32_t  value      : 32;               /*!< Count value of the counter at the current time                        */
    } TIMER0VALUE_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER0CONTROL;                   /*!< Timer0 Control Register                                               */
    
    struct {
      __IO uint32_t  One_Shot_Count:  1;            /*!< Timer wrapping/one-shot selection 1: One-shot (only one time)
                                                         0: Wrapping (repetition)                                              */
      __IO uint32_t  Timer_size :  1;               /*!< Timer size selection 0x1: Operation as a 32-bit timer 0x0: Operation
                                                         as a 16-bit timer (high-order bits not used)                          */
      __IO uint32_t  Clock_divid:  2;               /*!< Prescaler (clock frequency division) 0x3: Reserved 0x2: 1/256
                                                         frequency division 0x1: 1/16 frequency division 0x0: No frequency
                                                          division (same magnification)                                        */
           uint32_t             :  1;
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control 1: Interrupt enable 0: Interrupt disable            */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode 1: Periodic Timer (periodic timer) 0: Free-run
                                                         Timer (free-run timer)                                                */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control 1: Enable 0: Disable                          */
           uint32_t : 24; // padding
    } TIMER0CONTROL_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER0INTCLR;                    /*!< Timer0 Interrupt clear Register                                       */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clearAfter the TIMINT0 interrupt occurs, it can be
                                                         cleared by write access to this register.                             */
    } TIMER0INTCLR_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER0RIS;                       /*!< Timer0 Raw Interrupt Status Register                                  */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt (TIMINT0) before masking is occurring. (The
                                                         interrupt occurs when the counter becomes 0x00000000.) 1: Interrupt
                                                          request available 0: No interrupt request                            */
           uint32_t : 31; // padding
    } TIMER0RIS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER0MIS;                       /*!< Timer0 Masked Interrupt Status Register                               */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A timer interrupt (TIMINT0) after masking is occurring. 1: Interrupt
                                                         request available 0: No interrupt request                             */
           uint32_t : 31; // padding
    } TIMER0MIS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER0BGLOAD;                    /*!< Timer0 Background Load Register                                       */
    
    struct {
      __IO uint32_t  BGLoad     : 32;               /*!< Background Load registerA count value set in this register is
                                                         reloaded after the counter becomes 0x00000000. (terminal count)The
                                                          count value to be reloaded can be changed safely during counting.(Note)
                                                          Writing to this register does not allow writing to Timer0Load.       */
    } TIMER0BGLOAD_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  TIMER1LOAD;                      /*!< Timer1 Load Register                                                  */
    
    struct {
      __IO uint32_t  Load       : 32;               /*!< Initial or reload value of the counter                                */
    } TIMER1LOAD_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER1VALUE;                     /*!< Timer1 Current value Register                                         */
    
    struct {
      __I  uint32_t  value      : 32;               /*!< Count value of the counter at the current time                        */
    } TIMER1VALUE_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER1CONTROL;                   /*!< Timer1 Control Register                                               */
    
    struct {
      __IO uint32_t  One_Shot_Count:  1;            /*!< Selection of timer wrapping and one-shot                              */
      __IO uint32_t  Timer_size :  1;               /*!< Timer size selection                                                  */
      __IO uint32_t  Clock_divid:  2;               /*!< Prescaler (clock frequency division)                                  */
           uint32_t             :  1;
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control                                                     */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode                                                  */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control                                               */
           uint32_t : 24; // padding
    } TIMER1CONTROL_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER1INTCLR;                    /*!< Timer1 Interrupt clear Register                                       */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clear                                                       */
    } TIMER1INTCLR_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER1RIS;                       /*!< Timer1 Raw Interrupt Status Register                                  */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt (TIMINT1) after masking is occurring. (The
                                                         interrupt occurs when the counter becomes 0x00000000.)                */
           uint32_t : 31; // padding
    } TIMER1RIS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMER1MIS;                       /*!< Timer1 Masked Interrupt Status Register                               */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A timer interrupt (TIMINT1) after masking is occurring.               */
           uint32_t : 31; // padding
    } TIMER1MIS_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMER1BGLOAD;                    /*!< Timer1 Background Load Register                                       */
    
    struct {
      __IO uint32_t  BGLoad     : 32;               /*!< Background load register                                              */
    } TIMER1BGLOAD_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[945];
  
  union {
    __IO uint32_t  TIMERITCR;                       /*!< Timer Integration test control Register                               */
    
    struct {
      __IO uint32_t  Test_Mode_Enable:  1;          /*!< Test mode control 1: Test mode status 0: Normal operation status      */
           uint32_t : 31; // padding
    } TIMERITCR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMERITOP;                       /*!< Timer Integration test output set Register                            */
    
    struct {
      __IO uint32_t  TestTIMINT0:  1;               /*!< Outputs the TIMINT0 signal (only in test mode, write-only) 1:
                                                         TIMINT0='1' 0: TIMINT0='0'If this register is read, the TMR_TIMERITCR
                                                          value appears.                                                       */
      __IO uint32_t  TestTIMINT1:  1;               /*!< Outputs the TIMINT1 signal (only in test mode, write-only) 1:
                                                         TIMINT1='1' 0: TIMINT1='0'If this register is read, the TMR_TIMERITCR
                                                          value appears.                                                       */
           uint32_t : 30; // padding
    } TIMERITOP_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[54];
  
  union {
    __I  uint32_t  TIMERPERIPHID0;                  /*!< Timer Peripheral ID0 Register                                         */
    
    struct {
      __I  uint32_t  Partnumber0:  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) 804=>04                                  */
           uint32_t : 24; // padding
    } TIMERPERIPHID0_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPERIPHID1;                  /*!< Timer Peripheral ID1 Register                                         */
    
    struct {
      __I  uint32_t  Partnumber1:  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) 804=>8                                   */
      __I  uint32_t  Designer0  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Lower) 41=>1                                      */
           uint32_t : 24; // padding
    } TIMERPERIPHID1_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPERIPHID2;                  /*!< Timer Peripheral ID2 Register                                         */
    
    struct {
      __I  uint32_t  Designer1  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Upper) 41=>4                                      */
      __I  uint32_t  Revision_number:  4;           /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Revision: 1st=>1                                           */
           uint32_t : 24; // padding
    } TIMERPERIPHID2_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPERIPHID3;                  /*!< Timer Peripheral ID3 Register                                         */
    
    struct {
      __I  uint32_t  Configuration:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Configuration: 00                                          */
           uint32_t : 24; // padding
    } TIMERPERIPHID3_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPCELLID0;                   /*!< Timer PrimeCell ID0 Register                                          */
    
    struct {
      __I  uint32_t  TimerPCellID0:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TIMERPCELLID0_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPCELLID1;                   /*!< Timer PrimeCell ID1 Register                                          */
    
    struct {
      __I  uint32_t  TimerPCellID1:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TIMERPCELLID1_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPCELLID2;                   /*!< Timer PrimeCell ID2 Register                                          */
    
    struct {
      __I  uint32_t  TimerPCellID2:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TIMERPCELLID2_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TIMERPCELLID3;                   /*!< Timer PrimeCell ID3 Register                                          */
    
    struct {
      __I  uint32_t  TimerPCellID3:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TIMERPCELLID3_b;                              /*!< BitSize                                                               */
  };
} TMR_Type;


/* ================================================================================ */
/* ================                     ADVTMR0                    ================ */
/* ================================================================================ */


/**
  * @brief advtmr0 (ADVTMR0)
  */

typedef struct {                                    /*!< ADVTMR0 Structure                                                     */
  
  union {
    __IO uint32_t  T0LOAD;                          /*!< T0 Load Register                                                      */
    
    struct {
      __IO uint32_t  Load       : 16;               /*!< Initial or reload value of the counter (0x0001 to 0xFFFF settable)The
                                                         0x0000 setting does not operate the counter. Setting any numeric
                                                          value other than that enables counting.(Note) Writing to this
                                                          register writes the same value to Timer0BGLoad.                      */
           uint32_t : 16; // padding
    } T0LOAD_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0VALUE;                         /*!< T0 Current value Register                                             */
    
    struct {
      __I  uint32_t  value      : 16;               /*!< Count value of the counter at the current time                        */
           uint32_t : 16; // padding
    } T0VALUE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CONTROL;                       /*!< T0 Control Register                                                   */
    
    struct {
      __IO uint32_t  Clock_divid:  3;               /*!< Prescaler (clock frequency division)0b111: 1/1024 frequency
                                                         division0b110: 1/512 frequency division0b101: 1/128 frequency
                                                          division0b100: 1/32 frequency division0b011: 1/8 frequency division0b010:
                                                          1/4 frequency division0b001: 1/2 frequency division0b000: No
                                                          frequency division (same magnification)                              */
      __IO uint32_t  Timer_size :  1;               /*!< Timer bit width selection1: Operation as a 16-bit timer0: Operation
                                                         as an 8-bit timer (high-order bits not used)                          */
      __IO uint32_t  One_Shot_Count:  1;            /*!< Timer wrapping/one-shot selection1: One-shot (one time only)0:
                                                         Wrapping (wrapping)                                                   */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode1: Periodic timer (periodic timer)0: Free-run
                                                         timer (free-run timer)                                                */
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control1: Interrupt enable0: Interrupt disable              */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control1: Enable0: Disable                            */
      __IO uint32_t  Event_Mode :  2;               /*!< Event counter operation control0b11: Event timer (event timer)
                                                         count source: External terminal T0EVCNTSRC0b10: Event timer
                                                          (event timer) count source: Internal prescaler0*: Normal timer
                                                          (normal timer)                                                       */
           uint32_t : 22; // padding
    } T0CONTROL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0INTCLR;                        /*!< T0 Interrupt clear Register                                           */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clearAfter the T0TIMINT interrupt occurs, it can be
                                                         cleared by write access to this register.                             */
    } T0INTCLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0RIS;                           /*!< T0 Raw Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt before masking (T0TIMINT) is occurring. (The
                                                         interrupt occurs when the counter becomes 0x0000.)1: Interrupt
                                                          request available0: No interrupt request                             */
           uint32_t : 31; // padding
    } T0RIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0MIS;                           /*!< T0 Masked Interrupt Status Register                                   */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A compare interrupt after masking (T0TIMINT) is occurring.1:
                                                         Interrupt request available0: No interrupt request                    */
           uint32_t : 31; // padding
    } T0MIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0BGLOAD;                        /*!< T0 BackGround Load Register                                           */
    
    struct {
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load registerA count value set in this register is
                                                         reloaded after the counter becomes 0x0000 (terminal count).The
                                                          count value to be reloaded can be changed safely during counting.(Note)
                                                          Writing to this register does not allow writing to Timer0Load.       */
           uint32_t : 16; // padding
    } T0BGLOAD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0INTCNT;                        /*!< T0 Interrupt Count Register                                           */
    
    struct {
      __IO uint32_t  IntCount   :  8;               /*!< Count value for the number of times it became a terminal count
                                                         of the counter main body.<At read> A count value for the number
                                                          of times it became a terminal count can be read.<At write> A
                                                          counter value of Timer0IntCnt can be made to become 0x00 by
                                                          write access to this register with regard to the timer interrupt
                                                          generation counter.This register is not cleared by write access
                                                          of Timer0IntClr. It is not affected by the Timer0Control:Interrupt
                                                          Enable bit.                                                          */
           uint32_t : 24; // padding
    } T0INTCNT_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0CAPTURE;                       /*!< T0 Capture value Register                                             */
    
    struct {
      __I  uint32_t  CapReg     : 16;               /*!< Stores a count value when the T0CAPREQ signal is input.If the
                                                         T0CAPREQ[x] signal is input during capture data reading, the
                                                          count value is immediately stored after capture data reading
                                                          ends.                                                                */
           uint32_t : 16; // padding
    } T0CAPTURE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[7];
  
  union {
    __IO uint32_t  T0CAPINTCLR;                     /*!< T0 Capture Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CapIntClr  : 32;               /*!< After a capture interrupt (T0CAPINT[x]) occurs, it can be cleared
                                                         by write access to this register.                                     */
    } T0CAPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[7];
  
  union {
    __I  uint32_t  T0CAPRIS;                        /*!< T0 Capture Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CapRIS     :  1;               /*!< A capture interrupt before masking (T0CAPINT[x]) is occurring.1:
                                                         Interrupt request available0: No interrupt request                    */
           uint32_t : 31; // padding
    } T0CAPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0CAPMIS;                        /*!< T0 Capture Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CapMIS     :  1;               /*!< A capture interrupt after masking (T0CAPINTx) is occurring.1:
                                                         Interrupt request available0: No interrupt request                    */
           uint32_t : 31; // padding
    } T0CAPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CAPINTEN;                      /*!< T0 Capture Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CapIntEn   :  1;               /*!< Capture operation interrupt control1: Interrupt enable0: Interrupt
                                                         disable                                                               */
           uint32_t : 31; // padding
    } T0CAPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CAPEN;                         /*!< T0 Capture Enable Register                                            */
    
    struct {
      __IO uint32_t  CapEn      :  1;               /*!< Capture operation control1: Capture enable0: Capture disable          */
           uint32_t : 31; // padding
    } T0CAPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  T0CAPRELOAD;                     /*!< T0 Capture Reload Register                                            */
    
    struct {
      __IO uint32_t  CapReload  :  1;               /*!< Capture operation reload control. A counter value is reloaded
                                                         to Timer0Load(Timer0BGLoad) due to capture generation.1: Reloads
                                                          the counter value upon capture generation.0: Does not reload
                                                          the counter value upon capture generation.                           */
           uint32_t : 31; // padding
    } T0CAPRELOAD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CAPCTRL;                       /*!< T0 Capture Control Register                                           */
    
    struct {
      __IO uint32_t  CapCtrl0   :  2;               /*!< Capture input operation selection0b11: Capture operation at
                                                         both the rising and falling edges0b10: Capture operation at
                                                          the falling edge0b01: Capture operation at the rising edge0b00:
                                                          Capture operation with pulse input                                   */
           uint32_t : 30; // padding
    } T0CAPCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CAPSYNC;                       /*!< T0 Capture Synchronization Register                                   */
    
    struct {
      __IO uint32_t  CapSync    :  1;               /*!< Capture input synchronization control1: Synchronizes capture
                                                         input (for external input with clock not synchronized)0: Does
                                                          not synchronize capture input (for external input with clock
                                                          synchronized)                                                        */
           uint32_t : 31; // padding
    } T0CAPSYNC_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0BGCOMPARE;                     /*!< T0 BackGround Compare Register                                        */
    
    struct {
      __IO uint32_t  BGCompare  : 16;               /*!< Background compare register that stores a compare value to be
                                                         compared with a count valueA count value set in this register
                                                          is reloaded after the counter becomes 0 (terminal count).The
                                                          count value to be reloaded can be changed safely during counting.(Note)
                                                          Writing to this register does not allow writing to Timer0Compare.    */
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load registerThis register is the same as the 0x018
                                                         register. However, it is write-only. It is set in this area
                                                          for DMA transfer. It can be accessed only for TCDMASelx=1.(Note)
                                                          This register appears on the memory map only for TCDMASelx=1.(Note)
                                                          This register can be accessed from either of the CPU and DMAC.(Note)
                                                          If this register is accessed in halfword units, a wrong value
                                                          is written to a register not accessed. So, only access in word
                                                          units is permitted.                                                  */
    } T0BGCOMPARE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[7];
  
  union {
    __IO uint32_t  T0COMPARE;                       /*!< T0 Compare value Register                                             */
    
    struct {
      __IO uint32_t  CmpReg     : 16;               /*!< Stores a compare value to be compared with a count value.(Note)
                                                         This register cannot be read immediately after writing to it
                                                          because a transfer to other clocks (PCLK->TIMCLK) is required.
                                                          Reading after writing is required for up to one cycle of TIMCLK.(Note)
                                                          Writing to the Timer0Compare register writes the same value
                                                          to Timer0BGCompare.                                                  */
           uint32_t : 16; // padding
    } T0COMPARE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[7];
  
  union {
    __IO uint32_t  T0CMPINTCLR;                     /*!< T0 Compare Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CmpIntClr  : 32;               /*!< After a compare interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T0CMPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[7];
  
  union {
    __I  uint32_t  T0CMPRIS;                        /*!< T0 Compare Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CmpRIS     :  1;               /*!< A compare interrupt before masking (T0CMPINTx) is occurring.1:
                                                         Interrupt request available0: No interrupt request                    */
           uint32_t : 31; // padding
    } T0CMPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0CMPMIS;                        /*!< T0 Compare Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CmpMIS     :  1;               /*!< A compare interrupt after masking (T0CMPINT) is occurring.1:
                                                         Interrupt request available0: No interrupt request                    */
           uint32_t : 31; // padding
    } T0CMPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CMPINTEN;                      /*!< T0 Compare Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CmpIntEn   :  1;               /*!< Compare operation interrupt control1: Interrupt enable0: Interrupt
                                                         disable                                                               */
           uint32_t : 31; // padding
    } T0CMPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CMPEN;                         /*!< T0 Compare Enable Register                                            */
    
    struct {
      __IO uint32_t  CmpEn      :  1;               /*!< Compare operation control1: Compare enable0: Compare disable          */
           uint32_t : 31; // padding
    } T0CMPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[4];
  
  union {
    __IO uint32_t  T1LOAD;                          /*!< T1 Load Register                                                      */
    
    struct {
      __IO uint32_t  Load       : 16;               /*!< Initial or reload value of the counter (0x0001 to 0xFFFF settable)    */
           uint32_t : 16; // padding
    } T1LOAD_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1VALUE;                         /*!< T1 Current value Register                                             */
    
    struct {
      __I  uint32_t  value      : 16;               /*!< Count value of the counter at the current time                        */
           uint32_t : 16; // padding
    } T1VALUE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CONTROL;                       /*!< T1 Control Register                                                   */
    
    struct {
      __IO uint32_t  Clock_divid:  3;               /*!< Prescaler (clock frequency division)                                  */
      __IO uint32_t  Timer_size :  1;               /*!< Selection of timer bit width                                          */
      __IO uint32_t  One_Shot_Count:  1;            /*!< Selection of timer wrapping and one-shot                              */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode                                                  */
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control                                                     */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control                                               */
      __IO uint32_t  Event_Mode :  2;               /*!< Event counter operation control                                       */
           uint32_t : 22; // padding
    } T1CONTROL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1INTCLR;                        /*!< T1 Interrupt clear Register                                           */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clear                                                       */
    } T1INTCLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1RIS;                           /*!< T1 Raw Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt before masking (T1TIMINT) is occurring. (The
                                                         interrupt occurs when the counter becomes 0x0000.)                    */
           uint32_t : 31; // padding
    } T1RIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1MIS;                           /*!< T1 Masked Interrupt Status Register                                   */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A compare interrupt after masking (T1TIMINT) is occurring.            */
           uint32_t : 31; // padding
    } T1MIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1BGLOAD;                        /*!< T1 BackGround Load Register                                           */
    
    struct {
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
           uint32_t : 16; // padding
    } T1BGLOAD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1INTCNT;                        /*!< T1 Interrupt Count Register                                           */
    
    struct {
      __IO uint32_t  IntCount   :  8;               /*!< Count value for the number of times it became a terminal count
                                                         of the counter main body.                                             */
           uint32_t : 24; // padding
    } T1INTCNT_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1CAPTURE;                       /*!< T1 Capture value Register                                             */
    
    struct {
      __I  uint32_t  CapReg     : 16;               /*!< Stores a count value when the T1CAPREQ signal is input.               */
           uint32_t : 16; // padding
    } T1CAPTURE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[7];
  
  union {
    __IO uint32_t  T1CAPINTCLR;                     /*!< T1 Capture Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CapIntClr  : 32;               /*!< After a capture interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T1CAPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[7];
  
  union {
    __I  uint32_t  T1CAPRIS;                        /*!< T1 Capture Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CapRIS     :  1;               /*!< A capture interrupt before masking (T1CAPINT[x]) is occurring.        */
           uint32_t : 31; // padding
    } T1CAPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1CAPMIS;                        /*!< T1 Capture Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CapMIS     :  1;               /*!< A capture interrupt after masking (T1CAPINTx) is occurring.           */
           uint32_t : 31; // padding
    } T1CAPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CAPINTEN;                      /*!< T1 Capture Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CapIntEn   :  1;               /*!< Capture operation interrupt control                                   */
           uint32_t : 31; // padding
    } T1CAPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CAPEN;                         /*!< T1 Capture Enable Register                                            */
    
    struct {
      __IO uint32_t  CapEn      :  1;               /*!< Capture operation control                                             */
           uint32_t : 31; // padding
    } T1CAPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9;
  
  union {
    __IO uint32_t  T1CAPRELOAD;                     /*!< T1 Capture Reload Register                                            */
    
    struct {
      __IO uint32_t  CapReload  :  1;               /*!< Capture operation reload control. A counter value is reloaded
                                                         to Timer1Load(Timer1BGLoad) due to capture generation.                */
           uint32_t : 31; // padding
    } T1CAPRELOAD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CAPCTRL;                       /*!< T1 Capture Control Register                                           */
    
    struct {
      __IO uint32_t  CapCtrl0   :  2;               /*!< Capture input operation selection                                     */
           uint32_t : 30; // padding
    } T1CAPCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CAPSYNC;                       /*!< T1 Capture Synchronization Register                                   */
    
    struct {
      __IO uint32_t  CapSync    :  1;               /*!< Capture input synchronization control                                 */
           uint32_t : 31; // padding
    } T1CAPSYNC_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1BGCOMPARE;                     /*!< T1 BackGround Compare Register                                        */
    
    struct {
      __IO uint32_t  BGCompare  : 16;               /*!< Background compare register. Stores a compare value to be compared
                                                         with a count value.                                                   */
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
    } T1BGCOMPARE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10[7];
  
  union {
    __IO uint32_t  T1COMPARE;                       /*!< T1 Compare value Register                                             */
    
    struct {
      __IO uint32_t  CmpReg     : 16;               /*!< Stores a compare value to be compared with a count value.             */
           uint32_t : 16; // padding
    } T1COMPARE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[7];
  
  union {
    __IO uint32_t  T1CMPINTCLR;                     /*!< T1 Compare Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CmpIntClr  : 32;               /*!< After a compare interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T1CMPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12[7];
  
  union {
    __I  uint32_t  T1CMPRIS;                        /*!< T1 Compare Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CmpRIS     :  1;               /*!< A compare interrupt before masking (T1CMPINTx) is occurring.          */
           uint32_t : 31; // padding
    } T1CMPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1CMPMIS;                        /*!< T1 Compare Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CmpMIS     :  1;               /*!< A compare interrupt after masking (T1CMPINT) is occurring.            */
           uint32_t : 31; // padding
    } T1CMPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CMPINTEN;                      /*!< T1 Compare Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CmpIntEn   :  1;               /*!< Compare operation interrupt control                                   */
           uint32_t : 31; // padding
    } T1CMPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CMPEN;                         /*!< T1 Compare Enable Register                                            */
    
    struct {
      __IO uint32_t  CmpEn      :  1;               /*!< Compare operation control                                             */
           uint32_t : 31; // padding
    } T1CMPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13[4];
  
  union {
    __IO uint32_t  T2LOAD;                          /*!< T2 Load Register                                                      */
    
    struct {
      __IO uint32_t  Load       : 16;               /*!< Initial or reload value of the counter (0x0001 to 0xFFFF settable)    */
           uint32_t : 16; // padding
    } T2LOAD_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2VALUE;                         /*!< T2 Current value Register                                             */
    
    struct {
      __I  uint32_t  value      : 16;               /*!< Count value of the counter at the current time                        */
           uint32_t : 16; // padding
    } T2VALUE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CONTROL;                       /*!< T2 Control Register                                                   */
    
    struct {
      __IO uint32_t  Clock_divid:  3;               /*!< Prescaler (clock frequency division)                                  */
      __IO uint32_t  Timer_size :  1;               /*!< Selection of timer bit width                                          */
      __IO uint32_t  One_Shot_Count:  1;            /*!< Selection of timer wrapping and one-shot                              */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode                                                  */
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control                                                     */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control                                               */
      __IO uint32_t  Event_Mode :  2;               /*!< Event counter operation control                                       */
           uint32_t : 22; // padding
    } T2CONTROL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2INTCLR;                        /*!< T2 Interrupt clear Register                                           */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clear                                                       */
    } T2INTCLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2RIS;                           /*!< T2 Raw Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt before masking (T2TIMINT) is occurring. (The
                                                         interrupt occurs when the counter becomes 0x0000.)                    */
           uint32_t : 31; // padding
    } T2RIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2MIS;                           /*!< T2 Masked Interrupt Status Register                                   */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A compare interrupt after masking (T2TIMINT) is occurring.            */
           uint32_t : 31; // padding
    } T2MIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2BGLOAD;                        /*!< T2 BackGround Load Register                                           */
    
    struct {
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
           uint32_t : 16; // padding
    } T2BGLOAD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2INTCNT;                        /*!< T2 Interrupt Count Register                                           */
    
    struct {
      __IO uint32_t  IntCount   :  8;               /*!< Count value for the number of times it became a terminal count
                                                         of the counter main body.                                             */
           uint32_t : 24; // padding
    } T2INTCNT_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2CAPTURE;                       /*!< T2 Capture value Register                                             */
    
    struct {
      __I  uint32_t  CapReg     : 16;               /*!< Stores a count value when the T2CAPREQ signal is input.               */
           uint32_t : 16; // padding
    } T2CAPTURE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14[7];
  
  union {
    __IO uint32_t  T2CAPINTCLR;                     /*!< T2 Capture Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CapIntClr  : 32;               /*!< After a capture interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T2CAPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15[7];
  
  union {
    __I  uint32_t  T2CAPRIS;                        /*!< T2 Capture Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CapRIS     :  1;               /*!< A capture interrupt before masking (T2CAPINT[x]) is occurring.        */
           uint32_t : 31; // padding
    } T2CAPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2CAPMIS;                        /*!< T2 Capture Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CapMIS     :  1;               /*!< A capture interrupt after masking (T2CAPINTx) is occurring.           */
           uint32_t : 31; // padding
    } T2CAPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CAPINTEN;                      /*!< T2 Capture Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CapIntEn   :  1;               /*!< Capture operation interrupt control                                   */
           uint32_t : 31; // padding
    } T2CAPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CAPEN;                         /*!< T2 Capture Enable Register                                            */
    
    struct {
      __IO uint32_t  CapEn      :  1;               /*!< Capture operation control                                             */
           uint32_t : 31; // padding
    } T2CAPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16;
  
  union {
    __IO uint32_t  T2CAPRELOAD;                     /*!< T2 Capture Reload Register                                            */
    
    struct {
      __IO uint32_t  CapReload  :  1;               /*!< Capture operation reload control. A counter value is reloaded
                                                         to Timer2Load(Timer2BGLoad) due to capture generation.                */
           uint32_t : 31; // padding
    } T2CAPRELOAD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CAPCTRL;                       /*!< T2 Capture Control Register                                           */
    
    struct {
      __IO uint32_t  CapCtrl0   :  2;               /*!< Capture input operation selection                                     */
           uint32_t : 30; // padding
    } T2CAPCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CAPSYNC;                       /*!< T2 Capture Synchronization Register                                   */
    
    struct {
      __IO uint32_t  CapSync    :  1;               /*!< Capture input synchronization control                                 */
           uint32_t : 31; // padding
    } T2CAPSYNC_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2BGCOMPARE;                     /*!< T2 BackGround Compare Register                                        */
    
    struct {
      __IO uint32_t  BGCompare  : 16;               /*!< Background compare register. Stores a compare value to be compared
                                                         with a count value.                                                   */
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
    } T2BGCOMPARE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED17[7];
  
  union {
    __IO uint32_t  T2COMPARE;                       /*!< T2 Compare value Register                                             */
    
    struct {
      __IO uint32_t  CmpReg     : 16;               /*!< Stores a compare value to be compared with a count value.             */
           uint32_t : 16; // padding
    } T2COMPARE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED18[7];
  
  union {
    __IO uint32_t  T2CMPINTCLR;                     /*!< T2 Compare Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CmpIntClr  : 32;               /*!< After a compare interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T2CMPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED19[7];
  
  union {
    __I  uint32_t  T2CMPRIS;                        /*!< T2 Compare Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CmpRIS     :  1;               /*!< A compare interrupt before masking (T2CMPINTx) is occurring.          */
           uint32_t : 31; // padding
    } T2CMPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2CMPMIS;                        /*!< T2 Compare Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CmpMIS     :  1;               /*!< A compare interrupt after masking (T2CMPINT) is occurring.            */
           uint32_t : 31; // padding
    } T2CMPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CMPINTEN;                      /*!< T2 Compare Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CmpIntEn   :  1;               /*!< Compare operation interrupt control                                   */
           uint32_t : 31; // padding
    } T2CMPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CMPEN;                         /*!< T2 Compare Enable Register                                            */
    
    struct {
      __IO uint32_t  CmpEn      :  1;               /*!< Compare operation control                                             */
           uint32_t : 31; // padding
    } T2CMPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED20[4];
  
  union {
    __IO uint32_t  T3LOAD;                          /*!< T3 Load Register                                                      */
    
    struct {
      __IO uint32_t  Load       : 16;               /*!< Initial or reload value of the counter (0x0001 to 0xFFFF settable)    */
           uint32_t : 16; // padding
    } T3LOAD_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3VALUE;                         /*!< T3 Current value Register                                             */
    
    struct {
      __I  uint32_t  value      : 16;               /*!< Count value of the counter at the current time                        */
           uint32_t : 16; // padding
    } T3VALUE_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CONTROL;                       /*!< T3 Control Register                                                   */
    
    struct {
      __IO uint32_t  Clock_divid:  3;               /*!< Prescaler (clock frequency division)                                  */
      __IO uint32_t  Timer_size :  1;               /*!< Selection of timer bit width                                          */
      __IO uint32_t  One_Shot_Count:  1;            /*!< Selection of timer wrapping and one-shot                              */
      __IO uint32_t  Periodic_Mode:  1;             /*!< Timer operation mode                                                  */
      __IO uint32_t  Interrupt_Enable:  1;          /*!< Interrupt control                                                     */
      __IO uint32_t  Enable     :  1;               /*!< Timer operation control                                               */
      __IO uint32_t  Event_Mode :  2;               /*!< Event counter operation control                                       */
           uint32_t : 22; // padding
    } T3CONTROL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3INTCLR;                        /*!< T3 Interrupt clear Register                                           */
    
    struct {
      __IO uint32_t  IntClr     : 32;               /*!< Interrupt clear                                                       */
    } T3INTCLR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3RIS;                           /*!< T3 Raw Interrupt Status Register                                      */
    
    struct {
      __I  uint32_t  RIS        :  1;               /*!< A timer interrupt before masking (T3TIMINT) is occurring. (The
                                                         interrupt occurs when the counter becomes 0x0000.)                    */
           uint32_t : 31; // padding
    } T3RIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3MIS;                           /*!< T3 Masked Interrupt Status Register                                   */
    
    struct {
      __I  uint32_t  MIS        :  1;               /*!< A compare interrupt after masking (T3TIMINT) is occurring.            */
           uint32_t : 31; // padding
    } T3MIS_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3BGLOAD;                        /*!< T3 BackGround Load Register                                           */
    
    struct {
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
           uint32_t : 16; // padding
    } T3BGLOAD_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3INTCNT;                        /*!< T3 Interrupt Count Register                                           */
    
    struct {
      __IO uint32_t  IntCount   :  8;               /*!< Count value for the number of times it became a terminal count
                                                         of the counter main body.                                             */
           uint32_t : 24; // padding
    } T3INTCNT_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3CAPTURE;                       /*!< T3 Capture value Register                                             */
    
    struct {
      __I  uint32_t  CapReg     : 16;               /*!< Stores a count value when the T3CAPREQ signal is input.               */
           uint32_t : 16; // padding
    } T3CAPTURE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED21[7];
  
  union {
    __IO uint32_t  T3CAPINTCLR;                     /*!< T3 Capture Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CapIntClr  : 32;               /*!< After a capture interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T3CAPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED22[7];
  
  union {
    __I  uint32_t  T3CAPRIS;                        /*!< T3 Capture Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CapRIS     :  1;               /*!< A capture interrupt before masking (T3CAPINT[x]) is occurring.        */
           uint32_t : 31; // padding
    } T3CAPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3CAPMIS;                        /*!< T3 Capture Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CapMIS     :  1;               /*!< A capture interrupt after masking (T3CAPINTx) is occurring.           */
           uint32_t : 31; // padding
    } T3CAPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CAPINTEN;                      /*!< T3 Capture Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CapIntEn   :  1;               /*!< Capture operation interrupt control                                   */
           uint32_t : 31; // padding
    } T3CAPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CAPEN;                         /*!< T3 Capture Enable Register                                            */
    
    struct {
      __IO uint32_t  CapEn      :  1;               /*!< Capture operation control                                             */
           uint32_t : 31; // padding
    } T3CAPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED23;
  
  union {
    __IO uint32_t  T3CAPRELOAD;                     /*!< T3 Capture Reload Register                                            */
    
    struct {
      __IO uint32_t  CapReload  :  1;               /*!< Capture operation reload control. A counter value is reloaded
                                                         to Timer3Load(Timer3BGLoad) due to capture generation.                */
           uint32_t : 31; // padding
    } T3CAPRELOAD_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CAPCTRL;                       /*!< T3 Capture Control Register                                           */
    
    struct {
      __IO uint32_t  CapCtrl0   :  2;               /*!< Capture input operation selection                                     */
           uint32_t : 30; // padding
    } T3CAPCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CAPSYNC;                       /*!< T3 Capture Synchronization Register                                   */
    
    struct {
      __IO uint32_t  CapSync    :  1;               /*!< Capture input synchronization control                                 */
           uint32_t : 31; // padding
    } T3CAPSYNC_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3BGCOMPARE;                     /*!< T3 BackGround Compare Register                                        */
    
    struct {
      __IO uint32_t  BGCompare  : 16;               /*!< Background compare register. Stores a compare value to be compared
                                                         with a count value.                                                   */
      __IO uint32_t  BGLoad     : 16;               /*!< Background Load register                                              */
    } T3BGCOMPARE_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED24[7];
  
  union {
    __IO uint32_t  T3COMPARE;                       /*!< T3 Compare value Register                                             */
    
    struct {
      __IO uint32_t  CmpReg     : 16;               /*!< Stores a compare value to be compared with a count value.             */
           uint32_t : 16; // padding
    } T3COMPARE_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED25[7];
  
  union {
    __IO uint32_t  T3CMPINTCLR;                     /*!< T3 Compare Interrupt clear Register                                   */
    
    struct {
      __IO uint32_t  CmpIntClr  : 32;               /*!< After a compare interrupt occurs, it can be cleared by write
                                                         access to this register.                                              */
    } T3CMPINTCLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED26[7];
  
  union {
    __I  uint32_t  T3CMPRIS;                        /*!< T3 Compare Raw Interrupt Status Register                              */
    
    struct {
      __I  uint32_t  CmpRIS     :  1;               /*!< A compare interrupt before masking (T3CMPINTx) is occurring.          */
           uint32_t : 31; // padding
    } T3CMPRIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3CMPMIS;                        /*!< T3 Compare Masked Interrupt Status Register                           */
    
    struct {
      __I  uint32_t  CmpMIS     :  1;               /*!< A compare interrupt after masking (T3CMPINT) is occurring.            */
           uint32_t : 31; // padding
    } T3CMPMIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CMPINTEN;                      /*!< T3 Compare Interrupt Enable Register                                  */
    
    struct {
      __IO uint32_t  CmpIntEn   :  1;               /*!< Compare operation interrupt control                                   */
           uint32_t : 31; // padding
    } T3CMPINTEN_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CMPEN;                         /*!< T3 Compare Enable Register                                            */
    
    struct {
      __IO uint32_t  CmpEn      :  1;               /*!< Compare operation control                                             */
           uint32_t : 31; // padding
    } T3CMPEN_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED27[4];
  
  union {
    __IO uint32_t  T0TFFEN;                         /*!< T0 TFF Enable Register                                                */
    
    struct {
      __IO uint32_t  TFFEn      :  1;               /*!< TFF (Toggle Flip-Flop) operation control1: TFF function enable0:
                                                         TFF function disable (TFF output is fixed to 0.)                      */
           uint32_t : 31; // padding
    } T0TFFEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0TFFSTAT;                       /*!< T0 TFF Status Register                                                */
    
    struct {
      __I  uint32_t  TFFStat    :  1;               /*!< TFF (Toggle Flip-Flop) output status (indicating the status
                                                         before the last stage of Timer0TFFInv)1: High TFF output0: Low
                                                          TFF output                                                           */
           uint32_t : 31; // padding
    } T0TFFSTAT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0TFFZERO;                       /*!< T0 TFF Zero Register                                                  */
    
    struct {
      __IO uint32_t  TFFZero    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (to select whether
                                                         to toggle TFF at a falling edge when the Timer counter is 0)This
                                                          setting is required for PWM operation.1: Toggle with Compare
                                                          and Timer counter 0x0000 (terminal count) (the Timer0TFFCtrl
                                                          setting disabled)0: Toggle only with Compare (the Timer0TFFCtrl
                                                          setting enabled)                                                     */
           uint32_t : 31; // padding
    } T0TFFZERO_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0TFFINV;                        /*!< T0 TFF Invert Register                                                */
    
    struct {
      __IO uint32_t  TFFInv     :  1;               /*!< TFF (Toggle Flip-Flop) operation control (to select whether
                                                         the output is reversed at its last stage)1: Reverses the TFF
                                                          output at its last stage for output.0: TFF output without reverse.   */
           uint32_t : 31; // padding
    } T0TFFINV_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0TFFCTRL;                       /*!< T0 TFF Control Register                                               */
    
    struct {
      __IO uint32_t  TFFCtrl    :  2;               /*!< Selection of TFF (Toggle Flip-Flop) output operation0b11: Pulse
                                                         operation. Compare output becomes TFF output as is.0b10: Toggle
                                                          operation. TFF output is reversed for the relevant Compare output.0b01:
                                                          Operation for becoming '1'. No change for TFF=1.0b00: Operation
                                                          for becoming '0'. No change for TFF=0.                               */
           uint32_t : 30; // padding
    } T0TFFCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0TFFINIT;                       /*!< T0 TFF Init Register                                                  */
    
    struct {
      __IO uint32_t  TFFInit    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of output
                                                         initial value)1: Sets the initial value of TFF output to 1.0:
                                                          Sets the initial value of TFF output to 0.                           */
           uint32_t : 31; // padding
    } T0TFFINIT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED28[2];
  
  union {
    __IO uint32_t  T0EVCONTROL;                     /*!< T0 Event Control Register                                             */
    
    struct {
      __IO uint32_t  EventEn    :  1;               /*!< Event counter control1: Event counter enable0: Event counter
                                                         disable                                                               */
      __IO uint32_t  EvDelay    :  1;               /*!< Selection of count start delay of the event counter1: Start
                                                         delay by 1 TIMCLK0: No start delay                                    */
           uint32_t             :  1;
      __IO uint32_t  EvSync     :  1;               /*!< Selection of event counter input synchronization1: Synchronized0:
                                                         Not synchronized                                                      */
      __IO uint32_t  Event_Select:  2;              /*!< Event counter operation selection0b11: EventEn + external terminal
                                                         input (edge)0b10: EventEn + external terminal input (level)0*:
                                                          EventEn bit only                                                     */
           uint32_t : 26; // padding
    } T0EVCONTROL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED29[3];
  
  union {
    __IO uint32_t  T0EVSEL;                         /*!< T0 EV Select Control Register                                         */
    
    struct {
      __IO uint32_t  EVCNTEN_Sel:  3;               /*!< EVCNTEN I/O controlInput selection signal: Generation of the
                                                         output level of the T0EVENSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t             :  1;
      __IO uint32_t  EVCNTSRC_Sel:  3;              /*!< EVCNTSRC I/O controlInput selection signal: Generation of the
                                                         output level of the T0EVSRCSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 25; // padding
    } T0EVSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0IOSEL;                         /*!< T0 IO Select Control Register                                         */
    
    struct {
      __IO uint32_t  IOSel      :  1;               /*!< T0TFFOUT I/O control1: T0TFFOUT output0: Input from external
                                                         pin or not output                                                     */
           uint32_t : 31; // padding
    } T0IOSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CAPSEL;                        /*!< T0 Capture Select Register                                            */
    
    struct {
      __IO uint32_t  CapSel     :  3;               /*!< Capture input selectionInput selection signal: Generation of
                                                         the output level of the T0CAPSEL[2:0].For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 29; // padding
    } T0CAPSEL_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED30[17];
  
  union {
    __IO uint32_t  T0CAPDMAEN;                      /*!< T0 CapDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CapDMAEn   :  1;               /*!< T0CAPDMAREQ control1: CapDMA request enable0: CapDMA request
                                                         disable                                                               */
           uint32_t : 31; // padding
    } T0CAPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED31[3];
  
  union {
    __I  uint32_t  T0CAPDMASTAT;                    /*!< T0 CapDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CapDMAStat :  1;               /*!< CapDMA transfer statusAfter start of DMA transfer, status '1'
                                                         continues until T0CAPDMACTC arrives. It changes to '0' after
                                                          T0CAPDMACTC arrives.1: DMA request in progress0: No DMA request      */
           uint32_t : 31; // padding
    } T0CAPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED32;
  
  union {
    __IO uint32_t  T0CMPDMASTAT;                    /*!< T0 CmpDMA Status Register                                             */
    
    struct {
      __IO uint32_t  CmpDMAStat :  1;               /*!< CmpDMA transfer statusAfter start of DMA transfer, status '1'
                                                         continues until T0CMPDMACTC arrives. It changes to '0' after
                                                          T0CMPDMACTC arrives.1: DMA request in progress0: No DMA request      */
           uint32_t : 31; // padding
    } T0CMPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0TCDMASEL;                      /*!< T0 Terminal Count DMA Request Select Register                         */
    
    struct {
      __IO uint32_t  TCDMASel   :  1;               /*!< Selection of a T0CMPDMAREQ signal request condition1: Sets a
                                                         T0CMPDMAREQ signal request at terminal count occurrence.0: Sets
                                                          a T0CMPDMAREQ signal request at compare occurrence.                  */
           uint32_t : 31; // padding
    } T0TCDMASEL_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CMPDMAEN;                      /*!< T0 CmpDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CmpDMAEn   :  1;               /*!< T0CMPDMAREQ control1: CmpDMA request enable0: CmpDMA request
                                                         disable                                                               */
           uint32_t : 31; // padding
    } T0CMPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED33[5];
  
  union {
    __IO uint32_t  T0CAPDMASYNC;                    /*!< T0 CapDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CapDMASync :  1;               /*!< Synchronization control of T0CAPDMACLR and T0CAPDMATC1: Synchronizes
                                                         input (for external input with clock not synchronized)0: Does
                                                          not synchronize input (for external input with clock synchronized.)
                                                          The setting '0' is prohibited in the TZ1200 series.                  */
           uint32_t : 31; // padding
    } T0CAPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CMPDMASYNC;                    /*!< T0 CmpDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CmpDMASync :  1;               /*!< Synchronization control of T0CMPDMACLR and T0CMPDMATC1: Synchronizes
                                                         input (for external input with clock not synchronized)0: Does
                                                          not synchronize input (for external input with clock synchronized.)
                                                          The setting '0' is prohibited in the TZ1200 series.                  */
           uint32_t : 31; // padding
    } T0CMPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED34[12];
  
  union {
    __IO uint32_t  T0CAPDMACLR;                     /*!< T0 CapDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CapDMAClr  :  1;               /*!< Can forcibly clear a generated CapDMA request.1: Clears the
                                                         DMA request.0: Does nothing.(The request can be cleared only
                                                          for CAPDMAEN=1.)                                                     */
           uint32_t : 31; // padding
    } T0CAPDMACLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T0CMPDMACLR;                     /*!< T0 CmpDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CmpDMAClr  :  1;               /*!< Can forcibly clear a generated CmpDMA request.1: Clears the
                                                         DMA request.0: Does nothing.(The request can be cleared only
                                                          for CMPDMAEN=1.)                                                     */
           uint32_t : 31; // padding
    } T0CMPDMACLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED35[2];
  
  union {
    __IO uint32_t  T1TFFEN;                         /*!< T1 TFF Enable Register                                                */
    
    struct {
      __IO uint32_t  TFFEn      :  1;               /*!< TFF (Toggle Flip-Flop) operation control                              */
           uint32_t : 31; // padding
    } T1TFFEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1TFFSTAT;                       /*!< T1 TFF Status Register                                                */
    
    struct {
      __I  uint32_t  TFFStat    :  1;               /*!< TFF (Toggle Flip-Flop) output status (indicating the status
                                                         before the last stage of Timer1TFFInv)                                */
           uint32_t : 31; // padding
    } T1TFFSTAT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1TFFZERO;                       /*!< T1 TFF Zero Register                                                  */
    
    struct {
      __IO uint32_t  TFFZero    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of whether
                                                         or not TFF is toggled at the falling edge when the timer counter
                                                          is 0)                                                                */
           uint32_t : 31; // padding
    } T1TFFZERO_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1TFFINV;                        /*!< T1 TFF Invert Register                                                */
    
    struct {
      __IO uint32_t  TFFInv     :  1;               /*!< TFF (Toggle Flip-Flop) operation control (to select whether
                                                         the output is reversed at its last stage)                             */
           uint32_t : 31; // padding
    } T1TFFINV_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1TFFCTRL;                       /*!< T1 TFF Control Register                                               */
    
    struct {
      __IO uint32_t  TFFCtrl    :  2;               /*!< Selection of TFF (Toggle Flip-Flop) output operation                  */
           uint32_t : 30; // padding
    } T1TFFCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1TFFINIT;                       /*!< T1 TFF Init Register                                                  */
    
    struct {
      __IO uint32_t  TFFInit    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of output
                                                         initial value)                                                        */
           uint32_t : 31; // padding
    } T1TFFINIT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED36[2];
  
  union {
    __IO uint32_t  T1EVCONTROL;                     /*!< T1 Event Control Register                                             */
    
    struct {
      __IO uint32_t  EventEn    :  1;               /*!< Event counter control                                                 */
      __IO uint32_t  EvDelay    :  1;               /*!< Selection of count start delay of the event counter                   */
           uint32_t             :  1;
      __IO uint32_t  EvSync     :  1;               /*!< Selection of event counter input synchronization                      */
      __IO uint32_t  Event_Select:  2;              /*!< Event counter operation selection                                     */
           uint32_t : 26; // padding
    } T1EVCONTROL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED37[3];
  
  union {
    __IO uint32_t  T1EVSEL;                         /*!< T1 EV Select Control Register                                         */
    
    struct {
      __IO uint32_t  EVCNTEN_Sel:  3;               /*!< EVCNTEN I/O controlInput selection signal: Generation of the
                                                         output level of the T1EVENSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t             :  1;
      __IO uint32_t  EVCNTSRC_Sel:  3;              /*!< EVCNTSRC I/O controlInput selection signal: Generation of the
                                                         output level of the T1EVSRCSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 25; // padding
    } T1EVSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1IOSEL;                         /*!< T1 IO Select Control Register                                         */
    
    struct {
      __IO uint32_t  IOSel      :  1;               /*!< T1TFFOUT I/O control1: T1TFFOUT output0: Input from external
                                                         pin or not output                                                     */
           uint32_t : 31; // padding
    } T1IOSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CAPSEL;                        /*!< T1 Capture Select Register                                            */
    
    struct {
      __IO uint32_t  CapSel     :  3;               /*!< Capture input selectionInput selection signal: Generation of
                                                         the output level of the T1CAPSEL[2:0].For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 29; // padding
    } T1CAPSEL_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED38[17];
  
  union {
    __IO uint32_t  T1CAPDMAEN;                      /*!< T1 CapDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CapDMAEn   :  1;               /*!< T1CAPDREQ output control                                              */
           uint32_t : 31; // padding
    } T1CAPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED39[3];
  
  union {
    __I  uint32_t  T1CAPDMASTAT;                    /*!< T1 CapDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CapDMAStat :  1;               /*!< CapDMA transfer status                                                */
           uint32_t : 31; // padding
    } T1CAPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED40;
  
  union {
    __I  uint32_t  T1CMPDMASTAT;                    /*!< T1 CmpDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CmpDMAStat :  1;               /*!< CmpDMA transfer status                                                */
           uint32_t : 31; // padding
    } T1CMPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1TCDMASEL;                      /*!< T1 Terminal Count DMA Request Select Register                         */
    
    struct {
      __IO uint32_t  TCDMASel   :  1;               /*!< Selection of a T1CMPDMAREQ signal request condition                   */
           uint32_t : 31; // padding
    } T1TCDMASEL_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CMPDMAEN;                      /*!< T1 CmpDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CmpDMAEn   :  1;               /*!< T1CMPDMAREQ control                                                   */
           uint32_t : 31; // padding
    } T1CMPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED41[5];
  
  union {
    __IO uint32_t  T1CAPDMASYNC;                    /*!< T1 CapDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CapDMASync :  1;               /*!< Synchronization control of T1CAPDMACLR and T1CAPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T1CAPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CMPDMASYNC;                    /*!< T1 CmpDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CmpDMASync :  1;               /*!< Synchronization control of T1CMPDMACLR and T1CMPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T1CMPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED42[12];
  
  union {
    __IO uint32_t  T1CAPDMACLR;                     /*!< T1 CapDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CapDMAClr  :  1;               /*!< Can forcibly clear a generated CapDMA request.                        */
           uint32_t : 31; // padding
    } T1CAPDMACLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1CMPDMACLR;                     /*!< T1 CmpDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CmpDMAClr  :  1;               /*!< Can forcibly clear a generated CmpDMA request.                        */
           uint32_t : 31; // padding
    } T1CMPDMACLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED43[2];
  
  union {
    __IO uint32_t  T2TFFEN;                         /*!< T2 TFF Enable Register                                                */
    
    struct {
      __IO uint32_t  TFFEn      :  1;               /*!< TFF (Toggle Flip-Flop) operation control                              */
           uint32_t : 31; // padding
    } T2TFFEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2TFFSTAT;                       /*!< T2 TFF Status Register                                                */
    
    struct {
      __I  uint32_t  TFFStat    :  1;               /*!< TFF (Toggle Flip-Flop) output status (indicating the status
                                                         before the last stage of Timer2TFFInv)                                */
           uint32_t : 31; // padding
    } T2TFFSTAT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2TFFZERO;                       /*!< T2 TFF Zero Register                                                  */
    
    struct {
      __IO uint32_t  TFFZero    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of whether
                                                         or not TFF is toggled at the falling edge when the timer counter
                                                          is 0)                                                                */
           uint32_t : 31; // padding
    } T2TFFZERO_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2TFFINV;                        /*!< T2 TFF Invert Register                                                */
    
    struct {
      __IO uint32_t  TFFInv     :  1;               /*!< TFF (Toggle Flip-Flop) operation control (to select whether
                                                         the output is reversed at its last stage)                             */
           uint32_t : 31; // padding
    } T2TFFINV_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2TFFCTRL;                       /*!< T2 TFF Control Register                                               */
    
    struct {
      __IO uint32_t  TFFCtrl    :  2;               /*!< Selection of TFF (Toggle Flip-Flop) output operation                  */
           uint32_t : 30; // padding
    } T2TFFCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2TFFINIT;                       /*!< T2 TFF Init Register                                                  */
    
    struct {
      __IO uint32_t  TFFInit    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of output
                                                         initial value)                                                        */
           uint32_t : 31; // padding
    } T2TFFINIT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED44[2];
  
  union {
    __IO uint32_t  T2EVCONTROL;                     /*!< T2 Event Control Register                                             */
    
    struct {
      __IO uint32_t  EventEn    :  1;               /*!< Event counter control                                                 */
      __IO uint32_t  EvDelay    :  1;               /*!< Selection of count start delay of the event counter                   */
           uint32_t             :  1;
      __IO uint32_t  EvSync     :  1;               /*!< Selection of event counter input synchronization                      */
      __IO uint32_t  Event_Select:  2;              /*!< Event counter operation selection                                     */
           uint32_t : 26; // padding
    } T2EVCONTROL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED45[3];
  
  union {
    __IO uint32_t  T2EVSEL;                         /*!< T2 EV Select Control Register                                         */
    
    struct {
      __IO uint32_t  EVCNTEN_Sel:  3;               /*!< EVCNTEN I/O controlInput selection signal: Generation of the
                                                         output level of the T2EVENSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t             :  1;
      __IO uint32_t  EVCNTSRC_Sel:  3;              /*!< EVCNTSRC I/O controlInput selection signal: Generation of the
                                                         output level of the T2EVSRCSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 25; // padding
    } T2EVSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2IOSEL;                         /*!< T2 IO Select Control Register                                         */
    
    struct {
      __IO uint32_t  IOSel      :  1;               /*!< T2TFFOUT I/O control1: T2TFFOUT output0: Input from external
                                                         pin or not output                                                     */
           uint32_t : 31; // padding
    } T2IOSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CAPSEL;                        /*!< T2 Capture Select Register                                            */
    
    struct {
      __IO uint32_t  CapSel     :  3;               /*!< Capture input selectionInput selection signal: Generation of
                                                         the output level of the T2CAPSEL[2:0].For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 29; // padding
    } T2CAPSEL_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED46[17];
  
  union {
    __IO uint32_t  T2CAPDMAEN;                      /*!< T2 CapDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CapDMAEn   :  1;               /*!< T2CAPDREQ output control                                              */
           uint32_t : 31; // padding
    } T2CAPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED47[3];
  
  union {
    __I  uint32_t  T2CAPDMASTAT;                    /*!< T2 CapDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CapDMAStat :  1;               /*!< CapDMA transfer status                                                */
           uint32_t : 31; // padding
    } T2CAPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED48;
  
  union {
    __I  uint32_t  T2CMPDMASTAT;                    /*!< T2 CmpDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CmpDMAStat :  1;               /*!< CmpDMA transfer status                                                */
           uint32_t : 31; // padding
    } T2CMPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2TCDMASEL;                      /*!< T2 Terminal Count DMA Request Select Register                         */
    
    struct {
      __IO uint32_t  TCDMASel   :  1;               /*!< Selection of a T2CMPDMAREQ signal request condition                   */
           uint32_t : 31; // padding
    } T2TCDMASEL_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CMPDMAEN;                      /*!< T2 CmpDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CmpDMAEn   :  1;               /*!< T2CMPDMAREQ control                                                   */
           uint32_t : 31; // padding
    } T2CMPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED49[5];
  
  union {
    __IO uint32_t  T2CAPDMASYNC;                    /*!< T2 CapDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CapDMASync :  1;               /*!< Synchronization control of T2CAPDMACLR and T2CAPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T2CAPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CMPDMASYNC;                    /*!< T2 CmpDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CmpDMASync :  1;               /*!< Synchronization control of T2CMPDMACLR and T2CMPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T2CMPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED50[12];
  
  union {
    __IO uint32_t  T2CAPDMACLR;                     /*!< T2 CapDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CapDMAClr  :  1;               /*!< Can forcibly clear a generated CapDMA request.                        */
           uint32_t : 31; // padding
    } T2CAPDMACLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2CMPDMACLR;                     /*!< T2 CmpDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CmpDMAClr  :  1;               /*!< Can forcibly clear a generated CmpDMA request.                        */
           uint32_t : 31; // padding
    } T2CMPDMACLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED51[2];
  
  union {
    __IO uint32_t  T3TFFEN;                         /*!< T3 TFF Enable Register                                                */
    
    struct {
      __IO uint32_t  TFFEn      :  1;               /*!< TFF (Toggle Flip-Flop) operation control                              */
           uint32_t : 31; // padding
    } T3TFFEN_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3TFFSTAT;                       /*!< T3 TFF Status Register                                                */
    
    struct {
      __I  uint32_t  TFFStat    :  1;               /*!< TFF (Toggle Flip-Flop) output status (indicating the status
                                                         before the last stage of Timer3TFFInv)                                */
           uint32_t : 31; // padding
    } T3TFFSTAT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3TFFZERO;                       /*!< T3 TFF Zero Register                                                  */
    
    struct {
      __IO uint32_t  TFFZero    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of whether
                                                         or not TFF is toggled at the falling edge when the timer counter
                                                          is 0)                                                                */
           uint32_t : 31; // padding
    } T3TFFZERO_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3TFFINV;                        /*!< T3 TFF Invert Register                                                */
    
    struct {
      __IO uint32_t  TFFInv     :  1;               /*!< TFF (Toggle Flip-Flop) operation control (to select whether
                                                         the output is reversed at its last stage)                             */
           uint32_t : 31; // padding
    } T3TFFINV_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3TFFCTRL;                       /*!< T3 TFF Control Register                                               */
    
    struct {
      __IO uint32_t  TFFCtrl    :  2;               /*!< Selection of TFF (Toggle Flip-Flop) output operation                  */
           uint32_t : 30; // padding
    } T3TFFCTRL_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3TFFINIT;                       /*!< T3 TFF Init Register                                                  */
    
    struct {
      __IO uint32_t  TFFInit    :  1;               /*!< TFF (Toggle Flip-Flop) operation control (selection of output
                                                         initial value)                                                        */
           uint32_t : 31; // padding
    } T3TFFINIT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED52[2];
  
  union {
    __IO uint32_t  T3EVCONTROL;                     /*!< T3 Event Control Register                                             */
    
    struct {
      __IO uint32_t  EventEn    :  1;               /*!< Event counter control                                                 */
      __IO uint32_t  EvDelay    :  1;               /*!< Selection of count start delay of the event counter                   */
           uint32_t             :  1;
      __IO uint32_t  EvSync     :  1;               /*!< Selection of event counter input synchronization                      */
      __IO uint32_t  Event_Select:  2;              /*!< Event counter operation selection                                     */
           uint32_t : 26; // padding
    } T3EVCONTROL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED53[3];
  
  union {
    __IO uint32_t  T3EVSEL;                         /*!< T3 EV Select Control Register                                         */
    
    struct {
      __IO uint32_t  EVCNTEN_Sel:  3;               /*!< EVCNTEN I/O controlInput selection signal: Generation of the
                                                         output level of the T3EVENSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t             :  1;
      __IO uint32_t  EVCNTSRC_Sel:  3;              /*!< EVCNTSRC I/O controlInput selection signal: Generation of the
                                                         output level of the T3EVSRCSEL signals.For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 25; // padding
    } T3EVSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3IOSEL;                         /*!< T3 IO Select Control Register                                         */
    
    struct {
      __IO uint32_t  IOSel      :  1;               /*!< T3TFFOUT I/O control1: T3TFFOUT output0: Input from external
                                                         pin or not output                                                     */
           uint32_t : 31; // padding
    } T3IOSEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CAPSEL;                        /*!< T3 Capture Select Register                                            */
    
    struct {
      __IO uint32_t  CapSel     :  3;               /*!< Capture input selectionInput selection signal: Generation of
                                                         the output level of the T3CAPSEL[2:0].For details of the setting,
                                                          refer to Section 5.8 Top connection of ADVTMR.                       */
           uint32_t : 29; // padding
    } T3CAPSEL_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED54[17];
  
  union {
    __IO uint32_t  T3CAPDMAEN;                      /*!< T3 CapDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CapDMAEn   :  1;               /*!< T3CAPDMAREQ control                                                   */
           uint32_t : 31; // padding
    } T3CAPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED55[3];
  
  union {
    __I  uint32_t  T3CAPDMASTAT;                    /*!< T3 CapDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CapDMAStat :  1;               /*!< CapDMA transfer status                                                */
           uint32_t : 31; // padding
    } T3CAPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED56;
  
  union {
    __I  uint32_t  T3CMPDMASTAT;                    /*!< T3 CmpDMA Status Register                                             */
    
    struct {
      __I  uint32_t  CmpDMAStat :  1;               /*!< CmpDMA transfer status                                                */
           uint32_t : 31; // padding
    } T3CMPDMASTAT_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3TCDMASEL;                      /*!< T3 Terminal Count DMA Request Select Register                         */
    
    struct {
      __IO uint32_t  TCDMASel   :  1;               /*!< Selection of a T3CMPDMAREQ signal request condition                   */
           uint32_t : 31; // padding
    } T3TCDMASEL_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CMPDMAEN;                      /*!< T3 CmpDMA Enable Register                                             */
    
    struct {
      __IO uint32_t  CmpDMAEn   :  1;               /*!< T3CMPDMAREQ control                                                   */
           uint32_t : 31; // padding
    } T3CMPDMAEN_b;                                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED57[5];
  
  union {
    __IO uint32_t  T3CAPDMASYNC;                    /*!< T3 CapDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CapDMASync :  1;               /*!< Synchronization control of T3CAPDMACLR and T3CAPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T3CAPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CMPDMASYNC;                    /*!< T3 CmpDMAC signals Synchronization Register                           */
    
    struct {
      __IO uint32_t  CmpDMASync :  1;               /*!< Synchronization control of T3CMPDMACLR and T3CMPDMATC inputsThe
                                                         setting '0' is prohibited in the TZ1200 series.                       */
           uint32_t : 31; // padding
    } T3CMPDMASYNC_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED58[12];
  
  union {
    __IO uint32_t  T3CAPDMACLR;                     /*!< T3 CapDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CapDMAClr  :  1;               /*!< Can forcibly clear a generated CapDMA request.                        */
           uint32_t : 31; // padding
    } T3CAPDMACLR_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3CMPDMACLR;                     /*!< T3 CmpDMA clear Register                                              */
    
    struct {
      __IO uint32_t  CmpDMAClr  :  1;               /*!< Can forcibly clear a generated CmpDMA request.                        */
           uint32_t : 31; // padding
    } T3CMPDMACLR_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED59[450];
  
  union {
    __IO uint32_t  TITCR;                           /*!< Timer Integration test control Register                               */
    
    struct {
      __IO uint32_t  Test_Mode_Enable:  1;          /*!< Test mode control1: Test mode status0: Normal operation status        */
           uint32_t : 31; // padding
    } TITCR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TITOP;                           /*!< Timer Integration test output set Register                            */
    
    struct {
      __IO uint32_t  TestT0TIMINT:  1;              /*!< T0TIMINT signal output (only in test mode)1: T0TIMINT='1'0:
                                                         T0TIMINT='0'                                                          */
      __IO uint32_t  TestT1TIMINT:  1;              /*!< T1TIMINT signal output (only in test mode)1: T1TIMINT='1'0:
                                                         T1TIMINT='0'                                                          */
      __IO uint32_t  TestT2TIMINT:  1;              /*!< T2TIMINT signal output (only in test mode)1: T2TIMINT='1'0:
                                                         T2TIMINT='0'                                                          */
      __IO uint32_t  TestT3TIMINT:  1;              /*!< T3TIMINT signal output (only in test mode)1: T3TIMINT='1'0:
                                                         T3TIMINT='0'                                                          */
           uint32_t : 28; // padding
    } TITOP_b;                                      /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED60[2];
  
  union {
    __IO uint32_t  TOTSYNC;                         /*!< Timer Other Timer Synchronization Register                            */
    
    struct {
      __IO uint32_t  OTSync     :  8;               /*!< Controls TIMCLKEN of other timers.The timer that can be controlled
                                                         depends on connection. To establish synchronization with multiple
                                                          timers, OTSYNC[x] output from this timer should be connected
                                                          to TxTIMCLKEN of each timer. TxTIMCLKEN of this timer should
                                                          be connected to OTSYNC[x]. Each timer should have the same setting
                                                          value. The timer can be synchronously operated by writing 1
                                                          to connected OTSYNC[x:x] at the same time. (The following shows
                                                          a connection of TZ1000.)OTSYNC[0]-->ADVTMR:T0TIMCLKENOTSYNC[1]-->    */
           uint32_t : 24; // padding
    } TOTSYNC_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED61[3];
  
  union {
    __IO uint32_t  T0ITCMPCAPINT;                   /*!< T0 ITCompare_Capture Interrupt set Register                           */
    
    struct {
      __IO uint32_t  TestT0CAPINT:  1;              /*!< T0CAPINT output control1: T0CAMPINT='1'0: T0CAPINT='0'                */
           uint32_t             :  7;
      __IO uint32_t  TestT0CMPINT:  1;              /*!< T0CMPINT output control1: T0CMPINT='1'0: T0CMPINT='0'                 */
           uint32_t : 23; // padding
    } T0ITCMPCAPINT_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1ITCMPCAPINT;                   /*!< T1 ITCompare_Capture Interrupt set Register                           */
    
    struct {
      __IO uint32_t  TestT1CAPINT:  1;              /*!< T1CAPINT output control1: T1CAPINT='1'0: T1CAPINT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT1CMPINT:  1;              /*!< T1CMPINT output control1: T1CMPINT='1'0: T1CMPINT='0'                 */
           uint32_t : 23; // padding
    } T1ITCMPCAPINT_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2ITCMPCAPINT;                   /*!< T2 ITCompare_Capture Interrupt set Register                           */
    
    struct {
      __IO uint32_t  TestT2CAPINT:  1;              /*!< T2CAPINT output control1: T2CAPINT='1'0: T2CAPINT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT2CMPINT:  1;              /*!< T2CMPINT output control1: T2CMPINT='1'0: T2CMPINT='0'                 */
           uint32_t : 23; // padding
    } T2ITCMPCAPINT_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3ITCMPCAPINT;                   /*!< T3 ITCompare_Capture Interrupt set Register                           */
    
    struct {
      __IO uint32_t  TestT3CAPINT:  1;              /*!< T3CAPINT output control1: T3CAPINT='1'0: T3CAPINT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT3CMPINT:  1;              /*!< T3CMPINT output control1: T3CMPINT='1'0: T3CMPINT='0'                 */
           uint32_t : 23; // padding
    } T3ITCMPCAPINT_b;                              /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED62[4];
  
  union {
    __I  uint32_t  T0ITEVCNT;                       /*!< T0 ITEVCNT Input Register                                             */
    
    struct {
      __I  uint32_t  Test_T0EVCNTEN:  1;            /*!< T0EVCNTEN input status1: T0EVCNTEN='1'0: T0EVCNTEN='0'                */
      __I  uint32_t  Test_T0EVCNTSRC:  1;           /*!< T0EVCNTSRC input status1: T0EVCNTSRC='1'0: T0EVCNTSRC='0'             */
           uint32_t : 30; // padding
    } T0ITEVCNT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1ITEVCNT;                       /*!< T1 ITEVCNT Input Register                                             */
    
    struct {
      __I  uint32_t  Test_T1EVCNTEN:  1;            /*!< T1EVCNTEN input status1: T1EVCNTEN='1'0: T1EVCNTEN='0'                */
      __I  uint32_t  Test_T1EVCNTSRC:  1;           /*!< T1EVCNTSRC input status1: T1EVCNTSRC='1'0: T1EVCNTSRC='0'             */
           uint32_t : 30; // padding
    } T1ITEVCNT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2ITEVCNT;                       /*!< T2 ITEVCNT Input Register                                             */
    
    struct {
      __I  uint32_t  Test_T2EVCNTEN:  1;            /*!< T2EVCNTEN input status1: T2EVCNTEN='1'0: T2EVCNTEN='0'                */
      __I  uint32_t  Test_T2EVCNTSRC:  1;           /*!< T2EVCNTSRC input status1: T2EVCNTSRC='1'0: T2EVCNTSRC='0'             */
           uint32_t : 30; // padding
    } T2ITEVCNT_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3ITEVCNT;                       /*!< T3 ITEVCNT Input Register                                             */
    
    struct {
      __I  uint32_t  Test_T3EVCNTEN:  1;            /*!< T3EVCNTEN input status1: T3EVCNTEN='1'0: T3EVCNTEN='0'                */
      __I  uint32_t  Test_T3EVCNTSRC:  1;           /*!< T3EVCNTSRC input status1: T3EVCNTSRC='1'0: T3EVCNTSRC='0'             */
           uint32_t : 30; // padding
    } T3ITEVCNT_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED63[4];
  
  union {
    __IO uint32_t  T0ITCAPDRQCAPRQ;                 /*!< T0 ITCAPDMAREQ_CAPREQ Register                                        */
    
    struct {
      __I  uint32_t  TestT0CAPREQ:  1;              /*!< T0CAPREQ input status1: T0CAPREQ='1'0: T0CAPREQ='0'                   */
           uint32_t             :  7;
      __IO uint32_t  TestT0CAPDREQ:  1;             /*!< T0CAPDREQ output control1: T0CAPDMAREQ='1'0: T0CAPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T0ITCAPDRQCAPRQ_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0ITCAPDTCDCLR;                  /*!< T0 ITCAPDMATC_CAPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT0CAPDCLR:  1;             /*!< T0CAPDCLR input status1: T0CAPDMACLR='1'0: T0CAPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT0CAPDTC:  1;              /*!< T0CAPDTC input status1: T0CAPDMATC='1'0: T0CAPDMATC='0'               */
           uint32_t : 23; // padding
    } T0ITCAPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1ITCAPDRQCAPRQ;                 /*!< T1 ITCAPDMAREQ_CAPREQ Register                                        */
    
    struct {
      __I  uint32_t  TestT1CAPREQ:  1;              /*!< T1CAPREQ input status1: T1CAPREQ='1'0: T1CAPREQ='0'                   */
           uint32_t             :  7;
      __IO uint32_t  TestT1CAPDREQ:  1;             /*!< T1CAPDREQ output control1: T1CAPDMAREQ='1'0: T1CAPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T1ITCAPDRQCAPRQ_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1ITCAPDTCDCLR;                  /*!< T1 ITCAPDMATC_CAPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT1CAPDCLR:  1;             /*!< T1CAPDCLR input status1: T1CAPDMACLR='1'0: T1CAPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT1CAPDTC:  1;              /*!< T1CAPDTC input status1: T1CAPDMATC='1'0: T1CAPDMATC='0'               */
           uint32_t : 23; // padding
    } T1ITCAPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2ITCAPDRQCAPRQ;                 /*!< T2 ITCAPDMAREQ_CAPREQ Register                                        */
    
    struct {
      __I  uint32_t  TestT2CAPREQ:  1;              /*!< T2CAPREQ input status1: T2CAPREQ='1'0: T2CAPREQ='0'                   */
           uint32_t             :  7;
      __IO uint32_t  TestT2CAPDREQ:  1;             /*!< T2CAPDREQ output control1: T2CAPDMAREQ='1'0: T2CAPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T2ITCAPDRQCAPRQ_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2ITCAPDTCDCLR;                  /*!< T2 ITCAPDMATC_CAPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT2CAPDCLR:  1;             /*!< T2CAPDCLR input status1: T2CAPDMACLR='1'0: T2CAPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT2CAPDTC:  1;              /*!< T2CAPDTC input status1: T2CAPDMATC='1'0: T2CAPDMATC='0'               */
           uint32_t : 23; // padding
    } T2ITCAPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3ITCAPDRQCAPRQ;                 /*!< T3 ITCAPDMAREQ_CAPREQ Register                                        */
    
    struct {
      __I  uint32_t  TestT3CAPREQ:  1;              /*!< T3CAPREQ input status1: T3CAPREQ='1'0: T3CAPREQ='0'                   */
           uint32_t             :  7;
      __IO uint32_t  TestT3CAPDREQ:  1;             /*!< T3CAPDREQ output control1: T3CAPDMAREQ='1'0: T3CAPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T3ITCAPDRQCAPRQ_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3ITCAPDTCDCLR;                  /*!< T3 ITCAPDMATC_CAPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT3CAPDCLR:  1;             /*!< T3CAPDCLR input status1: T3CAPDMACLR='1'0: T3CAPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT3CAPDTC:  1;              /*!< T3CAPDTC input status1: T3CAPDMATC='1'0: T3CAPDMATC='0'               */
           uint32_t : 23; // padding
    } T3ITCAPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED64[8];
  
  union {
    __IO uint32_t  T0ITCMPDRQTFF;                   /*!< T0 ITCMPDMAREQ_TFFOUT Register                                        */
    
    struct {
      __IO uint32_t  TestT0TFFOUT:  1;              /*!< T0TFFOUT output control1: T0TFFOUT='1'0: T0TFFOUT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT0CMPDREQ:  1;             /*!< T0CMPDREQ output control1: T0CMPDMAREQ='1'0: T0CMPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T0ITCMPDRQTFF_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T0ITCMPDTCDCLR;                  /*!< T0 ITCMPDMATC_CMPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT0CMPDCLR:  1;             /*!< T0CMPDCLR input status1: T0CMPDMACLR='1'0: T0CMPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT0CMPDTC:  1;              /*!< T0CMPDTC input status1: T0CMPDMATC='1'0: T0CMPDMATC='0'               */
           uint32_t : 23; // padding
    } T0ITCMPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T1ITCMPDRQTFF;                   /*!< T1 ITCMPDMAREQ_TFFOUT Register                                        */
    
    struct {
      __IO uint32_t  TestT1TFFOUT:  1;              /*!< T1TFFOUT output control1: T1TFFOUT='1'0: T1TFFOUT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT1CMPDREQ:  1;             /*!< T1CMPDREQ output control1: T1CMPDMAREQ='1'0: T1CMPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T1ITCMPDRQTFF_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T1ITCMPDTCDCLR;                  /*!< T1 ITCMPDMATC_CMPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT1CMPDCLR:  1;             /*!< T1CMPDCLR input status1: T1CMPDMACLR='1'0: T1CMPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT1CMPDTC:  1;              /*!< T1CMPDTC input status1: T1CMPDMATC='1'0: T1CMPDMATC='0'               */
           uint32_t : 23; // padding
    } T1ITCMPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T2ITCMPDRQTFF;                   /*!< T2 ITCMPDMAREQ_TFFOUT Register                                        */
    
    struct {
      __IO uint32_t  TestT2TFFOUT:  1;              /*!< T2TFFOUT output control1: T2TFFOUT='1'0: T2TFFOUT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT2CMPDREQ:  1;             /*!< T2CMPDREQ output control1: T2CMPDMAREQ='1'0: T2CMPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T2ITCMPDRQTFF_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T2ITCMPDTCDCLR;                  /*!< T2 ITCMPDMATC_CMPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT2CMPDCLR:  1;             /*!< T2CMPDCLR input status1: T2CMPDMACLR='1'0: T2CMPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT2CMPDTC:  1;              /*!< T2CMPDTC input status1: T2CMPDMATC='1'0: T2CMPDMATC='0'               */
           uint32_t : 23; // padding
    } T2ITCMPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  T3ITCMPDRQTFF;                   /*!< T3 ITCMPDMAREQ_TFFOUT Register                                        */
    
    struct {
      __IO uint32_t  TestT3TFFOUT:  1;              /*!< T3TFFOUT output control1: T3TFFOUT='1'0: T3TFFOUT='0'                 */
           uint32_t             :  7;
      __IO uint32_t  TestT3CMPDREQ:  1;             /*!< T3CMPDREQ output control1: T3CMPDMAREQ='1'0: T3CMPDMAREQ='0'          */
           uint32_t : 23; // padding
    } T3ITCMPDRQTFF_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  T3ITCMPDTCDCLR;                  /*!< T3 ITCMPDMATC_CMPDMACLR Register                                      */
    
    struct {
      __I  uint32_t  TestT3CMPDCLR:  1;             /*!< T3CMPDCLR input status1: T3CMPDMACLR='1'0: T3CMPDMACLR='0'            */
           uint32_t             :  7;
      __I  uint32_t  TestT3CMPDTC:  1;              /*!< T3CMPDTC input status1: T3CMPDMATC='1'0: T3CMPDMATC='0'               */
           uint32_t : 23; // padding
    } T3ITCMPDTCDCLR_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  TIMCLKEN;                        /*!< Timer Clock Enable Register                                           */
    
    struct {
      __IO uint32_t  ADVTMR_T0TIMCLKEN:  1;         /*!< advtmr clock enable 01: Enable0: Disable                              */
      __IO uint32_t  ADVTMR_T1TIMCLKEN:  1;         /*!< advtmr clock enable 11: Enable0: Disable                              */
      __IO uint32_t  ADVTMR_T2TIMCLKEN:  1;         /*!< advtmr clock enable 21: Enable0: Disable                              */
      __IO uint32_t  ADVTMR_T3TIMCLKEN:  1;         /*!< advtmr clock enable 31: Enable0: Disable                              */
           uint32_t : 28; // padding
    } TIMCLKEN_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED65[7];
  
  union {
    __I  uint32_t  TPERIPHID0;                      /*!< Timer Peripheral ID0 Register                                         */
    
    struct {
      __I  uint32_t  Partnumber0:  8;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) SP804=>04                                */
           uint32_t : 24; // padding
    } TPERIPHID0_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPERIPHID1;                      /*!< Timer Peripheral ID1 Register                                         */
    
    struct {
      __I  uint32_t  Partnumber1:  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Partnumber(Lower) SP804=>8                                 */
      __I  uint32_t  Designer0  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Lower) 54=>4                                      */
           uint32_t : 24; // padding
    } TPERIPHID1_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPERIPHID2;                      /*!< Timer Peripheral ID2 Register                                         */
    
    struct {
      __I  uint32_t  Designer1  :  4;               /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Designer(Upper) 54=>5                                      */
      __I  uint32_t  Revision_number:  4;           /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Revision: 2nd=>2                                           */
           uint32_t : 24; // padding
    } TPERIPHID2_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPERIPHID3;                      /*!< Timer Peripheral ID3 Register                                         */
    
    struct {
      __I  uint32_t  Configuration: 16;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)Configuration: ba6 => 0216                                 */
           uint32_t : 16; // padding
    } TPERIPHID3_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPCELLID0;                       /*!< Timer PrimeCell ID0 Register                                          */
    
    struct {
      __I  uint32_t  ADVTMR_TPCellID0:  8;          /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TPCELLID0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPCELLID1;                       /*!< Timer PrimeCell ID1 Register                                          */
    
    struct {
      __I  uint32_t  ADVTMR_TPCellID1:  8;          /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TPCELLID1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPCELLID2;                       /*!< Timer PrimeCell ID2 Register                                          */
    
    struct {
      __I  uint32_t  ADVTMR_TPCellID2:  8;          /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TPCELLID2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  TPCELLID3;                       /*!< Timer PrimeCell ID3 Register                                          */
    
    struct {
      __I  uint32_t  TimerPCellID3:  8;             /*!< Peripheral ID (this register stores a value from a hardware
                                                         viewpoint.)                                                           */
           uint32_t : 24; // padding
    } TPCELLID3_b;                                  /*!< BitSize                                                               */
  };
} ADVTMR_Type;


/* ================================================================================ */
/* ================                     USB2FS                     ================ */
/* ================================================================================ */


/**
  * @brief usb2fs (USB2FS)
  */

typedef struct {                                    /*!< USB2FS Structure                                                      */
  
  union {
    __IO uint32_t  GOTGCTL;                         /*!< OTG Control and Status Register                                       */
    
    struct {
           uint32_t             :  6;
      __IO uint32_t  BvalidOvEn :  1;               /*!< BvalidOvEn                                                            */
      __IO uint32_t  BvalidOvVal:  1;               /*!< Mode: Device onlyB-Peripheral Session Valid Override Value (BvalidOvVal)Th
                                                         is bit is used to set Override value for Bvalid signal when [GOTGCTL].Bvali
                                                         dOvEn is set.0: Bvalid value is 0b0 when [GOTGCTL].BvalidOvEn
                                                         =11: Bvalid value is 0b1 when [GOTGCTL].BvalidOvEn =1                 */
           uint32_t             :  8;
      __I  uint32_t  ConIDSts   :  1;               /*!< Mode: Host and DeviceConnector ID Status (ConIDSts)Indicates
                                                         the connector ID status on a connect event.0: The DWC_otg core
                                                          is in A-Device mode1: The DWC_otg core is in B-Device mode           */
           uint32_t             :  2;
      __I  uint32_t  BSesVld    :  1;               /*!< Mode: Device onlyB-Session Valid (BSesVld)Indicates the Device
                                                         mode transceiver status.0: B-session is not valid.1: B-session
                                                          is valid.In OTG mode, you can use this bit to determine if the
                                                          device is connected or disconnected.Note: If you do not enable
                                                          OTG features (such as SRP and HNP), the read reset value will
                                                          be 1.The vbus assigns the values internally for non-SRP or non-HNP
                                                          configurations.                                                      */
      __IO uint32_t  OTGVer     :  1;               /*!< OTG Version (OTGVer)Indicates the OTG revision.0: OTG Version
                                                         1.3. In this version the core supports Data line pulsing and
                                                          VBus pulsing for SRP.1: OTG Version 2.0. In this version the
                                                          core supports only Data line pulsing for SRP.                        */
      __I  uint32_t  CurMod     :  1;               /*!< Current Mode of Operation (CurMod)Mode: Host and DeviceIndicates
                                                         the current mode.0: Device mode1: Host mode                           */
           uint32_t : 10; // padding
    } GOTGCTL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GOTGINT;                         /*!< OTG Interrupt Register                                                */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  SesEndDet  :  1;               /*!< Mode: Host and DeviceSession End Detected (SesEndDet)The core
                                                         sets this bit when the utmiotg_bvalid signal is deasserted.
                                                          This bit can be set only by the core and the application should
                                                          write 1 to clear it.                                                 */
           uint32_t             :  5;
      __IO uint32_t  SesReqSucStsChng:  1;          /*!< Mode: Host and DeviceSession Request Success Status Change (SesReqSucStsCh
                                                         ng)The core sets this bit on the success or failure of a session
                                                         request. The application must read the Session Request Success
                                                          bit in the OTG Control and Status register ([GOTGCTL].SesReqScs)
                                                          to check for success or failure. This bit can be set only by
                                                          the core and the application should write 1 to clear it.             */
      __IO uint32_t  HstNegSucStsChng:  1;          /*!< Mode: Host and DeviceHost Negotiation Success Status Change
                                                         (HstNegSucStsChng)The core sets this bit on the success or failure
                                                          of a USB host negotiation request. The application must read
                                                          the Host Negotiation Success bit of the OTG Control and Status
                                                          register ([GOTGCTL].HstNegScs) to check for success or failure.
                                                          This bit can be set only by the core and the application should
                                                          write 1 to clear it.                                                 */
           uint32_t             :  7;
      __IO uint32_t  HstNegDet  :  1;               /*!< Mode: Host and DeviceHost Negotiation Detected (HstNegDet)The
                                                         core sets this bit when it detects a host negotiation request
                                                          on the USB.This bit can be set only by the core and the application
                                                          should write 1 to clear it.                                          */
      __IO uint32_t  ADevTOUTChg:  1;               /*!< Mode: Host and DeviceA-Device Timeout Change (ADevTOUTChg)The
                                                         core sets this bit to indicate that the A-device has timed out
                                                          while waiting for the B-device to connect. This bit can be set
                                                          only by the core and the application should write 1 to clear
                                                          it.                                                                  */
           uint32_t : 13; // padding
    } GOTGINT_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAHBCFG;                         /*!< AHB Configuration Register                                            */
    
    struct {
      __IO uint32_t  GlblIntrMsk:  1;               /*!< Mode: Host and deviceGlobal Interrupt Mask (GlblIntrMsk)The
                                                         application uses this bit to mask or unmask the interrupt line
                                                          assertion to itself. Irrespective of this bits setting, the
                                                          interrupt status registers are updated by the core.0: Mask the
                                                          interrupt assertion to the application.1: Unmask the interrupt
                                                          assertion to the application                                         */
      __IO uint32_t  HBstLen    :  4;               /*!< Mode: Host and deviceBurst Length/Type (HBstLen)This field is
                                                         used in both External and Internal DMA modes. In External DMA
                                                          mode, these bits appear on dma_burst[3:0] ports, which can be
                                                          used by an external wrapper to interface the External DMA Controller
                                                          interface to Synopsys DW_ahb_dmac or ARM PrimeCell.External
                                                          DMA Mode defines the DMA burst length in terms of 32-bit words:0000:
                                                          1 word0001: 4 words0010: 8 words0011: 16 words0100: 32 words0101:
                                                          64 words0110: 128 words0111: 256 wordsOthers: ReservedInterna        */
      __IO uint32_t  DMAEn      :  1;               /*!< Mode: Host and deviceDMA Enable (DMAEn)0: Core operates in Slave
                                                         mode1: Core operates in a DMA modeThis bit is always 0 when
                                                          Slave-Only mode has been selected.                                   */
           uint32_t             :  1;
      __IO uint32_t  NPTxFEmpLvl:  1;               /*!< Mode: Host and deviceNon-Periodic TxFIFO Empty Level (NPTxFEmpLvl)This
                                                         bit is used only in Slave mode. In host mode and with Shared
                                                          FIFO with device mode, this bit indicates when the Non-Periodic
                                                          TxFIFO Empty Interrupt bit in the Core Interrupt register ([GINTSTS].NPTxF
                                                         Emp) is triggered. With dedicated FIFO in device mode, this bit
                                                          indicates when IN endpoint Transmit FIFO empty interrupt ([DIEPINTn].TxFEm
                                                         p) is triggered. Host mode and with Shared FIFO with device mode:0:
                                                          [GINTSTS].NPTxFEmp interrupt indica                                  */
           uint32_t             : 13;
      __IO uint32_t  RemMemSupp :  1;               /*!< Mode: Host and DeviceRemote Memory Support (RemMemSupp)This
                                                         bit is programmed to enable the functionality to wait for the
                                                          system DMA Done Signal for the DMA Write Transfers.- [GAHBCFG].RemMemSupp=
                                                         1The int_dma_req output signal is asserted when HSOTG DMA starts
                                                          write transfer to the external memory. When the core is done
                                                          with theTransfers it asserts int_dma_done signal to flag the
                                                          completion of DMA writes from HSOTG. The core then waits for
                                                          sys_dma_done signal from the system to proceed further and complete  */
      __IO uint32_t  NotiAllDmaWrit:  1;            /*!< Mode: Host and DeviceNotify all DMA Write Transactions (NotiAllDmaWrit)Thi
                                                         s bit is programmed to enable the System DMA Done functionality
                                                         for all the DMA write Transactions corresponding to the Channel/Endpoint.
                                                          This bit is valid only when [GAHBCFG].RemMemSupp is set to 1.-
                                                          [GAHBCFG].NotiAllDmaWrit = 1DWC_otg core asserts int_dma_req
                                                          for all the DMA write transactions on the AHB interface along
                                                          with int_dma_done, chep_last_transact and chep_number signal
                                                          information. The core waits for sys_dma_done signal                  */
      __IO uint32_t  AHBSingle  :  1;               /*!< Mode: Host and DeviceAHBSingleSupport (AHBSingle)This bit when
                                                         programmed supports Single transfers for the remaining data
                                                          in a transfer when the DWC_otg core is operating in DMA mode.0:
                                                          This is the default mode. When this bit is set to 0b0, the remaining
                                                          data in the transfer is sent using INCR burst size.1: When set
                                                          to 0b1, the remaining data in a transfer is sent using Single
                                                          burst size.Note: If this feature is enabled, the AHB RETRY and
                                                          SPLIT transfers still have INCR burst type. Enable this feature
                                                          whe                                                                  */
           uint32_t : 8; // padding
    } GAHBCFG_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GUSBCFG;                         /*!< USB Configuration Register                                            */
    
    struct {
      __IO uint32_t  TOutCal    :  3;               /*!< Mode: Host and DeviceHS/FS Timeout Calibration (TOutCal)The
                                                         number of PHY clocks that the application programs in this field
                                                          is added to the high-speed/full-speed interpacket timeout duration
                                                          in the core to account for any additional delays introduced
                                                          by the PHY. This can be required, because the delay introduced
                                                          by the PHY in generating the linestate condition can vary from
                                                          one PHY to another. The USB standard timeout value for high-speed
                                                          operation is 736 to 816 (inclusive) bit times. The USB standard
                                                          tim                                                                  */
      __I  uint32_t  PHYIf      :  1;               /*!< Mode: Host and DevicePHY Interface (PHYIf)The application uses
                                                         this bit to configure the core to support a UTMI+ PHY with an
                                                          8- or 16-bit interface. When a ULPI PHY is chosen, this must
                                                          be set to 8-bit mode.0: 8 bits1: 16 bitsThis bit is writable
                                                          only If UTMI+ and ULPI were selected. Otherwise, this bit returns
                                                          the value for the power-on interface selected during configuration.  */
           uint32_t             :  1;
      __IO uint32_t  FSIntf     :  1;               /*!< Mode: Host and DeviceFull-Speed Serial Interface Select (FSIntf)The
                                                         application uses this bit to select either a unidirectional
                                                          or bidirectional USB 1.1 full-speed serial transceiver interface.0:
                                                          6-pin unidirectional full-speed serial interface1: 3-pin bidirectional
                                                          full-speed serial interfaceIf a USB 1.1 Full-Speed Serial Transceiver
                                                          interface was not selected, this bit is always 0, with Read
                                                          Only access. If a USB 1.1 FS interface was selected, then the
                                                          application can set this bit to select between the 3                 */
      __IO uint32_t  PHYSel     :  1;               /*!< Mode: Host and DeviceUSB 2.0 High-Speed PHY or USB 1.1 Full-Speed
                                                         Serial Transceiver Select (PHYSel)The application uses this
                                                          bit to select either a high-speed UTMI+ or ULPI PHY, or a full-speed
                                                          transceiver.0: USB 2.0 high-speed UTMI+ or ULPI PHY1: USB 1.1
                                                          full-speed serial transceiverIf a USB 1.1 Full-Speed Serial
                                                          Transceiver interface was not selected, this bit is always 0,
                                                          with Read Only access. If a high-speed PHY interface was not
                                                          selected, this bit is always 1, with Read Only access. If both
                                                          interfac                                                             */
           uint32_t             :  3;
      __IO uint32_t  USBTrdTim  :  4;               /*!< Mode: Device onlyUSB Turnaround Time (USBTrdTim)Sets the turnaround
                                                         time in PHY clocks. Specifies the response time for a MAC request
                                                          to the Packet FIFO Controller (PFC) to fetch data from the DFIFO
                                                          (SPRAM). This must be programmed to0x5: When the MAC interface
                                                          is 16-bit UTMI+.0x9: When the MAC interface is 8-bit UTMI+.Note:
                                                          The values above are calculated for the minimum AHB frequency
                                                          of 30 MHz. USB turnaround time is critical for certification
                                                          where long cables and 5-Hubs are used, so If you need the AHB        */
           uint32_t             :  8;
      __IO uint32_t  TermSelDLPulse:  1;            /*!< Mode: Device onlyTermSel DLine Pulsing Selection (TermSelDLPulse)This
                                                         bit selects utmi_termselect to drive data line pulse during
                                                          SRP.0: Data line pulsing using utmi_txvalid (Default).1: Data
                                                          line pulsing using utmi_termsel.                                     */
           uint32_t             :  3;
      __I  uint32_t  IC_USBCap  :  1;               /*!< Mode: Host and DeviceIC_USB-Capable (IC_USBCap)The application
                                                         uses this bit to control the DWC_otg cores IC_USB capabilities.0:
                                                          IC_USB PHY Interface is not selected.1: IC_USB PHY Interface
                                                          is selected.                                                         */
           uint32_t             :  1;
      __IO uint32_t  TxEndDelay :  1;               /*!< Mode: Device onlyTx End Delay (TxEndDelay)Writing 0b1 to this
                                                         bit enables the core to follow the TxEndDelay timings as per
                                                          UTMI+ specification 1.05 section 4.1.5 for opmode signal during
                                                          remote wakeup.0: Normal Mode.1: Tx End delay.                        */
      __I  uint32_t  ForceDevMode:  2;              /*!< Reserved for future use.                                              */
      __IO uint32_t  CorruptTxPkt:  1;              /*!< Mode: Host and deviceCorrupt Tx packet (CorruptTxPkt)This bit
                                                         is for debug purposes only. Never set this bit to 1. Theapplication
                                                          should always write 0b0 to this bit.                                 */
    } GUSBCFG_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GRSTCTL;                         /*!< Reset Register                                                        */
    
    struct {
      __IO uint32_t  CSftRst    :  1;               /*!< Mode: Host and DeviceCore Soft Reset (CSftRst)Resets the hclk
                                                         and phy_clock domains as follows:- Clears the interrupts and
                                                          all the CSR registers except the following register bits:- [PCGCCTL].RstPd
                                                         wnModule- [PCGCCTL].GateHclk- [PCGCCTL].PwrClmp- [PCGCCTL].StopPPhyLPwrClkS
                                                         elclk- [GUSBCFG].PhyLPwrClkSel- [GUSBCFG].DDRSel- [GUSBCFG].PHYSel-
                                                          [GUSBCFG].FSIntf- [GUSBCFG].ULPI_UTMI_Sel- [GUSBCFG].PHYIf-
                                                          [GUSBCFG].TxEndDelay- [GUSBCFG].TermSelDLPulse- [GUSBCFG].ULPIClkSusM-
                                                          [GUSBCFG].ULPIAutoRes- [GUSBCFG].ULPIFsL                             */
      __IO uint32_t  PIUFSSftRst:  1;               /*!< Mode: Host and DevicePIU FS Dedicated Controller Soft Reset
                                                         (PIUFSSftRst)Resets the PIU FS Dedicated Controller All module
                                                          state machines in FS Dedicated Controller of PIU are reset to
                                                          the IDLE state. Used to reset the FS Dedicated controller in
                                                          PIU in case of any PHY Errors like Loss of activity or Babble
                                                          Error resulting in the PHY remaining in RX state for more than
                                                          one frame boundary. This is a self clearing bit and core clears
                                                          this bit after all the necessary logic is reset in the core.         */
      __IO uint32_t  FrmCntrRst :  1;               /*!< Mode: Host onlyHost Frame Counter Reset (FrmCntrRst)The application
                                                         writes this bit to reset the (micro)frame number counter inside
                                                          the core. When the (micro)frame counter is reset, the subsequent
                                                          SOF sent out by the core has a (micro)frame number of 0. If
                                                          the application writes 1 to the bit, it may not be able to read
                                                          back the value as it gets cleared by the core in a few clock
                                                          cycles.                                                              */
      __IO uint32_t  INTknQFlsh :  1;               /*!< Mode: Device onlyIN Token Sequence Learning Queue Flush (INTknQFlsh)The
                                                         application writes this bit to flush the IN Token Sequence Learning
                                                          Queue.                                                               */
      __IO uint32_t  RxFFlsh    :  1;               /*!< Mode: Host and DeviceRxFIFO Flush (RxFFlsh)The application can
                                                         flush the entire RxFIFO using this bit, but must first ensure
                                                          that the core is not in the middle of a transaction. The application
                                                          must only write to this bit after checking that the core is
                                                          neither reading from the RxFIFO nor writing to the RxFIFO. The
                                                          application must wait until the bit is cleared before performing
                                                          any other operations. This bit requires 8 clocks (slowest of
                                                          PHY or AHB clock) to clear.                                          */
      __IO uint32_t  TxFFlsh    :  1;               /*!< Mode: Host and DeviceTxFIFO Flush (TxFFlsh)This bit selectively
                                                         flushes a single or all transmit FIFOs, but cannot do so if
                                                          the core is in the midst of a transaction. The application must
                                                          write this bit only after checking that the core is neither
                                                          writing to the TxFIFO nor reading from the TxFIFO. Verify using
                                                          these registers:- Read - NAK Effective Interrupt ensures the
                                                          core is not reading from the FIFO- Write - [GRSTCTL].AHBIdle
                                                          ensures the core is not writing anything to the FIFO.Flushing
                                                          is normally rec                                                      */
      __IO uint32_t  TxFNum     :  5;               /*!< Mode: Host and DeviceTxFIFO Number (TxFNum)This is the FIFO
                                                         number that must be flushed using the TxFIFO Flush bit. This
                                                          field must not be changed until the core clears the TxFIFO Flush
                                                          bit.0x00:- Non-periodic TxFIFO flush in Host mode- Non-periodic
                                                          TxFIFO flush in device mode when in shared FIFO operation- Tx
                                                          FIFO 0 flush in device mode when in dedicated FIFO mode0x01:-
                                                          Periodic TxFIFO flush in Host mode- Periodic TxFIFO 1 flush
                                                          in Device mode when in shared FIFO operation- TXFIFO 1 flush
                                                          in device mode w                                                     */
           uint32_t             : 19;
      __I  uint32_t  DMAReq     :  1;               /*!< Mode: Host and DeviceDMA Request Signal (DMAReq)Indicates that
                                                         the DMA request is in progress. Used for debug.                       */
      __I  uint32_t  AHBIdle    :  1;               /*!< Mode: Host and DeviceAHB Master Idle (AHBIdle)Indicates that
                                                         the AHB Master State Machine is in the IDLE condition.                */
    } GRSTCTL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GINTSTS;                         /*!< Interrupt Register                                                    */
    
    struct {
      __I  uint32_t  CurMod     :  1;               /*!< Mode: Host and DeviceCurrent Mode of Operation (CurMod)Indicates
                                                         the current mode.0: Device mode1: Host mode                           */
      __IO uint32_t  ModeMis    :  1;               /*!< Mode: Host and DeviceMode Mismatch Interrupt (ModeMis)The core
                                                         sets this bit when the application is trying to access:- A Host
                                                          mode register, when the core is operating in Device mode- A
                                                          Device mode register, when the core is operating in Host modeThe
                                                          register access is completed on the AHB with an OKAY response,
                                                          but is ignored by the core internally and does not affect the
                                                          operation of the core. This bit can be set only by the core
                                                          and the application should write 1 to clear it.                      */
      __I  uint32_t  OTGInt     :  1;               /*!< Mode: Host and DeviceOTG Interrupt (OTGInt)The core sets this
                                                         bit to indicate an OTG protocol event. The application must
                                                          read the OTG Interrupt Status ([GOTGINT]) register to determine
                                                          the exact event that caused this interrupt. The application
                                                          must clear the appropriate status bit in the [GOTGINT] register
                                                          to clear this bit.                                                   */
      __IO uint32_t  Sof        :  1;               /*!< Mode: Host and DeviceStart of (micro)Frame (Sof)In Host mode,
                                                         the core sets this bit to indicate that an SOF (FS), micro-SOF
                                                          (HS), or Keep-Alive (LS) is transmitted on the USB. The application
                                                          must write a 1 to this bit to clear the interrupt.In Device
                                                          mode, in the core sets this bit to indicate that an SOF token
                                                          has been received on the USB. The application can read the Device
                                                          Status register to get the current (micro)Frame number. This
                                                          interrupt is seen only when the core is operating at either
                                                          HS or FS.                                                            */
      __I  uint32_t  RxFLvl     :  1;               /*!< Mode: Host and DeviceRxFIFO Non-Empty (RxFLvl)Indicates that
                                                         there is at least one packet pending to be read from the RxFIFO.      */
      __I  uint32_t  NPTxFEmp   :  1;               /*!< Mode: Host and DeviceNon-periodic TxFIFO Empty (NPTxFEmp)This
                                                         interrupt is asserted when the Non-periodic TxFIFO is either
                                                          half or completely empty, and there is space for at least one
                                                          entry to be written to the Non-periodic Transmit Request Queue.
                                                          The half or completely empty status is determined by the Non-periodic
                                                          TxFIFOEmpty Level bit in the Core AHB Configuration register
                                                          ([GAHBCFG].NPTxFEmpLvl).                                             */
      __I  uint32_t  GINNakEff  :  1;               /*!< Mode: Device onlyGlobal IN Non-periodic NAK Effective (GINNakEff)Indicates
                                                         that the Set Global Non-periodic IN NAK bit in the Device Control
                                                          register ([DCTL].SGNPInNak) set by the application has taken
                                                          effect in the core. That is, the core has sampled the Global
                                                          IN NAK bit set by the application. This bit can be cleared by
                                                          clearing the Clear Global Non-periodic IN NAK bit in the Device
                                                          Control register ([DCTL].CGNPInNak). This interrupt does not
                                                          necessarily mean that a NAK handshake is sent out on the USB.        */
      __I  uint32_t  GOUTNakEff :  1;               /*!< Global OUT NAK Effective (GOUTNakEff)Indicates that the Set
                                                         Global OUT NAK bit in the Device Control register ([DCTL].SGOUTNak)
                                                          set by the application has taken effect in the core. This bit
                                                          can be cleared by writing the Clear Global OUT NAK bit in the
                                                          Device Control register ([DCTL].CGOUTNak).                           */
           uint32_t             :  2;
      __IO uint32_t  ErlySusp   :  1;               /*!< Mode: Device onlyEarly Suspend (ErlySusp)The core sets this
                                                         bit to indicate that an Idle state has been detected on the
                                                          USB For 3 ms.                                                        */
      __IO uint32_t  USBSusp    :  1;               /*!< Mode: Device onlyUSB Suspend (USBSusp)The core sets this bit
                                                         to indicate that a suspend was detected on the USB. The core
                                                          enters the Suspend state when there is no activity on the linestate
                                                          signal for an extended period of time.                               */
      __IO uint32_t  USBRst     :  1;               /*!< Mode: Device onlyUSB Reset (USBRst)The core sets this bit to
                                                         indicate that a reset is detected on the USB.                         */
      __IO uint32_t  EnumDone   :  1;               /*!< Mode: Device onlyEnumeration Done (EnumDone)The core sets this
                                                         bit to indicate that speed enumeration is complete. The application
                                                          must read the Device Status ([DSTS]) register to obtain the
                                                          enumerated speed.                                                    */
      __IO uint32_t  ISOOutDrop :  1;               /*!< Mode: Device onlyIsochronous OUT Packet Dropped Interrupt (ISOOutDrop)The
                                                         core sets this bit when it fails to write an isochronous OUT
                                                          packet into the RxFIFO because the RxFIFO does not have enough
                                                          space to accommodate a maximum packet size packet for the isochronous
                                                          OUT endpoint.                                                        */
      __IO uint32_t  EOPF       :  1;               /*!< Mode: Device onlyEnd of Periodic Frame Interrupt (EOPF)Indicates
                                                         that the period specified in the Periodic Frame Interval field
                                                          of the Device Configuration register ([DCFG].PerFrInt) has been
                                                          reached in the current microframe.                                   */
           uint32_t             :  1;
      __IO uint32_t  EPMis      :  1;               /*!< Mode: Device onlyEndpoint Mismatch Interrupt (EPMis)Note: This
                                                         interrupt is valid only in shared FIFO operation.Indicates that
                                                          an IN token has been received for a non-periodic endpoint, but
                                                          the data for another endpoint is present in the top of the Non-periodic
                                                          Transmit FIFO and the IN endpoint mismatch count programmed
                                                          by the application has expired.                                      */
      __I  uint32_t  IEPInt     :  1;               /*!< Mode: Device onlyIN Endpoints Interrupt (IEPInt)The core sets
                                                         this bit to indicate that an interrupt is pending on one of
                                                          the IN endpoints of the core (in Device mode). The application
                                                          must read the Device All Endpoints Interrupt ([DAINT]) register
                                                          to determine the exact number of the IN endpoint on Device IN
                                                          Endpoint-n Interrupt ([DIEPINTn]) register to determine the
                                                          exact cause of the interrupt. The application must clear the
                                                          appropriate status bit in the corresponding [DIEPINTn] register
                                                          to clear this b                                                      */
      __I  uint32_t  OEPInt     :  1;               /*!< Mode: Device onlyOUT Endpoints Interrupt (OEPInt)The core sets
                                                         this bit to indicate that an interrupt is pending on one of
                                                          the OUT endpoints of the core (in Device mode). The application
                                                          must read the Device All Endpoints Interrupt ([DAINT]) register
                                                          to determine the exact number of the OUT endpoint on which the
                                                          interrupt occurred, and Then read the corresponding Device OUT
                                                          Endpoint-n Interrupt ([DOEPINTn]) register to determine the
                                                          exact cause of the interrupt. The application must clear the
                                                          appropriate s                                                        */
      __IO uint32_t  incompISOIN:  1;               /*!< Mode: Device onlyIncomplete Isochronous IN Transfer (incompISOIN)The
                                                         core sets this interrupt to indicate that there is at least
                                                          one isochronous IN endpoint on which the transfer is not completed
                                                          in the current microframe. This interrupt is asserted along
                                                          with the End of Periodic Frame Interrupt (EOPF) bit in this
                                                          register.Note: This interrupt is not asserted in Scatter/Gather
                                                          DMA mode.                                                            */
      __IO uint32_t  incompISOOUT:  1;              /*!< Incomplete Periodic Transfer (incomplP)Mode: Host onlyIn Host
                                                         mode, the core sets this interrupt bit when there are incomplete
                                                          periodic transactions still pending which are scheduled for
                                                          the current microframe.Incomplete Isochronous OUT Transfer (incompISOOUT)M
                                                         ode: Device onlyIn Device mode, the core sets this interrupt
                                                          to indicate that there is at least one isochronous OUT endpoint
                                                          on which the transfer is not completed in the current microframe.
                                                          This interrupt is asserted along with the End of Periodic F          */
      __IO uint32_t  FetSusp    :  1;               /*!< Mode: Device onlyData Fetch Suspended (FetSusp)This interrupt
                                                         is valid only in DMA mode. This interrupt indicates that the
                                                          core has stopped fetching data For IN endpoints due to the unavailability
                                                          of TxFIFO space or Request Queue space. This interrupt is used
                                                          by the application For an endpoint mismatch algorithm. For example,
                                                          after detecting an endpoint mismatch, the application:- Sets
                                                          a Global non-periodic IN NAK handshake- Disables In endpoints-
                                                          Flushes the FIFO- Determines the token sequence from the IN          */
      __IO uint32_t  ResetDet   :  1;               /*!< Mode: Device onlyReset detected Interrupt (ResetDet)In Device
                                                         mode, this interrupt is asserted when a reset is detected on
                                                          the USB in partial power-down mode when the device is in Suspend.In
                                                          Host mode, this interrupt is not asserted.                           */
           uint32_t             :  4;
      __IO uint32_t  ConIDStsChng:  1;              /*!< Mode: Host and DeviceConnector ID Status Change (ConIDStsChng)The
                                                         core sets this bit when there is a change in connector ID status.     */
           uint32_t             :  1;
      __IO uint32_t  SessReqInt :  1;               /*!< Mode: Host and DeviceSession Request/New Session Detected Interrupt
                                                         (SessReqInt)In Host mode, this interrupt is asserted when a
                                                          session request is detected from the device.In Device mode,
                                                          this interrupt is asserted when the utmisrp_bvalid signal goes
                                                          high.                                                                */
      __IO uint32_t  WkUpInt    :  1;               /*!< Mode: Host and DeviceResume/Remote Wakeup Detected Interrupt
                                                         (WkUpInt)Wakeup Interrupt during Suspend(L2) or LPM(L1) state.-
                                                          During Suspend (L2):- Device Mode - This interrupt is asserted
                                                          only when HostInitiated Resume is detected on USB.- Host Mode
                                                          - This interrupt is asserted only when DeviceInitiated Remote
                                                          Wakeup is detected on USB.- During LPM (L1):- Device Mode -
                                                          This interrupt is asserted for either Host InitiatedResume or
                                                          Device Initiated Remote Wakeup on USB.- Host Mode - This interrupt
                                                          is asserte                                                           */
    } GINTSTS_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GINTMSK;                         /*!< Interrupt Mask Register                                               */
    
    struct {
           uint32_t             :  1;
      __IO uint32_t  ModeMisMsk :  1;               /*!< Mode: Host and DeviceMode Mismatch Interrupt Mask (ModeMisMsk)        */
      __IO uint32_t  OTGIntMsk  :  1;               /*!< Mode: Host and DeviceOTG Interrupt Mask (OTGIntMsk)                   */
      __IO uint32_t  SofMsk     :  1;               /*!< Mode: Host and DeviceStart of (micro)Frame Mask (SofMsk)              */
      __IO uint32_t  RxFLvlMsk  :  1;               /*!< Mode: Host and DeviceReceive FIFO Non-Empty Mask (RxFLvlMsk)          */
      __IO uint32_t  NPTxFEmpMsk:  1;               /*!< Mode: Host and DeviceNon-periodic TxFIFO Empty Mask (NPTxFEmpMsk)     */
      __IO uint32_t  GINNakEffMsk:  1;              /*!< Mode: Device onlyGlobal Non-periodic IN NAK Effective Mask (GINNakEffMsk) */
      __IO uint32_t  GOUTNakEffMsk:  1;             /*!< Mode: Device onlyGlobal OUT NAK Effective Mask (GOUTNakEffMsk)        */
           uint32_t             :  2;
      __IO uint32_t  ErlySuspMsk:  1;               /*!< Mode: Device onlyEarly Suspend Mask (ErlySuspMsk)                     */
      __IO uint32_t  USBSuspMsk :  1;               /*!< Mode: Device onlyUSB Suspend Mask (USBSuspMsk)                        */
      __IO uint32_t  USBRstMsk  :  1;               /*!< Mode: Device onlyUSB Reset Mask (USBRstMsk)                           */
      __IO uint32_t  EnumDoneMsk:  1;               /*!< Mode: Device onlyEnumeration Done Mask (EnumDoneMsk)                  */
      __IO uint32_t  ISOOutDropMsk:  1;             /*!< Mode: Device only Isochronous OUT Packet Dropped InterruptMask
                                                         (ISOOutDropMsk)                                                       */
      __IO uint32_t  EOPFMsk    :  1;               /*!< Mode: Device onlyEnd of Periodic Frame Interrupt Mask (EOPFMsk)       */
           uint32_t             :  1;
      __IO uint32_t  EPMisMsk   :  1;               /*!< Mode: Device onlyEndpoint Mismatch Interrupt Mask (EPMisMsk)          */
      __IO uint32_t  IEPIntMsk  :  1;               /*!< Mode: Device onlyIN Endpoints Interrupt Mask (IEPIntMsk)              */
      __IO uint32_t  OEPIntMsk  :  1;               /*!< Mode: Device onlyOUT Endpoints Interrupt Mask (OEPIntMsk)             */
      __IO uint32_t  incompISOINMsk:  1;            /*!< Mode: Device onlyIncomplete Isochronous IN Transfer Mask (incompISOINMsk)T
                                                         his bit is enabled only when device periodic endpoints are enabled
                                                         in Dedicated TxFIFO mode.                                             */
      __IO uint32_t  incomplISOOUTMsk:  1;          /*!< Incomplete Periodic Transfer Mask (incomplPMsk)Mode: Host onlyIncomplete
                                                         Isochronous OUT Transfer Mask (incompISOOUTMsk)Mode: Device
                                                          only                                                                 */
      __IO uint32_t  FetSuspMsk :  1;               /*!< Mode: Device onlyData Fetch Suspended Mask (FetSuspMsk)               */
      __IO uint32_t  ResetDetMsk:  1;               /*!< Mode: Device onlyReset detected Interrupt Mask (ResetDetMsk)          */
           uint32_t             :  4;
      __IO uint32_t  ConIDStsChngMsk:  1;           /*!< Mode: Host and DeviceConnector ID Status Change Mask (ConIDStsChngMsk */
      __IO uint32_t  DisconnIntMsk:  1;             /*!< Mode: Host and DeviceDisconnect Detected Interrupt Mask (DisconnIntMsk */
      __IO uint32_t  SessReqIntMsk:  1;             /*!< Mode: Host and DeviceSession Request/New Session Detected Interrupt
                                                         Mask (SessReqIntMsk)                                                  */
      __IO uint32_t  WkUpIntMsk :  1;               /*!< Mode: Host and DeviceResume/Remote Wakeup Detected Interrupt
                                                         Mask (WkUpIntMsk)The WakeUp bit is used for LPM state wake up
                                                          in a way similar to that of wake up in suspend state.                */
    } GINTMSK_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GRXSTSR;                         /*!< Receive Status Debug Read Register                                    */
    
    struct {
      __I  uint32_t  EPNum      :  4;               /*!< Endpoint Number (EPNum)Indicates the endpoint number to which
                                                         the current received packet belongs.                                  */
      __I  uint32_t  BCnt       : 11;               /*!< Byte Count (BCnt)Indicates the byte count of the received data
                                                         packet                                                                */
      __I  uint32_t  DPID       :  2;               /*!< Data PID (DPID)Indicates the Data PID of the received OUT data
                                                         packet00: DATA010: DATA101: DATA211: MDATA                            */
      __I  uint32_t  PktSts     :  4;               /*!< Packet Status (PktSts)Indicates the status of the received packet0001:
                                                         Global OUT NAK (triggers an interrupt)0010: OUT data packet
                                                          received0011: OUT transfer completed (triggers an interrupt)0100:
                                                          SETUP transaction completed (triggers an interrupt)0110: SETUP
                                                          data packet receivedOthers: Reserved                                 */
      __I  uint32_t  FN         :  4;               /*!< Frame Number (FN)This is the least significant 4 bits of the
                                                         (micro)frame number in which the packet is received on the USB.
                                                          This field is supported only when isochronous OUT endpoints
                                                          are supported.                                                       */
           uint32_t : 7; // padding
    } GRXSTSR_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GRXSTSP;                         /*!< Receive Status Read /Pop Register                                     */
    
    struct {
      __I  uint32_t  EPNum      :  4;               /*!< Endpoint Number (EPNum)Indicates the endpoint number to which
                                                         the current received packet belongs.                                  */
      __I  uint32_t  BCnt       : 11;               /*!< Byte Count (BCnt)Indicates the byte count of the received data
                                                         packet.                                                               */
      __I  uint32_t  DPID       :  2;               /*!< Data PID (DPID)Indicates the Data PID of the received OUT data
                                                         packet00: DATA010: DATA101: DATA211: MDATA                            */
      __I  uint32_t  PktSts     :  4;               /*!< Packet Status (PktSts)Indicates the status of the received packet0001:
                                                         Global OUT NAK (triggers an interrupt)0010: OUT data packet
                                                          received0011: OUT transfer completed (triggers an interrupt)0100:
                                                          SETUP transaction completed (triggers an interrupt)0110: SETUP
                                                          data packet receivedOthers: Reserved                                 */
      __I  uint32_t  FN         :  4;               /*!< Frame Number (FN)This is the least significant 4 bits of the
                                                         (micro)frame number in which the packet is received on the USB.
                                                          This field is supported only when isochronous OUT endpoints
                                                          are supported.                                                       */
           uint32_t : 7; // padding
    } GRXSTSP_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GRXFSIZ;                         /*!< Receive FIFO Size Register                                            */
    
    struct {
      __IO uint32_t  RxFDep     :  8;               /*!< RxFIFO Depth (RxFDep)This value is in terms of 32-bit words.-
                                                         Minimum value is 16- Maximum value is 32,768Programmed values
                                                          must not exceed the power-on value.                                  */
           uint32_t : 24; // padding
    } GRXFSIZ_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GNPTXFSIZ;                       /*!< Non-periodic Transmit FIFO Size Register                              */
    
    struct {
      __IO uint32_t  NPTXFStAddr:  8;               /*!< Non-periodic Transmit RAM Start Address (NPTxFStAddr)This field
                                                         contains the memory start address for Non-periodic Transmit
                                                          FIFO RAM.Programmed values must not exceed the power-on value.       */
           uint32_t             :  8;
      __IO uint32_t  NPTXFDep   :  6;               /*!< Non-periodic TxFIFO Depth (NPTxFDep)This value is in terms of
                                                         32-bit words.- Minimum value is 16- Maximum value is 32,768Programmed
                                                          values must not exceed the power-on value.                           */
           uint32_t : 10; // padding
    } GNPTXFSIZ_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GNPTXSTS;                        /*!< Non-periodic Transmit FIFO/Queue Status Register                      */
    
    struct {
      __I  uint32_t  NPTxFSpcAvail: 16;             /*!< Non-periodic TxFIFO Space Avail (NPTxFSpcAvail)Indicates the
                                                         amount of free space available in the Non-periodic TxFIFO. Values
                                                          are in terms of 32-bit words.0x0000: Non-periodic TxFIFO is
                                                          full0x0001: 1 word available0x0002: 2 words availablen: n words
                                                          available (where 0 less than or equal to n less than or equal
                                                          to 32,768)0x8000: 32,768 words availableOthers: Reserved             */
      __I  uint32_t  NPTxQSpcAvail:  8;             /*!< Non-periodic Transmit Request Queue Space Available (NPTxQSpcAvail)Indicat
                                                         es the amount of free space available in the Non-periodic Transmit
                                                         Request Queue. This queue holds both IN and OUT requests in
                                                          Host mode. Device mode has only IN requests.0x00: Non-periodic
                                                          Transmit Request Queue is full0x01: 1 location available0x02:
                                                          2 locations availablen: n locations available (0 less than or
                                                          equal to n less than or equal to 8)Others: Reserved                  */
      __I  uint32_t  NPTxQTop   :  7;               /*!< Top of the Non-periodic Transmit Request Queue (NPTxQTop)Entry
                                                         in the Non-periodic Tx Request Queue that is currently being
                                                          processed by the MAC.- Bits [30:27]: Channel/endpoint number-
                                                          Bits [26:25]:00: IN/OUT token01: Zero-length transmit packet
                                                          (device IN/host OUT)10: PING/CSPLIT token11: Channel halt command-
                                                          Bit [24]: Terminate (last Entry for selected channel/endpoint)       */
           uint32_t : 1; // padding
    } GNPTXSTS_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[4];
  
  union {
    __I  uint32_t  GSNPSID;                         /*!< Synopsys ID Register                                                  */
    
    struct {
      __I  uint32_t  SynopsysID : 32;               /*!< Release number of the DWC_otg core currently being used.              */
    } GSNPSID_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[48];
  
  union {
    __IO uint32_t  DPTXFSIZ1;                       /*!< Device Periodic Transmit FIFO-n Size Register 1                       */
    
    struct {
      __IO uint32_t  DPTxFStAddr: 16;               /*!< Device Periodic TxFIFO RAM Start Address (DPTxFStAddr)This field
                                                         specifies the start address in the RAM for this periodic FIFO.
                                                          The power-on reset value of this register is the sum of the
                                                          Largest Rx Data FIFO Depth, Largest Non-periodic Tx Data FIFO
                                                          Depth, and all lower numbered Largest Device Mode Periodic Tx
                                                          Data FIFOn Depth.Programmed values must not exceed the power-on
                                                          value                                                                */
      __I  uint32_t  DPTxFSize  : 16;               /*!< Device Periodic TxFIFO Size (DPTxFSize)This value is in terms
                                                         of 32-bit words.- Minimum value is 4- Maximum value is 768            */
    } DPTXFSIZ1_b;                                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[446];
  
  union {
    __IO uint32_t  DCFG;                            /*!< Device Configuration Register                                         */
    
    struct {
      __IO uint32_t  DevSpd     :  2;               /*!< Device Speed (DevSpd)Indicates the speed at which the application
                                                         requires the core to enumerate, or the maximum speed the application
                                                          can support. However, the actual bus speed is determined only
                                                          after the chirp sequence is completed, and is based on the speed
                                                          of the USB host to which the core is connected.00: High speed
                                                          (USB 2.0 PHY clock is 30 MHz or 60 MHz)01: Full speed (USB 2.0
                                                          PHY clock is 30 MHz or 60 MHz)10: Low speed (USB 1.1 transceiver
                                                          clock is 6 MHz). If you select 6 MHz LS mode, you must do a          */
      __IO uint32_t  NZStsOUTHShk:  1;              /*!< Non-Zero-Length Status OUT Handshake (NZStsOUTHShk)The application
                                                         can use this field to select the handshake the core sends on
                                                          receiving a non zero-length data packet during the OUT transaction
                                                          of a control transfers Status stage.1: Send a STALL handshake
                                                          on a non zero-length status OUT transaction and do not send
                                                          the received OUT packet to the application.0: Send the received
                                                          OUT packet to the application (zero-length or non zero-length)
                                                          and send a handshake based on the NAK and STALL bits for the
                                                          endpoi                                                               */
      __IO uint32_t  Ena32KHzSusp:  1;              /*!< Enable 32 kHz Suspend mode (Ena32KHzSusp)This bit can be set
                                                         only if FS PHY interface is selected. Otherwise, this bit needs
                                                          to be set to zero. If FS PHY interface is chosen and this bit
                                                          is set, the PHY clock during Suspend must be switched from 48
                                                          MHz to 32 kHz.                                                       */
      __IO uint32_t  DevAddr    :  7;               /*!< Device Address (DevAddr)The application must program this field
                                                         after every SetAddress control command.                               */
      __IO uint32_t  PerFrInt   :  2;               /*!< Periodic Frame Interval (PerFrInt)Indicates the time within
                                                         a (micro)frame at which the application must be notified using
                                                          the End Of Periodic Frame Interrupt. This can be used to determine
                                                          if all the isochronous traffic for that (micro)frame is complete.00:
                                                          80% of the (micro)frame interval01: 85%10: 90%11: 95%                */
      __I  uint32_t  EnDevOutNak:  1;               /*!< Enable Device OUT NAK (EnDevOutNak)This bit enables setting
                                                         NAK for Bulk OUT endpoints after the transfer iscompleted for
                                                          Device mode Descriptor DMA mode.0: The core does not set NAK
                                                          after Bulk OUT transfer complete1: The core sets NAK after Bulk
                                                          OUT transfer completeThis is a one time programmable bit after
                                                          reset like any other DCFG register bits.                             */
      __IO uint32_t  XCVRDLY    :  1;               /*!< Enables or disables delay between xcvr_sel and txvalid during
                                                         device chirp1: Enable delay between xcvr_sel and txvalid during
                                                          Device chirp0: No delay between xcvr_sel and txvalid during
                                                          Device chirp                                                         */
      __IO uint32_t  ErraticIntMsk:  1;             /*!< Mode: DeviceErratic Error Interrupt Mask1: Mask early suspend
                                                         interrupt on erratic error0: Early suspend interrupt is generated
                                                          on erratic error                                                     */
           uint32_t             :  2;
      __IO uint32_t  EPMisCnt   :  5;               /*!< IN Endpoint Mismatch Count (EPMisCnt)This field is valid only
                                                         in shared FIFO operation.The application programs this field
                                                          with a count that determines when the core generates an Endpoint
                                                          Mismatch interrupt (GINTSTS.EPMis). The core loads this value
                                                          into an internal counter and decrements it. The counter is reloaded
                                                          whenever there is a match or when the counter expires. The width
                                                          of this counter depends on the depth of the Token Queue.             */
           uint32_t             :  1;
      __IO uint32_t  PerSchIntvl:  2;               /*!< Periodic Scheduling Interval (PerSchIntvl)PerSchIntvl must be
                                                         programmed only for Scatter/Gather DMA mode.This field specifies
                                                          the amount of time the Internal DMA engine must allocate For
                                                          fetching periodic IN endpoint data. Based on the number of periodic
                                                          endpoints, this value must be specified as 25,50 or 75% of (micro)frame.
                                                          When any periodic endpoints are active, the internal DMA engine
                                                          allocates the specified amount of time in fetching periodic
                                                          IN endpoint data. When no periodic endpoints are active, t           */
      __IO uint32_t  ResValid   :  6;               /*!< Resume Validation Period (ResValid)This field is effective only
                                                         when [DCFG].Ena32KHzSusp is set. It controls the resume period
                                                          when the core resumes from suspend. The core counts for 'ResValid'
                                                          number of clock cycles to detect a valid resume when this bit
                                                          is set.                                                              */
    } DCFG_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DCTL;                            /*!< Device Control Register                                               */
    
    struct {
      __IO uint32_t  RmtWkUpSig :  1;               /*!< Remote Wakeup Signaling (RmtWkUpSig)When the application sets
                                                         this bit, the core initiates remote signaling to wake the USB
                                                          host. The application must set thisbit to instruct the core
                                                          to exit the Suspend state. As specified in the USB 2.0 specification,
                                                          the application must clear this bit 1-15 ms after setting it.
                                                          If LPM is enabled and the core is in the L1 (Sleep) state, when
                                                          the application sets this bit, the core initiates L1 remote
                                                          signaling to wake up the USB host. The application must set
                                                          this bit to                                                          */
      __IO uint32_t  SftDiscon  :  1;               /*!< Soft Disconnect (SftDiscon)The application uses this bit to
                                                         signal the DWC_otg core to do a soft disconnect. As long as
                                                          this bit is set, the host does not see that the device is connected,
                                                          and the device does not receive signals on the USB. The core
                                                          stays in the disconnected state until the application clears
                                                          this bit. The minimum duration for which the core must keep
                                                          this bit set is specified in Table 5-55.0: Normal operation.
                                                          When this bit is cleared after a soft disconnect, the core drives
                                                          the phy_opmod                                                        */
      __I  uint32_t  GNPINNakSts:  1;               /*!< Global Non-periodic IN NAK Status (GNPINNakSts)0: A handshake
                                                         is sent out based on the data availability in the transmit FIFO.1:
                                                          A NAK handshake is sent out on all non-periodic IN endpoints,
                                                          irrespective of the data availability in the transmit FIFO.          */
      __I  uint32_t  GOUTNakSts :  1;               /*!< Global OUT NAK Status (GOUTNakSts)0: A handshake is sent based
                                                         on the FIFO Status and the NAK and STALL bit settings.1: No
                                                          data is written to the RxFIFO, irrespective of space availability.
                                                          Sends a NAK handshake on all packets, except on SETUP transactions.
                                                          All isochronous OUT packets are dropped.                             */
      __IO uint32_t  TstCtl     :  3;               /*!< Test Control (TstCtl)000: Test mode disabled001: Test_J mode010:
                                                         Test_K mode011: Test_SE0_NAK mode100: Test_Packet mode101: Test_Force_Enab
                                                         leOthers: Reserved                                                    */
      __IO uint32_t  SGNPInNak  :  1;               /*!< Set Global Non-periodic IN NAK (SGNPInNak)A write to this field
                                                         sets the Global Non-periodic IN NAK.The application uses this
                                                          bit to send a NAK handshake on all nonperiodic IN endpoints.
                                                          The core can also set this bit when a timeout condition is detected
                                                          on a non-periodic endpoint in shared FIFO operation.The application
                                                          must set this bit only after making sure that the Global IN
                                                          NAK Effective bit in the Core Interrupt Register ([GINTSTS].GINNakEff)
                                                          is cleared.                                                          */
      __IO uint32_t  CGNPInNak  :  1;               /*!< Clear Global Non-periodic IN NAK (CGNPInNak)A write to this
                                                         field clears the Global Non-periodic IN NAK.                          */
      __IO uint32_t  SGOUTNak   :  1;               /*!< Set Global OUT NAK (SGOUTNak)A write to this field sets the
                                                         Global OUT NAK.The application uses this bit to send a NAK handshake
                                                          on all OUT endpoints. The application must set the this bit
                                                          only after making sure that the Global OUT NAK Effective bit
                                                          in the Core Interrupt Register ([GINTSTS].GOUTNakEff) is cleared.    */
      __IO uint32_t  CGOUTNak   :  1;               /*!< Clear Global OUT NAK (CGOUTNak)A write to this field clears
                                                         the Global OUT NAK.                                                   */
      __IO uint32_t  PWROnPrgDone:  1;              /*!< Power-On Programming Done (PWROnPrgDone)The application uses
                                                         this bit to indicate that register programming is complete after
                                                          a wake-up from Power Down mode.                                      */
           uint32_t             :  3;
      __IO uint32_t  IgnrFrmNum :  1;               /*!< Ignore frame number for isochronous endpoints (IgnrFrmNum)Slave
                                                         Mode ([GAHBCFG].DMAEn=0):This bit is not valid in Slave mode
                                                          and should not beprogrammed to 1.Non-Scatter/Gather DMA mode([GAHBCFG].DMA
                                                         En=1, [DCFG].DescDMA=0):This bit is not used when Threshold mode
                                                          is enabled and should not be programmed to 1.In non-Scatter/Gather
                                                          DMA mode, the application receives transfer complete interrupt
                                                          after transfers for multiple (micro)frames are completed.- When
                                                          Scatter/Gather DMA mode is disabled, this field is us                */
      __IO uint32_t  NakOnBble  :  1;               /*!< NAK on Babble Error (NakOnBble)Set NAK automatically on babble
                                                         (NakOnBble). The core setsNAK automatically for the endpoint
                                                          on which babble is received.                                         */
           uint32_t : 15; // padding
    } DCTL_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DSTS;                            /*!< Device Status Register                                                */
    
    struct {
      __I  uint32_t  SuspSts    :  1;               /*!< Suspend Status (SuspSts)In Device mode, this bit is set as long
                                                         as a Suspend condition is detected on the USB. The core enters
                                                          the Suspend state when there is no activity on the phy_line_state_i
                                                          signal for an extended period of time. The core comes out of
                                                          the suspend under the following conditions:- If there is any
                                                          activity on the phy_line_state_i signal- If the application
                                                          writes to the Remote Wakeup Signaling bit in the Device Control
                                                          register ([DCTL].RmtWkUpSig).                                        */
      __I  uint32_t  EnumSpd    :  2;               /*!< Enumerated Speed (EnumSpd)Indicates the speed at which the DWC_otg
                                                         core has come up after speed detection through a chirp sequence.00:
                                                          High speed (PHY clock is running at 30 or 60 MHz)01: Full speed
                                                          (PHY clock is running at 30 or 60 MHz)10: Low speed (PHY clock
                                                          is running at 6 MHz)11: Full speed (PHY clock is running at
                                                          48 MHz)Low speed is not supported for devices using a UTMI+
                                                          PHY.                                                                 */
      __I  uint32_t  ErrticErr  :  1;               /*!< Erratic Error (ErrticErr)The core sets this bit to report any
                                                         erratic errors (phy_rxvalid_i/phy_rxvldh_i or phy_rxactive_i
                                                          is asserted For at least 2 ms, due to PHY error) seen on the
                                                          UTMI+. Due to erratic errors, the DWC_otg core goes into Suspend
                                                          state and an interrupt is generated to the application with
                                                          Early Suspend bit of the Core Interrupt register ([GINTSTS].ErlySusp).
                                                          If the early suspend is asserted because of an erratic error,
                                                          the application can only perform a soft disconnect recover.          */
           uint32_t             :  4;
      __I  uint32_t  SOFFN      : 14;               /*!< Frame or Microframe Number of the Received SOF (SOFFN)When the
                                                         core is operating at high speed, this field contains a microframe
                                                          number. When the core is operating at full or low speed, this
                                                          field contains a Frame number.Note: This register may return
                                                          a non zero value if read immediately after power on reset. In
                                                          case the register bit reads non zero immediately after power
                                                          on reset it does not indicate that SOF has been received from
                                                          the host. The read value of this interrupt is valid only after
                                                          a valid con                                                          */
      __I  uint32_t  DevLnSts   :  2;               /*!< Device Line Status (DevLnSts)Indicates the current logic level
                                                         USB data lines- Bit [23]: Logic level of D+- Bit [22]: Logic
                                                          level of D-                                                          */
           uint32_t : 8; // padding
    } DSTS_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3;
  
  union {
    __IO uint32_t  DIEPMSK;                         /*!< Device IN Endpoint Common Interrupt Mask Register                     */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Transfer Completed Interrupt Mask (XferComplMsk)                      */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Endpoint Disabled Interrupt Mask (EPDisbldMsk)                        */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< AHB Error Mask (AHBErrMsk)                                            */
      __IO uint32_t  TimeOUTMsk :  1;               /*!< Timeout Condition Mask (TimeOUTMsk) (Non-isochronous endpoints)       */
      __IO uint32_t  INTknTXFEmpMsk:  1;            /*!< IN Token Received When TxFIFO Empty Mask (INTknTXFEmpMsk)             */
      __IO uint32_t  INTknEPMisMsk:  1;             /*!< IN Token received with EP Mismatch Mask (INTknEPMisMsk)               */
      __IO uint32_t  INEPNakEffMsk:  1;             /*!< IN Endpoint NAK Effective Mask (INEPNakEffMsk)                        */
           uint32_t             :  1;
      __IO uint32_t  TxfifoUndrnMsk:  1;            /*!< Fifo Underrun Mask (TxfifoUndrnMsk)                                   */
           uint32_t             :  4;
      __IO uint32_t  NAKMsk     :  1;               /*!< NAK interrupt Mask (NAKMsk)                                           */
           uint32_t : 18; // padding
    } DIEPMSK_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPMSK;                         /*!< Device OUT Endpoint Common Interrupt Mask Register                    */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Transfer Completed Interrupt Mask (XferComplMsk)                      */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Endpoint Disabled Interrupt Mask (EPDisbldMsk)                        */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< AHB Error (AHBErrMsk)                                                 */
      __IO uint32_t  SetUPMsk   :  1;               /*!< SETUP Phase Done Mask (SetUPMsk)Applies to control endpoints
                                                         only.                                                                 */
      __IO uint32_t  OUTTknEPdisMsk:  1;            /*!< OUT Token Received when Endpoint Disabled Mask (OUTTknEPdisMsk)Applies
                                                         to control OUT endpoints only.                                        */
      __IO uint32_t  StsPhseRcvdMsk:  1;            /*!< Status Phase Received Mask (StsPhseRcvdMsk) Applies to control
                                                         OUT endpoints only.                                                   */
      __IO uint32_t  Back2BackSETup:  1;            /*!< Back-to-Back SETUP Packets Received Mask (Back2BackSETupMsk)Applies
                                                         to control OUT endpoints only.                                        */
           uint32_t             :  1;
      __IO uint32_t  OutPktErrMsk:  1;              /*!< OUT Packet Error Mask (OutPktErrMsk)                                  */
           uint32_t             :  3;
      __IO uint32_t  BbleErrMsk :  1;               /*!< Babble Error interrupt Mask (BbleErrMsk)                              */
      __IO uint32_t  NAKMsk     :  1;               /*!< NAK interrupt Mask (NAKMsk)                                           */
      __IO uint32_t  NYETMsk    :  1;               /*!< NYET interrupt Mask (NYETMsk)                                         */
           uint32_t : 17; // padding
    } DOEPMSK_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DAINT;                           /*!< Device All Endpoints Interrupt Register                               */
    
    struct {
      __I  uint32_t  InEpInt0   :  1;               /*!< IN Endpoint 0 Interrupt Bit                                           */
      __I  uint32_t  InEpInt1   :  1;               /*!< IN Endpoint 1 Interrupt Bit                                           */
      __I  uint32_t  InEpInt2   :  1;               /*!< IN Endpoint 2 Interrupt Bit                                           */
      __I  uint32_t  InEpInt3   :  1;               /*!< IN Endpoint 3 Interrupt Bit                                           */
           uint32_t             : 12;
      __I  uint32_t  OutEPInt0  :  1;               /*!< OUT Endpoint 0 Interrupt Bit                                          */
      __I  uint32_t  OutEPInt1  :  1;               /*!< OUT Endpoint 1 Interrupt Bit                                          */
      __I  uint32_t  OutEPInt2  :  1;               /*!< OUT Endpoint 2 Interrupt Bit                                          */
      __I  uint32_t  OutEPInt3  :  1;               /*!< OUT Endpoint 3 Interrupt Bit                                          */
           uint32_t : 12; // padding
    } DAINT_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DAINTMSK;                        /*!< Device All Endpoints Interrupt Mask Register                          */
    
    struct {
      __IO uint32_t  InEpMsk0   :  1;               /*!< IN Endpoint 0 Interrupt mask Bit                                      */
      __IO uint32_t  InEpMsk1   :  1;               /*!< IN Endpoint 1 Interrupt mask Bit                                      */
      __IO uint32_t  InEpMsk2   :  1;               /*!< IN Endpoint 2 Interrupt mask Bit                                      */
      __IO uint32_t  InEpMsk3   :  1;               /*!< IN Endpoint 3 Interrupt mask Bit                                      */
           uint32_t             : 12;
      __IO uint32_t  OutEPMsk0  :  1;               /*!< OUT Endpoint 0 Interrupt mask Bit                                     */
      __IO uint32_t  OutEPMsk1  :  1;               /*!< OUT Endpoint 1 Interrupt mask Bit                                     */
      __IO uint32_t  OutEPMsk2  :  1;               /*!< OUT Endpoint 2 Interrupt mask Bit                                     */
      __IO uint32_t  OutEPMsk3  :  1;               /*!< OUT Endpoint 3 Interrupt mask Bit                                     */
           uint32_t : 12; // padding
    } DAINTMSK_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTKNQR1;                         /*!< Device IN Token Sequence Learning Queue Read Register 1               */
    
    struct {
      __I  uint32_t  INTknWPtr  :  5;               /*!< IN Token Queue Write Pointer (INTknWPtr)                              */
           uint32_t             :  2;
      __I  uint32_t  WrapBit    :  1;               /*!< Wrap Bit (WrapBit)This bit is set when the write pointer wraps.
                                                         It is cleared when the learningqueue is cleared.                      */
      __I  uint32_t  EPTkn      : 24;               /*!< Endpoint Token (EPTkn)Four bits per token represent the endpoint
                                                         number of the token:- Bits [31:28]: Endpoint number of Token
                                                          5- Bits [27:24]: Endpoint number of Token 4.......- Bits [15:12]:
                                                          Endpoint number of Token 1- Bits [11:8]: Endpoint number of
                                                          Token 0                                                              */
    } DTKNQR1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTKNQR2;                         /*!< Device IN Token Sequence Learning Queue Read Register 2               */
    
    struct {
      __I  uint32_t  EPTkn      : 32;               /*!< Endpoint Token (EPTkn)Four bits per token represent the endpoint
                                                         number of the token:- Bits [31:28]: Endpoint number of Token
                                                          13- Bits [27:24]: Endpoint number of Token 12.......- Bits [7:4]:
                                                          Endpoint number of Token 7- Bits [3:0]: Endpoint number of Token
                                                          6                                                                    */
    } DTKNQR2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DVBUSDIS;                        /*!< Device VBUS Discharge Time Register                                   */
    
    struct {
      __IO uint32_t  DVBUSDis   : 16;               /*!< Device VBUS Discharge Time (DVBUSDis)Specifies the VBUS discharge
                                                         time after VBUS pulsing during SRP. This value equals: VBUS
                                                          discharge time in PHY clocks / 1,024The value you use depends
                                                          whether the PHY is operating at 30 MHz (16-bit data width) or
                                                          60 MHz (8-bit data width). Depending on your VBUS load, this
                                                          value can be adjusted.                                               */
           uint32_t : 16; // padding
    } DVBUSDIS_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DVBUSPULSE;                      /*!< Device VBUS Pulsing Time Register                                     */
    
    struct {
      __IO uint32_t  DVBUSPulse : 12;               /*!< Device VBUS Pulsing Time (DVBUSPulse)Specifies the VBUS pulsing
                                                         time during SRP. This value equals:VBUS pulsing time in PHY
                                                          clocks / 1,024The value you use depends whether the PHY is operating
                                                          at 30 MHz (16-bit data width) or 60 MHz (8-bit data width).          */
           uint32_t : 20; // padding
    } DVBUSPULSE_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTKNQR3;                         /*!< Device IN Token Sequence Learning Queue Read Register 3               */
    
    struct {
      __I  uint32_t  EPTkn      : 32;               /*!< Endpoint Token (EPTkn)Four bits per token represent the endpoint
                                                         number of the token:- Bits [31:28]: Endpoint number of Token
                                                          21- Bits [27:24]: Endpoint number of Token 20.......- Bits [7:4]:
                                                          Endpoint number of Token 15- Bits [3:0]: Endpoint number of
                                                          Token 14                                                             */
    } DTKNQR3_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTKNQR4;                         /*!< Device IN Token Sequence Learning Queue Read Register 4               */
    
    struct {
      __I  uint32_t  EPTkn      : 32;               /*!< Endpoint Token (EPTkn)Four bits per token represent the endpoint
                                                         number of the token:- Bits [31:28]: Endpoint number of Token
                                                          29- Bits [27:24]: Endpoint number of Token 28.......- Bits [7:4]:
                                                          Endpoint number of Token 23- Bits [3:0]: Endpoint number of
                                                          Token 22                                                             */
    } DTKNQR4_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DEACHINT;                        /*!< Device Each Endpoints Interrupt Register                              */
    
    struct {
      __I  uint32_t  EchInEpInt : 16;               /*!< IN Endpoint Interrupt Bits (EchInEpInt)One bit per IN Endpoint:-
                                                         Bit 0 for IN endpoint 0...- Bit 15 for endpoint 15                    */
      __I  uint32_t  EchOutEPInt: 16;               /*!< OUT Endpoint Interrupt Bits (EchOutEPInt)One bit per OUT endpoint:-
                                                         Bit 16 for OUT endpoint 0...- Bit 31 for OUT endpoint 15              */
    } DEACHINT_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEACHINTMSK;                     /*!< Device Each Endpoints Interrupt Mask Register                         */
    
    struct {
      __IO uint32_t  EchInEpMsk : 16;               /*!< IN EP Interrupt Mask Bits (EchInEpMsk)One bit per IN Endpoint:-
                                                         Bit 0 for IN endpoint 0...- Bit 15 for endpoint 15                    */
      __IO uint32_t  EchOutEpMsk: 16;               /*!< OUT EP Interrupt Mask Bits (EchOutEpMsk)One per OUT Endpoint:-
                                                         Bit 16 for IN endpoint 0...- Bit 31 for endpoint 15                   */
    } DEACHINTMSK_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPEACHMSK0;                    /*!< Device Each IN Endpoint 16 Interrupt Register                         */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Transfer Completed Interrupt Mask (XferComplMsk)                      */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Endpoint Disabled Interrupt Mask (EPDisbldMsk)                        */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< AHB Error Mask (AHBErrMsk)                                            */
      __IO uint32_t  TimeOUTMsk :  1;               /*!< Timeout Condition Mask (TimeOUTMsk) (Non-isochronous endpoints)       */
      __IO uint32_t  INTknTXFEmpMsk:  1;            /*!< IN Token Received When TxFIFO Empty Mask (INTknTXFEmpMsk)             */
      __IO uint32_t  INTknEPMisMsk:  1;             /*!< IN Token received with EP Mismatch Mask (INTknEPMisMsk)               */
      __IO uint32_t  INEPNakEffMsk:  1;             /*!< IN Endpoint NAK Effective Mask (INEPNakEffMsk)                        */
           uint32_t             :  1;
      __IO uint32_t  TxfifoUndrnMsk:  1;            /*!< Fifo Underrun Mask (TxfifoUndrnMsk)                                   */
           uint32_t             :  4;
      __IO uint32_t  NAKMsk     :  1;               /*!< NAK interrupt Mask (NAKMsk)                                           */
           uint32_t : 18; // padding
    } DIEPEACHMSK0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPEACHMSK1;                    /*!< Device Each IN Endpoint 1 Interrupt Register                          */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  TimeOUTMsk :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknTXFEmpMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknEPMisMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INEPNakEffMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  TxfifoUndrnMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  4;
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t : 18; // padding
    } DIEPEACHMSK1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPEACHMSK2;                    /*!< Device Each IN Endpoint 2 Interrupt Register                          */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  TimeOUTMsk :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknTXFEmpMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknEPMisMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INEPNakEffMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  TxfifoUndrnMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  4;
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t : 18; // padding
    } DIEPEACHMSK2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPEACHMSK3;                    /*!< Device Each IN Endpoint 3 Interrupt Register                          */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  TimeOUTMsk :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknTXFEmpMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INTknEPMisMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
      __IO uint32_t  INEPNakEffMsk:  1;             /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  TxfifoUndrnMsk:  1;            /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t             :  4;
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DIEPEACHMSK0]. */
           uint32_t : 18; // padding
    } DIEPEACHMSK3_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[12];
  
  union {
    __IO uint32_t  DOEPEACHMSK0;                    /*!< Device Each OUT Endpoint 16 Interrupt Register                        */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Transfer Completed Interrupt Mask (XferComplMsk)                      */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Endpoint Disabled Interrupt Mask (EPDisbldMsk)                        */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< AHB Error (AHBErrMsk)                                                 */
      __IO uint32_t  SetUPMsk   :  1;               /*!< SETUP Phase Done Mask (SetUPMsk)Applies to control endpoints
                                                         only.                                                                 */
      __IO uint32_t  OUTTknEPdisMsk:  1;            /*!< OUT Token Received when Endpoint Disabled Mask (OUTTknEPdisMsk)Applies
                                                         to control OUT endpoints only.                                        */
           uint32_t             :  1;
      __IO uint32_t  Back2BackSETup:  1;            /*!< Back-to-Back SETUP Packets Received Mask (Back2BackSETup)Applies
                                                         to control OUT endpoints only.                                        */
           uint32_t             :  1;
      __IO uint32_t  OutPktErrMsk:  1;              /*!< OUT Packet Error Mask (OutPktErrMsk)                                  */
           uint32_t             :  3;
      __IO uint32_t  BbleErrMsk :  1;               /*!< Babble Error interrupt Mask (BbleErrMsk)                              */
      __IO uint32_t  NAKMsk     :  1;               /*!< NAK interrupt Mask (NAKMsk)                                           */
      __IO uint32_t  NYETMsk    :  1;               /*!< NYET interrupt Mask (NYETMsk)                                         */
           uint32_t : 17; // padding
    } DOEPEACHMSK0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPEACHMSK1;                    /*!< Device Each OUT Endpoint 1 Interrupt Register                         */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  SetUPMsk   :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  OUTTknEPdisMsk:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  OutPktErrMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  3;
      __IO uint32_t  BbleErrMsk :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NYETMsk    :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t : 17; // padding
    } DOEPEACHMSK1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPEACHMSK2;                    /*!< Device Each OUT Endpoint 2 Interrupt Register                         */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  SetUPMsk   :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  OUTTknEPdisMsk:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  OutPktErrMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  3;
      __IO uint32_t  BbleErrMsk :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NYETMsk    :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t : 17; // padding
    } DOEPEACHMSK2_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPEACHMSK3;                    /*!< Device Each OUT Endpoint 3 Interrupt Register                         */
    
    struct {
      __IO uint32_t  XferComplMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  EPDisbldMsk:  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  AHBErrMsk  :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  SetUPMsk   :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  OUTTknEPdisMsk:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  1;
      __IO uint32_t  OutPktErrMsk:  1;              /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t             :  3;
      __IO uint32_t  BbleErrMsk :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NAKMsk     :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
      __IO uint32_t  NYETMsk    :  1;               /*!< Refer to the description of the corresponding field in [DOEPEACHMSK0]. */
           uint32_t : 17; // padding
    } DOEPEACHMSK3_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[28];
  
  union {
    __IO uint32_t  DIEPCTL0;                        /*!< Device Control IN Endpoint 0 Control Register                         */
    
    struct {
      __IO uint32_t  MPS        :  2;               /*!< Maximum Packet Size (MPS)Applies to IN and OUT endpoints.The
                                                         application must program this field with the maximum packet
                                                          size for the current logical endpoint.00: 64 bytes01: 32 bytes10:
                                                          16 bytes11: 8 bytes                                                  */
           uint32_t             :  9;
      __IO uint32_t  NextEp     :  4;               /*!< Next Endpoint (NextEp)Applies to non-periodic IN endpoints only.Indicates
                                                         the endpoint number to be fetched after the data for the current
                                                          endpoint is fetched. The core can access this field, even when
                                                          the Endpoint Enable (EPEna) bit is not set. This field is not
                                                          valid in Slave mode.Note: This field is valid only for Shared
                                                          FIFO operations.                                                     */
      __I  uint32_t  USBActEP   :  1;               /*!< USB Active Endpoint (USBActEP)This bit is always set to 1, indicating
                                                         that control endpoint 0 is always active in all configurations
                                                          and interfaces.                                                      */
           uint32_t             :  1;
      __I  uint32_t  NAKSts     :  1;               /*!< NAK Status (NAKSts)Indicates the following:0: The core is transmitting
                                                         non-NAK handshakes based on the FIFO status1: The core is transmitting
                                                          NAK handshakes on this endpoint.When this bit is set, either
                                                          by the application or core, the core stops transmitting data,
                                                          even If there is data available in the TxFIFO. Irrespective
                                                          of this bit setting, the core always responds to SETUP data
                                                          packets with an ACK handshake.                                       */
      __I  uint32_t  EPType     :  2;               /*!< Endpoint Type (EPType)Hardcoded to 00 for control.                    */
           uint32_t             :  1;
      __IO uint32_t  Stall      :  1;               /*!< STALL Handshake (Stall)The application sets this bit, and the
                                                         core clears it when a SETUP token is received for this endpoint.
                                                          If a NAK bit, Global Non-periodic IN NAK, or Global OUT NAK
                                                          is set along with this bit, the STALL bit takes priority.            */
      __IO uint32_t  TxFNum     :  4;               /*!< TxFIFO Number (TxFNum)For Shared FIFO operation, this value
                                                         is always set to 0, indicating that control IN endpoint 0 data
                                                          is always written in the Non-Periodic Transmit FIFO.For Dedicated
                                                          FIFO operation, only FIFO0 can be used for EP0.                      */
      __IO uint32_t  CNAK       :  1;               /*!< Clear NAK (CNAK)A write to this bit clears the NAK bit for the
                                                         endpoint.                                                             */
      __IO uint32_t  SNAK       :  1;               /*!< Set NAK (SNAK)A write to this bit sets the NAK bit for the endpoint.
                                                         Using this bit, the application can control the transmission
                                                          of NAK handshakes on an endpoint. The core can also set this
                                                          bit for an endpoint after a SETUP packet is received on that
                                                          endpoint.                                                            */
           uint32_t             :  2;
      __IO uint32_t  EPDis      :  1;               /*!< Endpoint Disable (EPDis)The application sets this bit to stop
                                                         transmitting data on an endpoint even before the transfer for
                                                          that endpoint is complete. The application must wait for the
                                                          Endpoint Disabled interrupt before treating the endpoint as
                                                          disabled. The core clears this bit before setting the Endpoint
                                                          Disabled Interrupt. The application must set this bit only If
                                                          Endpoint Enable is already set for this endpoint. This bit is
                                                          valid only when DMA mode is enabled.                                 */
      __IO uint32_t  EPEna      :  1;               /*!< Endpoint Enable (EPEna)When Scatter/Gather DMA mode is enabled
                                                         for IN endpoints, this bit indicates that the descriptor structure
                                                          and data buffer with data ready to transmit is setup. When Scatter/Gather
                                                          DMA mode is disabled (such as in buffer pointer based DMA mode)
                                                          this bit indicates that data is ready to be transmitted on the
                                                          endpoint. The core clears this bit before setting the following
                                                          interrupts on this endpoint:- Endpoint Disabled- Transfer Completed  */
    } DIEPCTL0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6;
  
  union {
    __IO uint32_t  DIEPINT0;                        /*!< Device IN Endpoint 0 Interrupt Register                               */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Transfer Completed Interrupt (XferCompl)Applies to IN and OUT
                                                         endpoints.- When Scatter/Gather DMA mode is enabled- For IN
                                                          endpoint this field indicates that the requested data from the
                                                          descriptor is moved from external system memory to internal
                                                          FIFO.- For OUT endpoint this field indicates that the requested
                                                          data from the internal FIFO is moved to external system memory.
                                                          This interrupt is generated only when the corresponding endpoint
                                                          descriptor is closed, and the IOC bit for the corresponding
                                                          descriptor is                                                        */
      __IO uint32_t  EPDisbld   :  1;               /*!< Endpoint Disabled Interrupt (EPDisbld)Applies to IN and OUT
                                                         endpoints.This bit indicates that the endpoint is disabled per
                                                          the applications request.                                            */
      __IO uint32_t  AHBErr     :  1;               /*!< AHB Error (AHBErr)Applies to IN and OUT endpoints.This is generated
                                                         only in Internal DMA mode when there is an AHB error during
                                                          an AHB read/write. The application can read the corresponding
                                                          endpoint DMA address register to get the error address.              */
      __IO uint32_t  TimeOUT    :  1;               /*!< Timeout Condition (TimeOUT)- In shared TX FIFO mode, applies
                                                         to non-isochronous IN endpoints only.- In dedicated FIFO mode,
                                                          applies only to Control IN endpoints.- In Scatter/Gather DMA
                                                          mode, the TimeOUT interrupt is not asserted.Indicates that the
                                                          core has detected a timeout condition on the USB for the last
                                                          IN token on this endpoint.                                           */
      __IO uint32_t  INTknTXFEmp:  1;               /*!< IN Token Received When TxFIFO is Empty (INTknTXFEmp)Indicates
                                                         that an IN token was received when the associated TxFIFO (periodic/non-per
                                                         iodic) was empty. This interrupt is asserted on theendpoint for
                                                          which the IN token was received.                                     */
      __IO uint32_t  INTknEPMis :  1;               /*!< IN Token Received with EP Mismatch (INTknEPMis)Applies to non-periodic
                                                         IN endpoints only.Indicates that the data in the top of the
                                                          non-periodic TxFIFO belongs to an endpoint other than the one
                                                          for which the IN token was received. This interrupt is asserted
                                                          on the endpoint for which the IN token was received.                 */
      __IO uint32_t  INEPNakEff :  1;               /*!< IN Endpoint NAK Effective (INEPNakEff)This bit should be cleared
                                                         by writing a 0b1 before writing a 0b1 to corresponding [DIEPCTLn].CNAK.The
                                                          interrupt indicates that the IN endpoint NAK bit set by the
                                                          application has taken effect in the core.This interrupt does
                                                          not guarantee that a NAK handshake is sent on the USB. A STALL
                                                          bit takes priority over a NAK bit.This bit is applicable only
                                                          when the endpoint is enabled.                                        */
      __I  uint32_t  TxFEmp     :  1;               /*!< Transmit FIFO Empty (TxFEmp)This bit is valid only for IN EndpointsThis
                                                         interrupt is asserted when the TxFIFO for this endpoint is either
                                                          half or completely empty. The half or completely empty status
                                                          is determined by the TxFIFO Empty Level bit in the Core AHB
                                                          Configuration register ([GAHBCFG].NPTxFEmpLvl)).                     */
           uint32_t             :  1;
      __IO uint32_t  BNAIntr    :  1;               /*!< BNA (Buffer Not Available) Interrupt (BNAIntr)The core generates
                                                         this interrupt when the descriptor accessed is not ready for
                                                          the Core to process, such as Host busy or DMA doneDependency:
                                                          This bit is valid only when Scatter/Gather DMA mode is enabled.      */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Packet Dropped Status (PktDrpSts)This bit indicates to the application
                                                         that an ISOC OUT packet has been dropped. This bit does not
                                                          have an associated mask bit and does not generate an interrupt.Dependency:
                                                          This bit is valid in non Scatter/Gather DMA mode when periodic
                                                          transfer interrupt feature is selected.                              */
      __IO uint32_t  BbleErr    :  1;               /*!< BbleErr (Babble Error) interrupt (BbleErrIntrpt)The core generates
                                                         this interrupt when babble is received for the endpoint.              */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< NAK interrupt (NAKIntrpt)The core generates this interrupt when
                                                         a NAK is transmitted. In case of isochronous IN endpoints the
                                                          interrupt gets generated when a zero length packet is transmitted
                                                          due to unavailability of data in the TXFifo.                         */
      __IO uint32_t  NYETIntrpt :  1;               /*!< NYET interrupt (NYETIntrpt)The core generates this interrupt
                                                         when a NYET response is transmitted for a non isochronous OUT
                                                          endpoint.                                                            */
           uint32_t : 17; // padding
    } DIEPINT0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7;
  
  union {
    __IO uint32_t  DIEPTSIZ0;                       /*!< Device IN Endpoint 0 Transfer Size Register                           */
    
    struct {
      __IO uint32_t  XferSize   :  7;               /*!< Transfer Size (XferSize)Indicates the transfer size in bytes
                                                         for endpoint 0. The core interrupts the application only after
                                                          it has exhausted the transfer size amount of data. The transfer
                                                          size can be set to the maximum packet size of the endpoint,
                                                          to be interrupted at the end of each packet.The core decrements
                                                          this field every time a packet from the external memory is written
                                                          to the TxFIFO.                                                       */
           uint32_t             : 12;
      __IO uint32_t  PktCnt     :  2;               /*!< Packet Count (PktCnt)Indicates the total number of USB packets
                                                         that constitute the Transfer Size amount of data for endpoint
                                                          0.This field is decremented every time a packet (maximum size
                                                          or short packet) is read from the TxFIFO.                            */
           uint32_t : 11; // padding
    } DIEPTSIZ0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPDMA0;                        /*!< Device IN Endpoint 0 DMA Address Register                             */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< DMA Address (DMAAddr)Holds the start address of the external
                                                         memory for storing or fetching endpoint data.Note: For control
                                                          endpoints, this field stores control OUT data packets as well
                                                          as SETUP transaction data packets. When more than three SETUP
                                                          packets are received back-to-back, the SETUP data packet in
                                                          the memory is overwritten.This register is incremented on every
                                                          AHB transaction. The application can give only a DWORD-aligned
                                                          address.- When Scatter/Gather DMA mode is not enabled, the application
                                                          progr                                                                */
    } DIEPDMA0_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTXFSTS0;                        /*!< Device IN Endpoint Transmit FIFO Status Register 0                    */
    
    struct {
      __I  uint32_t  INEPTxFSpcAvail: 16;           /*!< IN Endpoint TxFIFO Space Avail (INEPTxFSpcAvail)Indicates the
                                                         amount of free space available in the Endpoint TxFIFO.Values
                                                          are in terms of 32-bit words.0x0000: Endpoint TxFIFO is full0x0001:
                                                          1 word available0x0002: 2 words availablen: n words available
                                                          (where 0 less than or equal to n less than or equal to 32,768)0x8000:
                                                          32,768 words availableOthers: Reserved                               */
           uint32_t : 16; // padding
    } DTXFSTS0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8;
  
  union {
    __IO uint32_t  DIEPCTL1;                        /*!< Device Control IN Endpoint 1 Control Register                         */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Maximum Packet Size (MPS)Applies to IN and OUT endpoints.The
                                                         application must program this field with the maximum packet
                                                          size for the current logical endpoint. This value is in bytes.       */
      __IO uint32_t  NextEp     :  4;               /*!< Next Endpoint (NextEp)Applies to non-periodic IN endpoints only.Indicates
                                                         the endpoint number to be fetched after the data for the currentendpoint
                                                          is fetched. The core can access this field, even when the EndpointEnable
                                                          (EPEna) bit is low. This field is not valid in Slave mode operation.Note:
                                                          This field is valid only for Shared FIFO operations.                 */
      __I  uint32_t  USBActEP   :  1;               /*!< USB Active Endpoint (USBActEP)Applies to IN and OUT endpoints.Indicates
                                                         whether this endpoint is active in the current configuration
                                                          and interface. The core clears this bit for all endpoints (other
                                                          than EP 0) after detecting a USB reset. After receiving the
                                                          SetConfiguration and SetInterface commands, the application
                                                          must program endpoint registers accordingly and set this bit.        */
      __I  uint32_t  DPID       :  1;               /*!< Endpoint Data PID (DPID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Contains the PID of the packet to be received
                                                          or transmitted on this endpoint.The application must program
                                                          the PID of the first packet to be received or transmitted on
                                                          this endpoint, after the endpoint is activated. The applications
                                                          use the SetD1PID and SetD0PID fields of this register to program
                                                          either DATA0 or DATA1 PID.0: DATA01: DATA1This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __I  uint32_t  NAKSts     :  1;               /*!< NAK Status (NAKSts)Applies to IN and OUT endpoints.Indicates
                                                         the following:0: The core is transmitting non-NAK handshakes
                                                          based on the FIFO status.1: The core is transmitting NAK handshakes
                                                          on this endpoint.When either the application or the core sets
                                                          this bit:- The core stops receiving any data on an OUT endpoint,
                                                          even if there is space in the RxFIFO to accommodate the incoming
                                                          packet.- For non-isochronous IN endpoints: The core stops transmitting
                                                          any data on an IN endpoint, even if there data is availabl           */
      __I  uint32_t  EPType     :  2;               /*!< Endpoint Type (EPType)Applies to IN and OUT endpoints.This is
                                                         the transfer type supported by this logical endpoint.00: Control01:
                                                          Isochronous10: Bulk11: Interrupt                                     */
           uint32_t             :  1;
      __IO uint32_t  Stall      :  1;               /*!< STALL Handshake (Stall)Applies to non-control, non-isochronous
                                                         IN and OUT endpoints only.The application sets this bit to stall
                                                          all tokens from the USB host to this endpoint.If a NAK bit,
                                                          Global Non-periodic IN NAK, or Global OUT NAK is set along with
                                                          this bit, the STALL bit takes priority. Only the application
                                                          can clear this bit, never the core.                                  */
      __IO uint32_t  TxFNum     :  4;               /*!< TxFIFO Number (TxFNum)Shared FIFO Operation-non-periodic endpoints
                                                         must set this bit to zero.Periodic endpoints must map this to
                                                          the corresponding Periodic TxFIFO number.0x0: Non-Periodic TxFIFOOthers:
                                                          Specified Periodic TxFIFO.numberNote: An interrupt IN endpoint
                                                          can be configured as a non-periodic endpoint for applications
                                                          such as mass storage. The core treats an IN endpoint as a nonperiodic
                                                          endpoint if the TxFNum field is set to 0. Otherwise, a separate
                                                          periodic FIFO must be allocated for an interrupt I                   */
      __IO uint32_t  CNAK       :  1;               /*!< Clear NAK (CNAK)Applies to IN and OUT endpoints.A write to this
                                                         bit clears the NAK bit for the endpoint.                              */
      __IO uint32_t  SNAK       :  1;               /*!< Set NAK (SNAK)Applies to IN and OUT endpoints.A write to this
                                                         bit sets the NAK bit for the endpoint.Using this bit, the application
                                                          can control the transmission of NAK handshakes on an endpoint.
                                                          The core can also set this bit for OUT endpoints on a Transfer
                                                          Completed interrupt, or after a SETUP is received on the endpoint.   */
      __IO uint32_t  SetD0PID   :  1;               /*!< Set DATA0 PID (SetD0PID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Writing to this field sets the Endpoint Data
                                                          PID (DPID) field in this register to DATA0.This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __IO uint32_t  SetD1PID   :  1;               /*!< Set DATA1 PID (SetD1PID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Writing to this field sets the Endpoint Data
                                                          PID (DPID) field in this register to DATA1.This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __IO uint32_t  EPDis      :  1;               /*!< Endpoint Disable (EPDis)Applies to IN and OUT endpoints.The
                                                         application sets this bit to stop transmitting/receiving data
                                                          on an endpoint, even before the transfer for that endpoint is
                                                          complete. The application must wait for the Endpoint Disabled
                                                          interrupt before treating the endpoint as disabled. The core
                                                          clears this bit before setting the Endpoint Disabled interrupt.
                                                          The application must set this bit only if Endpoint Enable is
                                                          already set for this endpoint.                                       */
      __IO uint32_t  EPEna      :  1;               /*!< Endpoint Enable (EPEna)Applies to IN and OUT endpoints.- When
                                                         Scatter/Gather DMA mode is enabled,- For IN endpoints this bit
                                                          indicates that the descriptor structure and data buffer with
                                                          data ready to transmit is setup.- For OUT endpoint it indicates
                                                          that the descriptor structure and data buffer to receive data
                                                          is setup.- When Scatter/Gather DMA mode is enabled-such as for
                                                          buffer-pointer based DMA mode:- For IN endpoints, this bit indicates
                                                          that data is ready to be transmitted on the endpoint.- For OUT
                                                          endp                                                                 */
    } DIEPCTL1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9;
  
  union {
    __IO uint32_t  DIEPINT1;                        /*!< Device IN Endpoint 1 Interrupt Register                               */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  TimeOUT    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknTXFEmp:  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknEPMis :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INEPNakEff :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __I  uint32_t  TxFEmp     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t : 17; // padding
    } DIEPINT1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10;
  
  union {
    __IO uint32_t  DIEPTSIZ1;                       /*!< Device IN Endpoint 1 Transfer Size Register                           */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Transfer Size (XferSize)This field contains the transfer size
                                                         in bytes for the current endpoint. The transfer size (XferSize)
                                                          = Sum of buffer sizes across all descriptors in the list for
                                                          the endpoint.In Buffer DMA, the core only interrupts the application
                                                          after it has exhausted the transfer size amount of data. The
                                                          transfer size can be set to the maximum packet size of the endpoint,
                                                          to be interrupted at the end of each packet.- IN Endpoints:
                                                          The core decrements this field every time a packet from the
                                                          exter                                                                */
      __IO uint32_t  PktCnt     : 10;               /*!< Packet Count (PktCnt)Indicates the total number of USB packets
                                                         that constitute the Transfer Size amount of data for this endpoint
                                                          (PktCnt = XferSize / MPS).- IN Endpoints: This field is decremented
                                                          every time a packet (maximum size or short packet) is read from
                                                          the TxFIFO.- OUT Endpoints: This field is decremented every
                                                          time a packet (maximum size or short packet) is written to the
                                                          RxFIFO.                                                              */
      __IO uint32_t  MC         :  2;               /*!< Multi Count (MC)Applies to IN endpoints only.For periodic IN
                                                         endpoints, this field indicates the number of packets that must
                                                          be transmitted per microframe on the USB. The core uses this
                                                          field to calculate the data PID for isochronous IN endpoints.01:
                                                          1 packet10: 2 packets11: 3 packetsFor non-periodic IN endpoints,
                                                          this field is valid only in Internal DMA mode. It specifies
                                                          the number of packets the core must fetch for an IN endpoint
                                                          before it switches to the endpoint pointed to by the Next Endpoint
                                                          Endpoin                                                              */
           uint32_t : 1; // padding
    } DIEPTSIZ1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPDMA1;                        /*!< Device IN Endpoint 1 DMA Address Register                             */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DIEPDMA0].DMAAddr.                       */
    } DIEPDMA1_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTXFSTS1;                        /*!< Device IN Endpoint Transmit FIFO Status Register 1                    */
    
    struct {
      __I  uint32_t  INEPTxFSpcAvail: 16;           /*!< Refer to the description of [DTXFSTS0].INEPTxFSpcAvail.               */
           uint32_t : 16; // padding
    } DTXFSTS1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11;
  
  union {
    __IO uint32_t  DIEPCTL2;                        /*!< Device Control IN Endpoint 2 Control Register                         */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  NextEp     :  4;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  USBActEP   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  DPID       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  NAKSts     :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  EPType     :  2;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
           uint32_t             :  1;
      __IO uint32_t  Stall      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  TxFNum     :  4;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  CNAK       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SNAK       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SetD0PID   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SetD1PID   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  EPDis      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  EPEna      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
    } DIEPCTL2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED12;
  
  union {
    __IO uint32_t  DIEPINT2;                        /*!< Device IN Endpoint 2 Interrupt Register                               */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  TimeOUT    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknTXFEmp:  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknEPMis :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INEPNakEff :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __I  uint32_t  TxFEmp     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t : 17; // padding
    } DIEPINT2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED13;
  
  union {
    __IO uint32_t  DIEPTSIZ2;                       /*!< Device IN Endpoint 2 Transfer Size Register                           */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Refer to the description of [DIEPTSIZ1]XferSize                       */
      __IO uint32_t  PktCnt     : 10;               /*!< Refer to the description of [DIEPTSIZ1].PktCnt.                       */
      __IO uint32_t  MC         :  2;               /*!< Refer to the description of [DIEPTSIZ1].MC.                           */
           uint32_t : 1; // padding
    } DIEPTSIZ2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPDMA2;                        /*!< Device IN Endpoint 2 DMA Address Register                             */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DIEPDMA0].DMAAddr.                       */
    } DIEPDMA2_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTXFSTS2;                        /*!< Device IN Endpoint Transmit FIFO Status Register 2                    */
    
    struct {
      __I  uint32_t  INEPTxFSpcAvail: 16;           /*!< Refer to the description of [DTXFSTS0].INEPTxFSpcAvail.               */
           uint32_t : 16; // padding
    } DTXFSTS2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED14;
  
  union {
    __IO uint32_t  DIEPCTL3;                        /*!< Device Control IN Endpoint 3 Control Register                         */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  NextEp     :  4;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  USBActEP   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  DPID       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  NAKSts     :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __I  uint32_t  EPType     :  2;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
           uint32_t             :  1;
      __IO uint32_t  Stall      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  TxFNum     :  4;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  CNAK       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SNAK       :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SetD0PID   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  SetD1PID   :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  EPDis      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
      __IO uint32_t  EPEna      :  1;               /*!< Refer to the description of the corresponding field in DIEPCTL1].     */
    } DIEPCTL3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED15;
  
  union {
    __IO uint32_t  DIEPINT3;                        /*!< Device IN Endpoint 3 Interrupt Register                               */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  TimeOUT    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknTXFEmp:  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INTknEPMis :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  INEPNakEff :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __I  uint32_t  TxFEmp     :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DIEPINT0].    */
           uint32_t : 17; // padding
    } DIEPINT3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED16;
  
  union {
    __IO uint32_t  DIEPTSIZ3;                       /*!< Device IN Endpoint 3 Transfer Size Register                           */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Refer to the description of [DIEPTSIZ1]XferSize                       */
      __IO uint32_t  PktCnt     : 10;               /*!< Refer to the description of [DIEPTSIZ1].PktCnt.                       */
      __IO uint32_t  MC         :  2;               /*!< Refer to the description of [DIEPTSIZ1].MC.                           */
           uint32_t : 1; // padding
    } DIEPTSIZ3_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DIEPDMA3;                        /*!< Device IN Endpoint 3 DMA Address Register                             */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DIEPDMA0].DMAAddr.                       */
    } DIEPDMA3_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DTXFSTS3;                        /*!< Device IN Endpoint Transmit FIFO Status Register 3                    */
    
    struct {
      __I  uint32_t  INEPTxFSpcAvail: 16;           /*!< Refer to the description of [DTXFSTS0].INEPTxFSpcAvail.               */
           uint32_t : 16; // padding
    } DTXFSTS3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED17[97];
  
  union {
    __IO uint32_t  DOEPCTL0;                        /*!< Device Control OUT Endpoint 0 Control Register                        */
    
    struct {
      __IO uint32_t  MPS        :  2;               /*!< Maximum Packet Size (MPS)The maximum packet size for control
                                                         OUT endpoint 0 is the same as what is programmed in control
                                                          IN Endpoint 0.00: 64 bytes01: 32 bytes10: 16 bytes11: 8 bytes        */
           uint32_t             : 13;
      __I  uint32_t  USBActEP   :  1;               /*!< USB Active Endpoint (USBActEP)This bit is always set to 1, indicating
                                                         that a control endpoint 0 is always active in all configurations
                                                          and interfaces.                                                      */
           uint32_t             :  1;
      __I  uint32_t  NAKSts     :  1;               /*!< NAK Status (NAKSts)Indicates the following:0: The core is transmitting
                                                         non-NAK handshakes based on the FIFO status.1: The core is transmitting
                                                          NAK handshakes on this endpoint.When either the application
                                                          or the core sets this bit, the core stops receiving data, even
                                                          If there is space in the RxFIFO to accommodate the incoming
                                                          packet. Irrespective of this bit setting, the core always responds
                                                          to SETUP data packets with an ACK handshake.                         */
      __I  uint32_t  EPType     :  2;               /*!< Endpoint Type (EPType)Hardcoded to 0b00 for control                   */
      __IO uint32_t  Snp        :  1;               /*!< Snoop Mode (Snp)This bit configures the endpoint to Snoop mode.
                                                         In Snoop mode, the core does not check if the OUT packets are
                                                          correct before transferring them to application memory.              */
      __IO uint32_t  Stall      :  1;               /*!< STALL Handshake (Stall)The application sets this bit, and the
                                                         core clears it, when a SETUP token is received for this endpoint.
                                                          If a NAK bit or Global OUT NAK is set along with this bit, the
                                                          STALL bit takes priority. Irrespective of this bit setting,
                                                          the core always responds to SETUP data packets with an ACK handshake. */
           uint32_t             :  4;
      __IO uint32_t  CNAK       :  1;               /*!< Clear NAK (CNAK)A write to this bit clears the NAK bit for the
                                                         endpoint.                                                             */
      __IO uint32_t  SNAK       :  1;               /*!< Set NAK (SNAK)A write to this bit sets the NAK bit for the endpoint.
                                                         Using this bit, the application can control the transmission
                                                          of NAK handshakes on an endpoint.The core can also Set bit on
                                                          a Transfer Completed interrupt, or after a SETUP is received
                                                          on the endpoint.                                                     */
           uint32_t             :  2;
      __IO uint32_t  EPDis      :  1;               /*!< Endpoint Disable (EPDis)The application cannot disable control
                                                         OUT endpoint 0.                                                       */
      __IO uint32_t  EPEna      :  1;               /*!< Endpoint Enable (EPEna)When Scatter/Gather DMA mode is enabled,
                                                         for OUT endpoints this bit indicates that the descriptor structure
                                                          and data buffer to receive data is set up.When Scatter/Gather
                                                          DMA mode is disabled (such as for buffer-pointer based DMA mode),
                                                          this bit indicates that the application has allocated the memory
                                                          to start receiving data from the USB.The core clears this bit
                                                          before setting any of the following interrupts on this endpoint:-
                                                          SETUP Phase Done- Endpoint Disabled- Transfer CompletedNote          */
    } DOEPCTL0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED18;
  
  union {
    __IO uint32_t  DOEPINT0;                        /*!< Device OUT Endpoint 0 Interrupt Register                              */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Transfer Completed Interrupt (XferCompl)Applies to IN and OUT
                                                         endpoints.- When Scatter/Gather DMA mode is enabled- For IN
                                                          endpoint this field indicates that the requested data from the
                                                          descriptor is moved from external system memory to internal
                                                          FIFO.- For OUT endpoint this field indicates that the requested
                                                          data from the internal FIFO is moved to external system memory.
                                                          This interrupt is generated only when the corresponding endpoint
                                                          descriptor is closed, and the IOC bit for the corresponding
                                                          descriptor is                                                        */
      __IO uint32_t  EPDisbld   :  1;               /*!< Endpoint Disabled Interrupt (EPDisbld)Applies to IN and OUT
                                                         endpoints.This bit indicates that the endpoint is disabled per
                                                          the applications request.                                            */
      __IO uint32_t  AHBErr     :  1;               /*!< AHB Error (AHBErr)Applies to IN and OUT endpoints.This is generated
                                                         only in Internal DMA mode when there is an AHB error during
                                                          an AHB read/write. The application can read the corresponding
                                                          endpoint DMA address register to get the error address.              */
      __IO uint32_t  SetUp      :  1;               /*!< SETUP Phase Done (SetUp)Applies to control OUT endpoints only.Indicates
                                                         that the SETUP phase for the control endpoint is complete and
                                                          no more back-to-back SETUP packets were received for the current
                                                          control transfer. On this interrupt, the application can decode
                                                          the received SETUP data packet.                                      */
      __IO uint32_t  OUTTknEPdis:  1;               /*!< OUT Token Received When Endpoint Disabled (OUTTknEPdis)Indicates
                                                         that an OUT token was received when the endpoint was not yet
                                                          enabled. This interrupt is asserted on the endpoint for which
                                                          the OUT token was received.                                          */
      __IO uint32_t  StsPhseRcvd:  1;               /*!< Status Phase Received For Control Write (StsPhseRcvd)This interrupt
                                                         is valid only for Control OUT endpoints.This interrupt is generated
                                                          only after the core has transferred all the data that the host
                                                          has sent during the data phase of a control write transfer,
                                                          to the system memory buffer.The interrupt indicates to the application
                                                          that the host has switched from data phase to the status phase
                                                          of a Control Write transfer. The application can use this interrupt
                                                          to ACK or STALL the Status phase, after it has dec                   */
      __IO uint32_t  Back2BackSETup:  1;            /*!< Back-to-Back SETUP Packets Received (Back2BackSETup)Applies
                                                         to Control OUT endpoints only.This bit indicates that the core
                                                          has received more than three back-to-back SETUP packets for
                                                          this particular endpoint.This bit is not valid in Slave mode.        */
           uint32_t             :  2;
      __IO uint32_t  BNAIntr    :  1;               /*!< BNA (Buffer Not Available) Interrupt (BNAIntr)The core generates
                                                         this interrupt when the descriptor accessed is not ready for
                                                          the Core to process, such as Host busy or DMA doneDependency:
                                                          This bit is valid only when Scatter/Gather DMA mode is enabled.      */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Packet Dropped Status (PktDrpSts)This bit indicates to the application
                                                         that an ISOC OUT packet has been dropped. This bit does not
                                                          have an associated mask bit and does not generate an interrupt.Dependency:
                                                          This bit is valid in non Scatter/Gather DMA mode when periodic
                                                          transfer interrupt feature is selected.                              */
      __IO uint32_t  BbleErr    :  1;               /*!< BbleErr (Babble Error) interrupt (BbleErrIntrpt)The core generates
                                                         this interrupt when babble is received for the endpoint.              */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< NAK interrupt (NAKIntrpt)The core generates this interrupt when
                                                         a NAK is transmitted. In case of isochronous IN endpoints the
                                                          interrupt gets generated when a zero length packet is transmitted
                                                          due to unavailability of data in the TXFifo.                         */
      __IO uint32_t  NYETIntrpt :  1;               /*!< NYET interrupt (NYETIntrpt)The core generates this interrupt
                                                         when a NYET response is transmitted for a non isochronous OUT
                                                          endpoint.                                                            */
      __IO uint32_t  StupPktRcvd:  1;               /*!< Setup Packet ReceivedApplicable for Control OUT Endpoints in
                                                         only in the Buffer DMA ModeSet by the DWC_otg core, this bit
                                                          indicates that this buffer holds 8 bytes of setup data. There
                                                          is only one Setup packet per buffer. On receiving a Setup packet,
                                                          the DWC_otg core closes the buffer and disables the corresponding
                                                          endpoint after SETUP_COMPLETE status is seen in the Rx FIFO.
                                                          The DWC_otg core puts a SETUP_COMPLETE status into the Rx FIFO
                                                          when it sees the first IN or OUT token after the SETUP packet
                                                          for that                                                             */
           uint32_t : 16; // padding
    } DOEPINT0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED19;
  
  union {
    __IO uint32_t  DOEPTSIZ0;                       /*!< Device OUT Endpoint 0 Transfer Size Register                          */
    
    struct {
      __IO uint32_t  XferSize   :  7;               /*!< Transfer Size (XferSize)Indicates the transfer size in bytes
                                                         for endpoint 0. The core interrupts the application only after
                                                          it has exhausted the transfer size amount of data. The transfer
                                                          size can be set to the maximum packet size of the endpoint,
                                                          to be interrupted at the end of each packet.The core decrements
                                                          this field every time a packet is read from the RxFIFO and written
                                                          to the external memory.                                              */
           uint32_t             : 12;
      __IO uint32_t  PktCnt     :  1;               /*!< Packet Count (PktCnt)This field is decremented to zero after
                                                         a packet is written into the RxFIFO.                                  */
           uint32_t             :  9;
      __IO uint32_t  SUPCnt     :  2;               /*!< SETUP Packet Count (SUPCnt)This field specifies the number of
                                                         back-to-back SETUP data packets the endpoint can receive.01:
                                                          1 packet10: 2 packets11: 3 packets                                   */
           uint32_t : 1; // padding
    } DOEPTSIZ0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPDMA0;                        /*!< Device OUT Endpoint 0 DMA Address Register                            */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< DMA Address (DMAAddr)Holds the start address of the external
                                                         memory for storing or fetching endpoint data.Note: For control
                                                          endpoints, this field stores control OUT data packets as well
                                                          as SETUP transaction data packets. When more than three SETUP
                                                          packets are received back-to-back, the SETUP data packet in
                                                          the memory is overwritten.This register is incremented on every
                                                          AHB transaction. The application can give only a DWORD-aligned
                                                          address.- When Scatter/Gather DMA mode is not enabled, the application
                                                          progr                                                                */
    } DOEPDMA0_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED20[2];
  
  union {
    __IO uint32_t  DOEPCTL1;                        /*!< Device Control OUT Endpoint 1 Control Register                        */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Maximum Packet Size (MPS)Applies to IN and OUT endpoints.The
                                                         application must program this field with the maximum packet
                                                          size for the current logical endpoint. This value is in bytes.       */
      __IO uint32_t  NextEp     :  4;               /*!< Next Endpoint (NextEp)Applies to non-periodic IN endpoints only.Indicates
                                                         the endpoint number to be fetched after the data for the current
                                                          endpoint is fetched. The core can access this field, even when
                                                          the Endpoint Enable (EPEna) bit is low. This field is not valid
                                                          in Slave mode operation.Note: This field is valid only for Shared
                                                          FIFO operations.                                                     */
      __I  uint32_t  USBActEP   :  1;               /*!< USB Active Endpoint (USBActEP)Applies to IN and OUT endpoints.Indicates
                                                         whether this endpoint is active in the current configuration
                                                          and interface. The core clears this bit for all endpoints (other
                                                          than EP 0) after detecting a USB reset. After receiving the
                                                          SetConfiguration and SetInterface commands, the application
                                                          must program endpoint registers accordingly and set this bit.        */
      __I  uint32_t  DPID       :  1;               /*!< Endpoint Data PID (DPID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Contains the PID of the packet to be received
                                                          or transmitted on this endpoint.The application must program
                                                          the PID of the first packet to be received or transmitted on
                                                          this endpoint, after the endpoint is activated. The applications
                                                          use the SetD1PID and SetD0PID fields of this register to program
                                                          either DATA0 orDATA1 PID.0: DATA01: DATA1This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __I  uint32_t  NAKSts     :  1;               /*!< NAK Status (NAKSts)Applies to IN and OUT endpoints.Indicates
                                                         the following:0: The core is transmitting non-NAK handshakes
                                                          based on the FIFO status.1: The core is transmitting NAK handshakes
                                                          on this endpoint.When either the application or the core sets
                                                          this bit:- The core stops receiving any data on an OUT endpoint,
                                                          even if there is space in the RxFIFO to accommodate the incoming
                                                          packet.- For non-isochronous IN endpoints: The core stops transmitting
                                                          any data on an IN endpoint, even if there data is availabl           */
      __I  uint32_t  EPType     :  2;               /*!< Endpoint Type (EPType)Applies to IN and OUT endpoints.This is
                                                         the transfer type supported by this logical endpoint.00: Control01:
                                                          Isochronous10: Bulk11: Interrupt                                     */
      __IO uint32_t  Snp        :  1;               /*!< Snoop Mode (Snp)Applies to OUT endpoints only.This bit configures
                                                         the endpoint to Snoop mode. In Snoop mode, the core does not
                                                          check the correctness of OUT packets before transferring them
                                                          to application memory.                                               */
      __IO uint32_t  Stall      :  1;               /*!< STALL Handshake (Stall)Applies to non-control, non-isochronous
                                                         IN and OUT endpoints only.The application sets this bit to stall
                                                          all tokens from the USB host to this endpoint.If a NAK bit,
                                                          Global Non-periodic IN NAK, or Global OUT NAK is set along with
                                                          this bit, the STALL bit takes priority. Only the application
                                                          can clear this bit, neverthe core.                                   */
           uint32_t             :  4;
      __IO uint32_t  CNAK       :  1;               /*!< Clear NAK (CNAK)Applies to IN and OUT endpoints.A write to this
                                                         bit clears the NAK bit for the endpoint.                              */
      __IO uint32_t  SNAK       :  1;               /*!< Set NAK (SNAK)Applies to IN and OUT endpoints.A write to this
                                                         bit sets the NAK bit for the endpoint.Using this bit, the application
                                                          can control the transmission of NAK handshakes on an endpoint.
                                                          The core can also set this bit for OUT endpoints on a Transfer
                                                          Completed interrupt, or after a SETUP is received on the endpoint.   */
      __IO uint32_t  SetD0PID   :  1;               /*!< Set DATA0 PID (SetD0PID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Writing to this field sets the Endpoint Data
                                                          PID (DPID) field in this register to DATA0.This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __IO uint32_t  SetD1PID   :  1;               /*!< Set DATA1 PID (SetD1PID)Applies to interrupt/bulk IN and OUT
                                                         endpoints only.Writing to this field sets the Endpoint Data
                                                          PID (DPID) field in this register to DATA1.This field is applicable
                                                          both for Scatter/Gather DMA mode and non-Scatter/Gather DMA
                                                          mode.                                                                */
      __IO uint32_t  EPDis      :  1;               /*!< Endpoint Disable (EPDis)Applies to IN and OUT endpoints.The
                                                         application sets this bit to stop transmitting/receiving data
                                                          on an endpoint, even before the transfer for that endpoint is
                                                          complete. The application must wait for the Endpoint Disabled
                                                          interrupt before treating the endpoint as disabled. The core
                                                          clears this bit before setting the Endpoint Disabled interrupt.
                                                          The application must set this bit only if Endpoint Enable is
                                                          already set for this endpoint.                                       */
      __IO uint32_t  EPEna      :  1;               /*!< Endpoint Enable (EPEna)Applies to IN and OUT endpoints.- When
                                                         Scatter/Gather DMA mode is enabled,- For IN endpoints this bit
                                                          indicates that the descriptor structure and data buffer with
                                                          data ready to transmit is setup.- For OUT endpoint it indicates
                                                          that the descriptor structure and data buffer to receive data
                                                          is setup.- When Scatter/Gather DMA mode is enabled-such as for
                                                          buffer-pointer based DMA mode:- For IN endpoints, this bit indicates
                                                          that data is ready to be transmitted on the endpoint.- For OUT
                                                          endp                                                                 */
    } DOEPCTL1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED21;
  
  union {
    __IO uint32_t  DOEPINT1;                        /*!< Device OUT Endpoint 1 Interrupt Register                              */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  SetUp      :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  OUTTknEPdis:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StsPhseRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  2;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StupPktRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t : 16; // padding
    } DOEPINT1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED22;
  
  union {
    __IO uint32_t  DOEPTSIZ1;                       /*!< Device OUT Endpoint 1 Transfer Size Register                          */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Transfer Size (XferSize)This field contains the transfer size
                                                         in bytes for the current endpoint. The transfer size (XferSize)
                                                          = Sum of buffer sizes across all descriptors in the list for
                                                          the endpoint.In Buffer DMA, the core only interrupts the application
                                                          after it has exhausted the transfer size amount of data. The
                                                          transfer size can be set to the maximum packet size of the endpoint,
                                                          to be interrupted at the end of each packet.- IN Endpoints:
                                                          The core decrements this field every time a packet from the
                                                          exter                                                                */
      __IO uint32_t  PktCnt     : 10;               /*!< Packet Count (PktCnt)Indicates the total number of USB packets
                                                         that constitute the Transfer Size amount of data for this endpoint
                                                          (PktCnt = XferSize / MPS).- IN Endpoints: This field is decremented
                                                          every time a packet (maximum size or short packet) is read from
                                                          the TxFIFO.- OUT Endpoints: This field is decremented every
                                                          time a packet (maximum size or short packet) is written to the
                                                          RxFIFO.                                                              */
      __I  uint32_t  RxDPID     :  2;               /*!< Received Data PID (RxDPID)Applies to isochronous OUT endpoints
                                                         only.This is the data PID received in the last packet for this
                                                          endpoint.00: DATA001: DATA210: DATA111: MDATA                        */
           uint32_t : 1; // padding
    } DOEPTSIZ1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPDMA1;                        /*!< Device OUT Endpoint 1 DMA Address Register                            */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DOEPDMA0].DMAAddr.                       */
    } DOEPDMA1_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED23[2];
  
  union {
    __IO uint32_t  DOEPCTL2;                        /*!< Device Control OUT Endpoint 2 Control Register                        */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  NextEp     :  4;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  USBActEP   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  DPID       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  NAKSts     :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  EPType     :  2;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  Snp        :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  Stall      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
           uint32_t             :  4;
      __IO uint32_t  CNAK       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SNAK       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SetD0PID   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SetD1PID   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  EPDis      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  EPEna      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
    } DOEPCTL2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED24;
  
  union {
    __IO uint32_t  DOEPINT2;                        /*!< Device OUT Endpoint 2 Interrupt Register                              */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  SetUp      :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  OUTTknEPdis:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StsPhseRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  2;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StupPktRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t : 16; // padding
    } DOEPINT2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED25;
  
  union {
    __IO uint32_t  DOEPTSIZ2;                       /*!< Device OUT Endpoint 2 Transfer Size Register                          */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Refer to the description of [DOEPSIZ1].XferSize.                      */
      __IO uint32_t  PktCnt     : 10;               /*!< Refer to the description of [DOEPSIZ1].PktCnt.                        */
      __I  uint32_t  RxDPID     :  2;               /*!< Refer to the description of [DOEPSIZ1].RxDPID.                        */
           uint32_t : 1; // padding
    } DOEPTSIZ2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPDMA2;                        /*!< Device OUT Endpoint 2 DMA Address Register                            */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DOEPDMA0].DMAAddr.                       */
    } DOEPDMA2_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED26[2];
  
  union {
    __IO uint32_t  DOEPCTL3;                        /*!< Device Control OUT Endpoint 3 Control Register                        */
    
    struct {
      __IO uint32_t  MPS        : 11;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  NextEp     :  4;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  USBActEP   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  DPID       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  NAKSts     :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __I  uint32_t  EPType     :  2;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  Snp        :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  Stall      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
           uint32_t             :  4;
      __IO uint32_t  CNAK       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SNAK       :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SetD0PID   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  SetD1PID   :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  EPDis      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
      __IO uint32_t  EPEna      :  1;               /*!< Refer to the description of the corresponding field in [DOEPCTL1].    */
    } DOEPCTL3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED27;
  
  union {
    __IO uint32_t  DOEPINT3;                        /*!< Device OUT Endpoint 3 Interrupt Register                              */
    
    struct {
      __IO uint32_t  XferCompl  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  EPDisbld   :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  AHBErr     :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  SetUp      :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  OUTTknEPdis:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StsPhseRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  Back2BackSETup:  1;            /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  2;
      __IO uint32_t  BNAIntr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t             :  1;
      __IO uint32_t  PktDrpSts  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  BbleErr    :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NAKIntrpt  :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  NYETIntrpt :  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
      __IO uint32_t  StupPktRcvd:  1;               /*!< Refer to the description of the corresponding field in [DOEPINT0].    */
           uint32_t : 16; // padding
    } DOEPINT3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED28;
  
  union {
    __IO uint32_t  DOEPTSIZ3;                       /*!< Device OUT Endpoint 3 Transfer Size Register                          */
    
    struct {
      __IO uint32_t  XferSize   : 19;               /*!< Refer to the description of [DOEPSIZ1].XferSize.                      */
      __IO uint32_t  PktCnt     : 10;               /*!< Refer to the description of [DOEPSIZ1].PktCnt.                        */
      __I  uint32_t  RxDPID     :  2;               /*!< Refer to the description of [DOEPSIZ1].RxDPID.                        */
           uint32_t : 1; // padding
    } DOEPTSIZ3_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DOEPDMA3;                        /*!< Device OUT Endpoint 3 DMA Address Register                            */
    
    struct {
      __IO uint32_t  DMAAddr    : 32;               /*!< Refer to the description of [DOEPDMA0].DMAAddr.                       */
    } DOEPDMA3_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED29[162];
  
  union {
    __IO uint32_t  PCGCCTL;                         /*!< Power and Clock Gating Control Register                               */
    
    struct {
      __IO uint32_t  StopPclk   :  1;               /*!< Stop Pclk (StopPclk)The application sets this bit to stop the
                                                         PHY clock (phy_clk) when the USB is suspended, the session is
                                                          not valid, or the device isdisconnected. The application clears
                                                          this bit when the USB is resumed or a new session starts.            */
      __IO uint32_t  GateHclk   :  1;               /*!< Gate Hclk (GateHclk)The application sets this bit to gate hclk
                                                         to modules other than the AHB Slave and Master and wakeup logic
                                                          when the USB is suspended or the session is not valid. The application
                                                          clears this bit when the USB is resumed or a new session starts.     */
      __IO uint32_t  PwrClmp    :  1;               /*!< Power Clamp (PwrClmp)This bit is valid only in Partial Power-Down
                                                         mode.The application sets this bit before the power is turned
                                                          off to clamp the signals between the power-on modules and the
                                                          power-off modules. The application clears the bit to disable
                                                          the clamping before the power is turned on.                          */
      __IO uint32_t  RstPdwnModule:  1;             /*!< Reset Power-Down Modules (RstPdwnModule)This bit is valid only
                                                         in Partial Power-Down mode. The application sets this bit when
                                                          the power is turned off. The application clears this bit after
                                                          the power is turned on and the PHY clock is up.Note: The read/write
                                                          of all core registers are possible only when this bit is set
                                                          to 1b0.                                                              */
           uint32_t             :  2;
      __I  uint32_t  PhySleep   :  1;               /*!< PHY in Sleep (PhySleep)This bit indicates that the PHY is in
                                                         the Sleep state.                                                      */
      __I  uint32_t  Suspended  :  1;               /*!< Deep Sleep (L1 Suspended)This bit indicates that the PHY is
                                                         in deep sleep when in L1 state.                                       */
           uint32_t : 24; // padding
    } PCGCCTL_b;                                    /*!< BitSize                                                               */
  };
} USB2FS_Type;


/* ================================================================================ */
/* ================                   USB2FS_CONF                  ================ */
/* ================================================================================ */


/**
  * @brief usb2fs_conf (USB2FS_CONF)
  */

typedef struct {                                    /*!< USB2FS_CONF Structure                                                 */
  
  union {
    __IO uint32_t  USB_FSIO_TUNE;                   /*!< FSIO setting                                                          */
    
    struct {
      __IO uint32_t  FSIO_RFM   :  8;               /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_XP    :  8;               /*!< Set 0xAB to this field.                                               */
           uint32_t : 16; // padding
    } USB_FSIO_TUNE_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  USB_FSIO_CONFIG;                 /*!< FSIO setting                                                          */
    
    struct {
      __IO uint32_t  FSIO_PDCONP:  1;               /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PUCONP1:  1;              /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PUCONP2:  1;              /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PDCONM:  1;               /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PUCONM1:  1;              /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PUCONM2:  1;              /*!< Do not change from initial value.                                     */
           uint32_t             :  2;
      __IO uint32_t  FSIO_BYPASS_DIS:  1;           /*!< Do not change from initial value.                                     */
      __IO uint32_t  FSIO_PROT_DIS:  1;             /*!< Do not change from initial value.                                     */
           uint32_t : 22; // padding
    } USB_FSIO_CONFIG_b;                            /*!< BitSize                                                               */
  };
} USB2FS_CONF_Type;


/* ================================================================================ */
/* ================                       GFX                      ================ */
/* ================================================================================ */


/**
  * @brief gfx (GFX)
  */

typedef struct {                                    /*!< GFX Structure                                                         */
  
  union {
    __IO uint32_t  GASCR;                           /*!< Graphics Accelerator Scheduler Configuration Register                 */
    
    struct {
      __IO uint32_t  GARESET    :  1;               /*!< Graphics Accelerator ResetSetting this bit to 1 will reset all
                                                         the engines and the command scheduler (except the GARESET bit)
                                                          of the Graphics Accelerator. The reset is finished as soon as
                                                          this bit is set back to 0 by the GA. The recent bus cycle execution
                                                          (not the whole command) will be finished.                            */
      __IO uint32_t  GAEN       :  1;               /*!< Graphics Accelerator Enable0: Graphics Accelerator disabled;
                                                         as soon as an eventually ongoing accelerator bus access is finished,
                                                          no further accesses will be started on the accelerator bus.1:
                                                          Graphics Accelerator enabled; if the execution of a command
                                                          list was interrupted by setting this bit to zero it will be
                                                          resumed.                                                             */
           uint32_t             :  6;
      __IO uint32_t  DISRA      :  1;               /*!< Disable ReadBuffer Read Ahead feature0: Read Ahead feature is
                                                         enabled1: Read Ahead feature is disabled                              */
           uint32_t : 23; // padding
    } GASCR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GACLAR;                          /*!< Graphics Accelerator Command List Address Register                    */
    
    struct {
           uint32_t             :  3;
      __IO uint32_t  CSLA       : 29;               /*!< Command Scheduler Command List AddressWriting the address triggers
                                                         the processing of the command list. Reading returns the address
                                                          of the command that is in operation.The Command Scheduler Command
                                                          List Address is only writeable, when the Command Scheduler is
                                                          not executing a command list. A write access during operation
                                                          is ignored.                                                          */
    } GACLAR_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GASR;                            /*!< Graphics Accelerator Status Register                                  */
    
    struct {
      __I  uint32_t  BUSY       :  1;               /*!< Busy FlagThis bit is set to 1, when any of the GA engines is
                                                         currently operating. Then also the write access to many registers
                                                          is prohibited.                                                       */
           uint32_t             :  1;
      __I  uint32_t  CSCEF      :  1;               /*!< Command Scheduler Command Error FlagThis bit is set to 1, when
                                                         the Command Scheduler detects an invalid command. The Graphics
                                                          Accelerator halts its operation and has to be reset.                 */
      __I  uint32_t  CSLEF      :  1;               /*!< Command Scheduler Command List Executed FlagThe Command Scheduler
                                                         Command List Executed Flag indicates that the operation of a
                                                          command list was finished or the GA was reset. This bit will
                                                          be set to zero, when a new pointer is written to the GACLAR          */
           uint32_t : 28; // padding
    } GASR_b;                                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAICR;                           /*!< Graphics Accelerator Interrupt Cause Register                         */
    
    struct {
      __IO uint32_t  GACENDI    :  1;               /*!< GA Command End Interrupt.This bit is set to 1 as soon as a valid
                                                         command that was written to GACMDL and GACMDH has finished execution  */
           uint32_t             :  1;
      __IO uint32_t  CSCEI      :  1;               /*!< Command Scheduler Command Error InterruptIs set to 1 as soon
                                                         as an invalid command was detected                                    */
      __IO uint32_t  CSLEI      :  1;               /*!< Command Scheduler Command List Executed InterruptThis bit will
                                                         be set, when the Command Scheduler reads the END command.             */
      __IO uint32_t  GAWBWI     :  1;               /*!< GA Write Buffer Write Bus-Error InterruptThis bit is set in
                                                         case an slave error or a decode error occurs on the Write Buffer
                                                          Write Interface                                                      */
      __IO uint32_t  GAWBRI     :  1;               /*!< GA Write Buffer Read Bus-Error InterruptThis bit is set in case
                                                         an slave error or a decode error occurs on the Write Buffer
                                                          Read Interface                                                       */
      __IO uint32_t  GACBI      :  1;               /*!< GA Cache Buffer Bus-Error InterruptThis bit is set in case an
                                                         slave error or a decode error occurs on the Cache Buffer Interface    */
      __IO uint32_t  GARBI      :  1;               /*!< GA Read Buffer Bus-Error InterruptThis bit is set in case an
                                                         slave error or a decode error occurs on the Read Buffer Interface     */
      __IO uint32_t  CSLUI      : 24;               /*!< Command List User Interrupt 0 ... 23                                  */
    } GAICR_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAIER;                           /*!< Graphics Accelerator Interrupt Enable Register                        */
    
    struct {
      __IO uint32_t  GACENDIE   :  1;               /*!< GA Command End Interrupt EnableThis bit enables the GA Command
                                                         End Interrupt.0: Interrupt generation disabled1: Interrupt generation
                                                          enabled                                                              */
           uint32_t             :  1;
      __IO uint32_t  CSCEIE     :  1;               /*!< Command Scheduler Command Error Interrupt EnableThis bit enables
                                                         the Command Scheduler Command Error Interrupt.0: Interrupt generation
                                                          disabled1: Interrupt generation enabled                              */
      __IO uint32_t  CSLEIE     :  1;               /*!< Command Scheduler Command List Executed Interrupt EnableThis
                                                         bit enables the Command Scheduler Command List Executed Interrupt.0:
                                                          Interrupt generation disabled1: Interrupt generation enabled         */
      __IO uint32_t  GAWBWIE    :  1;               /*!< GA Write Buffer Write Bus-Error Interrupt EnableThis bit enables
                                                         the GA Write Buffer Write Error Interrupt.0: Interrupt generation
                                                          disabled1: Interrupt generation enabled                              */
      __IO uint32_t  GAWBRIE    :  1;               /*!< GA Write Buffer Read Bus-Error Interrupt EnableThis bit enables
                                                         GA Write Buffer Read Error Interrupt.0: Interrupt generation
                                                          disabled1: Interrupt generation enabled                              */
      __IO uint32_t  GACBIE     :  1;               /*!< GA Cache Buffer Bus-Error Interrupt EnableThis bit enables the
                                                         GA Cache Buffer Error Interrupt.0: Interrupt generation disabled1:
                                                          Interrupt generation enabled                                         */
      __IO uint32_t  GARBIE     :  1;               /*!< GA Read Buffer Bus-Error Interrupt EnableThis bit enables the
                                                         GA Read Buffer Error Interrupt.0: Interrupt generation disabled1:
                                                          Interrupt generation enabled                                         */
      __IO uint32_t  CSLUIE     : 24;               /*!< Command List User Interrupt Enable 0 ... 23This bit enables
                                                         the Command Scheduler Command List User Interrupt.0: Interrupt
                                                          generation disabled1: Interrupt generation enabled                   */
    } GAIER_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GADR;                            /*!< Graphics Accelerator Delay Register                                   */
    
    struct {
      __IO uint32_t  GAD        : 16;               /*!< The Graphics Accelerator Delay                                        */
           uint32_t : 16; // padding
    } GADR_b;                                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[2];
  
  union {
    __I  uint32_t  GARBBEAR;                        /*!< Graphics Accelerator Read Buffer Bus Error Address Register           */
    
    struct {
           uint32_t             :  3;
      __I  uint32_t  RBA        : 29;               /*!< Read Buffer Bus-Error Address                                         */
    } GARBBEAR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GARBBECR;                        /*!< Graphics Accelerator Read Buffer Bus Error Control Register           */
    
    struct {
      __I  uint32_t  WR         :  1;               /*!< Read / Write Direction0: Read Transfer1: Write Transfer               */
      __I  uint32_t  BTYPE      :  1;               /*!< Burst Type0: FIXED1: INCR                                             */
      __I  uint32_t  BSIZE      :  3;               /*!< Burst Size000: 1 byte001: 2 bytes010: 4 bytes011: 8 bytes...111:
                                                         128 bytes                                                             */
      __I  uint32_t  RTYPE      :  2;               /*!< Response Type00: OKAY01: EXOKAY10: SLVERR11: DECERR                   */
           uint32_t             :  1;
      __I  uint32_t  BEN        :  8;               /*!< Byte EnablesThis register field captures the Byte-enables for
                                                         the erroneous transfer.                                               */
      __I  uint32_t  ID         :  4;               /*!< ID TagThis signal is the ID Tag of the read/write transaction
                                                         that triggered an error response                                      */
      __I  uint32_t  LEN        :  4;               /*!< Burst LengthThis signal is the burst length of the read/write
                                                         transaction that triggered an error response                          */
           uint32_t : 8; // padding
    } GARBBECR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GACBBEAR;                        /*!< Graphics Accelerator Cache Buffer Bus Error Address Register          */
    
    struct {
           uint32_t             :  3;
      __I  uint32_t  CBA        : 29;               /*!< Cache Buffer Bus-Error Address                                        */
    } GACBBEAR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GACBBECR;                        /*!< Graphics Accelerator Cache Buffer Bus Error Control Register          */
    
    struct {
      __I  uint32_t  WR         :  1;               /*!< Read / Write Direction0: Read Transfer1: Write Transfer               */
      __I  uint32_t  BTYPE      :  1;               /*!< Burst Type0: FIXED1: INCR                                             */
      __I  uint32_t  BSIZE      :  3;               /*!< Burst Size000: 1 byte001: 2 bytes010: 4 bytes011: 8 bytes...111:
                                                         128 bytes                                                             */
      __I  uint32_t  RTYPE      :  2;               /*!< Response Type00: OKAY01: EXOKAY10: SLVERR11: DECERR                   */
           uint32_t             :  1;
      __I  uint32_t  BEN        :  8;               /*!< Byte EnablesThis register field captures the Byte-enables for
                                                         the erroneous transfer.                                               */
      __I  uint32_t  ID         :  4;               /*!< ID TagThis signal is the ID Tag of the read/write transaction
                                                         that triggered an error response                                      */
      __I  uint32_t  LEN        :  4;               /*!< Burst LengthThis signal is the burst length of the read/write
                                                         transaction that triggered an error response                          */
           uint32_t : 8; // padding
    } GACBBECR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GAWBRBEAR;                       /*!< Graphics Accelerator Write Buffer Read Bus Error Address Register     */
    
    struct {
           uint32_t             :  3;
      __I  uint32_t  WBRA       : 29;               /*!< Write Buffer Read Bus-Error Address                                   */
    } GAWBRBEAR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GAWBRBECR;                       /*!< Graphics Accelerator Write Buffer Read Bus Error Control Register     */
    
    struct {
      __I  uint32_t  WR         :  1;               /*!< Read / Write Direction0: Read Transfer1: Write Transfer               */
      __I  uint32_t  BTYPE      :  1;               /*!< Burst Type0: FIXED1: INCR                                             */
      __I  uint32_t  BSIZE      :  3;               /*!< Burst Size000: 1 byte001: 2 bytes010: 4 bytes011: 8 bytes...111:
                                                         128 bytes                                                             */
      __I  uint32_t  RTYPE      :  2;               /*!< Response Type00: OKAY01: EXOKAY10: SLVERR11: DECERR                   */
           uint32_t             :  1;
      __I  uint32_t  BEN        :  8;               /*!< Byte EnablesThis register field captures the Byte-enables for
                                                         the erroneous transfer.                                               */
      __I  uint32_t  ID         :  4;               /*!< ID TagThis signal is the ID Tag of the read/write transaction
                                                         that triggered an error response                                      */
      __I  uint32_t  LEN        :  4;               /*!< Burst LengthThis signal is the burst length of the read/write
                                                         transaction that triggered an error response                          */
           uint32_t : 8; // padding
    } GAWBRBECR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GAWBWBEAR;                       /*!< Graphics Accelerator Write Buffer Write Bus Error Address Register    */
    
    struct {
           uint32_t             :  3;
      __I  uint32_t  WBWA       : 29;               /*!< Write Buffer Write Bus-Error Address                                  */
    } GAWBWBEAR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GAWBWBECR;                       /*!< Graphics Accelerator Write Buffer Write Bus Error Control Register    */
    
    struct {
      __I  uint32_t  WR         :  1;               /*!< Read / Write Direction0: Read Transfer1: Write Transfer               */
      __I  uint32_t  BTYPE      :  1;               /*!< Burst Type0: FIXED1: INCR                                             */
      __I  uint32_t  BSIZE      :  3;               /*!< Burst Size000: 1 byte001: 2 bytes010: 4 bytes011: 8 bytes...111:
                                                         128 bytes                                                             */
      __I  uint32_t  RTYPE      :  2;               /*!< Response Type00: OKAY01: EXOKAY10: SLVERR11: DECERR                   */
           uint32_t             :  1;
      __I  uint32_t  BEN        :  8;               /*!< Byte EnablesThis register field captures the Byte-enables for
                                                         the erroneous transfer.                                               */
      __I  uint32_t  ID         :  4;               /*!< ID TagThis signal is the ID Tag of the read/write transaction
                                                         that triggered an error response                                      */
      __I  uint32_t  LEN        :  4;               /*!< Burst LengthThis signal is the burst length of the read/write
                                                         transaction that triggered an error response                          */
           uint32_t : 8; // padding
    } GAWBWBECR_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPR0LR;                        /*!< Graphics Accelerator Memory Protection Region 0 Low Register          */
    
    struct {
           uint32_t             : 12;
      __IO uint32_t  MPR0L      : 20;               /*!< Memory Protection Region 0 base address                               */
    } GAMPR0LR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPR0HR;                        /*!< Graphics Accelerator Memory Protection Region 0 High Register         */
    
    struct {
           uint32_t             : 12;
      __IO uint32_t  MPR0H      : 20;               /*!< Memory Protection Region 0 upper address                              */
    } GAMPR0HR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPR1LR;                        /*!< Graphics Accelerator Memory Protection Region 1 Low Register          */
    
    struct {
           uint32_t             : 12;
      __IO uint32_t  MPR0L      : 20;               /*!< Memory Protection Region 1 base address                               */
    } GAMPR1LR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPR1HR;                        /*!< Graphics Accelerator Memory Protection Region 1 High Register         */
    
    struct {
           uint32_t             : 12;
      __IO uint32_t  MPR0H      : 20;               /*!< Memory Protection Region 1 upper address                              */
    } GAMPR1HR_b;                                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPICR;                         /*!< Graphics Accelerator Memory Protection Interrupt Cause Register       */
    
    struct {
      __IO uint32_t  GAMPI      :  1;               /*!< GA Memory Protection InterruptThis bit is set if GA tries to
                                                         write to memory outside the address range defined by GAMR0L-GAMR0H
                                                          and GAMR1L-GAMR1H.                                                   */
      __IO uint32_t  GAMPCI     :  1;               /*!< GA Memory Protection Configuration InterruptThis bit is set
                                                         if a non-privileged access tries to write to GAMR0L, GAMR0H,
                                                          GAMR1L, GAMR1H, GAMPICR, or GAMPIMR.                                 */
           uint32_t : 30; // padding
    } GAMPICR_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMPIER;                         /*!< Graphics Accelerator Memory Protection Interrupt Enable Register      */
    
    struct {
      __IO uint32_t  GAMPIE     :  1;               /*!< GA Memory Protection Interrupt Enable0: Interrupt generation
                                                         disabled1: Interrupt generation enabled                               */
      __IO uint32_t  GAMPCIE    :  1;               /*!< GA Memory Protection Configuration Interrupt Enable0: Interrupt
                                                         generation disabled1: Interrupt generation enabled                    */
           uint32_t : 30; // padding
    } GAMPIER_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  GAMPACR;                         /*!< Graphics Accelerator Memory Protection Address Capture Register       */
    
    struct {
           uint32_t             :  3;
      __I  uint32_t  MPVA       : 29;               /*!< Memory Protection Violated Address                                    */
    } GAMPACR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[9];
  
  union {
    __IO uint32_t  GAGPR0;                          /*!< Graphics Accelerator General Purpose Register 0                       */
    
    struct {
      __IO uint32_t  GAGPR0     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR0_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR1;                          /*!< Graphics Accelerator General Purpose Register 1                       */
    
    struct {
      __IO uint32_t  GAGPR1     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR1_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR2;                          /*!< Graphics Accelerator General Purpose Register 2                       */
    
    struct {
      __IO uint32_t  GAGPR2     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR2_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR3;                          /*!< Graphics Accelerator General Purpose Register 3                       */
    
    struct {
      __IO uint32_t  GAGPR3     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR3_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR4;                          /*!< Graphics Accelerator General Purpose Register 4                       */
    
    struct {
      __IO uint32_t  GAGPR4     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR4_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR5;                          /*!< Graphics Accelerator General Purpose Register 5                       */
    
    struct {
      __IO uint32_t  GAGPR5     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR5_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR6;                          /*!< Graphics Accelerator General Purpose Register 6                       */
    
    struct {
      __IO uint32_t  GAGPR6     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR6_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR7;                          /*!< Graphics Accelerator General Purpose Register 7                       */
    
    struct {
      __IO uint32_t  GAGPR7     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR7_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR8;                          /*!< Graphics Accelerator General Purpose Register 8                       */
    
    struct {
      __IO uint32_t  GAGPR8     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR8_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR9;                          /*!< Graphics Accelerator General Purpose Register 9                       */
    
    struct {
      __IO uint32_t  GAGPR9     : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR9_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR10;                         /*!< Graphics Accelerator General Purpose Register 10                      */
    
    struct {
      __IO uint32_t  GAGPR10    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR10_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR11;                         /*!< Graphics Accelerator General Purpose Register 11                      */
    
    struct {
      __IO uint32_t  GAGPR11    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR11_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR12;                         /*!< Graphics Accelerator General Purpose Register 12                      */
    
    struct {
      __IO uint32_t  GAGPR12    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR12_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR13;                         /*!< Graphics Accelerator General Purpose Register 13                      */
    
    struct {
      __IO uint32_t  GAGPR13    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR13_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR14;                         /*!< Graphics Accelerator General Purpose Register 14                      */
    
    struct {
      __IO uint32_t  GAGPR14    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR14_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR15;                         /*!< Graphics Accelerator General Purpose Register 15                      */
    
    struct {
      __IO uint32_t  GAGPR15    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR15_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR16;                         /*!< Graphics Accelerator General Purpose Register 16                      */
    
    struct {
      __IO uint32_t  GAGPR16    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR16_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR17;                         /*!< Graphics Accelerator General Purpose Register 17                      */
    
    struct {
      __IO uint32_t  GAGPR17    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR17_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR18;                         /*!< Graphics Accelerator General Purpose Register 18                      */
    
    struct {
      __IO uint32_t  GAGPR18    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR18_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR19;                         /*!< Graphics Accelerator General Purpose Register 19                      */
    
    struct {
      __IO uint32_t  GAGPR19    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR19_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR20;                         /*!< Graphics Accelerator General Purpose Register 20                      */
    
    struct {
      __IO uint32_t  GAGPR20    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR20_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR21;                         /*!< Graphics Accelerator General Purpose Register 21                      */
    
    struct {
      __IO uint32_t  GAGPR21    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR21_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR22;                         /*!< Graphics Accelerator General Purpose Register 22                      */
    
    struct {
      __IO uint32_t  GAGPR22    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR22_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR23;                         /*!< Graphics Accelerator General Purpose Register 23                      */
    
    struct {
      __IO uint32_t  GAGPR23    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR23_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR24;                         /*!< Graphics Accelerator General Purpose Register 24                      */
    
    struct {
      __IO uint32_t  GAGPR24    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR24_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR25;                         /*!< Graphics Accelerator General Purpose Register 25                      */
    
    struct {
      __IO uint32_t  GAGPR25    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR25_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR26;                         /*!< Graphics Accelerator General Purpose Register 26                      */
    
    struct {
      __IO uint32_t  GAGPR26    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR26_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR27;                         /*!< Graphics Accelerator General Purpose Register 27                      */
    
    struct {
      __IO uint32_t  GAGPR27    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR27_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR28;                         /*!< Graphics Accelerator General Purpose Register 28                      */
    
    struct {
      __IO uint32_t  GAGPR28    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR28_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR29;                         /*!< Graphics Accelerator General Purpose Register 29                      */
    
    struct {
      __IO uint32_t  GAGPR29    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR29_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR30;                         /*!< Graphics Accelerator General Purpose Register 30                      */
    
    struct {
      __IO uint32_t  GAGPR30    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR30_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAGPR31;                         /*!< Graphics Accelerator General Purpose Register 31                      */
    
    struct {
      __IO uint32_t  GAGPR31    : 32;               /*!< The Graphics Accelerator General Purpose Registers are used
                                                         to define the required parameters for the triggered engine            */
    } GAGPR31_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GACMDL;                          /*!< Graphics Accelerator Command Code Low Register                        */
    
    struct {
      __IO uint32_t  GACMDL     : 32;               /*!< This register can be used to manually trigger any command to
                                                         be executed by the Graphics Accelerator                               */
    } GACMDL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GACMDH;                          /*!< Graphics Accelerator Command Code High Register                       */
    
    struct {
      __IO uint32_t  GACMDH     : 32;               /*!< This register can be used to manually trigger any command to
                                                         be executed by the Graphics Accelerator.Note: This manual triggering
                                                          must be used with GADCGCR.EXTEND bigger than 0x1.                    */
    } GACMDH_b;                                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[62];
  
  union {
    __IO uint32_t  DEFC0;                           /*!< Drawing Engine Filter Coefficient Register 0                          */
    
    struct {
      __IO uint32_t  FC3        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC2        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC1        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC0        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC0_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC1;                           /*!< Drawing Engine Filter Coefficient Register 1                          */
    
    struct {
      __IO uint32_t  FC7        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC6        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC5        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC4        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC1_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC2;                           /*!< Drawing Engine Filter Coefficient Register 2                          */
    
    struct {
      __IO uint32_t  FC11       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC10       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC9        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC8        :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC2_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC3;                           /*!< Drawing Engine Filter Coefficient Register 3                          */
    
    struct {
      __IO uint32_t  FC15       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC14       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC13       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC12       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC3_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC4;                           /*!< Drawing Engine Filter Coefficient Register 4                          */
    
    struct {
      __IO uint32_t  FC19       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC18       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC17       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC16       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC4_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC5;                           /*!< Drawing Engine Filter Coefficient Register 5                          */
    
    struct {
      __IO uint32_t  FC23       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC22       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC21       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC20       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC5_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC6;                           /*!< Drawing Engine Filter Coefficient Register 6                          */
    
    struct {
      __IO uint32_t  FC27       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC26       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC25       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC24       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC6_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC7;                           /*!< Drawing Engine Filter Coefficient Register 7                          */
    
    struct {
      __IO uint32_t  FC31       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC30       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC29       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC28       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC7_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC8;                           /*!< Drawing Engine Filter Coefficient Register 8                          */
    
    struct {
      __IO uint32_t  FC35       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC34       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC33       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC32       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC8_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC9;                           /*!< Drawing Engine Filter Coefficient Register 9                          */
    
    struct {
      __IO uint32_t  FC39       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC38       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC37       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC36       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC9_b;                                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC10;                          /*!< Drawing Engine Filter Coefficient Register 10                         */
    
    struct {
      __IO uint32_t  FC43       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC42       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC41       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC40       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC10_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC11;                          /*!< Drawing Engine Filter Coefficient Register 11                         */
    
    struct {
      __IO uint32_t  FC47       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC46       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC45       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC44       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC11_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC12;                          /*!< Drawing Engine Filter Coefficient Register 12                         */
    
    struct {
      __IO uint32_t  FC51       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC50       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC49       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC48       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC12_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC13;                          /*!< Drawing Engine Filter Coefficient Register 13                         */
    
    struct {
      __IO uint32_t  FC55       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC54       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC53       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC52       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC13_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC14;                          /*!< Drawing Engine Filter Coefficient Register 14                         */
    
    struct {
      __IO uint32_t  FC59       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC58       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC57       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC56       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC14_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC15;                          /*!< Drawing Engine Filter Coefficient Register 15                         */
    
    struct {
      __IO uint32_t  FC63       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC62       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC61       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC60       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC15_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC16;                          /*!< Drawing Engine Filter Coefficient Register 16                         */
    
    struct {
      __IO uint32_t  FC67       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC66       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC65       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC64       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC16_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC17;                          /*!< Drawing Engine Filter Coefficient Register 17                         */
    
    struct {
      __IO uint32_t  FC71       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC70       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC69       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC68       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC17_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC18;                          /*!< Drawing Engine Filter Coefficient Register 18                         */
    
    struct {
      __IO uint32_t  FC75       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC74       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC73       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC72       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC18_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC19;                          /*!< Drawing Engine Filter Coefficient Register 19                         */
    
    struct {
      __IO uint32_t  FC79       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC78       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC77       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC76       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC19_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC20;                          /*!< Drawing Engine Filter Coefficient Register 20                         */
    
    struct {
      __IO uint32_t  FC83       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC82       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC81       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC80       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC20_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC21;                          /*!< Drawing Engine Filter Coefficient Register 21                         */
    
    struct {
      __IO uint32_t  FC87       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC86       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC85       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC84       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC21_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC22;                          /*!< Drawing Engine Filter Coefficient Register 22                         */
    
    struct {
      __IO uint32_t  FC91       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC90       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC89       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC88       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC22_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC23;                          /*!< Drawing Engine Filter Coefficient Register 23                         */
    
    struct {
      __IO uint32_t  FC95       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC94       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC93       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC92       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC23_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC24;                          /*!< Drawing Engine Filter Coefficient Register 24                         */
    
    struct {
      __IO uint32_t  FC99       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC98       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC97       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC96       :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC24_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC25;                          /*!< Drawing Engine Filter Coefficient Register 25                         */
    
    struct {
      __IO uint32_t  FC103      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC102      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC101      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC100      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC25_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC26;                          /*!< Drawing Engine Filter Coefficient Register 26                         */
    
    struct {
      __IO uint32_t  FC107      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC106      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC105      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC104      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC26_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC27;                          /*!< Drawing Engine Filter Coefficient Register 27                         */
    
    struct {
      __IO uint32_t  FC111      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC110      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC109      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC108      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC27_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC28;                          /*!< Drawing Engine Filter Coefficient Register 28                         */
    
    struct {
      __IO uint32_t  FC115      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC114      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC113      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC112      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC28_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC29;                          /*!< Drawing Engine Filter Coefficient Register 29                         */
    
    struct {
      __IO uint32_t  FC119      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC118      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC117      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC116      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC29_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC30;                          /*!< Drawing Engine Filter Coefficient Register 30                         */
    
    struct {
      __IO uint32_t  FC123      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC122      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC121      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC120      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC30_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC31;                          /*!< Drawing Engine Filter Coefficient Register 31                         */
    
    struct {
      __IO uint32_t  FC127      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC126      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC125      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC124      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC31_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC32;                          /*!< Drawing Engine Filter Coefficient Register 32                         */
    
    struct {
      __IO uint32_t  FC131      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC130      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC129      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC128      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC32_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC33;                          /*!< Drawing Engine Filter Coefficient Register 33                         */
    
    struct {
      __IO uint32_t  FC135      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC134      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC133      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC132      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC33_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC34;                          /*!< Drawing Engine Filter Coefficient Register 34                         */
    
    struct {
      __IO uint32_t  FC139      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC138      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC137      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC136      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC34_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC35;                          /*!< Drawing Engine Filter Coefficient Register 35                         */
    
    struct {
      __IO uint32_t  FC143      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC142      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC141      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC140      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC35_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC36;                          /*!< Drawing Engine Filter Coefficient Register 36                         */
    
    struct {
      __IO uint32_t  FC147      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC146      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC145      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC144      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC36_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC37;                          /*!< Drawing Engine Filter Coefficient Register 37                         */
    
    struct {
      __IO uint32_t  FC151      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC150      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC149      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC148      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC37_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC38;                          /*!< Drawing Engine Filter Coefficient Register 38                         */
    
    struct {
      __IO uint32_t  FC155      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC154      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC153      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC152      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC38_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC39;                          /*!< Drawing Engine Filter Coefficient Register 39                         */
    
    struct {
      __IO uint32_t  FC159      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC158      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC157      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC156      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC39_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC40;                          /*!< Drawing Engine Filter Coefficient Register 40                         */
    
    struct {
      __IO uint32_t  FC163      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC162      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC161      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC160      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC40_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC41;                          /*!< Drawing Engine Filter Coefficient Register 41                         */
    
    struct {
      __IO uint32_t  FC167      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC166      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC165      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC164      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC41_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC42;                          /*!< Drawing Engine Filter Coefficient Register 42                         */
    
    struct {
      __IO uint32_t  FC171      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC170      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC169      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC168      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC42_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC43;                          /*!< Drawing Engine Filter Coefficient Register 43                         */
    
    struct {
      __IO uint32_t  FC175      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC174      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC173      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC172      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC43_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC44;                          /*!< Drawing Engine Filter Coefficient Register 44                         */
    
    struct {
      __IO uint32_t  FC179      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC178      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC177      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC176      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC44_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC45;                          /*!< Drawing Engine Filter Coefficient Register 45                         */
    
    struct {
      __IO uint32_t  FC183      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC182      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC181      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC180      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC45_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC46;                          /*!< Drawing Engine Filter Coefficient Register 46                         */
    
    struct {
      __IO uint32_t  FC187      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC186      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC185      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC184      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC46_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC47;                          /*!< Drawing Engine Filter Coefficient Register 47                         */
    
    struct {
      __IO uint32_t  FC191      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC190      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC189      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC188      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC47_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC48;                          /*!< Drawing Engine Filter Coefficient Register 48                         */
    
    struct {
      __IO uint32_t  FC195      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC194      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC193      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC192      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC48_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC49;                          /*!< Drawing Engine Filter Coefficient Register 49                         */
    
    struct {
      __IO uint32_t  FC199      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC198      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC197      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC196      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC49_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC50;                          /*!< Drawing Engine Filter Coefficient Register 50                         */
    
    struct {
      __IO uint32_t  FC203      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC202      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC201      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC200      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC50_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC51;                          /*!< Drawing Engine Filter Coefficient Register 51                         */
    
    struct {
      __IO uint32_t  FC207      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC206      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC205      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC204      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC51_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC52;                          /*!< Drawing Engine Filter Coefficient Register 52                         */
    
    struct {
      __IO uint32_t  FC211      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC210      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC209      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC208      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC52_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC53;                          /*!< Drawing Engine Filter Coefficient Register 53                         */
    
    struct {
      __IO uint32_t  FC215      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC214      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC213      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC212      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC53_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC54;                          /*!< Drawing Engine Filter Coefficient Register 54                         */
    
    struct {
      __IO uint32_t  FC219      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC218      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC217      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC216      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC54_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC55;                          /*!< Drawing Engine Filter Coefficient Register 55                         */
    
    struct {
      __IO uint32_t  FC223      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC222      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC221      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC220      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC55_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC56;                          /*!< Drawing Engine Filter Coefficient Register 56                         */
    
    struct {
      __IO uint32_t  FC227      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC226      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC225      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC224      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC56_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC57;                          /*!< Drawing Engine Filter Coefficient Register 57                         */
    
    struct {
      __IO uint32_t  FC231      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC230      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC229      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC228      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC57_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC58;                          /*!< Drawing Engine Filter Coefficient Register 58                         */
    
    struct {
      __IO uint32_t  FC235      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC234      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC233      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC232      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC58_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC59;                          /*!< Drawing Engine Filter Coefficient Register 59                         */
    
    struct {
      __IO uint32_t  FC239      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC238      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC237      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC236      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC59_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC60;                          /*!< Drawing Engine Filter Coefficient Register 60                         */
    
    struct {
      __IO uint32_t  FC243      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC242      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC241      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC240      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC60_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC61;                          /*!< Drawing Engine Filter Coefficient Register 61                         */
    
    struct {
      __IO uint32_t  FC247      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC246      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC245      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC244      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC61_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC62;                          /*!< Drawing Engine Filter Coefficient Register 62                         */
    
    struct {
      __IO uint32_t  FC251      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC250      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC249      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC248      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC62_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DEFC63;                          /*!< Drawing Engine Filter Coefficient Register 63                         */
    
    struct {
      __IO uint32_t  FC255      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC254      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC253      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
      __IO uint32_t  FC252      :  8;               /*!< The filter coefficients for the antialiasing filter. It must
                                                         be programmed before operation.                                       */
    } DEFC63_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA0;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         0                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA0    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         0                                                                     */
    } GAMMLA0_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA1;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         1                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA1    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         1                                                                     */
    } GAMMLA1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA2;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         2                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA2    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         2                                                                     */
    } GAMMLA2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA3;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         3                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA3    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         3                                                                     */
    } GAMMLA3_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA4;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         4                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA4    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         4                                                                     */
    } GAMMLA4_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA5;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         5                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA5    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         5                                                                     */
    } GAMMLA5_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMLA6;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         6                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMLA6    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Logical Address
                                                         6                                                                     */
    } GAMMLA6_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3;
  
  union {
    __IO uint32_t  GAMMPA0;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         0                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA0    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         0                                                                     */
    } GAMMPA0_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA1;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         1                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA1    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         1                                                                     */
    } GAMMPA1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA2;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         2                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA2    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         2                                                                     */
    } GAMMPA2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA3;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         3                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA3    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         3                                                                     */
    } GAMMPA3_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA4;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         4                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA4    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         4                                                                     */
    } GAMMPA4_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA5;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         5                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA5    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         5                                                                     */
    } GAMMPA5_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMPA6;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         6                                                                     */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMPA6    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Physical Address
                                                         6                                                                     */
    } GAMMPA6_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4;
  
  union {
    __IO uint32_t  GAMMEN0;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 0                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN0    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 0                                                              */
    } GAMMEN0_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN1;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 1                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN1    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 1                                                              */
    } GAMMEN1_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN2;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 2                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN2    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 2                                                              */
    } GAMMEN2_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN3;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 3                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN3    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 3                                                              */
    } GAMMEN3_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN4;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 4                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN4    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 4                                                              */
    } GAMMEN4_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN5;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 5                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN5    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 5                                                              */
    } GAMMEN5_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  GAMMEN6;                         /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 6                                                              */
    
    struct {
           uint32_t             : 16;
      __IO uint32_t  GAMMEN6    : 16;               /*!< Graphics Accelerator Memory Mapping Look Up Table Address bit
                                                         enable 6                                                              */
    } GAMMEN6_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[9];
  
  union {
    __IO uint32_t  GADCGCR;                         /*!< Graphics Accelerator Dynamic Clock Gating Control Register            */
    
    struct {
      __IO uint32_t  EXTEND     :  4;               /*!< Clock Request Extending Period. Clock request signal is extended
                                                         for cycles indicated by this field after its shortest duration.       */
           uint32_t : 28; // padding
    } GADCGCR_b;                                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[15];
  
  union {
    __IO uint32_t  ADVMODE;                         /*!< Advanced Feature Control Register                                     */
    
    struct {
      __IO uint32_t  A8EN       :  1;               /*!< A8 and RLEIA8 format feature0: Disabled1: Enabled                     */
      __IO uint32_t  DITHEREN   :  1;               /*!< Dithering feature0: Disabled1: Enabled                                */
      __IO uint32_t  GRADEN     :  1;               /*!< Gradient drawing feature0: Disabled1: Enabled                         */
           uint32_t : 29; // padding
    } ADVMODE_b;                                    /*!< BitSize                                                               */
  };
} GFX_Type;


/* ================================================================================ */
/* ================                      DBIBC                     ================ */
/* ================================================================================ */


/**
  * @brief dbibc (DBIBC)
  */

typedef struct {                                    /*!< DBIBC Structure                                                       */
  
  union {
    __IO uint32_t  DBIBC_MODE;                      /*!< DBIBC_MODE                                                            */
    
    struct {
      __IO uint32_t  transfer_mode:  4;             /*!< Transfer mode select00**: DBI-B0100: DBI-C option1 (Application
                                                         Pin: DBIC_CSX, DBIC_SCL, DBIC_SDO (Bidirectional))0101: DBI-C
                                                          option1 (Application Pin: DBIC_CSX, DBIC_SCL, DBIC_SDI (Input)/DBIC_SDO
                                                          (Output))0110: DBI-C option3 (Application Pin: DBIC_CSX, DBIC_SCL,
                                                          DBIC_SDA (Bidirectional), DBIC_DCX)0111: DBI-C option3 (Application
                                                          Pin: DBIC_CSX, DBIC_SCL, DBIC_SDI (Input)/DBIC_SDO (Output),
                                                          DBIC_DCX)1***: DSI                                                   */
      __IO uint32_t  rgb_infmt  :  2;               /*!< Input RGB format00: ARGB888801: RGBA888810: ARGB155511: RGB565        */
           uint32_t             :  2;
      __IO uint32_t  rgb_outfmt :  2;               /*!< Output RGB format00: Reserved01: RGB56510: RGB66611: RGB888           */
      __IO uint32_t  rgb_corder :  1;               /*!< Output RGB Color Order(DBI-B/DSI-C mode)0: RGB1: BGR(DSI mode)Set
                                                         to 0b1                                                                */
           uint32_t             :  1;
      __IO uint32_t  rgb_outopt :  3;               /*!< (DBI-B mode) Output RGB format option setting at [DBIBC_MODE].dbi_outwidth
                                                         = 0b010 and [DBIBC_MODE].dbi_outfmt = 0b10/0b11(DBI-C/DSI mode)
                                                          Set to 0b000                                                         */
           uint32_t             :  1;
      __IO uint32_t  rgb_outwidth:  3;              /*!< Output RGB bit-width setting(DBI-B mode)000: 8 bits001: 9 bits010:
                                                         16 bits011-0b111: Reserved(DBI-C mode)Set to 0b000(DSI mode)0b000-0b001,
                                                          0b101-0b111: Reserved010: 16 bits (RGB565)011: 18 bits (RGB666)100:
                                                          24 bits (RGB888)Set it in the same setting contents as [DBIBC_MODE].rgb_ou
                                                         tfmt                                                                  */
           uint32_t             :  5;
      __IO uint32_t  te_vsync_mode:  3;             /*!< External LCD controller synchronous mode setting000: All-Off001:
                                                         TE (V-blank signal) input010: TE (HV-blank signal) input011:
                                                          Vsync output (non-synchronous)100: Reserved101: TE (V-blank
                                                          signal) input110: TE (HV-blank signal) input111: Vsync output
                                                          (synchronous)*When setting it as the not-0b000, please change
                                                          it from 0b000.                                                       */
      __IO uint32_t  fixed27    :  1;               /*!< set to 0b0                                                            */
      __IO uint32_t  te_vsync_inv:  1;              /*!< TE input signal, Vsync output signal polarity setting.When TE
                                                         is input ([DBIBC_MODE].te_vsync_mode = 0b001/0b010/0b101/0b110):0:
                                                          Polarity inversion disable1: Polarity inversion enableTE input
                                                          signal must be set to positive polarity (i.e. Blanking period
                                                          is High level) inside.When Vsync is output ([DBIBC_MODE].te_vsync_mode
                                                          = 0b011/0b111):0: Positive polarity signal is output1: Negative
                                                          polarity signal is output                                            */
           uint32_t : 3; // padding
    } DBIBC_MODE_b;                                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_OUT_CYCLE;                 /*!< DBIBC_OUT_CYCLE                                                       */
    
    struct {
      __IO uint32_t  outdivw    :  6;               /*!< (DBI-B/DBI-C mode only)Output cycle setting (While writing to
                                                         external LCD controller)0x01: Reserved0x02: Output clock period
                                                          x2 :0x3F: Output clock period x630x00: Output clock period x64       */
           uint32_t             :  2;
      __IO uint32_t  outdivr    :  6;               /*!< (DBI-B/DBI-C mode only)Output cycle setting (While reading from
                                                         external LCD controller)0x01: Reserved0x02: Output clock period
                                                          x2 :0x3F: Output clock period x630x00: Output clock period x64       */
           uint32_t             :  2;
      __IO uint32_t  ac_csx_cp  :  3;               /*!< (DBI-B/DBI-C mode only)ChipSelect to Command/Parameter AC timing
                                                         adjustment Time period between the falling edge of DBIB_CSX/DBIC_CSX
                                                          and falling edge of DBIB_WRX/DBIC_SCL can be adjusted with output
                                                          clock as basic unit.0x0: +0 cycles0x1: +1 cycle0x2: +2 cycles0x3:
                                                          +3 cycles0x7: +7 cycles                                              */
           uint32_t             :  1;
      __IO uint32_t  ac_cmd_param:  3;              /*!< (DBI-B/DBI-C mode only)Command to Parameter, Parameter to Command
                                                         AC timing adjustment Time period between the point of change
                                                          in DBIB_DCX/DBIC_DCX and falling edge of DBIB_WRX/DBIC_SCL can
                                                          be adjusted with output clock as basic unit.0x0: +0 cycles0x1:
                                                          +1 cycle0x2: +2 cycles0x3: +3 cycles0x7: +7 cycles                   */
           uint32_t             :  1;
      __IO uint32_t  ac_read_start:  3;             /*!< (DBI-B/DBI-C mode only)ReadCommand to ReadData AC timing adjustment
                                                         Time period between the Read command output and falling edge
                                                          of DBIC_SCL, DBIB_RDX can be adjusted with output clock as basic
                                                          unit.0x0: +0 cycles0x1: +1 cycle0x2: +2 cycles0x3: +3 cycles0x7:
                                                          +7 cycles                                                            */
           uint32_t             :  1;
      __IO uint32_t  ac_csx_hhold:  3;              /*!< (DBI-B/DBI-C mode only)Hold timing setting while ChipSelect
                                                         is H-level Time period between rising edge of DBIB_CSX/DBIC_CSX
                                                          and falling edge of DBIB_CSX/DBIC_CSX can be adjusted with output
                                                          clock as basic unit.0x0: +0 cycles0x1: +1 cycle0x2: +2 cycles0x3:
                                                          +3 cycles0x7: +7 cycles                                              */
           uint32_t : 1; // padding
    } DBIBC_OUT_CYCLE_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_VIDEO_AREA;                /*!< DBIBC_VIDEO_AREA                                                      */
    
    struct {
      __IO uint32_t  video_hsize: 10;               /*!< Setting for number of horizontal pixels of video0x0: prohibited0x1:
                                                         1 pixel0x2: 2 pixels :0x140: 320 pixels0x1E0: 480 pixels              */
           uint32_t             :  2;
      __IO uint32_t  video_vline: 10;               /*!< Setting for number of vertical lines of video0x0: prohibited0x1:
                                                         1 line0x2: 2 lines :0x140: 320 lines0x1E0: 480 lines                  */
           uint32_t             :  2;
      __IO uint32_t  cparea_h   :  5;               /*!< Command/Parameter number of horizontal word setting0x0: 0 word0x1:
                                                         1 word :0x3F: 31 words (1 word = 32 bits)                             */
           uint32_t             :  2;
      __IO uint32_t  cparea_v   :  1;               /*!< Command/Parameter number of vertical line setting0: 0 line1:
                                                         1 line                                                                */
    } DBIBC_VIDEO_AREA_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_VIDEO_SELECT;              /*!< DBIBC_VIDEO_SELECT                                                    */
    
    struct {
      __IO uint32_t  video_select:  1;              /*!< Transfer data setting0: Command data1: Mixture of command and
                                                         video data.If [DBIBC_VIDEO_AREA].cparea_h = 0x0 and cparea_v
                                                          = 0b0, then only video data is transferred.If [DBIBC_VIDEO_SELECT].video_s
                                                         elect_mode = 0b1, this bit gets cleared automatically after the
                                                          completion of frame transfer.                                        */
           uint32_t             : 15;
      __IO uint32_t  video_select_mode:  1;         /*!< Transfer data setting register automatic clear mode switching0:
                                                         [DBIBC_VIDEO_SELECT].video_select does not get cleared automatically.1:
                                                          [DBIBC_VIDEO_SELECT].video_select gets cleared automatically
                                                          after completion of frame transfer.                                  */
           uint32_t : 15; // padding
    } DBIBC_VIDEO_SELECT_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_TE_SEP;                    /*!< DBIBC_TE_SEP                                                          */
    
    struct {
      __IO uint32_t  vsep_up    : 12;               /*!< Threshold value setting for V signal separation. (rising edge
                                                         of V signal) Setting is done with Bus clock 16-cycle unit. *
                                                          It is necessary to set [DBIBC_TE_SEP].vsep_up > [DBIBC_TE_SEP].vsep_down
                                                          >= 0x0 before setting [DBIBC_MODE].te_vsync_mode as 0b*01 or
                                                          0b*10.                                                               */
      __IO uint32_t  vsep_downval:  3;              /*!< Decrease value setting to integrator for V singnal separation.When
                                                         TE input singal is Low-level, the integrator subtracts the below
                                                          value.0x0: -1, 0x1: -2, 0x2: -4, 0x3: -8, 0x4: -16, 0x5: -32,
                                                          0x6: -64, 0x7: (integrator is set to 0)When TE input signal
                                                          is Hi-level, the integrator adds 1.                                  */
           uint32_t             :  1;
      __IO uint32_t  vsep_down  : 12;               /*!< Threshold value setting for V signal separation. (falling edge
                                                         of V signal) Setting is done with Bus clock 16-cycle unit. *
                                                          It is necessary to set [DBIBC_TE_SEP].vsep_up > [DBIBC_TE_SEP].vsep_down
                                                          >= 0x0 before setting [DBIBC_MODE].te_vsync_mode as 0b*01 or
                                                          0b*10.                                                               */
      __IO uint32_t  te_noise_count:  3;            /*!< TE input signal noise removal setting0x0: Noise removal is OFF0x1
                                                         or above: Pulse with width less than set cycle width is removed.Setting
                                                          is done with Bus clock 1-cycle unit                                  */
      __IO uint32_t  vsep_sigsel:  1;               /*!< TE input process select for V signal separation.0: Process without
                                                         noise removar1: Process with noise removar                            */
    } DBIBC_TE_SEP_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_TE_HSIZE;                  /*!< DBIBC_TE_HSIZE                                                        */
    
    struct {
      __IO uint32_t  htotal     : 24;               /*!< Horizontal period setting for external LCD controller A horizontal
                                                         period of panel side is set as a number of BUS clock cycle.
                                                          * This register is valid only if [DBIBC_MODE].te_vsync_mode
                                                          = 0b*01, 0b*11                                                       */
           uint32_t : 8; // padding
    } DBIBC_TE_HSIZE_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_VSYNC_SET;                 /*!< DBIBC_VSYNC_SET                                                       */
    
    struct {
      __IO uint32_t  vsync_cycle: 24;               /*!< Frame cycle setting for Vsync output A frame period of side
                                                         is set as a number of BUS clock cycle. * This register is valid
                                                          only if [DBIBC_MODE].te_vsync_mode = 0b*11                           */
      __IO uint32_t  vsync_line :  8;               /*!< Vsync line number setting for Vsync output Vsync output active
                                                         period is set as a number of line. * This register is valid
                                                          only if [DBIBC_MODE].te_vsync_mode = 0b*11                           */
    } DBIBC_VSYNC_SET_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_SYNCHRO_PHASE;             /*!< DBIBC_SYNCHRO_PHASE                                                   */
    
    struct {
      __IO uint32_t  read_offset: 11;               /*!< Setting for Read/Write line counter offset. * It is necessary
                                                         to set [DBIBC_SYNCHRO_PHASE].read_endline > [DBIBC_SYNCHRO_PHASE].read_off
                                                         set                                                                   */
           uint32_t             :  5;
      __IO uint32_t  read_endline: 11;              /*!< Setting for display endline of external LCD controller * It
                                                         is necessary to set [DBIBC_SYNCHRO_PHASE].read_endline > [DBIBC_SYNCHRO_PH
                                                         ASE].read_offset                                                      */
           uint32_t : 5; // padding
    } DBIBC_SYNCHRO_PHASE_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_READ_SET;                  /*!< DBIBC_READ_SET                                                        */
    
    struct {
      __IO uint32_t  read_number: 22;               /*!< (DBI-B/DBI-C mode only)Read count setting (Including Dummy-Read
                                                         count) Read count after read command transfer is set. 0x000000
                                                          is prohibited. * In case of DBI-C mode, consider 8 cycles as
                                                          1 read count.                                                        */
           uint32_t             :  2;
      __IO uint32_t  read_dummy :  3;               /*!< (DBI-B/DBI-C mode)Dummy-Read count setting Invalid read data
                                                         count after read command transfer is set.0x0: No Dummy-Read0x1:
                                                          Dummy-Read 1 time0x7: Dummy-Read 7 times(DSI mode) Set to 0x0        */
           uint32_t             :  1;
      __IO uint32_t  read_video :  1;               /*!< (DBI-B/DBI-C mode)Read data selection0: Status data1: Video
                                                         data(DSI mode)Set to 0b0                                              */
           uint32_t : 3; // padding
    } DBIBC_READ_SET_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_RFIFO_TIMEOUT_THR;         /*!< DBIBC_RFIFO_TIMEOUT_THR                                               */
    
    struct {
      __IO uint32_t  rfifo_timeout_threshold: 32;   /*!< RFIFO access time out threshold value setting. It is set as
                                                         a number of BUS clock cycle. When rfifo_timeout_threshold is
                                                          0x0,[DBIBC_INT_STATUS].int_rfifo_timeout does not occur.             */
    } DBIBC_RFIFO_TIMEOUT_THR_b;                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_WFIFO_TIMEOUT_THR;         /*!< DBIBC_WFIFO_TIMEOUT_THR                                               */
    
    struct {
      __IO uint32_t  wfifo_timeout_threshold: 32;   /*!< WFIFO access time out threshold value setting. It is set as
                                                         a number of BUS clock cycle. When wfifo_timeout_threshold is
                                                          0x0,[DBIBC_INT_STATUS].int_wfifo_timeout does not occur.             */
    } DBIBC_WFIFO_TIMEOUT_THR_b;                    /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __I  uint32_t  DBIBC_TE_CYCLE;                  /*!< DBIBC_TE_CYCLE                                                        */
    
    struct {
      __I  uint32_t  te_cycle   : 24;               /*!< Measurement value of V cycle of TE signal Up to 349.5 ms (2.86
                                                         fps) with 48 MHz sampling is possible. * Read value holds 0xFFFFFF
                                                          if measured cycle exceeds 0xFFFFFF.                                  */
           uint32_t : 8; // padding
    } DBIBC_TE_CYCLE_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_TE_LINE;                   /*!< DBIBC_TE_LINE                                                         */
    
    struct {
      __I  uint32_t  te_line    : 11;               /*!< Measurement value of number of lines of TE signal * Read value
                                                         holds 0x7FF if measured line number exceeds 0x7FF.                    */
           uint32_t : 21; // padding
    } DBIBC_TE_LINE_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_FIFO_STATUS;               /*!< DBIBC_FIFO_STATUS                                                     */
    
    struct {
      __I  uint32_t  wfifo_val  :  6;               /*!< Write-FIFO remaining quantity0x20: Maximum remaining quantity
                                                         in FIFO0x00: Zero remaining quantity in FIFO                          */
           uint32_t             :  2;
      __IO uint32_t  wfifo_clear_write:  1;         /*!< Detection flag of write during null mode. This register becomes
                                                         0b1 when write access is performed via AXI-slave port while
                                                          [DBIBC_CLEAR_WRITE].clear_write = 0b1. This register is cleared
                                                          when 0b1 is written in this register.                                */
           uint32_t             :  7;
      __I  uint32_t  rfifo_val  :  5;               /*!< Read-FIFO remaining quantity0x10: Maximum remaining quantity
                                                         in FIFO0x00: Zero remaining quantity in FIFO                          */
           uint32_t             :  3;
      __IO uint32_t  rfifo_clear_read:  1;          /*!< Detection flag of read during null mode. This register becomes
                                                         0b1 when read access is performed via AXI-slave port while [DBIBC_CLEAR_RE
                                                         AD].clear_read = 0b1. This register is cleared when 0b1 is written
                                                          in this register.                                                    */
           uint32_t : 7; // padding
    } DBIBC_FIFO_STATUS_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1;
  
  union {
    __IO uint32_t  DBIBC_INT_STATUS;                /*!< DBIBC_INT_STATUS                                                      */
    
    struct {
      __IO uint32_t  int_fixv   :  1;               /*!< [Primary interrupt cause] TE signal/Vsync signal position phase
                                                         (V detection phase) notification status.                              */
      __IO uint32_t  int_varv   :  1;               /*!< [Primary interrupt cause] TE signal/Vsync signal variable phase
                                                         notification status. * Notification phase setting is done with
                                                          [DBIBC_DMAC_START].dmac_start_line.                                  */
           uint32_t             :  2;
      __IO uint32_t  int_dma_start:  1;             /*!< [Primary interrupt cause] DMAC transfer start status * Start
                                                         phase setting is done with [DBIBC_DMAC_START].dmac_start_line.        */
      __IO uint32_t  int_dma_complete:  1;          /*!< [Primary interrupt cause] DMAC transfer completion status             */
      __IO uint32_t  int_dma_ch1_complete:  1;      /*!< [Primary interrupt cause] DMAC channel 1 transfer completion
                                                         status                                                                */
      __IO uint32_t  int_dma_ch2_complete:  1;      /*!< [Primary interrupt cause] DMAC channel 2 transfer completion
                                                         status                                                                */
      __IO uint32_t  int_interrupt_command:  1;     /*!< [Primary interrupt cause] Programmable interrupt status               */
      __IO uint32_t  int_read_complete:  1;         /*!< [Primary interrupt cause] Read data read completion status.           */
           uint32_t             :  2;
      __IO uint32_t  int_dbi_transfer_complete:  1; /*!< [Primary interrupt cause] Video data write completion status          */
      __IO uint32_t  int_linecmp:  1;               /*!< [Primary interrupt cause] Line comparison judgment status             */
           uint32_t             :  2;
      __IO uint32_t  int_dsi_vhif_change:  1;       /*!< [Primary interrupt cause] DSI interrupt status                        */
      __IO uint32_t  int_dsi_videomode_underflow:  1;/*!< [Primary interrupt cause] DSI interrupt status                       */
           uint32_t             :  2;
      __IO uint32_t  int_dma_timeout:  1;           /*!< [Primary interrupt cause] DMAC timeout status                         */
      __IO uint32_t  int_dsi_dsitx_polling_timeout:  1;/*!< [Primary interrupt cause] DSI polling timeout status               */
      __IO uint32_t  int_rfifo_timeout:  1;         /*!< [Primary interrupt cause] RFIFO timeout status                        */
      __IO uint32_t  int_wfifo_timeout:  1;         /*!< [Primary interrupt cause] WFIFO timeout status                        */
      __IO uint32_t  int_dsi_dsitx_vhif_timeout:  1;/*!< [Primary interrupt cause] DSI VHIF timeout status                     */
           uint32_t : 7; // padding
    } DBIBC_INT_STATUS_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_INTEN;                     /*!< DBIBC_INTEN                                                           */
    
    struct {
      __IO uint32_t  inten_fixv :  1;               /*!< [Interrupt output enable] enable of irq signal to CPU for int_fixv0:
                                                         disable1: enable                                                      */
      __IO uint32_t  inten_varv :  1;               /*!< [Interrupt output enable] enable of irq signal to CPU for int_varv0:
                                                         disable1: enable                                                      */
           uint32_t             :  2;
      __IO uint32_t  inten_dma_start:  1;           /*!< [Interrupt output enable] enable of irq signal to CPU for int_dma_start0:
                                                         disable1: enable                                                      */
      __IO uint32_t  inten_dma_complete:  1;        /*!< [Interrupt output enable] enable of irq signal to CPU for int_dma_complete
                                                         0: disable1: enable                                                   */
      __IO uint32_t  inten_dma_ch1_complete:  1;    /*!< [Interrupt output enable] enable of irq signal to CPU for int_dma_ch1_comp
                                                         lete0: disable1: enable                                               */
      __IO uint32_t  inten_dma_ch2_complete:  1;    /*!< [Interrupt output enable] enable of irq signal to CPU for int_dma_ch2_comp
                                                         lete0: disable1: enable                                               */
      __IO uint32_t  inten_interrupt_command:  1;   /*!< [Interrupt output enable] enable of irq signal to CPU for int_interrupt_co
                                                         mmand0: disable1: enable                                              */
      __IO uint32_t  inten_read_complete:  1;       /*!< [Interrupt output enable] enable of irq signal to CPU for int_read_complet
                                                         e0: disable1: enable                                                  */
           uint32_t             :  2;
      __IO uint32_t  inten_transfer_complete:  1;   /*!< [Interrupt output enable] enable of irq signal to CPU for int_dbi_transfer
                                                         _complete0: disable1: enable                                          */
      __IO uint32_t  inten_linecmp:  1;             /*!< [Interrupt output enable] enable of irq signal to CPU for int_linecmp
                                                         Interrupt output enable0: disable1: enable                            */
           uint32_t             :  2;
      __IO uint32_t  inten_dsi_vhif_change:  1;     /*!< [Interrupt output enable] enable of irq signal to CPU for inten_dsi_vhif_c
                                                         hange0: disable1: enable                                              */
      __IO uint32_t  inten_dsi_videomode_underflow:  1;/*!< [Interrupt output enable] enable of irq signal to CPU for int_dsi_dsitx_po
                                                         lling_timeout0: disable1: enable                                      */
           uint32_t             :  2;
      __IO uint32_t  inten_dma_timeout:  1;         /*!< [Interrupt output enable] enable of irq signal to CPU for int_dsi_videomod
                                                         e_underflow0: disable1: enable                                        */
      __IO uint32_t  inten_dsi_dsitx_polling_timeout:  1;/*!< [Interrupt output enable] enable of irq signal to CPU for int_dsi_dsitx_po
                                                         lling_timeout0: disable1: enable                                      */
      __IO uint32_t  inten_rfifo_timeout:  1;       /*!< [Interrupt output enable] enable of irq signal to CPU for int_rififo_timeo
                                                         ut Interrupt output enable0: disable1: enable                         */
      __IO uint32_t  inten_wfifo_timeout:  1;       /*!< [Interrupt output enable] enable of irq signal to CPU for int_wfifo_timeou
                                                         t0: disable1: enable                                                  */
      __IO uint32_t  inten_dsi_dsitx_vhif_timeout:  1;/*!< [Interrupt output enable] enable of irq signal to CPU for int_dsi_dsitx_vh
                                                         if_timeout0: disable1: enable                                         */
           uint32_t : 7; // padding
    } DBIBC_INTEN_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_ACTIVE_STATUS;             /*!< DBIBC_ACTIVE_STATUS                                                   */
    
    struct {
      __IO uint32_t  active_dbibc:  1;              /*!< DBIBC active flag0: not-active1: active                               */
           uint32_t : 31; // padding
    } DBIBC_ACTIVE_STATUS_b;                        /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2;
  
  union {
    __IO uint32_t  DBIBC_CLEAR_WRITE;               /*!< DBIBC_CLEAR_WRITE                                                     */
    
    struct {
      __IO uint32_t  clear_write:  1;               /*!< Write-FIFO mode setting0: normal operation mode1: null mode*
                                                         During Null mode the Write-FIFO does not receive any data written
                                                          by AXI-slave port.                                                   */
           uint32_t : 31; // padding
    } DBIBC_CLEAR_WRITE_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_CLEAR_READ;                /*!< DBIBC_CLEAR_READ                                                      */
    
    struct {
      __IO uint32_t  clear_read :  1;               /*!< Read-FIFO mode setting0: normal operation mode1: null mode*
                                                         During Null mode if Read operation is performed on Read-FIFO
                                                          by AXI-slave then the output is 0 instead of Read-FIFO contents.     */
           uint32_t : 31; // padding
    } DBIBC_CLEAR_READ_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[10];
  
  union {
    __IO uint32_t  DBIBC_DMAC_START;                /*!< DBIBC_DMAC_START                                                      */
    
    struct {
      __IO uint32_t  dmac_start_en:  1;             /*!< DMAC startup enableWhen [DBIBC_DMAC_START].dramc_start_mode
                                                         = 0b0*: after setting 0b1 to this register, DMAC immediately
                                                          starts up once and this register gets cleared regardless of
                                                          the startup pulse.When [DBIBC_DMAC_START].dramc_start_mode =
                                                          0b10: after setting 0b1 to this register, DMAC starts up once
                                                          and this register gets cleared according to the startup pulse.When
                                                          [DBIBC_DMAC_START].dramc_start_mode = 0b11: this register is
                                                          unavailable (this register gets cleared with no effect)              */
           uint32_t             :  1;
      __IO uint32_t  dmac_ch1_en:  1;               /*!< DMAC ch1 enable0: disable1: enable                                    */
      __IO uint32_t  dmac_ch2_en:  1;               /*!< DMAC ch2 enable0: disable1: enable                                    */
      __IO uint32_t  dmac_start_mode:  2;           /*!< DMAC startup mode0*: one time startup after setting [DBIBC_DMAC_START].dma
                                                         c_start_en = 0b110: one time startup from startup pulse after
                                                         setting [DBIBC_DMAC_START].dmac_start_en = 0b111: periodic multiple
                                                          startup from startup pulse.* If 0b00 is set while transfer is
                                                          in progress, then current transfer will continue until end and
                                                          will not startup with startup pulse thereafter.* Startup conditions
                                                          are ignored if startup conditions are issued while transfer
                                                          is in progress.                                                      */
      __IO uint32_t  dmac_start_queing_en:  1;      /*!< DMAC mode when DMAC has started during transfer.0: disable DMAC
                                                         does not start.1: enable After DMAC has completed transfer,
                                                          DMAC starts again.                                                   */
           uint32_t             :  1;
      __IO uint32_t  dmac_wait  :  8;               /*!< DMAC access interval period setting                                   */
      __IO uint32_t  dmac_start_line: 11;           /*!< DMAC Startup pulse issue line setting0x000: V detection phase0x001
                                                         or above: V detection phase + this register setting number of
                                                          lines                                                                */
           uint32_t             :  1;
      __IO uint32_t  fixed28    :  1;               /*!< set to 0b0                                                            */
           uint32_t : 3; // padding
    } DBIBC_DMAC_START_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DMAC_ABORT;                /*!< DBIBC_DMAC_ABORT                                                      */
    
    struct {
      __IO uint32_t  dmac_abort :  1;               /*!< DMAC abort settingAbort while DMAC is transferring: this register
                                                         gets cleared after DMAC transfer completion interrupt occurs.Abort
                                                          while DMAC is IDLE: this register gets cleared immediately with
                                                          no effect.                                                           */
           uint32_t : 31; // padding
    } DBIBC_DMAC_ABORT_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[2];
  
  union {
    __IO uint32_t  DBIBC_DMAC_CH1_PARAADR;          /*!< DBIBC_DMAC_CH1_PARAADR                                                */
    
    struct {
      __IO uint32_t  dmac_ch1_paraadr: 32;          /*!< DMAC channel 1 linked list address setting: Setting for the
                                                         address of head parameter of linked list.                             */
    } DBIBC_DMAC_CH1_PARAADR_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DMAC_CH2_PARAADR;          /*!< DBIBC_DMAC_CH2_PARAADR                                                */
    
    struct {
      __IO uint32_t  dmac_ch2_paraadr: 32;          /*!< DMAC channel 2 linked list address setting: Setting for the
                                                         address of head parameter of linked list.                             */
    } DBIBC_DMAC_CH2_PARAADR_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_PARAADR_2ND;      /*!< DBIBC_DMAC_CH1_PARAADR_2ND                                            */
    
    struct {
      __I  uint32_t  dmac_ch1_paraadr: 32;          /*!< V latch mechanism 2nd register of [DBIBC_DMAC_CH1_PARAADR].dmac_paraadr
                                                         (Read only)                                                           */
    } DBIBC_DMAC_CH1_PARAADR_2ND_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_PARAADR_2ND;      /*!< DBIBC_DMAC_CH2_PARAADR_2ND                                            */
    
    struct {
      __I  uint32_t  dmac_ch2_paraadr: 32;          /*!< V latch mechanism 2nd register of [DBIBC_DMAC_CH2_PARAADR].dmac_paraadr
                                                         (Read only)                                                           */
    } DBIBC_DMAC_CH2_PARAADR_2ND_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_SRCADR;           /*!< DBIBC_DMAC_CH1_SRCADR                                                 */
    
    struct {
      __I  uint32_t  dmac_ch1_srcadr: 32;           /*!< DMAC channel 1 source address parameter value of block transfer
                                                         currently being executed.                                             */
    } DBIBC_DMAC_CH1_SRCADR_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_DSTADR;           /*!< DBIBC_DMAC_CH1_DSTADR                                                 */
    
    struct {
      __I  uint32_t  dmac_ch1_dstadr: 32;           /*!< DMAC channel 1 destination address parameter value of block
                                                         transfer currently being executed.                                    */
    } DBIBC_DMAC_CH1_DSTADR_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_HVSIZE;           /*!< DBIBC_DMAC_CH1_HVSIZE                                                 */
    
    struct {
      __I  uint32_t  dmac_ch1_width: 16;            /*!< DMAC channel 1 width parameter value of block transfer currently
                                                         being executed.0x0: 1 byte0x1: 2 bytes :0xFFF: 4096 bytes             */
      __I  uint32_t  dmac_ch1_height: 16;           /*!< DMAC channel 1 height parameter value of block transfer currently
                                                         being executed.0x0: 1 line0x1: 2 lines :0x3FF: 1024 lines             */
    } DBIBC_DMAC_CH1_HVSIZE_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_STRIDE;           /*!< DBIBC_DMAC_CH1_STRIDE                                                 */
    
    struct {
      __I  uint32_t  dmac_ch1_srcstride: 16;        /*!< DMAC channel 1 source stride parameter value of block transfer
                                                         currently being executed.0x0: 0 byte0x1: 1 byte :0x400: 4096
                                                          bytes                                                                */
      __I  uint32_t  dmac_ch1_dststride: 16;        /*!< DMAC channel 1 destination stride parameter value of block transfer
                                                         currently being executed.0x0: 0 byte0x1: 1 byte :0x400: 4096
                                                          bytes                                                                */
    } DBIBC_DMAC_CH1_STRIDE_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_LINKADR;          /*!< DBIBC_DMAC_CH1_LINKADR                                                */
    
    struct {
      __I  uint32_t  dmac_ch1_linkadr: 32;          /*!< DMAC channel 1 link address parameter value of block transfer
                                                         currently being executed.                                             */
    } DBIBC_DMAC_CH1_LINKADR_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH1_CTR;              /*!< DBIBC_DMAC_CH1_CTR                                                    */
    
    struct {
      __I  uint32_t  dmac_ch1_start_condition:  1;  /*!< DMAC channel 1 starting condition parameter value of block transfer
                                                         currently being executed.0: Regardless of the authority release
                                                          condition of another channel, current Block transfer starts
                                                          once it gets the authority.1: Current block transfer starts
                                                          after waiting for the another channels block transfer to end.        */
           uint32_t             :  3;
      __I  uint32_t  dmac_ch1_release_condition:  2;/*!< DMAC channel 1 authority release condition parameter value of
                                                         block transfer currently being executed.00: Execution authority
                                                          is not released at all.01: Execution authority is released to
                                                          another channel when each line transfer is complete, but authority
                                                          is retained if block transfer is complete.10: Execution authority
                                                          is released to another channel after the completion of block
                                                          transfer.11: Execution authority is released at completion of
                                                          every line transfer and completion of block transfer.                */
           uint32_t             :  2;
      __I  uint32_t  dmac_ch1_linken:  1;           /*!< DMAC channel 1 link address parameter value of block transfer
                                                         currently being executed.0: link complete1: continuation of
                                                          link                                                                 */
           uint32_t : 23; // padding
    } DBIBC_DMAC_CH1_CTR_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[2];
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_SRCADR;           /*!< DBIBC_DMAC_CH2_SRCADR                                                 */
    
    struct {
      __I  uint32_t  dmac_ch2_srcadr: 32;           /*!< DMAC channel 2 source address parameter value of block transfer
                                                         currently being executed.                                             */
    } DBIBC_DMAC_CH2_SRCADR_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_DSTADR;           /*!< DBIBC_DMAC_CH2_DSTADR                                                 */
    
    struct {
      __I  uint32_t  dmac_ch2_dstadr: 32;           /*!< DMAC channel 2 destination address parameter value of block
                                                         transfer currently being executed.                                    */
    } DBIBC_DMAC_CH2_DSTADR_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_HVSIZE;           /*!< DBIBC_DMAC_CH2_HVSIZE                                                 */
    
    struct {
      __I  uint32_t  dmac_ch2_width: 16;            /*!< DMAC channel 2 width parameter value of block transfer currently
                                                         being executed.0x0: 1 byte0x1: 2 bytes :0xFFF: 4096 bytes             */
      __I  uint32_t  dmac_ch2_height: 16;           /*!< DMAC channel 2 height parameter value of block transfer currently
                                                         being executed.0x0: 1 line0x1: 2 lines :0x3FF: 1024 lines             */
    } DBIBC_DMAC_CH2_HVSIZE_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_STRIDE;           /*!< DBIBC_DMAC_CH2_STRIDE                                                 */
    
    struct {
      __I  uint32_t  dmac_ch2_srcstride: 16;        /*!< DMAC channel 2 source stride parameter value of block transfer
                                                         currently being executed.0x0: 0 byte0x1: 1 byte :0x400: 4096
                                                          bytes                                                                */
      __I  uint32_t  dmac_ch2_dststride: 16;        /*!< DMAC channel 2 destination stride parameter value of block transfer
                                                         currently being executed.0x0: 0 byte0x1: 1 byte :0x400: 4096
                                                          bytes                                                                */
    } DBIBC_DMAC_CH2_STRIDE_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_LINKADR;          /*!< DBIBC_DMAC_CH2_LINKADR                                                */
    
    struct {
      __I  uint32_t  dmac_ch2_linkadr: 32;          /*!< DMAC channel 2 link address parameter value of block transfer
                                                         currently being executed.                                             */
    } DBIBC_DMAC_CH2_LINKADR_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  DBIBC_DMAC_CH2_CTR;              /*!< DBIBC_DMAC_CH2_CTR                                                    */
    
    struct {
      __I  uint32_t  dmac_ch2_start_condition:  1;  /*!< DMAC channel 2 starting condition parameter value of block transfer
                                                         currently being executed.0: Regardless of the authority release
                                                          condition of another channel, current Block transfer starts
                                                          once it gets the authority.1: Current block transfer starts
                                                          after waiting for the another channels block transfer to end.        */
           uint32_t             :  3;
      __I  uint32_t  dmac_ch2_release_condition:  2;/*!< DMAC channel 2 authority release condition parameter value of
                                                         block transfer currently being executed.00: Execution authority
                                                          is not released at all.01: Execution authority is released to
                                                          another channel when each line transfer is complete, but authority
                                                          is retained if block transfer is complete.10: Execution authority
                                                          is released to another channel after the completion of block
                                                          transfer.11: Execution authority is released at completion of
                                                          every line transfer and completion of block transfer.                */
           uint32_t             :  2;
      __I  uint32_t  dmac_ch2_linken:  1;           /*!< DMAC channel 2 link address parameter value of block transfer
                                                         currently being executed.0: link complete1: continuation of
                                                          link                                                                 */
           uint32_t : 23; // padding
    } DBIBC_DMAC_CH2_CTR_b;                         /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[2];
  
  union {
    __IO uint32_t  DBIBC_DMAC_TIMEOUT_THR;          /*!< DBIBC_DMAC_TIMEOUT_THR                                                */
    
    struct {
      __IO uint32_t  dmac_timeout_threshold: 32;    /*!< DMAC time out threshold value setting. It is set as a number
                                                         of BUS clock cycle. When dmac_timeout_threshold is 0x0,[DBIBC_INT_STATUS].
                                                         int_dma_timeout does not occur.                                       */
    } DBIBC_DMAC_TIMEOUT_THR_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[3];
  
  union {
    __IO uint32_t  DBIBC_DMAC_MM_PA;                /*!< DBIBC_DMAC_MM_PA                                                      */
    
    struct {
      __IO uint32_t  dmac_mm_pa0: 16;               /*!< Substitute value of upper bits of substitute physical address
                                                         for DMAC substitution set 0.                                          */
      __IO uint32_t  dmac_mm_pa1: 16;               /*!< Substitute value of upper bits of substitute physical address
                                                         for DMAC substitution set 1.                                          */
    } DBIBC_DMAC_MM_PA_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DMAC_MM_LA;                /*!< DBIBC_DMAC_MM_LA                                                      */
    
    struct {
      __IO uint32_t  dmac_mm_la0: 16;               /*!< Comparison value of upper bits of logical address before substitution
                                                         for DMAC substitution set 0.                                          */
      __IO uint32_t  dmac_mm_la1: 16;               /*!< Comparison value of upper bits of logical address before substitution
                                                         for DMAC substitution set 1.                                          */
    } DBIBC_DMAC_MM_LA_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DMAC_MM_EN;                /*!< DBIBC_DMAC_MM_EN                                                      */
    
    struct {
      __IO uint32_t  dmac_mm_en0: 16;               /*!< Substitute bit enable for DMAC substitution set 0.                    */
      __IO uint32_t  dmac_mm_en1: 16;               /*!< Substitute bit enable for DMAC substitution set 1.                    */
    } DBIBC_DMAC_MM_EN_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8;
  
  union {
    __IO uint32_t  DBIBC_IO_CONTROL1;               /*!< DBIBC_IO_CONTROL1                                                     */
    
    struct {
      __IO uint32_t  direct_csx :  2;               /*!< (DBI-B/DBI-C mode only)DBIB_CSX/DBIC_CSX direction00: Normal
                                                         (Output only)01: Input10: Output (L)11: Output (H)                    */
      __IO uint32_t  direct_dcx :  2;               /*!< (DBI-B/DBI-C mode only)DBIB_DCX/DBIC_DCX direction00: Normal
                                                         (Output only)01: Input10: Output (L)11: Output (H)                    */
      __IO uint32_t  direct_rdx :  2;               /*!< (DBI-B mode only)DBIB_RDX direction00: Normal (Output only)01:
                                                         Input10: Output (L)11: Output (H)                                     */
      __IO uint32_t  direct_wrx :  2;               /*!< (DBI-B/DBI-C mode only)DBIB_WRX/DBIC_SCL direction00: Normal
                                                         (Output only)01: Input10: Output (L)11: Output (H)                    */
      __IO uint32_t  direct_te  :  2;               /*!< DBIB_TE direction00: Normal (In/Out)01: Input10: Output (L)11:
                                                         Output (H)                                                            */
           uint32_t : 22; // padding
    } DBIBC_IO_CONTROL1_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_IO_CONTROL2;               /*!< DBIBC_IO_CONTROL2                                                     */
    
    struct {
      __IO uint32_t  direct_data00:  2;             /*!< (DBI-B/DBI-C mode only)DBIB_D0/DBIC_SDO direction00: Normal
                                                         (In/Out)01: Input10: Output (L)11: Output (H)                         */
      __IO uint32_t  direct_data01:  2;             /*!< (DBI-B/DBI-C mode only)DBIB_D1/DBIC_SDI direction00: Normal
                                                         (In/Out)01: Input10: Output (L)11: Output (H)                         */
      __IO uint32_t  direct_data02:  2;             /*!< (DBI-B mode only)DBIB_D2 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data03:  2;             /*!< (DBI-B mode only)DBIB_D3 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data04:  2;             /*!< (DBI-B mode only)DBIB_D4 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data05:  2;             /*!< (DBI-B mode only)DBIB_D5 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data06:  2;             /*!< (DBI-B mode only)DBIB_D6 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data07:  2;             /*!< (DBI-B mode only)DBIB_D7 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data08:  2;             /*!< (DBI-B mode only)DBIB_D8 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data09:  2;             /*!< (DBI-B mode only)DBIB_D9 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data10:  2;             /*!< (DBI-B mode only)DBIB_D10 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data11:  2;             /*!< (DBI-B mode only)DBIB_D11 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data12:  2;             /*!< (DBI-B mode only)DBIB_D12 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data13:  2;             /*!< (DBI-B mode only)DBIB_D13 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data14:  2;             /*!< (DBI-B mode only)DBIB_D14 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
      __IO uint32_t  direct_data15:  2;             /*!< (DBI-B mode only)DBIB_D15 direction00: Normal (In/Out)01: Input10:
                                                         Output (L)11: Output (H)                                              */
    } DBIBC_IO_CONTROL2_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[62];
  
  union {
    __IO uint32_t  DBIBC_DSI_VHIF_ENABLE;           /*!< DBIBC_DSI_VHIF_ENABLE                                                 */
    
    struct {
      __IO uint32_t  dsi_vhif_enable:  1;           /*!< VH I/F enable0: disable1: enableAfter setting this register,
                                                         VH I/F status change completes when [DBIBC_INT_STATUS].int_dsi_vhif_stop
                                                          asserts. Do not access this register except for DSI mode.            */
           uint32_t : 31; // padding
    } DBIBC_DSI_VHIF_ENABLE_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_VIDEO_MODE;            /*!< DBIBC_DSI_VIDEO_MODE                                                  */
    
    struct {
      __IO uint32_t  dsi_video_mode:  1;            /*!< (DSI mode only)DSI output mode0: command mode1: video mode            */
           uint32_t : 31; // padding
    } DBIBC_DSI_VIDEO_MODE_b;                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_HVSYNC;                /*!< DBIBC_DSI_HVSYNC                                                      */
    
    struct {
      __IO uint32_t  dsi_hsw    : 10;               /*!< (DSI mode only) Set fixed valued 16 (0x10).                           */
           uint32_t             :  6;
      __IO uint32_t  dsi_vsw    : 10;               /*!< (DSI mode only) Vsync assert width counted by number of lines.
                                                         This register is effective in case of video mode.                     */
           uint32_t : 6; // padding
    } DBIBC_DSI_HVSYNC_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_VIDEO_START_LINE;      /*!< DBIBC_DSI_VIDEO_START_LINE                                            */
    
    struct {
      __IO uint32_t  dsi_video_start_line: 10;      /*!< (DSI mode only) The line number video starts. Set the line offset
                                                         from Vsync to 1st video line.                                         */
           uint32_t : 22; // padding
    } DBIBC_DSI_VIDEO_START_LINE_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_MINIMUM_LINE;          /*!< DBIBC_DSI_MINIMUM_LINE                                                */
    
    struct {
      __IO uint32_t  dsi_minimum_line: 32;          /*!< (DSI mode only) Minimum period of HS short packet or HS long
                                                         packet, counted by busClk. This register is effective is case
                                                          of command mode.                                                     */
    } DBIBC_DSI_MINIMUM_LINE_b;                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_VDELAYSTRCOUNT;        /*!< DBIBC_DSI_VDELAYSTRCOUNT                                              */
    
    struct {
      __IO uint32_t  dsi_VDELAYSTRCOUNT: 18;        /*!< (DSI mode only) Set the value below in case of video mode. [DBIBC_TE_HSIZE
                                                         ].htotal * (DSI bitrate / 8) / (busClk frequency) Set value '0b0'
                                                         in case of command mode.                                              */
           uint32_t : 14; // padding
    } DBIBC_DSI_VDELAYSTRCOUNT_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_PACKING;               /*!< DBIBC_DSI_PACKING                                                     */
    
    struct {
      __IO uint32_t  dsi_loosely_packed:  1;        /*!< (DSI mode only)Loosely pack RGB666.0: normal1: loosely packing
                                                         Set '0b0' except for in case of RGB666 video mode.                    */
           uint32_t             :  3;
      __IO uint32_t  dsi_byte_swap:  1;             /*!< (DSI mode only) In case of command mode and pixel format is
                                                         RGB565, this register swap output [15:8] and [7:0] of each pixel.0:
                                                          normal1: swap [15:8] and [7:0]Set '0b0' in case of video mode.Set
                                                          '0b0' in case of command mode except for RGB565.                     */
           uint32_t             :  3;
      __IO uint32_t  dsi_vc     :  2;               /*!< (DSI mode only)Virtual channel                                        */
           uint32_t : 22; // padding
    } DBIBC_DSI_PACKING_b;                          /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED10;
  
  union {
    __IO uint32_t  DBIBC_DSI_POLLING_TIMEOUT_THR;   /*!< DBIBC_DSI_POLLING_TIMEOUT_THR                                         */
    
    struct {
      __IO uint32_t  dsi_dsitx_polling_timeout: 32; /*!< (DSI mode only) Threshold for DSI polling command timeout. Set
                                                         this register when DSI polling command is not running. It is
                                                          set as a number of BUS clock cycle. When dsi_dsitx_polling_timeout
                                                          is 0x0,[DBIBC_INT_STATUS].int_dsi_dsitx_polling_timeout does
                                                          not occur.                                                           */
    } DBIBC_DSI_POLLING_TIMEOUT_THR_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  DBIBC_DSI_VHIF_TIMEOUT_THR;      /*!< DBIBC_DSI_VHIF_TIMEOUT_THR                                            */
    
    struct {
      __IO uint32_t  dsi_dsitx_vhif_timeout: 32;    /*!< (DSI mode only) Threshold for DSI VH I/F change timeout. Set
                                                         this register when DSI VH I/F is not changing. It is set as
                                                          a number of BUS clock cycle. When dsi_dsitx_vhif_timeout is
                                                          0x0,[DBIBC_INT_STATUS].int_dsi_dsitx_vhif_timeout does not occur.    */
    } DBIBC_DSI_VHIF_TIMEOUT_THR_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED11[22];
  
  union {
    __I  uint32_t  DBIBC_DSI_VHIF_STATE;            /*!< DBIBC_DSI_VHIF_STATE                                                  */
    
    struct {
      __I  uint32_t  dsi_vhif_state:  3;            /*!< (DSI mode only)DSI-VHIF current status0x0: disable0x1: enable0x2
                                                         to 0x4: intermediate status from disable to enable0x5, 0x6:
                                                          intermediate status from enable to disable                           */
           uint32_t : 29; // padding
    } DBIBC_DSI_VHIF_STATE_b;                       /*!< BitSize                                                               */
  };
} DBIBC_Type;


/* ================================================================================ */
/* ================                      DSITX                     ================ */
/* ================================================================================ */


/**
  * @brief dsitx (DSITX)
  */

typedef struct {                                    /*!< DSITX Structure                                                       */
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Func_Enable_00; /*!< CDSITX_Interrupt_Func_Enable_00                                       */
    
    struct {
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_AutoCalDone_EN:  1;   /*!< 0: The field value of SBS_DPHY_D0M_LPRXVTHLOW is used in LP
                                                         receiver of D0.1: The value from Calibration-Block is used in
                                                          LP receiver of D0.                                                   */
           uint32_t : 29; // padding
    } CDSITX_Interrupt_Func_Enable_00_b;            /*!< BitSize                                                               */
  };
  __I  uint32_t  CDSITX_Interrupt_Func_Enable_01;   /*!< CDSITX_Interrupt_Func_Enable_01                                       */
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Func_Enable_02; /*!< CDSITX_Interrupt_Func_Enable_02                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_HS_TO_EN:  1;         /*!< 0: Disables the HSTX_TO timer1: Enables the HSTX_TO timerSet
                                                         this bit before SBD_DPHY_HsTxClkEnable asserts.                       */
      __IO uint32_t  SBS_LINK_LPRXH_TO_EN:  1;      /*!< 0: Disables the LRX-H_TO timer1: Enables the LRX-H_TO timerSet
                                                         this bit before SBD_DPHY_HsTxClkEnable asserts.                       */
      __IO uint32_t  SBS_LINK_TA_TO_EN:  1;         /*!< 0: Disables the TA_TO timer1: Enables the TA_TO timerSet this
                                                         bit before SBD_DPHY_HsTxClkEnable asserts.                            */
      __IO uint32_t  SBS_LINK_PR_TO_EN:  1;         /*!< 0: Disables the PR_TO timer1: Enables the PR_TO timerSet this
                                                         bit before SBD_DPHY_HsTxClkEnable asserts.                            */
      __IO uint32_t  SBS_LINK_PRESP_TO_EN:  1;      /*!< 0: Disable the PRESP_TO timer.1: Enable the PRESP_TO timer.Set
                                                         this bit before SBD_DPHY_HsTxClkEnable asserts.                       */
           uint32_t             :  3;
      __IO uint32_t  SBS_APF_CMDIF_AUTO_BTA_EN:  1; /*!< 0: Disable BTA request automatically after the Read command
                                                         with CMDIF1: Enable BTA request automatically after the Read
                                                          command with CMDIFSet this bit before SBD_DPHY_HsTxClkEnable
                                                          asserts.                                                             */
      __IO uint32_t  SBS_APF_PKTIF_AUTO_BTA_EN:  1; /*!< set value 0                                                           */
           uint32_t : 22; // padding
    } CDSITX_Interrupt_Func_Enable_02_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Func_Enable_03; /*!< CDSITX_Interrupt_Func_Enable_03                                       */
    
    struct {
      __IO uint32_t  SBS_APF_PKTIF_TO_EN:  1;       /*!< set value 0                                                           */
      __IO uint32_t  SBS_APF_CMDIF_TO_EN:  1;       /*!< Command I/F WC TimeOut enableThe Command I/F TimeOut occurs
                                                         if the CFG block doesnt provide the payload data of the number
                                                          of bytes specified by CMD_PKT_WC.The TimeOut counter will start
                                                          counting during Packet Interface transaction and payload data
                                                          is not provided. It will reset when payload data is provided.        */
           uint32_t : 30; // padding
    } CDSITX_Interrupt_Func_Enable_03_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Power_SW;                 /*!< CDSITX_Power_SW                                                       */
    
    struct {
      __IO uint32_t  SBD_DPHY_COM_V12EN:  1;        /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBD_DPHY_COM_V12PEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBD_DPHY_COM_EN_ZEMIPIV12:  1; /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 29; // padding
    } CDSITX_Power_SW_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_DPHY_Reset;               /*!< CDSITX_DPHY_Reset                                                     */
    
    struct {
      __IO uint32_t  DPHY_Reset_N:  1;              /*!< DPHY softmacro and DPHY hardmacro Reset (Active Low)                  */
           uint32_t : 31; // padding
    } CDSITX_DPHY_Reset_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_PLL_Config_00;            /*!< CDSITX_PLL_Config_00                                                  */
    
    struct {
      __IO uint32_t  SBS_DPHY_MPM_FBD:  9;          /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  3;
      __IO uint32_t  SBS_DPHY_CLM_LFBREN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  3;
      __IO uint32_t  SBS_DPHY_MPM_FRS:  2;          /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_MPM_LBWS:  2;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_MPM_PRD:  5;          /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 3; // padding
    } CDSITX_PLL_Config_00_b;                       /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  CDSITX_PLL_Config_02;            /*!< CDSITX_PLL_Config_02                                                  */
    
    struct {
      __IO uint32_t  SBS_DPHY_MP_LOCKCNT: 16;       /*!< PLL Lock count. Counter to wait until PLL lock is detected.This
                                                         counter is counted by OSC12M.Refer to CDSITX_Configuration file.      */
           uint32_t : 16; // padding
    } CDSITX_PLL_Config_02_b;                       /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_PLL_Control_00;           /*!< CDSITX_PLL_Control_00                                                 */
    
    struct {
      __IO uint32_t  SBD_DPHY_MPM_PLLPSEN:  1;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 31; // padding
    } CDSITX_PLL_Control_00_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_PLL_Control_01;           /*!< CDSITX_PLL_Control_01                                                 */
    
    struct {
      __IO uint32_t  SBD_DPHY_MP_ENABLE:  1;        /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 31; // padding
    } CDSITX_PLL_Control_01_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Lane_Enable_00;           /*!< CDSITX_Lane_Enable_00                                                 */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_HM_EN:  1;        /*!< Physical Enable for Data Lane 0.0: Disable ( Hi-Z)1: normal
                                                         operationIn order to transmit HSTX data, Clock Lane shall be
                                                          enabled.Refer to CDSITX_Configuration file.                          */
      __IO uint32_t  SBS_DPHY_D1M_HM_EN:  1;        /*!< Physical Enable for Data Lane 1.0: Disable ( Hi-Z)1: normal
                                                         operationIf Physical Enable for Lower Lane is disabled, Physical
                                                          Enable should be disabled for this Lane.Refer to CDSITX_Configuration
                                                          file.                                                                */
      __IO uint32_t  SBS_DPHY_D2M_HM_EN:  1;        /*!< set value 0                                                           */
      __IO uint32_t  SBS_DPHY_D3M_HM_EN:  1;        /*!< set value 0                                                           */
      __IO uint32_t  SBS_DPHY_CLM_HM_EN:  1;        /*!< Physical Enable for Clock Lane.0: Disable ( Hi-Z)1: normal operationRefer
                                                         to CDSITX_Configuration file.                                         */
           uint32_t : 27; // padding
    } CDSITX_Lane_Enable_00_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Lane_Enable_01;           /*!< CDSITX_Lane_Enable_01                                                 */
    
    struct {
      __IO uint32_t  SBD_DPHY_D0M_SM_EN:  1;        /*!< Functional Enable for Data Lane 0 in DPHY Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmission In order
                                                          to transmit HSTX data, Clock Lane shall be enabled.Refer to
                                                          CDSITX_Configuration file.                                           */
      __IO uint32_t  SBD_DPHY_D1M_SM_EN:  1;        /*!< Functional Enable for Data Lane 1 in DPHY Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmissionIf Functional
                                                          Enable is enabled, The Physical Enable for same number of Lane
                                                          should be Enabled.Refer to CDSITX_Configuration file.                */
      __IO uint32_t  SBD_DPHY_D2M_SM_EN:  1;        /*!< set value 0                                                           */
      __IO uint32_t  SBD_DPHY_D3M_SM_EN:  1;        /*!< set value 0                                                           */
      __IO uint32_t  SBD_DPHY_CLM_SM_EN:  1;        /*!< Functional Enable for Clock Lane in DPHY Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmissionIf Functional
                                                          Enable is enabled, The Physical Enable for same number of Lane
                                                          should be Enabled.Refer to CDSITX_Configuration file.                */
           uint32_t : 27; // padding
    } CDSITX_Lane_Enable_01_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Lane_Enable_02;           /*!< CDSITX_Lane_Enable_02                                                 */
    
    struct {
      __IO uint32_t  SBS_LINK_D0M_EN:  1;           /*!< Functional Enable for Data Lane 0 in LINK Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmissionIn order
                                                          to transmit HSTX data, Clock Lane shall be enabled.Refer to
                                                          CDSITX_Configuration file.                                           */
      __IO uint32_t  SBS_LINK_D1M_EN:  1;           /*!< Functional Enable for Data Lane 1 in LINK Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmissionIf Functional
                                                          Enable is enabled, The Physical Enable for same number of Lane
                                                          should be Enabled.Refer to CDSITX_Configuration file.                */
      __IO uint32_t  SBS_LINK_D2M_EN:  1;           /*!< set value 0                                                           */
      __IO uint32_t  SBS_LINK_D3M_EN:  1;           /*!< set value 0                                                           */
      __IO uint32_t  SBS_LINK_CLM_EN:  1;           /*!< Functional Enable for Clock Lane in LINK Layer.0: Unuse this
                                                         Lane for transmission.1: Use this Lane for transmissionIf Functional
                                                          Enable is enabled, The Physical Enable for same number of Lane
                                                          should be Enabled.Refer to CDSITX_Configuration file.                */
           uint32_t : 27; // padding
    } CDSITX_Lane_Enable_02_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Vreg_Config;              /*!< CDSITX_Vreg_Config                                                    */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_HSTXVREGCNT: 16;  /*!< TX Voltage Regulator setup Wait Counter.This counter is counted
                                                         by OSC12M.Refer to CDSITX_Configuration file.                         */
           uint32_t : 16; // padding
    } CDSITX_Vreg_Config_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Vreg_Control;             /*!< CDSITX_Vreg_Control                                                   */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_HSTXVREGEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_HSTXVREGEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_HSTXVREGEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_HSTXVREGEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_HSTXVREGEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 27; // padding
    } CDSITX_Vreg_Control_b;                        /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_LPRX_Calib_Config;        /*!< CDSITX_LPRX_Calib_Config                                              */
    
    struct {
      __IO uint32_t  SBS_DPHY_CALIB_CALCOUNT:  8;   /*!< Auto Calibration Counter.The counter is counted by OSC12M.Refer
                                                         to CDSITX_Configuration file.                                         */
           uint32_t : 24; // padding
    } CDSITX_LPRX_Calib_Config_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_LPRX_Calib_Control;       /*!< CDSITX_LPRX_Calib_Control                                             */
    
    struct {
      __IO uint32_t  SBD_DPHY_CALIB_START:  1;      /*!< LPRX Auto Calibration Start.0: Calibration is not started.1:
                                                         Start auto calibration.Clear (write 0) before Auto Calibration
                                                          restart.Refer to CDSITX_Configuration file.                          */
           uint32_t : 31; // padding
    } CDSITX_LPRX_Calib_Control_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_CSI2DSI_Select;           /*!< CDSITX_CSI2DSI_Select                                                 */
    
    struct {
      __IO uint32_t  SBS_LINK_CSI2_MODE:  1;        /*!< set value 0                                                           */
      __IO uint32_t  SBS_APF_CSI2_MODE:  1;         /*!< set value 0                                                           */
           uint32_t : 30; // padding
    } CDSITX_CSI2DSI_Select_b;                      /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_00;   /*!< CDSITX_Global_Timing_Param_00                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_SYSCLDTClkSel:  2;    /*!< Clock Selection internal clock (SYSCLDTClk) for PPI block.Refer
                                                         to CDSITX_Configuration file.                                         */
           uint32_t : 30; // padding
    } CDSITX_Global_Timing_Param_00_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_01;   /*!< CDSITX_Global_Timing_Param_01                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_LPTXCURR0EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D0M_LPTXCURR1EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D1M_LPTXCURR0EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_LPTXCURR1EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D2M_LPTXCURR0EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_LPTXCURR1EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D3M_LPTXCURR0EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_LPTXCURR1EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_CLM_LPTXCURR0EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_LPTXCURR1EN:  1;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 14; // padding
    } CDSITX_Global_Timing_Param_01_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_02;   /*!< CDSITX_Global_Timing_Param_02                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_HSTxClk_DIVCNT: 12;   /*!< TxClkEsc period counterRefer to CDSITX_Configuration file.            */
           uint32_t : 20; // padding
    } CDSITX_Global_Timing_Param_02_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_03;   /*!< CDSITX_Global_Timing_Param_03                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_LPTXTIMECNT: 12;  /*!< TLPX Period counter.Refer to CDSITX_Configuration file.               */
           uint32_t : 20; // padding
    } CDSITX_Global_Timing_Param_03_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_04;   /*!< CDSITX_Global_Timing_Param_04                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_TCLK_PREPARECNT:  7;/*!< This counter is used for TCLK-PREPARE parameter.This counter
                                                         is counted by SYSCLDTClk.Refer to CDSITX_Configuration file.          */
           uint32_t             :  1;
      __IO uint32_t  SBS_DPHY_PPI_TCLK_PRECNT:  7;  /*!< This counter is used for TCLK-PRE parameter.This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t             :  1;
      __IO uint32_t  SBS_DPHY_PPI_TCLK_PREZEROCNT:  8;/*!< This counter is used for TCLK-PREPARE and TCLK-ZERO parameter.
                                                         This counter is counted by SYSCLDTClk.Refer to CDSITX_Configuration
                                                          file.                                                                */
           uint32_t : 8; // padding
    } CDSITX_Global_Timing_Param_04_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_05;   /*!< CDSITX_Global_Timing_Param_05                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_TCLK_TRAILCNT:  8;/*!< This counter is used for TCLK-TRAIL parameter.This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t             :  8;
      __IO uint32_t  SBS_DPHY_PPI_TCLK_EXITCNT: 11; /*!< This counter is used for TCLK-EXIT parameter.This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t : 5; // padding
    } CDSITX_Global_Timing_Param_05_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_06;   /*!< CDSITX_Global_Timing_Param_06                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_THS_PREPARECNT:  7;/*!< This counter is used for TCLK-PREPARE parameter. This counter
                                                         is counted by SYSCLDTClk.Refer to CDSITX_Configuration file.          */
           uint32_t             :  9;
      __IO uint32_t  SBS_DPHY_PPI_THS_PREZEROCNT:  8;/*!< This counter is used for THS-PREPARE and THS-ZERO parameter.This
                                                         counter is counted by SYSCLDTClk.Refer to CDSITX_Configuration
                                                          file.                                                                */
           uint32_t : 8; // padding
    } CDSITX_Global_Timing_Param_06_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_07;   /*!< CDSITX_Global_Timing_Param_07                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_THS_TRAILCNT:  8; /*!< This counter is used for THS-TRAIL parameter. This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t             :  8;
      __IO uint32_t  SBS_DPHY_PPI_THS_EXITCNT: 11;  /*!< This counter is used for THS-EXIT parameter. This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t : 5; // padding
    } CDSITX_Global_Timing_Param_07_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_08;   /*!< CDSITX_Global_Timing_Param_08                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_TWAKEUPCNT: 16;   /*!< This counter is used for TWAKEUP parameter. This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t : 16; // padding
    } CDSITX_Global_Timing_Param_08_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_09;   /*!< CDSITX_Global_Timing_Param_09                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_TCLK_POSTCNT: 11; /*!< This counter is used for TCLK-POST parameter. This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t : 21; // padding
    } CDSITX_Global_Timing_Param_09_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Global_Timing_Param_10;   /*!< CDSITX_Global_Timing_Param_10                                         */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_RXTASURECNT: 11;  /*!< This counter is used for TTA-SURE parameter. This counter is
                                                         counted by SYSCLDTClk.Refer to CDSITX_Configuration file.             */
           uint32_t             :  5;
      __IO uint32_t  SBS_DPHY_PPI_TXTAGOCNT: 11;    /*!< This counter is used for TTA-GO parameter. This counter is counted
                                                         by SYSCLDTClk.Refer to CDSITX_Configuration file.                     */
           uint32_t : 5; // padding
    } CDSITX_Global_Timing_Param_10_b;              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_00; /*!< CDSITX_Sideband_Count_Config_00                                       */
    
    struct {
      __IO uint32_t  SBS_DPHY_PPI_LINEINITCOUNT: 16;/*!< Line Initialization Wait Counter.Refer to CDSITX_Configuration
                                                         file.                                                                 */
           uint32_t : 16; // padding
    } CDSITX_Sideband_Count_Config_00_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_01; /*!< CDSITX_Sideband_Count_Config_01                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_TA_TO_CNT: 32;        /*!< Counter value for Turnaround Acknowledge time outThis counter
                                                         is counted by TxClkEsc.Refer to CDSITX_Configuration file.            */
    } CDSITX_Sideband_Count_Config_01_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_02; /*!< CDSITX_Sideband_Count_Config_02                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PRESP_BTA_CNT: 32;    /*!< Counter value for Peripheral Response time out for Bus Turn
                                                         Around.This counter is counted by TxClkEsc.Refer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_02_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_03; /*!< CDSITX_Sideband_Count_Config_03                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PRESP_LPR_CNT: 32;    /*!< Counter value for Peripheral Response time out for LPDT read
                                                         request.This counter is counted by TxClkEsc.Refer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_03_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_04; /*!< CDSITX_Sideband_Count_Config_04                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PRESP_LPW_CNT: 32;    /*!< Counter value for Peripheral Response time out for LPDT write
                                                         request.This counter is counted by TxClkEsc.Refer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_04_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_05; /*!< CDSITX_Sideband_Count_Config_05                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PRESP_HSR_CNT: 32;    /*!< Counter value for Peripheral Response time out for HS Read request.This
                                                         counter is counted by TxClkEsc.Refer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_05_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_06; /*!< CDSITX_Sideband_Count_Config_06                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PRESP_HSW_CNT: 32;    /*!< Counter value for Peripheral Response time out for HS Write
                                                         request.This counter is counted by TxClkEsc.Refer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_06_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_07; /*!< CDSITX_Sideband_Count_Config_07                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_PR_TO_CNT: 32;        /*!< Counter value for Peripheral Reset time out.This counter is
                                                         counted by TxClkEsc.This counter starts counting automatically
                                                          upon receiving Reset trigger from Command I/F. In order to enable
                                                          this function, [Interrupt_Func_Enable_02].SBS_LINK_PR_TO_EN
                                                          bit needs to be set.DSI-Tx sets [Interrupt_Status_03].INT_LINK_PR_TO_ERR
                                                          bit when this counter is expired. It is application layers responsibility
                                                          to not to transmit any packets during DSI-Tx is counting PR_TO.Refer
                                                          to CDSITX_Configuration file.                                        */
    } CDSITX_Sideband_Count_Config_07_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_08; /*!< CDSITX_Sideband_Count_Config_08                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_LPRXH_TO_CNT: 32;     /*!< Counter value for LP-RX Timeout at the Host side.This counter
                                                         is counted by TxClkEsc.Refer to CDSITX_Configuration file.            */
    } CDSITX_Sideband_Count_Config_08_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_09; /*!< CDSITX_Sideband_Count_Config_09                                       */
    
    struct {
      __IO uint32_t  SBS_LINK_HS_TO_CNT: 32;        /*!< Time Out counter for High Speed Transmission.This counter is
                                                         counted by TxByteClkHS.This timer is used to monitor the TX
                                                          on the length of HS transmissionRefer to CDSITX_Configuration
                                                          file.                                                                */
    } CDSITX_Sideband_Count_Config_09_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_10; /*!< CDSITX_Sideband_Count_Config_10                                       */
    
    struct {
      __IO uint32_t  SBS_APF_PKTIF_TO_COUNT: 32;    /*!< set value 0xFFFF_FFFF                                                 */
    } CDSITX_Sideband_Count_Config_10_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Count_Config_11; /*!< CDSITX_Sideband_Count_Config_11                                       */
    
    struct {
      __IO uint32_t  SBS_APF_CMDIF_TO_COUNT: 32;    /*!< Command I/F WC TimeOut value.Set the counter before [Sideband_Init_Control
                                                         _04][0].SBD_APF_CDSITx_Start asserts.Refer to CDSITX_Configuration
                                                         file.                                                                 */
    } CDSITX_Sideband_Count_Config_11_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_00;       /*!< CDSITX_Sideband_Config_00                                             */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_DLYCNTRL:  4;     /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_DLYCNTRL:  4;     /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_DLYCNTRL:  4;     /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_DLYCNTRL:  4;     /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_DLYCNTRL:  4;     /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 12; // padding
    } CDSITX_Sideband_Config_00_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_01;       /*!< CDSITX_Sideband_Config_01                                             */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_LPRXVTHLOW:  1;   /*!< Hardmacro control/config when SBS_DPHY_AutoCalDone_EN = HighRefer
                                                         to CDSITX_Configuration file.                                         */
      __IO uint32_t  SBS_DPHY_D1M_LPRXVTHLOW:  1;   /*!< set value 1 or use initial value unchanged                            */
      __IO uint32_t  SBS_DPHY_D2M_LPRXVTHLOW:  1;   /*!< set value 1 or use initial value unchanged                            */
      __IO uint32_t  SBS_DPHY_D3M_LPRXVTHLOW:  1;   /*!< set value 1 or use initial value unchanged                            */
      __IO uint32_t  SBS_DPHY_CLM_LPRXVTHLOW:  1;   /*!< set value 1 or use initial value unchanged                            */
           uint32_t : 27; // padding
    } CDSITX_Sideband_Config_01_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_02;       /*!< CDSITX_Sideband_Config_02                                             */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_CAP0:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D0M_CAP1:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D1M_CAP0:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_CAP1:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D2M_CAP0:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_CAP1:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_D3M_CAP0:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_CAP1:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t             :  2;
      __IO uint32_t  SBS_DPHY_CLM_CAP0:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_CAP1:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 14; // padding
    } CDSITX_Sideband_Config_02_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_03;       /*!< CDSITX_Sideband_Config_03                                             */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_LPRXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D0M_LPCDTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_LPRXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_LPCDTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_LPRXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_LPCDTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_LPRXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_LPCDTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_LPRXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_LPCDTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D0M_LPTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_LPTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_LPTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_LPTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_LPTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 2; // padding
    } CDSITX_Sideband_Config_03_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_04;       /*!< CDSITX_Sideband_Config_04                                             */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_HSTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D0M_HSTXTERMTRM:  2;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_HSTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_HSTXTERMTRM:  2;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_HSTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_HSTXTERMTRM:  2;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_HSTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_HSTXTERMTRM:  2;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_HSTXTRM:  2;      /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_HSTXTERMTRM:  2;  /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 12; // padding
    } CDSITX_Sideband_Config_04_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_05;       /*!< CDSITX_Sideband_Config_05                                             */
    
    struct {
      __IO uint32_t  SBS_LINK_RxVC0En:  1;          /*!< Virtual Channel-0 supported in LPRX path.Refer to CDSITX_Configuration
                                                         file.                                                                 */
      __IO uint32_t  SBS_LINK_RxVC1En:  1;          /*!< Virtual Channel-1 supported in LPRX path.Refer to CDSITX_Configuration
                                                         file.                                                                 */
      __IO uint32_t  SBS_LINK_RxVC2En:  1;          /*!< Virtual Channel-2 supported in LPRX path.Refer to CDSITX_Configuration
                                                         file.                                                                 */
      __IO uint32_t  SBS_LINK_RxVC3En:  1;          /*!< Virtual Channel-3 supported in LPRX path.Refer to CDSITX_Configuration
                                                         file.                                                                 */
           uint32_t : 28; // padding
    } CDSITX_Sideband_Config_05_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_06;       /*!< CDSITX_Sideband_Config_06                                             */
    
    struct {
      __IO uint32_t  SBS_LINK_RsTrigSel:  2;        /*!< Reset Trigger Select is used to select which Trigger is for
                                                         Reset Trigger00: Trigger0 is a Reset Trigger: Trigger 0 = 0110001001:
                                                          Trigger1 is a Reset Trigger: Trigger 1 = 0101110110: Trigger2
                                                          is a Reset Trigger: Trigger 2 = 0010000111: Trigger3 is a Reset
                                                          Trigger: Trigger 3 = 10100000Refer to CDSITX_Configuration file.     */
           uint32_t             :  6;
      __IO uint32_t  SBS_LINK_LpTxTrigSel:  5;      /*!< set value 0 or use initial value unchanged                            */
           uint32_t : 19; // padding
    } CDSITX_Sideband_Config_06_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_07;       /*!< CDSITX_Sideband_Config_07                                             */
    
    struct {
      __IO uint32_t  SBS_LINK_EOT_PKT_EN:  1;       /*!< EoT packet Enable. This bit selects if the DSI-Tx generate the
                                                         EoTp at the end of HS transmission.0: DSI-Tx does not generate
                                                          EoTp at the end of HS transmission.1: DSI-Tx generates EoTp
                                                          at the end of HS transmission.Refer to CDSITX_Configuration
                                                          file.                                                                */
      __IO uint32_t  SBS_LINK_HS_CLK_MODE:  1;      /*!< HS Clock Mode0: Operation in non-continuous clock mode.1: Operation
                                                         in continuous clock mode.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_LINK_CRC_DIS:  1;          /*!< CRC Disable checking.Operation for when a CRC error was found
                                                         in the received data is set. (For long receive packets only)0:
                                                          CRC checking of received long packets is performed. If CRC errors
                                                          exist in the received data, INT_LINK_LPRX_CHKSUMERR is asserted
                                                          to '1'. Transfers to the Receive FIFO for the received data
                                                          are performed.1: CRC checking of received long packets is not
                                                          performed.Even if there are CRC errors in the received data,
                                                          no notification is made to the INT_LINK_LPRX_CHKSUMERR register.
                                                          The CRC                                                              */
      __IO uint32_t  SBS_LINK_ECC_DIS:  1;          /*!< ECC DisableThis bit sets operation for reception data from peripheral
                                                         which does not calculate checksum.0: ECC check is performed.If
                                                          there are multiple-bit ECC errors in the received data, subsequent
                                                          processes including the fetching of data from the peripheral
                                                          interface are terminated and wait for the LP Stop state, and
                                                          the status register 'INT_LINK_LPRX_ErrEccDbl' is setIf there
                                                          are Single-bit ECC errors in the received data, the packet is
                                                          corrected and the status register 'INT_LINK_LPRX_ErrEccSingle'
                                                          is                                                                   */
      __IO uint32_t  SBS_LINK_CNT_DIS:  1;          /*!< 0:When Contention is detected, the mode is automatically changed
                                                         from LPTX to stop state (LP-11).The Contention Error flag will
                                                          be generated in this mode.1: When Contention is detected, the
                                                          mode is not automatically changed from LPTX to stop state (LP-11).
                                                          This means the DSI-Tx continues LPTX transmission and ignores
                                                          contention. The Contention Error flag is generated in this mode.Refer
                                                          to CDSITX_Configuration file.                                        */
      __IO uint32_t  SBS_LINK_CLForceTxStopmodeEn:  1;/*!< 0: Clock Lanes will not be forced to STOP state when ForceTxStopmode
                                                         signal is asserted internally.1: Clock Lanes will be forced
                                                          to STOP state when ForceTxStopmode signal is asserted internally.Refer
                                                          to CDSITX_Configuration file.                                        */
      __IO uint32_t  SBS_LINK_BlankPktRcvEn:  1;    /*!< set value 0 or use initial value unchanged                            */
      __IO uint32_t  SBS_LINK_DSI_BLANK_PKT_EN:  1; /*!< Enable to transmit HSA, HBP as a long blank packet.In DSI specification,
                                                         the HSA and HBP can be a long blank packet concatenate with
                                                          HSS, HSE and video packet in a single HS transmission.0: HSA,
                                                          HBP are in Low Power period. No long blank packet for HSA, HBP1:
                                                          This feature is enabled.Refer to CDSITX_Configuration file.          */
           uint32_t : 24; // padding
    } CDSITX_Sideband_Config_07_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_08;       /*!< CDSITX_Sideband_Config_08                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_VSYNC_POL:  1;     /*!< set value 0 or use initial value unchanged                            */
      __IO uint32_t  SBS_APF_DSI_HSYNC_POL:  1;     /*!< set value 0 or use initial value unchanged                            */
      __IO uint32_t  SBS_APF_DSI_DTVALID_POL:  1;   /*!< set value 1 or use initial value unchanged                            */
           uint32_t : 29; // padding
    } CDSITX_Sideband_Config_08_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_09;       /*!< CDSITX_Sideband_Config_09                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_SYNC_MODE:  1;     /*!< DSI Video Transmit mode0: Sync Pulse mode.1: Sync Event mode.Refer
                                                         to CDSITX_Configuration file.                                         */
           uint32_t             :  3;
      __IO uint32_t  SBS_APF_DSI_STOP_MODE:  2;     /*!< DSI Stop Mode Selection.00: Based on VSync Fall01: Based on
                                                         Hsync Counter Value.10: Immediate Stop11: Reserved.Refer to
                                                          CDSITX_Configuration file.                                           */
           uint32_t             :  2;
      __IO uint32_t  SBS_APF_DSI_COMMAND_MODE:  1;  /*!< Enable DSI Command Mode.0: DSI Command Mode is not enabled.1:
                                                         DSI Command Mode is enabled. All SYNC packets(VSS/VSE/HSS/HSE)
                                                          will not be transmitted.Refer to CDSITX_Configuration file.          */
           uint32_t             :  3;
      __IO uint32_t  SBS_APF_DSI_VHMASK_EN:  1;     /*!< set value 0 or use initial value unchanged                            */
      __IO uint32_t  SBS_APF_DSI_BLANKPKT_EN:  1;   /*!< Enable to transmit HSA, HBP as a long blank packet.Refer to
                                                         CDSITX_Configuration file.                                            */
           uint32_t : 18; // padding
    } CDSITX_Sideband_Config_09_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_10;       /*!< CDSITX_Sideband_Config_10                                             */
    
    struct {
      __IO uint32_t  SBS_APF_PKT_TIMESEL:  1;       /*!< Selects the period time to transmit the Packet by the Command
                                                         I/F0: Packet will be transmitted during VFP (Vertical Front
                                                          Porch) or Flame-Blanking.1: Packet will be transmitted during
                                                          the line number equals to SBS_APF_PKT_LINENUM[12:0]Refer to
                                                          CDSITX_Configuration file.                                           */
           uint32_t             : 15;
      __IO uint32_t  SBS_APF_PKT_LINENUM: 13;       /*!< The Line number where the Packet are transmitted by the Command
                                                         I/FRefer to CDSITX_Configuration file.                                */
           uint32_t : 3; // padding
    } CDSITX_Sideband_Config_10_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_11;       /*!< CDSITX_Sideband_Config_11                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_HSA_CNT: 16;       /*!< Specifies the horizontal blank width count in term of byte length
                                                         used for HSA period in pulse mode. In the pulse mode DSI-Tx
                                                          will transmit the blank packet with the WC as defined in this
                                                          value.Refer to CDSITX_Configuration file.                            */
           uint32_t : 16; // padding
    } CDSITX_Sideband_Config_11_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_12;       /*!< CDSITX_Sideband_Config_12                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_HBP_CNT: 16;       /*!< Specifies the Horizontal Back Porch width in term of byte length
                                                         used for HBP period both in pulse mode and in event mode.Refer
                                                          to CDSITX_Configuration file.                                        */
           uint32_t : 16; // padding
    } CDSITX_Sideband_Config_12_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_13;       /*!< CDSITX_Sideband_Config_13                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_STOP_HSYNC_CNT: 16;/*!< HSync Counter value is used for detecting stop condition when
                                                         SBS_APF_DSI_STOP_MODE = 0b01.Refer to CDSITX_Configuration file.      */
           uint32_t : 16; // padding
    } CDSITX_Sideband_Config_13_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_14;       /*!< CDSITX_Sideband_Config_14                                             */
    
    struct {
      __IO uint32_t  SBS_APF_DSI_VHMASK_LCNT: 16;   /*!< set value 0 or use initial value unchanged                            */
           uint32_t : 16; // padding
    } CDSITX_Sideband_Config_14_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Config_15;       /*!< CDSITX_Sideband_Config_15                                             */
    
    struct {
      __IO uint32_t  SBS_APF_VHIF_MAXLINESIZE: 17;  /*!< set value 0x1800                                                      */
           uint32_t : 15; // padding
    } CDSITX_Sideband_Config_15_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __IO uint32_t  CDSITX_PISO_Enable;              /*!< CDSITX_PISO_Enable                                                    */
    
    struct {
      __IO uint32_t  SBS_DPHY_D0M_PISOEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D1M_PISOEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D2M_PISOEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_D3M_PISOEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
      __IO uint32_t  SBS_DPHY_CLM_PISOEN:  1;       /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 27; // padding
    } CDSITX_PISO_Enable_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Init_Control_00; /*!< CDSITX_Sideband_Init_Control_00                                       */
    
    struct {
      __IO uint32_t  SBD_DPHY_MPM_CKEN:  1;         /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Init_Control_00_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Init_Control_01; /*!< CDSITX_Sideband_Init_Control_01                                       */
    
    struct {
      __IO uint32_t  SBD_DPHY_MPM_PLLINTCKEN:  1;   /*!< Hardmacro control/config.Refer to CDSITX_Configuration file.          */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Init_Control_01_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Init_Control_02; /*!< CDSITX_Sideband_Init_Control_02                                       */
    
    struct {
      __IO uint32_t  SBD_DPHY_HsTxClkEnable:  1;    /*!< Clock Enable (clock gate disable) on MIPI_PLL.1: PLL clock (e.g.
                                                         TxByteClkHS) is propagated.0: PLL clock (e.g. TxByteClkHS) is
                                                          not propagated.Refer to CDSITX_Configuration file.                   */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Init_Control_02_b;            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Init_Control_03; /*!< CDSITX_Sideband_Init_Control_03                                       */
    
    struct {
      __IO uint32_t  SBD_DPHY_STARTPPI:  1;         /*!< Line Initialization startFrom 0 to 1: Start Line initialization.Other:
                                                         No function.Refer to CDSITX_Configuration file.                       */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Init_Control_03_b;            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[3];
  
  union {
    __IO uint32_t  CDSITX_LINK_Reset;               /*!< CDSITX_LINK_Reset                                                     */
    
    struct {
      __IO uint32_t  LINK_Reset_N:  1;              /*!< LINK Reset (Active Low)                                               */
           uint32_t : 31; // padding
    } CDSITX_LINK_Reset_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_APF_Reset;                /*!< CDSITX_APF_Reset                                                      */
    
    struct {
      __IO uint32_t  APF_Reset_N:  1;               /*!< APF Reset (Active Low)                                                */
           uint32_t : 31; // padding
    } CDSITX_APF_Reset_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_Init_Control_04; /*!< CDSITX_Sideband_Init_Control_04                                       */
    
    struct {
      __IO uint32_t  SBD_APF_CDSITx_Start:  1;      /*!< Clock Enable for clocks to APF.1: Clocks to APF are propagated
                                                         in APF0: Clocks to APF are not propagated in APFRefer to CDSITX_Configurat
                                                         ion file.                                                             */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Init_Control_04_b;            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3;
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_00;      /*!< CDSITX_Interrupt_Status_00                                            */
    
    struct {
      __IO uint32_t  INT_DPHY_LINEINITDONE:  1;     /*!< Line Initialization Done (SBS_DPHY_PPI_LINEINITCOUNT counter
                                                         has expired).0: Line is not initialized.1: Line is initialized.       */
      __IO uint32_t  INT_DPHY_HSTXVREGRDY:  1;      /*!< Voltage regulator count done signal when SBS_DPHY_PPI_HSTXVREGCNT
                                                         is counted.0: Voltage regulator count not done.1: Voltage regulator
                                                          count done.                                                          */
      __IO uint32_t  INT_DPHY_AutoCalDone:  1;      /*!< LPRX Auto Calibration Finish (SBS_DPHY_CALIB_CALCOUNT counter
                                                         has expired).SBS_DPHY_CALIB_CALCOUNT0: Calibration is not completed.1:
                                                          Auto calibration completed.                                          */
      __IO uint32_t  INT_DPHY_LOCKUPDONE:  1;       /*!< PLL lock done indication.Indicates SBS_DPHY_MP_LOCKCNT counter
                                                         has expired.                                                          */
           uint32_t : 28; // padding
    } CDSITX_Interrupt_Status_00_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_01;      /*!< CDSITX_Interrupt_Status_01                                            */
    
    struct {
      __IO uint32_t  INT_DPHY_RxTriggerEsc0:  1;    /*!< Reception of RxTrigger [0] on Data Lane 0.0: No reception.1:
                                                         Reception.                                                            */
      __IO uint32_t  INT_DPHY_RxTriggerEsc1:  1;    /*!< Reception of RxTrigger [1] on Data Lane 0.                            */
      __IO uint32_t  INT_DPHY_RxTriggerEsc2:  1;    /*!< Reception of RxTrigger [2] on Data Lane 0.                            */
      __IO uint32_t  INT_DPHY_RxTriggerEsc3:  1;    /*!< Reception of RxTrigger [3] on Data Lane 0.                            */
           uint32_t : 28; // padding
    } CDSITX_Interrupt_Status_01_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_02;      /*!< CDSITX_Interrupt_Status_02                                            */
    
    struct {
      __IO uint32_t  INT_DPHY_ErrEsc:  1;           /*!< Escape Mode Entry command error                                       */
      __IO uint32_t  INT_DPHY_ErrSyncEsc:  1;       /*!< Low Power Transmit Sync Error.                                        */
      __IO uint32_t  INT_DPHY_ErrFalseControl:  1;  /*!< False Control Error                                                   */
           uint32_t             :  5;
      __IO uint32_t  INT_LINK_LPRX_CONT_ERR:  1;    /*!< Contention Detection Error                                            */
      __IO uint32_t  INT_LINK_LPRX_ErrEccSingle:  1;/*!< ECC Error: Single-bit                                                 */
      __IO uint32_t  INT_LINK_LPRX_ErrEccDbl:  1;   /*!< ECC Error: Multiple bit                                               */
      __IO uint32_t  INT_LINK_LPRX_CHKSUMERR:  1;   /*!< CRC Error (Long packet only)                                          */
      __IO uint32_t  INT_LINK_LPRX_ErrDataType:  1; /*!< DSI Data Type not recognized                                          */
      __IO uint32_t  INT_LINK_LPRX_ErrVCID:  1;     /*!< DSI VC ID Invalid                                                     */
      __IO uint32_t  INT_LINK_LPRX_ErrWC:  1;       /*!< Invalid Data Length                                                   */
           uint32_t : 17; // padding
    } CDSITX_Interrupt_Status_02_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_03;      /*!< CDSITX_Interrupt_Status_03                                            */
    
    struct {
      __IO uint32_t  INT_LINK_TA_TO_ERR:  1;        /*!< Turnaround Acknowledge time out. If the BTA sequence is observed
                                                         not to complete (by the previously-transmitting PHY) within
                                                          the specified time period, the timer TA_TO expires. If the peripheral
                                                          does not return the BTA response, this timeout is set.0: No
                                                          Timeout1: Timeout.This status is not error though register name
                                                          contains '_ERR'.                                                     */
      __IO uint32_t  INT_LINK_HS_TO_ERR:  1;        /*!< HSTX time out (SBS_LINK_HS_TO_CNT counter has expired).0: No
                                                         Timeout1: Timeout.This status is not error though register name
                                                          contains '_ERR'.                                                     */
      __IO uint32_t  INT_LINK_PR_TO_ERR:  1;        /*!< Peripheral Reset time out (SBS_LINK_PR_TO_CNT counter has expired).0:
                                                         No Timeout1: Timeout.This status is not error though register
                                                          name contains '_ERR'.                                                */
      __IO uint32_t  INT_LINK_PRESP_TO_ERR:  1;     /*!< Peripheral Response time out (Any of SBS_LINK_PRESP_BTA_CNT,SBS_LINK_PRESP
                                                         _LPR_CNT, SBS_LINK_PRESP_LPW_CNT, SBS_LINK_PRESP_HSR_CNT and
                                                         SBS_LINK_PRESP_HSW_CNT counter has expired.)0: No Timeout1:
                                                          Timeout.This status is not error though register name contains
                                                          '_ERR'.                                                              */
      __IO uint32_t  INT_LINK_LPRX_TO_ERR:  1;      /*!< LP-RX Host Processor time out (SBS_LINK_LPRXH_TO_CNT counter
                                                         has expired).0: No Timeout1: Timeout.This status is not error
                                                          though register name contains '_ERR'.                                */
           uint32_t : 27; // padding
    } CDSITX_Interrupt_Status_03_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_04;      /*!< CDSITX_Interrupt_Status_04                                            */
    
    struct {
      __IO uint32_t  INT_APF_CMDIF_TO:  1;          /*!< Command I/F Timeout (SBS_APF_CMDIF_TO_COUNT counter has expired)      */
      __IO uint32_t  INT_APF_PKTIF_TO:  1;          /*!< This interrupt is not used in this product.                           */
      __IO uint32_t  INT_APF_RXFIFO_OVF_ERR:  1;    /*!< DSI LPRX FIFO overflow                                                */
      __IO uint32_t  INT_APF_LINEBUF_OVF_ERR:  1;   /*!< Line Buffer overflow                                                  */
      __IO uint32_t  INT_APF_CMDIF_WC_ERR:  1;      /*!< Command I/F Word Count mismatch error                                 */
      __IO uint32_t  INT_APF_PKTIF_WC_ERR:  1;      /*!< This interrupt is not used in this product.                           */
      __IO uint32_t  INT_APF_VHIF_WC_OVER_ERR:  1;  /*!< VH I/F Word Count mismatch error ('greater than' mismatch)            */
      __IO uint32_t  INT_APF_VHIF_WC_UNDER_ERR:  1; /*!< VH I/F Word Count mismatch error ('less than' mismatch)               */
      __IO uint32_t  INT_APF_PKTIF_ABORT:  1;       /*!< This interrupt is not used in this product.                           */
      __IO uint32_t  INT_APF_VHIF_PKT_LOSS_ERR:  1; /*!< VH I/F packet loss occurs.                                            */
      __IO uint32_t  INT_APF_VHIF_CSI2_LINE_LOSS_ERR:  1;/*!< This interrupt is not used in this product.                      */
      __IO uint32_t  INT_APF_VHIF_DSI_LINE_LOSS_ERR:  1;/*!< A one-cycle pulse asserted when VH I/F Line loss occurs in DSI
                                                         mode.                                                                 */
           uint32_t : 20; // padding
    } CDSITX_Interrupt_Status_04_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_05;      /*!< CDSITX_Interrupt_Status_05                                            */
    
    struct {
      __IO uint32_t  INT_DPHY_Direction_RX:  1;     /*!< Direction is switched from Master-Slave to Slave-Master.              */
      __IO uint32_t  INT_DPHY_Direction_TX:  1;     /*!< Direction is switched from Slave-Master to Master-Slave.              */
           uint32_t             :  2;
      __IO uint32_t  INT_APF_LPRX_ACKERR:  1;       /*!< Indicates the received packet is Acknowledge and Error Report
                                                         Packet.The payload of the Acknowledge and Error Report Packet
                                                          is outputted from SBO_LPRX_PKTWC[15:0].                              */
      __IO uint32_t  INT_APF_LPRX_FIFO_THRESH_HIT:  1;/*!< Indicates that the number of words (32-bits) in Rx FIFO exceeds
                                                         threshold                                                             */
      __IO uint32_t  INT_APF_LPRX_PKTEND:  1;       /*!< End of the received Packet.                                           */
      __IO uint32_t  INT_APF_LPRX_PKTSTART:  1;     /*!< Start of the received Packet.                                         */
           uint32_t : 24; // padding
    } CDSITX_Interrupt_Status_05_b;                 /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Status_06;      /*!< CDSITX_Interrupt_Status_06                                            */
    
    struct {
      __IO uint32_t  INT_APF_CMD_DONE:  1;          /*!< Command I/F Transmission done.(This flag does not mean that
                                                         D-PHY Layer complete transmission)                                    */
           uint32_t             :  3;
      __IO uint32_t  INT_APF_CMDIF_ABORT:  1;       /*!< Command I/F Transmission Aborted.                                     */
           uint32_t : 27; // padding
    } CDSITX_Interrupt_Status_06_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[9];
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_00;        /*!< CDSITX_Interrupt_Mask_00                                              */
    
    struct {
      __IO uint32_t  INT_MASK_DPHY_LINEINITDONE:  1;/*!< Mask INT_DPHY_LINEINITDONE                                            */
      __IO uint32_t  INT_MASK_DPHY_HSTXVREGRDY:  1; /*!< Mask INT_DPHY_HSTXVREGRDY                                             */
      __IO uint32_t  INT_MASK_DPHY_AutoCalDone:  1; /*!< Mask INT_DPHY_AutoCalDone                                             */
      __IO uint32_t  INT_MASK_DPHY_LOCKUPDONE:  1;  /*!< Mask INT_DPHY_LOCKUPDONE                                              */
           uint32_t : 28; // padding
    } CDSITX_Interrupt_Mask_00_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_01;        /*!< CDSITX_Interrupt_Mask_01                                              */
    
    struct {
      __IO uint32_t  INT_MASK_DPHY_RxTriggerEsc0:  1;/*!< Mask INT_DPHY_RxTriggerEsc0                                          */
      __IO uint32_t  INT_MASK_DPHY_RxTriggerEsc1:  1;/*!< Mask INT_DPHY_RxTriggerEsc1                                          */
      __IO uint32_t  INT_MASK_DPHY_RxTriggerEsc2:  1;/*!< Mask INT_DPHY_RxTriggerEsc2                                          */
      __IO uint32_t  INT_MASK_DPHY_RxTriggerEsc3:  1;/*!< Mask INT_DPHY_RxTriggerEsc3                                          */
           uint32_t : 28; // padding
    } CDSITX_Interrupt_Mask_01_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_02;        /*!< CDSITX_Interrupt_Mask_02                                              */
    
    struct {
      __IO uint32_t  INT_MASK_DPHY_ErrEsc:  1;      /*!< Mask INT_DPHY_ErrEsc                                                  */
      __IO uint32_t  INT_MASK_DPHY_ErrSyncEsc:  1;  /*!< Mask INT_DPHY_ErrSyncEsc                                              */
      __IO uint32_t  INT_MASK_DPHY_ErrFalseControl:  1;/*!< Mask INT_DPHY_ErrFalseControl                                      */
           uint32_t             :  5;
      __IO uint32_t  INT_MASK_LINK_LPRX_CONT_ERR:  1;/*!< Mask INT_LINK_LPRX_CONT_ERR                                          */
      __IO uint32_t  INT_MASK_LINK_LPRX_ErrEccSingle:  1;/*!< Mask INT_LINK_LPRX_ErrEccSingle                                  */
      __IO uint32_t  INT_MASK_LINK_LPRX_ErrEccDbl:  1;/*!< Mask INT_LINK_LPRX_ErrEccDbl                                        */
      __IO uint32_t  INT_MASK_LINK_LPRX_CHKSUMERR:  1;/*!< Mask INT_LINK_LPRX_CHKSUMERR                                        */
      __IO uint32_t  INT_MASK_LINK_LPRX_ErrDataType:  1;/*!< Mask INT_LINK_LPRX_ErrDataType                                    */
      __IO uint32_t  INT_MASK_LINK_LPRX_ErrVCID:  1;/*!< Mask INT_LINK_LPRX_ErrVCID                                            */
      __IO uint32_t  INT_MASK_LINK_LPRX_ErrWC:  1;  /*!< Mask INT_LINK_LPRX_ErrWC                                              */
           uint32_t : 17; // padding
    } CDSITX_Interrupt_Mask_02_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_03;        /*!< CDSITX_Interrupt_Mask_03                                              */
    
    struct {
      __IO uint32_t  INT_MASK_LINK_TA_TO_ERR:  1;   /*!< Mask INT_LINK_TA_TO_ERR                                               */
      __IO uint32_t  INT_MASK_LINK_HS_TO_ERR:  1;   /*!< Mask INT_LINK_HS_TO_ERR                                               */
      __IO uint32_t  INT_MASK_LINK_PR_TO_ERR:  1;   /*!< Mask INT_LINK_PR_TO_ERR                                               */
      __IO uint32_t  INT_MASK_LINK_PRESP_TO_ERR:  1;/*!< Mask INT_LINK_PRESP_TO_ERR                                            */
      __IO uint32_t  INT_MASK_LINK_LPRX_TO_ERR:  1; /*!< Mask INT_LINK_LPRX_TO_ERR                                             */
           uint32_t : 27; // padding
    } CDSITX_Interrupt_Mask_03_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_04;        /*!< CDSITX_Interrupt_Mask_04                                              */
    
    struct {
      __IO uint32_t  INT_MASK_APF_CMDIF_TO:  1;     /*!< Mask INT_APF_CMDIF_TO                                                 */
      __IO uint32_t  INT_MASK_APF_PKTIF_TO:  1;     /*!< Mask INT_APF_PKTIF_TO                                                 */
      __IO uint32_t  INT_MASK_APF_RXFIFO_OVF_ERR:  1;/*!< Mask INT_APF_RXFIFO_OVF_ERR                                          */
      __IO uint32_t  INT_MASK_APF_LINEBUF_OVF_ERR:  1;/*!< Mask INT_APF_LINEBUF_OVF_ERR                                        */
      __IO uint32_t  INT_MASK_APF_CMDIF_WC_ERR:  1; /*!< Mask INT_APF_CMDIF_WC_ERR                                             */
      __IO uint32_t  INT_MASK_APF_PKTIF_WC_ERR:  1; /*!< Mask INT_APF_PKTIF_WC_ERR                                             */
      __IO uint32_t  INT_MASK_APF_VHIF_WC_OVER_ERR:  1;/*!< Mask INT_APF_VHIF_WC_OVER_ERR                                      */
      __IO uint32_t  INT_MASK_APF_VHIF_WC_UNDER_ERR:  1;/*!< Mask INT_APF_VHIF_WC_UNDER_ERR                                    */
      __IO uint32_t  INT_MASK_APF_PKTIF_ABORT:  1;  /*!< Mask INT_APF_PKTIF_ABORT                                              */
      __IO uint32_t  INT_MASK_APF_VHIF_PKT_LOSS_ERR:  1;/*!< Mask INT_APF_VHIF_PKT_LOSS_ERR                                    */
      __IO uint32_t  INT_MASK_APF_VHIF_CSI2_LINE_LOSS_ERR:  1;/*!< Mask INT_APF_VHIF_CSI2_LINE_LOSS_ERR                        */
      __IO uint32_t  INT_MASK_APF_VHIF_DSI_LINE_LOSS_ERR:  1;/*!< Mask INT_APF_VHIF_DSI_LINE_LOSS_ERR                          */
           uint32_t : 20; // padding
    } CDSITX_Interrupt_Mask_04_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_05;        /*!< CDSITX_Interrupt_Mask_05                                              */
    
    struct {
      __IO uint32_t  INT_MASK_DPHY_Direction_RX:  1;/*!< Mask INT_DPHY_Direction_RX                                            */
      __IO uint32_t  INT_MASK_DPHY_Direction_TX:  1;/*!< Mask INT_DPHY_Direction_TX                                            */
           uint32_t             :  2;
      __IO uint32_t  INT_MASK_APF_LPRX_ACKERR:  1;  /*!< Mask INT_APF_LPRX_ACKERR                                              */
      __IO uint32_t  INT_MASK_APF_LPRX_FIFO_THRESH_HIT:  1;/*!< Mask INT_APF_LPRX_FIFO_THRESH_HIT                              */
      __IO uint32_t  INT_MASK_APF_LPRX_PKTEND:  1;  /*!< Mask INT_APF_LPRX_PKTEND                                              */
      __IO uint32_t  INT_MASK_APF_LPRX_PKTSTART:  1;/*!< Mask INT_APF_LPRX_PKTSTART                                            */
           uint32_t : 24; // padding
    } CDSITX_Interrupt_Mask_05_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Interrupt_Mask_06;        /*!< CDSITX_Interrupt_Mask_06                                              */
    
    struct {
      __IO uint32_t  INT_MASK_APF_CMD_DONE:  1;     /*!< Mask INT_APF_CMD_DONE                                                 */
           uint32_t             :  3;
      __IO uint32_t  INT_MASK_APF_CMDIF_ABORT:  1;  /*!< Mask INT_APF_CMDIF_ABORT                                              */
           uint32_t : 27; // padding
    } CDSITX_Interrupt_Mask_06_b;                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5;
  
  union {
    __IO uint32_t  CDSITX_Sideband_LPRXIF_00;       /*!< CDSITX_Sideband_LPRXIF_00                                             */
    
    struct {
      __IO uint32_t  SBS_APF_LPRX_FIFO_THRESH:  5;  /*!< Rx FIFO Threshold to assert LPRX_THRESH_HIT. The unit is word(32-bit). */
           uint32_t : 27; // padding
    } CDSITX_Sideband_LPRXIF_00_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_LPRXIF_01;       /*!< CDSITX_Sideband_LPRXIF_01                                             */
    
    struct {
      __I  uint32_t  SBO_APF_LPRX_PKTWC: 16;        /*!< Word Count of the received Packet                                     */
      __I  uint32_t  SBO_APF_LPRX_PKTID:  8;        /*!< Data ID of the received Packet                                        */
           uint32_t : 8; // padding
    } CDSITX_Sideband_LPRXIF_01_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_LPRXIF_02;       /*!< CDSITX_Sideband_LPRXIF_02                                             */
    
    struct {
      __I  uint32_t  SBO_APF_LPRX_FIFO_DATA: 32;    /*!< The LPRX data in the RX-Data FIFO which is indicated by the
                                                         current read pointer.                                                 */
    } CDSITX_Sideband_LPRXIF_02_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_LPRXIF_03;       /*!< CDSITX_Sideband_LPRXIF_03                                             */
    
    struct {
      __I  uint32_t  SBO_APF_LPRX_FIFO_LVL:  5;     /*!< Indicates number of 32-bit data entries in RX FIFO                    */
           uint32_t : 27; // padding
    } CDSITX_Sideband_LPRXIF_03_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_LPRXIF_04;       /*!< CDSITX_Sideband_LPRXIF_04                                             */
    
    struct {
      __I  uint32_t  SBO_APF_LPRX_ACKERR_PKT: 16;   /*!< The content of the Acknowledge packet with report of the last
                                                         error received is held.                                               */
           uint32_t : 16; // padding
    } CDSITX_Sideband_LPRXIF_04_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED6[3];
  
  union {
    __IO uint32_t  CDSITX_Sideband_CMDIF_00;        /*!< CDSITX_Sideband_CMDIF_00                                              */
    
    struct {
      __IO uint32_t  APF_CMD_REQ:  1;               /*!< Packet transmission request                                           */
           uint32_t : 31; // padding
    } CDSITX_Sideband_CMDIF_00_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_CMDIF_01;        /*!< CDSITX_Sideband_CMDIF_01                                              */
    
    struct {
      __IO uint32_t  APF_CMD_TYPE:  4;              /*!< Transmission Type Select0000: Transmit HS Short Packet0100:
                                                         Transmit HS Long Packet1000: Transmit LP Short Packet1100: Transmit
                                                          LP Long Packet0001: Enter ULPS mode for all enabled data lanes
                                                          and clock lane1001: Enter ULPS mode for all enabled data lanes0101:
                                                          Exit ULPS mode for all enabled data lanes and clock lane1101:
                                                          Exit ULPS mode for all enabled data lanes0010: Transmit Trigger-00110:
                                                          Transmit Trigger-11010: Transmit Trigger-21110: Transmit Trigger-30011:
                                                          Enter BTA                                                            */
           uint32_t : 28; // padding
    } CDSITX_Sideband_CMDIF_01_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_CMDIF_02;        /*!< CDSITX_Sideband_CMDIF_02                                              */
    
    struct {
      __IO uint32_t  APF_CMD_PKT_WC: 16;            /*!< Packet Word Count in case of Long packet.Packet Payload in case
                                                         of Short packet.                                                      */
      __IO uint32_t  APF_CMD_PKT_DI:  8;            /*!< Packet Data ID. (Data Type + VC ID)                                   */
           uint32_t : 8; // padding
    } CDSITX_Sideband_CMDIF_02_b;                   /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  CDSITX_Sideband_CMDIF_03;        /*!< CDSITX_Sideband_CMDIF_03                                              */
    
    struct {
      __IO uint32_t  APF_CMD_PKT_DATA: 32;          /*!< Long Packet payload data                                              */
    } CDSITX_Sideband_CMDIF_03_b;                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED7[4];
  
  union {
    __IO uint32_t  CDSITX_Sideband_Control_00;      /*!< CDSITX_Sideband_Control_00                                            */
    
    struct {
      __IO uint32_t  SBD_DPHY_PPI_SYSINIT:  1;      /*!< Synchronous reset for Line initialize controller.(Active High)        */
      __IO uint32_t  SBD_LINK_CDSI_RST:  1;         /*!< Reset for some block in LINK (Active High)                            */
           uint32_t             :  2;
      __IO uint32_t  SBD_LINK_CDSI_CL_HSREQ:  1;    /*!< High Speed Clock Request1: Transmit a High Speed Clock0: Stop
                                                         a High Speed Clock while there is no High Speed Transmit Request
                                                          on PPI with SBS_LINK_HS_CLK_MODE=0                                   */
           uint32_t : 27; // padding
    } CDSITX_Sideband_Control_00_b;                 /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED8[2];
  
  union {
    __I  uint32_t  CDSITX_Sideband_Status_01;       /*!< CDSITX_Sideband_Status_01                                             */
    
    struct {
      __I  uint32_t  SBO_DPHY_LOCKUPDONE:  1;       /*!< PLL lock done indication. Indicates PLL lock wait counter has
                                                         expired.                                                              */
           uint32_t : 31; // padding
    } CDSITX_Sideband_Status_01_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_Status_02;       /*!< CDSITX_Sideband_Status_02                                             */
    
    struct {
           uint32_t             :  8;
      __I  uint32_t  SBO_DPHY_D0P_LPCDERRN:  1;     /*!< LPCD error detected at LPTXNL: no LPCD error detectedH: LPCD
                                                         error detected(LPTX driving low, but output is high)                  */
      __I  uint32_t  SBO_DPHY_D0P_LPCDERRP:  1;     /*!< LPCD error detected at LPTXPL: no LPCD error detectedH: LPCD
                                                         error detected(LPTX driving low, but output is high)                  */
           uint32_t             :  2;
      __I  uint32_t  SBO_DPHY_CUTR_LPRXVTHLOW:  1;  /*!< CUTR LPRXVTHLOW MonitorThis bit monitors calibration value.Before
                                                         of calibration initial value is undefined.After of calibration
                                                          initial value is 1 or 0.                                             */
           uint32_t : 19; // padding
    } CDSITX_Sideband_Status_02_b;                  /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED9[2];
  
  union {
    __I  uint32_t  CDSITX_Sideband_Status_05;       /*!< CDSITX_Sideband_Status_05                                             */
    
    struct {
           uint32_t             :  4;
      __I  uint32_t  SBO_DPHY_PPI_INIT_BUSY:  1;    /*!< Line initialization busy0: Line initialization is not running.1:
                                                         Line initialization is running.                                       */
           uint32_t             :  1;
      __I  uint32_t  SBO_APF_VHIF_BUSY:  1;         /*!< Indicate that VH I/F is busy1: busy0: idle                            */
           uint32_t             :  1;
      __I  uint32_t  APF_CMD_BUSY:  1;              /*!< Indicate that Command I/F is busy1: busy0: idle                       */
           uint32_t : 23; // padding
    } CDSITX_Sideband_Status_05_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_Status_06;       /*!< CDSITX_Sideband_Status_06                                             */
    
    struct {
      __I  uint32_t  SBO_PPIIF_D3M_TxRequestHS_Stat:  1;/*!< PPI monitor                                                       */
      __I  uint32_t  SBO_PPIIF_D2M_TxRequestHS_Stat:  1;/*!< PPI monitor                                                       */
           uint32_t             :  2;
      __I  uint32_t  SBO_PPIIF_CLM_TxRequestHS_Stat:  1;/*!< PPI monitor                                                       */
           uint32_t : 27; // padding
    } CDSITX_Sideband_Status_06_b;                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  CDSITX_Sideband_Status_07;       /*!< CDSITX_Sideband_Status_07                                             */
    
    struct {
      __I  uint32_t  SBO_PPIIF_D0M_Stopstate:  1;   /*!< Initial value is undefined.After asserting the SBD_DPHY_STARTPPI
                                                         of initialization sequence, the value is valid.1: StopStat0:
                                                          other State                                                          */
      __I  uint32_t  SBO_PPIIF_D1M_Stopstate:  1;   /*!< Initial value is undefined.After asserting the SBD_DPHY_STARTPPI
                                                         of initialization sequence, the value is valid.1: StopStat0:
                                                          other State                                                          */
           uint32_t             :  2;
      __I  uint32_t  SBO_PPIIF_CLM_Stopstate:  1;   /*!< Initial value is undefined.After asserting the SBD_DPHY_STARTPPI
                                                         of initialization sequence, the value is valid.1: StopStat0:
                                                          other State                                                          */
           uint32_t             :  3;
      __I  uint32_t  SBO_PPIIF_D0M_UlpsActive:  1;  /*!< PPI monitor (inverted UlpsActiveNot)                                  */
      __I  uint32_t  SBO_PPIIF_D1M_UlpsActive:  1;  /*!< PPI monitor (inverted UlpsActiveNot)                                  */
           uint32_t             :  2;
      __I  uint32_t  SBO_PPIIF_CLM_UlpsActive:  1;  /*!< PPI monitor (inverted UlpsActiveNot)                                  */
           uint32_t             :  3;
      __I  uint32_t  SBO_PPIIF_D0M_TxUlpsEsc_Stat:  1;/*!< PPI monitor                                                         */
      __I  uint32_t  SBO_PPIIF_D1M_TxUlpsEsc_Stat:  1;/*!< PPI monitor                                                         */
      __I  uint32_t  SBO_PPIIF_D2M_TxUlpsEsc_Stat:  1;/*!< PPI monitor                                                         */
      __I  uint32_t  SBO_PPIIF_D3M_TxUlpsEsc_Stat:  1;/*!< PPI monitor                                                         */
      __I  uint32_t  SBO_PPIIF_Direction:  1;       /*!< PPI monitor                                                           */
           uint32_t : 11; // padding
    } CDSITX_Sideband_Status_07_b;                  /*!< BitSize                                                               */
  };
} DSITX_Type;


/* ================================================================================ */
/* ================                      EBIF                      ================ */
/* ================================================================================ */


/**
  * @brief ebif (EBIF)
  */

typedef struct {                                    /*!< EBIF Structure                                                        */
  __I  uint32_t  EBIF_MEMCSTATUS;                   /*!< Memory Controller Status Register                                     */
  
  union {
    __I  uint32_t  EBIF_MEMIFCFG;                   /*!< Memory Interface Configuration Register                               */
    
    struct {
      __I  uint32_t  MEMORY0_TYPE:  2;              /*!< Shows the type of external bus controller.0b01 : Single SRAM
                                                         I/F Controller                                                        */
      __I  uint32_t  MEMORY0_CHIPS:  2;             /*!< Shows the number of chip selects of external bus. 0b01 : 2 chips      */
      __I  uint32_t  MEMORY0_BYTES:  2;             /*!< Shows the maximum value of external bus data width.0b01 :16
                                                         bits                                                                  */
      __I  uint32_t  REMAP0     :  1;               /*!< Shows the value of [EBIF_CONF_MODE].REMAP.                            */
           uint32_t : 25; // padding
    } EBIF_MEMIFCFG_b;                              /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_MEMCFGSET;                  /*!< Set Configuration Register                                            */
    
    struct {
      __IO uint32_t  CFG        : 32;               /*!< This register must always be set to 0x0. The value read from
                                                         this register becomes 0x0.                                            */
    } EBIF_MEMCFGSET_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  EBIF_MEMCFGCLR;                    /*!< Clear Configuration Register                                          */
  
  union {
    __IO uint32_t  EBIF_DIRECTCMD;                  /*!< Direct Command RegisterThe value read from this register is
                                                         always 0x0.                                                           */
    
    struct {
      __IO uint32_t  ADDR       : 20;               /*!< When CMDTYPE is ModeReg access, ADDR is output to the external
                                                         address port EB_ADD [19:0].                                           */
      __IO uint32_t  CRE        :  1;               /*!< When 'ModeReg' is used, 1 should be set. Otherwise 0 should
                                                         be set.                                                               */
      __IO uint32_t  CMDTYPE    :  2;               /*!< 00: UpdateRegs by write data01: ModeReg10: UpdateRegs11: ModeReg
                                                         and UpdateRegsUpdateRegs shows that the values of [EBIF_CYCLES*]
                                                          and [EBIF_Opmode*] are updated to the value set in [EBIF_SETCYCLES]
                                                          and [EBIF_SETOPMODE]. The sign *corresponds to the CS number
                                                          specified by [EBIF_DIRECTCMD].CHIPSEL.ModeReg is used for writing
                                                          to configuration register of the Cellular SRAM with EB_CRE pin.When
                                                          'UpdateRegs by write data' is selected, the values of [EBIF_Cycles*]
                                                          and [EBIF_OPMODE*] are not immediately updated. W                    */
      __IO uint32_t  CHIPSEL    :  2;               /*!< 00: ch001: ch1others: Reserved                                        */
           uint32_t : 7; // padding
    } EBIF_DIRECTCMD_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_SETCYCLES;                  /*!< Set Cycles RegisterThe read value of this register is always
                                                         0x0.                                                                  */
    
    struct {
      __IO uint32_t  TRC        :  4;               /*!< The hold value for setting the tRC (Read cycle time)Available
                                                         setting range: 0010-1111                                              */
      __IO uint32_t  TWC        :  4;               /*!< The hold value for setting the tWC (Write cycle time)Available
                                                         setting range: 0010-1111                                              */
      __IO uint32_t  TCEOE      :  3;               /*!< The hold value for setting the tCEOE (EB_OE_N assertion delay)Available
                                                         setting range: 001-111                                                */
      __IO uint32_t  TWP        :  3;               /*!< The hold value for setting the tWP (EB_WE_N assertion delay)
                                                         settingAvailable setting range: 001-111                               */
      __IO uint32_t  TPC        :  3;               /*!< The hold value for setting the tPC (Page cycle time)Available
                                                         setting range: 001-111It is necessary to set the value of tPC
                                                          in view of the delay in the devices.                                 */
      __IO uint32_t  TTR        :  3;               /*!< The hold value for setting the tTR (Turnaround time)Available
                                                         setting range: 001-111                                                */
      __IO uint32_t  WTIME      :  1;               /*!< The hold value of EB_WE_N asserting timing setting in ADM mode0:
                                                         The EB_WE_N is asserted after asserting the EB_CE_N and passing
                                                          2 x norMClk.1: The EB_WE_N is asserted simultaneously with asserting
                                                          of the EB_CE_N.Note: It is effective only when Async is written
                                                          in ADM mode.                                                         */
           uint32_t : 11; // padding
    } EBIF_SETCYCLES_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_SETOPMODE;                  /*!< Set Opmode RegisterThe read value of this register is always
                                                         0x0.                                                                  */
    
    struct {
      __IO uint32_t  MW         :  2;               /*!< The hold value for setting the external memory data widthThe
                                                         address of the external memory (EB_ADR) outputs MW bit right-shift.00:
                                                          8 bits01: 16 bits10: Reserved11: Reserved                            */
      __IO uint32_t  RDSYNC     :  1;               /*!< The hold value for setting the Read transfer synchronous mode0:
                                                         Asynchronous mode1: Synchronous mode                                  */
      __IO uint32_t  RDBL       :  3;               /*!< The hold value for setting the Read burst length000: 1 burst001:
                                                         4 bursts010: 8 bursts011: 16 bursts100: Reserved101: continuous110:
                                                          Reserved111: Reserved                                                */
      __IO uint32_t  WRSYNC     :  1;               /*!< The hold value for setting the Write transfer synchronous mode0:
                                                         Asynchronous mode1: Synchronous mode                                  */
      __IO uint32_t  WRBL       :  3;               /*!< The hold value for setting of the Write burst length000: 1 burst001:
                                                         4 bursts010: 8 bursts011: 16 bursts100: 32 bursts101: continuous110:
                                                          Reserved111: Reserved                                                */
           uint32_t             :  1;
      __IO uint32_t  AVD        :  1;               /*!< The hold value for setting the Address enable signal (EB_AVD_N)0:
                                                         EB_AVD_N port is not used.1: EB_AVD_N port is used.                   */
      __IO uint32_t  BLS        :  1;               /*!< The hold value for setting the byte lane strobe signal (EB_BE*_N)0:
                                                         EB_BE*_N operates to the same timing as EB_CE*_N.1: EB_BE*_N
                                                          operates to the same timing as EB_WE_N.                              */
      __IO uint32_t  BSTA       :  3;               /*!< When the EBIF performs synchronous transfers, these bits control
                                                         if memory bursts are split on memory burst boundaries: b000--bursts
                                                          can cross any address boundary, b001--burst split on memory
                                                          burst boundary, that is, 32 beats for continuous, b010--burst
                                                          split on 64 beat boundary, b011--burst split on 128 beat boundary,
                                                          b100--burst split on 256 beat boundary, others--reserved. As
                                                          for asynchronous transfers, the EBIF always aligns read bursts
                                                          to the memory burst boundary.                                        */
           uint32_t : 16; // padding
    } EBIF_SETOPMODE_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  EBIF_REFRESH;                    /*!< Refresh Register                                                      */
    
    struct {
      __IO uint32_t  PERIOD     :  4;               /*!< Sets the number of consecutive memory bursts a that the SMC
                                                         permits, on memory interface 0,before it deasserts the chip
                                                          select. The options are:0000: disables the insertion of idle
                                                          cycles between consecutive bursts0001: an idle cycle occurs
                                                          after each burst0010: an idle cycle occurs after 2 consecutive
                                                          bursts0011: an idle cycle occurs after 3 consecutive bursts0100:
                                                          an idle cycle occurs after 4 consecutive burststo1111: an idle
                                                          cycle occurs after 15 consecutive bursts.                            */
           uint32_t : 28; // padding
    } EBIF_REFRESH_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[55];
  
  union {
    __I  uint32_t  EBIF_CYCLES0;                    /*!< Cycles0 Register                                                      */
    
    struct {
      __I  uint32_t  TRC        :  4;               /*!< The hold value for setting the tRC (Read cycle time)                  */
      __I  uint32_t  TWC        :  4;               /*!< The hold value for setting the tWC (Write cycle time)                 */
      __I  uint32_t  TCEOE      :  3;               /*!< The hold value for setting the tCEOE (EB_OE_N assertion delay)        */
      __I  uint32_t  TWP        :  3;               /*!< The hold value for setting the tWP (EB_WE_N assertion delay)          */
      __I  uint32_t  TPC        :  3;               /*!< The hold value for setting the tPC (Page cycle time)                  */
      __I  uint32_t  TTR        :  3;               /*!< The hold value for setting the tTR (Turnaround time)                  */
      __I  uint32_t  WTIME      :  1;               /*!< The hold value of EB_WE_N asserting timing setting in ADM mode        */
           uint32_t : 11; // padding
    } EBIF_CYCLES0_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_OPMODE0;                    /*!< Opmode0 Register                                                      */
    
    struct {
      __I  uint32_t  MW         :  2;               /*!< The hold value for setting the external memory data width             */
      __I  uint32_t  RDSYNC     :  1;               /*!< The hold value for setting the Read transfer synchronous mode         */
      __I  uint32_t  RDBL       :  3;               /*!< The hold value for setting the Read burst length                      */
      __I  uint32_t  WRSYNC     :  1;               /*!< The hold value for setting the Write transfer synchronous mode        */
      __I  uint32_t  WRBL       :  3;               /*!< The hold value for setting of the Write burst length                  */
           uint32_t             :  1;
      __I  uint32_t  AVD        :  1;               /*!< The hold value for setting the Address enable signal (EB_AVD_N)       */
      __I  uint32_t  BLS        :  1;               /*!< The hold value for setting the byte lane strobe signal (EB_BE*_N)     */
      __I  uint32_t  BSTA       :  3;               /*!< The hold value of align setting of burst transfer over external
                                                         bus.                                                                  */
      __I  uint32_t  ADRMSK     :  8;               /*!< Address MaskThe value of [EBIF_CONF_ADRMSK]. ADRMSK0[7:0] is
                                                         read.                                                                 */
      __I  uint32_t  ADRMTC     :  8;               /*!< Address MatchThe value of [EBIF_CONF_ADRMTC]. ADRMTC0[7:0] is
                                                         read.                                                                 */
    } EBIF_OPMODE0_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[6];
  
  union {
    __I  uint32_t  EBIF_CYCLES1;                    /*!< Cycles1 Register                                                      */
    
    struct {
      __I  uint32_t  TRC        :  4;               /*!< The hold value for setting the tRC (Read cycle time)                  */
      __I  uint32_t  TWC        :  4;               /*!< The hold value for setting the tWC (Write cycle time)                 */
      __I  uint32_t  TCEOE      :  3;               /*!< The hold value for setting the tCEOE (EB_OE_N assertion delay)        */
      __I  uint32_t  TWP        :  3;               /*!< The hold value for setting the tWP (EB_WE_N assertion delay)          */
      __I  uint32_t  TPC        :  3;               /*!< The hold value for setting the tPC (Page cycle time)                  */
      __I  uint32_t  TTR        :  3;               /*!< The hold value for setting the tTR (Turnaround time)                  */
      __I  uint32_t  WTIME      :  1;               /*!< The hold value of EB_WE_N asserting timing setting in ADM mode        */
           uint32_t : 11; // padding
    } EBIF_CYCLES1_b;                               /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_OPMODE1;                    /*!< Opmode1 Register                                                      */
    
    struct {
      __I  uint32_t  MW         :  2;               /*!< The hold value for setting the external memory data width             */
      __I  uint32_t  RDSYNC     :  1;               /*!< The hold value for setting the Read transfer synchronous mode         */
      __I  uint32_t  RDBL       :  3;               /*!< The hold value for setting the Read burst length                      */
      __I  uint32_t  WRSYNC     :  1;               /*!< The hold value for setting the Write transfer synchronous mode        */
      __I  uint32_t  WRBL       :  3;               /*!< The hold value for setting of the Write burst length                  */
           uint32_t             :  1;
      __I  uint32_t  AVD        :  1;               /*!< The hold value for setting the Address enable signal (EB_AVD_N)       */
      __I  uint32_t  BLS        :  1;               /*!< The hold value for setting the byte lane strobe signal (EB_BE_N)      */
      __I  uint32_t  BSTA       :  3;               /*!< The hold value of align setting of burst transfer over external
                                                         bus.                                                                  */
      __I  uint32_t  ADRMSK     :  8;               /*!< Address MaskThe value of [EBIF_CONF_ADRMSK]. ADRMSK1[7:0] is
                                                         read.                                                                 */
      __I  uint32_t  ADRMTC     :  8;               /*!< Address MatchThe value of [EBIF_CONF_ADRMTC]. ADRMTC1[7:0] is
                                                         read.                                                                 */
    } EBIF_OPMODE1_b;                               /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[54];
  
  union {
    __I  uint32_t  EBIF_USERSTATUS;                 /*!< User Status Register                                                  */
    
    struct {
      __I  uint32_t  USERSTATUS :  8;               /*!< [EBIF_UserConfig] Status RegisterThe status of [EBIF_UserConfig].bit[7:0]
                                                         can be read.                                                          */
           uint32_t : 24; // padding
    } EBIF_USERSTATUS_b;                            /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_USERCONFIG;                 /*!< User Configuration RegisterThe read value of this register is
                                                         always 0x0.                                                           */
    
    struct {
      __IO uint32_t  USERDATA   :  8;               /*!< This register is writable, but has no function.                       */
           uint32_t : 24; // padding
    } EBIF_USERCONFIG_b;                            /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED4[766];
  
  union {
    __IO uint32_t  EBIF_INTCFG;                     /*!< Integration Test Register                                             */
    
    struct {
      __IO uint32_t  INTCFG     :  1;               /*!< It must always be set to 0, while writing.                            */
           uint32_t : 31; // padding
    } EBIF_INTCFG_b;                                /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_INTINPUTS;                  /*!< Integration Inputs Register                                           */
    
    struct {
           uint32_t             :  1;
      __I  uint32_t  USE_PL220  :  1;               /*!< Indicates the value of [EBIF_CONF_MODE].USE_PL220.                    */
           uint32_t             :  2;
      __I  uint32_t  ASYNC0     :  1;               /*!< Indicates the value of [EBIF_CONF_MODE].ASYNC0.                       */
      __I  uint32_t  MSYNC0     :  1;               /*!< Indicates the value of [EBIF_CONF_MODE].MSYNC0.                       */
           uint32_t : 26; // padding
    } EBIF_INTINPUTS_b;                             /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED5[118];
  
  union {
    __I  uint32_t  EBIF_PID0;                       /*!< Peripheral Identification Register 0                                  */
    
    struct {
      __I  uint32_t  PID        : 32;               /*!< Peripheral Identification                                             */
    } EBIF_PID0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_PID1;                       /*!< Peripheral Identification Register 1                                  */
    
    struct {
      __I  uint32_t  PID        : 32;               /*!< Peripheral Identification                                             */
    } EBIF_PID1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_PID2;                       /*!< Peripheral Identification Register 2                                  */
    
    struct {
      __I  uint32_t  PID        : 32;               /*!< Peripheral Identification                                             */
    } EBIF_PID2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_PID3;                       /*!< Peripheral Identification Register 3                                  */
    
    struct {
      __I  uint32_t  PID        : 32;               /*!< Peripheral Identification                                             */
    } EBIF_PID3_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_CID0;                       /*!< CoreLink Identification Register 0                                    */
    
    struct {
      __I  uint32_t  CID        : 32;               /*!< CoreLink Identification                                               */
    } EBIF_CID0_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_CID1;                       /*!< CoreLink Identification Register 1                                    */
    
    struct {
      __I  uint32_t  CID        : 32;               /*!< CoreLink Identification                                               */
    } EBIF_CID1_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_CID2;                       /*!< CoreLink Identification Register 2                                    */
    
    struct {
      __I  uint32_t  CID        : 32;               /*!< CoreLink Identification                                               */
    } EBIF_CID2_b;                                  /*!< BitSize                                                               */
  };
  
  union {
    __I  uint32_t  EBIF_CID3;                       /*!< CoreLink Identification Register 3                                    */
    
    struct {
      __I  uint32_t  CID        : 32;               /*!< CoreLink Identification                                               */
    } EBIF_CID3_b;                                  /*!< BitSize                                                               */
  };
} EBIF_Type;


/* ================================================================================ */
/* ================                    EBIF_CONF                   ================ */
/* ================================================================================ */


/**
  * @brief ebif_conf (EBIF_CONF)
  */

typedef struct {                                    /*!< EBIF_CONF Structure                                                   */
  
  union {
    __IO uint32_t  EBIF_CONF_MODE;                  /*!< SMC-352 Mode Register                                                 */
    
    struct {
      __IO uint32_t  MUX_MODE   :  1;               /*!< 0: ADS mode1: ADM mode                                                */
      __IO uint32_t  REMAP      :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  SRAM_MW    :  2;               /*!< This field needs to be 0b1.                                           */
           uint32_t             :  4;
      __IO uint32_t  ASYNC0     :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  ASYNC1     :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  A_GT_M0_SYNC:  1;              /*!< 1: aclk is greater than mclk00: otherwise                             */
      __IO uint32_t  A_GT_M1_SYNC:  1;              /*!< 1: aclk is greater than mclk10: otherwise                             */
      __IO uint32_t  MSYNC0     :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  MSYNC1     :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  USE_PL220  :  1;               /*!< This field needs to be 0b1.                                           */
      __IO uint32_t  CG_EBCLKO_CTRL:  1;            /*!< Gating control of ECLKO0: Normal1: Bypass                             */
      __IO uint32_t  CHKADRSEL  :  1;               /*!< 0: AXI_ADR[31:24] are used for the target of chip-enable region.1:
                                                         AXI_ADR[23:16] are used for the target of chip-enable region.         */
      __IO uint32_t  CLKISEL    :  1;               /*!< Clock selection for receiving FFs.0: EB_CLKI (External)1: norMClk
                                                         (Internal Loopback)                                                   */
           uint32_t : 14; // padding
    } EBIF_CONF_MODE_b;                             /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ADRMSK;                /*!< SMC-352 ADRMST Register                                               */
    
    struct {
      __IO uint32_t  ADRMSK0    :  8;               /*!< Address Mask for EB0_CE0_N                                            */
      __IO uint32_t  ADRMSK1    :  8;               /*!< Address Mask for EB0_CE1_N                                            */
           uint32_t : 16; // padding
    } EBIF_CONF_ADRMSK_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ADRMTC;                /*!< SMC-352 ADRMTC Register                                               */
    
    struct {
      __IO uint32_t  ADRMTC0    :  8;               /*!< Address Match for EB0_CE0_N                                           */
      __IO uint32_t  ADRMTC1    :  8;               /*!< Address Match for EB0_CE1_N                                           */
           uint32_t : 16; // padding
    } EBIF_CONF_ADRMTC_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_IWTMCTRL;              /*!< Invalid Write Transaction Mask Control Register                       */
    
    struct {
      __IO uint32_t  IVWRMSK_DIS:  1;               /*!< 0: This controller masks write transaction if all the byte-enable
                                                         signals are inactive.1: No operation                                  */
           uint32_t : 31; // padding
    } EBIF_CONF_IWTMCTRL_b;                         /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_CRECTRL;               /*!< CRE Control Register                                                  */
    
    struct {
      __IO uint32_t  CRE_IS_H   :  1;               /*!< 0: No operation1: CRE is fixed to 0b1.                                */
      __IO uint32_t  AVD_PULSE  :  1;               /*!< 0: No operation1: CRE is High in address phase only.                  */
      __IO uint32_t  ADR_OW_EN  :  1;               /*!< 0: No operation1: This controller overwrite ADR signals by [EBIF_CONF_OW_A
                                                         DR].                                                                  */
           uint32_t : 29; // padding
    } EBIF_CONF_CRECTRL_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_OW_ADR;                /*!< Overwrite Address Register                                            */
    
    struct {
      __IO uint32_t  ADR        : 32;               /*!< EBIF uses the value written in this field as the external bus
                                                         address if [EBIF_CONF_CRECTRL].ADR_OW_EN=0b1.                         */
    } EBIF_CONF_OW_ADR_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED[2];
  
  union {
    __IO uint32_t  EBIF_CONF_ICECTRL;               /*!< Independent Chip-enable Control Register                              */
    
    struct {
      __IO uint32_t  CE0        :  1;               /*!< 0: No operation1: Enable independent CE0_N control                    */
      __IO uint32_t  CE1        :  1;               /*!< 0: No operation1: Enable independent CE1_N control                    */
           uint32_t : 30; // padding
    } EBIF_CONF_ICECTRL_b;                          /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ICEVAL;                /*!< Independent Chip-enable Value Register                                */
    
    struct {
      __IO uint32_t  CE0        :  1;               /*!< EBIF outputs the value written in this field to EB_CE0_N if
                                                         [EBIF_CONF_ICECTRL].CE0=0b1.                                          */
      __IO uint32_t  CE1        :  1;               /*!< EBIF outputs the value written in this field to EB_CE1_N if
                                                         [EBIF_CONF_ICECTRL].CE1=0b1.                                          */
           uint32_t : 30; // padding
    } EBIF_CONF_ICEVAL_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[2];
  
  union {
    __IO uint32_t  EBIF_CONF_POLARITYCTRL;          /*!< Signal Polarity Control Register                                      */
    
    struct {
      __IO uint32_t  WAIT       :  1;               /*!< EB_WAIT_N Polarity0: Active-low1: Active-high                         */
           uint32_t : 31; // padding
    } EBIF_CONF_POLARITYCTRL_b;                     /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED2[3];
  
  union {
    __IO uint32_t  EBIF_CONF_ACADJ0;                /*!< AC Adjustment Register 0                                              */
    
    struct {
      __IO uint32_t  EN_TX      :  1;               /*!< AC adjustment function enable for transmitting circuits.0: Disable1:
                                                         Enable                                                                */
      __IO uint32_t  EN_RX      :  1;               /*!< AC adjustment function enable for receiving circuits.0: Disable1:
                                                         Enable                                                                */
      __IO uint32_t  EN_WE      :  1;               /*!< AC adjustment function enable for EB_WE_N0: Disable1: Enable          */
           uint32_t : 29; // padding
    } EBIF_CONF_ACADJ0_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ACADJ1;                /*!< AC Adjustment Register 1                                              */
    
    struct {
      __IO uint32_t  CLKO_EDGE  :  1;               /*!< Inverter insertion for the output clock if [EBIF_CONF_ACADJ0].EN_TX=1.0:
                                                         Disable1: Enable                                                      */
           uint32_t             :  7;
      __IO uint32_t  CLKI_EDGE  :  1;               /*!< Inverter insertion for the clock of receiving FFs if [EBIF_CONF_ACADJ0].EN
                                                         _RX=1.0: Disable1: Enable                                             */
           uint32_t : 23; // padding
    } EBIF_CONF_ACADJ1_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ACADJ2;                /*!< AC Adjustment Register 2                                              */
    
    struct {
      __IO uint32_t  DLY        : 32;               /*!< The number of units delaying the Clock for Transmitting FFs.
                                                         (if [EBIF_CONF_ACADJ0].EN_TX=0b1)0x0000_0001: 10x0000_0003:
                                                          20x0000_0007: 3to0x7FFF_FFFF: 310xFFFF_FFFF: 32Others: Dont
                                                          set if [EBIF_CONF_ACADJ0].EN_TX=0b1.Note that, in order to reduce
                                                          power consumption, this value must be set to 0x0 if [EBIF_CONF_ACADJ0].EN_
                                                         TX] = 0b0.                                                            */
    } EBIF_CONF_ACADJ2_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ACADJ3;                /*!< AC Adjustment Register 3                                              */
    
    struct {
      __IO uint32_t  DLY        : 32;               /*!< The number of units delaying the Clock for Receiving FFs. (if
                                                         [EBIF_CONF_ACADJ0].EN_RX=0b1)0x0000_0001: 10x0000_0003: 20x0000_0007:
                                                          3to0x7FFF_FFFF: 310xFFFF_FFFF: 32Others: Dont set if [EBIF_CONF_ACADJ0].EN
                                                         _RX=0b1.Note that, in order to reduce power consumption, this
                                                          value must be set to 0x0 if [EBIF_CONF_ACADJ0].EN_RX = 0b0.          */
    } EBIF_CONF_ACADJ3_b;                           /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  EBIF_CONF_ACADJ4;                /*!< AC Adjustment Register 4                                              */
    
    struct {
      __IO uint32_t  DLY        :  8;               /*!< The number of units delaying EB_WE_N. (if [EBIF_CONF_ACADJ0].EN_WE=0b1)0x0
                                                         000_0001: 10x0000_0003: 20x0000_0007: 3to0x0000_007F: 70x0000_00FF:
                                                         8Others: Dont set if [EBIF_CONF_ACADJ0].EN_WE=0b1.Note that,
                                                          in order to reduce power consumption, this value must be set
                                                          to 0x0 if [EBIF_CONF_ACADJ0].EN_WE = 0b0.                            */
           uint32_t : 24; // padding
    } EBIF_CONF_ACADJ4_b;                           /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED3[43];
  
  union {
    __IO uint32_t  EBIF_CONF_IOCTRL;                /*!< I/O Direction Control Register                                        */
    
    struct {
      __IO uint32_t  OUT_EN     :  1;               /*!< 0: The I/Os of the EBIF are controlled as inputs.1: Normal (original
                                                         direction)                                                            */
           uint32_t : 31; // padding
    } EBIF_CONF_IOCTRL_b;                           /*!< BitSize                                                               */
  };
} EBIF_CONF_Type;




/* ================================================================================ */
/* ================                   I2SLP0_CONF                  ================ */
/* ================================================================================ */


/**
  * @brief i2slp0_conf (I2SLP0_CONF)
  */

typedef struct {                                    /*!< I2SLP0_CONF Structure                                                 */
  
  union {
    __IO uint32_t  MS_SEL;                          /*!< Master Slave Select Register                                          */
    
    struct {
      __IO uint32_t  MS_SEL     :  1;               /*!< Master/Slave Select0: Master1: Slave                                  */
           uint32_t : 31; // padding
    } MS_SEL_b;                                     /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PDM_SEL;                         /*!< PDM I2S Select Register                                               */
    
    struct {
      __IO uint32_t  PDM_SEL    :  1;               /*!< PDM/I2S Select0: I2S1: PDM                                            */
           uint32_t : 31; // padding
    } PDM_SEL_b;                                    /*!< BitSize                                                               */
  };
  
  union {
    __IO uint32_t  PDM_MODE;                        /*!< PDM Mode Select Register                                              */
    
    struct {
      __IO uint32_t  FSOMODE    :  2;               /*!< PDM Mode Select                                                       */
           uint32_t : 30; // padding
    } PDM_MODE_b;                                   /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED;
  
  union {
    __IO uint32_t  I2S_IO_CTRL;                     /*!< I2S IO Output Enable Control                                          */
    
    struct {
      __IO uint32_t  CTRL_OE    :  1;               /*!< I2S IO Output Enable Control0: Input (default)1: Output               */
           uint32_t : 31; // padding
    } I2S_IO_CTRL_b;                                /*!< BitSize                                                               */
  };
  __I  uint32_t  RESERVED1[55];
  __IO uint32_t  PDM_IN_SEL;                        /*!< PDM_IN_SEL                                                            */
} I2SLP_CONF_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif




/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define HPIER_BASE                      0x2002F000UL
#define PERI_BASE                       0x40000000UL
#define PMU_BASE                        0x40000000UL
#define SRAMCM_BASE                     0x4000C000UL
#define GCONF_BASE                      0x4000D000UL
#define MPIER_BASE                      0x4000F000UL
#define SPINOFC_BASE                    0x40010000UL
#define SPIFC_BASE                      0x40011000UL
#define SDMAC0_BASE                     0x40012000UL
#define SDMAC1_BASE                     0x40013000UL
#define EMMC0_BASE                      0x40014000UL
#define EMMC0_CONF_BASE                 0x40014800UL
#define EMMC1_BASE                      0x40015000UL
#define EMMC1_CONF_BASE                 0x40015800UL
#define CRA_BASE                        0x40020000UL
#define RNG_BASE                        0x40021000UL
#define TZCP_BASE                       0x40022000UL
#define SDMAC_CONF_BASE                 0x40023000UL
#define I2SLP0_BASE                     0x40024000UL
#define I2SLP1_BASE                     0x40028000UL
#define I2SLP2_BASE                     0x4002C000UL
#define SPIM0_BASE                      0x40030000UL
#define SPIM0_CONF_BASE                 0x40030800UL
#define SPIM1_BASE                      0x40031000UL
#define SPIM1_CONF_BASE                 0x40031800UL
#define SPIM2_BASE                      0x40032000UL
#define SPIM2_CONF_BASE                 0x40032800UL
#define SPIM3_BASE                      0x40033000UL
#define SPIM3_CONF_BASE                 0x40033800UL
#define UART0_BASE                      0x40034000UL
#define UART0_CONF_BASE                 0x40035000UL
#define UART1_BASE                      0x40036000UL
#define UART1_CONF_BASE                 0x40037000UL
#define UART2_BASE                      0x40038000UL
#define UART2_CONF_BASE                 0x40039000UL
#define I2C0_BASE                       0x40040000UL
#define I2C0_CONF_BASE                  0x40041000UL
#define I2C1_BASE                       0x40042000UL
#define I2C1_CONF_BASE                  0x40043000UL
#define RTC_BASE                        0x40048000UL
#define EVM_BASE                        0x40049000UL
#define GPIO0_BASE                      0x4004A000UL
#define GPIO1_BASE                      0x4004B000UL
#define GPIO2_BASE                      0x4004C000UL
#define GPIO3_BASE                      0x4004D000UL
#define AFEZ_BASE                       0x40050000UL
#define ADCC12_BASE                     0x40052000UL
#define DACC_BASE                       0x40054000UL
#define LEDC_BASE                       0x40056000UL
#define UART3_BASE                      0x40060000UL
#define UART3_CONF_BASE                 0x40061000UL
#define WDT_BASE                        0x40070000UL
#define TMR_BASE                        0x40072000UL
#define ADVTMR0_BASE                    0x40074000UL
#define ADVTMR1_BASE                    0x40075000UL
#define USB2FS_BASE                     0x40080000UL
#define USB2FS_CONF_BASE                0x40091000UL
#define GFX_BASE                        0x400E0000UL
#define DBIBC_BASE                      0x400E2000UL
#define DSITX_BASE                      0x400E2800UL
#define EBIF_BASE                       0x400E4000UL
#define EBIF_CONF_BASE                  0x400E5000UL
#define I2SLP0_CONF_BASE                0x40025000UL
#define I2SLP1_CONF_BASE                0x40029000UL
#define I2SLP2_CONF_BASE                0x4002D000UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define TZ1K_HPIER                           ((HPIER_Type              *) HPIER_BASE)
#define TZ1K_PMU                             ((PMU_Type                *) PMU_BASE)
#define TZ1K_SRAMCM                          ((SRAMCM_Type             *) SRAMCM_BASE)
#define TZ1K_GCONF                           ((GCONF_Type              *) GCONF_BASE)
#define TZ1K_MPIER                           ((MPIER_Type              *) MPIER_BASE)
#define TZ1K_SPINOFC                         ((SPINOFC_Type            *) SPINOFC_BASE)
#define TZ1K_SPIFC                           ((SPINOFC_Type            *) SPIFC_BASE)
#define TZ1K_SDMAC0                          ((SDMAC_Type              *) SDMAC0_BASE)
#define TZ1K_SDMAC1                          ((SDMAC_Type              *) SDMAC1_BASE)
#define TZ1K_EMMC0                           ((EMMC_Type               *) EMMC0_BASE)
#define TZ1K_EMMC0_CONF                      ((EMMC_CONF_Type          *) EMMC0_CONF_BASE)
#define TZ1K_EMMC1                           ((EMMC_Type               *) EMMC1_BASE)
#define TZ1K_EMMC1_CONF                      ((EMMC_CONF_Type          *) EMMC1_CONF_BASE)
#define TZ1K_CRA                             ((CRA_Type                *) CRA_BASE)
#define TZ1K_RNG                             ((RNG_Type                *) RNG_BASE)
#define TZ1K_TZCP                            ((TZCP_Type               *) TZCP_BASE)
#define TZ1K_SDMAC_CONF                      ((SDMAC_CONF_Type         *) SDMAC_CONF_BASE)
#define TZ1K_I2SLP0                          ((I2SLP_Type              *) I2SLP0_BASE)
#define TZ1K_I2SLP1                          ((I2SLP_Type              *) I2SLP1_BASE)
#define TZ1K_I2SLP2                          ((I2SLP_Type              *) I2SLP2_BASE)
#define TZ1K_SPIM0                           ((SPIM_Type               *) SPIM0_BASE)
#define TZ1K_SPIM0_CONF                      ((SPIM_CONF_Type          *) SPIM0_CONF_BASE)
#define TZ1K_SPIM1                           ((SPIM_Type               *) SPIM1_BASE)
#define TZ1K_SPIM1_CONF                      ((SPIM_CONF_Type          *) SPIM1_CONF_BASE)
#define TZ1K_SPIM2                           ((SPIM_Type               *) SPIM2_BASE)
#define TZ1K_SPIM2_CONF                      ((SPIM_CONF_Type          *) SPIM2_CONF_BASE)
#define TZ1K_SPIM3                           ((SPIM_Type               *) SPIM3_BASE)
#define TZ1K_SPIM3_CONF                      ((SPIM_CONF_Type          *) SPIM3_CONF_BASE)
#define TZ1K_UART0                           ((UART_Type               *) UART0_BASE)
#define TZ1K_UART0_CONF                      ((UART_CONF_Type          *) UART0_CONF_BASE)
#define TZ1K_UART1                           ((UART_Type               *) UART1_BASE)
#define TZ1K_UART1_CONF                      ((UART_CONF_Type          *) UART1_CONF_BASE)
#define TZ1K_UART2                           ((UART_Type               *) UART2_BASE)
#define TZ1K_UART2_CONF                      ((UART_CONF_Type          *) UART2_CONF_BASE)
#define TZ1K_I2C0                            ((I2C_Type                *) I2C0_BASE)
#define TZ1K_I2C0_CONF                       ((I2C_CONF_Type           *) I2C0_CONF_BASE)
#define TZ1K_I2C1                            ((I2C_Type                *) I2C1_BASE)
#define TZ1K_I2C1_CONF                       ((I2C_CONF_Type           *) I2C1_CONF_BASE)
#define TZ1K_RTC                             ((RTC_Type                *) RTC_BASE)
#define TZ1K_EVM                             ((EVM_Type                *) EVM_BASE)
#define TZ1K_GPIO0                           ((GPIO_Type               *) GPIO0_BASE)
#define TZ1K_GPIO1                           ((GPIO_Type               *) GPIO1_BASE)
#define TZ1K_GPIO2                           ((GPIO_Type               *) GPIO2_BASE)
#define TZ1K_GPIO3                           ((GPIO_Type               *) GPIO3_BASE)
#define TZ1K_AFEZ                            ((AFEZ_Type               *) AFEZ_BASE)
#define TZ1K_ADCC12                          ((ADCC12_Type             *) ADCC12_BASE)
#define TZ1K_DACC                            ((DACC_Type               *) DACC_BASE)
#define TZ1K_LEDC                            ((LEDC_Type               *) LEDC_BASE)
#define TZ1K_UART3                           ((UART_Type               *) UART3_BASE)
#define TZ1K_UART3_CONF                      ((UART_CONF_Type          *) UART3_CONF_BASE)
#define TZ1K_WDT                             ((WDT_Type                *) WDT_BASE)
#define TZ1K_TMR                             ((TMR_Type                *) TMR_BASE)
#define TZ1K_ADVTMR0                         ((ADVTMR_Type             *) ADVTMR0_BASE)
#define TZ1K_ADVTMR1                         ((ADVTMR_Type             *) ADVTMR1_BASE)
#define TZ1K_USB2FS                          ((USB2FS_Type             *) USB2FS_BASE)
#define TZ1K_USB2FS_CONF                     ((USB2FS_CONF_Type        *) USB2FS_CONF_BASE)
#define TZ1K_GFX                             ((GFX_Type                *) GFX_BASE)
#define TZ1K_DBIBC                           ((DBIBC_Type              *) DBIBC_BASE)
#define TZ1K_DSITX                           ((DSITX_Type              *) DSITX_BASE)
#define TZ1K_EBIF                            ((EBIF_Type               *) EBIF_BASE)
#define TZ1K_EBIF_CONF                       ((EBIF_CONF_Type          *) EBIF_CONF_BASE)
#define TZ1K_I2SLP0_CONF                     ((I2SLP_CONF_Type         *) I2SLP0_CONF_BASE)
#define TZ1K_I2SLP1_CONF                     ((I2SLP_CONF_Type         *) I2SLP1_CONF_BASE)
#define TZ1K_I2SLP2_CONF                     ((I2SLP_CONF_Type         *) I2SLP2_CONF_BASE)


/* ================================================================================ */
/* ============== Bit-Band for Device Specific Peripheral Registers =============== */
/* ================================================================================ */

#define BITBAND_OFFSET                  0x02000000UL
#define BITBAND_PERI_BASE               (PERI_BASE + BITBAND_OFFSET)
#define BITBAND_PERI(addr, bitnum)      (BITBAND_PERI_BASE + (((uint32_t)(addr) - PERI_BASE) << 5) + ((uint32_t)(bitnum) << 2))
#define BITBAND_VALUE(addr, bitnum)     (*((__IO  uint32_t *)BITBAND_PERI(addr,bitnum)))


/** @} */ /* End of group Device_Peripheral_Registers */

/* ================================================================================ */
/* ==============                      Modifiers                    =============== */
/* ================================================================================ */

#if   defined ( __CC_ARM )
#define TZ1K_INLINE      __inline
#define TZ1K_PACKED_HDR
#define TZ1K_PACKED_FTR  __attribute__((packed))
#define TZ1K_ALIGNED(x)  __attribute__((aligned x))
#elif defined ( __ICCARM__ )
#define TZ1K_INLINE      inline
#define TZ1K_PACKED_HDR  __packed
#define TZ1K_PACKED_FTR
#define TZ1K_ALIGNED(x)
#elif defined ( __GNUC__ )
#define TZ1K_INLINE      __inline
#define TZ1K_PACKED_HDR
#define TZ1K_PACKED_FTR  __attribute__((packed))
#define TZ1K_ALIGNED(x)  __attribute__((aligned x))
#endif


/** @} */ /* End of group TZ12xx */
/** @} */ /* End of group (null) */

#ifdef __cplusplus
}
#endif


#endif  /* TZ12xx_H */

